# -*- encoding: utf-8 -*-
{
    "name": "adm",
    "shortdesc": "Modulo basico da sig(Administracao)",
    'version': '7.0.2403.6',
    "author": "Sig Informatica Ltda",
    "website": "http://www.siginformatica.com.br",
    "category": "Administracao",
    "description": "Modulo administrativo do SigERP",
    'license': 'Other proprietary',
    "depends": [
        'base_setup',
        'web_sig',
        'base_calendar',
        'valida',
        'relatorios',
    ],
    "data": [
        'pessoa/data/email_data.xml',
        'pessoa/data/endereco_data.xml',
        'pessoa/data/telefone_data.xml',
        'pessoa/data/pessoa_data.xml',
        'pessoa/data/adm_pessoa.xml',
        'pessoa/data/relacionamento_data.xml',
        'pessoa/data/websig_sql_data.xml',
        "data/formas_pgto.xml",
        "data/adm_condicao.xml",
        "data/adm_condicao_forma.xml",
        "data/parametro.xml",
        "data/empresa_centrocusto.xml",
        "data/base_res_company_view.xml",
        "data/tabelas/adm.cidade.csv",
        "data/tabelas/adm.cnae.csv",
        "monitor/data/ir_cron_data.xml",
        "monitor/data/websig_sql_data.xml",
        'pessoa/views/pessoa_categoria_nome_view.xml',
        'pessoa/views/relacionamento_tipo_view.xml',
        'pessoa/views/pessoa_relacionamento_view.xml',
        'pessoa/views/telefone_tipo_view.xml',
        'pessoa/views/pessoa_telefone_view.xml',
        'pessoa/views/pessoa_view.xml',
        'pessoa/views/pessoa_endereco_view.xml',
        'pessoa/views/endereco_tipo_view.xml',
        'pessoa/views/pais_view.xml',
        'pessoa/views/uf_view.xml',
        'pessoa/views/cidade_view.xml',
        'pessoa/views/bairro_view.xml',
        'pessoa/views/logradouro_view.xml',
        'pessoa/views/regiao_view.xml',
        'pessoa/views/cep_view.xml',
        'pessoa/views/email_tipo_view.xml',
        'pessoa/views/pessoa_homepage_view.xml',
        'pessoa/views/pessoa_email_view.xml',
        'pessoa/views/pessoa_documento_tipo_view.xml',
        'pessoa/views/pessoa_documento_dados_view.xml',
        'pessoa/views/documento_complemento_tipo_view.xml',
        'pessoa/views/pessoa_documento_complemento_view.xml',
        'pessoa/inherit/company_view.xml',

        "views/empresa_view.xml",
        "views/centro_custo_view.xml",
        "views/cnae_view.xml",
        "views/moeda_view.xml",
        "views/moeda_valor_view.xml",
        'data/moeda.xml',
        "views/calendario_view.xml",
        "views/transportador_view.xml",
        "views/parametro_view.xml",
        "views/banco_view.xml",
        "views/banco_agencia_view.xml",
        "views/condicao_view.xml",
        "views/ocorrencia_view.xml",
        "views/forma_view.xml",
        "views/paginas_view.xml",
        "views/adm_telefone_operadora_view.xml",
        "views/adm_condicao_forma.xml",
        "views/setor_view.xml",
        "data/formas_pgto.xml",
        "data/calendario.xml",
        "views/base_res_company_inherit_view.xml",
        "inherit/base/base_res_company_view.xml",
        "inherit/base/res_group_view.xml",
        "inherit/valida/wizard/wizard_ativar_licenca_view.xml",
        "wizard/transacao.xml",
        "wizard/wizard_periodo_view.xml",
        "wizard/messagebox_view.xml",
        "wizard/wizard_listagem_impressora.xml",
        "views/action.xml",
        'views/menu.xml',
        "security/adm_security.xml",
        'security/ir.model.access.csv',

        "monitor/views/alertas.xml",
        "monitor/views/ocorrencias.xml",
        "monitor/views/action.xml",
        "monitor/views/menu.xml",
        "data/validar_data.xml",
    ],
    "installable": True,
    "application": True,
    "active": False,
    "css": ["static/src/css/adm.css"],

}


