# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv


class adm_banco_agencia(osv.Model):
    _name = 'adm.banco.agencia'
    _inherit = 'adm.banco.agencia'

    def name_get(self, cr, uid, ids, context=None):
        res = []
        if context is None:
            context = []
        if not len(ids):
            return []
        dados = self.read(cr, uid, ids, ['admbag_codigo_agencia', 'name'], context=context)
        for x in dados:
            res.append((x['id'], str(x['admbag_codigo_agencia']) + ' - ' + x['name']))
        return res

    def name_search(self, cr, uid, name='', args=[], operator='ilike', context=None, limit=100):
        context = context and context.copy() or {}
        ids = []
        try:
            name = int(name)
        except:
            pass
        if isinstance(name, int):
            ids = self.search(cr, uid, [('admbag_codigo_agencia', '=', name)] + args, limit=limit, context=context)
        if not ids:
            ids = self.search(cr, uid, [('name', operator, name)] + args, limit=limit, context=context)
        return self.name_get(cr, uid, ids)


