# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

import logging

from openerp.osv import osv

_logger = logging.getLogger('[Cron]')

class fetchmail_server(osv.osv):

    _inherit = 'fetchmail.server'

    def _fetch_mails(self, cr, uid, ids=False, context=None):
        context = context and context.copy() or {}
        _logger.info('Fetchmail Service iniciando...')
        res = super(fetchmail_server, self)._fetch_mails(cr, uid, ids, context)
        _logger.info('Fetchmail Service terminou.')
        return res

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
