#!/usr/bin/python
# -*- coding: utf-8 -*-

from openerp.osv import osv, fields


class wizard_ativar_licenca(osv.TransientModel):
    """Wizard para ativar licença dos clientes manualmente
       Prefixo: wizatl_
    """

    _name = 'wizard.ativar.licenca'

    _columns = {
        'wizatl_licenca': fields.char('Licenca', char=14, required=True),
        'wizatl_ativado': fields.boolean('Ativado'),
    }

    _defaults = {
        'wizatl_ativado': False,
    }

    def wizatl_ativar_licenca(self, cr, uid, ids, context=None):
        context = context and context or {}
        licenca = self.read(cr, uid, ids[0], ['wizatl_licenca'], context).get('wizatl_licenca')
        self.pool.get('valida.pendencias').valpen_ativar_licenca(cr, uid, licenca, context)
        self.write(cr, uid, ids, {'wizatl_ativado': True}, context)
        return True