# -*- encoding: utf-8 -*-
# #############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class adm_cnae(osv.Model):
    _name = 'adm.cnae'
    _columns = {
        'admcna_codigo': fields.char('Codigo', size=9, required=True, select=True,
                                     oldname='codigo'),  # Codigo cnae
        'name': fields.text('Descricao', required=True,
                            help='Codigo Nacional de Atividade Economica'),  # Descricao
    }
    _sql_constraints = [
        ('codigo_uniq', 'unique (admcna_codigo)', 'O Codigo do Cnae deve ser unico !')
    ]


