# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class adm_moeda_valor(osv.Model):
    """
    Tabela de valor das moedas
    """
    _name = 'adm.moeda.valor'
    _order = 'moeda_id, data_movimento'
    _columns = {
        'moeda_id': fields.many2one("adm.moeda", 'Moeda', ondelete="cascade", required=True, select=True), # id da moeda
        'data_movimento': fields.date('Data', required=True, select=True), # Data do valor da moeda
        'valor': fields.float('Valor', digits=(10, 6), required=True), # Valor da moeda
    }
    _order = 'data_movimento desc'

