# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class adm_ocorrencia(osv.Model):
    """
    Tabela com o cadastro de ocorrencias, situacoes ou estados de documentos, procedimentos etc.
    """
    _name = 'adm.ocorrencia'
    _columns = {
        'admoco_pessoa_id': fields.many2one("adm.pessoa", 'Pessoa', required=True, select=True),
        'admoco_descricao': fields.text('Descricao', required=True),
        'create_uid': fields.many2one("res.users", 'Usuario', readonly=True, select=True),
        'create_date': fields.datetime('Data da criacao', readonly=True, select=True),

    }

