# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class adm_transacao_itens(osv.Model):
    """
    Tabela de documentos das transacoes
    """
    _name = 'adm.transacao.itens'
    _description = 'Documentos da transacao'
    _rec_name = 'admtri_objeto_ref'
    _columns = {
        'admtri_capa_id': fields.many2one('adm.transacao.capa', required=True, select=True, ondelete='cascade'),
        'admtri_objeto_ref': fields.char('Objeto/Classe', size=64, required=True, select=True),
        'create_date': fields.datetime('Data da transacao', readonly=True, select=True),
        'create_uid': fields.many2one('res.users', 'Usuario', readonly=True, select=True),
    }
