# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class adm_monitor_alertas_grupos(osv.Model):
    """
    Esta classe contem grupos e/u usuários que verão os alertas
    """
    _name = 'adm.monitor.alertas.grupos'
    _columns = {
        'admmgr_alerta_id': fields.many2one('adm.monitor.alertas', 'Alerta', required=True, ondelete='cascade',
                                            select=True),
        'admmgr_grupo_id': fields.many2one('res.groups', 'Grupo para visualizacao', ondelete='cascade', select=True),
        'admmgr_user_id': fields.many2one('res.users', 'Usuario para visualizacao', ondelete='cascade', select=True),
    }
