# -*- encoding: utf-8 -*-

from openerp.osv import osv


class adm_cep(osv.Model):
    _inherit = 'adm.cep'

    def read(self, cr, uid, ids, fields=None, context=None, load='_classic_read'):
        """
        Metodo para leitura de registros
        apos a leitura formata o cep no padrao 00.000-000
        """
        context = context and context.copy() or {}
        if isinstance(ids, (int, long)):
            ids = [ids]
        adm_cep_dados = super(adm_cep, self).read(cr, uid, ids, fields=fields, context=context, load=load)
        res = []
        for i in adm_cep_dados:
            cep = i.get('cep') or ''
            if len(cep) == 8:
                i['cep'] = '%s.%s-%s' % (cep[0:2], cep[2:5], cep[5:8])
            res.append(i)
        return res
