# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv
from openerp.tools.translate import _


class adm_pessoa_homepage(osv.Model):

    _inherit = 'adm.pessoa.homepage'

    def admpho_open_homepage(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        dados = self.read(cr, uid, ids, ['name'], context)
        for i in dados:
            if not i.get('name'):
                raise osv.except_osv(_('Atencao!'),
                                     _('Sem cadastro da Homepage!'))

            return {
                'type': 'ir.actions.act_url',
                'url': i.get('name'),
                'target': 'new',
            }

        return True
