# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class adm_pessoa_categoria_nome(osv.Model):
    """
    Tabela de categorias de pessoas
    """
    # prefixo = admpcn_

    from funcoes import _admpcn_name_get_fnc

    _name = 'adm.pessoa.categoria.nome'
    _columns = {
        'name': fields.char('Descricao', size=50, required=True), # Descricao da categoria
        'parent_id': fields.many2one("adm.pessoa.categoria.nome", 'Categoria pai', ondelete="restrict", select=True),
        'categoria_nome_ids': fields.one2many('adm.pessoa.categoria.nome', 'parent_id', 'Nome'),
        'nome_completo': fields.function(_admpcn_name_get_fnc, method=True, type="char", string='Descricao completa'), }
    _order = 'name'
