# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields


class adm_pessoa_documento_complemento_tipo(osv.Model):
    """
    Tabela de tipo de dados complementares
    Permite o cadastramento do tipo de dado que nao e  particular de um documento
    como por exemplo: Tipo da carteira de motorista, vencimento, etc
    """
    _name = 'adm.pessoa.documento.complemento.tipo'
    _columns = {
        'name': fields.char('Descricao', size=30, required=True), # Nome do dados complementar
        'documento_complemento_ids': fields.one2many('adm.pessoa.documento.complemento', 'complemento_tipo_id',
                                                     'Complemento'),
    }
