# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class adm_endereco_tipo(osv.Model):
    """
    Tabela de Tipo de endereco.
    Ex. Residencial, Comercial, Cobranca, etc
    """
    _name = 'adm.endereco.tipo'
    _columns = {
        'name': fields.char('Descricao', size=50, required=True), # Descricao do Tipo de endereco
        'bloqueio': fields.boolean('Bloqueio'), # True=Bloqueio, nao pode ser excluido.\nFalse=Nao bloqueia, pode ser excluido
        'endereco_ids': fields.one2many('adm.pessoa.endereco', 'endereco_tipo_id', 'Enderecos'),
    }
    _order = 'name'
    _defaults = {
        'bloqueio': lambda *a: False,
    }
