#!/usr/bin/python
# -*- encoding: utf-8 -*-


from openerp.tests.common import TransactionCase
from sigaddons.config_teste import set_config


class TestAdmEmpresaObjeto(TransactionCase):
    """
    Classe responsavel por testes unitarios dos metodos da classe adm_empresa_objeto
    """

    @classmethod
    def setUpClass(cls):
        set_config()

    def setUp(self):
        super(TestAdmEmpresaObjeto, self).setUp()
        self.adm_empresa_ojbeto = self.registry('adm.empresa.objeto')
        self.empresa_a_usar_id = self.registry('res.company').search(
            self.cr, self.uid, [], limit=1)[0]
        self.tabela = 'adm.empresa.centrocusto'

    def test_admemp_get_empresa_escolhida_ids(self):
        res = self.adm_empresa_ojbeto.admemp_get_empresa_escolhida_ids(
            self.cr, self.uid, self.tabela, self.empresa_a_usar_id, {})
        self.assertEqual(list, type(res))
