__author__ = 'christian.douglas'

from openerp.osv import osv, fields


class messagebox(osv.TransientModel):
    """ Exibir caixa de dialogo """
    _name = "adm.messagebox"
    _description = "Exibir caixa de dialogo"

    # O campo abaixo serve para exibir um arquivo do tipo binario para usuario
    # efetuar download
    _columns = {
                'filename':fields.char('Filename',size=40),
                'dados': fields.binary('Clique para baixar o arquivo', readonly=True),
                }

    def fields_view_get(self, cr, user, view_id=None, view_type='form', context=None, toolbar=False, submenu=False):
        context = context and context.copy() or {}
        res = super(messagebox, self).fields_view_get(cr, user, view_id, view_type, context, toolbar, submenu)
        context = context and context.copy() or {}
        if not context:
            context.update({'mensagem': 'Processo concluido'})
        if context.get('mensagem'):
            old_arch = res.get('arch')
            res.update({'arch': old_arch.replace('<label string="MSG"/>', '<label string="%s"/>' %
                                                                          context.get('mensagem'))})
        return res
