# -*- encoding: utf-8 -*-

from controller import api_sigerp
import requests
import openerp.addons.web.http as http
import json

# api local servidor remoto
# sg_code = 'ZGVtby1zaWdzb2x1Y29lcy1uZXQtYnIqfCozNjAwKnwqVXN1YXJpbyBkZSBkZW1vbnN0cmFjYW8='
# usuario = 'demo'
# senha = 'sig'
# server ='http://localhost:8069'

# api local servidor local
sg_code = 'OUdfZGVtbyp8KjM2MDAqfCpUZXN0ZSBTaWch'
usuario = 'demo'
senha = 'sig'
server ='http://localhost:8069'
# usuario = 'demo'
# senha = 'sig'
# server = 'https://demo.sigsolucoes.net.br'
#
# usuario = 'suplay_app' # impulso
# sg_code = 'aW1wdWxzby1lcnAtc2lnaW5mb3JtYXRpY2EtY29tLWJyKnwqMzYwMCp8KlNpZyBTdXBwbHk='
# senha = 'EYnmtUHGc3Nu5GlbZinezfSnyyPGr7lN' # impulso
# server ='https://impulso.erp.siginformatica.com.br' # impulso
# server ='http://192.168.70.13:8069' # impulso

# usuario = 'neto' # impulso Neto
# senha = '300300' # impulso Neto
# server ='https://impulso.erp.siginformatica.com.br' # impulso


def _logar():
    params = {}
    params['sg_code'] = sg_code
    params['usuario'] = usuario
    params['senha'] = senha
    servico = server + '/apsg/api_logar'
    headers = {}
    try:
        res = requests.get(servico, params=params, headers=headers)
    except Exception as e:
        print 'Nao consegui conectar com o servidor'
        print e
        return False
    return res

def _revalidar_token(refresh_token):
    print '=======================> Funcao revalidar token'
    params = {'token': refresh_token}
    headers={}
    servico = server + '/apsg/api_revalidar_token'
    res = requests.get(servico, params=params, headers=headers)
    if res.status_code > 399:
        print '--------------------------------------------------------------'
        print 'Erro de comunicacao'
        print res.content
        return False, False
    else:
        dados = json.loads(res.content)
        print '--------------------------------------------------------------'
        print 'Novo Token:', token
        print 'Novo Refresh-Token:', refresh_token
        return token, refresh_token


def _executar_acao(metodo, tabela, dados_acao, retornar_campos=None):
    print '=======================> Funcao %s - %s' % (metodo, tabela)
    params = {}
    params['tabela'] = tabela
    params['dados_acao'] = json.dumps(dados_acao)
    # params['retornar_campos'] = json.dumps(retornar_campos)
    params['retornar_campos'] = retornar_campos
    params['metodo'] = 'metodod'
    headers = {"Authorization": token}
    servico = server + '/apsg/api_executar'
    metodo = 'requests.%s' % metodo
    res = eval(metodo)(servico, params=params, headers=headers)
    if res.status_code > 399:
        print '--------------------------------------------------------------'
        print 'Erro de comunicacao'
        print res.content
        return False
    else:
        dados = json.loads(res.content)
        if res:
            if dados.get('cod') != '00':
                print '--------------------------------------------------------------'
                print 'Nao consegui executar'
                print 'cod', dados.get('cod'), 'message', dados.get('message')
            else:
                dados = json.loads(res.content)
                print '--------------------------------------------------------------'
                print 'Dados retornados'
                print dados
                return dados
        return False


print '=======================> Funcao logar'
res = _logar()
print '=========================', res
"""
acoes a executar:
 1 = get_pessoa
 2 = revalidar_token
 3 = get_departamento
 4 = set pessoa
 5 = criar embalagem com unidade[

 7 = inserir item no pedido
 8 = get_produto
 10 = get_pedido
"""
_acoes = [1,2,3, 4]

_acoes = [6,7]
if res:
    dados = json.loads(res.content)
    if dados.get('cod') != '00':
        print '--------------------------------------------------------------'
        print 'Nao consegui logar'
        print 'cod', dados.get('cod'), 'message', dados.get('message')
    else:
        if res.status_code > 399:
            print '--------------------------------------------------------------'
            print 'Erro de comunicacao'
            print res.content
        else:
            token = dados.get('token')
            refresh_token = dados.get('refresh_token')
            print '--------------------------------------------------------------'
            print 'Token:',token
            print 'Refresh_token:', refresh_token
            for a in _acoes:
                if a == 1:
                    metodo = 'get'
                    tabela = 'fields_pessoa'
                    dados = {'filters':{'cpf_cnpj': '47428708672'}, 'fields': ['codigo','cpf_cnpj','nome', 'telefone', {'enderecos':['rua','numero']}]}
                    dados = {'filters':{'cpf_cnpj': '09988877730'}, 'fields': ['codigo','cpf_cnpj','nome', 'telefone', {'enderecos':['rua','numero']}]}
                    res = _executar_acao(metodo, tabela, dados)
                    dados = {'filters':{'cpf_cnpj': '47428708672'}, 'fields': []}
                    dados = {'filters':{'cpf_cnpj': '09988877730'}, 'fields': []}
                    res = _executar_acao(metodo, tabela, dados)
                elif a == 2:
                    token, refresh_token = _revalidar_token(refresh_token)
                elif a == 3:
                    metodo = 'get'
                    tabela = 'fields_vex_departamento'
                    dados = {}
                    res = _executar_acao(metodo, tabela, dados)
                elif a == 4:
                    metodo = 'post'
                    tabela = 'fields_pessoa'
                    dados = {'nome': 'teste', 'fisica_juridica': 'F', 'emails':{'email':'teste@teste.com', 'tipo':1}}
                    res = _executar_acao(metodo, tabela, dados)
                elif a == 5:
                    metodo = 'post'
                    tabela = 'fields_embalagens'
                    dados = {
                        'descricao': 'teste',
                        'unidade':
                            {
                                'unidade': 'tst',
                                 'descricao': 'teste',
                                 'fracao': '0'
                            },
                        'qtd_emb': 1
                    }
                    res = _executar_acao(metodo, tabela, dados)
                elif a == 6:
                    metodo = 'post'
                    tabela = 'fields_pedidos'
                    dados = {'data_emissao': '20190617', 'pessoa': 3,
                             'state': 'R', 'tipo': 'V'}
                    res = _executar_acao(metodo, tabela, dados)
                    if res:
                        capa = res.get('retorno_acao').get('id')
                    else:
                        capa = 90
                elif a == 7:
                    metodo = 'post'
                    tabela = 'fields_pedidos_itens'
                    dados = {'capa_pedido':capa, 'quantidade': 1,
                             'valor_unitario': 1.78, 'produto': 3,
                             'grade': 3, 'local': 1, 'embalagem': 2}
                    res = _executar_acao(metodo, tabela, dados)
                elif a == 8:
                    metodo = 'get'
                    tabela = 'fields_produtos'
                    dados = {'filters':{'codigo': '000029'}, 'fields': ['codigo','descricao','ativo',{'grades':['id','name','descricao']}]}
                    res = _executar_acao(metodo, tabela, dados)
                elif a == 9:
                    metodo = 'get'
                    tabela = 'fields_estoque_parametros'
                    dados = {'filters':{}, 'fields': []}
                    res = _executar_acao(metodo, tabela, dados)
                elif a == 10:
                    metodo = 'get'
                    tabela = 'sigerp_pedidos'
                    dados = {'filters':{'numero_pedido': 'PVE-0000000179'}, 'fields': []}
                    res = _executar_acao(metodo, tabela, dados)
                elif a == 11:
                    metodo = 'get'
                    tabela = 'fields_adm_email_tipo'
                    dados = {'filters':{}, 'fields': []}
                    res = _executar_acao(metodo, tabela, dados)
                elif a == 12:
                    metodo = 'post'
                    tabela = 'fields_adm_email'
                    dados = {'email':'teste@teste.com','tipo':'1','pessoa':'85'}
                    res = _executar_acao(metodo, tabela, dados)
