#-*- encoding: utf-8 -*-

from openerp.osv import osv


class associacao_cobranca_tipo(osv.Model):
    """
    Tabela que contem os tipos de cobranca
    """
    _name = 'associacao.cobranca.tipo'
    _inherit = 'associacao.cobranca.tipo'

    def write(self, cr, uid, ids, vals, context=None):
        context = context and context.copy() or {}
        if vals.get('asscot_sigla'):
            vals['asscot_sigla'] = vals['asscot_sigla'].upper()
        res = super(associacao_cobranca_tipo, self).write(cr, uid, ids, vals, context)
        return res

    def create(self, cr, uid, vals, context=None):
        context = context and context.copy() or {}
        if vals.get('asscot_sigla'):
            vals['asscot_sigla'] = vals['asscot_sigla'].upper()
        res = super(associacao_cobranca_tipo, self).create(cr, uid, vals, context)
        return res

    def name_get(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        res = []
        if context is None:
            context = []
        if not len(ids):
            return []
        reads = self.read(cr, uid, ids, ['asscot_sigla', 'name'], context=context)
        for record in reads:
            res.append((record['id'], str(record['asscot_sigla']) + ' - ' + record['name']))
        return res