#-*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class associacao_cargo(osv.Model):
    """
    Tabela que contem os cargos de cada orgãos da instituição (Presidente, secretário, etc)
    """
    _name = 'associacao.cargo'

    _columns = {
        'asscar_orgao_id': fields.many2one('associacao.orgao', 'Orgao', required=True, select=True),
        'name': fields.char('Descricao', size=32, help='Descricao do cargo a ser ocupado', required=True),
        'asscar_tempo': fields.integer('Tempo de mandato', help='Tempo de mandato quando for diferente do tempode mandado do orgao a que pertence'),
        'sequence': fields.integer('Sequencia'),
    }
    _defaults = {
        'sequence': lambda *a: 10,
    }
    _order = 'asscar_orgao_id,sequence'


