#-*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class associacao_cobranca_tipo(osv.Model):
    """
    Tabela que contem os tipos de cobranca
    """
    _name = 'associacao.cobranca.tipo'
    _columns = {
        'asscot_sigla': fields.char('Sigla', required=True, size=5, select=True),
        'name': fields.char("Descricao", required=True, size=30),
    }
    _sql_constraints = [
        ('sigla_uniq', 'unique (asscot_sigla)', 'A sigla precisa ser unica!'),
    ]