#-*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class associacao_orgao(osv.Model):
    """
    Tabela que contem os orgãos da instituicao (Diretoria, conselhos, etc)
    """
    _name = 'associacao.orgao'

    _columns = {
        'name': fields.char('Descricao', size=64, required=True,
                            help='Descricao do orgao da instituicao que possui poderes sociais'),
        'assorg_tempo': fields.integer('Tempo de mandato', required=True),
        'assorg_cargo_ids': fields.one2many('associacao.cargo', 'asscar_orgao_id', 'Cargos'),
        'assorg_mandato_ids': fields.one2many('associacao.mandato', 'assman_orgao_id', 'Mandatos'),
    }
    _order = 'name'



