#-*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class associacao_parametros(osv.Model):
    """
    Tabela que contem os parametros da associacao
    """
    _name = 'associacao.parametros'
    _rec_name = 'company_id'
    _columns = {
        'company_id': fields.integer('Empresa'), # usado apenas para compatibilidade do orm
        'asspar_mensalidade_valor_minimo': fields.float("Valor Minimo da mensalidade",
                                                        digits=(9, 2)),
        'asspar_categoria_id': fields.many2one('adm.pessoa.categoria.nome', 'Categoria para socios', select=True,
                                               required=True),
    }
    _defaults = {
        'company_id': lambda *a: 1,
    }
