#-*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class digitacao_inventario_osv(osv.Model):

    _inherit = 'digitacao.inventario.osv'
    _columns = {
        'codigo_barra_id': fields.many2one('automacao.codigo.barra', 'Codigo barras'),
    }

    def onchange_codigo_barra_id(self, cr, uid, ids, codigo_barra_id, context=None):
        context = context and context.copy() or {}
        res = {'value': {'produto_id': False, 'grade_id': False, 'produto_embalagem_id': False}}
        if not codigo_barra_id:
            return res
        vals = self.pool.get('automacao.codigo.barra').read(
            cr, uid, codigo_barra_id, ['produto_id', 'grade_id', 'produto_embalagem_id'],
            context, '_classic_write')
        del vals['id']
        res = {'value': vals}
        return res

