# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
bancosCodigoInterno = [
    ('pb', 'PenseBank')
]

class adm_banco(osv.Model):

    _inherit = 'adm.banco'

    _columns = {
        'admbco_codigo_interno_id': fields.many2one('banfin.codigos.internos', "Codigo interno", ondelete='cascade',
                                                 select=1),
        'admbco_producao_homogacao': fields.selection([('P', 'Producao'), ('H', 'Homologacao')], "Prod/Homolo", size=1),
        'admbco_habilitar_logs': fields.boolean('Habilitar logs'),
        'admbco_codigo_interno': fields.related('admbco_codigo_interno_id', 'banfin_cdin_codigo_interno',
                                                type='char', string='Codigo Interno', store=False)
    }
    _defaults = {
        'admbco_producao_homogacao': 'H',
        'admbco_habilitar_logs': True,
    }



