# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
from openerp.tools.translate import _
from ....adm.control.utils import admConfiguracao
from openerp.tools import config as openerp_config


class financeiro_tesouraria_contas(osv.Model):

    _inherit = 'financeiro.tesouraria.contas'

    def banfin_onchange_desconto_prazo(self, cr, uid, ids, descontoPrazo, context=None):
        if descontoPrazo < 0:
            return {'warning': {'title': _('Aviso'),
                                'message': _('O prazo para desconto deve ser positivo!')}}
        return {'value': {}}

    def banfin_button_configurar_acesso_bd(self, cr, uid, ids, context=None):
        user_ids = self.pool.get('res.users').search(cr, uid, [('login', '=', 'banfin_remoto')], context=context)
        usersBrw = self.pool.get('res.users').browse(cr, uid, user_ids[0], context=context)
        cfg = admConfiguracao('bancos_financeiro', cr.dbname, cripto=True)
        cfg.addParametro('db_host', openerp_config.get('db_host'))
        cfg.addParametro('db_port', str(openerp_config.get('db_port')))
        cfg.addParametro('db_user', openerp_config.get('db_user'))
        cfg.addParametro('db_password', openerp_config.get('db_password'))
        cfg.addParametro('sigerp_user', 'banfin_remoto')
        cfg.addParametro('sigerp_password', usersBrw.password)
        cfg.addParametro('sigerp_porta', str(openerp_config.get('http_port')))
        cfg.gravarConfiguracao()
        return True