# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class banfin_situacao_cob(osv.Model):
    """
        Classe  para recebimento de pix
        prefixo: banfin_stcb
    """


    _name = 'banfin.situacao.cob'
    _columns = {
        'banfin_stcb_codigo_interno': fields.integer('Banco', required=True, select=True),
        'banfin_stcb_codigo': fields.char('codigo', size=3, required=True, select=True),
        'name': fields.char('Descricao', required=True, size=64),
        'banfin_stcb_situacao': fields.selection([('A', 'Aberto'), ('B', 'Baixado'), ('L', 'Liquidado'),
                                      ('P', 'Protestado')], 'Situacao', size=1),
    }
