# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class wiz_banfin_cob_titulos_um(osv.TransientModel):
    """
        Classe de Wizard para consulta de titulos em cobrança
        prefixo: wiz_banfin_ticu_
    """
    _name = 'wiz.banfin.cob.titulos.um'
    _columns = {
        'wiz_banfin_ticu_situacao': fields.char('Situacao', size=20),
        'wiz_banfin_ticu_situacao_codigo': fields.char('Codigo situacao', size=3),
        'wiz_banfin_ticu_emissao': fields.date('Emissao'),
        'wiz_banfin_ticu_vencimento': fields.date('Vencimento'),
        'wiz_banfin_ticu_data_registro': fields.date('Data Registro'),
        'wiz_banfin_ticu_linha_digitavel': fields.char('Linha digitavel', size=48),
        'wiz_banfin_ticu_data_limite': fields.date('Data limite recebimento'),
        'wiz_banfin_ticu_documento': fields.char('Documento', size=30),
        'wiz_banfin_ticu_nossoNumero': fields.char('Nosso numero', size=99),
        'wiz_banfin_ticu_valor': fields.float('Valor do titulo', digits=(9,2)),
        'wiz_banfin_ticu_pix_hash': fields.char('Hash', size=99),
        'wiz_banfin_ticu_sacado': fields.char('Sacado', size=64),
        'wiz_banfin_ticu_baixa_data': fields.date('Data baixa'),
        'wiz_banfin_ticu_desconto_data': fields.date('Data desconto'),
        'wiz_banfin_ticu_desconto': fields.float('Desconto', digits=(9,2)),
        'wiz_banfin_ticu_desconto_recebido': fields.float('Desconto recebido', digits=(9,2)),
        'wiz_banfin_ticu_juros': fields.float('Juros', digits=(9,2)),
        'wiz_banfin_ticu_juros_recebido': fields.float('Juros recebidos', digits=(9,2)),
        'wiz_banfin_ticu_multa': fields.float('Multa', digits=(9,2)),
        'wiz_banfin_ticu_multa_data': fields.date('Data multa'),
        'wiz_banfin_ticu_valor_pago': fields.float('Valor pago', digits=(9,2)),
        'wiz_banfin_ticu_protesto_data': fields.date('Data protesto'),
        'wiz_banfin_ticu_url_boleto': fields.char('Url boleto', size=128),
        'wiz_banfin_ticu_pdf_boleto': fields.text('Boleto'),
    }

