# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields

class wiz_banfin_titulos_cobranca(osv.TransientModel):
    _inherit = 'wiz.banfin.titulos.cobranca'


    def banfin_onchange_conta_id(self, cr, uid, ids, conta_id, context=None):
        context = context and context.copy() or {}
        res = super(wiz_banfin_titulos_cobranca, self).banfin_onchange_conta_id(cr, uid, ids, conta_id, context=context)
        if not conta_id:
            return res
        conta_brw = self.pool.get('financeiro.tesouraria.contas').browse(cr, uid, conta_id, context=context)
        if conta_brw.fintco_bf_cod_interno != 'inter':
            return res
        if not res.get('value'):
            res['value'] = {}
        res['value']['wiz_banfin_ticb_habil_hibrido'] = False
        res['value']['wiz_banfin_ticb_hibrido'] = True
        res['value']['wiz_banfin_ticb_habil_protesto'] = False
        res['value']['wiz_banfin_ticb_habil_baixa'] = False
        res['value']['wiz_banfin_ticb_negativ_oper'] = ''
        res['value']['wiz_banfin_ticb_negativ_prazo'] = 0
        return res
