# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
from openerp.tools.translate import _


class calcmadeira_arvores(osv.Model):
    """
    Tabela de arvores
    Prefixo: cmaarv
    """
    _inherit = 'calcmadeira.arvores'

    def create(self, cr, uid, vals, context=None):
        context = context and context.copy() or {}
        res = super(calcmadeira_arvores, self).create(cr, uid, vals, context)
        self.cmaarv_valida(cr, uid, [res], context)
        return res

    def write(self, cr, uid, ids, vals, context=None):
        context = context and context.copy() or {}
        res = super(calcmadeira_arvores, self).write(cr, uid, ids, vals, context)
        self.cmaarv_valida(cr, uid, [ids] if isinstance(ids, (int, long)) else ids, context)
        return res

    def cmaarv_valida(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        list_msg = []
        calcmadeira_arvores_dados = self.read(cr, uid, ids, [], context)
        for arvore in calcmadeira_arvores_dados:
            msg = ''
            # if arvore.get('cmaarv_diametro') <= 0 or arvore.get('cmaarv_diametro') > 500:
            #     msg += '\n' + _('Diametro deve ser maior que zero e menor ou igual a 500.')
            # if arvore.get('cmaarv_altura') <= 0 or arvore.get('cmaarv_altura') > 150:
            #     msg += '\n' + _('Altura deve ser maior que zero e menor ou igual 150.')
            # if arvore.get('cmaarv_altura_comecial') <= 0:
            #     msg += '\n' + _('Altura comercial nao pode ser menor que zero.')
            msg and list_msg.append(_('Arvore') + ': %s' % (str(arvore.get(
                'cmaarv_arvore')) if arvore.get('cmaarv_arvore') else _('*Arvore sem codigo*')) +
                msg)
        if list_msg:
            raise osv.except_osv(_('Atencao'), ' \n'.join(list_msg))
