# -*- coding: utf-8 -*-
from SubRotinas import *

#------------------------------------------------------------------
# Calcula Altura comercial a partir da Ht do arquivo Arvore.txt

di_limite=float(input('Entre com o diâmetro mínimo de aproveitamento madeireiro (cm): '))
falha = 0
#-----------------------
linarv,narv=learq()
#-----------------------

escolha='1'
#-----------------------------------------------------------------------
es_serra, hi_atual, hi, hi_min, prop_casc, l_min_pecas, es_min_pecas,di_min, es_perim, \
flecha_div_r, es_medula \
    =parametros(escolha)
#-----------------------------------------------------------------------

parc1=[]
arvore1=[]
dap1=[]
ht1=[]
hc1=[]

# numero da árvore
arv=1

# --------------------------------------
B0f_hi, B1f_hi, B2f_hi = Forma_hi()
# --------------------------------------

while arv<=narv:
    dados=linarv[arv].split()

    try:
        parc=float(dados[0])
        arvore=float(dados[1])
        dap=float(dados[2])
        ht=float(dados[3])

        if hi <= ht:
            # --------------------------------------
            hi1 = Eqhi(B0f_hi, B1f_hi, B2f_hi, hi_atual, hi, ht, dap, di_limite)

            hi2 = hi1.hi_result()
            # ---------------------------------------

            if hi2 < hi:
                hi2 = 0

    except:
        falha = falha + 1

        parc = float(dados[0])
        arvore = 0
        dap = 0
        ht = 0
        hi2 = 0

    parc1.append(parc)
    arvore1.append(arvore)
    dap1.append(dap)
    ht1.append(ht)
    hc1.append(hi2)

    parc=arvore=dap=ht=hi2=0

    arv=arv+1

#Salvando arquivo Arvore.txt
data={'parc':parc1,'arvore':arvore1, 'dap': dap1, 'ht':ht1, 'hc': hc1}

#create dataframe
df=pd.DataFrame(data)
print('')
print('-'*70)
print(df)
print('-'*70)
print(falha)

np.savetxt('/tmp/Arvore.txt', df.values, fmt='%f', delimiter="\t", header="parc\tarvore\tdap\tht\thc")
# np.savetxt('e:/thomaz/ILPF_Miguel/ArquivosTxt/Arvore.txt', df.values, fmt='%f', delimiter="\t", header="parc\tarvore\tdap\tht\thc")
# np.savetxt('F:/ILPF_Miguel/ArquivosTxt/Arvore.txt', df.values, fmt='%f', delimiter="\t", header="parc\tarvore\tdap\tht\thc")
# np.savetxt('c:/users/ILPF_Miguel/ArquivosTxt/Arvore.txt', df.values, fmt='%f', delimiter="\t", header="parc\tarvore\tdap\tht\thc")


