# -*- coding: utf-8 -*-
#!/usr/bin/env python

from SubRotinas import *

# Dap - diametro a altura do peito
# ht - altura total da árvore
# hi - comprimento da tora = comprimento da peça
# hi_atual - começa com altura do toco (30 cm)
# di_casc - diâmetro com casca
# di - diâmetro sem casca
# vr - volume peça roliça
# vt - volume arvore
# narv - numero de árvores

def __getitem__(self,item):
    return self.SelecionaPeca[item]


def Calcula_Part_di2_hi_difer(lintaper, taper, cont, hi_atual, ht):

    i=1
    V_tora=0

    while i <= cont:

        dados = lintaper[taper].split()
        di2 = float(dados[3]) ** 2
        hi_acum =float(dados[2])

        if i == 1:
            #AVISAR SIG!!!
            #V_toc = math.pi/40000*di2*hi_atual
            V_toc = math.pi/40000*di2*hi_acum


        if i > 1 and i <= cont:
            dados_1 = lintaper[taper - 1].split()
            di2_1 = float(dados_1[3]) ** 2
            hi = float(dados[2]) - float(dados_1[2])

            V_tora_0=(math.pi/40000*(di2_1 + di2) / 2) * hi
            V_tora = V_tora + V_tora_0

        if float(hi_acum) == 1.3:
            dap=di2**(1/2.0)
            dap2 = di2

        if i == cont:
            hi_pta = float(ht) - float(hi_acum)
            V_pta = math.pi/40000*di2*hi_pta*1/3

        i = i + 1
        taper=taper+1

    V_cub_arv = V_toc+V_tora+V_pta

    hi1=0
    hi2=1
    taper=taper-1
    cont=0



    return dap,dap2, hi1,hi2,taper,cont, V_cub_arv
# ----------------------------------------------------------------

def cubagemtxt():
    print('-' * 70)
    print('Calcula Fator de Forma')

    #-----------------------
    lintaper, ntaper=learq3()
    #-----------------------

    vt = 0.0000
    vt1 = 0.0000
    ntora1 = 0

    # declarando variáveis, não necessário no VBA
    di = 100

    escolha='0'

    # Parametros: começa pela altura do toco (pode ser alterada pelo usuário)
    #-----------------------------------------------------------------------
    es_serra, hi_atual, hi, hi_min, prop_casc, l_min_pecas, es_min_pecas,di_min, es_perim, \
    flecha_div_r, es_medula \
        =parametros(escolha)
    #-----------------------------------------------------------------------

    # numero da árvore
    arv = 1

    # percorre todos os dados. taper é o 'r' no VBA, que começa na linha 2. r=2.
    # '1 limita o 1o dado que não tem com quem comparar
    taper=0

    #limita cada árvore
    cont=0

    # para iniciar sem os dados
    hi=0
    hi1=0
    hi2=1
    FFarv1=0.00
    FFarv1_2=0.00

    # Colunas do arquivo Cubagem.txt (Parc, Arv, dap, ht, hc, v_cub_arv)
    parc1=[]
    arvore1=[]
    dap1=[]
    ht1=[]
    hc1=[]
    V_cub_arv1=[]
    FFarv3=[]

    # Executa por árvore
    while taper < ntaper:

        while hi1 < hi2:
            cont=cont+1
            taper=taper+1

            try:
                dados = lintaper[taper].split()
                hi = float(dados[2])

                dados1 = lintaper[taper + 1].split()
                hi1 = float(dados1[2])

                dados2 = lintaper[taper + 2].split()
                hi2 = float(dados2[2])

                # print('hi={}, hi1={}, hi2={}'.format(hi, hi1, hi2))

            except:
                break
                #pass

        try:
            ht = float(dados1[4])
            parc=float(dados1[0])
            arvore=float(dados1[1])
        except:
            print('Faltou altura total na coluna Ht')

        taper = taper + 1 - cont
        cont = cont + 1

        # -----------------------------------------------------------------------------------
        dap,dap2, hi1,hi2,taper,cont, V_cub_arv=Calcula_Part_di2_hi_difer(lintaper,taper, cont, hi_atual, ht)
        # -----------------------------------------------------------------------------------

        FFarv = V_cub_arv / (math.pi / 40000 * dap2 * ht)

        vt = V_cub_arv

        # Para gerar Data Frame de Cubagem
        parc1.append(parc)
        arvore1.append(arvore)
        dap1.append(dap)
        ht1.append(ht)
        hc = ht
        hc1.append(hc)
        V_cub_arv1.append(V_cub_arv)
        FFarv3.append(FFarv)

        # print('arv={}, V_cub_arv={}, FFarv={}, parc={}, arvore={}, dap={}, ht={}' \
        #       .format(arv,V_cub_arv,FFarv,parc,arvore,dap,ht))

        FFarv1=FFarv1+FFarv
        FFarv1_2=FFarv1_2+FFarv**2

        arv = arv + 1

    FFarv1_med=FFarv1/(arv-1)

    # 'formula para dp =((Sx^2-((Sx)^2/n)/(n-1))^(1/2)
    # 'Uso arv-1 e arv-2, pq o acumulado de arv vem como arv+1, ou seja, se existe apenas 1 arv, arv=2
    # 'Para calculo de dp são necessários pelo menos 3 dados, então arv > 3
    if arv > 3:
        FFarv1_dp=((FFarv1_2-FFarv1**2/(arv-1))/(arv-2))**(1.0/2)

    print('')
    print('-' * 70)
    print('Fator de Forma Médio: {}'.format(FFarv1_med))
    print('Desvio Padrão Fator de Forma: {}'.format(FFarv1_dp))

    #Salvando arquivo Cubagem.txt
    data={'parc':parc1,'arvore':arvore1, 'dap': dap1, 'ht':ht1, 'hc': hc1, 'V_cub_arv': V_cub_arv1,'FFarv':FFarv3}

    #create dataframe
    df=pd.DataFrame(data)
    print('')
    print('-' * 70)
    print(df)
    print('-' * 70)
    print('')

    if arv > 3:
        # np.savetxt('d:/thomaz/ADADOS/ILPF_Miguel/ArquivosTxt/Cubagem.txt', df.values, fmt='%f', delimiter="\t", header="parc\tarvore\tdap\tht\thc\tV_cub_arv")
        # np.savetxt('e:/Thomaz/ILPF_Miguel/ArquivosTxt/Cubagem.txt', df.values, fmt='%f', delimiter="\t", header="parc\tarvore\tdap\tht\thc\tV_cub_arv")
        # np.savetxt('F:/ILPF_Miguel/ArquivosTxt/Cubagem.txt', df.values, fmt='%f', delimiter="\t", header="parc\tarvore\tdap\tht\thc\tV_cub_arv")
        # np.savetxt('C:/Users/ILPF_Miguel/ArquivosTxt/Cubagem.txt', df.values, fmt='%f', delimiter="\t", header="parc\tarvore\tdap\tht\thc\tV_cub_arv")
        np.savetxt('/tmp/Cubagem.txt', df.values, fmt='%f', delimiter="\t", header="parc\tarvore\tdap\tht\thc\tV_cub_arv")
