# -*-coding: UTF-8-*-
import math

class Eqvt():
    def __init__(self, B0v, B1v, B2v,dap,ht):
        self.B0 = B0v
        self.B1 = B1v
        self.B2 = B2v
        self.dap = dap
        self.ht = ht

    def vt_result(self):
        vt=math.exp(self.B0 +self.B1 * math.log(self.dap) + self.B2 * math.log(self.ht))
        return vt

def EquacaoVolume(dap,ht):

    # equação volume por árvore ILPF GG100 2011
    vt = math.exp(-10.1891 + 1.9424 * math.log(dap) + 1.0299 * math.log(ht))

    #equação volume por árvore ILPF MARAVILHAS 2009
    #vt = math.exp(-10.5312815270227 + 1.7700934601883 * math.log(dap) + 1.29205471199543 * math.log(ht))
    return vt

# ----------------------------------------------------------------------------------------------------------------
#Equacao de Taper

class Eqdi_casc():
    def __init__(self, B0f, B1f, B2f, hi_atual, hi, ht, dap, di_casc, di_casc2):
        self.B0 = B0f
        self.B1 = B1f
        self.B2 = B2f
        self.hi_atual=hi_atual
        self.hi=hi
        self.ht = ht
        self.dap = dap
        self.di_casc=di_casc
        self.di_casc2=di_casc2

    def di_casc2_result(self):
        # calcula di com casca (di_casc2) na altura do 2o diâmetro, o menor (hi_atual+hi)
        di_casc2 = math.sqrt(self.B0 +self.B1* ((self.hi_atual + self.hi) / self.ht) + self.B2 * (
                (self.hi_atual + self.hi) / self.ht) ** 2) * self.dap

        return di_casc2

    def di_casc_result(self):

        # calcula di com casca(di_casc) na altura atual (hi_atual)
        di_casc = math.sqrt(
            self.B0+self.B1 * (self.hi_atual / self.ht) + self.B2 * (self.hi_atual / self.ht) ** 2) * self.dap

        return di_casc


def EquacaoForma(hi_atual,hi,ht,dap, di_casc,di_casc2):

    # if eqUsuario == 1 and eqForma == 1:

    # 'EQUAÇÃO TAPER (KOZAK)
    # 'calcula di com casca (di_casc2) na altura do 2o diâmetro, o menor (hi_atual+hi)
    # di_casc2 = Sqr(Range("n2") + Range("n3") * ((hi_atual + hi) / ht) + Range("n4") * ((hi_atual + hi) / ht) ^ 2) * Dap


    # 'calcula di com casca(di_casc) na altura atual (hi_atual)
    # di_casc = (Range("n2") + Range("n3") * (hi_atual / ht) + Range("n4") * (hi_atual / ht) ^ 2) * Dap
    # Else



    #EQUAÇÃO TAPER (KOZAK) ILPF GG100 2011
    #calcula di com casca (di_casc2) na altura do 2o diâmetro, o menor (hi_atual+hi)
    di_casc2 = math.sqrt(1.04975640127245 - 1.48603214408326 * ((hi_atual + hi) / ht) + 0.473173744770541 * ((hi_atual + hi) / ht) ** 2) * dap

    #calcula di com casca(di_casc) na altura atual (hi_atual)
    di_casc = math.sqrt(1.04975640127245 - 1.48603214408326 * (hi_atual / ht) + 0.473173744770541 * (hi_atual / ht) ** 2) * dap

    #EQUAÇÃO TAPER MODIFICADA - di/dap sem elevar ao quadrado(KOZAK) DA ÁRVORE ARV1 (CITRIODORA GUARITA 2) Dados cubados
    #calcula di com casca (di_casc2) na altura do 2o diâmetro, o menor (hi_atual+hi)

    # if hi != 0:
    #     di_casc2 = (1.04317139756795 - 1.15251507113576 * ((hi_atual + hi) / ht) + 0.745608873884745 * math.pow((
    #     (hi_atual + hi) / ht), 2)) * dap
    # else:
    #     #calcula di com casca(di_casc) na altura atual (hi_atual)
    #     di_casc = (1.04317139756795 - 1.15251507113576 * (hi_atual / ht) + 0.745608873884745 * math.pow((hi_atual / ht), 2)) * dap

    #EQUAÇÃO TAPER MODIFICADA - di/dap sem elevar ao quadrado(KOZAK) DA ÁRVORE ARV2 (CITRIODORA GUARITA 2) Dados cubados
    #calcula di com casca (di_casc2) na altura do 2o diâmetro, o menor (hi_atual+hi)
    #di_casc2 = (1.10041792322808 - 1.46182396963 * ((hi_atual + hi) / ht) + 0.77535958077 * ((hi_atual + hi) / ht) ^ 2) * dap

    #calcula di com casca(di_casc) na altura atual (hi_atual)
    #di_casc = (1.10041792322808 - 1.46182396963 * (hi_atual / ht) + 0.77535958077 * (hi_atual / ht) ^ 2) * dap

    #EQUAÇÃO TAPER MODIFICADA - di/dap sem elevar ao quadrado(KOZAK) DA ÁRVORE ARV3 (CITRIODORA GUARITA 2) s/toco Dados cubados
    #calcula di com casca (di_casc2) na altura do 2o diâmetro, o menor (hi_atual+hi)
    #di_casc2 = (1.04934898366772 - 1.01123933349793 * ((hi_atual + hi) / ht) - 0.231797825742175 * ((hi_atual + hi) / ht) ^ 2) * dap

    #calcula di com casca(di_casc) na altura atual (hi_atual)
    #di_casc = (1.04934898366772 - 1.01123933349793 * (hi_atual / ht) - 0.231797825742175 * (hi_atual / ht) ^ 2) * dap

    #EQUAÇÃO TAPER (KOZAK) MARAVILHAS s/toco Dados cubados
    #calcula di com casca (di_casc2) na altura do 2o diâmetro, o menor (hi_atual+hi)
    #if hi!=0:
    # di_casc2 = math.sqrt(1.03698591927493 - 1.45223087205717 * ((hi_atual + hi) / ht) + 0.428220947928028 * ((hi_atual + hi) / ht) ** 2) * dap

    #calcula di com casca(di_casc) na altura atual (hi_atual)
    #else:
    # di_casc = math.sqrt(1.03698591927493 - 1.45223087205717 * (hi_atual / ht) + 0.428220947928028 * (hi_atual / ht) ** 2) * dap

    return di_casc, di_casc2
# ----------------------------------------------------------------------------------------------------------------
# ----------------------------------------------------------------------------------------------------------------
#  Classe para definir altura comercial a partir do menor diametro (que compensa serrar)
class Eqhi():
    def __init__(self, B0f_hi, B1f_hi, B2f_hi, hi_atual, hi, ht, dap, di_limite):
        self.B0 = B0f_hi
        self.B1 = B1f_hi
        self.B2 = B2f_hi
        self.hi_atual=hi_atual
        self.hi=hi
        self.ht = ht
        self.dap = dap
        self.di_limite=di_limite

    def hi_result(self):

        if self.di_limite + 0.5 < self.dap:
            # calcula di com casca(di_casc) na altura atual (hi_atual)
            hi = math.sqrt(
                self.B0+self.B1 * (self.di_limite / self.dap) + self.B2 * (self.di_limite / self.dap) ** 2) * self.ht
        else:
            hi = 0

        return hi
# ----------------------------------------------------------------------------------------------------------------
# ----------------------------------------------------------------------------------------------------------------


# def Formulas14D( flecha, es, es_serra, di):
#
#     # 'angulos (alfa/2) formados com lado esquerdo e direito da peça para comparar com lmin e calcular volume médio
#     # '1o angulo do lado esquerdo da 1a peça é 90 (comprimento de l= R = di/2)
#
#     # 'angulos direito e esquerdo com a nova peça (antes do diametro, usa ang_d, após, usa ang_e
#     ang_e = 180 - math.acos((es-es_serra + flecha - di / 2) / (di / 2)) * 180 / math.pi
#     ang_d = 180 - math.acos((flecha - di / 2) / (di / 2)) * 180 / math.pi
#
#     # 'Cordas esquerda e direita da peça
#     cord_e = di * math.sin(ang_e * math.pi / 180)
#     cord_d = di * math.sin(ang_d * math.pi / 180)
#
#     return  ang_e, ang_d, cord_e, cord_d


def Formulas_CostaneiraBase(flecha, es, es_serra, di, ang_base, R_flecha_base, escolha):

    # 'angulos (alfa/2) formados com lado esquerdo e direito da peça para comparar com lmin e calcular volume médio
    # '1o angulo do lado esquerdo da 1a peça é 90 (comprimento de l= R = di/2)

    # 'cos(180-alfa) = (es + flecha - di / 2) / (di / 2)
    # 'acos((es + flecha - di / 2) / (di / 2))=180-alfa
    # 'alfa = 180 - acos((es + flecha - di / 2) / (di / 2))

    # 'angulos direito e esquerdo com a nova peça (antes do diametro, usa ang_d, após, usa ang_e
    ang_e = 180 - math.acos((es -es_serra + flecha - di / 2) / (di / 2)) * 180 / math.pi
    ang_d = 180 - math.acos((flecha - di / 2) / (di / 2)) * 180 / math.pi

    # 'Cordas esquerda e direita da peça
    if ang_d < (90 - ang_base) or ang_d > (90 + ang_base):
        cord_d = di * math.sin(ang_d * math.pi / 180)
    else:
        cord_d = di * math.sin(ang_d * math.pi / 180) / 2 + R_flecha_base

    if ang_e < (90 - ang_base) or ang_e > (90 + ang_base):
        cord_e = di * math.sin(ang_e * math.pi / 180)
    else:
        cord_e = di * math.sin(ang_e * math.pi / 180) / 2 + R_flecha_base

    return ang_e, ang_d, cord_e, cord_d


def Formulas(fatia, nes1, nes2, es, es_serra, di, ang_e, ang_d, ang_i, ang_s, l_e, l_d, l_i, l_s):
    # Formulas metodo Radial

    # angulos (alfa/2) formados com lado esquerdo e direito da peça para comparar com lmin e calcular volume médio
    # 1o angulo do lado esquerdo da 1a peça é 90 (comprimento de l= R = di/2)
    # angulos direito, esquerdo (Fatia0), inferior, superior (Fatia1)
    # cordas direita, esquerda (Fatia0), inferior, superior (Fatia1)
    # larguras esquerda, direita, inferior, superior da peça (atualiza com desconto da espessura da peça)

    if fatia == 0:

        ang_e = math.acos(nes1 / (di / 2)) * 180 / math.pi
        ang_d = math.acos((nes1 + es-es_serra) / (di / 2)) * 180 / math.pi

        cord_e = di * math.sin(ang_e * math.pi / 180)
        cord_d = di * math.sin(ang_d * math.pi / 180)

        l_e = (cord_e / 2) - nes2
        l_d = (cord_d / 2) - nes2

    elif fatia == 1:

        ang_i = math.asin(nes2 / (di / 2)) * 180 / math.pi
        ang_s = math.asin((nes2 + es-es_serra) / (di / 2)) * 180 / math.pi

        cord_i = di * math.cos(ang_i * math.pi / 180)
        cord_s = di * math.cos(ang_s * math.pi / 180)

        l_i = (cord_i / 2) - nes1
        l_s = (cord_s / 2) - nes1

    return ang_e, ang_d, ang_i, ang_s, l_e, l_d, l_i, l_s

#----------------------------------------------------------------------
# volume da peça
def calc_v(es_serra, es, l_d, l_e, l_s, l_i, hi):
    if l_s == 0:
        v = ((es - es_serra) / 100) * ((l_d + l_e) / 2) / 100 * hi
    else:
        v = ((es - es_serra) / 100) * ((l_s + l_i) / 2) / 100 * hi
    return v

#----------------------------------------------------------------------
# informar angulos para costaneiras
def ang_costan():
    # ang_d = float(input("Digite angulo das costaneiras laterais: \n"))
    # ang_base = float(input("Digite angulo da costaneira base: \n"))
    ang_d = 30
    ang_base = 20
    return ang_d, ang_base




