# -*- coding: utf-8 -*-

from openerp.osv import osv, fields
from openerp.tools.translate import _


class calcmadeira_taper(osv.Model):

    _name = 'calcmadeira.taper'

    _columns = {
        'company_id': fields.many2one('res.company', _('Empresa'), ondelete='cascade',
                                      required=True, select=True),
        'cmatap_lin': fields.integer(_('Parcela')),
        'cmatap_arv': fields.integer(_('Arvore')),
        'cmatap_hi': fields.float(_('Altura tronco'), digits=(3, 2)),
        'cmatap_di_casc': fields.float(_('Diametro'), digits=(3, 2)),
        'cmatap_ht': fields.float(_('Altura total arvore'), digits=(3, 2)),
    }

    _defaults = {
        'company_id': lambda s, cr, uid, c: s.pool.get('res.users').browse(
            cr, uid, uid).company_id.id,
    }
