# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################
from openerp.osv import osv
from openerp import tools


class compras_requisicao_view(osv.Model):
    """
    View
    """
    _name = 'compras.requisicao.view'
    _inherit = 'compras.requisicao.view'

    def init(self, cr):
        tools.drop_view_if_exists(cr, 'compras_requisicao_view')
        cr.execute("""
            CREATE OR REPLACE VIEW compras_requisicao_view AS (
                SELECT 
                    capa.company_id, 
                    capa.solicitacao_id, 
                    capa.numero, 
                    capa.data_hora_emissao,
                    capa.state,
                    capa.observacoes, 
                    item.id, 
                    item.quantidade, 
                    item.produto_id, 
                    item.grade_id 
                FROM compras_requisicao_capa AS capa
                INNER JOIN compras_requisicao_itens AS item
                ON capa.id = item.requisicao_id
            )
        """)
