# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from openerp.tools.translate import _


class adm_parametro(osv.Model):
    _name = "adm.parametro"
    _inherit = "adm.parametro"

    def admpar_onchange_pv_exportar(self, cr, uid, ids, pv_exportar, context=None):
        context = context and context.copy() or {}
        res = {}
        if pv_exportar:
            _inicio = pv_exportar.find('{')
            _fim = pv_exportar.find('}')
            if _inicio == -1 or _fim == -1 or _fim < _inicio:
                return {'warning': {'title': _('Erro no formato'),
                                    'message': _('Formato de comando invalido, tem que haver pelo menos um "{" e um "}" no comando')},
                        'value': {'admpar_siggestao_pv_exportar': ''}
                }
        return {'value': res}
