# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields

texto_help = """
   Comando a ser executado no sigGestao para exportacao do Preco de venda.
   Sera gerado no servidor especificado, na pasta especifidada um arquivo com o nome contido entre as chaves '{}' ou um nome aleatorio se nao existir nada.
   Este arquivo contem uma linha para cada produto a ser alterado.
   A linha tem o seguinte formato: PVaaaaaaaaaaBBBBBcccccccccccc
   Onde: 'PV' e fixo
         'aaaaaaaaaa' e o codigo do produto com 10 bytes
         'BBBBB' 5 bytes com espacos
         'cccccccccccc' e o preco de venda com 12 bytes, sendo os dois ultimos centavos.
"""


class adm_parametro(osv.Model):
    _name = "adm.parametro"
    _inherit = "adm.parametro"
    _columns = {
        'admpar_siggestao_pv_exportar': fields.char('Comando exportar Preco de venda', size=64, help=texto_help),
    }

