# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields


class estoque_produto(osv.Model):
    _name = 'estoque.produto'
    _inherit = 'estoque.produto'
    _columns = {
        'comprador_id': fields.many2one("compras.comprador", 'Comprador', ondelete="restrict", select=True),
        'solicitacao_item_ids': fields.one2many('compras.solicitacao.item', 'produto_id', 'Item'),
        'estpro_informacoes_compras': fields.text('Informacoes para compras'),
    }


