# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields


class compras_solicitacao_historico(osv.Model):
    """
    Historico da solicitacao
    """
    _name = 'compras.solicitacao.historico'
    _columns = {
        'item_id': fields.many2one("compras.solicitacao.item", 'Item', ondelete="cascade", required=True, select=True),
        'state': fields.char('Estado da solicitacao', size=1, required=True), # Estado da solicitacao
        'create_date': fields.datetime('Data/Hora'), # Data/Hora em que houve o registro
        'create_uid': fields.integer('Usuario'), # Usuário que efetuou o registro
    }
