# -*- coding: utf-8 -*-

from openerp.tests.common import TransactionCase
from sigaddons.config_teste import set_config


class TestEstsugCompraCapa(TransactionCase):
    """
    Classe responsavel por testes unitarios nos metodos da classe estsug_compra_capa
    :author: Tiago Henrique Prates dos Santos <tiago.santos[at]siginformatica.com.br>
    """

    @classmethod
    def setUpClass(cls):
        set_config()

    def setUp(self):
        super(TestEstsugCompraCapa, self).setUp()
        self.estsug_compra_capa = self.registry('estsug.compra.capa')
        self.estsug_compra_capa_ids = self.estsug_compra_capa.search(
            self.cr, self.uid, [], limit=1)

    def test_esgccp_button_gerar_requisicao(self):
        res = self.estsug_compra_capa.esgccp_button_gerar_requisicao(
            self.cr, self.uid, self.estsug_compra_capa_ids, {})
        self.assertTrue(res)
