# -*- coding: utf-8 -*-

from openerp.osv import osv, fields


class compras_mkp_pesquisa(osv.Model):

    _name = 'compras.mkp.pesquisa'
    _columns = {
        'commkppes_produto_id': fields.many2one('compras.mkp.produto', 'Produto', required=True,
                                                select=True, ondelete='cascade'),
        'commkppes_status': fields.selection([('1', 'Pesquisado'), ('2', 'Com problemas')], size=1,
                                             string='Status'),
        'commkppes_disponibilidade': fields.selection([('D', 'Disponivel'), ('S', 'Sem estoque')],
                                                      size=1, string='Disponibilidade'),
        'commkppes_preco': fields.float('Preco', digits=(9, 2)),
        'commkppes_data_ultima_pesquisa': fields.date('Data ultima pesquisa'),
        'commkppes_mensagem': fields.text('Informacoes complementares'),
    }
    _order = 'id DESC'
