# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class contabil_centro_custos_rateio(osv.Model):
    _name = 'contabil.centro.custos.rateio'
    _columns = {
        'ctbccr_conta_id': fields.many2one('contabil.conta', 'Conta', required=True, ondelete='cascade'),
        'ctbccr_centro_custos_id': fields.many2one('adm.empresa.centrocusto', 'Centro de custos', required=True,
                                                   ondelete="cascade"),
        'ctbccr_percentual': fields.float('Percentual', digits=(3, 2), required=True),
    }


