# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class contabil_lancamento_centro_custos(osv.Model):
    _name = 'contabil.lancamento.centro.custos'
    _inherits = {
        'contabil.lancamentos': 'ctbccu_lancamento_id',
    }
    _columns = {
        'ctbccu_lancamento_id': fields.many2one('contabil.lancamentos', 'Lancamento', ondelete="cascade",
                                                required=True),
        'ctbccu_centro_custos_id': fields.many2one('adm.empresa.centrocusto', 'Centro de custos', ondelete="restrict",
                                                   required=True, select=True),
        'ctbccu_valor': fields.float('Valor', digits=(14, 2), required=True),
    }
