# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from funcoes import crmcas_get_item_contrato


class crm_br_case(osv.Model):

    _name = 'crm_br.case'
    _inherit = 'crm_br.case'

    _columns = {
        'crmcas_contrato_item_ids': fields.function(crmcas_get_item_contrato, method=True,
                                                    string='Itens contrato', type='one2many',
                                                    relation='contratos.contrato.item',
                                                    store=False),
    }
