# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class contratos_tipo(osv.Model):

    _name = 'contratos.tipo'
    _inherit = 'contratos.tipo'

    def create(self, cr, uid, vals, context=None):
        context = context and context.copy() or {}
        vals['ctttip_sigla'] = vals.get('ctttip_sigla').upper()
        res = super(contratos_tipo, self).create(cr, uid, vals, context)
        return res

    def write(self, cr, uid, ids, vals, context=None):
        context = context and context.copy() or {}
        if vals.get('ctttip_sigla'):
            vals['ctttip_sigla'] = vals.get('ctttip_sigla').upper()
        res = super(contratos_tipo, self).write(cr, uid, ids, vals, context)
        return res
