# -*- encoding: utf-8 -*-

##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from funcoes import _admpes_get_contrato


class adm_pessoa(osv.Model):

    # prefixo = admpes_

    _inherit = 'adm.pessoa'

    _columns = {
        'admpes_contratos_ids': fields.one2many('contratos.contrato', 'pessoa_id', 'Contratos'),
        'admpes_tem_contrato': fields.function(_admpes_get_contrato, method=True,
                                               string='Tem contrato', type='boolean', store=False),
    }
