# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class contratos_contrato_item_valor(osv.Model):

    """
    Tabela de valores dos itens num determinado periodo de tempo
    prefixo: cttivl_
    """

    _name = 'contratos.contrato.item.valor'
    _rec_name = 'cttivl_item_id'

    _columns = {
        'cttivl_item_id': fields.many2one('contratos.contrato.item', 'Item'),
        'cttivl_prazo_id': fields.many2one('contratos.prazos', 'Prazo'),
        'cttivl_valor': fields.float('Valor', digits=(11, 2)),
    }
