# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields


class contratos_fornecedor_itens(osv.Model):
    """
    Tabela dos itens dos contratos/proposta feito pelos fornecedores do cliente.
    """
    _name = 'contratos.fornecedor.itens'
    _columns = {
        'contrato_id': fields.many2one("contratos.fornecedor.capa", 'Contrato', ondelete="cascade", required=True,
                                       select=True), # id do contrato\n
        'preco': fields.float('Preco', digits=(11, 2), required=True), # Preco negociado
        'produto_id': fields.many2one("estoque.produto", 'Produto', ondelete="restrict", required=True, select=True),
    }

