# -*- coding: utf-8 -*-

from openerp.tests.common import TransactionCase
from sigaddons.config_teste import set_config


class TestContratosPrazos(TransactionCase):
    """
    Classe responsavel por testes unitarios nos metodos da classe contratos_prazos
    :author: Tiago Henrique Prates dos Santos <tiago.santos[at]siginformatica.com.br>
    """

    @classmethod
    def setUpClass(cls):
        set_config()

    def setUp(self):
        super(TestContratosPrazos, self).setUp()
        self.contratos_prazos = self.registry('contratos.prazos')
        self.prazo_ids = self.contratos_prazos.search(self.cr, self.uid, [], limit=1)

    def test_cttprz_button_gerar_titulos(self):
        res = self.contratos_prazos.cttprz_button_gerar_titulos(self.cr, self.uid, self.prazo_ids,
                                                                {})
        self.assertEqual(type(res), dict)
