# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class ctrsig_bases_instaladas(osv.Model):
    _name = 'ctrsig.bases.instaladas'
    _rec_name = 'csgbai_cnpj'
    _columns = {
        'csgbai_cnpj': fields.char('CNPJ', size=17, required=1),
        'csgbai_pessoa_id': fields.many2one("adm.pessoa", 'Cliente'),
        'create_date': fields.datetime('Data atualizacao', readonly=1),
        'csgbai_versao_atual': fields.char('Versao atual', size=10),
        'csgbai_versao_atualizar': fields.char('Versao atualizar', size=10),
        'csgbai_ip': fields.char('IP', size=15),
        'csgbai_modulos': fields.text('Modulos'),
    }
