#!/usr/bin/python
# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class sig_cliente_validacao(osv.Model):

    _name = 'sig.cliente.validacao'
    _rec_name = 'sigclv_cliente_id'
    _columns = {
        'sigclv_cliente_id': fields.many2one('financeiro.cliente', 'Cliente', required=True, select=True,
                                             ondelete='cascade'),
        'create_uid': fields.many2one("res.users", 'Usuario', readonly=True, select=True),
        'create_date': fields.datetime('Data da validacao', readonly=True, select=True),
        'sigclv_licensa': fields.char('Licensa', char=128, readonly=True),
        'sigclv_ip': fields.char('Ip do cliente', char=16, readonly=True),
        'sigclv_valido_ate': fields.char('Validado ate', char=8, readonly=True)
    }
    _order = 'create_date desc'
