# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class contrecf_mobile(osv.Model):

    _name = 'contrecf.mobile'

    _columns = {
        'ctrmob_pessoa_id': fields.many2one("adm.pessoa", 'Cliente', ondelete="cascade",
                                            select=True, required=True),
        'ctrmob_marca': fields.char('Marca', required=True, size=20),
        'ctrmob_modelo': fields.char('Modelo', required=True, size=20),
        'ctrmob_nro_serie': fields.char('Numero de serie', required=True, readonly=True, size=20,
                                        select=True),
        'ctrmob_licenca': fields.char('Licenca', size=256),
    }

