# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class contrecf_modelosecfs(osv.Model):
    _name = 'contrecf.modelosecfs'
    _rec_name = 'descricao'
    _columns = {
        'fabricante_id': fields.many2one('contrecf.fabricante', 'Fabricante', required=True, ondelete="cascade",
                                         select=True),
        'descricao': fields.char('Modelo', size=15, required=True),
        'codigo_nacional': fields.char('Codigo nacional', size=2, help='Codigo nacional de identificacao do modelo'),
        'versao_ids': fields.one2many('contrecf.versao', 'modelosecfs_id', 'Versoes do SB'),
        'nroseriesecf_ids': fields.one2many('contrecf.nroseriesecfs', 'modelo_id', 'Numeros de serie'),
    }

