# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class sig_parceiros(osv.Model):

    """
    Prefixo sigpar
    Trocar o nome da tabela
    """

    _name = 'sig.parceiros'
    _inherits = {'adm.pessoa': 'pessoa_id'}
    _rec_name = 'nome'

    _columns = {
        'pessoa_id': fields.many2one('adm.pessoa', 'Parceiro', required=True, ondelete="cascade", select=True),
        'sigpar_produto_ids': fields.one2many('sig.parceiros.produtos', 'sigprp_parceiro_id', 'Produtos'),
        'sigpar_cliente_produto_ids': fields.one2many('sig.cliente.produto', 'sigclp_parceiro_id', 'Clientes')
    }
    _order = 'pessoa_id'

