# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class contrecf_usuarios(osv.Model):
    from funcoes import _nome_usuario

    _name = 'contrecf.usuarios'

    _columns = {
        'parceiro_id': fields.many2one('sig.parceiros', 'Parceiro', required=True, ondelete="cascade", select=True),
        'pessoa_id': fields.many2one('adm.pessoa', 'Usuario', required=True, ondelete="cascade", select=True),
        'senha': fields.char('Senha', size=15),
        'name': fields.function(_nome_usuario, method=True, string='Parceiro', type='text', store=False),
    }

