#!/usr/bin/python
# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class sig_venda_modulos(osv.Model):
    _name = 'sig.venda.modulos'
    _rec_name = 'sigvnd_modulo_id'

    _columns = {
        'sigvnd_venda_id': fields.many2one('contrecf.vendas', 'Venda', required=True),
        'create_date': fields.datetime('inclusao', readonly=True),
        'create_uid': fields.many2one('res.users', 'Incluido por', readonly=True),
        'sigvnd_modulo_id': fields.many2one('ir.module.module', 'Modulo', required=True),
        'sigvnd_cancelado': fields.boolean('Cancelado', readonly=True),
        'sigvnd_data_cancelou': fields.date('Data cancelamento', readonly=True),
        'sigvnd_usuario_cancelou_id': fields.many2one('res.users', 'Usuario que cancelou',
                                                      readonly=True),
    }
    _defaults = {
        'sigvnd_cancelado': False,
    }
