# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class contrecf_versao(osv.Model):
    _name = 'contrecf.versao'
    _rec_name = 'descricao'
    _columns = {
        'modelosecfs_id': fields.many2one('contrecf.modelosecfs', 'Modelo', required=True, ondelete="restrict",
                                          select=True),
        'descricao': fields.char('Versao do SB', size=10, required=True, help='Versao do software basico da ECF'),
        'codigo_nacional': fields.char('Codigo nacional', size=2, help='Codigo nacional de identificacao da versao'),
        'nroseriesecfs_ids': fields.one2many('contrecf.nroseriesecfs', 'versao_id', 'Impressoras'),
        # Relacao de Impressoras associadas a esta versao
    }

