# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from openerp.tools.translate import _


class comando_svn(osv.Model):
    _name = 'comando.svn'
    _rec_name = 'cpmsvn_name'

    _columns = {
        'cpmsvn_name': fields.char('Nome do comando',size=60, required=True),
        'comsvn_produto_id': fields.many2one("crm_br.produto", 'Produto', required=True),
        'comsvn_comando_svn': fields.char('Comando SVN',size=160, required=True),
        'comsvn_diretorio_instalacao': fields.char(_('Diretorio de instalacao'),size=160,
                                                   required=True),
    }