# -*- encoding: utf-8 -*-

from openerp.osv import osv
from openerp import pooler
from openerp.tools.translate import _

ask_form = '''<?xml version="1.0"?>
<form string="Logar no sistema">
    <field name="cnpj"/>
</form>
'''

ask_fields = {
    'cnpj': {
        'string': 'Digite seu CNPJ',
        'type': 'char',
        'required': True
    },
}


class wiz_login(osv.TransientModel):
    _name = 'wiz.login'

    def apagar_cotacao(self, cr, uid, data, context):

        print '-', context.items()
        print '-', context.keys()
        # -----------------------------------------------------------------------
        return {}
        cnpj = data['form']['cnpj']
        pool = pooler.get_pool(cr.dbname)
        id_pessoa = pool.get('pessoa.pessoa').search(cr, uid, [('cpf_cnpj', '=', cnpj)], context=context)

        if id_pessoa:
            id_fornecedor = pool.get('financeiro.fornecedor').search(cr, uid, [('pessoa_id', '=', id_pessoa[0])],
                                                                     context=context)
            if not id_fornecedor:
                raise wizard.except_wizard(_('Aviso'), _('Nao existe nenhuma fornecedor cadastrado para este CPNJ!'))
        else:
            raise wizard.except_wizard(_('Aviso'), _('Nao existe nenhuma pessoa cadastrada com este CPNJ!'))
        value = {
            'name': 'Cotacoes',
            'view_type': 'form',
            'view_mode': 'tree,form',
            'res_model': 'cotacao.cotacoes',
            'context': {'Quem chamou': 'Wizard', 'id_fornecedor': id_fornecedor[0]},
            #            'domain': [('fornecedor_id','=',id_fornecedor[0])],
            'view_id': False,
            'type': 'ir.actions.act_window'
        }
        return value

    states = {
        'init': {
            'actions': [],
            'result': {
                'type': 'form',
                'arch': ask_form,
                'fields': ask_fields,
                'state': [
                    ('end', 'Cancelar', 'gtk-cancel'),
                    ('apagar', 'Excluir cotacao', 'gtk-ok')
                ]
            }
        },
        'apagar': {
            'actions': [],
            'result': {'type': 'action', 'action': apagar_cotacao, 'state': 'end'},
        }
    }


wiz_login()
