# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp.osv import osv


def _links_get(self, cr, uid, context=None):
    context = context and context.copy() or {}
    obj = self.pool.get('res.request.link')
    ids = obj.search(cr, uid, [], context=context)
    res = obj.read(cr, uid, ids, ['object', 'name'], context=context)
    return [(r['object'], r['name']) for r in res]

class crm_br_event_type(osv.Model):
    _name = "crm_br.event.type"
    _inherit = "crm_br.event.type"

    def unlink(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        return super(crm_br_event_type, self).unlink(cr, uid, ids, context=context)
    def check(self, cr, uid, key, context=None):
        context = context and context.copy() or {}
        return self.search(cr, uid, [('key', '=', key)], context=context)
