# -*- encoding: utf-8 -*-

from openerp.osv import fields, osv


class crm_br_requisitos_requisito(osv.Model):
    _name = "crm_br.requisitos.requisito"
    _inherit = "crm_br.requisitos.requisito"

    def create(self, cr, uid, vals, context=None):
        context = context and context.copy() or {}
        capa_id = vals.get('crmrqr_capa_id')
        requisito_id = self.search(cr, uid, [('crmrqr_capa_id', '=', capa_id)], offset=0, limit=1,
                                   order='crmrqr_numero desc', context=context)
        if not requisito_id:
            vals['crmrqr_numero'] = 1
        else:
            vals['crmrqr_numero'] = self.browse(cr, uid, requisito_id[0]).crmrqr_numero + 1
        res = super(crm_br_requisitos_requisito, self).create(cr, uid, vals, context)
        return res
