# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp.osv import fields, osv


class crm_br_case_pipeline_detalhe(osv.Model):
    _name = "crm_br.case.pipeline.detalhe"
    _description = "Campos a serem usados no pileline"
    _rec_name = 'campo01'

    _columns = {
            'id':  fields.integer('Id', readonly=True),
            'campo01' : fields.many2one ('crm_br.case.stage', 'Abordagem', domain="[('section_id','=',3)]"),
            'campo02' : fields.many2one ('crm_br.case.stage', 'Aprov.Escopo', domain="[('section_id','=',3)]"),
            'campo03' : fields.many2one ('crm_br.case.stage', 'Elab.Proposta', domain="[('section_id','=',3)]"),
            'campo04' : fields.many2one ('crm_br.case.stage', 'Lev./Apresentacao', domain="[('section_id','=',3)]"),
            'campo05' : fields.many2one ('crm_br.case.stage', 'Negociacao/Rev.', domain="[('section_id','=',3)]"),
            'campo06' : fields.many2one ('crm_br.case.stage', 'Standby', domain="[('section_id','=',3)]"),
            'campo07' : fields.many2one ('crm_br.case.stage', 'Fech.Perdido', domain="[('section_id','=',3)]"),
            'campo08' : fields.many2one ('crm_br.case.stage', 'Fech.Vencido', domain="[('section_id','=',3)]"),
            'campo09' : fields.many2one ('crm_br.case.stage', 'Estagio 9', domain="[('section_id','=',3)]"),
            'campo10' : fields.many2one ('crm_br.case.stage', 'Estagio 10', domain="[('section_id','=',3)]"),
    }
