# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################


from openerp.osv import fields, osv


class crm_br_case_stage_rel(osv.Model):

    _name = 'crm_br.case.stage.rel'
    _order = 'sequence'
    _columns = {
        'sequence': fields.integer('Sequence'),
        'name': fields.many2one('crm_br.case.stage', 'Estagio', required=True),
        'rel_id': fields.many2one('crm_br.case.categ', 'Rel'),
    }
    _defaults = {
        'sequence': 1
    }
