# -*- encoding: utf-8 -*-

from openerp.osv import fields, osv

class crm_br_programas(osv.Model):
    _name = "crm_br.programas"
    _description = "Programas"
    _columns = {
        'crmprg_produto_id': fields.many2one('crm_br.produto', 'Produto', required=True, select=True),
        'crmprg_modulo_id': fields.many2one('crm_br.case.categ', 'Categoria', required=True, select=True, domain="[('section_id','=','BugSup')]"),
        'name': fields.char('Nome', size=64, required=True),
        'crmprg_codigo': fields.char('Codigo do programa', size=10),
        }
