# -*- encoding: utf-8 -*-

from openerp.osv import fields, osv

class crm_br_requisitos_capa(osv.Model):
    _name = "crm_br.requisitos.capa"
    _description = "Requisitos"
    _rec_name = 'crmrqc_numero'
    _columns = {
        'crmrqc_numero': fields.char('Numero', size=15),
        'crmrqc_produto': fields.many2one('crm_br.produto', 'Produto', required=True),
        'crmrqc_descricao': fields.text('Descricao', required=True),
        'crmrqc_requisitos_cliente': fields.text('Requisitos do Cliente', required=True),
        'crmrqc_requisitos_requisito_ids': fields.one2many('crm_br.requisitos.requisito', 'crmrqr_capa_id', 'Requisito'),
        'crmrqc_case_id': fields.many2one('crm_br.case', 'Atividade'),
        'crmrqc_cliente_id': fields.many2one('adm.pessoa', 'Cliente'),
        'create_date': fields.datetime('Data', readonly=True),
        }

    _order = 'crmrqc_numero desc'
