# -*- encoding: utf-8 -*-

from openerp.osv import fields, osv

class crm_br_requisitos_itens(osv.Model):
    _name = "crm_br.requisitos.itens"
    _columns = {
        'crmrqi_requisito_id': fields.many2one('crm_br.requisitos.requisito', 'Requisito'),
        'crmrqi_tipo': fields.selection([('T','Tela'),
                                         ('D','Estrutura de dados'),
                                         ('R','Relatorio'),
                                         ('S','Permissoes de seguranca'),
                                         ('M','Menu')], 'Tipo', size=1),
        'crmrqi_tela_tipo': fields.selection([('FO','Form'),
                                              ('TR','TreeView'),
                                              ('CA','Calendar'),
                                              ('KA','Kanban'),
                                              ('GA','Gantt'),
                                              ('GR','Grafico'),
                                              ('DI','Diagrama'),
                                              ('SE','SearchView')], 'Tipo Tela', size=2),
        'name': fields.char('Descricao', size=64, required=True),
        'crmrqi_nome_tecnico': fields.char('Id do xml', size=64),
        'crmrqi_item_detalhamento_ids': fields.one2many('crm_br.requisitos.detalhamento', 'crmrqd_item_id', 'Detalhamento'),
        }
