# -*- encoding: utf-8 -*-
from openerp.osv import osv, fields

class wizard_atendimentos_a_faturar(osv.TransientModel):


    _name = 'wizard.atendimentos.a.faturar'
    _columns = {
        'periodo_inicial': fields.date('Periodo inicial'),
        'periodo_final': fields.date('Periodo final'),
        'atividades_concluidas': fields.boolean('Atividades concluidas'),
        }
    _defaults = {
        'atividades_concluidas': True,
        }

    def button_print(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        projetos_a_faturar_dados = self.read(cr, uid, ids, [], context=context)
        for x in projetos_a_faturar_dados:
            datas = {
                'periodo_inicial': x.get('periodo_inicial'),
                'periodo_final': x.get('periodo_final'),
                'atividades_concluidas': x.get('atividades_concluidas'),
                }
        return {
            'type': 'ir.actions.report.xml',
            'report_name': 'listagem_atendimentos_a_faturar',
            'datas': datas,
            }
