# -*- coding: utf-8 -*-

from openerp.osv import osv, fields


class wizard_crm_br_log_grouped(osv.TransientModel):

    _name = 'wizard.crm_br.log.grouped'
    _columns = {
        'case_id': fields.many2one('crm_br.case', 'Case', required=True, ondelete='cascade',
                                   select=True, readonly=True),
        'user_id': fields.many2one('res.users', 'User Responsible', readonly=True,
                                   select=True),
        'stage_id': fields.many2one('crm_br.case.stage', 'Stage', readonly=True, select=True),
        'tempo_atendimento': fields.float('Tempo atendimento', readonly=True),
    }
