# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields
from funcoes import crmcas_get_pedido_id


class crm_br_case(osv.Model):

    _inherit = 'crm_br.case'

    _columns = {
        'crmcas_pedido_item_id': fields.many2one('estoquepedidos.pedido.item', 'Item do pedido',
                                                 select=True),
        'crmcas_pedido_id': fields.function(crmcas_get_pedido_id, method=True, string='Pedido',
                                            type='many2one', relation='estoquepedidos.pedido.capa',
                                            store=True),
    }