# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel França
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
from openerp.tools.translate import _


class delivery_horarios(osv.Model):
    _inherit = 'delivery.horarios'

    def create(self, cr, user, vals, context=None):
        if vals.get('dvyhor_rota_id') and vals.get('dvyhor_cliente_id'):
            raise osv.except_osv(_('Atencao'), _('Informe a rota ou o cliente, nunca os dois!'))
        if not (vals.get('dvyhor_rota_id') or vals.get('dvyhor_cliente_id')):
            raise osv.except_osv(_('Atencao'), _('E necessario informar a rota ou o cliente!'))
        res = super(delivery_horarios, self).create(cr, user, vals, context=context)
        return res

    def write(self, cr, user, ids, vals, context=None):
        res = super(delivery_horarios, self).write(cr, user, ids, vals, context=context)
        for record in self.browse(cr, user, ids, context=context):
            if record.dvyhor_rota_id and record.dvyhor_cliente_id:
                raise osv.except_osv(_('Atencao'), _('Informe a rota ou o cliente, nunca os dois!'))
            if not (record.dvyhor_rota_id or record.dvyhor_cliente_id):
                raise osv.except_osv(_('Atencao'), _('E necessario informar a rota ou o cliente!'))
        return res