# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2015 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz[at]siginformatica.com.br>
                                -------

Copyleft (CC) 2015, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv


# noinspection PyPep8Naming,PyAbstractClass
class relatorio_comissao_entrega(osv.TransientModel):
    """
    Formulario de consulta do relatorio de comissao de entrega.

    :author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    _name = 'relatorio.comissao.entrega'
    _inherit = 'relatorio.comissao.entrega'

    def button_imprimir(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        relatorio_comissao_entrega_dados = self.read(cr, uid, ids, [], context=context)

        if isinstance(relatorio_comissao_entrega_dados, (list, tuple)):
            relatorio_comissao_entrega_dados = relatorio_comissao_entrega_dados[0]

        return dict(type='ir.actions.report.xml', report_name='relatorio.comissao.entrega',
                    datas=dict(periodo=[relatorio_comissao_entrega_dados.get('data_inicio'),
                                        relatorio_comissao_entrega_dados.get('data_fim')],
                               entregador=relatorio_comissao_entrega_dados.get('entregador_id')))

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
