# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from openerp.tools.translate import _


class automacao_codigo_barra(osv.Model):

    _inherit = 'automacao.codigo.barra'

    def unlink(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        codigo_barra_dados = self.read(cr, uid, ids, ['codigo_barra'], context=context)
        list_codigo_barra = map(lambda i: i.get('codigo_barra'), codigo_barra_dados)
        cupom_item_ids = self.pool.get('ecf.cupons.item').search(
            cr, uid, [('item', 'in', list_codigo_barra)], context=context)
        if cupom_item_ids:
            raise osv.except_osv(_('Atencao'), _('O codigo de barras nao pode ser excluido. '
                                                 'Existe registro de cupom com o mesmo.'))
        res = super(automacao_codigo_barra, self).unlink(cr, uid, ids, context=context)
        return res
