# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class estoque_movimento_itens(osv.Model):
    _name = 'estoque.movimento.itens'
    _inherit = 'estoque.movimento.itens'
    _columns = {
        'vr_acrescimos': fields.float('Vr acrescimos', digits=(11, 2)), # Valor dos acrescimos
        'cupom_id': fields.many2one("ecf.cupons.capa", 'Cupom Fiscal', ondelete="cascade", select=True), # id da capa do Cupom
        'cupom_item_id': fields.many2one("ecf.cupons.item", "Item do Cupom", ondelete="cascade", select=True), # id do item no Cupom
        'item_cancelado': fields.boolean('Cancelamento do Item'), # Flag de Cancelamento do Item
    }


