# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

import time
from openerp.osv import osv, fields


class financeiro_tesouraria_movimento(osv.Model):
    """
    Tabela com os lancamentos de recebimentos, pagamentos e outros movimentos da Tesouraria.
    Quando se tratar de recebimento ou pagamento, ela e a capa do lote dos documentos baixados.
    prefixo: fintem

    """

    _name = 'financeiro.tesouraria.movimento'
    _inherit = 'financeiro.tesouraria.movimento'
    _columns = {
        'fintem_cupom_id': fields.many2one("ecf.cupons.capa", 'Cupom'),  # referencia de cupons sem clientes
    }


