# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv
from openerp.tools.translate import _


class fiscal_modelo_nf_series(osv.Model):
    _inherit = 'fiscal.modelo.nf.series'  # fismns

    def onchange_modelo(self, cr, uid, ids, modelo_id, context=None):
        context = context and context.copy() or {}
        res = super(fiscal_modelo_nf_series, self).onchange_modelo(cr, uid, ids, modelo_id, context)
        if not modelo_id:
            res['value']['fismns_codigo_modelo'] = ''
            return res

        codigo = self.pool.get('fiscal.modelo.nf').read(cr, uid, modelo_id, ['fismnf_codigo'],
                                                        context).get('fismnf_codigo')
        res['value']['fismns_codigo_modelo'] = codigo
        return res
