# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class fiscal_modelo_nf_series(osv.Model):
    """
    Tabela de Series de nf
    """
    _inherit = 'fiscal.modelo.nf.series'  # fismnfs

    def fismns_get_modelo(self, cr, uid, ids, name, arg, context=None):
        context = context and context.copy() or {}
        res = {}
        for i in self.browse(cr, uid, ids, context):
            if i.modelo_nf_id and i.modelo_nf_id.fismnf_codigo:
                res[i.id] = i.modelo_nf_id.fismnf_codigo
            else:
                res[i.id] = ''

        return res


    _columns = {
        'fismns_local_id': fields.many2one("estoque.local", 'Local NFC-e', ondelete="cascade"),
        'fismns_codigo_modelo': fields.function(fismns_get_modelo, method=True,
                                                string='Codigo Modelo', type='char', size=2,
                                                store=False),
    }
