# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class fiscal_parametro(osv.Model):
    _name = 'fiscal.parametro'
    _inherit = 'fiscal.parametro'
    _columns = {
        'cupom_nota_natureza_id': fields.many2one('fiscal.cfop.natureza',
                                                  'Natureza para nota de cupom no estado',
                                                  ondelete="restrict"),
        'cupom_nota_uf_fora_natureza_id': fields.many2one(
            'fiscal.cfop.natureza', 'Natureza para nota de cupom fora do estado',
            ondelete="restrict"),
        'cupom_nota_condicao_id': fields.many2one('adm.condicao.forma', 'Condicao Pgto. p/ Nota de Cupom',
                                                  ondelete="restrict"),
    }


