# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################



# Funcoes da classe fiscal_tributacao_encargos
def _fisten_get_cod_tributacao_na_ecf(self, cursor, user, ids, name, arg, context=None):
    context = context and context.copy() or {}
    res = {}
    for id in ids:
        sql = '''
                SELECT ft.tributacao_ecf
                FROM fiscal_tributacao_encargos AS fte
                LEFT JOIN fiscal_tributacao AS ft ON ft.id = fte.tributacao_id
                WHERE fte.id = %s
              ''' % (id)
        cursor.execute(sql)
        tributacao_ecf = cursor.dictfetchall()
        if tributacao_ecf and isinstance(tributacao_ecf, list):
            tributacao_ecf = tributacao_ecf[0]
        if tributacao_ecf and isinstance(tributacao_ecf, dict):
            tributacao_ecf = tributacao_ecf.get('tributacao_ecf')
        res[id] = tributacao_ecf
    return res
