# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class ecf_cupons_vencimento(osv.Model):
    """
    Tabela contendo o(s) vencimento(s) das finalizadoras a prazo
    """
    _name = 'ecf.cupons.vencimento'
    _columns = {
        'finalizacao_id': fields.many2one("ecf.cupons.finalizacao", 'Finalizacao', required=False, invisible="1",
                                          select=True),
        'data_vencimento': fields.date('Data de encimento', required=True, help='Data de vencimento da Parcela'),
        'valor': fields.float('Valor', digits=(11, 2), help="Valor da Parcela"),
    }
    _order = 'data_vencimento'



