# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from funcoes import eneprj_get_dados


class energia_grafico_ano_osv(osv.TransientModel):
    """
    Tabela de itens do projeto
    Prefixo enegfa
    """
    _name = 'energia.grafico.ano.osv'
    _description = 'Tabela de itens dos projetos'
    _columns = {
        'enegfa_projeto_id': fields.many2one("energia.projetos", "Projeto", required=True, select=True, ondelete='cascade'),
        'enegfa_mes_nro': fields.integer('Nro mes'),
        'enegfa_mes_sigla': fields.char("Mes", size=3),
        'enegfa_quantidade1': fields.integer('Quantidade'),
        'enegfa_quantidade2': fields.integer('Quantidade'),

    }
    _order='enegfa_projeto_id,enegfa_mes_nro'

