# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from funcoes import enepji_get_dados


class energia_projetos_locpinv_fotos(osv.Model):
    """
    Tabela de Fotos dos locais de instalacao dos inversores
    Prefixo enelfi_
    """
    _name = 'energia.projetos.locpad.fotos'
    _description = 'Tabela de fotos do local do padrao'
    _columns = {
        'enelfp_projeto_id': fields.many2one("energia.projetos", "Projeto", required=True, select=True,
                                             ondelete='cascade'),
        'enelfp_sequencia': fields.integer('Seq.'),
        'enelfp_foto': fields.binary('Foto', filters='*.png,*.gif,*.jpeg'),

    }
    _defaults = {
        'enelfp_sequencia': 1,
    }
