# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from funcoes import enepji_get_dados


class energia_projetos_locpan_fotos(osv.Model):
    """
    Tabela de Fotos dos locais de instalacao
    Prefixo enepjif_
    """
    _name = 'energia.projetos.locpan.fotos'
    _description = 'Tabela de fotos dos locais de instalacao'
    _columns = {
        'enepjif_local_id': fields.many2one("energia.projetos.instalacao", "Local", required=True, select=True,
                                             ondelete='set null'),
        'enepjif_sequencia': fields.integer('Seq.'),
        'enepjif_foto': fields.binary('Foto', filters='*.png,*.gif,*.jpeg'),

    }
    _defaults = {
        'enepjif_sequencia': 1,
    }
