# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from funcoes import eneprj_get_dados


class energia_projetos_itens(osv.Model):
    """
    Tabela de itens do projeto
    Prefixo enepri
    """
    _name = 'energia.projetos.itens'
    _description = 'Tabela de itens dos projetos'
    _columns = {
        'enepri_projeto_id': fields.many2one("energia.projetos", "Projeto", required=True, select=True, ondelete='cascade'),
        'enepri_sequencia': fields.integer('Sequencia'),
        'enepri_descricao': fields.char("Descricao", size=15),
        'enepri_mes_01': fields.integer('Jan'),
        'enepri_mes_02': fields.integer('Fev'),
        'enepri_mes_03': fields.integer('Mar'),
        'enepri_mes_04': fields.integer('Abr'),
        'enepri_mes_05': fields.integer('Mai'),
        'enepri_mes_06': fields.integer('Jun'),
        'enepri_mes_07': fields.integer('Jul'),
        'enepri_mes_08': fields.integer('Ago'),
        'enepri_mes_09': fields.integer('Set'),
        'enepri_mes_10': fields.integer('Out'),
        'enepri_mes_11': fields.integer('Nov'),
        'enepri_mes_12': fields.integer('Dez'),
        'enepri_total': fields.integer('Total'),
        'enepri_media': fields.integer('Media'),
    }
    _order = 'enepri_projeto_id,enepri_sequencia'