# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel França
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class entrega_vendas_item(osv.Model):

    _name = 'entrega.vendas.item'
    _inherit = 'entrega.vendas.item'

    def name_search(self, cr, uid, name='', args=None, operator='ilike', context=None, limit=100):
        context = context and context.copy() or {}
        if 'entitd_viagem_venda_id' in context:
            _viagem_venda_id = context.get('entitd_viagem_venda_id')
            brw_viagem_venda_id = self.pool.get('entrega.viagem.venda').browse(cr, uid,
                                                                               _viagem_venda_id)
            _venda_id = brw_viagem_venda_id.entviv_venda_id.id
            args.append(('entvei_capa_id', '=', _venda_id))
        res = super(entrega_vendas_item, self).name_search(cr, uid, name, args, operator, context,
                                                           limit)
        return res

