# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel França
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv


class entrega_viagem_venda(osv.Model):

    _name = 'entrega.viagem.venda'
    _inherit = 'entrega.viagem.venda'

    def entviv_ajustar_vendas(self, cr, uid, viagem_ids, context):
        for brw_viagem in self.pool.get('entrega.viagem').browse(cr, uid, viagem_ids):
            _vendas_registradas = []
            _vendas_aregistrar = []
            for brw_vendas in brw_viagem.entvig_venda_ids:
                _vendas_registradas.append(brw_vendas.entviv_venda_id.id)
            for brw_item_ids in brw_viagem.entvig_item_ids:
                _vendas_aregistrar.append(brw_item_ids.entvit_item_id.entvei_capa_id.id)
            for x in _vendas_aregistrar:
                if not x in _vendas_registradas:
                    vals = {
                        'entviv_capa_id':  brw_viagem.id,
                        'entviv_venda_id': x,
                    }
                    self.create(cr, uid, vals, context=context)
            for x in _vendas_registradas:
                if not x in _vendas_aregistrar:
                    _args = [('entviv_capa_id', '=', brw_viagem.id), ('entviv_venda_id', '=', x)]
                    _ids = self.search(cr, uid, _args, context=context)
                    self.unlink(cr, uid, _ids, context=context)
        return True
                
    def name_get(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        if not ids:
            return []
        if isinstance(ids, (int, long)):
            ids = [ids]
        res = []
        for brw_viagem_venda in self.browse(cr, uid, ids, context):
            res.append((brw_viagem_venda.id, brw_viagem_venda.entviv_venda_id.name))
        return res


