# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel França
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class estoque_parametro(osv.Model):
    _name = 'estoque.parametro'
    _inherit = 'estoque.parametro'
    _columns = {
        'estpro_gerar_controle_entrega': fields.selection([('P', 'Pedido'), ('N', 'Nota fiscal')],
                 'Gerar controle de entrega no(a)',
                 help='Informe se a geracao do controle de entrega sera na validacao do pedido ou na validacao da nota fiscal'),
    }
    _defaults = {
        'estpro_gerar_controle_entrega': lambda *a: 'N',
    }

