# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel França
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class entrega_viagem_venda(osv.Model):
    """
    Tabela de vendas contindas na viagem
    Prefixo: entvit_
    """

    _name = 'entrega.viagem.venda'
    _rec_name = 'entviv_venda_id'


    _columns = {
        'id': fields.integer('Numero', readonly=True),
        'entviv_capa_id': fields.many2one('entrega.viagem', 'Viagem', ondelete="cascade", required=True, select=True),
        'entviv_venda_id': fields.many2one('entrega.vendas.capa', 'Venda', ondelete='cascade', required=True, select=True),
        'entviv_data_entrega': fields.date('Data da entrega'),
        'entviv_hora_entrega': fields.float('Horario'),
        'entviv_quem_recebeu': fields.char('Quem recebeu', size=45),
        'entviv_obs': fields.text('Informacoes complementares'),

    }


