# -*- encoding: utf-8 -*-
{
    "name": "Estoque",
    'version': '7.0.2403.6',
    "author": "Sig Informatica Ltda",
    "website": "http://www.siginformatica.com.br",
    "category": "Estoque",
    "license": "Other proprietary",
    "summary": "Modulo de Estoque do Sig ERP",
    "description": """
Modulo de Controle de Estoque
=============================
Este modulo e a base do sistema de controle de estoque.

Recursos disponiveis
--------------------
* Estrutura basica de cadastros para o estoque;
* Controle de inventario;
* Relatorios diversos.

""",
    "images": ['data/estoque.png', 'data/estoque-houver.png'],
    "depends": ['rh', 'financeiro'],
    "data": ["data/movimento_origem.xml",  # Pre-cadastro das origens de movimentacao
             "data/natureza_operacao.xml",
             "data/local.xml",
             "data/estoque_embalagem_unidade.xml",
             "data/estoque_embalagem.xml",
             "data/parametros.xml",
             "data/ir_cron.xml",
             "data/digitacao_inventario_capa_state.xml",
             "data/websig_sql_data.xml",
             "security/estoque_security.xml",
             "security/ir.model.access.csv",
             "wizard/digitacao_inventario_view.xml",
             "wizard/estoque_gerar_contagem_view.xml",
             "wizard/wizard_listagem_produto_grade_view.xml",
             "wizard/wizard_listagem_categorias_view.xml",
             "wizard/wizard_consulta_saldos_view.xml",
             "wizard/wizard_estoque_local_saldo.xml",
             "wizard/wizard_estoque_estatisticas_mensal_view.xml",
             "wizard/wizard_listagem_movimento_sintetico_view.xml",
             "wizard/wizard_listagem_conferencia.xml",
             "wizard/wizard_listagem_contagem_view.xml",
             "wizard/wizard_inventario_importar_coletor_view.xml",
             "wizard/wizard_listagem_totais_por_categoria_view.xml",
             "wizard/wizard_balanco_financeiro_view.xml",
             "wizard/wizard_listagem_movimento_analitico_view.xml",
             "wizard/wizard_listagem_participacao_vendas_view.xml",
             "wizard/wizard_listagem_rentabilidade_view.xml",
             "wizard/wizard_listagem_produtos_locais_view.xml",
             "wizard/wizard_estoque_consulta_movimento_view.xml",
             "wizard/wizard_listagem_geral_view.xml",
             "wizard/wizard_listagem_livro_preco_view.xml",
             "wizard/wizard_listagem_item_parado_view.xml",
             "wizard/wizard_inventario_exportar_coletor_view.xml",
             "wizard/wizard_estoque_local_locacao_view.xml",
             "views/estoque_categoria_view.xml",
             "views/estoque_parametro_view.xml",
             "views/produto_view.xml",
             "views/estoque_produto_embalagem_view.xml",
             "views/estoque_embalagem_unidade_view.xml",
             "views/estoque_embalagem_view.xml",
             "views/estoque_local_view.xml",
             "views/estoque_local_locacao_view.xml",
             "views/inventario_digitacao_view.xml",
             "views/estoque_inventario_digitacao_view.xml",
             "views/estoque_inventario_atualizacao_view.xml",
             "views/estoque_inventario.xml",
             "views/estoque_movimento_capa_entrada_producao.xml",
             "views/movimento_origem_view.xml",
             "views/estoque_natureza_operacao_view.xml",
             "views/estoque_produto_grade_view.xml",
             "views/estsug_compra_capa_view.xml",
             "views/estsug_compra_item_view.xml",
             "views/precos_data_view.xml",
             "views/estoque_produto_saldo_view.xml",
             "views/estsug_compra_item_estatistica_view.xml",
             "report/registro_inventario_view.xml",
             "report/inventario_listagem_diferenca.xml",
             "views/estoque_preco_custo.xml",
             "views/estoque_preco_venda.xml",
             "views/estoque_inventario_correcao_view.xml",
             "inherit/financeiro_gerencial_movimento_view.xml",
             "inherit/financeiro_wizard_gerencial_analitico.xml",
             "views/action.xml",
             "views/menu.xml",
             "views/inventario_menu.xml"],
    "installable": True,
    "application": True,
    "active": False,
}
