# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class estsug_compra_item(osv.Model):
    # prefixo: esgcit_
    _inherit = 'estsug.compra.item'

    def esgcit_button_item_estatistica(self, cr, uid, ids, context=None):
        """
        O metodo realiza a chamada de uma nova janela, cujo objetivo eh exibir uma tree com as
        informacoes mensais de quantidade de venda do produto.
        @param cr: cursor no banco de dados
        @param uid: id da tabela res_users, identificador do usuario
        @param ids: lista de id dessa tabela
        @param context: dicionario com valores contextuais
        @return: dicionario com as informacoes para a chamada da nova janela
        """
        context = context and context.copy() or {}
        return {
            'res_id': ids[0],
            'name': 'Estatisticas',
            'view_type': 'form',
            'view_mode': 'form',
            'res_model': 'estsug.compra.item',
            'view_id': False,
            'target': 'new',
            'type': 'ir.actions.act_window'}
