# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class estsug_compra_item_estatistica(osv.Model):
    # prefixo: esgcie_
    _name = 'estsug.compra.item.estatistica'
    _gerar_logs_logs = 'N'

    _columns = {
        'esgcie_item_id': fields.many2one('estsug.compra.item', 'Item', ondelete='cascade'),
        'esgcie_janeiro': fields.integer('JANEIRO'),
        'esgcie_fevereiro': fields.integer('FEVEREIRO'),
        'esgcie_marco': fields.integer('MARCO'),
        'esgcie_abril': fields.integer('ABRIL'),
        'esgcie_maio': fields.integer('MAIO'),
        'esgcie_junho': fields.integer('JUNHO'),
        'esgcie_julho': fields.integer('JULHO'),
        'esgcie_agosto': fields.integer('AGOSTO'),
        'esgcie_setembro': fields.integer('SETEMBRO'),
        'esgcie_outubro': fields.integer('OUTUBRO'),
        'esgcie_novembro': fields.integer('NOVEMBRO'),
        'esgcie_dezembro': fields.integer('DEZEMBRO'),
        'esgcie_estatistica_diaria_item_ids': fields.one2many(
            'estsug.compra.item.estatistica.diaria', 'esgcid_estatistica_item_id',
            'Estatistica diaria'),
    }
