# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class estoque_produto_grade_relacionamento(osv.Model):
    _name = 'estoque.produto.grade.relacionamento'
    _sql_constraints = [
        ('produto_grade_uniq', 'unique (produto_filho_id, grade_filho_id)',
         'Nao pode haver dois Produto e Grade duplicados')
    ]
    _columns = {
        'grade_pai_id': fields.many2one("estoque.produto.grade", 'Grade', ondelete="cascade", ), # Grade
        'produto_filho_id': fields.many2one("estoque.produto", 'Produto', ondelete="cascade", required=True),
        'grade_filho_id': fields.many2one("estoque.produto.grade", 'Grade', ondelete="cascade", required=False,
                                          domain="[('produto_id', '=', produto_filho_id)]"), # Grade
    }


