#!/usr/bin/python
# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class wizard_consulta_saldo_reserva_venda(osv.TransientModel):
    _name = 'wizard.consulta.reserva.venda'
    _columns = {
        'wcsrv_documento': fields.char('Documento (PV/NF/REQ)'),
        'wcsrv_data_emissao': fields.date('Data de Emissao'),
        'wcsrv_quantidade': fields.float('Quantidade', digits=(15, 3)),
        'wcsrv_consulta_saldo_id': fields.many2one('wizard.consulta.saldos', 'Consulta_id',
                                                   ondelete="cascade"),
    }
