# -*- coding: utf-8 -*-
from openerp.osv import osv


class estoque_atributos_produtos(osv.Model):
    _inherit = 'estoque.atributos.produtos'

    def estatp_onchange_atributo_id(self, cr, uid, ids, atributo_id, context=None):
        context = context and context.copy() or {}
        if not atributo_id:
            return {}
        return {'value': {'estatp_valor_fixo': self.pool.get('estoque.atributos').read(
            cr, uid, atributo_id, ['estatr_valores_fixos'], context).get('estatr_valores_fixos')}}

    def create(self, cr, uid, vals, context=None):
        vals.update(self.estatp_get_atributo_valor(cr, uid, vals, context))
        res = super(estoque_atributos_produtos, self).create(cr, uid, vals, context)
        return res

    def write(self, cr, uid, ids, vals, context=None):
        vals.update(self.estatp_get_atributo_valor(cr, uid, vals, context))
        res = super(estoque_atributos_produtos, self).write(cr, uid, ids, vals, context)
        return res

    def estatp_get_atributo_valor(self, cr, uid, vals, context=None):
        context = context and context.copy() or {}
        res = {}
        vals.get('estatp_atributo_valor_id') and res.update({'estatp_atributo_valor': self.pool.get(
            'estoque.atributos.valores').read(cr, uid, vals.get('estatp_atributo_valor_id'),
                                              ['name'], context).get('name')})
        ('estatp_atributo_valor_id' in vals and not vals.get('estatp_atributo_valor_id')) and \
            res.update({'estatp_atributo_valor': ''})
        vals.get('estatp_atributo_valor') and res.update({'estatp_atributo_valor_id': False})
        ('estatp_atributo_valor_' in vals and not vals.get('estatp_atributo_valor')) and \
            res.update({'estatp_atributo_valor_id': False})
        return res
