# -*- coding: utf-8 -*-
from openerp.osv import osv


class estoque_produto(osv.Model):
    _inherit = 'estoque.produto'

    def estpro_busca_atributo_categoria(self, cr, uid, ids, context=None):
        """
        O metodo busca todos os atributos encontrados na categoria e os cria para o produto.
        :param cr: cursor no banco de dados.
        :type cr: object
        :param uid: id ta tabela res_users, identificador do usuario.
        :type uid: int
        :param ids: lista de id da tabela desse objeto.
        :type ids: list
        :param context: dados contextuais.
        :type context: dict
        :return: Verdadeiro, caso os atributos sejam incluidos no produto. Senao, falso.
        :rtype: bool
        """
        def _estpro_get_atributos():
            for brw_categoria_atributo in brw_categoria.estcat_atributos_ids:
                _tem = False
                for brw_atributo_produto in brw_estoque_produto.estpro_atributo_ids:
                    if brw_atributo_produto.estatp_atributo_id.id == brw_categoria_atributo.estatc_atributo_id.id:
                        _tem = True
                        break
                if not _tem:
                    lista.append((0, 0, {'estatp_atributo_id': brw_categoria_atributo.estatc_atributo_id.id}))

        context = context and context.copy() or {}
        res = False
        for brw_estoque_produto in self.browse(cr, uid, ids, context):
            if not brw_estoque_produto.categoria_id:
                continue
            lista = []
            brw_categoria = brw_estoque_produto.categoria_id
            if brw_estoque_produto.categoria_id.estcat_atributos_ids:
                _estpro_get_atributos()
            while not lista:
                if brw_categoria.estcat_atributos_ids:
                    _estpro_get_atributos()
                if brw_categoria.parent_id:
                    brw_categoria = brw_categoria.parent_id
                if not (brw_categoria.estcat_atributos_ids or brw_categoria.parent_id):
                    break
            if not lista:
                continue
            self.write(cr, uid, brw_estoque_produto.id, {'estpro_atributo_ids': lista}, context)

        return res
