# -*- coding: utf-8 -*-
from openerp.osv import osv, fields


class estoque_atributos_valores(osv.Model):
    # prefixo: estatv_
    _name = 'estoque.atributos.valores'
    _columns = {
        'id': fields.integer('ID', readonly=True),
        'estatv_atributo_id': fields.many2one('estoque.atributos', 'Atributo', required=True,
                                              ondelete='cascade'),
        'name': fields.char('Valor do atributo', size=30, required=True)
    }
