# -*- coding: utf-8 -*-
{
    "name": "Estoque Conferencia de Entrada",
    'version': '7.0.2403.6',
    "author": "Sig Informatica Ltda",
    "website": "http://www.siginformatica.com.br",
    "category": "Estoque",
    "license": "Other proprietary",
    "summary": "Modulo do SigERP para conferencia do estoque.",
    "description": """
Modulo de Conferencia de Entrada de Estoque
=============================
Modulo para controle de conferencia na entrada de produtos no Estoque.

Recursos disponiveis
--------------------
* Tela para busca dos produtos nao confirmados com disponibilidade de filtro por local;
* Impressao dos produtos nao confirmados;
* Confirmacao da conferencia no estoque.

""",
    "depends": ['compras'],
    "data": ["data/websig_sql_data.xml",
             "security/ir.model.access.csv",
             "wizard/wizard_estoque_conferencia_entrada_view.xml",
             "views/action.xml",
             "views/menu.xml"],
    "installable": True,
    "application": True,
    "active": False,
}
