# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

import time


# FUNCOES DA CLASSE estger_faceamento_capa
def egefcc_get_mes_anterior(self, cr, uid, context):
    """
    O metodo busca o mes anterior ao atual
    @cr: cursor do banco de dados
    @uid: id do usuario
    @context: dicionario com valores contextuais
    @return: inteiro que representa o numero do mes
    """
    context = context and context.copy() or {}
    mes_atual = int(time.strftime('%m'))
    if mes_atual == 1:
        mes_anterior = 12
    else:
        mes_anterior = mes_atual - 1
    return mes_anterior


def egefcc_get_ano_anterior(self, cr, uid, context):
    """
    O metodo busca o ano do mes anterior ao atual
    @cr: cursor do banco de dados
    @uid: id do usuario
    @context: dicionario com valores contextuais
    @return: inteiro que representa o numero do ano
    """
    context = context and context.copy() or {}
    mes_atual = int(time.strftime('%m'))
    ano_mes_anterior_atual = int(time.strftime('%Y'))
    if mes_atual == 1:
        ano_mes_anterior_atual -= 1
    return ano_mes_anterior_atual
