# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class estoque_img_produto(osv.Model):
    _inherit = 'estoque_img.produto'

    def create(self, cr, uid, vals, context=None):
        if not (vals.get('estimg_produto_id') or False):
            _grade_id = vals.get('estimg_grade_id') or False
            _prod_id = self.pool.get('estoque.produto.grade').browse(cr, uid, _grade_id, context=context).produto_id.id
            vals['estimg_produto_id'] = _prod_id
        res = super(estoque_img_produto, self).create(cr, uid, vals, context=context)
        return res

    def estimg_get_end_imagem(self, cr, uid, id, context=None):
        base = cr.dbname
        brw_image = self.browse(cr, uid, id, context=context)
        nome_prod = brw_image.estimg_produto_id.name.replace(' ', '-').lower()
        nome_prod = self.pool.get('adm.utils').admutl_remover_acentuacao(cr, 1, nome_prod)
        codigo_prod = brw_image.estimg_produto_id.codigo
        host = self.pool.get('ir.config_parameter').get_param(cr, uid, 'web.base.url')
        if host[-1:] == '/':
            host = [host[:-1]]
        end = '%s/image/img_get/%s/%s-%s-%s.jpg' % (host, base, id, codigo_prod, nome_prod)
        return end
