# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################



#Funcoes da classe estoque_img_produto
from PIL import Image
import StringIO
import base64


def _estimg_get_dados(self, cr, uid, ids, name_fields, args, context=None):
    context = context and context.copy() or {}
    res = {}
    for record in self.browse(cr, uid, ids, context=context):
        if record.estimg_foto:
            img = base64.decodestring(record.estimg_foto)
            img = StringIO.StringIO(img)
            img.seek(0)
            im = Image.open(img)
            dim = im.size
            dimensoes = '%sx%s' % dim
            formato = im.format
            tam = img.len
            tam = round(tam / 1024, 2)
            tam = '%sKb' % tam
        else:
            dimensoes = ''
            formato = ''
            tam = '0Kb'
        res[record.id] = {'estimg_dimensoes': dimensoes, 'estimg_formato': formato, 'estimg_tamanho': tam}
    return res
