# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv


class estoque_local(osv.Model):
    """
    Tabela de locais de armazenagem.
    """

    _name = 'estoque.local'
    _inherit = 'estoque.local'

    def search(self, cr, uid, args, offset=0, limit=None, order=None, context=None,  count=False):
        context = context and context.copy() or {}
        for arg in args:
            if 'company_id' in arg:
                context['sig_force_company'] = True
        return super(estoque_local, self).search(cr, uid, args, offset, limit, order, context=context, count=count)
