# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class estoque_categoria(osv.Model):
    _name = 'estoque.categoria'
    _inherit = 'estoque.categoria'

    def estcat_get_evento(self, cr, uid, ids, produto_id, context=None):
        context = context and context.copy() or {}
        res = False
        categoria_id = None
        evento_id = None
        obj_estoque_categoria = self.pool.get('estoque.categoria')
        if produto_id:
            if not isinstance(produto_id, list):
                produto_id = [produto_id]
            estoque_produto_dados = self.pool.get('estoque.produto').read(cr, uid, produto_id, ['categoria_id'],
                                                                          context=context)
            for x in estoque_produto_dados:
                categoria_id = x.get('categoria_id')
            if categoria_id:
                if isinstance(categoria_id, tuple):
                    categoria_id = categoria_id[0]
                if not isinstance(categoria_id, list):
                    categoria_id = [categoria_id]
                estoque_categoria_dados = obj_estoque_categoria.read(cr, uid, categoria_id,
                                                                     ['estcat_evento_id', 'parent_id'], context=context)
                for x in estoque_categoria_dados:
                    evento_id = x.get('estcat_evento_id')
                    if evento_id:
                        if isinstance(evento_id, tuple):
                            evento_id = evento_id[0]
                        return evento_id
                    else:
                        parent_id = x.get('parent_id')
                if parent_id:
                    if isinstance(parent_id, tuple):
                        parent_id = parent_id[0]
                    evento = False
                    parent_ids = []
                    parent_ids.append(parent_id)
                    for i in parent_ids:
                        estoque_categoria_ids = obj_estoque_categoria.search(cr, uid, [('parent_id', '=', i)],
                                                                             context=context)
                        if estoque_categoria_ids:
                            estoque_categoria_dados2 = obj_estoque_categoria.read(cr, uid, estoque_categoria_ids,
                                                                                  ['estcat_evento_id', 'parent_id'],
                                                                                  context=context)
                            for x in estoque_categoria_dados2:
                                evento_id = x.get('estcat_evento_id')
                                if evento_id:
                                    if isinstance(evento_id, tuple):
                                        evento_id = evento_id[0]
                                    return evento_id
                        estoque_categoria_dados2 = obj_estoque_categoria.read(cr, uid, [i],
                                                                              ['estcat_evento_id', 'parent_id'],
                                                                              context=context)
                        for x in estoque_categoria_dados2:
                            evento_id = x.get('estcat_evento_id')
                            if evento_id:
                                if isinstance(evento_id, tuple):
                                    evento_id = evento_id[0]
                                return evento_id
                            else:
                                parent_id = x.get('parent_id')
                                if parent_id:
                                    if isinstance(parent_id, tuple):
                                        parent_id = parent_id[0]
                                    parent_ids.append(parent_id)
        return res
