# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields


class estoque_local(osv.Model):
    _name = 'estoque.local'
    _inherit = 'estoque.local'
    _columns = {
        'almoxarifado': fields.boolean('Almoxarifado'), # indica que o local será usado como almoxarifado!
        'requisicao_capa_ids': fields.one2many('almoxarifado.requisicao.capa', 'local_id', 'Capa'),
    }
    _defaults = {
        'almoxarifado': lambda *a: False
    }


