# _______________________ requisicao aumoxarifado itens __________________________________
def _almrqi_get_dados(self, cr, uid, ids, name, arg, context=None):
    """
    :param cr: a linha atual do cursor do banco de dados,
    :param uid: ID do usuario,
    :param ids: lista dos IDs,
    :param name: lista com o nome dos campos,
    :param arg: dicionario com os argumentos e valores,
    :param context: um dicionario padrao para valores contextuais,
    :return: locacao do item
    """

    context = context and context.copy() or {}
    if ids and isinstance(ids, (int, long)):
        ids = [ids]
    result = {}
    for item in self.browse(cr, uid, ids, context):
        _local_id = item.local_id.id
        _produto_id = item.produto_id.id
        _grade_id = item.grade_id.id
        _company_id = item.requisicao_id.company_id.id
        _args = [
            ('company_id', '=', _company_id),
            ('local_id', '=', _local_id),
            ('produto_id', '=', _produto_id),
            ('grade_id', '=', _grade_id)
        ]
        _locacao_ids = self.pool.get('estoque.local.locacao').search(cr, uid, _args, context=context)
        _value = 'Sem Locacao'
        if _locacao_ids:
            _value = self.pool.get('estoque.local.locacao').read(cr, uid, _locacao_ids[0], ['locacao'], context=context)['locacao']
        result[item.id] = _value
    return result

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4
