# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class wizard_almoxarifado_requisicao_cancel(osv.TransientModel):
    _name = 'wizard.requisicao.cancelamento'
    _columns = {
        'motivo_cancelamento': fields.char('Motivo Cancelamento', size=70)
    }

    def button_wizard_requisicao_cancel(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        wizard_cancel = self.read(cr, uid, ids, ['motivo_cancelamento'], context=context)
        if isinstance(wizard_cancel, list):
            wizard_cancel = wizard_cancel[0]
        if isinstance(wizard_cancel, dict) and isinstance(context, dict):
            almoxarif_capa_id = context.get('active_id') or []
            wizard_motivo_cancel = wizard_cancel.get('motivo_cancelamento') or ''
            obj_almoxarif_capa = self.pool.get('almoxarifado.requisicao.capa')
            obj_almoxarif_capa.write(cr, uid, almoxarif_capa_id, {'motivo_cancelamento': wizard_motivo_cancel}, context=context)
            obj_almoxarif_capa.button_cancelar(cr, uid, [almoxarif_capa_id], context)
        return {'type': 'ir.actions.act_window_close'}



