# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv


class estoque_produto_grade(osv.Model):

    _inherit = 'estoque.produto.grade'

    def estgrd_get_requisitado(self, cr, uid, ids, context=None, company_id=False):
        context = context and context.copy() or {}
        if not company_id:
            company_id = self.pool.get('adm.empresa.objeto').getEmpresa(cr, uid,
                                                                    'estoquepedidos.pedido.capa')
        dados = super(estoque_produto_grade, self).estgrd_get_requisitado(cr, uid, ids, context,
                                                                          company_id)
        _esboco_na_reserva = self.pool.get('adm.utils').admutl_get_parametros(
            cr, uid, 'estoque', 'estpar_esboco_na_reserva', context=context).get(
            'estpar_esboco_na_reserva')
        obj_est_ped_ite = self.pool.get('estoquepedidos.pedido.item')
        _sql = obj_est_ped_ite.pedite_get_query_item_requisitado_pedido(ids, company_id, _esboco_na_reserva)
        # state do pedido - R-Esboco, F=Faturado, C=Cancelado
        dados = self._estgrd_requisitado_acumular_valores(cr, uid, _sql, dados)
        return dados
