# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class estoquepedidos_pedido_capa(osv.Model):

    def pedcap_fields_selection_state(self, cr, uid, context=None):
        context = context and context.copy() or {}
        res = super(estoquepedidos_pedido_capa, self).pedcap_fields_selection_state(cr, uid, context)
        ret = [('A', 'A enviar')]
        for x in res:
            # if x[0] == 'R':
            #     ret += [(x[0], 'Enviado')]
            # else:
                ret += [x]
        return ret

    def _pedcap_get_cliente(self, cr, uid, ids, context=None):
        user_brw = self.pool.get('res.users').browse(cr, uid, uid, context=context)
        for group_brw in user_brw.groups_id:
            if group_brw.name == 'Estoquepedidos / Portal':
                pessoa_id = user_brw.pessoa_id.id
                return pessoa_id
        return None

    def _pedcap_get_state(self, cr, uid, ids, context=None):
        user_brw = self.pool.get('res.users').browse(cr, uid, uid, context=context)
        for group_brw in user_brw.groups_id:
            if group_brw.is_portal:
                return 'A'
        return None

    _inherit = 'estoquepedidos.pedido.capa'
    _columns = {
        'state': fields.selection(pedcap_fields_selection_state, 'Estado do Pedido', required=True,
                                  size=1),
    }
    _defaults = {
        # 'pessoa_id': _pedcap_get_cliente,
        # 'state': _pedcap_get_state, # Isto afeta os pedidos feito no erp para usuarios que estão tambem no grupo portal
    }

