# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class estoque_parametro(osv.Model):
    _name = 'estoque.parametro'
    _inherit = 'estoque.parametro'
    _columns = {
        'ressuprimento_item_qtde_max': fields.integer("Ressuprimento Itens (Qtde maxima)",
                                                      help="Opcao para limitar a quantidade maxima de itens em uma requisicao de ressuprimento. Esta opcao e utilizacao na CRIACAO DO RESSUPRIMENTO TOTAL."),
        'estpar_ressuprimento_operacao_entrada_id': fields.many2one('estoque.natureza.operacao',
                                                                    'Operacao para ressuprimento(Entrada)',
                                                                    oldname="estpar_ressuprimentorequisicao_operacao_id"),
        'estpar_ressuprimento_operacao_saida_id': fields.many2one('estoque.natureza.operacao',
                                                                  'Operacao para ressuprimento(Saida)'),
    }


