# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################


#Funcoes da classe estoqueressuprimento_requisicao_capa
def resrca_get_pendencia(self, cr, uid, ids, name, arg, context=None):
    context = context and context.copy() or {}
    res = {}.fromkeys(ids, False)
    obj_requisicao_itens = self.pool.get('estoqueressuprimento.requisicao.itens')
    requisicao_itens_ids = obj_requisicao_itens.search(cr, uid, [('requisicao_id', '=', ids)],
                                                       context=context)
    for item in obj_requisicao_itens.read(cr, uid, requisicao_itens_ids, ['quantidade_requisitada',
                'requisicao_id', 'quantidade_confirmada'], context=context, load='_classic_write'):
        requisitado = item.get('quantidade_requisitada') or 0.0
        confirmado = item.get('quantidade_confirmada') or 0.0
        if requisitado != confirmado:
            res[item.get('requisicao_id')] = True
            break

    return res
def resrca_get_dia(self, cr, uid, ids, name, arg, context=None):
    context = context and context.copy() or {}
    res = {}
    for id in ids:
        dia = self.browse(cr, uid, ids)[0].resnat_data[8:]
        res[id] = dia
    return res


def resrca_get_empresa_a_usar(self, cr, uid, ids, field_name, arg, context=None):
    context = context and context.copy() or {}
    res = {}
    obj_adm_empresa_objeto = self.pool.get('adm.empresa.objeto')
    for requisicao in self.browse(cr, uid, ids, context):
        a_usar_company_id = obj_adm_empresa_objeto.getEmpresa(
            cr, uid, 'estoque.local', context=context,
            user_company_id=requisicao.company_id.id)
        res[requisicao.id] = a_usar_company_id
    return res


# Funcoes da classe estoqueressuprimento_requisicao_itens


def get_tipo_codigo_item(self, cr, uid, ids, field_name, arg, context=None):
    context = context and context.copy() or {}
    res = {}
    map(lambda item: res.update({item.id: item.requisicao_id.resrca_tipo_codigo}),
        self.browse(cr, uid, ids, context))
    return res


# Funcoes da classe estoqueressuprimento_lista_capa


def reslca_get_empresa_correlacao_local(self, cr, uid, ids, field_name, arg, context=None):
    context = context and context.copy() or {}
    obj_adm_empresa_objeto = self.pool.get('adm.empresa.objeto')
    res = {}
    for lista in self.read(cr, uid, ids, ['reslca_empresa_saida_id'], context, '_classic_write'):
        empresa_saida_id = lista.get('reslca_empresa_saida_id')
        local_company_id = obj_adm_empresa_objeto.getEmpresa(
            cr, uid, 'estoque.local', context=context, user_company_id=empresa_saida_id)
        res.update({lista.get('id'): local_company_id})
    return res
