#!/usr/bin/python
# -*- coding: utf-8 -*-

from openerp.osv import osv, fields


class wizard_serie_import_nfe_item(osv.Model):
    _inherit = 'fiscal.import.nfe.itens.osv'

    _columns = {
        'winf_item_serie_ids': fields.one2many('wizard.serie.importacao.nfe',
                                               'wseinf_nf_item_id', 'Nro de Series'),
        'winf_item_controle_serie': fields.selection(
            [('SN', 'Sem Numero de Serie'), ('NS', 'Com Numero de Serie / sem Impressao'),
             ('NC', 'Com Numero de Serie / com Impressao')], 'Numero Serie', size=2,
            help="Controle de numero de serie"),
    }
    _defaults = {
        'winf_item_controle_serie': 'SN'
    }
