# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class eventos_materiais_fornecedores(osv.Model):
    _name = 'eventos.materiais.fornecedores'
    _inherit = 'eventos.materiais.fornecedores'

    def write(self, cr, uid, ids, vals, context=None):
        context = context and context.copy() or {}
        res = super(eventos_materiais_fornecedores, self).write(cr, uid, ids, vals, context=context)
        for _material in self.browse(cr, uid, ids):
            self.pool.get('eventos.materiais').write(cr, uid, _material.evemtf_material_id.id, {}, context=context)
        return res

    def create(self, cr, uid, vals, context=None):
        context = context and context.copy() or {}
        res = super(eventos_materiais_fornecedores, self).create(cr, uid, vals, context=context)
        self.pool.get('eventos.materiais').write(cr, uid, vals['evemtf_material_id'], {}, context=context)
        return res