# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class eventos_equipes_integrantes(osv.Model):
    """
    Tabela de integrantes de equipes
    """
    _name = 'eventos.equipes.integrantes'
    _rec_name = 'eveeqi_pessoa_id'
    _columns = {
        'eveeqi_equipe_id': fields.many2one('eventos.equipes', 'Equipe', required=True, domain="[]"),
        'eveeqi_pessoa_id': fields.many2one("adm.pessoa", 'Integrante', ondelete="restrict",
                                            select=True, domain="[('pessoa_tipo', '=', 'F')]"),
        'eveeqi_funcao': fields.char('Funcao', size=40),
    }
    _order = 'eveeqi_funcao'
