# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

import time
from openerp.osv import osv, fields


# Funcoes da classe eventos_materiais
def _evemat_get_qtd_conseguida(self, cr, user, ids, name, arg, context=None):
    context = context and context.copy() or {}
    res = {}
    for x in self.browse(cr, user, ids):
        _qtd = 0
        for item in x.evemat_fornecedores_ids:
            _qtd += item.evemtf_quantidade
        dic = {'evemat_qtd_conseguida': _qtd}
        if x.evemat_qtd_necessaria > _qtd:
            dic['evemat_pendente'] = True
        else:
            dic['evemat_pendente'] = False
        res[x.id] = dic
    return res


# Funcoes da classe eventos_adesoes
def _eveads_get_qtd_pendente(self, cr, user, ids, name, arg, context=None):
    context = context and context.copy() or {}
    res = {}
    for x in self.browse(cr, user, ids):
        _qtd = 0
        _valor = 0.0
        for item in x.eveads_acertos_ids:
            _qtd += item.eveada_quantidade
            _valor += item.eveada_valor_acerto
        dic = {'eveads_quantidade_pendente': _qtd}
        if x.eveads_quantidade_fornecida > _qtd:
            dic['eveads_pendente'] = True
        else:
            dic['eveads_pendente'] = False
        dic['eveads_valor_acerto'] = _valor
        res[x.id] = dic
    return res

# Funcoes da classe eventos_adesoes_acertos
def _eveada_get_valor(self, cr, user, ids, name, arg, context=None):
    context = context and context.copy() or {}
    res = {}
    for x in self.browse(cr, user, ids):
        _valor = 0
        if x.eveada_tipo == 'V':
            if x.eveada_com_desconto:
                _valor = x.eveada_quantidade * x.eveads_evento_id.eveeve_valor_com_desconto
            else:
                _valor = x.eveada_quantidade * x.eveads_evento_id.eveeve_valor_normal
        dic = {'eveada_valor_acerto': _valor}
        res[x.id] = dic
    return res

# Funcoes da classe eventos_eventos
def _eveeve_get_qtd_vendida(self, cr, user, ids, name, arg, context=None):
    context = context and context.copy() or {}
    res = {}
    for x in self.browse(cr, user, ids):
        _qtd = 0
        for _adesoes in x.eveeve_adesoes_ids:
            for _acertos in _adesoes.eveads_acertos_ids:
                if _acertos.eveada_tipo == 'V':
                    _qtd += _acertos.eveada_quantidade
        res[x.id] = {'eveeve_qtd_vendida': _qtd}
    return res