# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel França
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class expedicao_entregas_itens(osv.Model): 
    """
    Tabela que contem os itens que foram entregues
    """
    _name = 'expedicao.entregas.itens'
    _columns = {
        'expeti_capa_id': fields.many2one("expedicao.entregas.capa", 'Capa', ondelete='cascade', required=True, select=True),
        'expeti_vendas_itens_id': fields.many2one("expedicao.vendas.itens", 'Itens vendidos', ondelete="cascade", required=True, select=True),
        'expeti_quantidade': fields.float('Quantidade', required=True, digits=(8,3)),
    }

