# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class fidelidade_movimento(osv.Model):
    """
    Tabela de movimento do controle de fidelidade

    prefixo: fidmov_
    """
    _name = 'fidelidade.movimento'
    _roteavel = True
    _columns = {
        'company_id': fields.many2one("res.company", 'Empresa', ondelete="cascade", required=True, select=True), # id da empresa
        'movimento_id': fields.many2one("estoque.movimento.capa", 'NF/Cupom', ondelete="cascade", select=True),
        'pessoa_id': fields.many2one("adm.pessoa", 'Cliente', ondelete="restrict", select=True),
        'data': fields.datetime('Data/Hora', required=True, select=True), #Data e hora do movimento
        'name': fields.text('Descricao', required=True), # descricao
        'pontos': fields.integer('Pontos', required=True), # Quantidade de pontos
    }
