# -*- encoding: utf-8 -*-
{
        "name" : "financeiro",
        'version': '7.0.2403.6',
        "author" : "Sig Informatica Ltda",
        "website" : "http://www.siginformatica.com.br",
        "category" : "Financeiro",
        "license": "Other proprietary",
        "description": "Modulo de  financeiro do Sig ERP",
        "depends" : [
                     'documento',
                     'board',
            ],
        "data" : [
                    "data/tesouraria_contas.xml",
                    "data/local_cobranca.xml",
                    "data/evento_natureza.xml",
                    "data/parametros.xml",
                    "data/adm_monitor_alertas.xml",
                    "data/adm_monitor_alertas_regras.xml",
                    "data/websig_sql_data.xml",
                    "wizard/wizard_gerar_parcelas_view.xml",
                    "gerencial/wizard/wizard_gerencial_sintetico.xml",
                    "gerencial/wizard/wizard_gerencial_analitico.xml",
                    "gerencial/wizard/wizard_gerencial_listagem_orcamento.xml",
                    "gerencial/wizard/wizard_gerencial_listagem_dre_view.xml",
                    "gerencial/wizard/wizard_gerencial_evolucao_conta_view.xml",
                    "gerencial/wizard/wizard_gerencial_documento_sem_classificacao_view.xml",
                    "gerencial/wizard/wizard_gerencial_receita_despesas_view.xml",
                    "views/financeiro_titulo_view.xml",
                    "views/financeiro_titulo_receber_aberto_view.xml",
                    "views/financeiro_titulo_receber_recebidos_view.xml",
                    "views/financeiro_titulo_receber_cancelados_view.xml",
                    "views/financeiro_titulo_aberto_view.xml",
                    "views/financeiro_titulo_cheque_view.xml",
                    "views/financeiro_cheque_devolucao1_view.xml",
                    "views/financeiro_cheque_motivo_devolucao_view.xml",
                    "views/cheque_repasse_view.xml",
                    "views/cheque_repasse_cancelar_view.xml",
                    "views/cheque_devolucao_view.xml",
                    "views/cheque_baixa_view.xml",
                    "views/financeiro_titulo_pagamento_view.xml",
                    "views/financeiro_titulo_pagamento_pagos_view.xml",
                    "views/financeiro_cheque_pago_view.xml",
                    "views/financeiro_natureza_cobranca_view.xml",
                    "gerencial/views/gerencial_evento_natureza_view.xml",
                    "views/financeiro_fatura_view.xml",
                    "views/financeiro_parametros_view.xml",
                    "views/financeiro_local_cobranca_view.xml",
                    "views/financeiro_data.xml",
                    "views/report_financeiro_titulos_view.xml",
                    "views/financeiro_titulo_consulta.xml",
                    "views/financeiro_cobranca_dashboard.xml",
                    "views/financeiro_local_natureza_view.xml",
                    "views/financeiro_emails_cadastro_view.xml",
                    "views/financeiro_emails_mensagens_view.xml",
                    "views/financeiro_titulo_cancelamento_baixa_view.xml",
                    "views/financeiro_estorno_baixa_view.xml",
                    "tesouraria/views/tesouraria_movimento_view.xml",
                    "tesouraria/views/tesouraria_baixa_forma_pgto_view.xml",
                    "tesouraria/views/tesouraria_saldos_view.xml",
                    "tesouraria/views/tesouraria_contas_view.xml",
                    "tesouraria/views/tesouraria_movimento_osv_view.xml",
                    "tesouraria/views/tesouraria_conciliacao_view.xml",
                    "tesouraria/views/tesouraria_contas_conciliacao_tree.xml",
                    "gerencial/views/financeiro_gerencial_dre_view.xml",
                    "gerencial/views/financeiro_gerencial_dre_linhas_view.xml",
                    "tesouraria/wizard/livro_caixa_report.xml",
                    "tesouraria/wizard/extrato_bancario_view_osv.xml",
                    "tesouraria/wizard/relatorio_disponibilidade_view.xml",
                    "tesouraria/wizard/relatorio_movimento_view.xml",
                    "tesouraria/wizard/wizard_financeiro_tesouraria_desconciliacao_view.xml",
                    "gerencial/views/consulta_gerencial_movimento.xml",
                    "tesouraria/views/tesouraria_saldo_dashboard_view.xml",
                    "gerencial/views/gerencial_evento_view.xml",
                    "gerencial/views/gerencial_evento_estrutura_view.xml",
                    "gerencial/views/gerencial_previsao_view.xml",
                    "views/cliente_view.xml",
                    "views/cliente_consulta_view.xml",
                    "views/clientes_mensagem_nome_view.xml",
                    "inherit/documento/documento_view.xml",
                    "inherit/adm/adm_pessoa_view.xml",
                    "inherit/adm/ocorrencia_view.xml",
                    "inherit/fornecedor_view.xml",
                    "views/fornecedor_view.xml",
                    "views/fornecedores_representante_view.xml",
                    "views/financeiro_operacoes_view.xml",

                    "report/financeiro_titulo_sintetico_view.xml",
                    "wizard/titulos_liquidados_view.xml",
                    "wizard/prorrogacao_titulo_view.xml",
                    "wizard/cancelamento_titulo_view.xml",
                    "wizard/titulos_abertos_view.xml",
                    "wizard/titulos_abertos_pagar_view.xml",
                    "wizard/participacao_clientes_fornecedores_view_osv.xml",
                    "wizard/wizard_movimento_titulo_view.xml",
                    "wizard/wizard_posicao_diaria_sintetico_view.xml",
                    "wizard/listagem_clientes_view_osv.xml",
                    "wizard/wizard_gerar_boleto_view.xml",
                    "wizard/wizard_boleto_titulo_nota_view.xml",
                    "wizard/wizard_gera_emails_cobranca_view.xml",
                    "wizard/listagem_fornecedores_view_osv.xml",
                    "wizard/listagem_cheques_devolvidos_view_osv.xml",
                    "wizard/listagem_cheques_receber_view_osv.xml",
                    "wizard/wizard_movimentacao_diaria_view.xml",
                    "wizard/cliente_debitos_wizard.xml",
                    "wizard/wizard_baixa_titulo.xml",
                    "wizard/wizard_gerar_boleto_titulo_view.xml",
                    "wizard/wizard_titulo_movimentado_view.xml",
                    "views/devolucao_cheque_data.xml",

                    "security/financeiro_security.xml",
                    "security/ir.model.access.csv",

                    "data/adm_monitor_alertas_grupos.xml",
                    "views/action.xml",
                    "views/menu.xml",

        ],
        "js":[
            'static/src/js/financeiro.js'
        ],
        "installable": True,
        "application": True,
        "active": False,
}
