# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv


class financeiro_cheque_devolucao(osv.Model):
    _name = 'financeiro.cheque.devolucao'
    _inherit = 'financeiro.cheque.devolucao'

    def create(self, cr, uid, vals, context=None):
        context = context and context.copy() or {}
        id = vals['cheque_id']
        valor = self.pool.get('financeiro.titulo').read(cr, uid, id, ['vr_original'])['vr_original']
        prorrogacao = self.pool.get('financeiro.titulo').read(cr, uid, id, ['data_prorrogacao'])['data_prorrogacao']
        local = self.pool.get('financeiro.titulo').read(cr, uid, id, ['local_cobranca_id'])['local_cobranca_id'][0]
        obj = self.pool.get('financeiro.titulo.historico')
        data = {
            'titulo_id': id,
            'local_cobranca_id': local,
            'data_prorrogacao': prorrogacao,
            'operacao': 'R'
        }
        obj.create(cr, uid, data)
        self.pool.get('financeiro.titulo').write(cr, uid, id, {'state': 'A', 'saldo': valor}, context=context)
        res = super(financeiro_cheque_devolucao, self).create(cr, uid, vals, context=context)
        return res


