# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
from dateutil.parser import parse


class financeiro_emails_mensagens(osv.Model):
    # prefixo: fineme_

    _inherit = 'financeiro.emails.mensagens'

    def name_get(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        res = []
        brw_email_mensagem = self.browse(cr, uid, ids, context)
        for mensagem in brw_email_mensagem:
            data = self.pool.get('adm.utils').admutl_datetime_to_timezone(
                cr, uid, parse(mensagem.create_date), '%d/%m/%Y %H:%M:%S')
            descricao = '%s - %s - %s' % (data, mensagem.fineme_assunto, mensagem.state)
            res.append((mensagem.id, descricao))
        return res