# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class adm_pessoa(osv.Model):
    _inherit = 'adm.pessoa'
    from funcoes import _admpes_get_pessoa_clie_for
    _columns = {
        'admpes_titulo_ids': fields.one2many('financeiro.titulo', 'pessoa_id', 'Titulos', oldname="pespes_titulo_ids"),
        'cliente_ids': fields.one2many('financeiro.cliente', 'pessoa_id', 'Clientes'),
        'email_cobranca_id': fields.many2one('adm.pessoa.email', "Email de Cobranca"),
        'fornecedor_ids': fields.one2many('financeiro.fornecedor', 'pessoa_id', 'Fornecedores'),
        'admpes_cliente': fields.function(_admpes_get_pessoa_clie_for, method=True, string='E cliente', multi="dados",
                                          type="boolean", store=False),
        'admpes_fornecedor': fields.function(_admpes_get_pessoa_clie_for, method=True, string='E fornecedor', multi="dados",
                                             type="boolean", store=False),
    }


