# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class financeiro_cheque_motivo_devolucao(osv.Model):
    """
    Tabela de motivos de devolucao de cheques(Conforme Banco Central)
    """
    _name = 'financeiro.cheque.motivo.devolucao'
    _columns = {
        'codigo': fields.char('Codigo', size=2, required=True, select=True),
        # codigo do Motivo da devolucao do cheque conforme norma do banco central
        'name': fields.text('Descricao', required=True), # descricao do motivo
    }
    _sql_constraints = [
        ('codigo_uniq', 'unique (codigo)', 'O codigo de devolucao de cheques precisa ser unico!'),
    ]

