# -*- encoding: utf-8 -*-

from openerp.osv import fields
from openerp.osv import osv
from openerp.tools.sql import drop_view_if_exists


class financeiro_cobranca_view(osv.Model):
    _name = "financeiro.cobranca.view"
    _description = "Painel Financeiro"
    _auto = False
    _columns = {
        'id': fields.integer('id'),
        'descricao': fields.char('Local Cobranca', size=30),
        'vrl_acumulado': fields.float('Valor', digits=(15, 2)),
        'tipo_titulo': fields.selection([('R', 'Receber'), ('P', 'Pagar')], 'Tipo titulo', size=1),

    }
