/**
 * Created by thiago.rodrigues on 28/01/16.
 */
openerp.financeiro = function (instance) {
    var QWeb = instance.web.qweb,
        _t = instance.web._t;
    if (!instance.financeiro) {
        instance.financeiro = {}
    }

    instance.web.list.Binary = instance.web.list.Column.extend({
        /**
         * Este metodo sobrescreve o metodo que formata
         * os campos binarios em uma view_list (tree de um O2m)
         * foi necessario faze-lo pois em O2m o sistema estava gerando
         * para download um arquivo binario e nao o arquivo pdf
         *
         * Return a link to the binary data as a file
         *
         * @private
         */
        _format: function (row_data, options) {
            var text = _t("Download");
            var value = row_data[this.id].value;
            var download_url;
            download_url = instance.session.url('/web/binary/saveas', {
                model: options.model,
                field: this.id,
                id: options.id
            });
            if (this.filename) {
                download_url += '&filename_field=' + this.filename;
            }
            if (this.filename && row_data[this.filename]) {
                text = _.str.sprintf(_t("Download \"%s\""), instance.web.format_value(
                    row_data[this.filename].value, {type: 'char'}));
            }
            return _.template('<a href="<%-href%>"><%-text%></a> (<%-size%>)', {
                text: text,
                href: download_url,
                size: instance.web.binary_to_binsize(value)
            });
        }
    });
};