# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class financeiro_tesouraria_conciliacao_capa_osv(osv.TransientModel):
    #
    # OBJETO TESOURARIA movimento.conciliacao.osv
    #
    _name = 'financeiro.tesouraria.conciliacao.capa.osv'
    _columns = {
        'movimentos_ids': fields.one2many('financeiro.tesouraria.conciliacao.itens.osv', 'movimento_conciliacao_osv_id',
                                          'Movimentos'),
        'company_id': fields.many2one("res.company", 'Empresa', ondelete="cascade", required=True, select=True),
        'conta_id': fields.many2one("financeiro.tesouraria.contas", 'Conta', ondelete="restrict",
                                    select=True),
        'saldo_conciliado': fields.float('Saldo Conciliado', required=False, digits=(14, 2)),
        'state': fields.char('Status', size=1),
    }
    _defaults = {
        'state': lambda *a: '0',
        'company_id': lambda s, cr, uid, c: s.pool.get('adm.empresa.objeto').getEmpresa(cr, uid, s._name, context=c),
    }