# -*- coding: utf-8 -*-

from openerp.tests.common import TransactionCase
from sigaddons.config_teste import set_config


class TestWizardGerencial_listagemDRE(TransactionCase):
    """
    Classe responsavel por testes unitarios dos metodos da classe wizard_gerencial_listagem_dre
    :author: Tiago Henrique Prates dos Santos <tiago.santos[at]siginformatica.com.br>
    """

    @classmethod
    def setUpClass(cls):
        set_config()

    def setUp(self):
        super(TestWizardGerencial_listagemDRE, self).setUp()
        self.obj_wizard_gerencial_listagem_dre = self.registry('wizard.gerencial.listagem.dre')

    def test_wizgld_get_valor_formula(self):
        res = self.obj_wizard_gerencial_listagem_dre._wizgld_get_valor_formula(
            self.cr, self.uid, 'L10+L20', {10: 100.00, 20: 200.00}, {})
        self.assertEqual(res, 300.00)
