# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################


# Funcoes da classe wizard_gera_emails_cobranca_item


def wizgei_get_email(self, cr, uid, ids, field_name, args, context=None):
    context = context and context.copy() or {}
    res = {}
    obj_emails = self.pool.get('adm.pessoa.email')
    brw_emails_cobranca_item = self.browse(cr, uid, ids, context)
    for item in brw_emails_cobranca_item:
        _tipo_email_id = item.wizgei_capa_id.wizgec_setor_id._id or False
        _args = [('pessoa_id', '=', item.wizgei_pessoa_id.id)]
        if _tipo_email_id:
            _args.append(('admpem_setor_ids', '=', _tipo_email_id))
        email_ids = obj_emails.search(cr, uid, _args, context=context)
        res[item.id] = {'wizgei_email_ids': email_ids, 'wizgei_possui_email': any(email_ids)}
    return res


# Funcoes da classe wizard_gerar_boleto_item


def wizgbi_get_email(self, cr, uid, ids, field_name, args, context=None):
    context = context and context.copy() or {}
    res = {}
    obj_emails = self.pool.get('adm.pessoa.email')
    brw_wizard_gerar_boleto_item = self.browse(cr, uid, ids, context)
    for item in brw_wizard_gerar_boleto_item:
        _tipo_email_id = item.wizgbi_gerar_boleto_id.wizgbo_setor_id.id or False
        _args = [('pessoa_id', '=', item.wizgbi_pessoa_id.id)]
        if _tipo_email_id:
            _args.append(('admpem_setor_ids', '=', _tipo_email_id))
        email_ids = obj_emails.search(cr, uid, _args, context=context)
        res[item.id] = any(email_ids)
    return res