#!/usr/bin/python
# -*- encoding: utf-8 -*-
from openerp.osv import osv, fields


class wizard_baixa_titulo_recibo_capa(osv.TransientModel):
    _name = 'wizard.baixa.titulo.recibo.capa'
    _columns = {
        'wbtrc_wiz_baixa_titulo_id': fields.many2one('wizard.baixa.titulo', 'Baixa titulo'),
        'wbtrc_pessoa_id': fields.many2one('adm.pessoa', 'Cliente/Fornecedor', required=True),
        'wbtrc_recibo_documentos_ids': fields.one2many('wizard.baixa.titulo.recibo.documentos',
                                                       'wbtrd_capa_id', 'Documentos'),
        'wbtrc_vr_total': fields.float('Valor total', digits=(15, 2)),
        'wbtrc_vr_total_recebido': fields.float('Valor total recebido', digits=(15, 2)),
        'wbtrc_vr_total_pago': fields.float('Valor total pago', digits=(15, 2)),
        'wbtrc_vr_total_juros': fields.float('Valor tota juros', digits=(15, 2)),
        'wbtrc_recibo_tipo': fields.char('Recebido/Pago')
    }
