#!/usr/bin/python
# -*- encoding: utf-8 -*-
from openerp.osv import osv, fields


class wizard_baixa_titulo_recibo_documentos(osv.TransientModel):
    select_titulo_tipo = [('R', 'Receber'), ('P', 'Pagar')]
    _name = 'wizard.baixa.titulo.recibo.documentos'
    _columns = {
        'wbtrd_capa_id': fields.many2one('wizard.baixa.titulo.recibo.capa', 'Capa'),
        'wbtrd_titulo_tipo': fields.selection(select_titulo_tipo, 'Tipo', size=1, required=True),
        'wbtrd_titulo_id': fields.many2one('financeiro.titulo', 'Titulo/Parcela', required=True,
                                           readonly=True),
        'wbtrd_valor_total': fields.float('Valor total', digits=(15,2)),
        'wbtrd_juros_total': fields.float('Juros total', digits=(15,2)),
    }
