# -*- encoding: utf-8 -*-

from openerp import tools
from openerp import pooler

wiz_form = '''<?xml version="1.0"?>
<form string="Prorrogacao ">
    <field name="company_id" colspan= "4" readonly="1"/>
    <field name="pessoa_id" colspan= "4" readonly="1"/>
    <field name="documento" readonly="1"/>
    <field name="parcela" readonly="1"/>
    <field name="data_emissao" readonly="1"/>
    <field name="vr_original" readonly="1"/>
    <field name="data_vencimento" readonly="1"/>
    <field name="data_prorrogacao"/>
</form>'''

wiz_fields = {
    'company_id': {
        'string': 'Empresa',
        'type': 'many2one',
        'relation': "res.company",
            },
    'pessoa_id': {
        'string' : 'Cliente',
        'type': 'many2one',
        'relation': 'adm.pessoa',
            },
    'documento': {
        'string' : 'Documento',
        'type': 'char',
        'size':'30',
           },
    'parcela': {
    'string': 'Parcela',
    'type': 'integer',
           },
    'data_emissao': {
    'string': 'Emissao',
    'type': 'date',
           },
    'vr_original': {
    'string': 'Valor',
    'type':'float',
    'digits': '(15,2)',
           },
    'data_vencimento':{
    'string': 'Data Vencimento',
    'type': 'date',
           },
    'data_prorrogacao': {
    'string': 'Data Prorrogacao',
    'type': 'date',
    'required': True,
           },

}
