# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class financeiro_parametros(osv.Model):
    """
    Tabela de parametros do financeiro
    """
    _inherit = 'financeiro.parametros'

    _columns = {
        'finpar_centro_custo_tarifa_retorno_id': fields.many2one(
            'adm.empresa.centrocusto', 'Centro de custo p/ tarifa cobranca',
            help='Centro de custo p/ tarifa cobranca retorno recebida'),
        'finpar_evento_tarifa_retorno_id': fields.many2one(
            'gerencial.evento', 'Evento p/ tarifa cobranca',
            help='Evento p/ tarifa cobranca retorno recebida'),
    }
