# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class financeiro_titulo(osv.Model):
    _name = 'financeiro.titulo'
    _inherit = 'financeiro.titulo'
    _columns = {
        'fintit_pgm_data_hora_geracao': fields.datetime('Data/Hora da geracao',
                                                        help='Data e hora que a remessa foi gerada'),
        'fintit_pgm_retorno_confirmado': fields.boolean('Retorno confirmado',
                                                        help='Indica que ja recebeu o arquivo de retorno'),
        'fintit_baixa_arquivo_retorno': fields.boolean('Baixado por arquivo de retorno',
                                                       help='Baixa realizada automaticamente pela '
                                                            'importacao do arquivo de retorno '
                                                            'emitido pelo banco.'),
    }
    _defaults = {
        'fintit_baixa_arquivo_retorno': lambda *a: False,
    }

