# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class fiscal_deducoes(osv.Model):
    _name = 'fiscal.deducoes'
    _inherit = 'fiscal.deducoes'

    def search(self, cr, uid, args, offset=0, limit=None, order=None, context=None, count=False):
        context = context and context.copy() or {}
        ids = []
        if context.get('fornecedor_deducao'):
            obj_ded = self.pool.get('fiscal.deducoes.fornecedor')
            ded_ids = obj_ded.search(cr, uid, [('pessoa_id', '=', context['fornecedor_deducao'])], context=context)
            if ded_ids:
                for i in obj_ded.browse(cr, uid, ded_ids):
                    ids.append(i.deducao_id.id)
                args.append(('id', 'in', ids))
        res = super(fiscal_deducoes, self).search(cr, uid, args, offset, limit, order, context, count)
        return res
