# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv


class fiscal_guia(osv.Model):
    _name = 'fiscal.guia'
    _inherit = 'fiscal.guia'

    def onchange_fisgui_fornecedor_reembolsar(self, cr, uid, ids, fisgui_fornecedor_reembolsar):
        vals = {}
        if not fisgui_fornecedor_reembolsar:
            vals['fisgui_fornecedor_vencimento'] = False
        return {'value': vals}

    def default_get(self, cr, uid, fields, context=None):
        context = context and context.copy() or {}
        if not 'fisgui_simples_nacional' in fields:
            fields.append('fisgui_simples_nacional')
        res = super(fiscal_guia, self).default_get(cr, uid, fields, context)
        verifica_simples_nacional = self.pool.get('adm.pessoa').verificar_empresa_simples_nacional(cr, uid)
        res['fisgui_simples_nacional'] = verifica_simples_nacional
        return res