# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from funcoes import estprc_get_nf_dados


class estoque_preco_custo(osv.Model):
    """
    Tabela de precos de custos dos produtos

    prefixo: estprc_
    """
    _inherit = 'estoque.preco.custo'
    _columns = {
        'estprc_nf_ids': fields.function(estprc_get_nf_dados, method=True, string='Notas fiscais',
                                         type='one2many', relation='fiscal.nf.capa'),
    }
