# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2017 All Rights Reserved. Luiz Fernando Maciel França
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2017, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""


from openerp.osv import osv, fields


# noinspection PyAbstractClass,PyPep8Naming
class estoquepedidos_pedido_item(osv.Model):
    from funcoes import pedite_function_get_saldo
    from funcoes import pedite_function_get_ultima_compra

    _inherit = 'estoquepedidos.pedido.item'
    _columns = {
        'pedite_icms_st': fields.float('ICMS ST', digits=(15, 2)),
        'pedite_saldo_ids': fields.function(
            pedite_function_get_saldo, method=True, string='Saldos', type='one2many',
            relation='estoque.local.locacao'),
        'pedite_ultima_compra_ids': fields.function(
            pedite_function_get_ultima_compra, method=True, string='Ultimas compras', type='one2many',
            relation='compras.ultima.compra')
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
