#!/usr/bin/python
# -*- encoding: utf-8 -*-



from openerp.osv import osv, fields


class financeiro_parametros(osv.Model):
    """
    Tabela de parametros do financeiro
    """
    _inherit = 'financeiro.parametros'
    _columns = {

        'finpar_centro_custo_venda_id': fields.many2one('adm.empresa.centrocusto', 'Centro de Custo para Vendas',
                                                        help="Informe o centro de custo para classificar as vendas. "
                                                             "Esta conta sera sobreposta se houver centro de custo classificado na categoria do item"),
    }
