# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2021 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2021, Creative Commons
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv


class res_company(osv.Model):
    _inherit = 'res.company'

    def create(self, cr, user, vals, context=None):
        # sempre adiciona o usuario do cron a uma nova empresa
        cron_user_ids = self.pool.get('res.users').search(
            cr, user, [('login', '=', 'cron_nfce_painel')])
        if 'user_ids' in vals:
            vals['user_ids'][0][2] += cron_user_ids
        else:
            vals['user_ids'] = [[6, False, cron_user_ids]]
        return super(res_company, self).create(cr, user, vals, context)

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
