# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class vendas_liberar_desconto(osv.Model):
    _name = 'vendas.liberar.desconto'
    _inherit = 'vendas.liberar.desconto'
    _columns = {
        'venauv_nf_id': fields.many2one('fiscal.nf.capa', 'NF', ondelete="cascade", sequence=True),
    }

    def onchange_venauv_nf(self, cr, uid, ids, venauv_nf_id, context=None):
        context = context and context.copy() or {}
        res = {'value': {}}
        if venauv_nf_id:
            # BUSCA O VALOR DA VENDA INSERIDO
            valores = self.venauv_get_valor_bruto_liquido(cr, uid, venauv_nf_id=venauv_nf_id)
            res['value'] = valores
        return res
