# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields


class fiscal_csosn(osv.Model):
    '''Codigo de Situacao da Operacao no Simples Nacional - CSOSN'''

    _name = 'fiscal.csosn'
    _columns = {
        'codigo': fields.char('Codigo', size=3, required=True),
        'name': fields.text('Descricao', required=True),
    }

    _sql_constraints = [
        ('codigo_csosn_uniq', 'unique (codigo)', 'O codigo CSOSN deve ser unico'),
    ]
