# -*- encoding: utf-8 -*-
# To change this template, choose Tools | Templates
# and open the template in the editor.

__author__ = "marcilene.ribeiro"
__date__ = "$15/03/2012 17:23:40$"

from openerp.osv import osv, fields
from pynfe.nfe.manual_500.nf_e import NFe as nf_e
import base64
from openerp.tools.translate import _


class fiscal_import_certificado(osv.TransientModel):
    _name = "fiscal.import.certificado"
    _description = "Importacao do Certificado Digital "
    _columns = {
        'certificado': fields.binary('Certificado Digital', required=True),
        'senha': fields.char('Senha', size=30, required=True),
        'importado': fields.boolean('Importado'),
    }

    def associar_certificado(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        if isinstance(ids, list):
            ids = ids[0]
        if context.get('active_id'):
            id_parametro = context.get('active_id')
            vals = self.read(cr, uid, ids, ['certificado', 'senha'], context=context)
            if vals['certificado'] and vals['senha']:
                n = nf_e()
                certificado = base64.decodestring(vals['certificado'].encode('utf-8', 'strict'))
                try:
                    # Implementação feita por conta da lubrifranca que tem ç na senha e descobrimos que equivale ao chr(231)
                    if 'ç' in vals['senha'].encode('utf-8'):
                       vals['senha'] = vals['senha'].encode('utf-8').replace('ç', chr(231))
                    cert = n.extrair_certificado_a1(certificado, vals['senha'])
                    if ('cert' in cert) and ('key' in cert):
                        self.pool.get('fiscal.parametro').write(cr, uid, id_parametro,
                                                                {'certificado_conteudo': cert['cert'],
                                                                 'chave_conteudo': cert['key'],
                                                                 'data_validade': cert['data_final_validade'],
                                                                 'proprietario_certificado': cert['proprietario'],
                                                                }, context)
                        self.write(cr, uid, [ids], {'importado': True}, context)
                except:
                    raise osv.except_osv(_('Atencao'), _('Certificado ou senha invalidos.'))

            else:
                raise osv.except_osv(_('Atencao'), _('Informe o certificado e a senha corretamente.'))

        return True
