# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class fiscal_nf_item_tributacao(osv.Model):
    _name = 'fiscal.nf.item.tributacao'
    _inherit = 'fiscal.nf.item.tributacao'

    def search(self, cr, uid, args, offset=0, limit=None, order=None, context=None, count=False):
        context = context and context.copy() or {}
        if context.get('consulta_mov_tributacao'):
            mov_item_id = 0
            active_model = context.get('active_model')
            active_id = context.get('active_id')
            if active_id and active_model == 'wizard.consulta.movimento.itens':
                mov_item_id = self.pool.get('wizard.consulta.movimento.itens').browse(cr, uid,
                                                                                      active_id).mov_item_id or 0
            args.append(('movimento_itens_id', '=', mov_item_id))
        return super(fiscal_nf_item_tributacao, self).search(cr, uid, args, offset=offset, limit=limit, order=order,
                                                             context=context, count=count)

