# -*- coding: utf-8 -*-

from openerp.osv import fields, osv



class wizard_cancelar_nfe(osv.TransientModel):
    _name = 'wizard.gerar.nfe.referenciada'
    _description = 'Gerar NF-e'

    _columns = {
        'name': fields.char('Motivo Cancelamento', size=255, help="Motivo de Cancelamento da NF-e"),
    }

    def gerar_nfe(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        return self.pool.get('fiscal.nf.capa').fisnfc_gerar_nfe_nfce(cr, uid, context.get('active_ids', []), context)

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
