# -*- coding: utf-8 -*-

from openerp.osv import osv, fields


class meep_nfce(osv.Model):

    _name = 'meep.nfce'
    _description = "Tabela de notas importadas"

    _columns = {
        'write_date': fields.datetime('Data alteracao'),
        'meep_nfce_chave': fields.char('Chave nfce', size=44, select=True),
        'meep_nfce_equipamento': fields.char('Equipamento', size=20),
        'meep_nfce_protocolo': fields.char('Protocolo', size=15),
        'meep_nfce_numero': fields.integer('Numero', select=1),
        'meep_nfce_serie': fields.char('Serie', size=3, select=1),
        'meep_nfce_emissao': fields.datetime('Emissao'),
        'meep_nfce_status': fields.char('Status', size=3),
        'meep_nfce_canc': fields.boolean('Cancelada'),
        'meep_nfce_situacao': fields.text('Situacao')
    }
    _order = 'meep_nfce_serie,meep_nfce_numero'

