# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from datetime import date

def _gesbas_bccl_nome_cliente(self, cursor, user, ids, name, arg, context=None):
    """
    Retorna o nome do cliente
    """
    context = context and context.copy() or {}
    res = {}
    for cliente in self.browse(cursor, user, ids, context=context):
        if cliente.gesbas_clie_pessoa_id:
            res[cliente.id] = cliente.gesbas_clie_pessoa_id.name
        else:
            res[cliente.id] = False
    return res

def _gesbas_back_nome_cliente(self, cursor, user, ids, name, arg, context=None):
    """
    Retorna o nome do cliente
    """
    context = context and context.copy() or {}
    res = {}
    for cliente in self.browse(cursor, user, ids, context=context):
        if cliente.gesbas_back_pessoa_id:
            res[cliente.id] = cliente.gesbas_back_pessoa_id.name
        else:
            res[cliente.id] = False
    return res

def _gesbas_aces_get_dados(self, cursor, user, ids, name, arg, context=None):
    """
    Retorna o nome do cliente
    """
    context = context and context.copy() or {}
    res = {}
    for cliente in self.browse(cursor, user, ids, context=context):
        if cliente.gesbas_aces_pessoa_id:
            gesbase_clie_ids = self.pool.get('gesbas.cliente').search(cursor, user,
                                                                      [('gesbas_clie_pessoa_id', '=', cliente.gesbas_aces_pessoa_id.id)],
                                                                      limit=1)
            gesbase_clie_brw = self.pool.get('gesbas.cliente').browse(cursor, user, gesbase_clie_ids[0])
            vals = {
                'name': cliente.gesbas_aces_pessoa_id.name,
                'gesbas_aces_servidor': gesbase_clie_brw.gesbas_clie_servidor
            }
            res[cliente.id] = vals
    return res
