#!/usr/bin/python
# -*- encoding: utf-8 -*-
import sys, os, re
import xmlrpclib, socket
import csv
from SigUtils import datas, geralogs, uf, email,numero
import psycopg2
import psycopg2.extras
import psutil
from unicodedata import normalize
i=0
lista=[]
encerrar = 'N'
diretorio = './'
try:
   for proc in psutil.process_iter():
      for x in proc.cmdline:
         if 'cpg2ope.py' in x:
            if proc.cmdline[1] == '../objetos/cpg2ope.py':
               i+=1
               arquivo = proc.cmdline[2]
               if i > 1:
                  for a in lista:
                     if a == arquivo:
                        encerrar = 'S'
               lista.append(arquivo)
except:
   pass
if encerrar == 'S':
   exit()

class contarRegistros(object):
    def __init__(self, registros):
        x=registros
        self.regLido = 0
        i=0
        for a in x:
           i+=1
        self.regTotal = i
        self.regPasso = int(self.regTotal / 100)
        if self.regPasso > 100:
            self.regPasso = 100
        if self.regPasso == 0:
            self.regPasso = 1
    def contar(self, operacao='x'):
        self.regLido += 1
        _inteiro, _resto = divmod(self.regLido, self.regPasso)
        if _resto == 0:
            #if operacao == 'x':
            #   print(str(self.regTotal) + '/' + str(self.regLido))
            return True
        return False

def gravarLog(texto, linha=''):
    _arq = _dados = ''
    try:
        _arq = arq
    except:
        pass
    try:
        _dados = registro
    except:
        pass
    if not linha:
        linha = _dados
    try:
        _sql = ("select * from legado_logs where lelg_arquivo = '%s' and lelg_data = '%s' and lelg_hora = '%s'" %
                (str(_arq), str(datas.getDataDeHoje('I','-')), str(datas.getDataDeHoje('H')[:5])))
        cr_log.execute(_sql)
        _registros = cr_log.fetchall()
        if _registros:
            _log_id = _registros[0]['id']
            _sql = "update legado_logs set  lelg_empresa_legado = '%s', lelg_arquivo = '%s', lelg_erro = '%s', lelg_conteudo = '%s', lelg_data = '%s', "
            _sql += "lelg_hora = '%s', lelg_arquivo_legado = '%s',active = %s"
            _sql = _sql % (str(_arq[-5:-2]), str(_arq),str(texto).replace("'",""), str(linha).replace("'",""), str(datas.getDataDeHoje('I','-')), str(datas.getDataDeHoje('H')[:5]), str(_arq[:5]), True)
            _sql += ' where id = ' + str(_log_id)
            cr_log.execute(_sql)
        else:
            _sql = 'insert into legado_logs (lelg_empresa_legado, lelg_arquivo, lelg_erro, lelg_conteudo, lelg_data, lelg_hora, lelg_arquivo_legado, active)'
            _sql += " values ('%s','%s','%s','%s','%s','%s','%s','%s') "
            _sql = _sql % (str(_arq[-5:-2]), str(_arq),str(texto).replace("'", ""), str(linha).replace("'",""), str(datas.getDataDeHoje('I','-')), str(datas.getDataDeHoje('H')[:5]), str(_arq[:5]), True)
            cr_log.execute(_sql)
        cr_log.connection.commit()
    except Exception as e:
        cr_log.connection.rollback()
        geralogs.geraLogs('cpg2ope.log', 'Nao consegui gerar o legado_log.   sql:' + str(_sql) +'   Erro:' + str(e), 'S', '../arquivos/logs/')
        if _arq:
            geralogs.geraLogs('cpg2ope.log', _arq +  texto, 'S', '../arquivos/logs/')
        else:
            geralogs.geraLogs('cpg2ope.log',  texto, 'S', '../arquivos/logs/')

try:
    import csv
    arq_configuracao='../objetos/sigerp.cfg'
    arquivo=csv.DictReader(open(arq_configuracao))
    for a in arquivo:
        hostname = a['hostname']
        username = a['username']
        pwd = a['password']
        db = a['database']
        porta= a['porta']
        dbhostname = a['dbhostname']
        dbuser = a['dbuser']
        dbpasswd = a['dbpasswd']
except:
    gravarLog('Erro identificando parametros - sigerp.cfg')

sock_common = xmlrpclib.ServerProxy ( 'http://'+hostname+':'+porta+'/xmlrpc/common' )
socket.setdefaulttimeout(3)
uid = sock_common.login( db, username, pwd )
sock = xmlrpclib.ServerProxy( 'http://'+hostname+':'+porta+'/xmlrpc/object' )

_stringConeccao = ("dbname='" +db
                        +"' user='"+dbuser
                        +"' host='"+dbhostname
                        +"' password='"+dbpasswd
                        +"' connect_timeout='%d" % 3 + "'")
conn = psycopg2.connect(_stringConeccao)
cr=conn.cursor(cursor_factory=psycopg2.extras.DictCursor)
cr_log=conn.cursor(cursor_factory=psycopg2.extras.DictCursor)

def inserirSQL(cr, tabela, dados):
    _cr = cr
    dados['create_uid'] = uid
    dados['create_date'] = datas.hoje_I + ' ' + datas.horas[:-3]
    _qtdCampos=len(dados)
    _txt1='('
    _txt3="("
    for x in dados.keys():
        _txt1 +=x +', '
        _txt3 +="'"+str(dados[x])+"', "
    _txt1 = _txt1[:-2]+')'
    _txt3 = _txt3[:-2]+")"
    _txt2 = "'%s',"*_qtdCampos
    _txt2 = "("+_txt2[:-1]+")"
    _sql = "insert into "+tabela+" "+_txt1+" values "+_txt2+" returning id"
    _sql = _sql % eval(_txt3)
    try:
       cr.execute(_sql)
    except Exception as e:
         cr.connection.rollback()
         gravarLog('Erro insert: tabela '+tabela+ '  sql:'+ _sql+ '  Erro:' + str(e))
    return cr.fetchone()[0]

def deletarSQL(cr, tabela, where):
    _cr = cr
    _sql = 'delete from '+tabela+' where '+where
    try:
       cr.execute(_sql)
    except Exception as e:
         gravarLog('Erro delete: tabela '+tabela+ '  sql:'+ _sql + '   Erro: ' + str(e))
         return False
    return True

def alterarSQL(cr, tabela, id, dados):
    _cr = cr
    dados['write_uid'] = str(uid)
    dados['write_date'] = datas.hoje_I + ' ' + datas.horas[:-3]
    _qtdCampos=len(dados)
    _txt=''
    for x in dados.keys():
       if str(dados[x])[:1] == '!':
          _txt +=x +" = " + str(dados[x])[1:]+ ","
       else:
          _txt +=x +" = '" + str(dados[x])+ "',"
    if _txt[-1:] == ',':
        _txt=_txt[:-1]
    if str(type(id)) == "<type 'list'>":
       _sql = "update "+tabela+" set "+_txt+" where "
       for a in id:# lista para where
          _sql += a +" and "
       if _sql[-5:] == ' and ':
          _sql = _sql[:-5]
    else:
       _sql = "update "+tabela+" set "+_txt+" where id = "+str(id)
    try:
       cr.execute(_sql)
    except Exception as e:
         gravarLog('Erro update - sql:'+ _sql + '   Erro:' + str(e))
         return False
    return True

def lerLegado(cr, empresa_legado, chave_legado, tabela):
    _sql="select chave_sigerp from legado_controle where empresa = '%s' and chave_legado = '%s' and tabela_legado = '%s'" % (empresa_legado, chave_legado, tabela)
    cr.execute(_sql)
    _regLegado = cr.fetchall()
    result = []
    if _regLegado:
        for x in _regLegado:
            result.append(x['chave_sigerp'])
    #else:
    #   print _sql
    return result

def lerSQL(cr, tabela, where=[], campos=[]):
    """
    parametros:
      cr -> cursor
      tabela -> nome da tabela
      where -> clausula where pronta exemplo: ["codigo = 'teste'","name = 'luiz'"]
      campos -> campos a serem lidos, exemplo: ['codigo, nome']
    """
    _sql = "select "
    if campos:
        for a in campos:
            _sql += a + ','
        _sql = _sql[:-1]+ ' '
    else:
        _sql += '* '
    _sql += 'from '+ tabela + ' '
    if where:
        _sql += 'where '
        for a in where:
            _sql += a +" and "
        if _sql[-5:] == ' and ':
            _sql = _sql[:-5]
    try:
       cr.execute(_sql)
       _registros = cr.fetchall()
    except Exception as e:
         gravarLog('Erro lendo - sql:'+ _sql + '   Erro:' + str(e))
         return False
    #if not _registros:
    #    print _sql
    return _registros

def capitalize_all( texto ):
    lista = texto.lower().split()
    lista_capitalize = []
    for a in lista:
        lista_capitalize.append( a.capitalize() )
    b = ' '
    return b.join( lista_capitalize )

def formata_cpf_cnpj( cpf_cnpj, tipo ):
    _cpf_cnpj = cpf_cnpj.lstrip( '0' )
    if _cpf_cnpj.__len__() < 5:
        _cpf_cnpj = ''
    else:
        from SigUtils import formatastring
        if tipo == 'F':
            _cpf_cnpj = formatastring.formataString( _cpf_cnpj, 11, '0', 'E' )
            from SigUtils import cpf
            a = cpf.Cpf()
            if not a.validar( _cpf_cnpj ):
                _cpf_cnpj = ''
        else:
            from SigUtils import cnpj
            _cpf_cnpj = formatastring.formataString( _cpf_cnpj, 14, '0', 'E' )
            a = cnpj.Cnpj()
            if not a.validar( _cpf_cnpj ):
                _cpf_cnpj = ''
    return _cpf_cnpj

def retira_acentos( string ):
    if str( type( string ) ) == "<type 'str'>":
        nova_string = ''
        for x in string:
            if ord( x ) <= 127:
                nova_string = nova_string + x
        return nova_string
    return string

def gravar_documentos( cr, pessoa_id, tipo_id, numero ):
    args = ["pessoa_id = '%s'" % pessoa_id, "tipo_id = '%s'" % tipo_id] #query clause
    ids =  lerSQL(cr,'adm_pessoa_documento_dados', args )
    nIds = []
    for x in ids:
       nIds.append(ids[0]['id'])
    ids=nIds
    _numero = ''
    for x in numero:
       if ord(x) < 127 and ord(x) != 92:
          _numero += x
    values = {
        'pessoa_id': pessoa_id,
        'tipo_id': tipo_id,
        'numero': _numero,
    } #data to update / create
    try:
        if ids:
            result =  alterarSQL(cr,'adm_pessoa_documento_dados', ids, values )
        else:
            result =  inserirSQL(cr,'adm_pessoa_documento_dados', values )
    except:
        gravarLog('Erro na atualizacao de documentos da pessoa! ' +  str(values), registro)

def reg_pessoa_documento_tipo( cr, tipo, fis_jur, sigla ):
    args =["sigla = '%s'" % sigla] #query clause
    ids =  lerSQL(cr,'adm_pessoa_documento_tipo', args )
    if ids:
       tipo_id = ids[0]['id']
    else:
       doc_tipo = {'name':tipo, 'pessoa_tipo':fis_jur, 'sigla':sigla}
       try:
          tipo_id =  inserirSQL(cr,'adm_pessoa_documento_tipo', doc_tipo )
       except:
           gravarLog( 'Erro criando tipo de documento: ' + str(doc_tipo), registro )
           return False
    return tipo_id

def reg_pais( cr, codPais, nomePais ):
    args = ["name ilike '%s'" % nomePais] #query clause
    ids =  lerSQL(cr,'adm_pais', args )
    if ids:
       pais_id = ids[0]['id']
    else:
       pais = {'name':nomePais, 'codigo_bc':codPais}
       try:
          pais_id =  inserirSQL(cr,'adm_pais', pais )
       except:
           gravarLog( 'Erro criando pais: ' + str( pais ), registro)
           return False
    return pais_id


def reg_uf( cr, sigla, pais_id ):
    args = ["sigla = '%s'" % sigla, "pais_id = '%s'" % pais_id] #query clause
    ids =  lerSQL(cr,'adm_uf', args )
    if ids:
        uf_id = ids[0]['id']
    else:
        from SigUtils import uf
        a = uf.Uf( sigla )
        try:
           _nome_uf = capitalize_all( a.getDescricao() )
        except:
            return False
        if not _nome_uf:
           return False
        uf = {'sigla':sigla, 'pais_id':pais_id, 'name':_nome_uf}
        try:
           uf_id =  inserirSQL(cr,'adm_uf', uf )
        except:
            gravarLog( 'Erro criando UF:' + str( uf ), registro)
            return False
    return uf_id


def reg_cidade( cr, codigo_ibge, nome_cidade,  uf_id, sigla ):
    if len(nome_cidade) < 5:
       return False
    if nome_cidade == 'Araai':
       nome_cidade = 'Aracai'
    if nome_cidade == 'Baldin':
       nome_cidade = 'Baldim'
    if nome_cidade[:6] == 'Belo H' or nome_cidade[:2] == 'B.' or nome_cidade[:6] in ('B Hori', 'Helo H', 'Bwelo ',):
       nome_cidade = 'Belo Horizonte'
    if nome_cidade == 'Brasilan.minas' or nome_cidade == 'Brazilia De Minas' or (nome_cidade == 'Brasilia' and sigla == 'MG'):
       nome_cidade = 'Brasilia De Minas'
    if nome_cidade[:7] == 'Cach.da' or nome_cidade[:7] == 'Cach Da' or nome_cidade[:8] == 'Cach. Da' or nome_cidade[:10] in ('Cachoeiora','Cachoeiera') or nome_cidade in ('Cachoeira Da Prato','Cachoeira Prata','Ca Da Prata', 'C.da Prata','C Da Prata','Cachoeira', 'Cachoira Da Prata', 'Cha Prata', 'Ch.da Prata','Cachoeria Da Prata'):
       nome_cidade = 'Cachoeira Da Prata'
    if nome_cidade == 'Caetanapolis' or nome_cidade == 'Caetanoplis':
       nome_cidade = 'Caetanopolis'
    if nome_cidade in ('Cerdisburgo', 'Codisburgo', 'Codisbrugo', 'Cosdisburgo') or nome_cidade[:6]=='Cordis':
       nome_cidade = 'Cordisburgo'
    if nome_cidade in ( 'Divinapolis','Divinpolis'):
       nome_cidade = 'Divinopolis'
    if nome_cidade in ( 'Esmeralda',):
       nome_cidade = 'Esmeraldas'
    if nome_cidade in ( 'Farropilha'):
       nome_cidade = 'Farroupilha'
    if nome_cidade in ( 'Felixlandia','Fexlandia', 'Fexlandia'):
       nome_cidade = 'Felislandia'
    if nome_cidade[:6] in ( 'Ferraz'):
       nome_cidade = 'Ferraz De Vasconcelos'
    if nome_cidade in ( 'Fortuna','Fortunas De Minas'):
       nome_cidade = 'Fortuna De Minas'
    if nome_cidade == 'Inhuma':
       nome_cidade = 'Inhauma'
    if nome_cidade in ( 'Jaboticatuva','Jaboticatuba'):
       nome_cidade = 'Jaboticatubas'
    if nome_cidade in ( 'Jeauitiba','Jequetiba', 'Jequiba', 'Jequitia', 'Jewuitiba', 'Jquitiba'):
       nome_cidade = 'Jequitiba'
    if nome_cidade in ( 'J.de Fora',):
       nome_cidade = 'Juiz De Fora'
    if nome_cidade in ( 'Joinville Sc',):
       nome_cidade = 'Joinville'
    if nome_cidade in ( 'L.santa',):
       nome_cidade = 'Lagoa Santa'
    if nome_cidade in ( 'Luziana',):
       nome_cidade = 'Luziania'
    if nome_cidade in ( 'Matozinhoss',):
       nome_cidade = 'Matozinhos'
    if nome_cidade in ( 'M.claros', 'Montes Claro'):
       nome_cidade = 'Montes Claros'
    if nome_cidade in ( 'Montrreal',):
       nome_cidade = 'Montreal'
    if nome_cidade in ( 'Morada Nova',):
       nome_cidade = 'Morada Nova De Minas'
    if nome_cidade in ( 'Papagaio',):
       nome_cidade = 'Papagaios'
    if nome_cidade in ( 'Paraobepa','Paraopepa'):
       nome_cidade = 'Paraopeba'
    if nome_cidade in ( 'Para Minas',):
       nome_cidade = 'Para De Minas'
    if nome_cidade in ( 'P. De Moraes','P-de Morais', 'P.de Morais', 'P Moraes', 'P.morais','Pridente De Morais', 'Prrudente De Morais', 'Prude.de Morais', 'Prud. De Morais', 'Pru.de Moraes', 'Pru. De Morais', 'Prudente De Moaris', 'Prudente De Moraes', 'Prudente D.moraes', 'Prudente Moraes', 'Prudente Morais', 'Prud Moraes', 'Prud. Moraes', 'Prud. Morais'):
       nome_cidade = 'Prudente De Morais'
    if nome_cidade in ( 'P.leopoldo','P.leopolso'):
       nome_cidade = 'Pedro Leopoldo'
    if nome_cidade in ( 'Pocos De Calda', 'Pocos De Caldass', 'Poos De Caldas'):
       nome_cidade = 'Pocos De Caldas'
    if nome_cidade in ( '.porto Alegre',):
       nome_cidade = 'Porto Alegre'
    if nome_cidade in ( 'Ribeirao Des Neves',):
       nome_cidade = 'Ribeirao Das Neves'
    if nome_cidade in ( 'Saubara'):
       nome_cidade = 'Sabara'
    if nome_cidade in ( 'Santana Do Pirapama','Santana Pirapama', 'Santan De Pirapama', 'Santan Pirapama', 'Sant.de Pirapama', 'Sant. De Pirapama', 'Satana De Pirapama', 'Satana Pirapama', 'S.de Pirapama', 'S Pirapama', 'Sta Pirapama', 'Sta De Pirapama', 'St De Pirapama', 'Pirapama'):
       nome_cidade = 'Santana De Pirapama'
    if nome_cidade in ( 'S.b.campo'):
       nome_cidade = 'Sao Bernardo Do Campo'
    if nome_cidade in ( 'So Bento Do Sul'):
       nome_cidade = 'Sao Bento Do Sul'
    if nome_cidade in ( 'Sao Vicente Baldim','Sao Vicente / Baldim', 'Sao Vicente De Minas'):
       nome_cidade = 'Sao Vicente'
    if nome_cidade[1:5] == 'sete' or nome_cidade[:3] in ('See',) or nome_cidade[:4] in ('Sset','Dete', 'Aete', 'Sate', 'Sere', 'Seta', 'Sete', 'Set ', 'Sety', 'Seyt', 'Ste ', 'Sets','Stee') or nome_cidade in ('Este Lagoas', '.ete Lagoas', 'Ete Lagoas', 'Faz.velha 7lagoas', 'Serte Lagoas', 'Seste Lagoas','Slagoas', 'S/lagoas', 'S.lagoas', 'S Lagoas', 'Lagoas', 'Algoas') :
       nome_cidade = 'Sete Lagoas'
    if nome_cidade in ( 'So Paulo'):
       nome_cidade = 'Sao Paulo'
    if nome_cidade in ( 'Susano'):
       nome_cidade = 'Suzano'
    if nome_cidade in ( 'Tres Maria'):
       nome_cidade = 'Tres Marias'
    if nome_cidade in ( 'Vargem Gde. Paulista'):
       nome_cidade = 'Vargem Grande Paulis'
    args = ["name ilike '%s'" % nome_cidade, "uf_id  = '%s'" % uf_id] #query clause
    ids =  lerSQL(cr,'adm_cidade', args )
    if not codigo_ibge.isdigit():
        codigo_ibge = '0'
    if ids:
       cidade_id = ids[0]['id']
    else:
       cidade = {'uf_id':uf_id, 'name':nome_cidade, 'codigo_ibge':codigo_ibge}
       try:
          cidade_id =  inserirSQL(cr,'adm_cidade', cidade )
       except:
           gravarLog('Erro Criando cidade: ' + str( cidade ), registro)
           return False
    return cidade_id

def reg_bairro( cr, nome_bairro ):
    if len(nome_bairro) < 5:
        return False
    args = [ "name ilike '%s'" % nome_bairro ] #query clause
    ids =  lerSQL(cr,'adm_bairro', args )
    if ids:
       bairro_id = ids[0]['id']
    else:
       bairro = { 'name':nome_bairro}
       try:
          bairro_id =  inserirSQL(cr,'adm_bairro', bairro )
       except:
           gravarLog('Erro criando bairro:' + str(bairro), registro)
           return False
    return bairro_id

def reg_logradouro( nomeRua ):
    def acha_titulo( endereco ):
        _endereco = endereco.upper()
        dic_titulo = {'RUA':'Rua', 'R':'Rua',
                    'ROD':'Rodovia',
                    'TR':'Travessa',
                    'PC':'Praca', 'PRACA':'Praca',
                    'BECO':'Beco', 'BC':'Beco',
                    'AV': 'Avenida'
                    }
        _pos = 0
        _tit = ''
        _end = ''
        for x in dic_titulo:
            _tam = len( x )
            if _endereco[:_tam] == x:
                _pos = _tam
                _fim = _tam
                _tit = dic_titulo[x]
                break
        if _pos == 0:
            _end = endereco.strip()
        else:
            a = endereco[_pos:]
            _fim = _pos
            for x in a:
                _fim = _fim + 1
                if x in ' .-/:;=':
                    break
            _end = endereco[_fim:]
            _end = _end.strip()
            if _end[:1] == '.' or _end[:1] == ',' or _end[:1] == ';' or _end[:1] == ':':
                _end = _end[1:]
                _end = _end.strip()
        a = [_tit, _end]
        return a
    if len(nomeRua) < 3:
        return False
    if nomeRua.lower() == 'o mesmo':
        return False
    _tit, nomeRua = acha_titulo( nomeRua )
    args = [" descricao = '%s'" % nomeRua, "titulo = '%s'" % _tit ] #query clause
    ids =  lerSQL(cr,'adm_logradouro', args )
    if ids:
       logradouro_id = ids[0]['id']
    else:
       logradouro = { 'descricao':nomeRua, 'titulo':_tit}
       try:
          logradouro_id =  inserirSQL(cr,'adm_logradouro', logradouro )
       except:
          gravarLog('Erro criando logradouro:' + str( logradouro ), registro)
          return False
    return logradouro_id

def reg_endereco_tipo( cr, tipo ):
    args = [ "name = '%s'" % tipo ] #query clause
    ids =  lerSQL(cr,'adm_endereco_tipo', args )
    if ids:
       tipo_id = ids[0]['id']
    else:
       end_tipo = {'name':tipo, 'bloqueio':True}
       try:
          tipo_id =  inserirSQL(cr,'adm_endereco_tipo', end_tipo )
       except:
           gravarLog( 'Erro criando tipo de endereco:'  + str( end_tipo ), 'e')
           return False
    return tipo_id

def reg_endereco( cr, endereco_nro, cep, pessoa_id, tipo_id, pais_id, uf_id, cidade_id, bairro_id, logradouro_id, dados):
    args = [ "pessoa_id = '%s'" % pessoa_id, "endereco_tipo_id = '%s'" % tipo_id ] #query clause
    ids =  lerSQL(cr,'adm_pessoa_endereco', args )
    if ids:
       endereco_id = ids[0]['id']
    else:
        import re
        try:
            _numero = int( re.sub( '[^0-9]', '', endereco_nro ) )
        except:
            _numero = 0
        _complemento = re.sub( '[^A-Z]', '', endereco_nro.upper() )
        if _numero > 999910:
           if _complemento == '':
              _complemento = str(_numero)
              _numero = ''
           else:
              _numero = int(str(_numero)[:5])
        endereco = {
                   'pessoa_id':pessoa_id,
                   'numero':_numero,
                   'complemento':_complemento,
                   'active' : True,
                   }
        if pais_id:
           endereco['pais_id'] = pais_id
        if uf_id:
           endereco['uf_id'] = uf_id
        if cidade_id:
           endereco['cidade_id'] = cidade_id
        if bairro_id:
           endereco['bairro_id'] = bairro_id
        if tipo_id:
           endereco['endereco_tipo_id'] = tipo_id

        if logradouro_id:
            endereco['logradouro_id']= logradouro_id
        if  cep != '00000000':
            endereco['cep'] = cep
        try:
           endereco_id =  inserirSQL(cr,'adm_pessoa_endereco', endereco )
           #Verificar se modulo fiscal está instalado
           idsModulo = lerSQL(cr, 'ir_module_module', ["name = 'fiscal'"])
           _fiscalInstalado = False
           if idsModulo:
               _regModulo = idsModulo[0]['state']
               if _regModulo == 'installed':
                   _fiscalInstalado = True
           if _fiscalInstalado:
               alterarSQL(cr, 'adm_pessoa', pessoa_id, {'endereco_nf_id': endereco_id})
        except Exception as e:
           gravarLog('Erro criando endereco:' +str( endereco) + '   Erro:' + str(e), registro)
           return False
    return endereco_id


def reg_pes_dependente( cr, nome, fis_jur ):
    args = [ "nome = '%s'"% nome, "pessoa_tipo = '%s'" % fis_jur ] #query clause
    ids =  lerSQL(cr,'adm_pessoa', args )
    if ids:
       dep_id = ids[0]['id']
    else:
       pessoa = {'nome':nome,
           'pessoa_tipo':fis_jur,
           }
       try:
          partner_id = inserirSQL(cr, 'res_partner', {'name':nome, 'notification_email_send':'comment'})
          pessoa['partner_id'] = partner_id
          regCodigo = lerSQL(cr, 'ir_sequence', ["code = 'pessoa.codigo'"])
          pessoa['codigo'] = regCodigo[0]['number_next']
          codigo = int(regCodigo[0]['number_next']) + 1
          alterarSQL(cr, 'ir_sequence', regCodigo[0]['id'], {'number_next':codigo})
          dep_id =  inserirSQL(cr,'adm_pessoa', pessoa )
       except:
          gravarLog('Erro criando Dependente:' + str( pessoa ), registro)
          return False
    return dep_id

def reg_relacionamento_tipo( cr, titularidade, fis_jur ):
    if titularidade == 'Pai' or titularidade == 'Mae':
       args = [ "sigla = '%s'" % 'PM', "pessoa_tipo = '%s'" % fis_jur ] #query clause
    else:
       args = [ "name = '%s'" % titularidade, "pessoa_tipo = '%s'" % fis_jur ] #query clause
    ids =  lerSQL(cr,'adm_relacionamento_tipo', args )
    if ids:
       titul_id = ids[0]['id']
    else:
       titul = {'name':titularidade,
                'pessoa_tipo':fis_jur,
           }
       try:
          titul_id =  inserirSQL(cr,'adm_relacionamento_tipo', titul )
       except:
          gravarLog( 'Erro na criacao do tipo de relacionamento:' + str( titul), registro)
          return False
    return titul_id

def reg_dependente( cr, pessoa, titu, dependente ):
    try:
       objInverso =  lerSQL(cr,'adm_relacionamento_tipo', ["id = '%s'" % titu], ['relacionamento_inverso_id'] )
       inverso_id = objInverso[0]['relacionamento_inverso_id']
    except:
        gravarLog( 'Erro recuperando o inverso:' + str(objInverso), registro)
        inverso_id = False
    args = ["dependente_id = '%s'" % dependente,
            "relacionamento_tipo_id = '%s'" % titu,
            "pessoa_id = '%s'" % pessoa] #query clause
    ids =  lerSQL(cr,'adm_pessoa_relacionamento', args )
    if ids:
       dep_id = ids[0]['id']
    else:
        depend = {'dependente_id':dependente,
                  'relacionamento_tipo_id':titu,
                  'pessoa_id': pessoa
                 }
        try:
           dep_id =  inserirSQL(cr,'adm_pessoa_relacionamento', depend )
        except:
            gravarLog( 'Erro criando relacionamento(dependente):' + str( depend ), registro)
            return False
    return dep_id

def reg_email_tipo( cr, tipo ):
    args = [ "name = '%s'" % tipo ] #query clause
    ids =  lerSQL(cr,'adm_email_tipo', args )
    if ids:
       email_tipo_id = ids[0]['id']
    else:
       email_tipo = {'name':tipo,
                'bloqueio':True,
           }
       try:
          email_tipo_id =  inserirSQL(cr,'adm_email_tipo', email_tipo )
       except:
           gravarLog( 'Erro criando tipo de email:'  + str( email_tipo), registro)
           return False
    return email_tipo_id

def reg_email( cr, email, email_tipo_id, pessoa_id ):
    args = [ "name = '%s'" % email, "pessoa_id = '%s'" % pessoa_id ] #query clause
    ids =  lerSQL(cr,'adm_pessoa_email', args )
    if ids:
       email_id = ids[0]['id']
    else:
       dados_email = {'name':email,
                      'pessoa_id':pessoa_id,
                      'email_tipo_id': email_tipo_id,
           }
       try:
          email_id =  inserirSQL(cr,'adm_pessoa_email', dados_email )
       except:
           gravarLog( 'Erro criando email:' + str( dados_email), registro)
           return False
    return email_id

def reg_telefone_tipo( cr, tipo ):
    args = [ "name = '%s'" % tipo ] #query clause
    ids =  lerSQL(cr,'adm_telefone_tipo', args )
    if ids:
       telefone_tipo_id = ids[0]['id']
    else:
       telefone_tipo = {'name':tipo,
                        'bloqueio':True,
           }
       try:
          telefone_tipo_id =  inserirSQL(cr,'adm_telefone_tipo', telefone_tipo )
       except:
          gravarLog( 'Erro criando tipo de telefone:' + str( telefone_tipo ), registro)
          return False
    return telefone_tipo_id

def reg_telefone( cr, telefone, telefone_tipo_id, pessoa_id ):
    def acha_ddd_telefone( telefone ):
        _ddd = ''
        _telefone = ''
        if len( telefone ) < 10:
            _telefone = telefone
        else:
            posI = telefone.find( '(' ) # ddd entre (  )
            if posI != -1:
               posF = telefone.find( ')' )
               if posF > posI:
                  _ddd = telefone[posI + 1:posF]
                  _telefone = telefone[posF + 1:].strip()
            else:
               posF = telefone.find( ' ' ) # ddd separado por espaco
               if posF != -1 and posF < 4:
                  _ddd = telefone[:posF].strip()
                  _telefone = telefone[posF + 1:].strip()
               else:
                   posF = telefone.find( '-' ) # ddd separado por "-"
                   if posF != -1 and posF < 4:
                      _ddd = telefone[:posF].strip()
                      _telefone = telefone[posF + 1:].strip()
                   else:
                      posF = telefone.find( ')' ) # ddd separado por "-"
                      if posF != -1 and posF < 5:
                         _ddd = telefone[:posF].strip()
                         _telefone = telefone[posF + 1:].strip()
                      else:
                          if len( telefone ) > 25:
                             _ddd = telefone[:len( telefone ) - 1].strip()
                             _telefone = telefone[len( telefone ) - 25:].strip()
        return _ddd, _telefone
    ddd, telefone = acha_ddd_telefone( telefone )
    ddd = re.sub('[^0-9]', '', ddd)
    try:
       a=int(ddd)
       if a == 0:
          ddd=''
       else:
          ddd = '%03d' % a
    except:
       pass
    telefone = re.sub('[^0-9]', '', telefone)
    try:
       a=int(telefone)
       if a == 0:
          telefone=''
    except:
       pass
    if ((telefone == '') or (len(telefone) < 4)):
        return False
    args = [ "numero = '%s'" % telefone, "pessoa_id = '%s'" % pessoa_id ] #query clause
    ids =  lerSQL(cr,'adm_pessoa_telefone', args )
    if ids:
       telefone_id = ids[0]['id']
    else:
       dados_telefone = {'numero':telefone,
                      'ddd': ddd,
                      'pessoa_id':pessoa_id,
                      'telefone_tipo_id': telefone_tipo_id,
           }
       try:
          telefone_id =  inserirSQL(cr, 'adm_pessoa_telefone', dados_telefone )
       except:
           gravarLog( 'Erro Criando telefone:' + str(dados_telefone), registro)
           return False
    return telefone_id

def reg_fornecedor( cr, dados, pessoa_id ):
    try:
       args = ["pessoa_id = '%s'" % pessoa_id, "company_id = %s" % company_id_c] #query clause
       ids = lerSQL(cr, 'financeiro_fornecedor', args )
       if ids:
          fornecedor_id = ids[0]['id']
       else:
           fornecedor = {
                     'pessoa_id':pessoa_id,
                     'company_id': company_id_c,
                     'active':dados['ativo'],
                     }
           fornecedor_id = inserirSQL(cr, 'financeiro_fornecedor', fornecedor )
       return fornecedor_id
    except Exception as e:
       gravarLog("CPG01: Nao consegui registrar o fornecedor(reg_fornecedor):" + str( dados ) + '   Erro: ' + str(e), registro)
       return False


def gerarCpg01(empresa_legado,operacao, dados):#Fornecedor
   def get_fonema(string, tamanho_fonema=5):
        def _calc_fonema(nome, _tam):
            nome = nome + '     '
            inicio = ''
            fim = ''
            #Tratar inicio
            if nome[:1] in ('A', 'E', 'I', 'O', 'U'):
                inicio = nome[:1]
                nome = nome[1:]
            else:
                if nome[:2] in ('HA', 'HE', 'HI', 'HO', 'HU'):
                    inicio = nome[1:2]
                    nome = nome[2:]
                else:
                    if nome[:1] == 'H':
                        nome = nome[1:]
                    else:
                        if nome[:3] in ('EX', 'EXE', 'EXI', 'EXO', 'EXHU'):
                            inicio = 'Z'
                            nome = nome[3:]
                # Tratar segunda posicao
            if not inicio:
                if nome[1:2] == 'R' and nome[2] not in ('A', 'E', 'I', 'O', 'U'):
                    nome = nome[:1] + 'R' + nome[3:]
                else:
                    if nome[1:3] in ('EXE', 'EXI', 'EXA', 'EXO', 'EXU'):
                        nome = nome[:1] + 'X' + nome[4:]
            nome = nome.strip()
            # Tratar ultima posicao
            if nome[-1:] == 'C':
                fim = 'K'
                nome = nome[:-1]
            else:
                if nome[-1:] == 'N':
                    fim = 'M'
                    nome = nome[:-1]
                else:
                    if nome[-1:] == 'Z':
                        fim = 'S'
                        nome = nome[:-1]
                    else:
                        if nome[-1:] == 'R':
                            fim = '2'
                            nome = nome[:-1]
                        else:
                            if nome[-1:] == 'X':
                                fim = 'X'
                                nome = nome[:-1]
                # Tratar penultima posicao
            if not fim:
                if nome[-3:-1] == 'EX':
                    nome = nome [:-3] + 'ks' + nome[-1:]


            nome = re.sub('SC[AOU]', 'sk', nome)
            nome = re.sub('C[AOU]', 'k', nome)
            nome = re.sub('SC[EI]', 's', nome)
            nome = re.sub('C[EI]', 's', nome)
            nome = nome.replace('CHR', 'k')
            nome = nome.replace('CH', 'x')
            nome = re.sub('C[^AEIOU]', 'k', nome) # C com consoante
            nome = re.sub('G[AOU]', 'g', nome)
            nome = re.sub('G[EI]', 'j', nome)
            nome = re.sub('GH[^AEIOU]', 'g', nome) # GH com consoante
            nome = nome.replace('LH', '1')
            nome = re.sub('L[AEIOU]', 'l', nome)
            nome = nome.replace('NH', '3')
            nome = nome.replace('PH', 'f')
            nome = nome.replace('Q', 'k')
            nome = nome.replace('RR', '2')
            nome = re.sub('[AEIOU]R[AEIOU]', 'r', nome) # vogal com R com vogal
            nome = re.sub('[^AEIOU]R[AEIOU]', 'r', nome) # consoante com R com vogal
            nome = nome.replace('SS', 's')
            nome = nome.replace('SH', 's')
            nome = nome.replace('TH', 't')
            nome = re.sub('W[AEIOU]', 'v', nome)
            nome = re.sub('W[^AEIOU]', '', nome)
            nome = re.sub('EX[EI]', 'x', nome)
            nome = re.sub('EX[AOU]', 'ks', nome)
            nome = re.sub('[AEIOU][CKGLRX]X', 's', nome)
            nome = re.sub('[DFMNPQSTVZ][AIOU]X', 'ks', nome)
            nome = nome.replace('Y', 'i')
            nome = nome.replace('H', '')
            # translate alpha chars in nome to soundex digits
            nome = nome.strip(' ')
            nome = inicio + nome + fim
            tam = len(nome)
            if tam > _tam:
                nome = nome[:_tam]
            else:
                if tam < _tam:
                    nome = nome + ('0' * (_tam - tam))
            return nome.upper()

        try:
            string = normalize('NFKD', string.decode('utf-8')).encode('ASCII', 'ignore')
        except:
            string = normalize('NFKD', string).encode('ASCII', 'ignore')
        string = string.upper()
        string = string.replace('.', ' ')
        string = string.replace(' DE ', '').replace(' DA ','').replace(' DAS ','').replace(' DO ','').replace(' DOS ','').replace(' E ','').replace(' & ','').replace(' LTDA','')
        snd = ''
        inc = 0
        lst = string.split(' ')
        if lst:
            lst.sort()
        for x in lst:
            if len(x.strip()) < 2: #nao gerar fonema para apenas uma letra
                continue
            snd += _calc_fonema(x, tamanho_fonema)
            inc += 1
            if not inc == len(lst):
                snd += ';'
        return snd

   try:
       listaDados = dados.replace('#',' ').split('*|*')
       dados = {}
       dados['codigo'] = listaDados[0]
       dados['nome'] = retira_acentos(listaDados[1].strip().upper())
       if dados['nome'][:3] == 'AAA':
          gravarLog( 'CPG01: Nome = AAA!', dados)
          cr.connection.rollback()
          return False
       dados['fantasiaApelido'] = retira_acentos(listaDados[2].strip())
       dados['end-rua']=retira_acentos(capitalize_all(listaDados[3].strip().replace(']','').replace('[','').replace('\\','').replace(';',',')))
       dados['end-nro']=retira_acentos(capitalize_all(listaDados[4].strip().replace(']','').replace('[','').replace('\\','').replace(';',',')))
       dados['end-compl']=retira_acentos(capitalize_all(listaDados[5].strip().replace(']','').replace('[','').replace('\\','').replace(';',',')))
       dados['codPais'] = listaDados[6]
       dados['nomePais'] = listaDados[7].upper().strip()
       dados['codMun'] = listaDados[8]
       dados['nommun'] = retira_acentos(capitalize_all(listaDados[9].strip()))
       dados['bai']=retira_acentos(capitalize_all(listaDados[10].strip().replace(']','').replace('[','').replace('\\','')))
       dados['estado']=listaDados[11].strip().upper()
       dados['observacoes'] = ''
       dados['email'] = listaDados[12].strip()
       if not email.validar_email(dados['email']):
          dados['observacoes'] = dados['email'].strip()
          dados['email']=''
       dados['ie'] = listaDados[13].strip()
       if len(dados['ie']) > 14:
           dados['ie'] = dados['ie'][:14]
       dados['tipoPessoa'] = listaDados[14]
       dados['cnpjCpf'] = listaDados[15]
       if dados['tipoPessoa'] != 'F' and dados['tipoPessoa'] != 'J':
          dados['tipoPessoa'] = 'F'
       dados['cnpjCpf'] = formata_cpf_cnpj( dados['cnpjCpf'], dados['tipoPessoa'] )
       dados['cep'] = listaDados[16]
       dados['telefone'] = listaDados[17].strip()
       dados['fax'] = listaDados[18].strip()
       dados['celular'] = listaDados[19].strip()
       dados['contato1'] = retira_acentos(listaDados[20].strip().upper())
       dados['dataUltCompra'] = datas.sigDatas(listaDados[21]).getDataNoFormato('I', 'S', '-')
       dados['contactb'] = listaDados[22]
       dados['contaccu'] = listaDados[23]
       dados['comprador'] = listaDados[24]
       dados['transportadora'] = listaDados[25]
       dados['placa'] = listaDados[26].strip()
       dados['ativo'] = listaDados[27]
       if dados['ativo'] == 'N':
          dados['ativo'] = False
       else:
          dados['ativo'] = True
       dados['tipoEmpresa'] = listaDados[28].strip()
       dados['regimeTributario'] = listaDados[29].strip()
       dados['suframa'] = listaDados[30].strip()
       dados['centroCusto'] = listaDados[31].strip()
       dados['contactbImob'] = listaDados[32]
       dados['cnae'] = listaDados[33].strip()
       if dados['tipoPessoa'] == 'J':
          _foto = ''
          _admpes_fis_sexo = ''
          _admpes_fis_estado_civil = ''
          _admpes_fis_data_nascimento = ''
          _admpes_fis_rg = ''
          _tipo = dados['tipoEmpresa']
          _admpes_jur_tipo_atividade = 'C'
          _admpes_jur_tipo_empresa = 'L'
          _admpes_jur_regime_tributario = 'R'
          if dados['regimeTributario'] == 'I':
             _admpes_jur_regime_tributario = 'S'
          _admpes_jur_data_fundacao = ''
          _admpes_jur_suframa = dados['suframa']
          _admpes_jur_ie = dados['ie'].strip().replace('.','').replace('-','').replace(' ','')

       if dados['tipoPessoa'] == 'F':
          _foto = ''
          _admpes_fis_sexo = ''
          _admpes_fis_estado_civil = ''
          _admpes_fis_data_nascimento = ''
          _admpes_fis_rg = ''
          _admpes_jur_data_fundacao =''
          _admpes_jur_tipo_empresa = ''
          _admpes_jur_suframa = ''
          _admpes_jur_regime_tributario = ''
          _admpes_jur_tipo_atividade = ''
          _admpes_jur_tipo_empresa = ''
          _admpes_jur_rg = dados['ie'].strip().replace('.','').replace('-','').replace(' ','')
       pessoa = {'nome':dados['nome'].upper(),
          'fantasia_apelido' : dados['fantasiaApelido'],
          'pessoa_tipo':dados['tipoPessoa'],
          'cpf_cnpj': dados['cnpjCpf'],
          'active' : dados['ativo'],
          }
       if dados['tipoPessoa'] == 'J':
          if _admpes_jur_data_fundacao != '':
             pessoa['admpes_jur_data_fundacao'] = _admpes_jur_data_fundacao
          if _admpes_jur_tipo_empresa != '':
             pessoa['admpes_jur_tipo_empresa'] = _admpes_jur_tipo_empresa
          if _admpes_jur_suframa != '':
             pessoa['admpes_jur_suframa'] = _admpes_jur_suframa
          if _admpes_jur_regime_tributario != '':
             pessoa['admpes_jur_regime_tributario'] = _admpes_jur_regime_tributario
          if _admpes_jur_tipo_atividade != '':
             pessoa['admpes_jur_tipo_atividade'] = _admpes_jur_tipo_atividade
          if _admpes_jur_ie != '':
             pessoa['admpes_jur_ie'] = _admpes_jur_ie
       else:
          pessoa['admpes_fis_sexo'] = _admpes_fis_sexo
          if _admpes_fis_data_nascimento != '':
             pessoa['admpes_fis_data_nascimento'] = _admpes_fis_data_nascimento
          if _admpes_fis_rg != '':
             pessoa['admpes_fis_rg'] = _admpes_fis_rg
       pessoa['endereco'] = dados['end-rua'] + ', ' + dados['end-nro']
       pessoa['bairro'] = dados['bai']
       pessoa['cidade'] = dados['nommun']
       pessoa['uf'] = dados['estado']
       pessoa['pais'] = dados['nomePais']
       pessoa['cep'] = dados['cep']
       pessoa['email'] = dados['email']
       pessoa['soundex'] = get_fonema(pessoa['nome'] +' ' + pessoa['fantasia_apelido'])
       pessoa['observacoes'] = dados['observacoes']
       if operacao != 'w':
          cr.connection.commit()
          return True
       if len(dados['cnpjCpf']) > 6:
          _regPessoa=lerSQL(cr, 'adm_pessoa', ["cpf_cnpj = '%s'" % dados['cnpjCpf']])
       else:
          _regPessoa=lerSQL(cr, 'adm_pessoa', ["nome = '%s' and pessoa_tipo = '%s'" % (dados['nome'].upper(), dados['tipoPessoa'])])
       if _regPessoa:
          pessoa_id = _regPessoa[0]['id']
          fornecedor_id = reg_fornecedor( cr, dados, pessoa_id )
          legado = lerLegado(cr, 1,  dados['codigo'], 'cpg01')
          if not legado:
             vals = {
                  'empresa' : 1,
                  'tabela_legado' : 'cpg01',
                  'chave_legado' : dados['codigo'],
                  'chave_sigerp': pessoa_id,
                  }
             try:
                idLegado =  inserirSQL(cr,'legado_controle', vals)
             except:
                gravarLog( 'erro na criacao do controle:' + str(vals), dados)
          cr.connection.commit()
          return True
       try:
          partner_id = inserirSQL(cr, 'res_partner', {'name': dados['nome'],'notification_email_send':'comment'})
          pessoa['partner_id'] = partner_id
          regCodigo = lerSQL(cr, 'ir_sequence', ["code = 'pessoa.codigo'"])
          pessoa['codigo'] = regCodigo[0]['number_next']
          codigo = int(regCodigo[0]['number_next']) + 1
          alterarSQL(cr, 'ir_sequence', regCodigo[0]['id'], {'number_next':codigo})
          pessoa_id =  inserirSQL(cr,'adm_pessoa', pessoa )
       except Exception as e:
          gravarLog("Erro gravando Pessoa:" + str( pessoa ) + '   Erro:' + str(e), dados)
          cr.connection.rollback()
          return False
       fornecedor_id = reg_fornecedor( cr, dados, pessoa_id )

       vals = {
            'empresa' : 1,
            'tabela_legado' : 'cpg01',
            'chave_legado' : dados['codigo'],
            'chave_sigerp': pessoa_id,
            }
       try:
          idLegado =  inserirSQL(cr,'legado_controle', vals)
       except:
          gravarLog( 'erro na criacao do controle:' + str(vals), dados)

       pais_id = reg_pais(cr, dados['codPais'], dados['nomePais'])
       uf_id = reg_uf( cr, dados['estado'], pais_id )
       if not uf_id:
           gravarLog("CPG01: Nao consegui registrar a UF:" + str( dados ), dados)
           cr.connection.rollback()
           return False
       cidade_id = reg_cidade( cr, dados['codMun'], dados['nommun'], uf_id, dados['estado'])
       bairro_id = reg_bairro( cr, dados['bai'] )
       logradouro_id = reg_logradouro( dados['end-rua'] )
       tipo_id = reg_endereco_tipo( cr, 'Normal' )
       endereco_id = reg_endereco( cr, dados['end-nro'], dados['cep'], pessoa_id, tipo_id, pais_id, uf_id, cidade_id, bairro_id, logradouro_id, dados)
       endereco_prin_id = endereco_id

       if dados['email'] != '' and (dados['email'].count('@') + dados['email'].count('.')) > 1:
          email_tipo_id = reg_email_tipo( cr, 'Comum' )
          email_id = reg_email( cr, dados['email'], email_tipo_id, pessoa_id )

       if dados['telefone'] != '':
          if dados['tipoPessoa'] == 'F':
             telefone_tipo_id = reg_telefone_tipo( cr, 'Residencial' )
          else:
             telefone_tipo_id = reg_telefone_tipo( cr, 'Comercial' )
          telefone_id = reg_telefone( cr, dados['telefone'], telefone_tipo_id, pessoa_id )
       if dados['celular'] != '':
          telefone_tipo_id = reg_telefone_tipo( cr, 'Celular' )
          telefone_id = reg_telefone( cr, dados['celular'], telefone_tipo_id, pessoa_id )
       if dados['fax'] != '':
          telefone_tipo_id = reg_telefone_tipo( cr, 'Fax' )
          telefone_id = reg_telefone( cr, dados['fax'], telefone_tipo_id, pessoa_id )
       cr.connection.commit()
       return True
   except Exception as e:
         gravarLog('Cpg01:Qtd Elementos:'+str(len(listaDados))+ '  Lista:'+ str(listaDados) + '   Erro:' + str(e), dados)
         cr.connection.rollback()
         return False
   cr.connection.commit()
   return True

def gerarCpg03(empresa_legado, operacao, dados):#Duplicatas
    listaDados = dados.replace('#',' ').split('*|*')
    try:
       _fornecedor = listaDados[0]
       _duplicata = listaDados[1].strip()
       _loja = listaDados[2]
       _emissao =  datas.sigDatas(listaDados[3]).getDataNoFormato('I', 'S', '-')
       _valor = listaDados[4][:10]+'.'+listaDados[4][10:]
       _fatura = listaDados[5]
       _prorrogacao =  datas.sigDatas(listaDados[6]).getDataNoFormato('I', 'S', '-')
       _vencimento =  datas.sigDatas(listaDados[6]).getDataNoFormato('I', 'S', '-')
       if _vencimento == '0000-00-00':
          gravarLog('Cpg03:Vencimento zerado:'+ str(listaDados), dados)
          cr.connection.rollback()
          return False
       _nota_id = listaDados[7]
       _localCobr = listaDados[8]
       _saldo = listaDados[9][:10]+'.'+listaDados[9][10:]
       _cSNf = listaDados[10]
       if _cSNf != 'S':
          _cSNf = 'C'
       if _cSNf == 'S':
          company_id = company_id_s
       else:
          company_id = company_id_c
       _contaCcu = listaDados[11]
       _nota = listaDados[12]
       _serie = listaDados[13].strip()
       _obs = listaDados[14].strip()
       _tipoDuplicata = listaDados[15]
       legado = lerLegado(cr, 1,  _fornecedor, 'cpg01')
       if not legado:
          gravarLog('Cpg03-Fornecedor nao cadastrado:'+ _fornecedor , dados)
          cr.connection.rollback()
          return False
       _pessoa_id = legado[0]
       _tipoDocumento = 'DP'
       if str(_duplicata)[:2] == 'NF':
          _tipoDocumento = 'NF'
       _doc_tipo_id = lerSQL(cr, 'documento_documento_tipo', ["sigla = '%s'" % _tipoDocumento])[0]['id']
       _documento = str(_loja) +'-'+ str(_duplicata)
       _regTitulo = lerLegado(cr, empresa_legado, _fornecedor + _documento + _vencimento, 'cpg03')
       _regLocal = lerSQL(cr, 'financeiro_local_cobranca', ["tipo = 'C'"])
       if not _regLocal:
          gravarLog('Cpg03 - Local nao cadastrado: ' + _localCobr  +'-'+ str(listaDados), dados)
          cr.connection.rollback()
          return False
       _local_id = _regLocal[0]['id']
       if operacao != 'w':
          if not _regTitulo:
             gravarLog('Cpg03-Titulo nao cadastrado:'+ _fornecedor + _documento + _vencimento , dados)
             cr.connection.rollback()
             return False
       if _regTitulo:
          _temMaisDeUma = 0
          if len(_regTitulo) > 1:
             _listaTitulos=[]
             for x in _regTitulo:
                _dicTitulos={}
                _titulos = lerSQL(cr, 'financeiro_titulo', ['id = %s' % x])
                if _titulos:
                   _titulos =_titulos[0]
                _dicTitulos['id'] = x
                _dicTitulos['vencimento'] = _titulos['data_vencimento']
                _dicTitulos['valor'] = _titulos['vr_original']
                _dicTitulos['state'] = _titulos['state']
                _listaTitulos.append(_dicTitulos)
          _chaveTitulo = _regTitulo[0]
          if _temMaisDeUma > 1:
             for x in _listaTitulos:
                if float(_valor) == float(x['valor']) and _vencimento == x['vencimento']:
                    if operacao == 'd':
                        if x['state'] == 'A':
                            _chaveTitulo = x['id']
                    else:
                      _chaveTitulo = x['id']
       if operacao == 'd': #Titulo excluido, nao excluir, cancelar!
          valsTitulo = {
                'state' : 'C'
                }
          try:
             _titId = alterarSQL(cr, 'financeiro_titulo', _chaveTitulo, valsTitulo)
          except:
             gravarLog( 'erro excluindo do titulo:' + str(valsTitulo), dados)
             cr.connection.rollback()
             return False
          cr.connection.commit()
          return True
       valsTitulo = {
             'company_id' : company_id,
             'doc_tipo_id' : _doc_tipo_id,
             'pessoa_id' : _pessoa_id,
             'documento' : _documento,
             'parcela' : 0,
             'local_cobranca_id' : _local_id,
             'tipo_titulo' : 'P',
             'state': 'A',
             'data_emissao' : _emissao,
             'data_vencimento' : _vencimento,
             'data_prorrogacao' : _prorrogacao,
             'tipo_sacado' : 'F',
             'vr_original' : _valor,
             'saldo' : _saldo,
             'adm_moeda_id' : lerSQL(cr, 'adm_moeda', ["sigla = '%s'" % 'R$'])[0]['id'],
             'tipo_lancamento' : 'M',
             }
       if _obs != '':
          valsTitulo['observacoes']=_obs
       if operacao == 'w':
          try:
             """ Comentado, porque este codigo estava impedindo o lancamento do titulo qdo a chave era repetida, dando diferenca entre o gestao e o sigerp
             _titDados = lerSQL(cr, 'financeiro_titulo',['pessoa_id = %s' % _pessoa_id, 'company_id = %s' % company_id, "documento = '%s'" % _documento, "data_vencimento ='%s'" % _vencimento, 'vr_original = %s' % _valor ])
             if not _titDados:
                 _titId = inserirSQL(cr, 'financeiro_titulo', valsTitulo)
             else:
                 _titId = _titDados[0]['id']
             """
             _titId = inserirSQL(cr, 'financeiro_titulo', valsTitulo)
          except Exception as e:
             gravarLog( 'erro na criacao do titulo:' + str(valsTitulo) + '   Erro:' + str(e), dados)
             cr.connection.rollback()
             return False
          vals = {
               'empresa' : empresa_legado,
               'tabela_legado' : 'cpg03',
               'chave_legado' : _fornecedor + _documento + _vencimento,
               'chave_sigerp': _titId,
               }
          try:
             idLegado =  inserirSQL(cr,'legado_controle', vals)
          except:
             gravarLog( 'erro na criacao do controle:' + str(vals), dados)
          cr.connection.commit()
          return True
       try:
          _titId = alterarSQL(cr, 'financeiro_titulo', _chaveTitulo, valsTitulo)
       except:
          gravarLog( 'erro alterando do titulo:' + str(valsTitulo), dados)
          cr.connection.rollback()
          return False
       cr.connection.commit()
       return True
    except Exception as e:
         gravarLog('Cpg03:Qtd Elementos:'+str(len(listaDados))+ '  Lista:'+ str(listaDados) + '   Erro:' + str(e), dados)
         cr.connection.rollback()
         return False
    cr.connection.commit()
    return True

def acha_fornecedor( cpf_cnpj, nome ):
    _cpf_cnpj = cpf_cnpj
    from SigUtils import formatastring
    _tam_cpf_cnpj = _cpf_cnpj.lstrip( '0' ).__len__()
    if _tam_cpf_cnpj < 6:
        _cpf_cnpj = ''
    elif _tam_cpf_cnpj < 12:
        _cpf_cnpj = formatastring.formataString( _cpf_cnpj, 11, '0', 'E' )
    else:
        _cpf_cnpj = formatastring.formataString( _cpf_cnpj, 14, '0', 'E' )
    if _cpf_cnpj != '':
        args = ["cpf_cnpj = '$s'" % _cpf_cnpj] #query clause
    else:
        args = ["nome = '%s'" % nome.upper()] #query clause
    ids = lerSQL(cr, 'adm_pessoa', args )
    _ids=[]
    for x in ids:
       _ids.append(x['id'])
    return _ids

def gerarCpg06(empresa_legado, operacao, dados, tipoDados):#Movimento
    listaDados = dados.replace('#',' ').split('*|*')
    try:
       _tipoMov = listaDados[0]
       _codMov = listaDados[1]
       _fornecedor = listaDados[2]
       _duplicata = listaDados[3].strip()
       _dataMov =  datas.sigDatas(listaDados[4]).getDataNoFormato('I', 'S', '-')
       _sequencia = listaDados[5]
       _chave = _tipoMov + _codMov + _fornecedor + _duplicata + _dataMov + _sequencia
       legado = lerLegado(cr, empresa_legado,  _chave, 'cpg06')
       if legado:
          cr.connection.rollback()
          return False
       _notaId = listaDados[6]
       _loja = listaDados[7]
       _emissao =  datas.sigDatas(listaDados[8]).getDataNoFormato('I', 'S', '-')
       _valor = listaDados[9][:10]+'.'+listaDados[9][10:]
       _vencimento =  datas.sigDatas(listaDados[10]).getDataNoFormato('I', 'S', '-')
       if _vencimento == '0000-00-00':
          gravarLog( 'CPG06: Vencimento zerado!', dados)
          cr.connection.rollback()
          return False
       _dataBaixa = datas.sigDatas(listaDados[11]).getDataNoFormato('I', 'S', '-')
       _localCobr = listaDados[12].replace(' ','0')
       _tipoJuroDesconto = listaDados[13]
       _vlJurosDescontos = listaDados[14][:10]+'.'+listaDados[14][10:]
       _juros = '0.00'
       _descontos = '0.00'
       if _tipoJuroDesconto in ('J', 'j'):
          _juros =  _vlJurosDescontos
       if _tipoJuroDesconto in ('D', 'd'):
          _descontos = _vlJurosDescontos
       _saldo = listaDados[15][:10]+'.'+listaDados[15][10:]
       _cSNf = listaDados[16]
       if _cSNf != 'S':
          _cSNf = 'C'
       if _cSNf == 'S':
          company_id = company_id_s
       else:
          company_id = company_id_c
       _obs = listaDados[17].strip()
       _razaoAuxiliar = listaDados[18].strip()

       legado = lerLegado(cr, 1,  _fornecedor, 'cpg01')
       if not legado:
          gravarLog('Cpg06-fornecedor nao cadastrado:'+ _fornecedor , dados)
          cr.connection.rollback()
          return False
       _pessoa_id = legado[0]
       _documento = str(_loja) +'-'+ str(_duplicata)
       _tipoDocumento = 'DP'
       if str(_duplicata)[:2] == 'NF':
          _tipoDocumento = 'NF'
       _doc_tipo_id = lerSQL(cr, 'documento_documento_tipo', ["sigla = '%s'" % _tipoDocumento])[0]['id']
       _regTitulo = lerLegado(cr, empresa_legado, _fornecedor + _documento, 'cpg03')
       if not _regTitulo:
          if tipoDados == 'registro' and operacao != 'w':
             gravarLog('Cpg06-Movimento de Titulo nao registrado:'+ _fornecedor + _documento , dados)
             cr.connection.rollback()
             return False
       else:
          _titId = _regTitulo[0]
       if operacao == 'd' or operacao == 'r':
          cr.connection.commit()
          return True
       _regLocal = lerSQL(cr, 'financeiro_local_cobranca', ["tipo = 'C'"])
       if not _regLocal:
          gravarLog('Cpg06 - Local nao cadastrado: ' + _localCobr +'-'+ str(listaDados), dados)
          cr.connection.rollback()
          return False
       _local_id = _regLocal[0]['id']
       if _codMov == 'A':
          _state = 'B'
          _stateHisto = 'A'
          operacaoTit = 'I'
       if _codMov == 'B':
          _state = 'B'
          _stateHisto = 'B'
          operacaoTit = 'B'
       if _codMov == 'C':
          _state = 'B'
          _stateHisto = 'A'
          operacaoTit = 'BP'
       if _codMov == 'D':
          _state = 'C'
          _stateHisto = 'C'
          operacaoTit = 'C'
       if _codMov == 'E':
          if _tipoMov == 'A':
             _state = 'C'
             _stateHisto = 'A'
             operacaoTit = 'TR'
          else:
             _state = 'A'
             _stateHisto = 'A'
             operacaoTit = 'TR'

       valsTitulo = {
             'company_id' : company_id,
             'doc_tipo_id' : _doc_tipo_id,
             'pessoa_id' : _pessoa_id,
             'documento' : _documento,
             'parcela' : 0,
             'local_cobranca_id' : _local_id,
             'tipo_titulo' : 'P',
             'state': _state,
             'data_emissao' : _emissao,
             'data_vencimento' : _vencimento,
             'data_prorrogacao' : _vencimento,
             'tipo_sacado' : 'F',
             'vr_original' : _valor,
             'saldo' : _saldo,
             'adm_moeda_id' : lerSQL(cr, 'adm_moeda', ["sigla = '%s'" % 'R$'])[0]['id'],
             'tipo_lancamento' : 'M',
             }
       if _obs != '':
          valsTitulo['observacoes']=_obs
       if not _regTitulo:
          try:
             valsTitulo['state'] = _state
             if _dataBaixa != '0000-00-00':
                 valsTitulo['data_pagamento'] =_dataBaixa
             _titId = inserirSQL(cr, 'financeiro_titulo', valsTitulo)
          except:
             gravarLog( 'erro na criacao do titulo:' + str(valsTitulo), dados)
          vals = {
               'empresa' : empresa_legado,
               'tabela_legado' : 'cpg03',
               'chave_legado' : _fornecedor + _documento,
               'chave_sigerp': _titId,
               }
          try:
             idLegado =  inserirSQL(cr,'legado_controle', vals)
          except:
             gravarLog( 'erro na criacao do controle:' + str(vals), dados)

       valsMov = {
             'titulo_id' : _titId,
             'local_cobranca_id' : _local_id,
             'data_prorrogacao' : _vencimento,
             'operacao' : operacaoTit,
             }
       try:
          _histoId = inserirSQL(cr, 'financeiro_titulo_historico', valsMov)
       except:
          gravarLog( 'erro na criacao do titulo(baixa):' + str(valsMov), dados)
          cr.connection.rollback()
          return False
       vals = {
            'empresa' : empresa_legado,
            'tabela_legado' : 'cpg06',
            'chave_legado' : _chave,
            'chave_sigerp': _histoId,
            }
       try:
          idLegado =  inserirSQL(cr,'legado_controle', vals)
       except:
          gravarLog( 'erro na criacao do controle:' + str(vals), dados)
       if _codMov in ('B', 'C'):
          valsBaixa = {
                'data_baixa' : _dataBaixa,
                'data_pgto' : _dataBaixa,
                'titulo_id' : _titId,
                'valor_pago' : _valor,
                'valor_juros' : _juros,
                'valor_desconto': _descontos
                }
          try:
             if _dataBaixa != '0000-00-00':
                _baixaId = inserirSQL(cr, 'financeiro_titulo_baixa', valsBaixa)
          except:
             gravarLog( 'erro na criacao do titulo(baixa):' + str(valsBaixa), dados)
             cr.connection.rollback()
             return False
          if tipoDados == 'registro':
             if _codMov == 'B':
                valsTitulo = {
                      'data_pagamento' :_dataBaixa,
                      'juros' : '!juros + ' + _juros,
                      'desconto' : '!desconto + ' + _descontos,
                      'state': 'B',
                      }
             try:
                _resId = alterarSQL(cr, 'financeiro_titulo', _titId, valsTitulo)
             except:
                gravarLog( 'erro na criacao do titulo(baixa):' + str(valsMov), dados)
                cr.connection.rollback()
                return False
       cr.connection.commit()
       return True
    except Exception as e:
         gravarLog('Cpg06:Qtd Elementos:'+str(len(listaDados))+ '  Lista:'+ str(listaDados) + '   Erro:' + str(e), dados)
         cr.connection.rollback()
         return False
    cr.connection.commit()
    return True

def gerarCpg08(empresa_legado, operacao, dados):#Ocorrencia
    if operacao != 'w':
       return True
    listaDados = dados.replace('#',' ').split('*|*')
    try:
       _fornecedor = listaDados[0]
       _sequencia = listaDados[1]
       _obs = listaDados[2].strip()
       if _obs == '':
          cr.connection.rollback()
          return True
       legado = lerLegado(cr, 1,  _fornecedor, 'cpg01')
       if not legado:
          gravarLog('Cpg08-fornecedor nao cadastrado:'+ _fornecedor , dados)
          cr.connection.rollback()
          return False
       _pessoa_id = legado[0]
       _regPessoa = lerSQL(cr, 'adm_pessoa', ["id = %s" % _pessoa_id])
       if not _regPessoa:
          cr.connection.rollback()
          return False
       _obs = _obs + '/n'+ _regPessoa[0]['observacoes']
       vals = {
                'observacoes' : _obs,
                }
       try:
          alterarSQL(cr, 'adm_pessoa', _pessoa_id, vals )
       except:
          gravarLog( 'erro na criacao da ocorrencoa:' + str(vals), dados)
          cr.connection.rollback()
          return False

    except Exception as e:
         gravarLog('Cpg08:Qtd Elementos:'+str(len(listaDados))+ '  Lista:'+ str(listaDados) + '   Erro:' + str(e), dados)
    cr.connection.commit()
    return True


arquivo = sys.argv[1]
lista=[]
if arquivo == 'todos':
    novaLista = []
    try:
        lista=os.listdir(diretorio+'int')
        for linha in lista:
            if linha[-1:] == '\n':
                linha = linha[:-1]
            if linha[:3] != 'cpg':
                continue
            novaLista.append(linha[6:]+linha[:6])
        novaLista.sort()
        lista = []
        for linha in novaLista:
            lista.append(linha[-6:]+linha[:-6])
    except Exception as e:
        gravarLog('Diretorio inexistente!')
        exit()
else:
    try:
        lista=os.listdir(diretorio+'int')
        lista.sort()
    except Exception as e:
        gravarLog('Diretorio inexistente!')
        exit()

try:
    for arq in lista:
      if arquivo != 'todos':
            if arq[:5]!=arquivo:
                continue
      empresa = arq[24:27]
      _operacao = arq[28:].lower()
      try:
         args = [('empresa_legado','=', empresa), ('tipo', '=', 'C')]
         company_id_c =  sock.execute(db, uid, pwd, 'legado.empresa', 'ler', args)[0]['company_id'][0]
         args = [('empresa_legado','=', empresa), ('tipo', '=', 'S')]
         company_id_s =  sock.execute(db, uid, pwd, 'legado.empresa', 'ler', args)[0]['company_id'][0]
      except:
         gravarLog('Empresa nao cadastrada!'+ str(empresa)+ '-'+str(args))
         continue

      try:
         file=open('int/'+arq, 'r')
         _arquivoLido = arq[:5]
         registros=file.readlines()
      except:
         continue
      _horaArquivo = int(arq[15:23])
      contador = contarRegistros(registros)
      if _operacao == 'x': # Opderacao = 'x' eh qdo eh gerado o arquivo inteiro
         operacao='w'
      else:
         operacao=_operacao
      if _operacao == 'x': # Remover arquivo porque já foi lido e contem varios registros
          os.system('rm -rf ' + diretorio+'int/'+arq)
      for registro in registros:
          registro = unicode(registro, 'utf-8', errors='ignore')
          res = False
          try:
             if _arquivoLido == 'cpg01':   # Fornecedor
                res=gerarCpg01('1', operacao, registro)
             if _arquivoLido == 'cpg03':   # Duplicata
                res=gerarCpg03(empresa, operacao, registro)
             if _arquivoLido == 'cpg06':   # Movimento
                if _operacao.lower() == 'x':
                   res=gerarCpg06(empresa, operacao, registro, 'arquivo')
                else:
                   res=gerarCpg06(empresa, operacao, registro, 'registro')
             if _arquivoLido == 'cpg08':   # Ocorrencia
                res=gerarCpg08(empresa, operacao, registro)
             #if contador.contar(_operacao):
             #   cr.connection.commit()
          except Exception as e:
             gravarLog('Erro Tentando Atualizar   Erro:' + str(e))
             res = False
          if res and _operacao != 'x': # Registro importado de arquivo com um registro, remover arquivo
              os.system('rm -rf ' + diretorio+'int/'+arq)
              deletarSQL(cr_log, 'legado_logs',  "lelg_arquivo = '%s'" % arq)
              cr_log.connection.commit()
          if not res and _operacao == 'x': # Erro na importacao de registro de arquivo com varios registros, gerar registro individual para importacao futura
              _horaArquivo += 1
              arqNovo = diretorio+'int/'+arq[:15]+numero.getNumToStr(_horaArquivo,8,0,'N')+arq[23:28]+'W'
              fileNovo=open(arqNovo, 'w')
              fileNovo.write(registro)
              fileNovo.close()
      #cr.connection.commit()
except Exception as e:
   gravarLog('Erro Carregando arquivos    Erro:' + str(e))

