#!/usr/bin/python
# -*- coding: utf-8 -*-
idPrograma = 'atuope.py'
idVersao = 'Versao 1.01 de 09/03/2012'
idObs = 'Copyrigth by Sig Informatica Ltda'
"""
Programa para ler legado_controle e gerar ir.model.data

"""

import xmlrpclib
import csv
import psycopg2
import psycopg2.extras
from SigUtils import datas


try:
    arq_configuracao='/mm/objetos/sigerp.cfg'
    arquivo=csv.DictReader(open(arq_configuracao))
    for a in arquivo:
        hostname = a['hostname']
        username = a['username']
        pwd = a['password']
        db = a['database']
        dbuser = a['dbuser']
        dbpasswd = a['dbpasswd']
except:
    print 'Digite dados para coneccao!'
    hostname = raw_input('Hostname: ')
    username = raw_input('Usuário Openerp: ')
    pwd = raw_input('Senha Openerp: ')
    dbuser = raw_input('Usuário banco: ')
    dbpasswd = raw_input('Senha banco: ')
    db = raw_input('Banco: ')
"""
sock_common = xmlrpclib.ServerProxy ( 'http://'+hostname+':8060/xmlrpc/common' )
uid = sock_common.login( db, username, pwd )
sock = xmlrpclib.ServerProxy( 'http://'+hostname+':8060/xmlrpc/object' )
"""
uid=1
_stringConeccao = ("dbname='" +db
                   +"' user='"+dbuser
                   +"' host='"+hostname
                   +"' password='"+dbpasswd
                   +"' connect_timeout='%d" % 3 + "'")
conn = psycopg2.connect(_stringConeccao)
cr=conn.cursor(cursor_factory=psycopg2.extras.DictCursor)

def lerSQL(cr, tabela, where=[], campos=[]):
    """
    parametros:
      cr -> cursor
      tabela -> nome da tabela
      where -> clausula where pronta exemplo: ["codigo = 'teste'","name = 'luiz'"]
      campos -> campos a serem lidos, exemplo: ['codigo, nome']
    """
    _sql = "select "
    if campos:
        for a in campos:
            _sql += a + ','
        _sql = _sql[:-1]+ ' '
    else:
        _sql += '* '
    _sql += 'from '+ tabela + ' '
    if where:
        _sql += 'where '
        for a in where:
            _sql += a +" and "
        if _sql[-5:] == ' and ':
            _sql = _sql[:-5]
    cr.execute(_sql)
    _registros = cr.fetchall()
    return _registros

def inserirSQL(cr, tabela, dados):
    dados['create_uid'] = uid
    dados['create_date'] = datas.hoje_I
    _qtdCampos=len(dados)
    _txt1='('
    _txt3="("
    for x in dados.keys():
        _txt1 +=x +', '
        _txt3 +="'"+str(dados[x])+"', "
    _txt1 = _txt1[:-2]+')'
    _txt3 = _txt3[:-2]+")"
    _txt2 = "'%s',"*_qtdCampos
    _txt2 = "("+_txt2[:-1]+")"
    _sql = "insert into "+tabela+" "+_txt1+" values "+_txt2+" returning id"
    _sql = _sql % eval(_txt3)
    try:
        cr.execute(_sql)
        cr.connection.commit()
    except Exception as e:
        cr.connection.rollback()
        print('Erro insert: tabela '+tabela+ '  sql:'+ _sql)
        print('Erro: '+str(e))
        return False
    return cr.fetchone()[0]

def alterarSQL(cr, tabela, id, dados):
    dados['write_uid'] = uid
    dados['write_date'] = datas.hoje_I
    _qtdCampos=len(dados)
    _txt=''
    for x in dados.keys():
        _txt +=x +" = '" + str(dados[x])+ "',"
    if _txt[-1:] == ',':
        _txt=_txt[:-1]
    _sql = "update "+tabela+" set "+_txt+" where id = "+str(id)
    try:
        cr.execute(_sql)
    except Exception as e:
        print('Erro update - sql:'+ _sql)
        print('Erro: '+str(e))
        return False
    return True

while True:
    tabela = raw_input('Tecle N para sair: ').upper()
    if tabela == 'N':
        print '---------------------------------------'
        print ''
        print 'Fim'
        print ''
        exit()

    try:
        print 'Lendo tabela_legado .....'
        registros = lerSQL(cr, 'legado_controle',["tabela_legado = '%s'" % 'cpg01'],['tabela_legado','chave_legado','chave_sigerp'])
        print 'Atualizando ir_model_data .....'
        for registro in registros:
            tabela_legado = registro['tabela_legado']
            if tabela_legado == 'cre01' or 'cpg01':
                tabela_legado = 'adm.pessoa'
            vals = {
                'name' : 'CPG01-' + str(registro['chave_legado']),
                'res_id' :registro['chave_sigerp'],
                'module' : '',
                'model' : tabela_legado
            }
            dados_model = lerSQL(cr, 'ir_model_data',["name = '%s'" % str(registro['chave_legado']),"module =''" ])
            if dados_model:
                alterarSQL(cr, 'ir_model_data', str(dados_model[0]['id']), vals)
            else:
                inserirSQL(cr, 'ir_model_data',vals )
        print 'Atualizado!'
        print '---------------------------------------'
        print ''
        print ''
    except Exception as err:
        print('Nao consegui gerar ir.model.data!')
        print str(err)
        print '---------------------------------------'
        print ''
        print ''

