#!/usr/bin/python
# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class kit_categ_moviemnto_data(osv.Model):

    _name = 'kit.categoria.movimento'
    _rec_name = 'kitcatmov_kit_id'
    _columns = {
        'kitcatmov_kit_id': fields.many2one(
            'estoque.produto', 'Kit Categoria', ondelete='cascade', required=True,
            domain="[('kit_de_produtos', '=', True), ('tipo_kit', '=', 'C')]"),
        'kitcatmov_nf_id': fields.many2one('fiscal.nf.capa', 'Fiscal', ondelete='cascade'),
        'kitcatmov_pedido_id': fields.many2one('estoquepedidos.pedido.capa', 'Pedido', ondelete='set null'),
        'kitcatmov_orcamento_id': fields.many2one('orcamentos.orcamento.capa', 'Orcamento', ondelete='set null'),
        'kitcatmov_quantidade': fields.integer('Quantidade', required=True),
        'kitcatmov_lancado': fields.boolean('Itens Lancados')
    }
    _defaults = {
        'kitcatmov_quantidade': 1,
        'kitcatmov_lancado': False,
    }
