# -*- encoding: utf-8 -*-

from openerp.osv import osv


class logs_detalhe(osv.Model):
    _name = 'logs.detalhe'
    _inherit = 'logs.detalhe'

    def read(self, cr, uid, ids, fields=None, context=None, load='_classic_read'):
        context = context and context.copy() or {}
        if not isinstance(ids, (tuple, list)):
            ids = [ids]
        logs_dados = super(logs_detalhe, self).read(cr, uid, ids, context=context, load=load)
        novo_dados = []
        ir_translation = self.pool.get('ir.translation')
        for item in logs_dados:
            campo = item['logs_tabela'] + ',' + item['logdet_detalhe']
            try:
                if self.pool.get(item['logs_tabela'])._columns.get(item['logdet_detalhe'])._type == 'selection':
                    campo_traduzido = ir_translation._get_source(cr, uid, campo, 'selection', 'pt_BR', item['logdet_anterior']) or item['logdet_anterior']
                    item['logdet_anterior'] = campo_traduzido
                    campo_traduzido = ir_translation._get_source(cr, uid, campo, 'selection', 'pt_BR', item['logdet_novo']) or item['logdet_novo']
                    item['logdet_novo'] = campo_traduzido
            except:
                pass
            campo_traduzido = ir_translation._get_source(cr, uid, campo, 'field', 'pt_BR') or item['logdet_detalhe']
            item['logdet_detalhe'] = campo_traduzido
            novo_dados.append(item)
        return novo_dados
