# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################


def estmvi_get_volume(self, cr, uid, ids, field_name, args, context=None):
    context = context and context.copy() or {}
    res = {}
    browse_orcamento_itens = self.browse(cr, uid, ids)
    for item in browse_orcamento_itens:
        quantidade = item.quantidade
        comprimento = item.estmvi_comprimento or 1
        if item.estmvi_largura:
            largura = item.estmvi_largura or 1
            largura /= 100
        else:
            largura = 1
        if item.estmvi_espessura:
            espessura = item.estmvi_espessura or 1
            espessura /= 100
        else:
            espessura = 1
        if item.estmvi_comprimento <= 0 and item.estmvi_largura <= 0 and item.estmvi_espessura <= 0:
            volume = 0
        else:
            volume = quantidade * comprimento * largura * espessura
        res[item.id] = volume
    return res


def estmvi_get_sigla_embalagem(self, cr, uid, ids, field_name, args, context=None):
    context = context and context.copy() or {}
    res = {}
    browse_movimento_itens = self.browse(cr, uid, ids)
    for item in browse_movimento_itens:
        sigla = ''
        produto_embalagem_id = item.produto_embalagem_id
        if produto_embalagem_id:
            embalagem_id = produto_embalagem_id.embalagem_id
            if embalagem_id:
                sigla = embalagem_id.sigla or ''
        res[item.id] = sigla
    return res

