# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################


def pedite_get_volume(self, cr, uid, ids, field_name, args, context=None):
    context = context and context.copy() or {}
    res = {}
    browse_pedido_itens = self.browse(cr, uid, ids)
    for item in browse_pedido_itens:
        comprimento = item.pedite_comprimento or 1
        if item.pedite_largura:
            largura = item.pedite_largura or 1
            largura /= 100
        else:
            largura = 1
        if item.pedite_espessura:
            espessura = item.pedite_espessura or 1
            espessura /= 100
        else:
            espessura = 1
        qtde_pedida = item.qtde_pedida or 1
        if item.pedite_comprimento <= 0 and item.pedite_largura <= 0 and item.pedite_espessura <= 0:
            volume = 0
        else:
            volume = comprimento * largura * espessura * qtde_pedida
        res[item.id] = volume
    return res


def pedite_get_sigla_embalagem(self, cr, uid, ids, field_name, args, context=None):
    context = context and context.copy() or {}
    res = {}
    browse_pedido_itens = self.browse(cr, uid, ids)
    for item in browse_pedido_itens:
        sigla = ''
        produto_embalagem_id = item.produto_embalagem_id
        if produto_embalagem_id:
            embalagem_id = produto_embalagem_id.embalagem_id
            if embalagem_id:
                sigla = embalagem_id.sigla or ''
        res[item.id] = sigla
    return res


