# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv


class estoquepedidos_pedido_capa(osv.Model):

    _inherit = 'estoquepedidos.pedido.capa'

    def pedcap_button_print_separacao(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}

        return {
            'type': 'ir.actions.report.xml',
            'report_name': 'madeireira_estoquepedidos_separacao',
            'datas': {'ids': ids},
        }

    def pedcap_button_imprimir(self, cr, uid, ids, context=None):
        '''
        Imprime o pedido do madeireira
        :param cr:
        :param uid:
        :param ids:
        :param context:
        :return:
        '''

        context = context and context.copy() or {}
        self.write(cr, uid, ids, {'pedcap_ja_impresso': True}, context)
        dados_parametro = self.pool.get('adm.utils').admutl_get_parametros(
            cr, uid, 'estoque',
            ['estpar_pedido_formato_impressao', 'estpar_pedido_retrato_paisagem'], context=context)
        formato = dados_parametro.get('estpar_pedido_formato_impressao')
        modo_impressao = dados_parametro.get('estpar_pedido_retrato_paisagem')
        path = '/madeireira/report/rel_impressao_estoquepedidos.rml'
        self.pool.get('estoque.parametro').estpar_converte_formato_impressao(
            cr, uid, formato, path, 'p', modo_impressao)

        if isinstance(ids, (list, tuple)):
            ids = ids[0]
        return {
            'type': 'ir.actions.report.xml',
            'report_name': 'estoquepedidos.pedido.capa',
            'name': self.browse(cr, uid, ids, context=context).numero_pedido,
        }
