# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################


def orcori_get_volume(self, cr, uid, ids, field_name, args, context=None):
    context = context and context.copy() or {}
    res = {}
    obj_madeireira_utils = self.pool.get('madeireira.utils')
    browse_orcamento_itens = self.browse(cr, uid, ids)
    for item in browse_orcamento_itens:
        comprimento = item.orcori_comprimento or 1
        largura = item.orcori_largura
        espessura = item.orcori_espessura
        quantidade = item.quantidade or 1
        if item.orcori_comprimento <= 0 and item.orcori_largura <= 0 and item.orcori_espessura <= 0:
            volume = 0
        else:
            volume = obj_madeireira_utils.madutl_calcula_volume(
                quantidade, comprimento, largura, espessura, self, 'orcori_volume')
        res[item.id] = volume
    return res


def orcori_get_sigla_embalagem(self, cr, uid, ids, field_name, args, context=None):
    context = context and context.copy() or {}
    res = {}
    browse_orcamento_itens = self.browse(cr, uid, ids)
    for item in browse_orcamento_itens:
        sigla = ''
        produto_embalagem_id = item.produto_embalagem_id
        if produto_embalagem_id:
            embalagem_id = produto_embalagem_id.embalagem_id
            if embalagem_id:
                sigla = embalagem_id.sigla or ''
        res[item.id] = sigla
    return res

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
