# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel França
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class oservico_os(osv.Model):
    _name = 'oservico.os'
    _inherit = 'oservico.os'

    def osvos_button_fechar(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        res = super(oservico_os, self).osvos_button_fechar(cr, uid, ids, context=context)
        brw_oservico_os = self.browse(cr, uid, ids, context=context)[0]
        _corretiva_ids = map(lambda i: i.id, brw_oservico_os.osvosv_corretiva_ids)
        self.pool.get('manutencao.corretiva').write(cr, uid, _corretiva_ids, {'state':'R'},
                                                    context=context)
        return res


    def unlink(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        res = super(oservico_os, self).unlink(cr, uid, ids, context=context)
        _corretiva_ids = []
        for x in self.browse(cr, uid, ids, context=context):
            if x.osvosv_corretiva_ids:
                _corretiva_ids.append(map(lambda i: i.id, x.osvosv_corretiva_ids))
        if _corretiva_ids:
            self.pool.get('manutencao.corretiva').write(cr, uid, _corretiva_ids, {'state': 'A'},
                                                        context=context)
        return res