# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel França
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class manutencao_corretiva_atividade(osv.Model):
    """
    Tabela de atividades da manutenção corretiva
    """
    _name = 'manutencao.corretiva.atividade'
    _columns = {
        'mancoa_corretiva_id': fields.many2one('manutencao.corretiva', 'Corretiva', required=True,
                                               select=True),
        'mancoa_servico_id': fields.many2one('estoque.produto', 'Servico', required=True,
                                             select=True, domain="[('tipo', '=', 'S')]"),
        'mancoa_duracao': fields.float('Duracao', float=(2,2), required=True,
                                       help="Tempo necessario para execucao da atividade"),
        'mancoa_observacao': fields.text('Observacao'),
        'mancoa_mecanico_id': fields.many2one('oservico.mecanico', 'Mecanico', select=True),
    }
