# -*- encoding: utf-8 -*-
{
        "name" : "mkp",
        'version': '7.0.2403.6',
        "author" : "Sig Informatica Ltda",
        "website" : "http://www.siginformatica.com.br",
        "category" : "Marketplace",
        "description": "Sistema de Controle de anuncios de Market places",
        "license" : "Other proprietary",
        "depends" : ['fiscal','estoque_imagem','rastreio','estoque_complemento', 'estoque_atributos', 'reclamacoes'
            ],
        "data" : [
            "security/mkp_security.xml",
            "security/ir.model.access.csv",
            "views/marketplaces_view.xml",
            "views/contas_view.xml",
            "views/anuncios_tipo_view.xml",
            "views/anuncios_view.xml",
            "views/categorias_view.xml",
            "views/logisticos_view.xml",
            "views/modelos_view.xml",
            "views/acoes_view.xml",
            "views/pedidos_item_compra_view.xml",
            "views/perguntas_view.xml",
            "views/notificacoes_view.xml",
            "views/mensagens_view.xml",
            "views/embalagens_view.xml",
            "views/frete_view.xml",
            "inherit/estoquepedidos/pedido_view.xml",
            "inherit/estoquepedidos/pedido_view_view.xml",
            "inherit/estoque/produto_view.xml",
            "inherit/estoque/categoria_view.xml",
            "inherit/estoque/estsug_compra_capa_view.xml",
            "inherit/fiscal/nf_capa_view.xml",
            "inherit/fiscal/parametros_view.xml",
            "inherit/fiscal/wizard_listagem_nf_view.xml",
            "inherit/estoque/parametro_view.xml",
            "inherit/financeiro/wizard_baixa_titulo_view.xml",
            "inherit/financeiro/parametros_view.xml",
            "inherit/financeiro/titulo_view.xml",
            "inherit/vendas/wizard_mkp_avaliacao_venda_view.xml",
            "inherit/estoque_atributos/atributos_view.xml",
            "inherit/reclamacoes/reclamacao_view.xml",
            "wizard/wizard_faturamento_pedido_view.xml",
            "wizard/importar_nfe_view.xml",
            "views/action.xml",
            "views/menu.xml",
            "data/ir_cron.xml",
            'data/adm_monitor_alertas.xml',
            'data/adm_monitor_alertas_grupos.xml',
            'data/usuario_data.xml',
            ],
        'teste': [
            "data/websig_sql_data.xml",
            "views/notificacoes_view.xml",
            "views/pesquisas_view.xml",
            "views/perguntas_view.xml",
            "views/mensagens_view.xml",
            "views/emails_view.xml",
            "views/promocoes_view.xml",
            "views/pagamentos_view.xml",
            "wizard/acompanhamento_vendas.xml",
            "wizard/wizard_faturamento_pedido_view.xml",
            "data/ir_cron.xml",
            "data/adm_monitor_alertas.xml",
            "data/adm_monitor_alertas_grupos.xml",
        ],
        "application": True,
        "installable": True,
        "active": False,
}

