# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class mkp_atributos(osv.Model):
    _inherit = 'mkp.atributos'

    def mkpatr_btn_exportar_um_atributo(self, cr, uid, ids, context=None):
        res = {'mkp_id': False, 'mkp_integrador': False, 'atributo_id': False}
        if ids:
            brw_atributos = self.browse(cr, uid, ids[0], context=context)
            if brw_atributos.mkpatr_marketplace_id:
                res['mkp_id'] = brw_atributos.mkpatr_marketplace_id.id
                res['mkp_integrador'] = brw_atributos.mkpatr_marketplace_id.mkpmkp_codigo
                _valores = []
                for brw_valor in brw_atributos.mkpatr_atributos_id.estatr_valores_ids:
                    _valores.append(brw_valor.name)
                _unidades = []
                for brw_unidade in brw_atributos.mkpatr_atributos_id.estatr_unidades_ids:
                    _unidades.append(brw_unidade.name)
                res['dados'] = {
                    'name': brw_atributos.name,
                    'id_no_mkp': brw_atributos.mkpatr_id_no_mkp,
                    'valores': _valores,
                    'unidades': _unidades
                }
        return res

