# -*- encoding: utf-8 -*-
# #############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
# #############################################################################

from openerp.osv import osv



class mkp_contas(osv.Model):
    _inherit = 'mkp.contas'

    def mkpcta_onchange_mkpid(self, cr, uid, ids, mkp_id, context=None):
        context = context and context.copy() or {}
        obj_mkp = self.pool.get('mkp.marketplaces')
        dados_mkp = obj_mkp.read(cr, uid, mkp_id, context=context)
        if dados_mkp:
            return {'value': {'mkpcta_integrador': dados_mkp.get('mkpmkp_codigo')}}
        else:
            return {'value': {'mkpcta_integrador': ''}}

    def mkpcta_verificar_se_comunica(self, cr, uid, conta_id, context=None):
        sql = """
            select mkpmkp_parar_comunicacao, mkpcta_parar_comunicacao
               from mkp_contas mc
               left join mkp_marketplaces mm on mm.id = mkpcta_marketplace_id
               where mc.id = %s
        """ % conta_id
        cr.execute(sql)
        dados = cr.dictfetchall()
        if isinstance(dados, (list, tuple)):
            dados = dados[0]
        if dados.get('mkpcta_parar_comunicacao') or dados.get('mkpmkp_parar_comunicacao'):
            return False
        return True
