# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################


from openerp.osv import osv, fields

class mkp_produto_marketplaces(osv.Model):
    _inherit = 'mkp.produto.marketplaces'

    def mkpromkp_btn_carregar_imagensr(self, cr, uid, ids, context=None):
        obj_pro_mkp_img = self.pool.get('mkp.produto.marketplace.imagens')
        obj_prod_img = self.pool.get('estoque_img.produto')
        for brw_mkpprokp in self.browse(cr, uid, ids, context=context):
            for brw_imagens in brw_mkpprokp.mkpromkp_produto_id.estpro_imagem_ids:
                args = [('mkprmkimg_imagem_produto_id', '=', brw_imagens.id),
                        ('mkprmkimg_produto_mkp_id', '=', brw_mkpprokp.id)]
                mkp_pro_ids = obj_pro_mkp_img.search(cr, uid, args, context=context)
                if mkp_pro_ids: # Imagem já cadastrada
                    continue
                vals = {
                    'mkprmkimg_produto_mkp_id': brw_mkpprokp.id,
                    'mkprmkimg_imagem_produto_id': brw_imagens.id,
                    'sequence': brw_imagens.sequence,
                    'mkprmkimg_endereco_mkp': obj_prod_img.estimg_get_end_imagem(cr, uid, brw_imagens.id, context=context)
                }
                obj_pro_mkp_img.create(cr, uid, vals, context=context)
        return True

    def mkppromkp_set_atributos_estoque(self, cr, uid, ids, context=None):
        obj_estoque_atributos = self.pool.get('estoque.atributos')
        obj_estoque_atributos_valores = self.pool.get('estoque.atributos.valores')
        obj_estoque_atributos_produtos = self.pool.get('estoque.atributos.produtos')
        for brw_produtos_mkp in self.browse(cr, uid, ids, context=context):
            # Para cada atributo da categoria do mkp, verificar se tem na categoria do estoque
            for brw_mkpcat_atributos in  brw_produtos_mkp.mkpromkp_categoria_id.mkpcat_atributos_ids:
                _existe = False
                for  brw_prod_atributos in brw_produtos_mkp.mkpromkp_marketplace_id.mkpmkp_atributos_ids:
                # for  brw_prod_atributos in brw_produtos_mkp.mkpromkp_produto_id.estpro_atributo_ids:
                    if brw_prod_atributos.mkpatr_atributos_id.name == brw_mkpcat_atributos.mkpcatatr_label:
                        _existe = True
                        est_attrs_id = brw_produtos_mkp.mkpromkp_marketplace_id.id
                        break

                if not _existe:
                    _obrigatorio = False
                    for tag in brw_mkpcat_atributos.mkpcatatr_tags_ids:
                        if tag.name == 'required':
                            _obrigatorio = True
                            break
                    vals = {'name': brw_mkpcat_atributos.mkpcatatr_label,
                            'estatr_obrigatorio':_obrigatorio}
                    est_attrs_id =  obj_estoque_atributos.create(cr, uid, vals, context=context)

                _unidades = []
                _unid_default = False
                for brw_unidades in brw_mkpcat_atributos.mkpcatatr_unidades_ids:
                    if brw_unidades.mkpcatatru_default:
                        continue
                    else:
                        _unidades.append(brw_unidades.name)
                if _unid_default:
                    _unidades = [_unid_default] + _unidades
                if _unidades:
                    for _unidade in _unidades:
                        args = [('estatv_atributo_id','=', est_attrs_id),('name', '=', _unidade)]
                        val_id = obj_estoque_atributos_valores.search(cr, uid, args, context=context)
                        if not val_id:
                            vals = {'estatv_atributo_id': est_attrs_id, 'name': _unidade}
                            obj_estoque_atributos_valores.create(cr, uid, vals, context=context)
                _prod_id = brw_produtos_mkp.mkpromkp_produto_id.id

                args = [('estatp_produto_id', '=', _prod_id), ('estatp_atributo_id', '=', est_attrs_id)]
                _eap_ids = obj_estoque_atributos_produtos.search(cr, uid, args, context=context)
                if not _eap_ids:
                    vals = {
                        'estatp_produto_id': _prod_id,
                        'estatp_atributo_id': est_attrs_id
                    }
                    obj_estoque_atributos_produtos.create(cr, uid, vals, context=context)
        return True

    def create(self, cr, uid, vals, context=None):
        res = super(mkp_produto_marketplaces, self).create(cr, uid, vals, context=context)
        if res:
            self.mkpromkp_btn_carregar_imagensr(cr, uid, [res], context=context)
        return res