# -*- encoding: utf-8 -*-

import openerp.addons.web.http as http
import xmlrpclib, socket
from logging import getLogger
from openerp.tools import image_resize_image
import time
from openerp.tools import config
import psycopg2
from SigUtils.sigerp import db_sig
from SigUtils import datas, numero
from .control.utils import configuracao
import logging

_logger = getLogger('##### Tempo --->')

_server = 'https://mlapi.siginformatica.com.br'
_base = 'mlapi'
_usuario = 'mkp_remoto'
_senha = 'mkp_remoto_77813'
# _db_usuario = 'ml'
_db_usuario = 'op7'
_senha = 'sig120861'
# _senha = 'franca'
# _senha = 'SIG_0p3n3rp'


mkp_logo = {
    'Mercado Livre': 'marketplace/static/src/img/ml_logo.png',
    'Amazon': 'marketplace/static/src/img/amazon_logo.png',
    'Magazine Luiza': 'marketplace/static/src/img/magalu_logo.png',
    'Magalu': 'marketplace/static/src/img/magalu_logo.png',
    'Loja Tray': 'marketplace/static/src/img/tray_logo.png',
    'Americanas': 'marketplace/static/src/img/americanas_logo.png',
    'Shoptime': 'marketplace/static/src/img/shoptime_logo.png',
    'Submarino': 'marketplace/static/src/img/submarino_logo.png',
    'Carrefour': 'marketplace/static/src/img/carrefour_logo.png',
    'Olist': 'marketplace/static/src/img/olist_logo.png',
    'Shopee': 'marketplace/static/src/img/shopee_logo.png',
    'Via Varejo': 'marketplace/static/src/img/viavarejo_logo.png',
    'Loja Prestashop': 'marketplace/static/src/img/prestashop_logo.png',
    'Madeira Madeira': 'marketplace/static/src/img/madeira_logo.png',
}

template_sep = u"""
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html
        PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<style>
.divtop {
  position: absolute;
  top: 5px;
  left:10px;
  right: 10px;
}
.divbotton {
  position: absolute;
  bottom: 5px;
  left: 10px;
  right: 10px
  }
</style>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="manifest" href="https://mlapi.sigsolucoes.net.br/marketplace/static/manifest.json">
    <title>Separação de pedidos</title>
</head>
<body>
<form method="post" action="sep">
    <font size="5" face="Verdana">
        <div class="divtop">
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr bgcolor="#2764a3">
                    <td colspan="3" height="30px" align="center"><font color="white">Separação de pedidos</font></td>
                </tr>
                <tr>
                    <td align="left">var_company</td>
                    <td align="center"></td>
                    <td align="right">var_selecao</td>
                </tr>
                <tr>
                    <td width="20%">Locação:</td>
                    <td width="60%">var_locacao
                        <input type="hidden" value="loc_atual_valor" name="loc_atual">
                    </td>
                    <td width="20%" align="right"><font size="-1">var_patu / var_ptot</font></td>
                </tr>
                <tr>
                    <td align="center" colspan="3">var_image</td>
                </tr>
                <tr>
                    <td colspan="3"><b>var_descricao</b></td>
                </tr>
                <tr>
                    <td>Quantidade:</td>
                    <td><b>var_quantidade</b></td>
                    <td></td>
                </tr>
                <tr>
                    <td>Código:</td>
                    <td colspan="2">var_codigo</td>
                </tr>
                <tr>
                    <td>Grade:</td>
                    <td colspan="2">var_grade</td>
                </tr>
                <tr>
                    <td>Saldo:</td>
                    <td colspan="2">var_saldo</td>
                </tr>
                <tr>
                <td align="left" colspan="3">var_icones</td>
                </tr>
            </table>
        </div>
        <div class="divbotton">
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr>
                    <td colspan="3" height="30px" align="center"><font color="red">var_mensagem</font></td>
                </tr>
                <tr bgcolor="#2764a3">
                    <td colspan="3" height="3px" align="center"><font color="white"></font></td>
                </tr>
                <tr height="10px">
                    <td align="left"><button type="submit" name="botao" value="anterior"/><font size="4">< Anterior</font></button></td>
                    <td align="left"><button type="submit" name="botao" value="recarregar"/><font size="4"> icone_recarregar </font></button></td>
                    <td align="right"><button type="submit" name="botao" value="proximo"><font size="4">Próximo ></font></button></td>
                </tr>
            </table>
        </div>
    </font>
</form>
</body>
</html>
"""

template_vda = u"""
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html
        PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<style>
.divtop {
  position: absolute;
  top: 5px;
  left:10px;
  right: 10px;
}
.divbotton {
  position: absolute;
  bottom: 5px;
  left: 10px;
  right: 10px
  }
</style>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="manifest" href="https://mlapi.sigsolucoes.net.br/marketplace/static/manifest.json">
    <title>Vendas</title>
</head>
<body>
<form method="post" action="vda">
    <font size="4" face="Verdana">
    <div class="divtop">
    <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr bgcolor="#2764a3">
            <td></td>
            <td height="25px" align="center"><font color="white"><b>Vendas</b></font></td>
            <td align="right"><font color="white"><b>var_data</b></font></td>
        </tr>
        var_corpo
    </table>
    </div>
    <div class="divbotton">
    <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
            <td height="30px" align="center"><font color="red">var_mensagem</font></td>
        </tr>
        <tr bgcolor="#2764a3">
            <td  height="3px" align="center"></td>
        </tr>
        <tr>
            <td align="center"><button type="submit" name="botao" value="recarregar"/> icone_recarregar </button></td>
        </tr>
    </table>
    </div>
    </font>
</form>
</body>
</html>
"""

template_vdi = u"""
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html
        PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<style>
.divtop {
  position: absolute;
  top: 5px;
  left:10px;
  right: 10px;
}
</style>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="manifest" href="https://mlapi.sigsolucoes.net.br/marketplace/static/manifest.json">
    <title>Itens vendidos</title>
</head>
<body>
<form method="post" action="vdi">
    <font size="4" face="Verdana">
    <div class="divtop">
    <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr bgcolor="#2764a3">
            <td height="25px" align="center" colspan="4"><font color="white"><b>Itens vendidos</b></font></td>
        </tr>
        <tr>
            <td align="left">var_company</td>
            <td align="left">var_selecao</td>
            <td align="left">var_mkp</td>
            <td align="right"><button type="submit" name="botao" value="recarregar"/> icone_recarregar </button></td>
        </tr>
    </table>
    <table width="100%" border="0" cellspacing="5" cellpadding="0">
        var_corpo
    </table>
    </div>
    </font>
</form>
</body>
</html>
"""

template_pdc = u"""
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html
        PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<style>
.divtop {
  position: absolute;
  top: 5px;
  left:10px;
  right: 10px;
}
</style>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="manifest" href="https://mlapi.sigsolucoes.net.br/marketplace/static/manifest.json">
    <title>Pedidos de compra</title>
</head>
<body>
<form method="post" action="pdc">
    <font size="4" face="Verdana">
    <div class="divtop">
    <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr bgcolor="#2764a3">
            <td height="25px" align="center" colspan="4"><font color="white"><b>Pedidos de compra</b></font></td>
        </tr>
        <tr>
            <td align="right" colspan="4"><button type="submit" name="botao" value="recarregar"/>icone_recarregar</button></td>
        </tr>
    </table>
    <table width="100%" border="0" cellspacing="5" cellpadding="0">
        var_corpo
    </table>
    </div>
    </font>
</form>
</body>
</html>
"""

# def _tInic():
#     _inicio = time.time()
#     return _inicio


# def _tFim(inicio, msg):
#     _fim = time.time()
#     _dif = '%f' % (_fim - inicio)
#     _logger.info('%s -> Tempo: %s' % (msg, str(_dif)))
#     return


class sc(http.Controller):
    _cp_path = '/mkp'
    _mensagens = ''

    def _montar_selecao(self, titulo, selecionado, lista):
        if not selecionado:
            selecionado = 'None'
        lista1 = []
        for x in lista:
            if x == None:
                lista1.append('None')
            else:
                lista1.append(x)
        lista = lista1

        _selection = "<label for='%s'>%s:</label>" % (titulo, titulo.capitalize())
        _selection += "<select name='%s' id='%s'>" % (titulo, titulo)
        # if selecionado == 'Todos':
        #     _selection += "<option value='Todos' selected>Todos</option>"
        # else:
        #     _selection += "<option value='Todos'>Todos</option>"
        for x in lista:
            if x == selecionado:
                _selection += "<option value='%s' selected>%s</option>" % (x, x)
            else:
                _selection += "<option value='%s'>%s</option>" % (x, x)
        _selection += "</select>"
        return _selection

    def montar_template_sep(self, item, pos, tot, integradores):
        def _get_logo(_mkp):
            _img = '<img src="%s/%s">' % (_server, mkp_logo.get(_mkp))
            return _img

        def _get_selecao(integradores):
            _selection = "<label for='integradores'>Mkp:</label>"
            _selection += "<select name='integradores' id='integradores'>"
            if self._integrador_selecionado == 'Todos':
                _selection += "<option value='Todos' selected>Todos</option>"
            else:
                _selection += "<option value='Todos'>Todos</option>"
            for x in integradores:
                if x == self._integrador_selecionado:
                    _selection += "<option value='%s' selected>%s</option>" % (x, x)
                else:
                    _selection += "<option value='%s'>%s</option>" % (x, x)
            _selection += "</select>"
            return _selection

        def _get_company(companys):
            _selection = "<label for='companys'>Empr:</label>"
            _selection += "<select name='companys' id='companys'>"
            for x in companys:
                if x == self._company_selecionado:
                    _selection += "<option value='%s' selected>%s</option>" % (x, x)
                else:
                    _selection += "<option value='%s'>%s</option>" % (x, x)
            _selection += "</select>"
            return _selection

        html = template_sep
        html = html.replace('var_patu', str(pos))
        html = html.replace('var_ptot', str(tot))
        if not item:
            html = html.replace('var_locacao', '')
            html = html.replace('loc_atual_valor', '')
            html = html.replace('var_image', '')
            html = html.replace('var_descricao', '')
            html = html.replace('var_quantidade', '')
            html = html.replace('var_codigo', '')
            html = html.replace('var_grade', '')
            html = html.replace('var_saldo', '')
            html = html.replace('var_icones', '')
            html = html.replace('var_company', '%s' % _get_company(self._companys))
            html = html.replace('var_selecao', '%s' % _get_selecao(integradores))
            html = html.replace('var_mensagem', self._mensagens)
            _img = '<img src="%s/marketplace/static/src/img/atualizar_30x30.png">' % _server
            html = html.replace('icone_recarregar', '%s' % _img)
            return html

        if not item.get('locacao'):
            item['locacao'] = ' '
        html = html.replace('var_locacao', item.get('locacao'))
        html = html.replace('loc_atual_valor', item.get('locacao'))
        _foto = item.get('foto')
        _size = (180, None)
        _foto = image_resize_image(_foto, _size)
        image = '<img src="data:image/png;base64, %s" width="150" height="150"/>' % _foto
        html = html.replace('var_image', image)
        html = html.replace('var_descricao', item.get('descricao'))
        html = html.replace('var_quantidade', '%d' % item.get('qtd'))
        html = html.replace('var_codigo', item.get('codigo'))
        html = html.replace('var_grade', item.get('grade'))
        html = html.replace('var_saldo', '%d' % item.get('saldo'))
        lista_mkps = ''
        for mkp in item.get('mkps'):
            _img = _get_logo(mkp)
            lista_mkps += _img
        html = html.replace('var_icones', '%s' % lista_mkps)
        html = html.replace('var_company', '%s' % _get_company(self._companys))
        html = html.replace('var_selecao', '%s' % _get_selecao(integradores))
        html = html.replace('var_mensagem', '%s' % self._mensagens)
        _img = '<img src="%s/marketplace/static/src/img/atualizar_30x30.png">' % _server
        html = html.replace('icone_recarregar', '%s' % _img)
        return html

    def sep_selecionar_itens(self):
        # _inicio = _inicioT = _tInic()
        db = db_sig(_base, user=_db_usuario)
        # _tFim(_inicio, 'Logando:')
        #
        # tratar capa do pedido
        _fields = ['id']
        _company_id = self._company_selecionado[:2]
        hoje = time.strftime('%Y-%m-%d')
        _hora = int(time.strftime('%H'))
        if _hora > 14:
            hoje = datas.getDataNoFormato(datas.calcVencimento(hoje, 1), 'I', '-')
        _where = [('state', '=', 'V'),
                  ('tipo', '=', 'V'),
                  ('company_id', '=', _company_id),
                  ('pedcap_faturar_em', '<=', hoje)]
        if self._integrador_selecionado != 'Todos':
            _where.append(('pedcap_integrador', '=', self._integrador_selecionado))
        res = db.dbsSelect('estoquepedidos_pedido_capa', _fields, _where)
        _capa_ids = tuple(map(lambda x: x.get('id'), res))
        #
        # tratar itens do pedido
        _fields = ['produto_id', 'grade_id', 'qtde_pedida', 'local_id', 'pedido_id']
        _where = [('pedido_id', 'in', _capa_ids)]
        _ped_itens_dados = db.dbsSelect('estoquepedidos_pedido_item', _fields, _where)
        if not _ped_itens_dados:
            db.conexao.close()
            return []
        _dict_itens = {}
        _grade_ids = []
        _produto_ids = []
        _integradores = []
        for _ped_item in _ped_itens_dados:
            _produto_id = _ped_item.get('produto_id')
            if not _produto_id in _produto_ids:
                _produto_ids.append(_produto_id)
            if not _dict_itens.get(_produto_id):
                _dict_itens[_produto_id] = {}
            _grade_id = _ped_item.get('grade_id')
            if not _dict_itens.get(_produto_id).get(_grade_id):
                _dict_itens[_produto_id][_grade_id] = {}
            _local_id = _ped_item.get('local_id')
            _dict_itens[_produto_id][_grade_id].update({'local': _local_id})
            if not _grade_id in _grade_ids:
                _grade_ids.append(_grade_id)
            _fields = ['pedcap_marketplace', 'pedcap_integrador']
            _where = [('id', '=', _ped_item.get('pedido_id'))]
            _ped_capa_dados = db.dbsSelect('estoquepedidos_pedido_capa', _fields, _where)
            if not _dict_itens.get(_produto_id).get('mkps'):
                _dict_itens[_produto_id]['mkps'] = []
            if not _ped_capa_dados[0].get('pedcap_marketplace') in _dict_itens[_produto_id]['mkps']:
                _dict_itens[_produto_id]['mkps'].append(_ped_capa_dados[0].get('pedcap_marketplace'))
            if not _ped_capa_dados[0].get('pedcap_integrador') in _integradores:
                _integradores.append(_ped_capa_dados[0].get('pedcap_integrador'))

        #
        # tratar produto
        _fields = ['id', 'estpro_foto', 'grade_usar', 'codigo']
        _where = [('id', 'in', tuple(_produto_ids))]
        for _produto_dados_dados in db.dbsSelect('estoque_produto', _fields, _where):
            _produto_id = _produto_dados_dados.get('id')
            _grade_usar = _produto_dados_dados.get('grade_usar')
            _codigo = _produto_dados_dados.get('codigo')
            _dict_itens[_produto_id].update({'grade_usar': _grade_usar, 'codigo': _codigo})
            if not _grade_usar:
                _foto = str(_produto_dados_dados.get('estpro_foto'))
                _dict_itens[_produto_id].update({'foto': _foto})
        #
        # tratar grade
        _prod_foto_por_grade_ids = []
        _fields = ['produto_id', 'descricao', 'grade', 'name', 'id']
        _where = [('id', 'in', tuple(_grade_ids))]
        for _gd in db.dbsSelect('estoque_produto_grade', _fields, _where):
            _produto_id = _gd.get('produto_id')
            _grade_id = _gd.get('id')
            _grade = _gd.get('grade')
            if _dict_itens.get(_produto_id).get('grade_usar'):
                if not _grade_id in _prod_foto_por_grade_ids:
                    _prod_foto_por_grade_ids.append(_grade_id)
            _dict_itens[_produto_id][_gd.get('id')].update({'descricao': _gd.get('descricao'),
                                                            'grade': _grade,
                                                            'nome': _gd.get('name')})
        #
        # tratar locacao
        _fields = ['produto_id', 'grade_id', 'locacao']
        _company_id = self._company_selecionado[:2]
        _where = [('grade_id', 'in', tuple(_grade_ids)), ('local_id', '=', _local_id), ('company_id', '=', _company_id)]
        for _lc in db.dbsSelect('estoque_local_locacao', _fields, _where):
            if not _lc.get('locacao'):
                _lc['locacao'] = '99.99.999'
            _produto_id = _lc.get('produto_id')
            _grade_id = _lc.get('grade_id')
            _dict_itens[_produto_id][_grade_id].update({'locacao': _lc.get('locacao')})
        #
        # tratar foto dos itens que tem grade
        if _prod_foto_por_grade_ids:
            _fields = ['estimg_produto_id', 'estimg_grade_id', 'estimg_foto']
            _where = [('estimg_grade_id', 'in', tuple(_prod_foto_por_grade_ids))]
            _order_by = ['estimg_grade_id', 'sequence']
            _ultima_grade = False
            for _imagem_dados in db.dbsSelect('estoque_img_produto', _fields, _where, _order_by):
                _grade_id = _imagem_dados.get('estimg_grade_id')
                _produto_id = _imagem_dados.get('estimg_produto_id')
                if _grade_id != _ultima_grade:
                    _ultima_grade = _grade_id
                    _foto = str(_imagem_dados.get('estimg_foto'))
                    if _dict_itens.get(_produto_id) and _dict_itens.get(_produto_id).get(_grade_id):
                        _dict_itens[_produto_id][_grade_id].update({'foto': _foto})
        _data = datas.getDataDeHoje('I', '-')
        _cond_local = " AND eps.local_id = " + str(_local_id)
        _str_grade_ids = str(tuple(_grade_ids)).replace(',)',')') # retirar a virgula após o ultimo elemento, caso exista
        sql = '''SELECT SUM(eps.saldo) AS saldo,
                               grade_id
                         FROM estoque_produto_saldo AS eps
                         WHERE eps.grade_id IN {grade_ids}
                           AND eps.company_id = {company_id}
                           AND eps.data_movimento = (SELECT MAX(data_movimento)
                                                     FROM estoque_produto_saldo eps1
                                                     WHERE eps1.grade_id = eps.grade_id
                                                       AND eps1.company_id = eps.company_id
                                                       AND eps1.data_movimento <= '{data}'
                                                       AND eps1.local_id = eps.local_id
                                                       )
                           {cond_local}
                         GROUP BY grade_id'''.format(grade_ids=_str_grade_ids,
                                                     data=str(_data),
                                                     cond_local=_cond_local,
                                                     company_id=_company_id)
        db.cr.execute(sql)
        dados_saldo = db._dbsDictfetchall(db.cr)
        _itens = {'integradores': _integradores}
        for _ped_item in _ped_itens_dados:
            _produto_id = _ped_item.get('produto_id')
            _grade_id = _ped_item.get('grade_id')
            _produto_nome = _dict_itens.get(_produto_id).get(_grade_id).get('nome')
            _produto_codigo = _dict_itens.get(_produto_id).get('codigo')
            _saldo = filter(lambda x: x.get('grade_id') == _grade_id, dados_saldo)[0].get('saldo')
            # _saldo = 0
            _grade = _dict_itens.get(_produto_id).get(_grade_id).get('grade')
            _grade = _grade + ' - ' + _dict_itens.get(_produto_id).get(_grade_id).get('descricao')
            if _dict_itens.get(_produto_id).get('grade_usar'):
                _foto = _dict_itens.get(_produto_id).get(_grade_id).get('foto')
            else:
                _foto = _dict_itens.get(_produto_id).get('foto')
            _locacao = _dict_itens.get(_produto_id).get(_grade_id).get('locacao')
            if _itens.get(_locacao):
                _itens[_locacao]['qtd'] += _ped_item.get('qtde_pedida')
            else:
                _itens[_locacao] = {
                    'foto': _foto,
                    'descricao': _produto_nome,
                    'qtd': _ped_item.get('qtde_pedida'),
                    'codigo': _produto_codigo,
                    'grade': _grade,
                    'locacao': _locacao,
                    'saldo': _saldo,
                    'mkps': _dict_itens.get(_produto_id).get('mkps'),
                }
        db.conexao.close()
        return _itens


    @http.httprequest
    def steste(self, req, s_action=None, **kw):
        cfg = configuracao('marketplace_ml', '77813143')
        cfg.lerConfiguracao()
        db = db_sig('mlapi', user=_db_usuario)
        users = db.dbsSelect('res_users')
        dbuser = config.options.get('db_user')
        dbpass = config.options.get('db_password') or None
        dbhost = config.options.get('db_host') or '127.0.0.1'
        dbport = config.options.get('db_port') or '5432'
        conexao = psycopg2.connect(database='mlapi', user=dbuser, password=dbpass, host=dbhost,
                                   port=dbport, connect_timeout=3)
        _cr = conexao.cursor()
        db.conexao.close()
        return str((dbuser, dbpass, dbhost, dbport))

    def vda_get_venda(self, inicio, fim, companys):
        db = db_sig(_base, user=_db_usuario)
        _fields = u"company_id, count(id) as qtd, sum(valor_total) as total"
        _where = u"state = 'F' and tipo = 'V' and company_id in (03, 04, 06) and pedcap_data_faturamento between '%s' and '%s'"
        _where = _where % (inicio.replace('/', '-'), fim.replace('/', '-'))
        _sql = 'select %s from estoquepedidos_pedido_capa where %s group by company_id order by company_id'
        _sql = _sql % (_fields, _where)
        try:
            db.cr.execute(_sql)
            dados = db._dbsDictfetchall(db.cr)
        except:
            dados = []
        db.conexao.close()
        return dados

    @http.httprequest
    def vda(self, req, s_action=None, **kw):
        def _vda_incluir_linha(dados, linhas):
            _gtt = _gtq = 0
            for d in dados:
                _gtq += d.get('qtd')
                _qtd = numero.getNumeroEditado(d.get('qtd'), 0)
                _gtt += d.get('total')
                _total = numero.getNumeroEditado(d.get('total'))
                linhas += linha % (d.get('company_id'), _qtd, _total)
            if dados:
                linhas += traco
                _qtd = '%s%s%s' % ('<b>', numero.getNumeroEditado(_gtq, 0), '</b>')
                _total = '%s%s%s' % ('<b>', numero.getNumeroEditado(_gtt), '</b>')
                linhas += linha % ('<b>Total</b>', _qtd, _total)
            return linhas, _gtq, _gtt

        companys = ('03', '04', '06')
        linhas = u''
        traco = """
        <tr>
            <td colspan="2"></td>
            <td bgcolor="#2764a3" height="3px" align="right"></td>
        </tr>
        """
        traco_branco = """
        <tr bgcolor="#2764a3">
            <td colspan="3" height="3px" align="center"></td>
        </tr>
        """
        linha = u"""
        <tr>
            <td align="left">%s</td>
            <td align="right">%s</td>
            <td align="right">%s</td>
        </tr>
        """
        _cab = u"""
        <tr>
            <td align="center" colspan="3" ><b>--- Do mês anterior ---</b></td>
        </tr>
        """
        _sub_cab = """
        <tr>
            <td align="left"><b>Empresa</b></td>
            <td align="right"><b>Qtd</b></td>
            <td align="right"><b>Valor</b></td>
        </tr>
        """
        linhas += _cab
        linhas += _sub_cab
        _hoje = datas.getDataDeHoje('I')
        _hoje_n = datas.getDataDeHoje('N')
        _ontem = datas.calcVencimento(_hoje, -1,)
        _ontem = datas.getDataNoFormato(_ontem, 'I', '/')
        _inicio = _hoje[:-2]+'01'
        _hoje_dia = int(_hoje[-2:])
        _mes_ant_i = datas.calcVencimento(_hoje, _hoje_dia * -1)
        _mes_ant_i = datas.getDataNoFormato(_mes_ant_i, 'I', '/')
        _mes_ant_i = _mes_ant_i[:-2] + '01'
        _mes_ant_f = _mes_ant_i[:-2] + str(datas.calcUltimoDiaDoMes(_mes_ant_i))
        # totais do mes anterior
        dados = self.vda_get_venda(_mes_ant_i, _mes_ant_f, companys)
        linhas, tQtdAnt, tTotAnt = _vda_incluir_linha(dados, linhas)
        linhas += traco_branco
        # totais do mes
        _cab = u"""
        <tr>
            <td align="center" colspan="3" ><b>--- Do mês ---</b></td>
        </tr>
        """
        linhas += _cab
        linhas += _sub_cab
        dados = self.vda_get_venda(_inicio, _hoje, companys)
        linhas, qtd, tot = _vda_incluir_linha(dados, linhas)
        _per_mes = _hoje_dia * 100 / datas.calcUltimoDiaDoMes(_hoje)
        _titulo = u"<b>%s%% do mês</b>" % numero.getNumeroEditado(_per_mes, 0)

        _qtd = '%s%s%s' % ('<b>', numero.getNumeroEditado((qtd*100/tQtdAnt), 2), '</b>')
        _total = '%s%s%s' % ('<b>', numero.getNumeroEditado((tot*100/tTotAnt), 2), '</b>')
        linhas += linha % (_titulo, _qtd, _total)

        linhas += traco_branco
        # totais de a 1 dia
        _cab = u"""
        <tr>
            <td align="center" colspan="3" ><b>--- De ontem ---</b></td>
        </tr>
        """
        linhas += _cab
        linhas += _sub_cab
        dados = self.vda_get_venda(_ontem, _ontem, companys)
        linhas, qtd, tot = _vda_incluir_linha(dados, linhas)
        linhas += traco_branco
        # totais de Hoje
        _cab = u"""
        <tr>
            <td align="center" colspan="3" ><b>--- De hoje ---</b></td>
        </tr>
        """
        linhas += _cab
        linhas += _sub_cab
        dados = self.vda_get_venda(_hoje, _hoje, companys)
        linhas, qtd, tot = _vda_incluir_linha(dados, linhas)
        html = template_vda
        html = html.replace('var_data', _hoje_n)
        html = html.replace('var_corpo', linhas)
        html = html.replace('var_mensagem', '')
        _img = '<img src="%s/marketplace/static/src/img/atualizar_30x30.png">' % _server
        html = html.replace('icone_recarregar', '%s' % _img)
        return html

    @http.httprequest
    def vdi(self, req, s_action=None, **kw):
        _hoje = datas.getDataDeHoje('I', '-')
        _ontem = datas.calcVencimento(_hoje, -1,)
        _ontem = datas.getDataNoFormato(_ontem, 'I', '-')
        _cinco_dias = datas.calcVencimento(_hoje, -5,)
        _cinco_dias = datas.getDataNoFormato(_cinco_dias, 'I', '-')
        _dez_dias = datas.calcVencimento(_hoje, -10,)
        _dez_dias = datas.getDataNoFormato(_dez_dias, 'I', '-')
        _quinze_dias = datas.calcVencimento(_hoje, -15,)
        _quinze_dias = datas.getDataNoFormato(_quinze_dias, 'I', '-')
        _trinta_dias = datas.calcVencimento(_hoje, -30,)
        _trinta_dias = datas.getDataNoFormato(_trinta_dias, 'I', '-')
        _sessenta_dias = datas.calcVencimento(_hoje, -60,)
        _sessenta_dias = datas.getDataNoFormato(_sessenta_dias, 'I', '-')
        # Marketplace
        self._mkp_selecionado = 'Todos'
        if req.params.get('mkp'):
            self._mkp_selecionado = req.params.get('mkp')
        db = db_sig(_base, user=_db_usuario)
        _sql = """
           select distinct(pedcap_marketplace) 
              from estoquepedidos_pedido_capa 
              where 
                 tipo = 'V' and 
                 pedcap_data_faturamento >= '%s'
        """ % _sessenta_dias
        db.cr.execute(_sql)
        self._mkps = ['Todos']
        _tem_a2w = False
        _lista_mkp = []
        for _mkp in db._dbsDictfetchall(db.cr):
            if _mkp.get('pedcap_marketplace'):
                if _mkp.get('pedcap_marketplace') in ('Submarino', 'Americanas', 'Shoptime'):
                    if not _tem_a2w:
                        _tem_a2w = True
                _lista_mkp.append((_mkp.get('pedcap_marketplace')))
        if _tem_a2w:
            self._mkps.append('A2W')
        for x in sorted(_lista_mkp):
            self._mkps.append(x)
        _selection_mkp = self._montar_selecao('mkp', self._mkp_selecionado, self._mkps)
        #

        # Companys
        self._company_selecionado = '00-Todas'
        if req.params.get('empresa'):
            self._company_selecionado = req.params.get('empresa')
        self._companys = ('03-Sol e Ar', '04-Lagoa', '06-Filial', '00-Todas')
        _selection_companys = self._montar_selecao('empresa', self._company_selecionado, self._companys)
        #

        # Periodo
        self._periodo_selecionado = 'Hoje'
        if req.params.get('periodo'):
            self._periodo_selecionado = req.params.get('periodo')
        self._periodos = ('Hoje', '1 dia', '5 dias', '10 dias', '15 dias', '30 dias', '60 dias')
        _selection_periodos = self._montar_selecao('periodo', self._periodo_selecionado, self._periodos)
        #
        linhas = u''
        traco_branco = """
        <tr bgcolor="#2764a3">
            <td colspan="5" height="3px" align="center"></td>
        </tr>
        """
        linha = u"""
        <tr bgcolor="%s">
            <td align="left">%s</td>
            <td align="right">%s</td>
            <td align="left">%s</td>
            <td align="right">%s</td>
            <td align="right">%s</td>
        </tr>
        """
        _sub_cab = u"""
        <tr>
            <td align="left"><b>Foto</b></td>
            <td align="left"><b>Código</b></td>
            <td align="left"><b>Descrição</b></td>
            <td align="right"><b>Qtd It</b></td>
            <td align="right"><b>Qtd Cl</b></td>
        </tr>
        """
        linhas += _sub_cab
        linhas += traco_branco
        html = template_vdi
        html = html.replace('var_company', '%s' % _selection_companys)
        html = html.replace('var_selecao', '%s' % _selection_periodos)
        html = html.replace('var_mkp', '%s' % _selection_mkp)
        _img = '<img src="%s/marketplace/static/src/img/atualizar_30x30.png">' % _server
        html = html.replace('icone_recarregar', '%s' % _img)

        _fields = ['id']
        _company_id = self._company_selecionado[:2]
        _where = [('state', '=', 'F'), ('tipo', '=', 'V')]
        if _company_id != '00':
            _where.append(('company_id', '=', _company_id))
        else:
            _where.append(('company_id', 'in', ('03', '04', '06')))
        if self._periodo_selecionado == 'Hoje':
            _data = _hoje
        elif self._periodo_selecionado == '1 dia':
            _data = _ontem
        elif self._periodo_selecionado == '5 dias':
            _data = _cinco_dias
        elif self._periodo_selecionado == '10 dias':
            _data = _dez_dias
        elif self._periodo_selecionado == '15 dias':
            _data = _quinze_dias
        elif self._periodo_selecionado == '30 dias':
            _data = _trinta_dias
        else:
            _data = _sessenta_dias
        _where.append(('pedcap_data_faturamento', '>=', _data))
        if self._mkp_selecionado == 'A2W':
            _where.append(('pedcap_marketplace', 'in', ('Americanas', 'Submarino', 'Shoptime')))
        elif self._mkp_selecionado != 'Todos':
            _where.append(('pedcap_marketplace', '=', self._mkp_selecionado))
        res = db.dbsSelect('estoquepedidos_pedido_capa', _fields, _where)
        _sem_vendas = """
        <tr>
            <td colspan="4" height="3px" align="center"><font color="red">Sem vendas neste periodo!</font></td>
        </tr>
            """
        if not res:
            linhas += _sem_vendas
        else:
            _capa_ids = tuple(map(lambda x: x.get('id'), res))
            if len(_capa_ids) == 1:
                _where = 'pedido_id = %s' % _capa_ids[0]
            else:
                _where = 'pedido_id in %s' % str(_capa_ids)
            _fields = 'produto_id, sum(qtde_pedida) as qtde_pedida, sum(1) as qtde_cliente'
            _order_by = 'qtde_pedida desc'
            _sql = 'select %s from estoquepedidos_pedido_item where %s group by produto_id'
            _sql = _sql % (_fields, _where)
            _sql1 = 'select produto_id, qtde_pedida, qtde_cliente from (%s) as tmp order by qtde_pedida desc' % _sql
            db.cr.execute(_sql1)
            _itens = db._dbsDictfetchall(db.cr)
            _bg = 1
            _total_cliente = 0
            for _item in _itens:
                _where = [('id', '=', _item.get('produto_id'))]
                _fields = ['codigo', 'name', 'estpro_foto']
                _produtos = db.dbsSelect('estoque_produto', _fields, _where)
                for _produto in _produtos:
                    _foto = _produto.get('estpro_foto')
                    # _size = (180, None)
                    # _foto = image_resize_image(_foto, _size)
                    image = '<img src="data:image/png;base64, %s" width="30" height="30"/>' % _foto
                    if _bg == 1:
                        _bg = 2
                        _bgcolor = "#ffffff"
                    else:
                        _bg = 1
                        _bgcolor = "#f0f8ff"
                    _qtd_i = numero.getNumeroEditado(_item.get('qtde_pedida'), 0)
                    _qtd_c = numero.getNumeroEditado(_item.get('qtde_cliente'), 0)
                    linhas += linha % (_bgcolor,
                                       image,
                                       _produto.get('codigo'),
                                       _produto.get('name'),
                                       _qtd_i,
                                       _qtd_c,
                                       )
                    _total_cliente += _item.get('qtde_cliente')
            linhas += traco_branco
            _qtd_c = numero.getNumeroEditado(_total_cliente, 0)
            linhas += linha % ("#ffffff", '', '', '<b>Totais</b>', '', '<b>'+_qtd_c+'</b>')
        html = html.replace('var_corpo', linhas)
        return html

    @http.httprequest
    def pdc(self, req, s_action=None, **kw):
        linhas = u''
        traco_branco = """
        <tr bgcolor="#2764a3">
            <td colspan="4" height="3px" align="center"></td>
        </tr>
        """
        linha = u"""
        <tr bgcolor="%s">
            <td align="left">%s</td>
            <td align="left">%s</td>
            <td align="right">%s</td>
            <td align="right">%s</td>
        </tr>
        """
        _sub_cab = u"""
        <tr>
            <td align="left"><b>Ano</b></td>
            <td align="left"><b>Mes</b></td>
            <td align="right"><b>Qtd</b></td>
            <td align="right"><b>Valor</b></td>
        </tr>
        """
        linhas += _sub_cab
        linhas += traco_branco
        html = template_pdc
        _img = '<img src="%s/marketplace/static/src/img/atualizar_30x30.png">' % _server
        html = html.replace('icone_recarregar', '%s' % _img)

        db = db_sig(_base, user=_db_usuario)
        _sql = """
        select date_part('year', data_emissao) as ano, date_part('month', data_emissao) as mes, count(id) as qtd, 
                  sum(valor_total) as valor 
           from estoquepedidos_pedido_capa 
           where tipo = 'C' 
           group by ano, mes
           order by ano desc, mes desc
           limit 12
        """
        db.cr.execute(_sql)
        pedidos = db._dbsDictfetchall(db.cr)
        _bg = 1
        for ped in pedidos:
            if _bg == 1:
                _bg = 2
                _bgcolor = "#ffffff"
            else:
                _bg = 1
                _bgcolor = "#f0f8ff"
            _ano = numero.getNumeroEditado(ped.get('ano'), 0)
            _mes = numero.getNumeroEditado(ped.get('mes'), 0)
            if len(_mes) == 1:
                _mes = '0'+_mes
            _qtd = numero.getNumeroEditado(ped.get('qtd'), 0)
            _valor = numero.getNumeroEditado(ped.get('valor'), 2)
            linhas += linha % (_bgcolor,
                               _ano,
                               _mes,
                               _qtd,
                               _valor
                               )
        html = html.replace('var_corpo', linhas)
        return html

    @http.httprequest
    def sep(self, req, s_action=None, **kw):
        self._company_selecionado = '03-Sol e Ar'
        self._companys = ('03-Sol e Ar', '04-Lagoa Importados')
        self._integrador_selecionado = 'Todos'
        if req.params.get('integradores'):
            self._integrador_selecionado = req.params.get('integradores')
        if req.params.get('companys'):
            self._company_selecionado = req.params.get('companys')
        _itens = self.sep_selecionar_itens()
        if _itens == []:
            self._mensagens = 'Nao existem itens para serem separados!'
            return self.montar_template_sep('', 0, 0, 'Todos')
        keys = _itens.keys()
        _qtd = len(keys) - 1

        keys.sort()
        if req.params.get('botao'):
            _key_ultimo = None
            _eh_o_proximo = False
            i = 0
            for x in keys:
                if x == 'integradores':
                    continue
                i += 1
                if _eh_o_proximo or req.params.get('botao') == 'recarregar':
                    _item = _itens.get(x)
                    self._mensagens = ''
                    return self.montar_template_sep(_item, i, _qtd, _itens.get('integradores'))
                if x == req.params.get('loc_atual'):
                    if req.params.get('botao') == 'anterior':
                        if _key_ultimo:
                            i -= 1
                            self._mensagens = ''
                            return self.montar_template_sep(_itens.get(_key_ultimo), i, _qtd, _itens.get('integradores'))
                        else:
                            self._mensagens = ''
                            return self.montar_template_sep(_itens.get(x), 1, _qtd, _itens.get('integradores'))
                    elif req.params.get('botao') == 'proximo':
                        _eh_o_proximo = True
                        _key_ultimo = x
                else:
                    _key_ultimo = x
            if _eh_o_proximo:
                self._mensagens = ''
                return self.montar_template_sep(_itens.get(_key_ultimo), i, _qtd, _itens.get('integradores'))
            else:
                self._mensagens = 'Clique no botao atualizar'
                return self.montar_template_sep('', 0, 0, _itens.get('integradores'))
        else:
            self._mensagens = ''
            return self.montar_template_sep(_itens.get(keys[0]), 1, _qtd, _itens.get('integradores'))

    @http.httprequest
    def get_logo_sigerp(self, req, s_action=None, **kw):
        _arq = '%s/marketplace/static/src/img/sigerp.jpg' % config.get('addons_path')
        f = open(_arq, 'r')
        dados = f.read()
        f.close()
        headers = [
            ('Content-Type', 'image/jpg'),
            ('Content-Length', len(dados)),
        ]
        return req.make_response(dados, headers)

