# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class estsug_compra_capa(osv.Model):
    _inherit = 'estsug.compra.capa'

    def _esgccp_get_list_produto(self, cr, uid, ids, fornecedor_id, comprador_id, representante_id,
                                 categoria_ids, fabricante_id, context=None):

        res = super(estsug_compra_capa, self)._esgccp_get_list_produto(cr, uid, ids, fornecedor_id, comprador_id,
                                                        representante_id, categoria_ids,
                                                        fabricante_id, context)

        estsug_compra_capa_dados = self.read(cr, uid, ids, [], context=context, load='_classic_write')
        for sugestao in estsug_compra_capa_dados:
            estsug_estado_para_mkp = sugestao.get('estsug_estado_para_mkp')
            if estsug_estado_para_mkp:
                sql = "select id from estoque_produto where id in %s and estpro_estado_para_mkp = '%s'" % (res, estsug_estado_para_mkp)
                cr.execute(sql)
                res =  filter(None, map(lambda x: x[0], cr.fetchall()))
                res =  str(tuple(res))
        return res
