# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv


class estoque_produto(osv.Model):
    _inherit = 'estoque.produto'
    def estpro_btn_exportar_todos_anuncios(self, cr, uid, ids, mkp=False, context=None):
        _obj_acoes = self.pool.get('mkp.acoes')
        for brw_produtos in self.browse(cr, uid, ids, context=context):
            for brw_anuncios in brw_produtos.estpro_anuncios_ids:
                if mkp and brw_anuncios.mkpanu_marketplace_integrador == mkp:
                    vals = {
                        'mkpaco_conta_id': brw_anuncios.mkpanu_conta_id.id,
                        'mkpaco_objeto': 'A',
                        'mkpaco_acao':'A',
                        'mkpaco_id': brw_anuncios.id
                    }
                    res = _obj_acoes.create(cr, uid, vals, context=context)
        return True

    def estpro_get_logo_mkp_especifico(self, cr, uid, brw_produto, context=None):
        context = context and context.copy() or {}
        res = {}
        return res

    def estpro_btn_preco_custo(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        if not ids:
            return True
        link = {
            'view_type': 'form',
            'view_mode': 'tree',
            'res_model': 'estoque.preco.custo',
            'type': 'ir.actions.act_window',
            'target': 'new',
            'context': context,
            'domain': "[('produto_id', '=', %s)]" % ids[0]
        }
        return link


    def estpro_btn_compras(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        if not ids:
            return True
        mod_obj = self.pool.get('ir.model.data')
        result = mod_obj.get_object_reference(cr, uid, 'marketplace', 'view_mkp_pedidos_compra_item_tree')
        view_id = result and result[1] or False
        link = {
            'view_type': 'form',
            'view_mode': 'tree',
            'res_model': 'estoquepedidos.pedido.item',
            'type': 'ir.actions.act_window',
            'target': 'new',
            'context': context,
            # 'res_id': ids[0],
            'view_id': view_id,
            'domain': "[('produto_id','=', %s),('tipo', '=', 'C'),('state', '=', 'V')]" % ids[0]
        }
        return link



    def copy(self, cr, uid, id, default=None, context=None):
        context = context and context.copy() or {}
        if not default:
            default = {}
        default.update({
            'estpro_anuncios_ids': [],
            'estpro_mkp_anuncio_secoes_ids': [],
            'estpro_promocoes_ids': [],
            'estpro_pergunta_ids': [],
            'estpro_mkp_produto_marketplaces_ids': [],
        })
        res = super(estoque_produto, self).copy(cr, uid, id, default, context)
        return res

    def write(self, cr, uid, ids, vals, context=None):
        _spg = self.pool.get
        res = super(estoque_produto, self).write(cr, uid, ids, vals, context=context)
        _spg('mkp.utils').mkputl_atualizar_saldo_anuncios(cr, uid, ids, context=context)
        return res