# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields

class estoque_produto(osv.Model):
    _inherit = 'estoque.produto'
    _columns = {
        'estpro_anuncios_ids': fields.one2many('mkp.anuncios', 'mkpanu_produto_id', 'Anuncios(Todos)'),
        'estpro_estado_para_mkp': fields.selection([('P', 'Pronto para venda'), ('E', 'Em observacao'),
                                                   ('V', 'Em venda'), ('N', 'Nao vender')], 'Estado para o Marketplace',
                                                   size=1),
        'estpro_mkp_garantia': fields.char('Garantia', size=64),
        'estpro_mkp_garantia_responsavel': fields.selection([('F', 'Fabricante'), ('L', 'Loja')], 'Responsavel p/garantia', size=1),
        'estpro_mkp_garantia_prazo': fields.integer('Prazo'),
        'estpro_mkp_garantia_prazo_tipo': fields.selection([('D', 'Dias'),('M','Meses'), ('A', 'Anos')], 'Tipo prazo', size=1),
        'estpro_mkp_link_video': fields.char('Video', size=128),
        'estpro_mkp_produto_marketplaces_ids': fields.one2many('mkp.produto.marketplaces', 'mkpromkp_produto_id', 'Marketplaces'),
        'estpro_mkp_pergunta_ids': fields.one2many("mkp.perguntas", "mkpper_produto_id", 'Perguntas'),
        # TODO: ver se vai precisar desta relação
        # 'estpro_mkp_conta_ids': fields.many2many('mkp.contas', 'marketplace_m2m_produto_contas','mkp_produto_id', 'mkp_conta_id', 'Contas'),
    }
    _defaults = {
        'estpro_mkp_garantia_prazo_tipo': 'D',
    }
