# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

# Funcoes da classe estoque_produto
def _pedcap_get_tempo_entrega(self, cr, uid, ids, name, arg, context=None):
    res = {}
    context = context and context.copy() or {}
    if not ids:
        return res
    for brw_pedido in self.browse(cr, uid, ids):
        vals = self._pedcap_get_tempo_entrega_item(cr, uid, brw_pedido, context=context)
        res[brw_pedido.id] = vals
    return res

def _pedcap_get_marketplace(self, cr, uid, ids, name, arg, context=None):
    res = {}
    context = context and context.copy() or {}
    if not ids:
        return res
    for dados_pedido in self.read(cr, uid, ids, ['pedcap_nro_pedido_externo','pedcap_integrador'], context=context):
        _mkp = ''
        _integrador = dados_pedido.get('pedcap_integrador')
        _ped_ext = dados_pedido.get('pedcap_nro_pedido_externo')
        if isinstance(_ped_ext, bool):
            _ped_ext = ''
        if _integrador == 'MerLiv':
            _mkp = 'Mercado Livre'
        elif _integrador == 'Tray':
            if _ped_ext.startswith('AMAZON-'):
                _mkp = 'Amazon'
            elif _ped_ext.startswith('MAGAZINE LUIZA-'):
                _mkp = 'Magazine Luiza'
            elif _ped_ext.startswith('CNOVA-'):
                _mkp = 'Via Varejo'
            else:
                _mkp = 'Loja Tray'
        elif _integrador == 'SkyHub':
            if _ped_ext.startswith('Lojas Americanas'):
                _mkp = 'Americanas'
            elif _ped_ext.startswith('Shoptime'):
                _mkp = 'Shoptime'
            elif _ped_ext.startswith('Submarino'):
                _mkp = 'Submarino'
            elif _ped_ext.startswith('Carrefour'):
                _mkp = 'Carrefour'
        elif _integrador == 'PrtShp':
            _mkp = 'Loja Prestashop'
        elif _integrador == 'Olist':
            _mkp = 'Olist'
        elif _integrador == 'Shopee':
            _mkp = 'Shopee'
        elif _integrador == 'MadMad':
            _mkp = 'Madeira Madeira'
        elif _integrador == 'Magalu':
            _mkp = 'Magazine Luiza'
        elif _integrador == 'SupCam':
            _mkp = 'Supercampo'
        res[dados_pedido.get('id')] = _mkp
    return res
