# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields
from openerp.tools import drop_view_if_exists

class estoquepedidos_pedido_view(osv.Model):

    _name = 'estoquepedidos.pedido.view'
    _inherit = 'estoquepedidos.pedido.view'

    def _pedcap_get_sql_init(self, sql):
        a = """
                    capa.pedcap_integrador as integrador,
                    capa.pedcap_marketplace as marketplace,
                    %s
        """
        b = """
                    integrador,
                    marketplace,
                    %s
        """
        sql = sql % (a, b)
        sql = super(estoquepedidos_pedido_view, self)._pedcap_get_sql_init(sql)
        return sql

