# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class financeiro_parametros(osv.Model):
    _inherit = 'financeiro.parametros'
    _columns = {
        'finpar_mkp_forma_pgto_id': fields.many2one("adm.forma.pgto", 'Marketplace Forma pagto', ondelete="restrict",
                                                   help='Forma de pagamento para baixa automatica de titulos do Marketplacee',
                                                   required=True, select=True),
        'finpar_mkp_condicao_pgto_id': fields.many2one("adm.condicao.forma", 'Marketplace Condicao', ondelete='restrict',
                                                      help='Condicao de pagamento para baixa automatica de titulos do Marketplace',
                                                      required=True, select=True,
                                                      domain={'adm_condicao_id': 'finpar_mkp_forma_pgto_id'}),
        'finpar_mkp_conta_tesouraria_id': fields.many2one('financeiro.tesouraria.contas', 'Conta tesouraria',
                                                         help='Conta da tesouraria para baixa automatica titulos do Marketplace',
                                                         required=True, select=True),
    }
