# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class fiscal_nf_capa(osv.Model):
    _name = 'fiscal.nf.capa'
    _inherit = 'fiscal.nf.capa'
    _columns = {
        'fisnfc_mkp_nro_pedido': fields.char('Nro pedido Marketplace', size=40, select=True,
                                            help='Numero do pedido no Marketplace'),
        'fisnfc_mkp_conta_id': fields.many2one('mkp.contas', 'Conta Marketplace', select=True),
        'fisnfc_mkp_invoice': fields.char('Invoice do Mkp', size=15, select=True,
                                          help='Numero da invoice no Marketplace'),
    }
