#!/usr/bin/python
# -*- encoding: utf-8 -*-
from SigUtils.geralogs import geraLogs
from urllib import urlencode



class mkp_objeto(object):

    def __init__(self):
        self.base = ''
        self.mkp = ''
        self.funcao = None
        self.token_cliente = False
        self.token_passwd = False
        self.token_refresh = False
        self.hp = 'p'
        self.logs_habilitar = False
        self.logs_diretorio = '/var/log/openerp'
        self.api_path = ''
        self.sts_status = None
        self.sts_mensagem = ''
        self.dados_erp = {}
        self.dados_mkp = None
        """
        status_objeto, valores possiveis:
         0N=Nao definido, estado inicial
         2R=Recebido, 
         3I=Inicio processamento,
         8P=Processado
         9E=Erro no processamento
        """
        self.status_objeto = '0N'
        self.data_recebimento = None
        self.data_envio = None
        self.data_resposta = None
        self.erp_id = None
        self.integra_id = None

    def _gerar_logs(self, mens):
        if self.logs_diretorio[:-1] != '/':
            self.logs_diretorio +='/'
        _lista = self.logs_diretorio.split('/')
        _lista.pop(len(_lista) - 1)
        _diretorio = '/'.join(_lista)
        _arq_log = 'mkp_%s_%s' % (self.mkp, self.base)
        try:
            geraLogs(_arq_log, mens, 'S', _diretorio)
        except:
            try:
                geraLogs(_arq_log, mens.encode('ASCII', 'ignore'), 'S', _diretorio)
            except:
                geraLogs(_arq_log, 'Nao consegui registrar o log', 'S', _diretorio)
        return True

    def _make_path(self, url, params={}):
        path = self.api_path + url
        if params:
            path = path + "?" + urlencode(params)
        return path

    def get_anuncio(self, codigo_anuncio, variacoes):
        """
        Método a ser sobrescrito pelos metodos de cada parketplace
        :param codigo_anuncio: codigo que identifica o anuncio no mkp
        :param variacoes:  Lista de codigos que identifica as variacoes no mkp
        :return:
        """
        self.sts_status = True
        self.sts_mensagem = ''
        self.dados = {}
        return

    def set_anuncio(self, dados):
        self.sts_status = True
        self.sts_mensagem = ''
        self.dados = None
        return

