# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class mkp_atributos(osv.Model):
    """
    Tabela de atributos dos marketplaces

    prefixo: mkpatr_
    """
    _gerar_logs_logs = 'N'

    _name = 'mkp.atributos'
    _columns = {
        'mkpatr_marketplace_id': fields.many2one('mkp.marketplaces', 'Marketplace', required=True, ondelete='cascade',
                                                  select=True),
        'mkpatr_atributos_id': fields.many2one('estoque.atributos', 'Atributo no estoque', ondelete='set null',
                                               selecect=True),
        'name': fields.char('Descricao', size=20, required=True),
        'mkpatr_id_no_mkp': fields.char('ID no Mkp', size=20),
        'sequence': fields.integer('Sequencia'),
    }
    _defaults = {
        'sequence': 1,
    }

