# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class mkp_categorias_atributos_unidades(osv.Model): # antigo ml_categorias
    """
    Tabela de atributos das categorias dos marketplaces

    prefixo: mkpcatatru__
    """
    _gerar_logs_logs = 'N'
    from funcoes import mkpcat_get_dados

    _name = 'mkp.categorias.atributos.unidades'
    _columns = {
        'mkpcatatru_atributo_id': fields.many2one('mkp.categorias.atributos', 'Atributo', required=True, ondelete='cascade',
                                                  select=True),
        'mkpcatatru_id_mkp': fields.char('id mkp', size=20, required=True),
        'name': fields.char('Descricao', size=20, required=True),
        'mkpcatatru_default': fields.boolean('Default'),
    }

