# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class mkp_fretes_linhas(osv.Model):
    """
    Tabela de fretes

    prefixo: mkpfrl_
    """

    _name = 'mkp.fretes.linhas'
    _columns = {
        'mkpfrl_frete_id': fields.many2one('mkp.fretes', 'Frete', required=True, select=True),
        'name': fields.char('Descricao', size=64, required=True),
        'mkpfrl_valor': fields.float('Valor',digits=(3,2), required=True),
    }
