# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields



class mkp_logisticos(osv.Model): 
    """
    Tabela de dados logisticos - Transportadores
ze
    prefixo: mlplog_
    """
    _roteavel = True
    _name = 'mkp.logisticos'
    _columns = {
        'id': fields.integer('ID', readonly=True),
        'mkplog_marketplace_id': fields.many2one('mkp.marketplaces', 'Marketplace', required=True, select=True),
        'mkplog_codigo': fields.char('Codigo', size=10),
        'name': fields.char('Operador logistico', size=30, required=1),
        'mkplog_peso': fields.float('Peso maximo', digits=(3, 2)),
        'mkplog_altura': fields.float('Altura maxima', digits=(3, 2)),
        'mkplog_comprimento': fields.float('Comprimento maximo', digits=(3, 2)),
        'mkplog_largura': fields.float('Largura maxima', digits=(3, 2)),
    }
