# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class mkp_produto_embalagens(osv.Model):
    _name = 'mkp.produto.embalagens'
    _columns = {
        'sequence': fields.integer('Sequencia'),
        'mkppre_produto_id': fields.many2one("estoque.produto", 'Produto', ondelete="cascade", required=True, select=True),
        'mkppre_embalagem_id': fields.many2one("mkp.embalagens", 'Embalagem', ondelete="restrict", required=True, select=True),
        'mkppre_quantidade': fields.integer('Qtd.maxima', help='Quantidade maxima de itens na embalagem'),

    }
    _defaults = {
        'sequence': 10,
    }

    _order = 'mkppre_produto_id, sequence'
