# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################
#
from openerp.osv import osv


class mkp_anuncios(osv.Model):
    _name = 'mkp.anuncios'
    _inherit = 'mkp.anuncios'

    # def mkpanu_get_url_manutencao(self, cr, uid, ids, codigo_anuncio, codigo_mkp, context=None):
    #     context = context and context.copy() or {}
    #     _url = super(mkp_anuncios, self).mkpanu_get_url_manutencao(cr, uid, ids, codigo_anuncio, codigo_mkp, context=context)
    #     if codigo_mkp == 'MadMad':
    #         for brw_anuncio in self.browse(cr, uid, ids, context=context):
    #             _site = brw_anuncio.mkpanu_conta_id.mkpcta_sh_site
    #             _codigo = brw_anuncio.mkpanu_produto_id.codigo
    #             _usar_grade = brw_anuncio.mkpanu_produto_id.grade_usar
    #             if _usar_grade:
    #                 _sku = _codigo
    #             else:
    #                 _sku = '%s-UN' % _codigo
    #             _url = _site + 'products/%s' % _sku
    #     return _url

    def mkpanu_atualizar_preco_mkp(self, cr, uid, obj_id, code_mkp, context=None):
        context = context and context.copy() or {}
        res = super(mkp_anuncios, self).mkpanu_atualizar_preco_mkp(cr, uid, obj_id, code_mkp, context=context)
        if code_mkp == 'MadMad':
            res = self.pool.get('mkp.madmad').mkpMadMad_atualizar_preco(cr, uid, obj_id, context=context)
        return res

    def mkpanu_atualizar_anuncio_mkp(self, cr, uid, obj_id, code_mkp, context=None):
        context = context and context.copy() or {}
        res = super(mkp_anuncios, self).mkpanu_atualizar_anuncio_mkp(cr, uid, obj_id, code_mkp, context=context)
        if code_mkp == 'MadMad':
            res = self.pool.get('mkp.utils').mkputl_atualizar_anuncio_madmad(cr, uid, obj_id, context=context)
        return res

    def mkpanu_atualizar_saldo(self, cr, uid, id, conta_id, mkp_code, context=None):
        context = context and context.copy() or {}
        res = super(mkp_anuncios, self).mkpanu_atualizar_saldo(cr, uid, id, conta_id, mkp_code, context=context)
        if mkp_code == 'MadMad':
            res = self.pool.get('mkp.madmad').mkpMadMad_atualizar_saldo(cr, uid, id, context=context)
        return res

    def mkpanu_get_url_manutencao(self, cr, uid, ids, codigo_anuncio, codigo_mkp, context=None):
        context = context and context.copy() or {}
        _url = super(mkp_anuncios, self).mkpanu_get_url_manutencao(cr, uid, ids, codigo_anuncio, codigo_mkp, context=context)
        if codigo_mkp == 'MadMad':
            for brw_anuncio in self.browse(cr, uid, ids, context=context):
                _loja = brw_anuncio.mkpanu_conta_id.mkpcta_mm_loja
                _codigo = brw_anuncio.mkpanu_produto_id.codigo
                _usar_grade = brw_anuncio.mkpanu_produto_id.grade_usar
                if _usar_grade:
                    _sku = '%s%s' % (_codigo, brw_anuncio.mkpanu_produto_id.produto_grade_ids[0].grade)
                else:
                    _sku = '%sUN' % _codigo
            _url = 'https://painelmarketplace.madeiramadeira.com.br/painel/v2/produto-editar.html#-%s|%s' % (_sku, _loja)
        return _url

