# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
from openerp.tools.translate import _
from ....marketplace.control.utils import configuracao
from openerp.tools import config


class mkp_contas(osv.Model):
    _inherit = 'mkp.contas'

    def mkpcta_madmad_btn_registrar(self, cr, uid, ids, context=None):
        _spg = self.pool.get
        if ids:
            dados_conta = self.read(cr, uid, ids[0], [], context=context)
            conta_id = dados_conta.get('id')
            c = configuracao('marketplace_madeiramadeira', str(dados_conta.get('mkpcta_mm_loja')))
            c.server = dados_conta.get('mkpcta_host_erp')
            c.base = dados_conta.get('mkpcta_banco_erp')
            c.conta_id = dados_conta.get('id')
            c.gravarConfiguracao()

            c = configuracao('marketplace', dados_conta.get('mkpcta_banco_erp'))
            c.db_user = config.options.get('db_user')
            c.db_password = config.options.get('db_password') or None
            c.db_host = config.options.get('db_host') or ''
            c.db_port = config.options.get('db_port') or '5432'
            c.gravarConfiguracao()
        return True
