# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################
#
from openerp.osv import osv


class mkp_anuncios(osv.Model):
    _name = 'mkp.anuncios'
    _inherit = 'mkp.anuncios'

    # def mkpanu_get_url_manutencao(self, cr, uid, ids, codigo_anuncio, codigo_mkp, context=None):
    #     context = context and context.copy() or {}
    #     _url = super(mkp_anuncios, self).mkpanu_get_url_manutencao(cr, uid, ids, codigo_anuncio, codigo_mkp, context=context)
    #     if codigo_mkp == 'Magalu':
    #         for brw_anuncio in self.browse(cr, uid, ids, context=context):
    #             _site = brw_anuncio.mkpanu_conta_id.mkpcta_tr_site
    #             _anuncio = brw_anuncio.mkpanu_codigo_anuncio
    #             _url = _site + '/mvc/adm/products/edit/%s' % _anuncio
    #     return _url

    def mkpanu_atualizar_preco_mkp(self, cr, uid, obj_id, code_mkp, context=None):
        context = context and context.copy() or {}
        res = super(mkp_anuncios, self).mkpanu_atualizar_preco_mkp(cr, uid, obj_id, code_mkp, context=context)
        if code_mkp == 'Magalu':
            res = self.pool.get('mkp.utils').mkputl_atualizar_preco_magalu(cr, uid, obj_id, context=context)
        return res

    def mkpanu_atualizar_anuncio_mkp(self, cr, uid, obj_id, code_mkp, context=None):
        context = context and context.copy() or {}
        res = super(mkp_anuncios, self).mkpanu_atualizar_anuncio_mkp(cr, uid, obj_id, code_mkp, context=context)
        if code_mkp == 'Magalu':
            res = self.pool.get('mkp.utils').mkputl_atualizar_anuncio_magalu(cr, uid, obj_id, context=context)
        return res

    def mkpanu_atualizar_saldo(self, cr, uid, id, conta_id, mkp_code, context=None):
        context = context and context.copy() or {}
        res = super(mkp_anuncios, self).mkpanu_atualizar_saldo(cr, uid, id, conta_id, mkp_code, context=context)
        if mkp_code == 'Magalu':
            res = self.pool.get('mkp.magalu').mkpMagalu_atualizar_saldo(cr, uid, id, context=context)
        return res

