# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
import logging


class mkp_mensagens(osv.Model):

    _inherit = 'mkp.mensagens'
    _logger = logging.getLogger(_inherit)

    def _mkpmen_atualizar_mensagem_mkp(self, cr, uid, brw_mensagem, context=None):
        """
        Envia mensagem para o pedido no site do Mercado livre
        @param cr:
        @param uid:
        @param id: id da mensagem a ser enviada
        @param context:
        @return: dicionario contendo id do anuncio e response ex.:{status: True/False, 'mensagem': 'Mensagem'}
                 response. quando response.raise_for_status() for None, tá tudo certo. Para pegar o erro use response.status_code
        """
        context = context and context.copy() or {}
        res = super(mkp_mensagens, self)._mkpmen_atualizar_mensagem_mkp(cr, uid, brw_mensagem, context=context)
        if brw_mensagem.mkpmen_conta_id.mkpcta_marketplace_id.mkpmkp_codigo == 'MerLiv':
            res = self.pool.get('mkp.merliv').mkpMerLiv_atualizar_mensagem(cr, uid, brw_mensagem, context=context)
            if res.get('message_id'):
                vals={'mkpmen_codigo_mkp': res.get('message_id')}
                self.write(cr, uid, brw_mensagem.id, vals, context=context)
        return res


