# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp import osv
from openerp.tools.translate import _



# Funcoes da classe mkpml_pagamentos
def _mkpmlpag_get_dados(self, cr, uid, ids, field_name, args, context=None):
    res = {}
    context = context and context.copy() or {}
    obj_financeiro_titulos = self.pool.get('financeiro.titulo')
    if not len(ids):
        return res
    for _brw_pagamento in self.browse(cr, uid, ids, context=context):
        _vr_titulo_valor = _brw_pagamento.mkpmlpag_valor_itens
        _vr_frete_rec = _brw_pagamento.mkpmlpag_frete_recebido
        _vr_frete_custo = _brw_pagamento.mkpmlpag_frete_custo
        _vr_tarifa_ml = _brw_pagamento.mkpmlpag_tarifa_ml
        _dict = {}
        _dict['mkpmlpag_status_pedido'] = ''
        _dict['mkpmlpag_item_titulo_id'] = None
        _dict['mkpmlpag_item_titulo_valor'] = 0.00
        _dict['mkpmlpag_item_titulo_state'] = ''
        _dict['mkpmlpag_frete_rec_titulo_id'] = None
        _dict['mkpmlpag_frete_rec_titulo_valor'] = 0.00
        _dict['mkpmlpag_frete_rec_titulo_state'] = ''
        _dict['mkpmlpag_frete_pag_titulo_id'] = None
        _dict['mkpmlpag_frete_pag_titulo_valor'] = 0.00
        _dict['mkpmlpag_frete_pag_titulo_state'] = ''
        _dict['mkpmlpag_tarifa_titulo_id'] = None
        _dict['mkpmlpag_tarifa_titulo_valor'] = 0.00
        _dict['mkpmlpag_tarifa_titulo_state'] = ''
        if _brw_pagamento.mkpmlpag_pedido_id:
            _state = _brw_pagamento.mkpmlpag_pedido_id.state
            _dict['mkpmlpag_status_pedido'] = _brw_pagamento.mkpmlpag_pedido_id.state
            _sel_lista = self.pool.get('estoquepedidos.pedido.capa').pedcap_fields_selection_state(cr, uid,
                                                                                                   context=context)
            for _sel_1 in _sel_lista:
                if _sel_1[0] == _state:
                    _dict['mkpmlpag_status_pedido'] = _sel_1[1]
                    break
        args = [('fintit_mkp_nro_pedido', '=', _brw_pagamento.mkpmlpag_ml_order)]
        titulo_ids = obj_financeiro_titulos.search(cr, uid, args, context=context)
        dict_titulos = {}
        for dados_titulo in obj_financeiro_titulos.read(cr, uid, titulo_ids, [], context=context):
            dict_titulos[str(dados_titulo.get('parcela'))] = {
                'id': dados_titulo.get('id'),
                'rec_pag': dados_titulo.get('tipo_titulo'),
                'valor': dados_titulo.get('vr_original'),
                'state': dados_titulo.get('state')
            }

        _dict['mkpmlpag_item_titulo_state'] = ''
        _dict['mkpmlpag_frete_rec_titulo_state'] = ''
        _dict['mkpmlpag_frete_pag_titulo_state'] = ''
        _dict['mkpmlpag_tarifa_titulo_state'] = ''
        # Identificar titulo a receber da venda
        if dict_titulos.get('1'):
            _dict['mkpmlpag_item_titulo_id'] = dict_titulos.get('1').get('id')
            _dict['mkpmlpag_item_titulo_valor'] = dict_titulos.get('1').get('valor')
            _dict['mkpmlpag_item_titulo_state'] = dict_titulos.get('1').get('state')
        if _dict['mkpmlpag_item_titulo_valor'] != _vr_titulo_valor:
            _dict['mkpmlpag_item_titulo_state'] = 'X'
        # Identificar titulo a receber do frete
        if dict_titulos.get('97'):
            _dict['mkpmlpag_frete_rec_titulo_id'] = dict_titulos.get('97').get('id')
            _dict['mkpmlpag_frete_rec_titulo_valor'] = dict_titulos.get('97').get('valor')
            _dict['mkpmlpag_frete_rec_titulo_state'] = dict_titulos.get('97').get('state')
        if _dict['mkpmlpag_frete_rec_titulo_valor'] != _vr_frete_rec:
            _dict['mkpmlpag_frete_rec_titulo_state'] = 'X'
        # Identificar titulo a pagar do frete
        if dict_titulos.get('99'):
            _dict['mkpmlpag_frete_pag_titulo_id'] = dict_titulos.get('99').get('id')
            _dict['mkpmlpag_frete_pag_titulo_valor'] = dict_titulos.get('99').get('valor')
            _dict['mkpmlpag_frete_pag_titulo_state'] = dict_titulos.get('99').get('state')
        if _dict['mkpmlpag_frete_pag_titulo_valor'] != _vr_frete_custo:
            _dict['mkpmlpag_frete_pag_titulo_state'] = 'X'
        # Identificar titulo a pagar tarifa do M.L.
        if dict_titulos.get('98'):
            _dict['mkpmlpag_tarifa_titulo_id'] = dict_titulos.get('98').get('id')
            _dict['mkpmlpag_tarifa_titulo_valor'] = dict_titulos.get('98').get('valor')
            _dict['mkpmlpag_tarifa_titulo_state'] = dict_titulos.get('98').get('state')
            if _dict['mkpmlpag_tarifa_titulo_valor'] != _vr_tarifa_ml:
                _dict['mkpmlpag_tarifa_titulo_state'] = 'X'
        res[_brw_pagamento.id] = _dict
    return res




# Funcoes da classe anuncio


# def _mkpanu_get_anuncios_alterados(self, cr, uid, ids, context=None):
#     '''
#     Funcao que retorna o uma lista de ids da classe mkp.anuncios onde os valores dos anuncios
#     :param ids: ids da classe ml.pesquisas
#     :return: lista com ids da classe 'mkp.anuncios'
#     '''
#     return ids

# def _mkpanu_get_anuncios_dos_saldos_alterados(self, cr, uid, ids, context=None):
#     '''
#     Funcao que retorna o uma lista de ids da classe mkp.anuncios onde o saldo de um
#     produto foi alterado
#     :param ids: ids da classe estoque.produto.saldo
#     :return: lista com ids da classe 'mkp.anuncios'
#     '''
#     context = context and context.copy() or {}
#     produto_ids = []
#     for dados_saldos in self.read(cr, uid, ids, ['produto_id', 'local_id'], load='_classic_write', context=context):
#         produto_ids.append(dados_saldos.get('produto_id'))
#     anuncio_ids = self.search(cr, uid,  [('mkpanu_produto_id','in',produto_ids)], context=context)
#     return anuncio_ids
#

def mkpans_get_modelo_id(self, cr, uid, context=None):
    res = None
    context = context and context.copy() or {}
    obj_mkp = self.pool.get('mkp.marketplaces')
    mkp_ids = obj_mkp.search(cr, uid, [('mkpmkp_codigo', '=', 'MerLiv')], context=context)
    for dados_mkp in obj_mkp.read(cr, uid, mkp_ids, ['mkpmkp_modelo_id'], context=context, load='_classic_write'):
        res = dados_mkp.get('mkpmkp_modelo_id')
    if not res:
        raise osv.except_osv(_('Atencao!'),
                             _('Modelo de anuncio não definido no Marketplace Mercado Livre!'))
    return res


# def _mkpanu_get_anuncio_saldo(self, cr, uid, ids, field_name, args, context=None):
#     """
#     Metodo para calcular o saldo do item, vai ser chamado da classe de anuncio de cada marketplace
#     :param self:
#     :param cr:
#     :param uid:
#     :param ids:
#     :param field_name:
#     :param args:
#     :param context:
#     :return:
#     """
#     context = context and context.copy() or {}
#     if not len(ids):
#         return []
#     obj_estoque_produto = self.pool.get('estoque.produto')
#     res = {}
#     _company_id = False
#     if context.get('uid'):
#         _company_id = self.pool.get('adm.empresa.objeto').getEmpresa(cr, context.get('uid'), self._name, context=context)
#         if not 'company_id' in context:
#             context['company_id'] = _company_id
#     for brw_anuncios in self.browse(cr, uid, ids, context=context):
#         _produto_id = brw_anuncios.mkpanu_produto_id.id
#         _local_id = brw_anuncios.mkpanu_conta_id.mkpcta_local_id.id
#         _perc_saldo = brw_anuncios.mkpanu_conta_id.mkpcta_saldo_percentual
#         _saldo = int(obj_estoque_produto.estpro_get_saldo(cr, uid, [_produto_id], pesquisar="D",
#                                                       local=_local_id, context=context)[_produto_id])
#         if _perc_saldo > 0 or _perc_saldo < 100:
#             _saldo = int(_saldo * _perc_saldo / 100)
#         _saldo = _saldo / (brw_anuncios.mkpanu_quantidade or 1)
#         if _saldo < 0:
#             _saldo = 0
#         res[brw_anuncios.id] = _saldo
#     return res


# def _mkpanu_get_dados(self, cr, uid, ids, field_name, args, context=None):
#     context = context and context.copy() or {}
#     if not len(ids):
#         return []
#     res = {}
#     for brw_anuncios in self.browse(cr, uid, ids, context=context):
#         _p_venda = ((brw_anuncios.preco_venda * brw_anuncios.mkpanu_quantidade) + brw_anuncios.mkpanu_valor_frete
#                    + brw_anuncios.mkpanu_anuncio_tipo_id.mkpant_custo_fixo) \
#                         * 100 / (100 - brw_anuncios.mkpanu_anuncio_tipo_id.mkpant_custo_var)
#         res[brw_anuncios.id] = {
#             'mkpanu_valor_sugerido': round(_p_venda, 2),
#         }
#     return res
#
# Funcoes da classe mkp_anuncios_variacoes
# def _mkpanuv_get_variacoes_dos_saldos_alterados(self, cr, uid, ids, context=None):
#     '''
#     Funcao que retorna o uma lista de ids da classe mkp.anuncios.var onde o saldo de uma
#     grade foi alterado
#     :param ids: ids da classe estoque.produto.saldo
#     :return: lista com ids da classe 'mkp.anuncios.var'
#     '''
#     context = context and context.copy() or {}
#     obj_mkp_anuncios_variacoes = self.pool.get('mkp.anuncios.var')
#     grade_ids = []
#     for dados_saldos in self.read(cr, uid, ids, ['grade_id', 'local_id'], load='_classic_write', context=context):
#         grade_ids.append(dados_saldos.get('grade_id'))
#     anuncio_ids = obj_mkp_anuncios_variacoes.search(cr, uid,  [('mkpanuv_grade_id','in',grade_ids)], context=context)
#     return anuncio_ids


# def _mkpmlanuv_get_variacao_saldo(self, cr, uid, ids, field_name, args, context=None):
#     context = context and context.copy() or {}
#     if not len(ids):
#         return []
#     obj_estoque_produto_grade = self.pool.get('estoque.produto.grade')
#     res = {}
#     for brw_anuncios_variacoes in self.browse(cr, uid, ids, context=context):
#         _perc_saldo = brw_anuncios_variacoes.mkpanuv_anuncio_id.mkpanu_conta_id.mkpcta_saldo_percentual
#         _grade_id = brw_anuncios_variacoes.mkpanuv_grade_id.id
#         _local_id = brw_anuncios_variacoes.mkpanuv_anuncio_id.mkpanu_marketplace_id.id
#         context['company_id'] = brw_anuncios_variacoes.mkpanuv_anuncio_id.company_id.id
#         _saldo = int(obj_estoque_produto_grade.estpgr_get_saldo(cr, uid, [_grade_id], pesquisar="D",
#                                                       local=_local_id, context=context)[_grade_id])
#         if _perc_saldo > 0 or _perc_saldo < 100:
#             _saldo = int(_saldo * _perc_saldo / 100)
#         res[brw_anuncios_variacoes.id] = _saldo
#     return res

