# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################
#
from openerp.osv import osv
from SigUtils.numero import getNumeroEditado

class mkp_anuncios(osv.Model):
    _name = 'mkp.anuncios'
    _inherit = 'mkp.anuncios'

    def mkpanu_atualizar_anuncio_mkp(self, cr, uid, obj_id, code_mkp, context=None):
        context = context and context.copy() or {}
        res = super(mkp_anuncios, self).mkpanu_atualizar_anuncio_mkp(cr, uid, obj_id, code_mkp, context=context)
        if not res.get('status'):
            _res = res
        else:
            _res = False
        if code_mkp == 'Olist':
            res = self.pool.get('mkp.utils').mkputl_atualizar_anuncio_olist(cr, uid, obj_id, context=context)
        return res

    def mkpanu_atualizar_saldo(self, cr, uid, id, conta_id, mkp_code, context=None):
        context = context and context.copy() or {}
        res = super(mkp_anuncios, self).mkpanu_atualizar_saldo(cr, uid, id, conta_id, mkp_code, context=context)
        if mkp_code == 'Olist':
            res = self.pool.get('mkp.olist').mkpOlist_atualizar_saldo(cr, uid, id, context=context)
        return res

    def mkpanu_atualizar_preco_mkp(self, cr, uid, obj_id, code_mkp, context=None):
        context = context and context.copy() or {}
        res = super(mkp_anuncios, self).mkpanu_atualizar_preco_mkp(cr, uid, obj_id, code_mkp, context=context)
        if code_mkp == 'Olist':
            res = self.pool.get('mkp.olist').mkpOlist_atualizar_preco_mkp(cr, uid, obj_id, code_mkp, context=context)
        return res
