# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class mkp_contas(osv.Model):
    _inherit = 'mkp.contas'
    _columns = {
        'mkpcta_ol_user_email': fields.char('User email', size=64, help='User email do Olist'),
        'mkpcta_ol_client_id': fields.char('Cliente_id:', size=64, help='Cliente_id do Olist'),
        'mkpcta_ol_seller_id': fields.char('Seller_id', size=64, help='Sellser_id do Olist'),
        'mkpcta_ol_secret_key': fields.char('Secret Key', size=64, help='Secret Key do Olist'),
        'mkpcta_ol_comisao_mkp': fields.float('Comissao do Marketplace', digits=(2,2)),
        'mkpcta_ol_site': fields.char('Site', size=64, help='Endereco do site'),
        'mkpcta_ol_id_token': fields.text('ID Token', help='Token_id do Olist'),
        'mkpcta_ol_token': fields.char('Token', size=256, help='Token do Olist'),
        'mkpcta_ol_refresh_token': fields.char('Refresh Token', size=256, help='Refresh Token do Olist'),
        'mkpcta_ol_code': fields.char(string='Code', size=256),
        'mkpcta_ol_redirect_url': fields.char('Redirect URL', size=256,
                                              help='URL para que o Olist redirecione a autenticacao'),
    }
