# -*- encoding: utf-8 -*-

##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class mkp_pacotes_olist(osv.Model):
    # prefixo = mkppko_

    _name = 'mkp.pacotes.olist'
    _inherits = {
        'estoquepedidos.pedido.capa': 'mkppko_pedido_id',
    }

    _columns = {
        'mkppko_pedido_id': fields.many2one("estoquepedidos.pedido.capa", 'Pedido', ondelete="cascade", required=True, select=True),
        'mkppko_id_pacote': fields.char('Pacote Id', size=50, select=1),
        'mkppko_id_shipment': fields.char('Envio Id', size=50, select=1),
        'mkppko_status': fields.char('Status', size=30),
        'mkppko_pdf': fields.text('Etiqueta em pdf'),
        'mkppko_zpl': fields.text('Etiqeta em ZPL'),
    }

