# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv


class estoquepedidos_pedido_capa(osv.Model):
    _inherit = 'estoquepedidos.pedido.capa'

    def button_faturar_pedido(self, cr, uid, ids, context=None, destinatario_id=False, pedido_ids=[]):
        res = super(estoquepedidos_pedido_capa, self).button_faturar_pedido(cr, uid, ids, context=context,
                                                                            destinatario_id=destinatario_id,
                                                                            pedido_ids=pedido_ids)
        for brw_pedido in self.browse(cr, uid, ids, context=context):
            if brw_pedido.pedcap_conta_id and brw_pedido.pedcap_conta_id.mkpcta_integrador == 'PrtShp':
                _ped_ps_id = brw_pedido.pedcap_nro_pedido_externo
                _conta_id = brw_pedido.pedcap_conta_id.id
                dados_PrtShp = self.pool.get('mkp.prtshp')._mkpPrtShp_get_uma_ordem(cr, uid, _conta_id, _ped_ps_id, context=context)
                if dados_PrtShp and dados_PrtShp.get('status'):
                    _order = dados_PrtShp.get('resposta').get('order')
                    if brw_pedido.pedcap_encomenda_id and brw_pedido.pedcap_conta_id and brw_pedido.pedcap_conta_id.mkpcta_ps_status_faturado:
                        res = self.pool.get('mkp.prtshp').mkpPrtShp_set_histories(cr, uid, _conta_id, _ped_ps_id,
                                                                            brw_pedido.pedcap_conta_id.mkpcta_ps_status_faturado.mkppsos_codigo_ps,
                                                                            context=context)
                    if brw_pedido.pedcap_encomenda_id and brw_pedido.pedcap_conta_id and brw_pedido.pedcap_conta_id.mkpcta_ps_status_enviado:
                        self.pool.get('mkp.prtshp').mkpPrtShp_set_histories(cr, uid, _conta_id, _ped_ps_id,
                                                                            brw_pedido.pedcap_conta_id.mkpcta_ps_status_enviado.mkppsos_codigo_ps,
                                                                            context=context)
                        self.pool.get('mkp.prtshp').mkpPrtShp_set_tracknumber(cr, uid, _conta_id, _ped_ps_id,
                                                                            brw_pedido.pedcap_encomenda_id.name,
                                                                            context=context)

        return res


