# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################
#
from openerp.osv import osv, fields


class mkpps_order_status(osv.Model):

    _name = 'mkpps.order.status'
    def mkppsos_fields_selection_state(self, cr, uid, context=None):
        context = context and context.copy() or {}
        res = self.pool.get('estoquepedidos.pedido.capa').pedcap_fields_selection_state(cr, uid, context=context)
        return res


    _columns = {
        'mkppsos_conta_id': fields.many2one('mkp.contas', 'Conta', required=1, select=1,
                                             domain="[('mkpcta_integrador', '=', 'PrtShp')]"),
        'name': fields.char('Descricao', size=60, required=1),
        'mkppsos_codigo_ps': fields.integer('Codigo no Prestashop'),
        'mkppsos_status_pedido': fields.selection(mkppsos_fields_selection_state, 'Estado do Pedido', size=1, select=1),
        'mkppsos_modulo': fields.char('Modulo PS', size=20),
    }