# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from openerp.tools.translate import _


class estoque_produto(osv.Model):
    _inherit = 'estoque.produto'

    def estpro_sh_btn_exportar_todos_anuncios(self, cr, uid, ids, context=None):
        _obj_acoes = self.pool.get('mkp.acoes')
        for brw_produtos in self.browse(cr, uid, ids, context=context):
            for brw_anuncios in brw_produtos.estpro_anuncios_ids:
                vals = {
                    'mkpaco_conta_id': brw_anuncios.mkpanu_conta_id.id,
                    'mkpaco_objeto': 'A',
                    'mkpaco_acao':'A',
                    'mkpaco_id': brw_anuncios.id,
                }
                res = _obj_acoes.create(cr, uid, vals, context=context)
        return True

    def estpro_get_logo_mkp_especifico(self, cr, uid, brw_produto, context=None):
        res = super(estoque_produto, self).estpro_get_logo_mkp_especifico(cr, uid, brw_produto, context=context)
        if res.get(brw_produto.id):
            res[brw_produto.id]['estpro_mkp_logo_sk'] = ''
        else:
            res[brw_produto.id] = {'estpro_mkp_logo_sk': ''}
        if brw_produto.estpro_anuncios_ids:
            for brw_anuncios in brw_produto.estpro_anuncios_ids:
                if brw_anuncios.mkpanu_marketplace_integrador == 'SkyHub':
                        res[brw_produto.id]['estpro_mkp_logo_sk'] = 'marketplace/static/src/img/skyhub_logo.png'
        return res

