# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
from SigUtils import datas
from datetime import datetime
import logging
_logger = logging.getLogger(__name__)


class mkp_notificacoes(osv.Model):
    _inherit = "mkp.notificacoes"

    # def _mkpnot_get_itens_sh(self, cr, uid, dados_notificacao, context=None):
    #     _anuncio = dados_notificacao.get('mkpnot_resource').split('/')[1]
    #     _spg = self.pool.get
    #     _anuncio_ids = _spg('mkp.anuncios').search(cr, uid, [('mkpanu_codigo_anuncio', '=', _anuncio)], context=context)
    #     if _anuncio_ids:
    #         brw_anuncio = _spg('mkp.anuncios').browse(cr, uid, _anuncio_ids[0], context=context)
    #         if brw_anuncio.mkpanu_produto_id.grade_usar:
    #             _sku = brw_anuncio.mkpanu_produto_id.codigo
    #         else:
    #             _sku = '%s-UN' % brw_anuncio.mkpanu_produto_id.codigo
    #         dados_anuncioSkyHub = _spg('mkp.skyhub').mkpSkyHub_get_produto(cr, uid,
    #                                                                         brw_anuncio.mkpanu_conta_id.id,
    #                                                                         _sku,
    #                                                                         context=context)
    #         vals = {
    #             'mkpanu_necessita_atualizar': False,
    #             'mkpanu_qtd_vendido': dados_anuncioSkyHub.get('sales')
    #         }
    #         vals['mkpanu_estado_mkp'] = dados_anuncioSkyHub.get('status')
    #         _spg('mkp.anuncios').write(cr, uid, brw_anuncio.id, vals, context=context)
    #         return True
    #     self._logger.info('Anuncio nao localizado!')
    #     return False

    def _mkpnot_get_orders_sh(self, cr, uid, dados_notificacao, context=None):
        _order = dados_notificacao.get('mkpnot_resource')
        _conta_id = dados_notificacao.get('mkpnot_conta_id')
        _dados_conta = self.pool.get('mkp.contas').read(cr, uid, _conta_id, [], context=context)
        _obj_pedido_capa = self.pool.get('estoquepedidos.pedido.capa')
        dados = self.pool.get('mkp.skyhub').mkpSkyHub_get_order(cr, uid, _order, _conta_id, context=context)
        try:  # Se não conseguir importar o pedido, ignore e continue o processo das notificacoes
            _ped_id = self.pool.get('mkp.utils').mkputl_importar_um_pedido_skyhub(cr, uid, dados, _conta_id, context=context)
            if not _ped_id:
                self._logger.info('Pedido nao importado!')
                return False
        except Exception as e:
            self._logger.info('Erro no try! Erro: %s' % e)
            return False
        return True


    def _mkpnot_processar_notificacao(self, cr, uid, codigo_mkp, notificacao_tipo, dados_notificacao, context=None):
        """
        Metodo qeue sobrescreve o original para tratamento especializado
        :param cr:
        :param uid:
        :param codigo_mkp: Codigo do Marketplace
        :param dados_notificacao: Dados resultado do read de um registro do marketplace, com todos os atributos
        :param context:
        :return:
        """
        context = context and context.copy() or {}
        res = super(mkp_notificacoes, self)._mkpnot_processar_notificacao(cr, uid, codigo_mkp, notificacao_tipo,
                                                                          dados_notificacao, context=context)
        if codigo_mkp == 'SkyHub':
            # if notificacao_tipo == 'items':
            #     res = self._mkpnot_get_itens_sh(cr, uid, dados_notificacao, context=context)
            # elif notificacao_tipo == 'messages':
            #     res = self._mkpnot_get_messages_sh(cr, uid, dados_notificacao, context=context)
            # elif notificacao_tipo == 'questions':
            #     res = self._mkpnot_get_questions_sh(cr, uid, dados_notificacao, context=context)
            if notificacao_tipo == 'orders':
                res = self._mkpnot_get_orders_sh(cr, uid, dados_notificacao, context=context)
            # elif notificacao_tipo == 'collections':
            #     _payment = dados_notificacao.get('mkpnot_resource').split('/')[2]
            #     _conta_id = dados_notificacao.get('mkpnot_conta_id')
            #     res = self.pool.get('mkpml.pagamentos').mkpmlpag_get_payments(cr, uid, _payment, _conta_id, context=context)
            # elif notificacao_tipo == 'shipments':
            #     res = self._mkpnot_get_shipments_sh(cr, uid, dados_notificacao, context=context)
            # elif notificacao_tipo == 'payments':
            #     res = True
            # elif notificacao_tipo == 'claims':
            #     res = True
        return res


