# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from openerp.tools.translate import _


class estoque_produto(osv.Model):
    _inherit = 'estoque.produto'

    def estpro_get_logo_mkp_especifico(self, cr, uid, brw_produto, context=None):
        res = super(estoque_produto, self).estpro_get_logo_mkp_especifico(cr, uid, brw_produto, context=context)
        if res.get(brw_produto.id):
            res[brw_produto.id]['estpro_mkp_logo_supercampo'] = ''
        else:
            res[brw_produto.id] = {'estpro_mkp_logo_supercampo': ''}
        if brw_produto.estpro_anuncios_ids:
            for brw_anuncios in brw_produto.estpro_anuncios_ids:
                if brw_anuncios.mkpanu_marketplace_integrador == 'SupCam':
                    res[brw_produto.id]['estpro_mkp_logo_supercampo'] = 'marketplace/static/src/img/supercampo_logo.png'
        return res

