# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class mkp_marketplaces(osv.Model):
    _inherit = 'mkp.marketplaces'

    def mkpmkp_buscar_atributos_no_mkp(self, cr, uid, id, mkp_integrador, context=None):
        """
        Método a ser sobrescrito pelos metodos de cada parketplace
        :param uid:
        :param mkp_ids:
        :param context:
        :return:
        """
        res = super(mkp_marketplaces, self).mkpmkp_buscar_atributos_no_mkp(cr, uid, id, mkp_integrador, context=context)
        if mkp_integrador == 'SupCam':
            obj_atributos = self.pool.get('mkp.atributos')
            obj_marketplaces = self.pool.get('mkp.marketplaces')
            mkp_ids = obj_marketplaces.search(cr, uid, [('mkpmkp_codigo', '=', mkp_integrador)], context=context)
            conta_ids = self.pool.get('mkp.contas').search(cr, uid, [('mkpcta_marketplace_id', '=', mkp_ids[0])], context=context)
            if conta_ids:
                dados = self.pool.get('mkp.supercampo').mkpSupercampo_get_atributos(cr, uid, conta_ids[0], context=context)
                if dados.get('atributos'):
                    for _atributo in dados.get('atributos'):
                        _name = _atributo.get('name')
                        _id_mkp = _atributo.get('id')
                        args = [('mkpatr_marketplace_id', '=', id) ,('mkpatr_id_no_mkp', '=', _id_mkp)]
                        _atributo_ids = obj_atributos.search(cr, uid, args, context=context)
                        vals = {
                            'mkpatr_marketplace_id': id,
                            'name': _name,
                            'mkpatr_id_no_mkp': _id_mkp,
                        }
                        if _atributo_ids:
                            obj_atributos.write(cr, uid, _atributo_ids, vals, context=context)
                        else:
                            obj_atributos.create(cr, uid, vals, context=context)
        return res

