# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class mkp_marketplaces(osv.Model):
    _inherit = 'mkp.marketplaces'

    def mkpmkp_buscar_atributos_no_mkp(self, cr, uid, id, mkp_integrador, context=None):
        """
        Método a ser sobrescrito pelos metodos de cada parketplace
        :param uid:
        :param mkp_ids:
        :param context:
        :return:
        """
        res = super(mkp_marketplaces, self).mkpmkp_buscar_atributos_no_mkp(cr, uid, id, mkp_integrador, context=context)
        if mkp_integrador == 'Tray':
            obj_atributos = self.pool.get('mkp.atributos')
            dados = self.pool.get('mkp.tray').mkpTray_get_atributos(cr, uid, context=context)
            if dados.get('Properties'):
                for _atributo in dados.get('Properties'):
                    _name = _atributo.get('Property').get('name')
                    _sequence = _atributo.get('Property').get('position')
                    _id_tray = _atributo.get('Property').get('id')
                    args = [('mkpatr_id_no_mkp', '=', _id_tray)]
                    _atributo_ids = obj_atributos.search(cr, uid, args, context=context)
                    vals = {
                        'mkpatr_marketplace_id': id,
                        'name': _name,
                        'sequence': _sequence,
                        'mkpatr_id_no_mkp': _id_tray,
                    }
                    if _atributo_ids:
                        obj_atributos.write(cr, uid, _atributo_ids, vals, context=context)
                    else:
                        obj_atributos.create(cr, uid, vals, context=context)
        return res

