# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class rastreio_encomendas(osv.Model):
    _inherit = 'rastreio.encomendas'

    def write(self, cr, uid, ids, vals, context=None):
        res_write = super(rastreio_encomendas, self).write(cr, uid, ids, vals, context=context)
        if not res_write:
            return res_write
        if not(vals.get('rasenc_entregue') and vals.get('rasenc_entregue') == True):
            return res_write
        if isinstance(ids, int):
            ids = [ids]
        for dados_encomenda in self.pool.get('rastreio.encomendas').read(cr, uid, ids, ['rasenc_pedido_id'],
                                                                   load='_classic_write', context=context):
           _ped_id = dados_encomenda.get('rasenc_pedido_id')
           if not _ped_id:
               continue
           dados_pedido = self.pool.get('estoquepedidos.pedido.capa').read(cr, uid, _ped_id,
                                                                           ['pedcap_conta_id'],
                                                                           load='_classic_write', context=context)
           if isinstance(dados_pedido, list):
               dados_pedido = dados_pedido[0]
           _conta_id = dados_pedido.get('pedcap_conta_id')
           if not _conta_id:
               continue
           dados_conta = self.pool.get('mkp.contas').read(cr, uid, _conta_id, ['mkpcta_integrador'],
                                                           load='_classic_write', context=context),
           if dados_conta != 'Tray':
               continue
           res = self.pool.get('mkp.tray')._mkpTray_get_pedido_interno_tray(cr, uid, pedido_id=_ped_id, context=context)
           if res.get('status') != True:
               return res_write
           _order = res.get('order')
           res = self.pool.get('mkp.tray')._mkpTray_set_status_order(cr, uid, _conta_id, 'FINALIZADO', _order, context=None)
        return res_write