# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2019 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2019, Creative Commons
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""
from openerp.osv import osv, fields


class fiscal_modelo_nf_series(osv.Model):
    """
    Tabela de Series de notas fiscais
    """
    def fmnfs_get_versao_xml(self, cr, user, context=None):
        """
        Versoes utilizadas dos arquivos XML
        """
        context = context and context.copy() or {}
        result = super(fiscal_modelo_nf_series, self).fmnfs_get_versao_xml(cr, user, context)
        result = result and result[:] or []
        result.insert(0, ('3.00', '3.00'))

        return result

    _inherit = 'fiscal.modelo.nf.series'  # fismnfs
    _columns = {
        'versao_xml': fields.selection(fmnfs_get_versao_xml, 'Versao Xml', size=5)
    }
