# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class venlre_liberar_restricoes(osv.Model):
    _name = 'venlre.liberar.restricoes'
    _inherit = 'venlre.liberar.restricoes'
    _columns = {
        'venlre_orcamento_id': fields.many2one('orcamentos.orcamento.capa', 'Orcamento', ondelete='cascade'),
    }

    _sql_constraints = [
        ('venlre_orcamento_uniq', 'unique(venlre_orcamento_id)', 'Orcamento ja cadastrado em outra restricao.' ),
    ]
