# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class vendas_liberar_desconto(osv.Model):
    _name = 'vendas.liberar.desconto'
    _inherit = 'vendas.liberar.desconto'
    _columns = {
        'venauv_orcamento_id': fields.many2one('orcamentos.orcamento.capa', 'Orcamento', ondelete="cascade")
    }

    _sql_constraints = [
        ( 'venauv_orcamento_uniq', 'unique(venauv_orcamento_id)', 'Orcamento ja cadastrado em outra restricao.' ),
    ]
