#-*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class estoque_param_condicoes(osv.Model):
    _name = 'estoque.param.condicoes'
    _rec_name = 'forma_pagto_id'
    _columns = {
        'parametro_id': fields.many2one('estoque.parametro', 'Parametro', required=True, ondelete="cascade"),
        'forma_pagto_id': fields.many2one('adm.forma.pgto', 'Forma de Pagamento', ondelete="restrict", required=True),
        'condicao_id': fields.many2one('adm.condicao.forma', 'Condicao', ondelete="restrict",
                                       domain="[('forma_pagamento_id','=',forma_pagto_id)]", required=True),
        'sequence': fields.integer("Sequencia"),
    }

