# -*- coding: utf-8 -*-

from openerp.tests.common import TransactionCase
from sigaddons.config_teste import set_config


class TestOrcamentoUtils(TransactionCase):
    """
    Classe responsavel por testes unitarios dos metodos da classe orcamento_utils
    :author: Tiago Henrique Prates dos Santos <tiago.santos[at]siginformatica.com.br>
    """

    @classmethod
    def setUpClass(cls):
        set_config()

    def setUp(self):
        super(TestOrcamentoUtils, self).setUp()

    def test_orcult_valida_soma_condicoes_menores_ao_total(self):
        res = self.registry('orcamento.utils').orcult_valida_soma_condicoes_menores_ao_total(
            {1: 15.99, 2: 15.20}, 31.19)
        self.assertTrue(res)
