# -*- encoding: utf-8 -*-
from openerp.osv import fields, osv
from openerp.tools.translate import _
from datetime import date
import time
import sys


class rma_nf(osv.Model):
    _name = 'rma.nf'
    _rec_name='pessoa_id'
    _columns = {
        'pessoa_id': fields.many2one('adm.pessoa', 'Pessoa', ondelete="restrict"),
        'rma_ordens_ids':fields.one2many('rma.nf.ordens', 'rma_nf_id', 'Selecoes'),
        'state':fields.selection([('1', 'Rascunho'), ('2', 'Nota Fiscal Gerada.')], 'Status', size=1),
        'data_criacao':fields.date('Data Criacao'),
        'data_geracao_nf':fields.date('Data geracao NF'),
        'usuario':fields.many2one('res.users', 'Usuario', ondelete="restrict"),
        'nf_id':fields.many2one('fiscal.nf.capa', 'Nota Fiscal', ondelete="restrict"),
        'tipo':fields.selection([('F', 'Fornecedor'), ('C', 'Cliente')], size=1)
    }

    _defaults = {
        'data_criacao':date.today().strftime('%d-%m-%Y'),
        'state':lambda * a:'1',
        'usuario':lambda obj, cr, uid, context: uid
    }
