# -*- encoding: utf-8 -*-

from openerp.osv import osv


class oservico_categoria(osv.Model):
    """
    Categoria de equipamentos da ordem de serviços.
    """
    _inherit = 'oservico.categoria'

    def name_get(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        if not len(ids):
            return []
        reads = self.read(cr, uid, ids, ['name', 'parent_id'], context=context)
        res = []
        for record in reads:
            name = record['name']
            if record['parent_id']:
                name = record['parent_id'][1] + ' / ' + name
            res.append((record['id'], name))
        return res
