# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class oservico_os_condicao(osv.Model):
    """
    Condicoes de pagamento da O.S.
    """
    _name = 'oservico.os.condicao'
    _rec_name = 'osvocd_condicao_forma_id'
    _columns = {
        'osvocd_capa_id': fields.many2one("oservico.os", 'Capa', ondelete="cascade", required=True, select=True),
        'osvocd_valor': fields.float('Valor', digits=(15, 2), required=True),
        'osvocd_condicao_forma_id': fields.many2one('adm.condicao.forma', 'Condicao pagamento', ondelete="cascade",
                                                    required=True, select=True),
        'osvocd_forma_pagto_id': fields.many2one('adm.forma.pgto', 'Forma de Pagamento', ondelete="restrict",
                                                 select=True, required=True),
        'osvocd_os_parcela_ids': fields.one2many('oservico.os.parcela', 'osvocp_condicao_id', 'Parcela'),
    }
