# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class oservico_os_parcela(osv.Model):
    """
    tabela de vencimentos das O.S.
    """
    _name = 'oservico.os.parcela'
    _columns = {
        'osvocp_vr_parcela': fields.float('Valor da Parcela', digits=(15, 2), required=True), # Valor da parcela
        'osvocp_condicao_id': fields.many2one('oservico.os.condicao', 'Condicao de Pagamento', ondelete="cascade",
                                              select=True),
        'osvocp_data_vencimento': fields.date('Data de Vencimento', required=True), # Data de vencimento
        'osvocp_os_id': fields.related('osvocp_condicao_id', 'osvocd_capa_id', type="many2one", relation="oservico.os",
                                       store=True),
    }
