# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class oservico_oficinas(osv.Model):
    _name = 'oservico.oficinas'
    _inherit = 'oservico.oficinas'

    def write(self, cr, uid, ids, vals, context=None):
        context = context and context.copy() or {}
        if 'osvofc_sigla' in vals:
            sigla = vals.get('osvofc_sigla').upper()
            vals['osvofc_sigla'] = sigla
        result = super(oservico_oficinas, self).write(cr, uid, ids, vals, context)
        return result

    def create(self, cr, uid, vals, context=None):
        context = context and context.copy() or {}
        if 'osvofc_sigla' in vals:
            sigla = vals.get('osvofc_sigla').upper()
            vals['osvofc_sigla'] = sigla
        result = super(oservico_oficinas, self).create(cr, uid, vals, context)
        return result
