#Funcoes da classe oservico.os
def _osvos_get_valor_orcado(self, cr, uid, ids, name, arg, context=None):
    context = context and context.copy() or {}
    res = {}
    for brw_os in self.browse(cr, uid, ids, context=context):
        total = 0.0
        if brw_os.osvos_orcamento_id:
            total = brw_os.osvos_orcamento_id.valor_liquido
            if brw_os.osvos_orcamento_id.state == '5C':
                total = 0.0
        res[brw_os.id] = total
    return res


def _osvos_get_state_orcamento(self, cr, uid, ids, name, arg, context=None):
    context = context and context.copy() or {}
    orc_state = {
        '1E': 'Esboco',
        '2V': 'Validado',
        '3A': 'Aprovado',
        '4G': 'Gerado Pedido',
        '5C': 'Cancelado',
    }
    res = {}
    for brw_os in self.browse(cr, uid, ids, context=context):
        state = ''
        if brw_os.osvos_orcamento_id:
            state = brw_os.osvos_orcamento_id.state
            state = orc_state.get(state)
            if not state:
                state = ''
        res[brw_os.id] = state
    return res
