# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields

class oservico_os(osv.Model):
    _name = 'oservico.os'
    _inherit = 'oservico.os'

    from funcoes import _osvos_get_valor_orcado, _osvos_get_state_orcamento

    _columns = {
        'osvos_vendedor_id': fields.many2one('vendas.vendedor', 'Vendedor', select=True),
        'osvos_vendedor_externo_id': fields.many2one('vendas.vendedor', 'Vendedor externo', select=True),
        'osvos_orcamento_id': fields.many2one('orcamentos.orcamento.capa', 'Orcamento', readonly=True),
        'osvos_valor_orcado': fields.function(_osvos_get_valor_orcado, type='float', method=True,
                                              string='Valor orcado.', store=False),
        'osvos_orcamento_state': fields.function(_osvos_get_state_orcamento, type='char', size=15, string="Estado",
                                                 store=False),
        'osvos_pedido_id': fields.many2one('estoquepedidos.pedido.capa', 'Pedido', readonly=True),
    }
