# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from openerp import pooler


class patrimonio_uso(osv.Model):
    """
    Tabela de Grupos de Bens
    """
    _name = 'patrimonio.uso'
    _inherit = 'patrimonio.uso'

    def create(self, cr, uid, vals, context=None):
        context = context and context.copy() or {}
        result = super(patrimonio_uso, self).create(cr, uid, vals, context=context)
        id = result
        if id and isinstance(id, list):
            id = id[0]
        pat_bens_ids = self.pool.get('patrimonio.bens').search(cr, uid, [('patuso_uso_ids','=',id)], context=context)
        self.pool.get('patrimonio.bens').write(cr, uid, pat_bens_ids, {}, context)
        return result
    def write(self, cr, uid, ids, vals, context=None):
        context = context and context.copy() or {}
        result = super(patrimonio_uso, self).write(cr, uid, ids, vals, context=context)
        id = ids
        if id and isinstance(id, list):
            id = id[0]
        pat_bens_ids = self.pool.get('patrimonio.bens').search(cr, uid, [('patuso_uso_ids','=',id)], context=context)
        self.pool.get('patrimonio.bens').write(cr, uid, pat_bens_ids, {}, context)
        return result
    def unlink(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        result = super(patrimonio_uso, self).unlink(cr, uid, ids, context=context)
        id = ids
        if id and isinstance(id, list):
            id = id[0]
        pat_bens_ids = self.pool.get('patrimonio.bens').search(cr, uid, [('patuso_uso_ids','=',id)], context=context)
        self.pool.get('patrimonio.bens').write(cr, uid, pat_bens_ids, {}, context)
        return result
