# -*- encoding: utf-8 -*-
"""
Copyright (C) 2009-2013 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2013, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields
from openerp.report import report_sxw
from datetime import datetime
from pytz import timezone


class report_patrimonio_uso(report_sxw.rml_parse):
    """
    Relatorio de conferência - Recebimento "cego"
    addons/recebimento/report/recebimento.rml

    @author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    @since: 25.04.2013
    """

    def __init__(self, cr, uid, name, context):
        super(report_patrimonio_uso, self).__init__(cr, uid, name, context=context)

        self.localcontext.update({
            'datetime': datetime,
            'agora': datetime.now(timezone('UTC')).astimezone(timezone('Brazil/East')),
            }
        )

        self.context = context

report_sxw.report_sxw('report.patrimonio.uso',  'patrimonio.uso',
                      'addons/patrimonio/report/uso.rml',
                      parser=report_patrimonio_uso,
                      )

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
