# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class wizard_baixa_patrimonio(osv.TransientModel):

    _name = 'wizard.baixa.patrimonio'
    _description = 'Baixa do Patrimonio'

    _columns = {'data_inicial': fields.date('Periodo inicial', required=True),
                'data_final': fields.date('Periodo final', required=True)}

    def button_print(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        vals = self.browse(cr, uid, ids)
        for x in vals:
            datas = {'data_inicial': x.data_inicial,
                     'data_final': x.data_final}

        return {'type': 'ir.actions.report.xml',
                'report_name': 'listagem_baixa_patrimonio',
                'datas': datas}
