# -*- encoding: utf-8 -*-
{
    "name": "Planejamento e controle de producao",
    'version': '7.0.2403.6',
    "author": "Sig Informatica Ltda",
    "website": "http://www.siginformatica.com.br",
    "category": "Estoque",
    "license": "Other proprietary",
    "summary": "Planejamento, producao, receita",
    "description": """
Planejamento e controle de producao
===================================

Possibilita o planejamento de toda a producao, sua manutencao e cancelamento, por meio do controle
das ordens de producao. O **PCP** tambem permite identificar a capacidade de producao e os gargalos
que a empresa tem em relacao aos recursos de producao. O sistema verifica se ha no estoque, o que e
necessário a producao, se atende o programa receita, verifica os gastos e os rendimentos.""",
    "depends": [
        'fiscal',
        'estoquealmoxarifado',
        'estoqueressuprimento',
    ],
    "data": [
        'data/ir_cron.xml',
        'views/ficha_tecnica_report.xml',
        'views/ficha_tecnica_report2.xml',
        "views/ficha.xml",
        "views/ordem.xml",
        "views/etapas.xml",
        "views/lancamento_perda_producao.xml",
        "views/pcp_planejamento_producao_view.xml",
        "views/pcp_conversao_capa_view.xml",
        "wizard/wizard_listagem_planejamento_producao_view.xml",
        "wizard/wizard_simulacao_precos_view.xml",
        "wizard/wizard_ficha_tecnica_consulta.xml",
        "wizard/wizard_pcp_listar_material_view.xml",
        "wizard/wizard_gerar_ordem_producao_view.xml",
        "wizard/wizard_ordem_producao_consulta.xml",
        "wizard/wizard_relatorio_planejamento_producao_view.xml",
        "wizard/wizard_planejamento_producao_automatico_view.xml",
        "wizard/wizard_consulta_venda_diaria_view.xml",
        "wizard/wizard_relatorio_planilha_producao_view.xml",
        "wizard/wizard_pcp_relatorio_ordem_producao_view.xml",
        "wizard/wizard_pcp_transferencia_producao_view.xml",
        "wizard/wizard_duplicar_ficha_view.xml",
        "inherit/estoque_parametro_view.xml",
        "inherit/estoque_produto_view.xml",
        "inherit/estoquealmoxarifado/wizard_almoxarifado_requisicao_devolucao_view.xml",
        "inherit/estoque/movimento_origem.xml",
        "inherit/estoqueressuprimento/views/estoqueressuprimento_requisicao_view.xml",
        "report/balanco_producao_view.xml",
        "report/rel_comparativo_view.xml",
        "report/rel_curva_abc_view.xml",
        "views/action.xml",
        'inherit/pcp_view_fiscal_parametro.xml',
        "security/pcp_security.xml",
        "security/ir.model.access.csv",
        "views/menu.xml",
    ],
    "installable": True,
    "application": True,
    "active": False,
}
