# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields
import time


class pcp_planejamento_producao(osv.Model):

    # prefixo: pljprd_

    _name = 'pcp.planejamento.producao'
    _inherit = 'pcp.planejamento.producao'

    def pljprd_onchange_excluir_do_planejamento_automatico(self, cr, uid, ids,
                                                           excluir_do_automatico, context=None):
        """
        O metodo atualiza o registro da tabela a medida que o usuario seleciona se e para ser
        excluido ou nao do processo de planejamento automatico
        """
        context = context and context.copy() or {}
        res = {}
        if excluir_do_automatico:
            self.write(cr, uid, ids, {'pljprd_excluir_do_planejamento_automatico': True}, context)
        return res

    def search(self, cr, user, args, offset=0, limit=None, order=None, context=None, count=False):
        context = context and context.copy() or {}
        if ['pljprd_data', '>=', 1] in args:
            args.remove(['pljprd_data', '>=', 1])
            args.append(['pljprd_data', '>=', time.strftime('%Y-%m-%d')])
        res = super(pcp_planejamento_producao, self).search(cr, user, args, offset, limit, order,
                                                            context, count)
        return res
