#!/usr/bin/python
# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class estoqueressuprimento_requisicao_itens(osv.Model):
    _name = 'estoqueressuprimento.requisicao.itens'
    _inherit = 'estoqueressuprimento.requisicao.itens'

    _columns = {
        'etrrqi_destino_produto_id': fields.many2one('estoque.produto', 'Produto de destino',
                                                     ondelete='restrict'),
        'etrrqi_destino_grade_id': fields.many2one('estoque.produto.grade', 'Grade de destino',
                                                   ondelete='restrict'),
        'etrrqi_destino_quantidade': fields.float('Quantidade no destino', digits=(8, 3)),
    }
