#-*- encoding: utf-8 -*-
##############################################################################
#                                                                            #
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca        #
#                    www.siginformatica.com.br luiz@siginformatica.com.br    #
#                                                                            #
##############################################################################

from openerp.osv import osv, fields


class estoque_produto(osv.Model):
    def _get_tem_ficha_tecnica(self, cr, uid, ids, name, arg, context=None):
        context = context and context.copy() or {}
        res = {}
        obj_pcp_ficha_tecnica_capa = self.pool.get('pcp.ficha.tecnica.capa')
        for id in ids:
            ficha_ids = obj_pcp_ficha_tecnica_capa.search(cr, uid, [('pcpftc_produto_id', '=', id)], context=context)
            if ficha_ids:
                res[id] = True
            else:
                res[id] = False
        return res

    _name = 'estoque.produto'
    _inherit = 'estoque.produto'
    _columns = {
        'estpro_tem_ficha_tecnica': fields.function(_get_tem_ficha_tecnica, method=True, type="boolean",
                                                    string='Tem ficha tecnica', store=False),
    }

