# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2013 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2013, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields


class pcp_wizard_relatorio_planejamento_producao(osv.TransientModel):
    """
    Formulario com os parametros para impressao do relatorio de planejamento de producao.

    @author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    _name = 'pcp.wizard.relatorio.planejamento.producao'

    _columns = {
        # ___________________________ Many2Many ______________________________
        'pcpwpp_ficha_tecnica_ids': fields.many2many('pcp.ficha.tecnica.capa',
                                                     'planejamento_producao_m2m_ficha_tecnica',
                                                     'planejamento_producao_id', 'ficha_tecnica_id',
                                                     'Ficha tecnica'),

        # ___________________________ Many2One _______________________________
        'pcpwpp_categoria_id': fields.many2one('estoque.categoria', string='Categoria',
                                               ondelete='cascade'),
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4
