# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class pcp_simulacao_precos_insumos(osv.TransientModel):
    _name = 'pcp.wizard.simulacao.precos.insumos'

    _columns = {
        'capa_id': fields.integer('Ficha tecnica'),
        'simulacao_capa_id': fields.many2one('pcp.wizard.simulacao.precos', 'Materia prima/insumos'),
        'produto_id': fields.many2one("estoque.produto", 'Produto'),
        'quantidade': fields.float('Quantidade', digits=(12, 3)),
        'custo_total': fields.float('Custo total'),
    }
