# -*- encoding: utf-8 -*-
{
    "name": "prime",
    'version': '7.0.2403.6',
    "author": "Sig Informatica Ltda",
    "website": "http://www.siginformatica.com.br",
    "category": "Pacotes",
    'license': 'Other proprietary',
    'summary': 'Modulo basico para empresas inscritas no simples nacional',
    "description": """
Modulo Sig Prime
==========================
Modulo configurado para instalacao em pequenas empresas inscritas no simples nacional

Principais caracteristicas
--------------------------
* Compras de produtos e mercadorias
* Importacao de NFEs
* Orcamentos e pedidos de venda
* Emissao de NFEs
* Emissao de livros fiscais (entrada/Saida/Inventario)
* Geracao de Sintegra
* Controle de estoque
* Controle financeiro (Caixa/Bancos/Titulos)
* Controle de Cupons Fiscais(integracao com frente de loja)

""",

    "depends": [
                'balanca',
                'ecf',
                'fluxocaixa',
                'kit',
    ],
    "data": [
        'data/cst.xml',
        'data/cst_correlacao.xml',
        "security/security.xml",
        "security/ir.model.access.csv",
        "data/res_users.xml",
        "data/cadastro_dados_empresa.xml",
        'data/adm_monitor_alertas_grupos.xml',
        "inherit/estoquepedidos_pedido_capa_view.xml",
        "views/menu.xml",
    ],
    "installable": True,
    "application": True,
    "active": False,
    }
