# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
# www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
import time


class procedimentos_proc_passo(osv.Model):
    _name = 'procedimentos.proc.passo'
    _inherit = 'procedimentos.proc.passo'

    def write(self, cr, uid, ids, vals, context=None):
        context = context and context.copy() or {}
        res = super(procedimentos_proc_passo, self).write(cr, uid, ids, vals, context=context)
        obj_processos_capa = self.pool.get('procedimentos.proc.capa')
        _capa_ids = []
        for _dados_passos in self.browse(cr, uid, ids, context=context):
            if not _dados_passos.prcprp_capa_id.id in _capa_ids:
                _capa_ids.append(_dados_passos.prcprp_capa_id.id)
        if _capa_ids:
            obj_processos_capa.prcprc_get_state(cr, uid, _capa_ids, context=None)
        return res

    def prcprp_button_iniciar(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        vals = {
            'state': '2',
            'prcprp_user_id': uid,
            'prcprp_tempo_ids': [(0, 0, {'prcprt_inicio': time.strftime('%d/%m/%Y %H:%M:%S')})]
        }
        self.write(cr, uid, ids, vals, context=context)
        return True

    def prcprp_button_parar(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        vals = {'state': '3'}
        for brw_passo in self.browse(cr, uid, ids, context=context):
            for _brw_tempo in brw_passo.prcprp_tempo_ids:
                if _brw_tempo.prcprt_fim:
                    pass
                else:
                    vals['prcprp_tempo_ids'] = [
                        (1, _brw_tempo.id, {'prcprt_fim': time.strftime('%d/%m/%Y %H:%M:%S')})]
                    break
        self.write(cr, uid, ids, vals, context=context)
        return True

    def prcprp_button_Fim(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        vals = {'state': '4'}
        for brw_passo in self.browse(cr, uid, ids, context=context):
            for _brw_tempo in brw_passo.prcprp_tempo_ids:
                if _brw_tempo.prcprt_fim:
                    pass
                else:
                    vals['prcprp_tempo_ids'] = [
                        (1, _brw_tempo.id, {'prcprt_fim': time.strftime('%d/%m/%Y %H:%M:%S')})]
                    break
        self.write(cr, uid, ids, vals, context=context)
        return True

