# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
from openerp import pooler
import time

class procedimentos_recurso_pop(osv.Model):
    """
        Tabela associativa recursos / POP
        Contem todos os recursos que sao necessarios em um POP
    """
    _name='procedimentos.recurso.pop'
    _columns = {
        'atividade_id' : fields.many2one('procedimentos.atividade', 'Procedimento', ondelete="restrict", required=True), # Id da atividade
        'recurso_id' : fields.many2one('procedimentos.recurso', 'Recurso' , ondelete="restrict", required=True), #Id do recurso
        'quantidade' : fields.float('Quantidade' , digits=(9,3)) #Quantidade necessaria do recurso
    }
