# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
# www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class wizard_procedimentos_executar_passo(osv.TransientModel):

    _name = 'wizard.procedimentos.executar.passo'
    _columns = {
        'prcwiz_processo_id': fields.many2one('procedimentos.proc.capa', 'Processo',
                                          ondelete="cascade", required=True),
        'prcwiz_processo_obs': fields.text('Informacoes complementares'),
        'prcwiz_passo_id': fields.many2one('procedimentos.proc.passo', 'Etapa',
                                          ondelete="cascade", required=True),
        'prcwiz_sequencia': fields.integer('Sequencia', required=True),
        'state': fields.selection(
            [('1', 'Aguardando'), ('2', 'Em atividade'), ('3', 'Parado'), ('4', 'Concluido')],
            'Estado', size=1, required=True),
        'prcwiz_passo_obs': fields.text('Informacoes complementares'),
        # 'prcwiz_tempo_ids': fields.one2many('procedimentos.proc.tempo', 'prcprt_passo_id',
        #                                     'Tempos'),


    }
