# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from mx import DateTime
from mx.DateTime import now
import time
from openerp.tools.translate import _
import sys
from openerp.osv import fields, osv
from openerp.tools.translate import _


class config_compute_remaining(osv.TransientModel):
    _name = 'config.compute.remaining'
    _inherit = 'config.compute.remaining'

    def compute_hours(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        if context.get('active_id', False):
            remaining_hrs = self.browse(cr, uid, ids)[0].remaining_hours
            self.pool.get('project_br.task').write(cr, uid, context['active_id'], {'remaining_hours': remaining_hrs},
                                                   context)
        return {
            'type': 'ir.actions.act_window_close',
        }
