# -*- encoding: utf-8 -*-
from openerp.osv import fields
from openerp.osv import osv
from openerp.tools.sql import drop_view_if_exists

class report_project_br_atendimento(osv.Model):
    _name = "report.project_br.atendimento"
    _description = "Atendimentos"
    _auto = False
    _columns = {'id':fields.integer('id'),
                'user_id': fields.many2one('adm.pessoa', 'Atendente'),
                'date_start': fields.char('Data Inicio',size=11),
                'date_close': fields.char('Data Encerramento',size=11),
                'data_inicio':fields.date('Data Inicio'),
                'data_fim':fields.date('Data Encerramento'),
                'project_br_id': fields.many2one('project_br.project_br', 'Projeto'),
                'effective_hours': fields.float('Horas efetivas'),
        }


