# -*- encoding: utf-8 -*-
from openerp.osv import osv, fields


class wizard_projetos_a_faturar(osv.TransientModel):

    _name = 'wizard.projetos.a.faturar'
    _columns = {
        'periodo_inicial': fields.date('Periodo inicial'),
        'periodo_final': fields.date('Periodo final'),
        'projetos_concluidos': fields.boolean('Projetos concluidos'),
        'pessoa_id': fields.many2one( 'adm.pessoa', 'Cliente'),
    }
    _defaults = {
        'projetos_concluidos': True,
    }

    def button_print(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        projetos_a_faturar_dados = self.read(cr, uid, ids, [], context=context)
        for x in projetos_a_faturar_dados:
            datas = {'periodo_inicial': x.get('periodo_inicial'),
                     'periodo_final': x.get('periodo_final'),
                     'projetos_concluidos': x.get('projetos_concluidos'),
                     'pessoa_id': x.get('pessoa_id')
                     }
        return {'type': 'ir.actions.report.xml',
                'report_name': 'listagem_projetos_a_faturar',
                'datas': datas,
                }
