# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class rastreio_eventos(osv.Model):
    """
        Tabela de eventos do rastreio.
    """
    # prefixo: raseve_

    _name = 'rastreio.eventos'
    _columns = {
        'raseve_encomenda_id': fields.many2one('rastreio.encomendas', 'Encomenda', ondelete='cascade', select=True, required=True),
        'raseve_data_hora': fields.datetime('Data/hora'),
        'raseve_pais': fields.char('Pais', size=24),
        'raseve_estado': fields.char('Estado', size=24),
        'raseve_cidade': fields.char('Cidade', size=32),
        'raseve_agencia': fields.char('Agencia', size=32),
        'raseve_situacao': fields.text('Situacao'),
        'raseve_observacao': fields.text('Observacao'),
        'raseve_evento': fields.char('Evento', size=128),
        'raseve_servico_id': fields.many2one('rastreio.servicos', 'Servico', ondelete='cascade'),
    }
    _order = 'raseve_encomenda_id,raseve_data_hora desc'
