#!/usr/bin/python
# -*- encoding: utf-8 -*-

from openerp.osv import  osv


class rat_setor_historicos(osv.Model):

    _name = "rat.setor.historicos"
    _inherit = "rat.setor.historicos"

    def default_get(self, cr, uid, fields_list, context=None):
        context = context and context.copy() or {}
        res = super(rat_setor_historicos, self).default_get(cr, uid, fields_list, context)

        rat_id = context.get('rat_id') or context.get('active_id')

        if rat_id:
            obj_rat = self.pool.get('rat.rat')
            res['ratseh_rat_id'] = rat_id

            setor_id = obj_rat.read(cr, uid, rat_id, ['ratrat_proximo_setor_id'])

            if setor_id.get('ratrat_proximo_setor_id'):
                res['ratseh_setor_id'] = setor_id.get('ratrat_proximo_setor_id')[0]

        return res

