#!/usr/bin/python
# -*- encoding: utf-8 -*-

from openerp.osv import fields, osv


class rat_setor_historicos(osv.Model):
    """
    prefix: ratseh_
    """

    _name = "rat.setor.historicos"

    _inherits = {
        "rat.rat": "ratseh_rat_id"
    }

    _columns = {
        "ratseh_rat_id": fields.many2one("rat.rat", "Rat", required=True, select=True,
                                         ondelete="cascade"),
        "ratseh_setor_id": fields.many2one("rat.setores", "Setor", select=True,
                                           ondelete="restrict"),
        "ratseh_observacoes": fields.text("Observacoes"),
        "create_date": fields.datetime("Data de tramitação", readonly=True),
        "write_uid": fields.many2one('res.users', 'Usuario', readonly=True),
    }
