#!/usr/bin/python
# -*- encoding: utf-8 -*-

from openerp.osv import fields, osv


class rat_setor_usuarios(osv.Model):
    """
    prefix: ratsus_
    """

    _name = "rat.setor.usuarios"

    _rec_name = "ratsus_user_id"

    _columns = {
        "ratsus_setor_id": fields.many2one("rat.setores", "Setor", required=True, select=True,
                                           ondelete="cascade"),
        "ratsus_user_id": fields.many2one("res.users", "Usuarios", required=True, select=True,
                                          ondelete="restrict")
    }
