# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields
from funcoes import prjtsk_get_pedido_id


class task(osv.Model):

    _inherit = 'project_br.task'

    _columns = {
        'prjtsk_produto_id': fields.many2one('estoque.produto', 'Servico', select=True),
        'prjtsk_pedido_item_id': fields.many2one('estoquepedidos.pedido.item', 'Item do pedido',
                                                 select=True),
        'prjtsk_pedido_id': fields.function(prjtsk_get_pedido_id, method=True, string='Pedido',
                                            type='many2one', relation='estoquepedidos.pedido.capa',
                                            store=True),
    }