# -*- encoding: utf-8 -*-
"""
Copyright (C) 2009-2013 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2013, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields
from openerp.addons.fiscal.model.nf_capa_data import STATUS_NOTA_FISCAL
STATUS_NOTA_FISCAL.extend([('R', 'Recusada'), ('DV', 'Divergente')])


class fiscal_nf_capa(osv.Model):
    """
    Inclusao de novos ´´status´´ de nota fiscal. (heranca)

    @author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    _name = 'fiscal.nf.capa'  # fisnfc
    _inherit = 'fiscal.nf.capa'  # fiscal/model/nf_capa_data

    _columns = {
        # ___________________________ One2Many _______________________________
        'divergencia_ids': fields.one2many('recebimento.divergencia.nf',
                                           'nf_id', 'Divergencia'),

        # ___________________________ Many2One _______________________________
        'recebimento_id': fields.many2one('recebimento.os',
                                          'Ordem de servico de recebimento'),

        # ___________________________ Selection ______________________________
        'state': fields.selection(STATUS_NOTA_FISCAL, 'Status', size=2)  # Novos ´´status´´
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
