# -*- encoding: utf-8 -*-
"""
Copyright (C) 2009-2013 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2013, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields


class recebimento_itens(osv.Model):
    """
    Relacionamento entre itens de recebimento e ordem de servico.

    @author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    _name = 'recebimento.itens'  # recite
    _inherit = 'recebimento.itens'  # recebimento/model/recebimento_itens_data

    _columns = {
        # ___________________________ Many2One _______________________________
        # ID da ordem de servico de recebimento
        'recebimento_id': fields.many2one('recebimento.os', 'Ordem de servico')
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
