# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields
from datetime import date


class reclamacoes_passos(osv.Model):

    _name = 'reclamacoes.passos'
    _columns = {
        'rclpas_reclamacao_id': fields.many2one('reclamacoes.reclamacao', 'Reclamacao', required=True, ondelete='cascade'),
        'rclpas_origem': fields.selection([('E', 'Empresa'),('P', 'Parceiro')], 'Origem', required=True),
        'create_date': fields.datetime('Data', readonly=True),
        'rclpas_descricao': fields.text('Descricao', required=True),
    }
    _order = 'rclpas_reclamacao_id, create_date desc'
