# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
from openerp.osv import fields,osv

from openerp import tools

class report_project_br_user_carga(osv.Model):
    _name = "report_project_br.user.carga"
    _description = "Carga  horaria por usuarios"
    _auto = False
    _columns = {
        'user_id':fields.many2one('res.users', 'Usuario', readonly=True),
        'name': fields.char('Usuario', size=50),
        'jan' : fields.float('Jan'),
        'fev' : fields.float('Fev'),
        'mar' : fields.float('Mar'),
        'abr' : fields.float('Abr'),
        'mai' : fields.float('Mai'),
        'jun' : fields.float('Jun'),
        'jul' : fields.float('Jul'),
        'ago' : fields.float('Ago'),
        'set' : fields.float('Set'),
        'out' : fields.float('Out'),
        'nov' : fields.float('Nov'),
        'dez' : fields.float('Dez'),
                }
    _order = 'name'
