# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
import time


class reuniao_participantes(osv.Model):
    """
    Tabela de participantes das reunioes
    Prefixo: reupar
    """
    _name = 'reuniao.participantes'
    _columns = {
        'reupar_reuniao_id': fields.many2one("reuniao.reunioes", 'Reuniao', ondelete="cascade",
                                             required=True, select=True),  # id da reuniao
        'reupar_pessoa_id': fields.many2one("adm.pessoa", 'Pessoa', ondelete="restrict",
                                            required=True, select=True),  # Participante da reuniao
    }

