# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
import time


class reuniao_pautas(osv.Model):
    """
    Tabela de pautas das reunioes
    Prefixo: reupau_
    """

    _name = 'reuniao.pautas'
    _columns = {
        'reupau_reunioes_id': fields.many2one("reuniao.reunioes", 'Reunioes', ondelete="cascade",
                                              required=True, select=True),  # Id da reuniao
        'reupau_sequencia': fields.integer('Sequencia', required=True),
        # Sequencia do assunto contido na ata
        'name': fields.text('Descricao', required=True),
        'reupau_atas_ids': fields.one2many('reuniao.atas', 'reuata_pauta_id', 'Atas'),
    }
    _order = 'reupau_reunioes_id,reupau_sequencia'


