# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from openerp.tools.translate import _


class rh_cargo(osv.Model):
    _name = 'rh.cargo'
    _inherit = 'rh.cargo'

    def create(self, cr, uid, vals, context=None):
        context = context and context.copy() or {}
        if not vals.get('rh_codigo') or not vals.get('cbo') or vals.get('rh_codigo') < 0 or vals.get('cbo') < 0.0:
            raise osv.except_osv(_('Atencao'), _('Informe valores validos para Codigo e CBO'))
        res = super(rh_cargo, self).create(cr, uid, vals, context)
        return res

    def write(self, cr, uid, ids, vals, context=None):
        context = context and context.copy() or {}
        erro = False
        if vals.get('rh_codigo'):
            if not vals.get('rh_codigo') or vals.get('rh_codigo') < 0:
                erro = True
        if vals.get('cbo'):
            if not vals.get('cbo') or vals.get('cbo') < 0.0:
                erro = True
        if erro:
            raise osv.except_osv(_('Atencao'), _('Informe valores validos para Codigo e CBO'))
        res = super(rh_cargo, self).write(cr, uid, ids, vals, context)
        return res
