# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class rh_cargo(osv.Model):
    _name = 'rh.cargo'
    _columns = {
        'name': fields.char('Nome', size=50, required=True),
        'cbo': fields.float('CBO', digits=(6, 0), required=True),
        'rh_codigo': fields.integer('Codigo', required=True),
    }
    _sql_constraints = [
        ('codigo_uniq', 'unique (rh_codigo)', 'O codigo precisa ser unico!'),
    ]
