# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
# www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv


class rhfolha_lancamentos_itens(osv.Model):
    _inherit = 'rhfolha.lancamentos.itens'

    def rhlani_onchange_evento(self, cr, uid, ids, evento_id, context=None):
        context = context and context.copy() or {}
        warning = {}
        value = {}
        if not evento_id:
            return {'warning': warning, 'value': value}
        dados_evento = self.pool.get('rhfolha.eventos').read(cr, uid, evento_id, context=context)
        if dados_evento:
            if dados_evento.get('rheven_processamento') == 'R':
                value['rhlani_tipo_evento'] = 'R'
            else:
                value['rhlani_tipo_evento'] = dados_evento.get('rheven_venc_desc')
        return {'value': value}