# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
# www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################


from openerp.osv import osv, fields


class adm_pessoa_relacionamento(osv.Model):
    _inherit = 'adm.pessoa.relacionamento'

    def search(self, cr, uid, args, offset=0, limit=None, order=None, context=None, count=False):
        context = context and context.copy() or {}
        res = super(adm_pessoa_relacionamento, self).search(cr, uid, args, offset=offset,
                                                            limit=limit, order=order,
                                                            context=context, count=count)
        if not (res and context.get('funcionario', False)):
            return res
        rel_id = self.pool.get('adm.utils').admutl_get_parametros(cr, uid, 'rh',
            'rhpar_relacionamento_filhos_id', context=context).get('rhpar_relacionamento_filhos_id',
                                                                   False)
        if not rel_id:
            return res
        for brw_adm_pessoa_relacionamento in self.browse(cr, uid, res, context=context):
            if brw_adm_pessoa_relacionamento.relacionamento_tipo_id.id != rel_id:
                res.remove(brw_adm_pessoa_relacionamento.id)
        return res
