# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
# www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class rh_funcionario(osv.Model):
    _inherit = 'rh.funcionario'

    _columns = {
        'rhfunc_salario': fields.float('Salario', digits=(11, 2),
                                       groups='rhfolha.group_rhfolha_manager,rhfolha.group_rhfolha_user'),
        'rhfunc_horas_semanais': fields.integer('Horas semanais', required=True,
                                                groups='rhfolha.group_rhfolha_manager,rhfolha.group_rhfolha_user'),
        'rhfunc_dependentes_irrf': fields.integer('Dependentes',
                                                  help='Quantidade de dependentes para deducao de IRRF',
                                                  groups='rhfolha.group_rhfolha_manager,rhfolha.group_rhfolha_user'),
    }
