# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields

class rhponto_banco_horas(osv.Model):
    """
    Prefixo rhpbch_
    """

    from funcoes import _get_name

    _name = 'rhponto.banco.horas'
    _columns = {
        'name' : fields.function(_get_name, method=True, string='Descricao', type='text',store=False),
        'rhpbch_funcionario_id' : fields.many2one('rh.funcionario', 'Funcionario',ondelete='restrict', required=True, select=True),
        'rhpbch_data' : fields.date('Data', required=True),
        'rhpbch_qtd_hora' : fields.integer('Tempo(minutos)', required=True, help='Tempo em Minutos'),
        'rhpbch_tipo' : fields.selection([('A', 'Automatico'), ('M', 'Manual')], 'Tipo lancamento', size=1),
        'rhpbch_historico' : fields.text('Descricao'),
    }
    _order = 'rhpbch_funcionario_id, rhpbch_data desc, id'
    _defaults = {
            'rhpbch_tipo' :  lambda *a: 'M',
            }
rhponto_banco_horas()

