# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields

class rhponto_jornada(osv.Model):
    """
    Prefixo: rmpjor_
    """
    _name = 'rhponto.jornada'
    _rec_name = 'rhpjor_funcionario_id'
    _columns = {
        'rhpjor_codigo' : fields.integer('Codigo', select=True),
        'rhpjor_funcionario_id' : fields.many2one('rh.funcionario', 'Funcionario',ondelete='restrict', required=True, select=True),
        'rhpjor_data' : fields.date('Data Inicio', required=True),
        'rhpjor_dom' : fields.many2one('rhponto.expediente', 'Domingo', ondelete='restrict'),
        'rhpjor_seg' : fields.many2one('rhponto.expediente', 'Segunda', ondelete='restrict'),
        'rhpjor_ter' : fields.many2one('rhponto.expediente', 'Terca', ondelete='restrict'),
        'rhpjor_qua' : fields.many2one('rhponto.expediente', 'Quarta', ondelete='restrict'),
        'rhpjor_qui' : fields.many2one('rhponto.expediente', 'Quinta', ondelete='restrict'),
        'rhpjor_sex' : fields.many2one('rhponto.expediente', 'Sexta', ondelete='restrict'),
        'rhpjor_sab' : fields.many2one('rhponto.expediente', 'Sabado', ondelete='restrict'),
    }
    _order = 'rhpjor_funcionario_id, rhpjor_data desc'


