# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields

class rhponto_periodo(osv.Model):

    from funcoes import _get_name_periodo
    """
    Prefixo: rhpper_
    """

    _name = 'rhponto.periodo'
    _columns = {
        'name' : fields.function(_get_name_periodo, method=True, string='Descricao', type='text',store=False),
        'rhpper_codigo' : fields.integer('Codigo', select=True),
        'rhpper_expediente_id' : fields.many2one('rhponto.expediente', 'Expediente',ondelete='restrict', required=True),
        'rhpper_hora_entrada' : fields.float('Entrada', required=True),
        'rhpper_hora_saida' : fields.float('Saida', required=True),
    }



