# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields

class rhponto_relogios(osv.Model):
    """
    Classe para cadastro de reglios de ponto
    Prefixo: rhprel_
    """

    _name = 'rhponto.relogios'
    _columns = {
        'company_id': fields.many2one("res.company", 'Empresa', ondelete="cascade", required=True, select=True),
        'name': fields.char('Descricao', size=30, required=True),
        'rhprel_identificador': fields.char('Identificador do relogio', size=20),
        'rhprel_ip': fields.char('IP', size=15),
        'rhprel_porta': fields.char('Porta', size=5),
    }
    _defaults= {
        'company_id': lambda s, cr, uid, c: s.pool.get('adm.empresa.objeto').getEmpresa(cr, uid, s._name, context=c),
    }
