# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv


class orcamentos_orcamento_itens(osv.Model):
    _name = 'orcamentos.orcamento.itens'
    _inherit = 'orcamentos.orcamento.itens'

    def orcori_onchange_produto_software(self, cr, uid, ids, produto_id, orcamento_tipo_software=False, context=None):
        context = context and context.copy() or {}
        value = {}
        vlr = self.pool.get('software.tabela.view').browse(cr, uid, produto_id).preco
        value['valor_unitario_bruto'] = vlr
        software = self.pool.get('software.tabela.produtos').search(cr, uid, [('produto_id', '=', produto_id)], context=context)
        if len(software) == 0:
            grade_usar = self.pool.get('estoque.produto').read(cr, uid, produto_id, ['grade_usar'], context=context)
            if not grade_usar:
                grade_id = self.pool.get('estoque.produto.grade').search(cr, uid, [('produto_id', '=', produto_id)], context=context)
                if grade_id:
                    value['grade_id'] = grade_id
            embalagem_id = self.pool.get('estoque.produto.embalagem').search(cr, uid, [('produto_id', '=', produto_id)], context=context)
            if len(embalagem_id) == 1:
                value['produto_embalagem_id'] = embalagem_id
            else:
                value['produto_embalagem_id'] = False
        return {'value': value}


