# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class orcamentos_orcamento_itens(osv.Model):
    _name = 'orcamentos.orcamento.itens'
    _inherit = 'orcamentos.orcamento.itens'
    _columns = {
        'qtda_ro': fields.boolean('Qtda. Read Only'),
        'sms': fields.float('Sms', digits=(8, 2)), # Valor do sms unitário
        'desconto_sms': fields.float('Desconto sms', digits=(8, 2)), # Desconto unitário sobre o sms
    }
