##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class supervisor_cad_itens(osv.Model):
    """
    Tabela de Cadastro de itens
    Prefixo: supite

    """
    _name = 'supervisor.cad.itens'
    _inherit = 'supervisor.cad.itens'

    def name_get(self, cr, uid, ids, context=None):
        res = []
        context = context and context.copy() or {}
        if not len(ids):
            return []
        dados = self.read(cr, uid, ids, ['supite_codigo_item', 'name'], context=context)
        for x in dados:
            descricao = x.get('name') or ''
            res.append((x['id'], str(x['supite_codigo_item']) + ' - ' + descricao.encode('utf-8')))
        return res
