#!/usr/bin/python
# -*- coding: utf-8 -*-

from openerp.osv import osv, fields


class wizard_sup_ativar_licenca(osv.TransientModel):
    """Wizard para ativar licença dos clientes manualmente
       Prefixo: wizsatl_
    """

    _name = 'wizard.sup.ativar.licenca'

    _columns = {
        'wizsatl_licenca': fields.char('Licenca', char=14, required=True),
        'wizsatl_ativado': fields.boolean('Ativado'),
    }

    _defaults = {
        'wizsatl_ativado': False,
    }

    def wizsatl_ativar_licenca(self, cr, uid, ids, context=None):
        context = context and context or {}
        licenca = self.read(cr, uid, ids[0], ['wizsatl_licenca'], context).get('wizsatl_licenca')
        self.pool.get('valida.pendencias').valpen_ativar_licenca(cr, uid, licenca, context)
        self.write(cr, uid, ids, {'wizsatl_ativado': True}, context)
        return True