# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields


class supervisor_autorizacoes(osv.Model):
    """
    Tabela de autorizacoes
    Prefixo: supaut
    """
    _name = 'supervisor.autorizacoes'
    _gerar_logs_logs = 'N'
    _columns = {
        'supaut_autorizador_id': fields.many2one("supervisor.cad.operadores", 'Autorizador',
                                                 ondelete="restrict", required=True, select=True),
        'supaut_liberou_desconto': fields.boolean('Liberou Desconto'),
        'supaut_liberou_limite_credito': fields.boolean('Liberou limite credito'),
        'supaut_liberou_restricao_mensagem': fields.boolean('Liberou restricao mensagem'),
        'supaut_liberou_cancelamento_cupom': fields.boolean('Liberou Cancelamento NFC-e'),
        'supaut_liberou_cheque_a_vista': fields.boolean('Liberou cheque a vista'),
        'supaut_cliente': fields.char('Cliente', size=15),
        'supaut_capa_id': fields.many2one("supervisor.mov.capa", 'Cupom', ondelete="cascade",
                                          required=True, select=True),
    }

