#!/usr/bin/python
# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from openerp.tools.translate import _


class supervisor_cad_comandos_impressoras(osv.Model):
    """
    Tabela de comandos de impressoras
    Prefixo: supcci

    """

    _name = 'supervisor.cad.comandos.impressoras'
    _gerar_logs_logs = 'N'
    _columns = {
        'supcci_marca': fields.char('Marca da Impressora', size=20, required=True),
        'supcci_modelo': fields.char('Modelo da Impressora', size=20, required=True),
        'supcci_negrito_liga': fields.char('Habilita negrito', size=20),
        'supcci_negrito_desliga': fields.char('Desabilita negrito', size=20),
        'supcci_sub_liga': fields.char('Habilita sublinhado', size=20),
        'supcci_sub_desliga': fields.char('Desabilita sublinhado', size=20),
        'supcci_fonte_liga': fields.char('Habilita fonte Expandida', size=20),
        'supcci_fonte_desliga': fields.char('Desabilita fonte Expandida', size=20),
        'supcci_corta_papel': fields.char('Corta Papel', size=20),
        'supcci_espacamento_linha': fields.char('Espacamento de linha', size=20),
        'supcci_fonte_cond_liga': fields.char('Condencar Fonte', size=20),
        'supcci_fonte_cond_desliga': fields.char('Descondencar Fonte', size=20),
        'supcci_gaveta': fields.char('Abrir Gaveta', size=20),
        'state': fields.selection([('1', 'Inutilizada'), ('2','Ativa')], 'Estado',)
    }

    _defaults = {
        'state': '1',
    }