# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class supervisor_cad_kits(osv.Model):
    """
    Cadastro de Kits
    Prefixo: supkit

    """
    _name = 'supervisor.cad.kits'
    _gerar_logs_logs = 'N'
    _columns = {
        'supkit_loja': fields.integer('Loja', required=True),
        'supkit_codigo_kit': fields.many2one("supervisor.cad.itens", 'Codigo kit',
                                             ondelete="no action", required=True, select=True),
        'supkit_codigo_item': fields.many2one("supervisor.cad.itens", 'Codigo item',
                                              required=True, select=True),
        'supkit_codigo_barra_kit': fields.char('Codigo de barra kit', size=14, required=True,
                                               select=True),
        'supkit_codigo_barra_item': fields.char('Codigo de barra item', size=14, required=True,
                                                select=True),
        'supkit_quantidade': fields.float('Quantidade', digits=(10, 3), required=True),
        'supkit_preco_venda': fields.float('Valor Total Item no Kit', digits=(15, 2), required=True,
                                           oldname='supkit_vr_unitario_no_kit'),
    }

