# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
import time


class supervisor_cad_mesas(osv.Model):
    """
    Cadastro de mesas
    Prefixo supmes
    """
    _name = 'supervisor.cad.mesas'
    _gerar_logs_logs = 'N'
    _columns = {
        'supmes_loja': fields.integer('Loja', required=True),
        'supmes_numero': fields.integer('Numero', required=True),
        'active': fields.boolean('Ativo'),
        'supmes_tipo': fields.char('Tipo', size=1),
        'name': fields.char('Descricao', size=30, required=True),
        'supmes_mov_mesas_ids': fields.one2many('supervisor.mov.mesas', 'supmme_mesa_id', 'Mesas'),
        'supmes_mov_registro_mesa_ids': fields.one2many('supervisor.mov.registro.mesa', 'supmer_mesa_id', 'Mesa'),
    }
    _defaults = {
        'active': lambda *a: True,
    }
