# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
import time


class supervisor_cad_municipios(osv.Model):
    """
    Tabela de Cadastro de municipios
    
    Prefixo: supmun
    
    """
    _name = 'supervisor.cad.municipios'
    _gerar_logs_logs = 'N'
    _columns = {
        'supmun_codigo_ibge': fields.char('Codigo ibge', size=45, select=True),
        'supmun_iduf': fields.integer('Supmunuf'),
        'name': fields.char('Descricao', size=100),
    }
    _sql_constraints = [
        ('supmun_codigo_ibge_uniq', 'unique (supmun_codigo_ibge)', 'O codigo_ibge precisa ser unico!'),
    ]

