# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
import time


class supervisor_cfg_ecf_autorizada(osv.Model):
    _name = 'supervisor.cfg.ecf.autorizada'
    _gerar_logs_logs = 'N'
    _columns = {
        'supcfa_loja': fields.integer('Loja', required=True),
        'supcfa_caixa': fields.integer('Caixa', required=True),
        'create_date': fields.datetime('Data de inclusao', readonly=True),
        'supcfa_fabricante': fields.char('Fabricante', size=100),
        'supcfa_hora_sb': fields.float('Hora sb', digits=(3,2)),
        'supcfa_modelo': fields.char('Modelo', size=30),
        'supcfa_nserie': fields.char('Nserie', size=20),
        'supcfa_nacional': fields.char('Nacional', size=10),
        'supcfa_versao': fields.float('Versao', digits=(3,2)),
        'supcfa_empresa': fields.char('Empresa', size=100),
        'supcfa_sign': fields.char('Sign', size=256),
        'supcfa_md5': fields.char('Md5', size=32),
    }

