# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
import time


class supervisor_mov_acao_pendente(osv.Model):
    """
    Tabela de acao pendente
    Prefixo: supape
    """
    _name = 'supervisor.mov.acao.pendente'
    _gerar_logs_logs = 'N'
    _columns = {
        'supeape_loja': fields.integer('Loja'),
        'supeape_pdv': fields.integer('PDV'),
        'supape_tabela': fields.char('Tabela', size=20),
        'supape_situacao': fields.char('Situacao', size=1),
        'supape_total_em_aberto_cliente': fields.float('Total em aberto cliente', digits=(10,2)),
    }
    _defaults = {
        'supape_total_em_aberto_cliente': lambda *a: '0.00',
    }

