# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
import time


class supervisor_mov_cupom_servidor(osv.Model):
    """
    Tabela de cupons exportados para o servidor
    Prefixo: supcse
    """
    _name = 'supervisor.mov.cupom.servidor'
    _gerar_logs_logs = 'N'
    _columns = {
        'supcse_enviado': fields.boolean('Enviado', select=True),
        'supcse_capa_id': fields.many2one("supervisor.mov.capa", 'Capa', ondelete="cascade",
                                          required=True, select=True),
    }

