# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
import time


class supervisor_mov_meios_pagamentos(osv.Model):
    """
    Tabela Resumo de meios de pagamento
    Prefixo: supmpa
    """
    _name = 'supervisor.mov.meios.pagamentos'
    _gerar_logs_logs = 'N'
    _columns = {
        'supmpa_loja': fields.integer('Loja', required=True),
        'supmpa_caixa': fields.integer('Caixa', required=True),
        'supmpa_data_movimento': fields.date('Data movimento', required=True),
        'supmpa_finalizadora': fields.integer('Finalizadora', required=True),
        'supmpa_tipo_documento': fields.char('Tipo documento', size=2, required=True),
        'supmpa_descricao_finalizadora': fields.char('Descricao finalizadora', size=100),
        'supmpa_valor': fields.float('Valor', digits=(10,2)),
        'supmpa_enviado': fields.selection([('S','Sim'), ('N','Nao')], 'Enviado'),
    }

