# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
import time


class supervisor_mov_mesas(osv.Model):
    """
    Tabela de movimentacao de mesas
    Prefixo: supmme
    """
    _name = 'supervisor.mov.mesas'
    _gerar_logs_logs = 'N'
    _columns = {
        'supmme_mesa_id': fields.many2one("supervisor.cad.mesas", 'Mesa', ondelete="restrict", required=True, select=True),
        'supmme_capa_id': fields.many2one("supervisor.mov.capa", 'Capa', ondelete="set null", select=True),
        'status': fields.char('Status', size=1),
        'supmme_cliente': fields.char('Cliente', size=15),
        'supmme_subtotal': fields.float('Subtotal', digits=(10,2)),
        'supmme_data_hora_Abertura': fields.datetime('Data hora abertura'),
        'supmme_data_hora_fechamento': fields.datetime('Data hora fechamento'),
        'supmme_observacao': fields.char('Observacao', size=120),
        'mov_mesa_itens_ids': fields.one2many('supervisor.mov.mesa.itens', 'supmit_mesa_id', 'Itens'),
    }

