# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
import time


class supervisor_mov_recebimentos(osv.Model):
    """
    Tabela de controle de tipo de recebimento
    Prefixo: suprec
    """
    _name = 'supervisor.mov.recebimentos'
    _gerar_logs_logs = 'N'
    _columns = {
        'suprec_tipo_recebimento': fields.integer('Tipo recebimento'),
        'suprec_capa_id': fields.many2one("supervisor.mov.capa", 'Capa', ondelete="cascade",
                                          required=True, select=True),
    }

