# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
import time


class supervisor_mov_registro_mesa(osv.Model):
    """
    Tabela de Registro de mesas
    Prefixo: supmer
    """
    _name = 'supervisor.mov.registro.mesa'
    _gerar_logs_logs = 'N'
    _columns = {
        'supmer_mesa_id': fields.many2one("supervisor.cad.mesas", 'Mesa', ondelete="no action", required=True),
        'supmer_loja': fields.integer('Loja'),
        'supmer_codigo_item': fields.char('Codigo item', size=14),
        'supmer_quantidade': fields.float('Quantidade', digits=(10,3)),
        'supmer_reg_can': fields.char('Reg can', size=1),
        'supmer_data_registro': fields.date('Data registro'),
        'supmer_hora': fields.float('Hora', digits=(3,2)),
        'supmer_confirmado': fields.char('Confirmado', size=1),
    }
    _defaults = {
        'supmer_confirmado': lambda *a: 'N',
    }

