# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
import time


class supervisor_mov_saldo(osv.Model):
    """
    Tabela de Saldo
    Prefixo: supsal
    """
    _name = 'supervisor.mov.saldo'
    _gerar_logs_logs = 'N'
    _columns = {
        'supsal_loja': fields.integer('Loja', required=True),
        'supsal_item': fields.char('Item', size=20, required=True, select=True),
        'supsal_saldo_inicial': fields.float('Saldo inicial', digits=(16,3)),
        'supsal_saldo': fields.float('Saldo', digits=(16,3)),
        'supsal_data': fields.date('Data'),
    }

