# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
import time


class supervisor_pve_corpo(osv.Model):
    """
    Tabela de itens da prevenda
    Prefixo: suppvo
    """
    _name = 'supervisor.pve.corpo'
    _gerar_logs_logs = 'N'
    _columns = {
        'suppvo_capa_id': fields.many2one("supervisor.pve.capa", 'Capa', ondelete="cascade", required=True),
        'suppvo_sequencia': fields.integer('Sequencia', required=True),
        'suppvo_item': fields.char('Item', size=14),
        'suppvo_quantidade': fields.float('Quantidade', digits=(10,3)),
        'suppvo_preco_total': fields.float('Preco total', digits=(10,3)),
        'suppvo_desconto_item': fields.float('Desconto item', digits=(10,3)),
        'suppvo_acrescimo_item': fields.float('Acrescimo item', digits=(10,3)),
        'suppvo_venda_cancelamento': fields.char('Venda cancelamento', size=1),
    }
    _defaults = {
        'suppvo_venda_cancelamento': lambda *a: 'F',
    }

