# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
import time


class supervisor_pve_fechamento(osv.Model):
    """
    Tabela de Fechamento da prevenda
    Prefixo: suppvf
    """
    _name = 'supervisor.pve.fechamento'
    _gerar_logs_logs = 'N'
    _columns = {
        'suppvf_capa_id': fields.many2one("supervisor.pve.capa", 'Capa', ondelete="cascade", required=True),
        'suppvf_sequencia': fields.integer('Sequencia', required=True),
        'suppvf_finalizadora': fields.integer('Finalizadora'),
        'suppvf_valor': fields.float('Valor', digits=(8,2)),
        'suppvf_cheque_banco': fields.integer('Cheque banco'),
        'suppvf_cheque_agencia': fields.integer('Cheque agencia'),
        'suppvf_cheque_numero': fields.integer('Cheque numero'),
        'suppvf_cheque_conta': fields.integer('Cheque conta'),
        'suppvf_cheque_juros': fields.float('Cheque juros', digits=(8,2)),
        'suppvf_cheque_cnpj': fields.char('Cheque cnpj', size=15),
        'suppvf_pve_vencimentos_ids': fields.one2many('supervisor.pve.vencimentos', 'suppvv_fechamento_id', 'Vencimentos'),
    }

