#  -*- encoding: utf-8 -*-

# Funcoes da classe wizard_supervisor_exporta_para_ecf


def get_permissao_exportar_reducao_z(self, cr, uid, ids, fields_name, arg, context=None):
    """
    O metodo verifica se o usuario possui permissao no grupo 'supervisor / manager'. Se sim,
    retorna True,  senao, False.
    :param cr: cursor no banco de dados.
    :type cr: object
    :param uid: id da tabela res_users, identificador do usuario.
    :type uid: int
    :param ids: lista de id da tabela desse objeto.
    :type ids: list
    :param fields_name: lista com a descricao dos campos.
    :type fields_name: list
    :param arg: lista de argumentos de pesquisa.
    :type arg: list
    :param context: dicionario com valores contextuais.
    :type context: dict
    :return: dicionario tendo como chave a descricao do campo e seu valor um booleano.
    :rtype: dict
    """
    context = context and context.copy() or {}
    res = {}
    possui_permissao = self.verifica_permissao_exportar_z(cr, uid, context)
    map(lambda i: res.update({i.get('id'): possui_permissao}),
        self.read(cr, uid, ids, ['id'], context))
    return res