# -*- coding: utf-8 -*-

# To change this template, choose Tools | Templates
# and open the template in the editor.


from openerp.osv import fields
from openerp.osv import osv


class wizard_exporta_xml_nfce(osv.TransientModel):
    def _get_chave_nfe(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        id = ids.get('active_id')
        dados_nf_capa = self.pool.get('supervisor.mov.capa').read(cr, uid, id, ['supcap_chave_acesso', 'supcap_nro_cupom', 'serie_nf',
                                                                           'modelo_nf_series_id'], context=context)
        chave = dados_nf_capa.get('supcap_chave_acesso') + '.xml'
        # chave = dados_nf_capa.get('supcap_chave_acesso')
        # if chave:
        #     chave = chave + '.pdf'
        # else:
        #     chave = '%041d%s.pdf' % (dados_nf_capa.get('supcap_nro_cupom'),
        #                              dados_nf_capa.get('serie_nf').rjust(3, '0'))
        return chave

    _name = "wizard.exporta.xml.nfce"
    _description = "Exporta NFC-e"

    _columns = {
        'xml_export': fields.binary('Exportar Xml', readonly=True),
        'file': fields.char('Arquivo', size=50, readonly=True),
    }
    _defaults = {
        'file': _get_chave_nfe,
    }


