# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from openerp.tools.translate import _


class supervisor_producao_local(osv.Model):
    """
    Tabela de local de produto no supervisor
    Prefixo: sucloc
    """
    _name = 'supervisor.producao.local'
    _gerar_logs_logs = 'N'
    _columns = {
        'sucloc_codigo': fields.integer('Local de producao', required=True, select=True),
        'name': fields.char('Descricao', size=30, required=True),
        'sucloc_impressora': fields.char('Impressora', size=64),
    }

    _sql_constraints = [
        ('codigo_unique', 'unique(sucloc_codigo)',
         _('O codigo deve ser unico!'))
    ]
