# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
IMPRIMIR = [('1','Nao imprimir'),
            ('2', 'Aguardando confirmacao'),
            ('3', 'Aguardando impressao'),
            ('4', 'Impresso')]

class supervisor_cda_corpo(osv.Model):
    """
    Tabela do corpo da comanda
    Prefixo: supcdo
    """
    _inherit = 'supervisor.cda.corpo'
    _columns = {
        'supcdo_observacao': fields.text('Observacao'),
        'supcdo_seq_impressao': fields.integer('Sequencia de Impressao'),
        'supcdo_data_hora_impressao': fields.datetime('Ultima impressao'),
        'supcdo_imprimir': fields.selection(IMPRIMIR,  'Estado de Impressao', size=1, select=True, oldname='subcdo_imprimir'),
        'supcdo_entregue': fields.boolean('Entregue'),
    }

    def _auto_init(self, cr, context=None):
        self._defaults = {
            'supcdo_venda_cancelamento': 'V',
            'supcdo_seq_impressao': 0,
            'supcdo_imprimir': '1',
            'supcdo_entregue': False,
        }
        super(supervisor_cda_corpo, self)._auto_init(cr, context)