# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
from criar_triger import criar_triger


class supervisor_cad_itens(osv.Model):

    _inherit = 'supervisor.cad.itens'

    def write(self, cr, user, ids, vals, context=None):
        context = context and context.copy() or {}
        # toda alteracao deve marcar 'scanntech' para 0 para a API Avanco poder pegar a informacao
        vals['scanntech'] = 0
        return super(supervisor_cad_itens, self).write(cr, user, ids, vals, context=context)

    def _auto_init(self, cr, context=None):
        context = context and context.copy() or {}
        try:
            super(supervisor_cad_itens, self)._auto_init(cr, context)
            criar_triger(cr, 'cad_itens', context=context)
        except:
            pass