# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class supervisor_cad_itens(osv.Model):
    """
    Tabela de Cadastro de itens
    Prefixo: supite

    """
    _inherit = 'supervisor.cad.itens'

    _columns = {
        # tem uma trigger scanntech campo para ele ser zero ao criar ou alterar a classe menos quando passado
        # valor para o proprio campo
        'scanntech': fields.integer('Sacanntech', sequence=True),
        'log_erro': fields.text('Log'),
    }

    _defaults = {
        'scanntech': 0,

    }
