# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields


class supervisor_cfg_parametros(osv.Model):
    """
    Tabela de parametros do supervisor
    Prefixo: supcfp
    """
    _inherit = 'supervisor.cfg.parametros'

    _gerar_logs_logs = 'N'
    _columns = {
        'supcfp_impressora_sorteio': fields.char('Impressora cupom de sorteio', size=60),
        'supcfp_porta_impressora': fields.char('Porta da impressora',
                                               help='Para impressora que o Driver nao funciona,'
                                                    ' a impressao sera enviada direatamente na'
                                                    ' porta onde a impressora estiver instalada', size=15),

        'supcfp_senha': fields.char('Senha', help='Senha do usuário do computador para imprimir '
                                                  'direto na porta onde a impressora esta instalada', size=30),
    }

