# -*- encoding: utf-8 -*-
'''
Created on 17/12/2010

@author: joao
'''

from openerp.osv import osv, fields
import time


class res_request(osv.Model):
    '''
    Extensao da classe res_request do modulo base.
    A principal modificacao e no metodo request_get, que traz o numero de mensagens.
    '''
    _name = 'res.request'
    _inherit = 'res.request'

    def request_get(self, cr, uid):
        '''
        Modificacao:
        
        '''
        cr.execute(
            'select id from res_request where act_to=%s and (trigger_date<=%s or trigger_date is null) and active=True and state=\'waiting\' and lida = False',
            (uid, time.strftime('%Y-%m-%d')))
        ids = map(lambda x: x[0], cr.fetchall())
        #cr.execute('select id from res_request where act_from=%s and (act_to<>%s) and (trigger_date<=%s or trigger_date is null) and active=True and state=\'active\' ', (uid,uid,time.strftime('%Y-%m-%d')))
        #ids2 = map(lambda x:x[0], cr.fetchall())
        return (ids, 0)

    def read(self, cr, uid, ids, fields=None, context=None, load='_classic_read'):
        context = context and context.copy() or {}
        res = super(res_request, self).read(cr, uid, ids, fields=fields, context=context, load=load)
        if type(ids) is int:
            ids = [ids]
        for i in range(len(ids)):
            if not (fields is None) and ('body' in fields) and (res[i]['act_to'] == uid) and res[i][
                'state'] == 'waiting':
                res[i]['lida'] = 'True'
                self.write(cr, uid, ids[i:i + 1], {'lida': True}, context=context)
        return res    
    
