# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

import time
from openerp.osv import fields
from openerp.osv import osv
from openerp import pooler
from openerp import tools
from datetime import date,datetime
from openerp.tools.translate import _

class estoque_parametro(osv.Model):
    _name = 'estoque.parametro'
    _inherit = 'estoque.parametro'
    _columns = {
        'local_origem_id': fields.many2one("estoque.local", 'Local Origem', ondelete="restrict", required=True, select=True, domain="[('company_id', '=', resrca_empresa_entrada_id)]"),
        'local_destino_id': fields.many2one("estoque.local", 'Local Destino', ondelete="restrict", required=True, select=True, domain="[('company_id', '=', company_id)]")
    }

