# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

import time
from openerp.osv import fields
from openerp.osv import osv
from openerp import pooler
from openerp import tools
from datetime import date,datetime
from openerp.tools.translate import _
class estoqueressuprimento_requisicao_capa(osv.Model):
        
    _name = 'estoqueressuprimento.requisicao.capa'
    _inherit = 'estoqueressuprimento.requisicao.capa'

    def default_get(self, cr, uid, fields, context=None):
        context = context and context.copy() or {}
        res = super(estoqueressuprimento_requisicao_capa, self).default_get(cr, uid, fields, context=context)
        if context.get('troca_mercadoria',False) and res.get('resrca_empresa_entrada_id',False):
            obj_param = self.pool.get('estoque.parametro')
            vlo_recebido = obj_param.search(cr, uid,[('company_id', '=',res['resrca_empresa_entrada_id'])])
            if vlo_recebido:
                if 'company_id' in fields:
                    emp_saida = obj_param.read(cr,uid,vlo_recebido,['company_id'])[0]['company_id'][0]
                    res.update({'company_id':emp_saida})
                if 'local_entrada_id' in fields:
                    local_entrada=obj_param.read(cr,uid,vlo_recebido,['local_origem_id'])
                    if local_entrada:
                        try:
                            local_entrada = local_entrada[0].get('local_origem_id')[0]
                        except:
                            local_entrada = False                        
                    else:
                        local_entrada = False
                    res.update({'local_entrada_id':local_entrada})
                if 'local_saida_id' in fields:
                    try:
                        local_saida= obj_param.read(cr,uid,vlo_recebido,['local_destino_id'])[0]['local_destino_id'][0]
                    except:
                        local_saida= False
                                                
                    res.update({'local_saida_id':local_saida})
                    res.update({'tipo':'TR'})
            else:
                raise osv.except_osv('SigERP', 'Cadastre  local origem e local destino em Estoque/cadastro.')
        
        return res
