# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

import time
from openerp.osv import fields
from openerp.osv import osv
from openerp import pooler
from openerp import tools
from datetime import date,datetime
from openerp.tools.translate import _
class estoqueressuprimento_troca_itens(osv.Model):

    _name = 'estoqueressuprimento.troca.itens'
    _rec_name = "troca_id"
    _columns = {
        'nro_serie':fields.char('Nro Serie',size=30),
        'nro_serie_antigo':fields.char('Nro Serie',size=30),
        'troca_id': fields.many2one("estoqueressuprimento.requisicao.capa", 'Troca Mercadorias', ondelete="cascade", required=True, select=True), # id Troca Mercadorias
        'produto_antigo_id': fields.many2one("estoque.produto", 'Produto', ondelete="restrict", required=True, select=True), # Id do produto antigo
        'produto_novo_id': fields.many2one("estoque.produto", 'Novo Produto', ondelete="restrict", select=True), # Id do produto novo
        'state':fields.selection([('NF','Nota Fiscal Gerada'),('E','Esboco')],"Status", size=2),
        'rma_produto_ids':fields.one2many('rma.produto', 'rma_produto_troca_id','Troca ID')
    }
    _defaults ={
        'state':'E',
        'produto_novo_id':None
    }

