# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class trocas_documento_origem(osv.Model):
    # prefixo: trcdor_

    _name = 'trocas.documento.origem'

    _inherits = {'trocas.capa': 'trcdor_capa_id'}

    _columns = {
        'trcdor_capa_id': fields.many2one('trocas.capa', 'Capa', required=True, select=True,
                                          ondelete='cascade'),
        'trcdor_nf_id': fields.many2one('fiscal.nf.capa', 'Nota', select=True, ondelete='restrict'),
        'trcdor_itens_ids': fields.one2many('trocas.itens.entrada', 'trcien_capa_origem_id',
                                            'Itens'),
    }
