# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields


class veiculos_modelo(osv.Model):
    """
    Tabela de modelos dos veiculos
    """
    _name = 'veiculos.modelo'
    _columns = {
        'id': fields.integer('Codigo', readonly=True),
        'name': fields.char('Descricao', size=20, required=True), # modelo do veiculo (descricao)
        'marca_id': fields.many2one('veiculos.marca', 'Marca', required=True),
    }

