# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class financeiro_titulo(osv.Model):
    _name = 'financeiro.titulo'
    _inherit = 'financeiro.titulo'
    _columns = {
        'vendedor_id': fields.many2one("vendas.vendedor", 'Vendedor', ondelete="restrict", select=True,
                                       domain="[('tipo','=','I')]"), # id do vendedor
        'vendedor_externo_id': fields.many2one("vendas.vendedor", 'Vendedor externo', ondelete="restrict", select=True,
                                               domain="[('tipo','=','E')]"), # id do vendedor externo
    }
