# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class estoque_parametro(osv.Model):
    """
    Tabela parametro
    """
    _name = 'estoque.parametro'
    _inherit = 'estoque.parametro'
    _columns = {
        'estpar_vendex_local_id': fields.many2one('estoque.local','Local', ondelete="restrict",
                                                     domain="[('company_id', '=', company_id)]"
                                                    )
    }
