# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class vendas_externas_departamento(osv.Model):
    """
    Tabela de comissoes por grupos de produtos ou por produtos
    Nesta tabela se o tipo de faixa for C, informar a categoria, e for P informar o codigo do produto

    """
    _name = 'vendas.externas.departamento'
    _columns = {
        'id': fields.integer('id',readonly=True),
        'vexdep_codigo': fields.integer('Codigo', required=True, readonly=True),
        'name': fields.char('Descricao do departamento', size=30, required=True),
        'vexdep_departamento_pai_id': fields.many2one("vendas.externas.departamento", 'Departamento pai', ondelete="cascade", select=True),
        'vexdep_produtos_ids': fields.many2many('estoque.produto', 'estoque_produto_departamento_rel', 'departamento_id','produto_id', 'Produtos'),
        'vexdep_imagem': fields.binary('Imagem', filters='*.png,*.gif,*.jpeg'),
    }
    _defaults = {

    }