#!/usr/bin/python
# -*- encoding: utf-8 -*-

from openerp.osv import osv
from openerp.tools.translate import _


class websig_executor_tela_osv(osv.TransientModel):
    _name = 'websig.executor.tela.osv'
    _inherit = 'websig.executor.tela.osv'

    def websig_exec_0007(self, cr, uid, ids, context):
        context = context and context.copy() or {}
        msg = ''
        obj_estinvcon = self.pool.get('estoque.inventario.contagem')
        obj_estprecus = self.pool.get('estoque.preco.custo')
        estpar = self.pool.get('adm.utils').admutl_get_parametros(
            cr, uid, 'estoque', ['custo_inventario'], context=context)
        executor_tela_id = ids[0] if isinstance(ids, list) else ids
        funcao_escolhida = eval(self.browse(cr, uid, executor_tela_id, context).dados)[7]
        _inventario_id = funcao_escolhida.get('campos').get('inventario_id').get('value', False)
        if estpar.get('custo_inventario') == 'U':
            campo_custo = 'estict_ultimo_custo'
        else:
            campo_custo = 'estict_custo_medio_contabil'
        itens_com_custo_negativo = obj_estinvcon.search(
            cr, uid, [('inventario_id', '=', _inventario_id), (campo_custo, '<', 0.01)],
            context=context)
        data_inventario = self.pool.get('estoque.inventario.capa').browse(cr, uid, _inventario_id,
                                                                          context=context).create_date
        produto_ids = map(lambda i: i.produto_id.id,
                          obj_estinvcon.browse(cr, uid, itens_com_custo_negativo, context=context))
        custos = obj_estprecus.get_custos_do_dia(cr, uid, produto_ids, epc_company_id=None,
                                                 epc_data=data_inventario, context=None)
        for item in obj_estinvcon.browse(cr, uid, itens_com_custo_negativo, context=context):
            if custos.get(item.produto_id.id) and custos.get(item.produto_id.id).get(
                    'estprc_ultimo_custo') > 0.01:
                vr_ultimo_custo = custos.get(item.produto_id.id).get('estprc_ultimo_custo')
            else:
                vr_ultimo_custo = 0.01
            print vr_ultimo_custo
            obj_estinvcon.write(cr, uid, item.id, {campo_custo: vr_ultimo_custo}, context=context)
        msg += _('<h1>Concluido sem erro!</h1>')
        res = self.write(cr, uid, ids, {'state': '3', 'mensagem': msg}, context)
        return res
