<?xml version = '1.0' encoding="utf-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format">
    <xsl:template name="first_page_graphics_corporation">
        <!--logo-->
        <fill color="black"/>
        <stroke color="black"/>
        <setFont name="DejaVu Sans" size="7"/>
        <drawString x="1cm" y="19.7cm">
            <xsl:value-of select="//header-date"/>
        </drawString>
        <setFont name="DejaVu Sans Bold" size="8"/>
        <drawString x="4.4cm" y="19.7cm">
            <xsl:value-of select="//company"/>
        </drawString>
        <stroke color="#050905"/>
        <lines size="8">1cm 19.5cm 28cm 19.5cm</lines>
        <lines size="8">1cm 2cm 28.7cm 2cm</lines>
        <drawString x="1cm" y="1.5cm">SiG - Soluções em Informática</drawString>
    </xsl:template>

    <xsl:template name="first_page_frames">
        <frame id="col1" x1="2.0cm" y1="2.5cm" width="24.7cm" height="16cm"/>
    </xsl:template>

</xsl:stylesheet>
