# -*- coding: utf-8 -*-

from openerp.osv import osv, fields


class WebmobMenu(osv.Model):

    _name = 'webmob.permissoes'
    _description = 'Arquivo de permissoes para acesso do menu'

    _columns = {
        'wmobper_usuario_id': fields.many2one('res.users', 'Usuario', required=True, index=True, ondelete='cascade'),
        'wmobper_menu_id': fields.many2one('webmob.menu', 'Menu', required=True, index=True, ondelete='cascade'),
        'wmobper_permissao': fields.boolean('Permitir'),
        'wmobper_configuracoes_ids': fields.one2many('webmob.configuracoes', 'wmobconf_permissao_id', 'Configuracoes'),
    }
    _defaults = {
        'wmobper_permissao': False,
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
