# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class adm_banco(osv.Model):
    _inherit = 'adm.banco'

    def name_search(self, cr, uid, name='', args=[], operator='ilike', context=None, limit=100):
        """
        Busca pelo nome do banco ou Codigo no Banco Central
        """
        context = context and context.copy() or {}
        ids = []
        try:
            name = int(name)
        except:
            pass
        if isinstance(name, int):
            ids = self.search(cr, uid, [('admbco_codigo_bc', '=', name)] + args, limit=limit, context=context)
        elif name.isalpha():
            name = str(name)
            ids = self.search(cr, uid, [('admbco_pessoa_id', operator, name)] + args, limit=limit, context=context)
        if not ids:
            ids = self.search(cr, uid, args, limit=limit, context=context)
        return self.name_get(cr, uid, ids)
