# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
from openerp import SUPERUSER_ID


class users(osv.Model):
    _name = 'res.users'
    _inherit = 'res.users'

    def search(self, cr, uid, args, offset=0, limit=None, order=None, context=None, count=False):
        context = context and context.copy() or {}
        obj_utils = self.pool.get('adm.utils')
        for x in args:
            if 'name' in x:
                soundex = obj_utils.get_fonema(x[-1])
                if soundex != '00000' and soundex != '':
                    posicao = args.index(x)
                    args.remove(x)
                    args.insert(posicao, ['soundex', 'ilike', '%' + soundex.replace(';', '%') + '%'])
        res = super(users, self).search(cr, uid, args, offset, limit, order, context, count)
        return res

    def get_super_user(self, cr, uid, ids, context=None):
        '''
        Este metodo serve para pegar o super user quando um banco de dados acessar outro banco em outra maquina
        :return: id do super user
        '''
        context = context and context.copy() or {}
        return SUPERUSER_ID