# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields

#prefixo = admtrc_

from funcoes import admtrc_operacao


class adm_transacao_capa(osv.Model):
    """
    Tabela de transacoes
    """
    _name = 'adm.transacao.capa'
    _description = 'Capa da transacao'
    _rec_name = 'admtrc_operacao'
    _columns = {
        'id': fields.integer('Codigo da Transacao', readonly=True),
        'create_date': fields.datetime('Data da transacao', readonly=True, select=True),
        'create_uid': fields.many2one('res.users', 'Usuario', readonly=True, select=True),
        'admtrc_operacao': fields.selection(admtrc_operacao, 'Operacao', size=4, required=True, select=True),
        'admtrc_transacao_itens_ids': fields.one2many('adm.transacao.itens', 'admtri_capa_id', 'Documentos'),
    }

