# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class adm_monitor_alertas(osv.Model):
    """
    Esta classe identifica o que deve ser monitorado(Cadastro dos alertas)
    """
    _name = 'adm.monitor.alertas'
    _gerar_logs_logs = 'N'
    _columns = {
        'name': fields.char('Descricao', size=64, required=True),
        'admmal_periodo': fields.selection([('D', 'Dia'), ('M', 'Mes'), ('h', 'Hora'), ('m', 'Minuto'),
                                            ('S', 'Sem periodo definido')], 'Periodo', required=True),
        'admmal_prazo': fields.integer('Prazo', required=True),
        'admmal_ultima_verificacao': fields.datetime('Data da ultima verificacao'),
        'admmal_regras_ids': fields.one2many('adm.monitor.alertas.regras', 'admmrg_alerta_id', 'Regras'),
        'admmal_grupos_ids': fields.one2many('adm.monitor.alertas.grupos', 'admmgr_alerta_id', 'Grupos/Pessoas'),
    }