# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class adm_monitor_alertas_regras(osv.Model):
    """
    Esta classe identifica as regras que serão observadas por cada alerta
    """
    _name = 'adm.monitor.alertas.regras'
    _columns = {
        'name': fields.text('Dominio', required=True,
                            help="Lista de tupla que contem o dominio para execucao do search. Ex.:[('grupo', '=', 5)]"),
        'admmrg_alerta_id': fields.many2one('adm.monitor.alertas', 'Alerta', required=True, ondelete='cascade',
                                            select=True),
        'admmrg_classe': fields.char('Nome da classe', size=64, required=True,
                                     help="Nome da classe a ser aplicada a regra. Ex.:'adm.pessoa'"),
        'admmrg_contexto': fields.text('Context', help='Contexto a ser utilizado na execucao da regra!')
    }
