# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
from openerp.tools.translate import _


class adm_pessoa_homepage(osv.Model):
    """
    Tabela de Home pages do cadastro de pessoa
    """
    _name = 'adm.pessoa.homepage'
    _columns = {
        'pessoa_id': fields.many2one("adm.pessoa", 'Pessoa', ondelete="cascade", required=True, select=True),
        'name': fields.char('Descricao', size=50, required=True), # Endereco da Home page
        'observacao': fields.text('Observacao'), # Observacoes
    }
    _order = 'pessoa_id, name'
