# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class adm_bairro(osv.Model):
    """
    Tabela que contem o cadastro dos bairros
    """
    _name = 'adm.bairro'
    _columns = {
        'name': fields.char('Nome do bairro', size=30, required=True), # Nome do bairro
        'endereco_ids': fields.one2many('adm.pessoa.endereco', 'bairro_id', 'Enderecos'),
    }
    _order = 'name'
