# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################


from openerp.osv import osv, fields


class adm_setor(osv.Model):
    """
    Tabela de setores para telefones e emails de pessoas juridicas
    """
    _name = 'adm.setor'
    _columns = {
        'name': fields.char('Descricao', size=20, required=True), # Descricao do setor
    }

    _sql_constraints = [
        ('sigla_uniq', 'unique (name)', 'A descricao do setor precisa ser unica!'),
    ]

