# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class api_controle(osv.Model):

    _name = 'api.controle'

    _columns = {
        'name': fields.char('Frase', size=50, required=True),
        'apicon_pessoa_id': fields.many2one('adm.pessoa', 'Cliente', required=True, ondelete='cascade', select=True),
        'apicon_tempo': fields.integer('Tempo'),
        'apicon_base': fields.char('Base de dados', size=64, required=True),
        'apicon_code': fields.char('Code', size=128),
        'apicon_log': fields.boolean('Habilita log'),

    }
    _defaults = {
        'apicon_tempo': 3600,
    }
