# -*- encoding: utf-8 -*-
from openerp.tools.translate import _


status_api = {
    '00': '',
    '01': _('Token invalido. Tente novamente!'),
    '02': _('Token vencido. Tente novamente!'),
    '03': _('Usuario ou senha invalido!'),
    '04': _('Acao nao implementada!'),
    '05': _('Token para refresh, invalido para acessar a aplicacao!'),
    '06': _('Token nao foi gerado pelo SigERP!'),
    '07': _('Erro ao acessar o SigERP!'),
    '08': _('Registro nao localizado!'),
    '09': _('Um ou mais dados de entrada sao invalidos!')}
''
# tuplas com nome_externo(0), nome_interno(1), descricao do campo(2), tipo de dados(3), tamanho do campo(4), Obrigatorio na inclusao(5)
fields_email = (
    ('id', 'id', 'Id interno do e-mail', 'integer', 0, 'N'),
    ('email', 'email_ids.name', 'Endereco de e-mail', 'string', 75, 'S'),
    ('observacao', 'observacao', 'Alguma observacao sobre o e-mail', 'string', 255, 'N'),
    ('setor', 'admpem_setor_ids.name', 'Setor', 'string', 20, 'N'),
)

# tuplas com nome_externo(0), nome_interno(1), descricao do campo(2), tipo de dados(3), tamanho do campo(4), Obrigatorio na inclusao(5)
fields_endereco = (
    ('id', 'id', 'Id interno do endereco', 'integer', 0, 'N'),
    ('ativo', 'active', 'Identifica se esta ativo(1) ou inativo(0)', (0, 1), 1, 'N'),
    ('endereco_tipo', 'endereco_tipo_id', 'Tipo de endereco da pessoa, Normal, Entrega, Cobranca, etc', 'string', 20, 'N'),
    ('pais', 'pais_id.name', 'Pais', 'string', 50, 'N'),
    ('cep', 'cep', 'Codigo de enderecamento postal-CEP', 'string', 10, 'N'),
    ('estado', 'uf_id.sigla', 'Sigla do estado', 'string', 2, 'N'),
    ('Cidade', 'cidade_id.name', 'Cidade', 'string', 50, 'N'),
    ('ibge', 'cidade_id.codigo_ibge', 'Codigo da cidade no Ibge', 'integer', 0, 'N'),
    ('bairro', 'bairro_id.name', 'Bairro', 'string', 30, 'N'),
    ('rua', 'logradouro_id.descricao', 'Rua', 'string', 50, 'N'),
    ('numero', 'numero', 'Numero do imovel na rua', 'string', 5, 'N'),
    ('complemento', 'complemento', 'Complemento do endereco', 'string', 20, 'N'),
    ('observacao', 'observacao', 'Alguma observacao sobre o endereco', 'string', 255, 'N'),

)

# tuplas com nome_externo(0), nome_interno(1), descricao do campo(2), tipo de dados(3), tamanho do campo(4), Obrigatorio na inclusao(5)
fields_pessoa = (
    ('ativo', 'active', 'Identifica se esta ativo(1) ou inativo(0)', (0, 1), 1, 'N'),
    ('data_nascimento', 'admpes_fis_data_nascimento', 'Data de nascimento no formato AAAAMMDD', 'AAAAMMDD', 8, 'N'),
    ('estado_civil', 'admpes_fis_estado_civil',
     'Estado civil, C=Casado, S=Solteiro, V=viuvo, D=Divorciado, E=dEsquitado', ('C', 'S', 'V', 'D', 'E'), 1, 'N'),
    ('produto_rural', 'admpes_fis_produtor_rural', 'Indica a condicao de produtor rural, 1=Produtor, 0=Nao produtor',
     (0, 1), 1, 'N'),
    ('rg', 'admpes_fis_rg', 'Numero da carteira de identidade da pessoa fisica(ate 14 bytes)', 'string', 14, 'N'),
    ('sexo', 'admpes_fis_sexo', 'Sexo da pessoa, M=Masculino F=Feminino', ('M', 'F'), 1, 'N'),
    ('id_externo', 'admpes_id_externo', 'Codigo de identificacao externo', 'string', 14, 'N'),
    ('ie', 'admpes_jur_ie', 'Inscricao estadual da pessoa juridica', 'string', 14, 'N'),
    ('codigo', 'codigo', 'Codigo de identificacao interno', 'integer', 0, 'N'),
    ('cpf_cnpj', 'cpf_cnpj', 'Cpf/Cnpj da pessoa', 'string', 19, 'S'),
    ('emails', 'fields_email', 'lista de e-mails', 'dict', 0, 'N'),
    ('enderecos', 'fields_endereco_id', 'Lista de enderecos', 'dict', 0, 'N'),
    ('fantasia_apelido', 'fantasia_apelido', 'Nome fantasia ou apelido da pessoa', 'string', 30, 'N'),
    ('id', 'id', 'Id interno do banco de dados', 'integer', 0, 'N'),
    ('nome', 'partner_id.name', 'Nome da pessoa', 'string', 50, 'S' ),
    ('fisica_juridica', 'pessoa_tipo', 'Tipo de pessoa, F=Fisica ou J=Juridica', ('F','J'), 1, 'S'),
    ('telefones', 'telefones_ids.numero', 'Lista de telefones', 'string', 25, 'N'),
)
