# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv


class adm_pessoa_categoria_nome(osv.Model):
    _name = "adm.pessoa.categoria.nome"
    _inherit = "adm.pessoa.categoria.nome"

    def create(self, cr, uid, vals, context=None):
        context = context and context.copy() or {}
        if context.get('associacao'):
            if not vals.get('parent_id'):
                _categoria_id = self.pool.get('associacao.utils').assutl_get_categoria(cr, uid,
                                                                                       context=context)
                if _categoria_id:
                    vals['parent_id'] = _categoria_id[0]
        res = super(adm_pessoa_categoria_nome, self).create(cr, uid, vals, context)
        return res
