#-*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class associacao_mandato(osv.Model):
    """
    Tabela que contem os mandatos de cada orgãos da instituição (Presidente, secretário, etc)
    """
    _name = 'associacao.mandato'

    _columns = {
        'id': fields.integer('Id'),
        'assman_orgao_id': fields.many2one('associacao.orgao', 'Orgao', required=True, select=True),
        'name': fields.char('Descricao', size=32, help='Descricao do mandato a ser ocupado',
                            required=True),
        'assman_inicio': fields.date('Data de inicio', required=True),
        'assman_termino': fields.date('Data de termino', required=True),
        'assman_ocupante_ids': fields.one2many('associacao.ocupante', 'assocu_mandato_id',
                                               'Membros'),
    }
    _order = 'assman_orgao_id,assman_inicio desc'


