#-*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class wizard_impressao_carne_detalhes(osv.TransientModel):
    _name = "wizard.impressao.carne.detalhes"
    _columns = {
        'carne_capa_id': fields.many2one('wizard.impressao.carne.capa', 'Capa'),
        'titulo_id': fields.many2one('financeiro.titulo', 'Titulo'),
        'pessoa_id': fields.many2one("adm.pessoa", 'Cliente'),
        'tipo_titulo': fields.selection([('R', 'Receber'), ('P', 'Pagar')], 'Tipo titulo', size=1),
        'documento': fields.char('Documento', size=30),
        'local_cobranca_id': fields.many2one("financeiro.local.cobranca", 'Local cobranca',
                                             domain="[('company_id', '=', company_id)]"),
        'state': fields.selection(
            [('A', 'Em aberto'), ('B', 'Baixado'), ('D', 'Devolvido'), ('R', 'Reapresentado'), ('C', 'Cancelado')],
            'Situacao', size=1),
        'data_emissao': fields.date('Emissao'),
        'data_prorrogacao': fields.date('Vencimento'),
        'valor': fields.float('Valor', digits=(15, 2)),
        'atraso_dias': fields.integer('Atraso(Dias)'),
        'doc_tipo_id': fields.many2one("documento.documento.tipo", 'Tipo de documento'),
        'company_id': fields.many2one("res.company", 'Empresa'),
    }

    def button_excluir(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        if isinstance(ids, list):
            ids = ids[0]
        self.unlink(cr, uid, ids)
        return True
