# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
from datetime import datetime


class automacao_precos(osv.Model):
    """
    Tabela de automacao
    Utilizado pelos programas de venda, principalmente para autoservico

    # prefixo: autpre_

    """
    _inherit = 'automacao.precos'

    def write(self, cr, uid, ids, vals, context=None):
        context = context and context.copy() or {}
        if vals.get('preco_venda') and not vals.get('data_atualizacao'):
            vals.update({'data_atualizacao': datetime.now(), 'ja_listou': False,
                         'autpre_ja_exportou': False})
        res = super(automacao_precos, self).write(cr, uid, ids, vals, context)
        return res
