# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class estoquepedidos_pedido_item(osv.Model):
    """
    PREFIXO PARA OS CAMPOS: pedite_
    """
    _inherit = 'estoquepedidos.pedido.item'

    def pedite_onchange_codigo_barra_id(self, cr, uid, ids, codigo_barra_id, context=None):
        context = context and context.copy() or {}
        res = {'value': {'produto_id': False, 'grade_id': False, 'produto_embalagem_id': False}}
        if not codigo_barra_id:
            return res
        codigo_barra_dados = self.pool.get('automacao.codigo.barra').read(
            cr, uid, codigo_barra_id, ['produto_id', 'grade_id', 'produto_embalagem_id'],
            context, '_classic_write')
        res = {'value': {'produto_id': codigo_barra_dados.get('produto_id'),
                         'grade_id': codigo_barra_dados.get('grade_id'),
                         'produto_embalagem_id': codigo_barra_dados.get('produto_embalagem_id')}}
        return res
