# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class estoque_parametro(osv.Model):
    _name = "estoque.parametro"
    _inherit = "estoque.parametro"

    _columns = {
        'arquivo_de_itens': fields.text('Arquivo de itens',
                                        help="Se o diretorio nao for informado, disponibiliza "
                                             "opcao de download na exportacao."),
        'arquivo_de_setor': fields.text('Arquivo de setor',
                                        help="Se o diretorio nao for informado, disponibiliza "
                                             "opcao de download na exportacao."),
        'arquivo_de_nutricionais': fields.text('Arquivo de nutricionais',
                                               help="Se o diretorio nao for informado, "
                                                    "disponibiliza opcao de download na "
                                                    "exportacao."),
        'estpar_diretorio_arquivo_de_receita': fields.text('Diretorio arquivo de receita',
                                                           help="Diretorio onde o arquivo de "
                                                                "receita sera criado. O nome do "
                                                                "arquivo sera criado de forma "
                                                                "automatica pelo sistema"),
        'estpar_balanca_exportar_digito_codigo_barra': fields.boolean(
            'Exportar digito codigo barra', help="Se marcado, ao exportar, considera o digito "
                                                 "verificador"),
        'estpar_balanca_usar_tara': fields.boolean('Usar tara',
                                                   help="Se marcado controla as informacoes de tara"
                                                        " na balança.")
    }

