# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv


class estoque_produto(osv.Model):
    _inherit = 'estoque.produto'
    def create(self, cr, user, vals, context=None):
        context = context and context.copy() or {}
        self.ajusta_receita_corpo(vals, context)
        return super(estoque_produto, self).create(cr, user, vals, context=context)

    def write(self, cr, user, ids, vals, context=None):
        context = context and context.copy() or {}
        self.ajusta_receita_corpo(vals, context)
        return  super(estoque_produto, self).write(cr, user, ids, vals, context=context)

    def ajusta_receita_corpo(self, vals, context=None):
        context = context and context.copy() or {}
        if vals.get('estpro_receita_corpo'):
            vals['estpro_receita_corpo'] = vals.get('estpro_receita_corpo').replace('\n', ' ')