# -*- coding: utf-8 -*-

from openerp.osv import osv
from SigUtils import calcDigito


class automacao_codigo_barra(osv.Model):
    """
    Tabela de codigos de barra
    """
    _inherit = 'automacao.codigo.barra'

    def name_search(self, cr, uid, name='', args=[], operator='ilike', context=None, limit=100):
        context = context and context.copy() or {}
        if 'balanca_validade_interna_codigo_digito' in context and name.isdigit():
            if context.get('balanca_validade_interna_codigo_digito') is False:
                name += str(calcDigito.ean(name))
            ids = self.search(cr, uid, [('codigo_barra', '=', name)] + args, limit=limit,
                              context=context)
            return self.name_get(cr, uid, ids)
        else:
            return super(automacao_codigo_barra, self).name_search(cr, uid, name, args, operator,
                                                                   context, limit)
