# -*- coding: utf-8 -*-

from openerp.report import report_sxw
import textwrap
from decimal import Decimal, ROUND_DOWN
TWOPLACES = Decimal(10) ** -2


class etiqueta_interna(report_sxw.rml_parse):

    def __init__(self, cr, uid, name, context=None):
        context = context and context.copy() or {}
        super(etiqueta_interna, self).__init__(cr, uid, name, context)
        self.localcontext.update({'wrap_line': textwrap.fill,
                                  'Decimal': Decimal,
                                  'ROUND_DOWN': ROUND_DOWN,
                                  'TWOPLACES': TWOPLACES})


report_sxw.report_sxw('report.impressao_etiqueta_interna', 'wizard.impressao.etiqueta.interna',
                      'addons/balanca_validade_interna/report/etiqueta_interna.rml',
                      parser=etiqueta_interna, header=False)
