# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
from openerp.osv.orm import except_orm
from openerp.tools.translate import _
from openerp import SUPERUSER_ID


class financeiro_tesouraria_movimento(osv.Model):

    _inherit = 'financeiro.tesouraria.movimento'  # fintem

    def default_get(self, cr, uid, fields, context=None):
        context = context and context.copy() or {}
        res = super(financeiro_tesouraria_movimento, self).default_get(cr, uid, fields, context)
        if context.get('wizardConciliacao'):
            res['conta_id'] = context.get('wizardConciliacao').get('conta_id')
            res['data_movimento'] = context.get('wizardConciliacao').get('data_movimento')
            res['debito_credito'] = context.get('wizardConciliacao').get('c_d')
            res['valor'] = context.get('wizardConciliacao').get('valor')
            res['historico'] = context.get('wizardConciliacao').get('historico')
            res['ano_competencia'] = context.get('wizardConciliacao').get('data_movimento')[:4]
            res['mes_competencia'] = context.get('wizardConciliacao').get('data_movimento')[5:7]
        return res
