# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from datetime import datetime, timedelta
import qrcode
import uuid
import os


def _banfin_exli_get_conciliado(self, cr, uid, ids, name, arg, context=None):
    context = context and context.copy() or {}
    ret = {}
    for x in self.browse(cr, uid, ids, context=context):
        ret[x.id] = True if x.banfin_exli_movimento_id.id else False
    return ret

def _banfin_pixpg_ch_name_get(self, cr, uid, ids, name, arg, context=None):
    context = context and context.copy() or {}
    ret = {}
    for x in self.browse(cr, uid, ids, context=context):
        ret[x.id] = '%s / %s' % (x.banfin_pixpg_ch_banco.admbco_pessoa_id.nome, x.banfin_pixpg_ch_chave)
    return ret

def _banfin_pixpag_get_state(self, cr, uid, ids, name, arg, context=None):
    context = context and context.copy() or {}
    res = {}
    _imagem = ''
    _bco = ''
    for _pix in self.browse(cr, uid, ids):
        # if _pix.banfin_pixpag_conta_id.banco_id.id != _bco:
        #     _bco = _pix.banfin_pixpag_conta_id.banco_id.id
        #     _status = _image = ''
        #     ret = self.pool.get('bf.integracao').status_get(cr, uid,
        #         _pix.banfin_pixpag_conta_id.banco_id.admbco_codigo_interno_id.banfin_cdin_codigo_interno,
        #         _pix.banfin_pixpag_conta_id.id,
        #         'pixpag',
        #         context=context)
        #     _imagem = ret.get('dados').get('imagem')
        res[_pix.id] = _imagem
    return res

def _banfin_pixrec_get_dados(self, cr, uid, ids, name, arg, context=None):
    context = context and context.copy() or {}
    res = {}
    for _pix in self.browse(cr, uid, ids):
        im = ''
        if _pix.banfin_pixrec_qrcode:
            _qr_code = qrcode.make(_pix.banfin_pixrec_qrcode)
            _arq = '/tmp/%s.png' % uuid.uuid4()
            _qr_code.save(_arq)
            im = open(_arq, 'rb').read().encode('base64')
            os.remove(_arq)
        _agora = datetime.now()
        _expirado = False
        if _pix.state == 'P' and _pix.banfin_pixrec_dh_registro:
            _registro = datetime.strptime(_pix.banfin_pixrec_dh_registro, "%Y-%m-%d %H:%M:%S")
            if _agora > _registro + timedelta(seconds=_pix.banfin_pixrec_tempo_vida):
                _expirado = True
        res[_pix.id] = {
            'banfin_pixrec_expirado': _expirado,
            'banfin_pixrec_qrcode_image': im,
        }
    return res

def _banfin_pixrec_get_state(self, cr, uid, ids, name, arg, context=None):
    context = context and context.copy() or {}
    res = {}
    _imagem = ''
    _bco = ''
    for _pix in self.browse(cr, uid, ids):
        if _pix.banfin_pixrec_conta_id.banco_id.id != _bco:
            _bco = _pix.banfin_pixrec_conta_id.banco_id.id
            ret = self.pool.get('bf.integracao').status_get(cr, uid,
                _pix.banfin_pixrec_conta_id.banco_id.admbco_codigo_interno_id.banfin_cdin_codigo_interno,
                _pix.banfin_pixrec_conta_id.id,
                'pixrec',
                context=context)
            _image = ret.get('dados').get('imagem')
        res[_pix.id] = _imagem
    return res

