# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class financeiro_tesouraria_contas(osv.Model):

    _inherit = 'financeiro.tesouraria.contas'
    _columns = {
        'fintco_bf_inter_id_client': fields.char('Client ID', size=64,
                                                 help="ClientId da conta no Inter para efeito de integracao"),
        'fintco_bf_inter_client_secret': fields.char('Client Secret', size=64,
                                                 help="ClientSecret da conta no Inter para efeito de integracao"),
        'fintco_bf_inter_conta': fields.char('Contas', size=64, help="Contas do cliente que estão integradas"),
        'fintco_bf_inter_token': fields.text('Token'),
        'fintco_bf_inter_certificado': fields.binary('Certificado'),
        'fintco_bf_inter_certificado_key': fields.binary('Certificado Key'),
        'fintco_bf_inter_certificado_webhook': fields.binary('Certificado WebHook'),
        'fintco_bf_inter_url_callback': fields.text('Url para callback'),
    }

