# -*- coding: utf-8 -*-

from openerp.osv import osv, fields
from openerp.tools.translate import _


class calcmadeira_pecas_serradas_preco(osv.Model):
    _name = 'calcmadeira.pecas.serradas.preco'
    _columns = {
        'company_id': fields.many2one('res.company', _('Empresa'), ondelete='cascade',
                                      required=True, select=True),
        'cpspre_codigo_peca': fields.integer(_('Codigo da peca')),
        'name': fields.char(_('Descricao'), size=40),
        'cpspre_espessura': fields.integer('Espessura', required=True),
        'cpspre_largura': fields.integer(_('Largura'), required=True),
        'cpspre_preco': fields.float(_('Preco'), digits=(5, 2))
    }

    _defaults = {
        'company_id': lambda s, cr, uid, c: s.pool.get('res.users').browse(
            cr, uid, uid).company_id.id,
    }
