# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2013 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz[at]siginformatica.com.br>
                                -------
"""

from openerp.osv import osv


class coletor_android_util(osv.Model):
    """
    Cadastro de modulos utilizados pelo coletor de dados.

    :author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    _name = 'coletor.util'

    def coletor_get_funcao(self, cr, uid, model, function, *args):
        try:
            _args = ','.join(map(lambda x: '%r' % x,  args))
            return eval("self.pool.get('{model}').{function}(cr, uid, {args})".format(
                model=model,
                function=function,
                args=_args))
        except Exception as e:
            txt = ''
            if e.__class__ in (osv.orm.except_orm,osv.except_osv)  and len(e.args) > 1:
                txt = e.args[0].encode('utf-8') + ' ' + e.args[1].encode('utf-8')
            else:
                try:
                    txt = e.message or e.value
                except:
                    txt = str(e)

            txt = self.pool.get('adm.utils').admutl_remover_acentuacao(cr, uid, txt)
            raise Exception('9999', txt)


# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
