# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class coletor_dispositivo(osv.Model):
    """
    Tabela de controle de dispositivos
    Prefixo
    coldis
    """
    _name = 'coletor.dispositivo'
    _columns = {
        'name': fields.char('Nome', size=30, help="Nome que identifique o dispositivo"),
        'create_date': fields.datetime('Data do Cadastro', readonly=True),
        'write_date': fields.datetime('Data Ultima Alteracao', readonly=True),
        'coldis_marca': fields.char('Marca', required=True, size=20),
        'coldis_modelo': fields.char('Modelo', required=True, size=20),
        'coldis_nro_serie': fields.char('Numero de serie', required=True, readonly=True, size=20,
                                        select=True),
        'coldis_responsavel': fields.char('Responsavel', size=60),
        'coldis_licenca': fields.char('Licenca', size=256),
        'coldis_cnpj': fields.char('CNPJ', size=14),
    }