# -*- encoding: utf-8 -*-
{
    "name": "compras",
    'version': '7.0.2403.6',
    "author": "Sig Informatica Ltda",
    "website": "http://www.siginformatica.com.br",
    "category": "Estoque",
    "description": "Modulo de compras do Sig ERP",
    "license": "Other proprietary",
    "depends": [
        'estoquepedidos',
    ],
    "data": [
        "views/compras_solicitacao_report.xml",
        "data/compras_data.xml",
        "data/ir_cron.xml",
        "data/pedido_compra_state.xml",
        "inherit/estoque_categoria_view.xml",
        "inherit/estoque_produto_view.xml",
        "inherit/estoquepedidos_pedido_capa_compras_view.xml",
        "inherit/base_email_view.xml",
        "inherit/estoque_fornecedor_view.xml",
        "inherit/estoque/wizard_estoque_gerar_contagem_view.xml",
        "inherit/estoque_parametro_view.xml",
        "inherit/adm_parametro_view.xml",
        "inherit/estsug_compra_capa_view.xml",
        "inherit/estoque_wizard_listagem_geral_view.xml",
        "views/pedido_capa_compras_view.xml",
        "views/compras_comprador_view.xml",
        "views/compras_cotacoes_capa_view.xml",
        "views/compras_cotacao_vencedora_view.xml",
        "views/compras_cotacoes_itens_view.xml",
        "views/compras_solicitacao_capa_view.xml",
        "views/compras_solicitacao_item_view.xml",
        "views/compras_solicitacao_view.xml",
        "views/compras_requisicao_itens_view.xml",
        "views/compras_requisicao_capa_view.xml",
        "views/compras_requisicao_view.xml",
        "views/compras_itens_fornecedores_view.xml",
        "views/compras_cotacao_por_itens_view.xml",
        "wizard/wizard_atualizar_preco_venda_view.xml",
        "wizard/wizard_enviar_email_view.xml",
        "wizard/wizard_estsug_compra_gerar_pedido_view.xml",
        "wizard/wizard_compras_analisa_cotacao_view.xml",
        "wizard/wizard_relatorio_pedido_compra_view.xml",
        "views/action.xml",
        "views/menu.xml",
        "security/compras_security.xml",
        "security/ir.model.access.csv",
        "data/adm_monitor_alertas.xml",
    ],
    "css": ["static/src/css/estilo.css"],
    "installable": True,
    "application": True,
    "active": False,
    'external_dependencies': {
        'python': ['xlrd'],
    }
}
