# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv
from openerp import tools


class compras_solicitacao_view(osv.Model):
    _name = 'compras.solicitacao.view'
    _inherit = 'compras.solicitacao.view'

    def init(self, cr):
        tools.drop_view_if_exists(cr, 'compras_solicitacao_view')
        cr.execute("""
            CREATE OR REPLACE VIEW compras_solicitacao_view AS (
                SELECT 
                    capa.company_id, 
                    capa.numero, 
                    capa.data_hora_solicitacao,
                    capa.state as state,
                    capa.funcionario_id, 
                    capa.observacao, 
                    item.id, 
                    item.produto_id, 
                    item.grade_id, 
                    item.quantidade, 
                    item.quantidade_atendida, 
                    item.aplicacao, 
                    item.state as state_item
                FROM compras_solicitacao_capa AS capa
                INNER JOIN compras_solicitacao_item AS item
                ON capa.id = item.solicitacao_id
            )
        """)
