# -*- encoding: utf-8 -*-
from openerp.osv import osv, fields


class wizard_listagem_geral(osv.TransientModel):
    _inherit = 'wizard.listagem.geral'
    _columns = {
        'comprador_id': fields.many2one('compras.comprador', 'Comprador')
    }


class wizard_listagem_geral_item(osv.TransientModel):
    _inherit = 'wizard.listagem.geral.item'

    def build_query(self, params={}):

        sql = super(wizard_listagem_geral_item, self).build_query(params)
        if params.get('comprador_id'):
            sql = sql.replace('AND epg.active IS TRUE',
                              'AND epg.active IS TRUE AND ep.comprador_id = %s' % params.get(
                                  'comprador_id'))

        return sql
