# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class estsug_compra_capa(osv.Model):
    # prefixo: esgccp_
    _inherit = 'estsug.compra.capa'

    _columns = {
        'esgccp_comprador_id': fields.many2one('compras.comprador', 'Comprador'),
        'esgccp_requisicao_gerada': fields.boolean('Requisicao gerada'),
        'esgccp_pedido_gerado': fields.boolean('Pedido gerado'),
        'esgccp_pedidos': fields.char('Pedidos', size=50),
        'esgccp_report_pedido_ids': fields.one2many('estsug.compra.pedido', 'esgped_sugestao_id',
                                                    'Pedidos impressos'),
    }

    _defaults = {
        'esgccp_requisicao_gerada': lambda *a: False,
        'esgccp_pedido_gerado': lambda *a: False
    }
