# -*- coding: utf-8 -*-

# Funcoes da classe compras_mkp_fornecedor


def commkpfor_get_name(self, cr, uid, ids, field_name, arg, context=None):
    context = context and context.copy() or {}
    res = {}
    map(lambda cmf: res.update({cmf.id: cmf.commkpfor_fornecedor_id.nome}),
        self.browse(cr, uid, ids, context))
    return res


# Funcoes da classe compras_mkp_produto


def commkppro_get_dados(self, cr, uid, ids, field_name, arg, context=None):
    context = context and context.copy() or {}
    res = {}
    obj_financeiro_fornecedor = self.pool.get('financeiro.fornecedor')
    obj_estoque_fornecedor = self.pool.get('estoque.fornecedor')
    brw_compras_mkp_produto = self.browse(cr, uid, ids, context)
    produto_ids = list(set(map(lambda c: c.commkppro_produto_id.id, brw_compras_mkp_produto)))
    custo_dados = self.pool.get('estoque.preco.custo').get_custos_do_dia(cr, uid, produto_ids,
                                                                         context=context)
    saldo_dados = obj_estoque_produto_saldo = self.pool.get('estoque.produto').estpro_get_saldo(
        cr, uid, produto_ids, context=context)
    preco_venda_dados = self.pool.get('estoque.preco.venda').get_preco_venda(
        cr, uid, produto_ids, context=context)
    for mkp_produto in brw_compras_mkp_produto:
        # name
        vals = {'name': mkp_produto.commkppro_produto_id.name, 'commkppro_url': '',
                'commkppro_ultimo_custo': 0.0, 'commkppro_saldo': 0,
                'commkppro_ultima_disponibilidade': '', 'commkppro_ultimo_preco': 0.0}

        # commkppro_url
        financeiro_fornecedor_ids = obj_financeiro_fornecedor.search(
            cr, uid,
            [('pessoa_id', '=', mkp_produto.commkppro_fornecedor_id.commkpfor_fornecedor_id.id)],
            context=context)
        if financeiro_fornecedor_ids:
            estoque_fornecedor_ids = obj_estoque_fornecedor.search(
                cr, uid, [('fornecedor_id', 'in', financeiro_fornecedor_ids),
                          ('produto_id', '=', mkp_produto.commkppro_produto_id.id)],
                context=context)
            estoque_fornecedor_ids and vals.update({'commkppro_url': obj_estoque_fornecedor.read(
                cr, uid, estoque_fornecedor_ids[0], ['estfor_anuncio'], context).get(
                'estfor_anuncio') or ''})

        # commkppro_ultimo_custo
        custo_dados.get(mkp_produto.commkppro_produto_id.id) and vals.update(
            {'commkppro_ultimo_custo': custo_dados.get(mkp_produto.commkppro_produto_id.id).get(
                'estprc_ultimo_custo')})

        # commkppro_saldo
        saldo_dados.get(mkp_produto.commkppro_produto_id.id) and vals.update(
            {'commkppro_saldo': int(saldo_dados.get(mkp_produto.commkppro_produto_id.id))})

        # commkppro_ultima_disponibilidade, commkppro_ultimo_preco e commkppro_ultima_pesquisa
        if mkp_produto.commkppro_pesquisa_ids:
            pesquisas = sorted(mkp_produto.commkppro_pesquisa_ids,
                               key=lambda i: i.commkppes_data_ultima_pesquisa, reverse=True)
            disponibilidade = ''
            if pesquisas[0].commkppes_disponibilidade == 'D':
                disponibilidade = 'Disponivel'
            elif pesquisas[0].commkppes_disponibilidade == 'S':
                disponibilidade = 'Sem estoque'
            vals.update({'commkppro_ultima_disponibilidade': disponibilidade,
                         'commkppro_ultimo_preco': pesquisas[0].commkppes_preco or 0,
                         'commkppro_ultima_pesquisa': pesquisas[0].commkppes_data_ultima_pesquisa})

        # commkppro_preco_venda
        vals.update({'commkppro_preco_venda': preco_venda_dados.get(
            mkp_produto.commkppro_produto_id.id) and preco_venda_dados.get(
            mkp_produto.commkppro_produto_id.id).get('preco_venda') or 0})

        res.update({mkp_produto.id: vals})
    return res
