# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class compras_reembolso_historico(osv.Model):
    """
    Tabela de historico do controle de reembolso de compra.

    prefixo: comrht_
    """

    _name = 'compras.reembolso.historico'
    _columns = {
        'id': fields.integer('Controle', readonly=True),
        'comrht_capa_id': fields.many2one('compras.reembolso.controle', required=True),
        'create_date': fields.datetime('Criacao', readonly=True),
        'create_uid': fields.many2one('res.users', 'Criado por', readonly=True),
        'comrht_protocolo': fields.char('Protocolo', size=25),
        'comrht_descricao': fields.text('Descricao'),
    }
    _order = 'comrht_capa_id,id desc'