# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class estoque_produto(osv.Model):
    _name = 'estoque.produto'
    _inherit = 'estoque.produto'
    _columns = {
        'acompanhar_precos_concorrentes': fields.boolean('Acompanhar precos concorrentes'), # Flag que indica se o produto var ter acompanhamento de precos nos concorrentes
        'pesquisa_diaria': fields.boolean('Pesquisa diaria'), # define que será usado na pesquisa diária
        'pesquisa_semanal': fields.boolean('Pesquisa semanal'), # Define que será usado em pesquisas semanais
        'pesquisa_quinzenal': fields.boolean('Pesquisa quinzenal'), # Define que será usado em pesquisas quinzenais
        'pesquisa_mensal': fields.boolean('Pesquisa mensal'), # Define que será usado em pesquisas mensais
        'concorrente_item_ids': fields.one2many('concorrencia.concorrente.item', 'produto_id', 'Item'),
    }
    _defaults = {
        'acompanhar_precos_concorrentes': lambda *a: False,
    }

