# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class wizard_listagem_plano_contas(osv.TransientModel):
    _name = 'wizard.listagem.plano.contas'
    _columns = {
        'natureza': fields.selection(
            [('A', 'Ativo'), ('P', 'Passivo'), ('R', 'Contas de resultado'), ('L', 'Patrimonio liquido'),
             ('C', 'Compensacao'), ('O', 'Outras')], 'Natureza', size=1),
        'ordem': fields.selection([('N', 'Numerica'), ('A', 'Alfabetica')], 'Ordem a listar', size=1),
    }
    _defaults = {
        'ordem': 'N',
    }

    def button_print(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        browse_listagem_plano_contas = self.browse(cr, uid, ids)
        for x in browse_listagem_plano_contas:
            datas = {
                'natureza': x.natureza or False,
                'ordem': x.ordem or False,
            }
        return {
            'type': 'ir.actions.report.xml',
            'report_name': 'listagem_plano_contas',
            'datas': datas,
        }
