# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class wizard_razao_analitico(osv.TransientModel):
    _name = 'wizard.razao.analitico'
    _columns = {
        'data_inicial': fields.date('Data inicial', required=True),
        'data_final': fields.date('Data final', required=True),
        'conta_id': fields.many2one('contabil.conta', 'Conta a listar', domain="[('conta_tipo','=','A')]"),
    }

    def button_print(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        browse_razao_analitico = self.browse(cr, uid, ids)
        for x in browse_razao_analitico:
            datas = {
                'conta_id': x.conta_id.id or False,
                'data_inicial': x.data_inicial,
                'data_final': x.data_final,
            }
        return {
            'type': 'ir.actions.report.xml',
            'report_name': 'razao_analitico',
            'datas': datas,
        }
