# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class contabil_documentos(osv.Model):
    _name = 'contabil.documentos'
    _inherit = 'contabil.documentos'

    _columns = {
        'ctbdoc_titulo_id': fields.many2one('financeiro.titulo', 'Titulo', ondelete="cascade",
                                            select=True),
        'ctbdoc_tesouraria_id': fields.many2one('financeiro.tesouraria.movimento',
                                                'Movimento da tesouraria', ondelete="cascade",
                                                select=True),
    }


