# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields

class fiscal_encargo_empresa(osv.Model):
    """
    Tabela associativa de encargos para a empresa
    """
    _name = 'fiscal.encargo.empresa'
    _inherit = 'fiscal.encargo.empresa'

    _columns = {
        'fiseem_encargo_sobre_vendas': fields.many2one('contabil.conta', 'Encargo sobre vendas', ondelete="restrict"),
        'fiseem_encargo_a_recolher': fields.many2one('contabil.conta', 'Encargo a recolher', ondelete="restrict"),
        'fiseem_encargo_sobre_compras': fields.many2one('contabil.conta', 'Encargo sobre compras', ondelete="restrict"),
        'fiseem_encargo_a_recuperar': fields.many2one('contabil.conta', 'Encargo a recuperar', ondelete="restrict"),
    }
