# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class contabil_natureza_fiscal(osv.Model):

    # prefixo: ctbnfi_

    _name = 'contabil.natureza.fiscal'
    _rec_name = 'ctbnfi_natureza_id'
    _roteavel = True
    _columns = {
        'company_id': fields.many2one('res.company', 'Empresa'),
        'ctbnfi_natureza_id': fields.many2one('fiscal.cfop.natureza', 'Natureza Fiscal', required=True),
        'ctbnfi_conta_debito_id': fields.many2one('contabil.conta', 'Conta de debito'),
        'ctbnfi_conta_credito_id': fields.many2one('contabil.conta', 'Conta de credito'),
        'ctbnfi_contabilizar': fields.boolean('Contabilizar', help="Se marcado contabiliza as nfs que possuem esta natureza"),
        }
    _defaults = {
        'company_id': lambda s, cr, uid, c: s.pool.get('adm.empresa.objeto').getEmpresa(cr, uid, s._name, context=c),
        }
