# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields

class financeiro_parametros(osv.Model):
    _name = 'financeiro.parametros'
    _inherit = 'financeiro.parametros'
    _columns = {
        'numero_automatico_contrato': fields.boolean('Numero automatico'),  # Numero automatico do
        'finpar_evento_venda_contrato_id': fields.many2one(
            'gerencial.evento', 'Evento para contrato cliente',
            help='Evento a ser utilizado no lancamento de contratos cliente. Este campo nao sera '
                 'sobreposto.'),
    }
    _defaults = {
        'numero_automatico_contrato': lambda *a: False,
    }
