# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

import time

# Funcoes da classe adm_pessoa


def _admpes_get_contrato(self, cr, uid, ids, field_name, arg, context=None):
    context = context and context.copy() or {}
    res = {}.fromkeys(ids, False)
    if not ids:
        return res
    if len(ids) == 1:
        pessoa_ids = str(tuple(ids)).replace(',', '')
    else:
        pessoa_ids = str(tuple(ids))
    hoje = time.strftime('%Y-%m-%d')
    sql = """
        SELECT
            cc.pessoa_id AS pessoa_id,
            cc.id::boolean AS tem_contrato
        FROM
            contratos_contrato cc
        INNER JOIN contratos_prazos cp
            ON cc.id = cp.cttprz_contrato_id
        WHERE
            cc.pessoa_id IN %s
            AND cc.state = 'A'
            AND cc.tipo = 'R'
            AND cp.cttprz_data_inicio <= '%s'
            AND cp.cttprz_data_termino >= '%s'
            AND cp.cttprz_real_provisao = 'R'
    """ % (pessoa_ids, hoje, hoje)
    cr.execute(sql)
    contrato_dados = cr.dictfetchall()
    for x in contrato_dados:
        res[x.get('pessoa_id')] = x.get('tem_contrato')
    return res
