# -*- encoding: utf-8 -*-
{
    "name": "contrecf",
    'version': '7.0.2403.6',
    "author": "Sig Informatica Ltda",
    "website": "http://www.siginformatica.com.br",
    "category": "Controle de ECF",
    "license": "Other proprietary",
    "description": """
        Sistema de Controle de ECFs
        Controla Fabricantes, modelos, versao de software basicos
        e numeros de serie de cada ecf em cada cliente.
    """,
    "images": ['data/ecf.png', 'data/ecf_houver.png'],
    "depends": ['estoque', 'crm_br'],

    "data": [
        "views/nroseriesecfs_view.xml",
        "views/modelosecfs_view.xml",
        "views/fabricante_view.xml",
        "views/vendas_view.xml",
        "views/parceiros_view.xml",
        "views/usuarios_view.xml",
        "views/recomposicaogt_view.xml",
        "views/mobile_view.xml",
        "data/recomposicao_gt.xml",
        "wizard/gerar_configuracao_view.xml",
        "wizard/gerar_contra_senha.xml",
        "wizard/wizard_consulta_validacoes_view.xml",
        "views/versao_view.xml",
        "inherit/pessoa_view.xml",
        "inherit/valida/wizard/wizar_validar_licenca_view.xml",
        "inherit/valida/wizard/wizar_bloquear_licenca_view.xml",
        "views/clientes_modulo_versao_view.xml",
        "views/validacao_view.xml",
        "inherit/estoque_produto_view.xml",
        "licenciamento/inherit/financeiro/cliente_view.xml",
        "licenciamento/inherit/adm/pessoa_view.xml",
        "versionamento/wizard/wizard_gerar_documentacao_view.xml",
        "versionamento/wizard/wizard_gerar_versao_view.xml",
        "versionamento/views/comando_svn_view.xml",
        "versionamento/views/versionamento_biblioteca_view.xml",
        "versionamento/views/versionamento_link_view.xml",
        "versionamento/views/action.xml",
        "views/action.xml",
        "views/menu.xml",
        "versionamento/views/menu.xml",
        "security/contrecf_security.xml",
        "security/ir.model.access.csv",
    ],
    "installable": True,
    "application": True,
    "active": False,
    'external_dependencies': {
        'python': ['M2Crypto', 'SigUtils'],
    }
}
