# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from openerp.tools.translate import _


class adm_pessoa(osv.Model):
    _name = "adm.pessoa"
    _inherit = "adm.pessoa"

    def get_vendas(self, cr, uid, context=None):
        context = context and context.copy() or {}
        o_contrecf_vendas = self.pool.get('contrecf.vendas')

        venda_ids = o_contrecf_vendas.search(cr, uid, [], context=context)
        if not venda_ids:
            return []
        vendas_data = o_contrecf_vendas.read(cr, uid, venda_ids, ['pessoa_id'], context=context)
        return filter(None, map(lambda x: x['pessoa_id'][0], vendas_data))
