# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from openerp.tools.translate import _


class adm_pessoa(osv.Model):
    _name = "adm.pessoa"
    _inherit = "adm.pessoa"
    _columns = {
        'ecfs_ids': fields.one2many('contrecf.nroseriesecfs', 'pessoa_id', 'Ecfs'),
        'admpes_contrecf_recomposicao_gt_id': fields.many2one('contrecf.recomposicao.gt', oldname="pespes_contrecf_recomposicao_gt_id"),
        'admpes_pessoa_a_faturar_id': fields.many2one('adm.pessoa', 'Pessoa a faturar', help='Empresa que sera usada para centralizar o faturamento'),
    }
