#!/usr/bin/python
# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class sig_cliente_modulo_versao(osv.Model):

    _name = 'sig.cliente.modulo.versao'
    _rec_name = 'sigclv_cliente_cnpj'
    _columns = {
        'sigclv_cliente_cnpj': fields.char('Cnpj do cliente', size=15, required=True, select=True),
        'sigclv_data': fields.datetime('Data da atualizacao', readonly=True, select=True),
        'sigclv_modulo': fields.char('Modulo', size=32, required=True, select=True),
        'sigclv_pessoa_id': fields.many2one('adm.pessoa', 'Cliente', select=True),
        'sigclv_versao': fields.char('Versao', size=12, required=True),
    }
    _order = 'sigclv_cliente_cnpj,create_date desc,sigclv_modulo'
