# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class contrecf_fabricante(osv.Model):
    from funcoes import _nome_fabricante

    _name = 'contrecf.fabricante'

    _columns = {
        'pessoa_id': fields.many2one('adm.pessoa', 'Fabricante', required=True, ondelete="cascade", select=True),
        'name': fields.function(_nome_fabricante, method=True, string='Parceiro', type='text', store=False),
        'codigo_nacional': fields.char('Codigo nacional', size=2,
                                       help='Codigo nacional de identificacao do fornecedor'),
        'modelosecfs_ids': fields.one2many('contrecf.modelosecfs', 'fabricante_id', 'Modelos de ecfs'),
    }

