# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class contrecf_validacao(osv.Model):
    _name = 'contrecf.validacao'
    _columns = {
        'pessoa_id': fields.many2one('adm.pessoa', 'Cliente', required=True, ondelete="restrict", select=True),
        'data_hora_movimento': fields.datetime('Data do pedido', required=True),
        'data_revalidada': fields.date('Data revalidada', required=True),
        'ip': fields.char('IP', size=20, required=True),
        'versao': fields.char('Versao', size=30),
    }
    _order = 'data_hora_movimento desc'
