# -*- coding: utf-8 -*-

from openerp.osv import osv, fields


class versionamento_link(osv.Model):
    _name = 'versionamento.link'
    _columns = {
        'name': fields.char('Link base', size=160, required=True,
                            help='Diretorio base para formacao dos links das bibliotecas.'),
    }
    _sql_constraints = [('name_uniq', 'unique (name)', 'Link ja existe.')]
