# -*- coding: utf-8 -*-

__author__ = 'marcilene.ribeiro'

pkey_sig = """-----BEGIN RSA PRIVATE KEY-----
MIICXQIBAAKBgQDNlPEHacb00nIQ7rrZ3U4kL9QAU+vvXbLLHGR45+7zYb2cBE2s
qmnUpSgf2Jp2HL0Dz/paqxpB4pOxU6kEcDs1QOlTjt5rTsKKiw6Of7g1MsrIEQCz
tF+u8xXyl93JB0M2QBQ4PGVQQsHxyd+jdWHCOj/YpJCA/8rJUbhiVoRaQwIDAQAB
AoGBAMnIdUO3eUb4AGnKSLBq3bX7E/U2ag/KQiHGPn/F9u4Ac6FdP/hIVBQZ/2Yy
rnlb/9JsIuk3pFAi2qBk4zKuDg2V57DY+h31SLVjENZHD3M0MGonFzu1uay+s/m0
X0mMbueNXuWAAYkoAPL/wEjP/ciJkqfCUiOJADcf7PJhXfhxAkEA9F1mdw+z+GPu
tHabZ2WJJSb7JnZtAskG/spFye6UUUw53tC7mLZ7Ye3dESa3l9jtRfC4CSKbNJhX
9JyTkzcabQJBANdezxdVg4gbBbdBm6cf59aT7Y1KIrqkDtQpENBJVMXJUIa2CTEc
QvGE3UwOA37zLRFtkSZk0w1590wC7NkwWW8CQBmr+kjF0I1myjwRPdBF/Xt2tenb
hSZGwkJgM6a8Nr63uFitKxgnC51FJPVZUO5V7s9rM5paFV4YJx1ema5cmp0CQQCo
gwgqS8CEqBAK2Qy+8RnnLQt7t3wA6QipPBBpyFbKAsA9BwWeJWzDqJ+2OGjH1eF3
d3FQxybTrpCuKsPDFC+FAkALWOoMA+liEcsz/n7BardljL0BRDuqMaS2iuQ/RTAH
34xfgVdzAN8XNLA+FOAWMxyDxP1vfoa6SwUsTZsdebGa
-----END RSA PRIVATE KEY-----"""

from openerp.osv import osv, fields
from SigUtils.crypto import crypt as Cripty, assinatura, encrypt
import base64
import re
from openerp.tools.translate import _
from unicodedata import normalize


class gerar_configuracao_contrecf(osv.TransientModel):
    _name = 'gerar.configuracao.contrecf'
    _rec_name = 'cliente_id'
    _columns = {
        'cliente_id': fields.many2one('financeiro.cliente', 'Cliente', required=True),
        'versao': fields.selection([(2, '2.x'), (3, '3.x')], 'Versao', required=True),
        'file': fields.char('Arquivo', size=20, readonly=True),
        'data': fields.binary(' ', readonly=True),
        'loja_id': fields.many2one('gerar.configuracao.contrecf.loja', 'Loja', required=True),
    }

    def onchange_cliente(self, cr, uid, ids, cliente_id, context=None):
        context = context and context.copy() or {}
        res = {}
        cr.execute('TRUNCATE gerar_configuracao_contrecf_loja CASCADE')
        cr.commit()
        if not cliente_id:
            return res
        obj_contrecf_nroseriesecfs = self.pool.get('contrecf.nroseriesecfs')
        obj_financeiro_cliente = self.pool.get('financeiro.cliente')
        obj_gerar_configuracao_contrecf_loja = self.pool.get('gerar.configuracao.contrecf.loja')
        pessoa_id = obj_financeiro_cliente.browse(cr, uid, cliente_id).pessoa_id.id
        nroseriesecf_ids = obj_contrecf_nroseriesecfs.search(cr, uid,
                                                             [('pessoa_id', '=', pessoa_id)], context=context)
        brw_contrecf_nroseriesecfs = obj_contrecf_nroseriesecfs.browse(
            cr, uid, nroseriesecf_ids, context)
        brw_contrecf_nroseriesecfs = filter(lambda i: i.nroloja > 0, brw_contrecf_nroseriesecfs)
        lista_dado_loja = list(set(map(lambda i: i.nroloja, brw_contrecf_nroseriesecfs)))
        res['value'] = {'loja_id': False}
        for loja in lista_dado_loja:
            vals = {'loja': loja}
            context['criar_automatico'] = True
            obj_gerar_configuracao_contrecf_loja.create(cr, uid, vals, context)
        return res

    def criar_configuracao(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        if isinstance(ids, list):
            id = ids[0]

        brw_gerar_configuracao_contrecf = self.browse(cr, uid, id)
        versao = brw_gerar_configuracao_contrecf.versao
        cliente = brw_gerar_configuracao_contrecf.cliente_id
        loja = brw_gerar_configuracao_contrecf.loja_id.loja
        res_cliente_nro_serie = cliente.pessoa_id.codigo
        res_cliente_nome = cliente.pessoa_id.name

        file_str = ''
        file_str += '[Identificacao]\r\n'
        file_str += 'Empresa=' + res_cliente_nome + '\r\n'
        file_str += 'No_Serie_Cliente=' + str(res_cliente_nro_serie) + '\r\n'

        if versao == 3:
            o_adm_pessoa = self.pool.get('adm.pessoa')
            res_pessoa = o_adm_pessoa.read(cr, uid, cliente.pessoa_id.id, ['cpf_cnpj', 'name',
                                                                           'endereco', 'cidade',
                                                                           'uf', 'cep', 'telefone',
                                                                           'bairro',
                                                                           'fantasia_apelido'], context=context)
            file_str += 'DadosEmpresa='
            if res_pessoa:

                file_str += 'Loja=%d|' % loja
                file_str += 'CNPJ=%s|' % ''.join(re.findall("([0-9])",
                                                            str(res_pessoa.get('cpf_cnpj', ''))))
                file_str += 'Cliente=%s|' % res_pessoa.get('name', '')
                file_str += 'Endereco=%s|' % res_pessoa.get('endereco', '')
                file_str += 'Cidade=%s|' % res_pessoa.get('cidade', '')
                file_str += 'Estado=%s|' % res_pessoa.get('uf', '')
                file_str += 'Cep=%s|' % ''.join(re.findall("([0-9])", res_pessoa.get('cep') or ''))
                file_str += 'Telefone=%s|' % ''.join(re.findall("([0-9])",
                                                                res_pessoa.get('telefone') or ''))
                file_str += 'Bairro=%s|' % res_pessoa.get('bairro', '')
                file_str += 'Fantasia=%s' % res_pessoa.get('fantasia_apelido', '')
                file_str += '\r\n'

        file_str += '\r\n'

        series = self.pool.get('contrecf.nroseriesecfs').search(
            cr, uid, [('pessoa_id', '=', cliente.pessoa_id.id), ('nroloja', '=', loja)], context=context)

        if not series:
            raise osv.except_osv(_('atencao'),
                                 _('Nao ha Numeros de Serie para: %s') % cliente.pessoa_id.name)

        for serie in series:
            nro_serie = self.pool.get('contrecf.nroseriesecfs').browse(cr, uid, serie)
            res_fabricante = nro_serie.fabricante_id and nro_serie.fabricante_id.pessoa_id.name or ''
            if res_fabricante:
                res_fabricante = normalize('NFKD', res_fabricante).encode('ASCII', 'ignore')

            res_modelo = nro_serie.modelo_id and nro_serie.modelo_id.descricao or ''
            if res_modelo:
                res_modelo = normalize('NFKD', res_modelo).encode('ASCII', 'ignore')

            res_versao = nro_serie.versao_id and nro_serie.versao_id.descricao or ''
            res_nroserie = nro_serie.nroserie or ''
            res_macaddress = nro_serie.macaddres or ''
            res_loja = str(nro_serie.nroloja)
            res_ecf = str(nro_serie.nroecf)
            res_nacional = str(nro_serie.codigo_nacional).replace('.', '')
            data_hora = nro_serie.data_hora_sb or ''
            if data_hora:
                data = data_hora[:10]
                hora = data_hora[11:]
            else:
                data = ''
                hora = ''
            res_data_sb = str(data)
            res_hora_sb = str(hora)
            while len(res_loja) < 4:
                res_loja = '0' + str(res_loja)
            while len(res_ecf) < 3:
                res_ecf = '0' + str(res_ecf)
            file_str += '[' + res_loja + res_ecf + ']\r\n'
            if versao == 2:
                file_str += 'Fabricante=' + res_fabricante + '\r\n'
                file_str += 'Modelo=' + res_modelo + '\r\n'
                file_str += 'Versao=' + res_versao + '\r\n'
                file_str += 'DataSB=' + res_data_sb + '\r\n'
                file_str += 'HoraSB=' + res_hora_sb + '\r\n'
                file_str += 'NSerie=' + res_nroserie + '\r\n'
                file_str += 'MacAddress=' + res_macaddress + '\r\n'
                file_str += 'Nacional=' + res_nacional + '\r\n'
                file_str += '\r\n'
                cres_fabricante = Cripty(res_fabricante, 'C')
                cres_modelo = Cripty(res_modelo, 'C')
                cres_versao = Cripty(res_versao, 'C')
                cres_data_sb = Cripty(res_data_sb, 'C')
                cres_hora_sb = Cripty(res_hora_sb, 'C')
                cres_nroserie = Cripty(res_nroserie, 'C')
                cres_macaddress = Cripty(res_macaddress, 'C')
                cres_nacional = Cripty(res_nacional, 'C')
                message = ''
            elif versao == 3:
                cres_fabricante = encrypt(res_fabricante, pkey_sig)
                cres_modelo = encrypt(res_modelo, pkey_sig)
                cres_versao = encrypt(res_versao, pkey_sig)
                cres_data_sb = encrypt(res_data_sb, pkey_sig)
                cres_hora_sb = encrypt(res_hora_sb, pkey_sig)
                cres_nroserie = encrypt(res_nroserie, pkey_sig)
                cres_macaddress = encrypt(res_macaddress, pkey_sig)
                cres_nacional = encrypt(res_nacional, pkey_sig)
                message = '%s%s%s%s%s%s%s%s' % (cres_fabricante, cres_modelo, cres_versao,
                                                cres_data_sb, cres_hora_sb, cres_nroserie,
                                                cres_macaddress, cres_nacional)
            file_str += 'versao=%d\r\n' % versao
            file_str += 'CFabricante=%s\r\n' % cres_fabricante
            file_str += 'CModelo=%s\r\n' % cres_modelo
            file_str += 'CVersao=%s\r\n' % cres_versao
            file_str += 'CDataSB=%s\r\n' % cres_data_sb
            file_str += 'CHoraSB=%s\r\n' % cres_hora_sb
            file_str += 'CNSerie=%s\r\n' % cres_nroserie
            file_str += 'CMacAddress=%s\r\n' % cres_macaddress
            file_str += 'CNacional=%s\r\n' % cres_nacional
            if versao == 3:
                file_str += 'md5=\r\n'
                file_str += 'Sign=%s\r\n' % assinatura(message, pkey_sig)
            file_str += '\r\n'
        self.write(cr, uid, id, {'file': 'pdvsig.sig',
                                 'data': base64.encodestring(file_str.encode('utf-8', 'strict'))}, context=context)
        return True

#            {
#            'file': 'pdvsig.sig',
#            'data': base64.encodestring(file_str.encode('utf-8', 'strict'))
#        }


class gerar_configuracao_contrecf_loja(osv.TransientModel):

    _name = 'gerar.configuracao.contrecf.loja'
    _rec_name = 'loja'

    _columns = {
        'loja': fields.integer('loja'),
    }

    def create(self, cr, uid, vals, context=None):
        context = context and context.copy() or {}
        if not context.get('criar_automatico'):
            raise osv.except_osv(_('Atencao'), _('A loja deve ser relacionada ao cliente no '
                                                 'cadastro de numeros de serie'))
        res = super(gerar_configuracao_contrecf_loja, self).create(cr, uid, vals, context)
        return res
