# -*- encoding: utf-8 -*-

from openerp.osv import osv


class convenio_categoria(osv.Model):

    _inherit = 'convenio.categoria'

    def name_get(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        if not len(ids):
            return []
        reads = self.read(cr, uid, ids, ['name', 'covcat_categoria_pai_id'], context=context)
        res = []
        for record in reads:
            name = record['name']
            if record['covcat_categoria_pai_id']:
                name = record['covcat_categoria_pai_id'][1] + ' / ' + name
            res.append((record['id'], name))
        return res
