# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields
from openerp import pooler

def _get_cotacoes(self, cr, uid, context=None): 
    context = context and context.copy() or {}
    req = cr.execute('SELECT distinct nro_cotacao, nro_cotacao from cotacao_cotacoes')
    res= cr.fetchall()
    return res

finish_form ='''<?xml version="1.0"?>
<form string="apaga_cotacao">
    <label string="Cotacao apagada !" colspan="4"/>
</form>
'''

ask_form ='''<?xml version="1.0"?>
<form string="Apagar Cotacoes">
    <separator string="Cotacao a apagar" colspan="4"/>
    <label string="Por favor, selecione uma cotacao para excluir" colspan="4"/>
    <field name="nro_cotacao"/>
</form>
'''

ask_fields = {
    'nro_cotacao': {'string': 'Cotacao', 'type': 'selection', 'selection': _get_cotacoes, 'required': True},
}

class cotaweb_apagar_cotacao_wizard(osv.TransientModel):
    _name = 'cotaweb.apagar.cotacao.wizard'
    def apagar_cotacao(self, cr, uid, data, context):
        pool = pooler.get_pool(cr.dbname)
        _nroCotacao = data['form']['nro_cotacao']
        oCotacao = pool.get('cotacao.cotacoes')
        _cotacao_ids=oCotacao.search(cr, uid,  [('nro_cotacao', '=', _nroCotacao)], context=context)
        oCotacao.unlink(cr, uid, _cotacao_ids)
        
        oResultado = pool.get('cotacao.resultado')
        _resultado_ids = oResultado.search(cr,uid, [('nro_cotacao', '=', _nroCotacao)], context=context)
        oResultado.unlink(cr, uid, _resultado_ids)
        return {}

    states = {
        'init': {
            'actions': [],
            'result': {
                'type': 'form',
                'arch': ask_form,
                'fields': ask_fields,
                'state': [
                    ('end', 'Cancelar', 'gtk-cancel'),
                    ('apagar', 'Excluir cotacao', 'gtk-ok', True)
                ]
            }
        },
        'apagar': {
            'actions': [apagar_cotacao],
            'result': {
                'type':'form',
                'arch':finish_form,
                'fields':{},
                'state':[('end','Fechar')]
            }
        },

    }
cotaweb_apagar_cotacao_wizard()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

