# -*- encoding: utf-8 -*-

from openerp.osv import fields, osv

class crm_br_requisitos_capa(osv.Model):
    _name = "crm_br.requisitos.capa"
    _inherit = "crm_br.requisitos.capa"

    def sequence_criar(self, cr, uid, context=None):
        context = context and context.copy() or {}
        company_id = self.pool.get('adm.empresa.objeto').getEmpresa(cr, uid, self._name, context=context)
        __code = 'numero_requisitos.capa'
        __name = 'Numero Requisitos Capa'
        vals = {
            'name': __name,
            'code': __code,
            'padding': 6,
            'prefix': 'ER-',
            'company_id': company_id,
            'implementation': 'no_gap',
            }
        consulta = self.pool.get('ir.sequence').search(cr, uid, [('code', '=', __code), ('company_id', '=', company_id)], context=context)
        if not consulta:
            self.pool.get('ir.sequence').create(cr, uid, vals, context)
        return True

    def create(self, cr, uid, vals, context=None):
        context = context and context.copy() or {}
        vals['crmrqc_numero'] = self.pool.get('adm.utils').get_sequence(cr, uid, self._name, 'numero_requisitos.capa')
        res = super(crm_br_requisitos_capa, self).create(cr, uid, vals, context)
        return res
