# -*- encoding: utf-8 -*-

##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields

class crm_br_requisitos_detalhamento(osv.Model):
    _name = "crm_br.requisitos.detalhamento"
    _inherit = "crm_br.requisitos.detalhamento"

    def fields_get(self, cr, user, fields=None, context=None):
        context = context and context.copy() or {}
        res = super(crm_br_requisitos_detalhamento,self).fields_get(cr, user, fields, context)
        res['item_tipo'] = {'type':'char', 'string':'Item tipo'}
        return res

    def default_get(self, cr, uid, fields, context):
        res = super(crm_br_requisitos_detalhamento, self).default_get(cr, uid, fields, context)
        if context and 'crmrqi_tipo':
            res['item_tipo'] = context.get('crmrqi_tipo')
        else:
            res['item_tipo'] = False
        return res
