# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2015 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz[at]siginformatica.com.br>
                                -------

Copyleft (CC) 2015, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv


# noinspection PyAbstractClass,PyPep8Naming
class adm_pessoa_email(osv.Model):
    _name = 'adm.pessoa.email'
    _inherit = 'adm.pessoa.email'

    def default_get(self, cr, uid, fields_list, context=None):
        context = context and context.copy() or {}
        result = super(adm_pessoa_email, self).default_get(cr, uid, fields_list, context)

        # Recupera o nome do contato na criacao de novo email
        if context.get('helpdesk_recupera_nome_contato_id', False):
            result['pessoa_id'] = context['helpdesk_recupera_nome_contato_id']

        return result

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
