# -*- encoding: utf-8 -*-

from openerp.osv import fields, osv

class crm_br_requisitos_detalhamento(osv.Model):

    _name = "crm_br.requisitos.detalhamento"
    _columns = {
        'crmrqd_item_id': fields.many2one('crm_br.requisitos.itens', 'Item', required=True),
        'name': fields.char('Nome', size=128),
        'crmrqd_label': fields.char('Label', size=128),
        'crmrqd_readonly': fields.boolean('R.O.'),
        'crmrqd_invisible': fields.boolean('Invis.'),
        'crmrqd_obs': fields.text('Observacoes'),
        'crmrqd_tipo_dados': fields.char('Tipo dados', size=12),
        'crmrqd_tamanho': fields.char('Tamanho', size=10),
        'crmrqd_requerido': fields.boolean('Requerido'),
        'crmrqd_select': fields.boolean('Select'),
        'crmrqd_perm_read': fields.boolean('Read'),
        'crmrqd_perm_write': fields.boolean('Write'),
        'crmrqd_perm_create': fields.boolean('Create'),
        'crmrqd_perm_unlink': fields.boolean('Unlink'),
        'sequence': fields.integer('Sequencia'),
        }

    _defaults = {
        'sequence': 10,
        }
