# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2017 All Rights Reserved. Luiz Fernando Maciel França
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2017, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields


class crm_checklist_anexo(osv.Model):
    """
    Anexos das atividades
    cckanx_
    """

    _name = 'crm_checklist.anexo'
    _description = 'Anexo da atividade'
    _columns = {
        'name': fields.char('Descricao do arquivo', size=64, required=True),
        'cckanx_arquivo': fields.binary('Arquivo'),
        'create_uid': fields.many2one('res.users', 'Criador', readonly=True),
        'create_date': fields.datetime('Data', readonly=True),
        'cckanx_anexo_id': fields.many2one(
            'crm_checklist.checklist.linhas', 'Linha', required=True, ondelete='cascade',
            select=True, help='Anexos da atividade.'),
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
