# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################


from openerp.osv import fields, osv


class crm_checklist_checklist_capa(osv.Model):
    """
    Prefixo crmckc_
    """
    _name = "crm_checklist.checklist.capa"
    _description = "Capa do checklist"
    _columns = {
        'id': fields.integer('Codigo', readonly=True),
        'name': fields.char('Descricao', size=64, required=True),
        'crmckc_linha_ids': fields.one2many('crm_checklist.checklist.linhas', 'crmckl_capa_id', 'Atividade'),
    }
    _order = 'id'
