# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class financeiro_parametros(osv.Model):
    """
    Tabela de parametros do financeiro
    """
    _inherit = 'financeiro.parametros'
    _columns = {
        'finpar_c_custo_acerto_entregador_id': fields.many2one("adm.empresa.centrocusto",
                                        'Centro de custos p/Acerto Entregador', ondelete="cascade"),
        'finpar_evento_acerto_entregador_id': fields.many2one("gerencial.evento",
                                        'Evento p/Acerto Entregador', ondelete="cascade"),
    }