# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel França
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
import time
from funcoes import _dvyace_get_valores


class delivery_horarios(osv.Model):
    # prefixo: dvyhor_
    _description = 'Tabela de horarios de entrega por rota'
    _name = 'delivery.horarios'
    _columns = {
        'dvyhor_rota_id': fields.many2one('vendas.rotas', 'Rota', ondelete='cascade', select=True),
        'dvyhor_cliente_id': fields.many2one('financeiro.cliente', 'Cliente',
                                             ondelete='cascade', select=True),
        'dvyhor_horario_limite': fields.float('Horario limite de compra', select=True, required=True),
        'dvyhor_horario_entrega': fields.float('Horario entrega', required=True),
    }
    _order = 'dvyhor_rota_id,dvyhor_cliente_id,dvyhor_horario_limite'
