# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2015 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz[at]siginformatica.com.br>
                                -------

Copyleft (CC) 2015, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields


# noinspection PyPep8Naming,PyAbstractClass
class relatorio_comissao_entrega(osv.TransientModel):
    """
    Formulario de consulta do relatorio de comissao de entrega.

    :author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    _name = 'relatorio.comissao.entrega'
    _columns = {
        'data_inicio': fields.date('Data inicial', required=True),
        'data_fim': fields.date('Data final', required=True),
        'entregador_id': fields.many2one("delivery.entregador", 'Entregador'),
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:


