openerp.dusal_web_tree_image = function (instance) {
    instance.web.list.Imagen = instance.web.list.Column.extend({
        format: function (row_data, options) {
            if (!row_data[this.id] || !row_data[this.id].value) {
                return '';
            }
            var value = row_data[this.id].value, src;
            if (this.type === 'binary') {
                if (value && value.substr(0, 10).indexOf(' ') === -1) {
                    src = "data:image/png;base64," + value;
                } else {
                    src = instance.session.url('/web/binary/image', {model: options.model, field: this.id, id: options.id});
                }
            } else {
                if (!/\//.test(row_data[this.id].value)) {
                    src = '/web/static/src/img/icons/' + row_data[this.id].value + '.png';
                } else {
                    src = row_data[this.id].value;
                }
            }
            // // Associa o tempo que o mause ficar sem clicar
            // var time = new Date().getTime();
            // $(document.body).bind("mousemove keypress", function(e) {
            //     time = new Date().getTime();
            // });
            // var self = this
            // // Funcao que eh chamada no loop setTimeout
            // function refresh() {
            //     if(new Date().getTime() - time >= 30000) {
            //         return new instance.web.Model('supervisor.cad.pdvs').query().all().then(function (records) {
            //                    // would break if executed after the widget is destroyed, wrapping
            //                    // rpc in alive() prevents execution
            //                    _.each(records, function (record) {
            //                        return self.format(record);
            //                    });
            //                });
            //         //     window.location.reload(true);  // Aqui recarrega a tela
            //         // });
            //     }
            //     else
            //         setTimeout(refresh, 1000);
            // }
            // setTimeout(refresh, 1000)
            return instance.web.qweb.render('ListView.row.imagen', {widget: this, src: src});
        }
        // Aqui consegue mudar a cor de uma coluna especifica em uma linha
        // _format: function (row_data, options) {
        //     res = this._super.apply(this, arguments);
        //     var amount = parseFloat(res);
        //     if (amount < 0){
        //         return "<font color='#ff0000'>"+(-amount)+"</font>";
        //     }
        //     return res
        // }
    });
    instance.web.list.columns.add('field.image', 'instance.web.list.Imagen');
};
