# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from openerp.tools.translate import _



class ecf_cupons_item(osv.Model):
    _name = 'ecf.cupons.item'
    _inherit = 'ecf.cupons.item'

    def onchange_venda_cancelamento(self, cr, uid, ids, venda_cancelamento, tipo_cupom, context=None):
        if not venda_cancelamento or tipo_cupom != 'C':
            return {}
        value = {}
        warning = {}
        # nao permite que em um cupom de cancelamente exista um item com 'venda_cancelamento' de venda
        if venda_cancelamento == 'V':
            warning.update({'title': _('Atencao!')})
            warning.update({'message': _("Indicador de venda nao pode ser 'Venda'") + '\n' +
                                       _("quando o tipo do cupom for 'Cancelamento'!")})
            value['venda_cancelamento'] = ''

        return {'warning': warning, 'value': value}

