# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv


class ecf_ecf(osv.Model):
    _inherit = 'ecf.ecf'

    def name_search(self, cr, user, name='', args=None, operator='ilike', context=None, limit=100):
        context = context and context.copy() or {}
        if not args:
            args = []

        company_id = self.pool.get('adm.empresa.objeto').getEmpresa(cr, user, 'ecf.ecf',
                                                                    context=context)
        args.append(('company_id','=',company_id))
        aux = name.split('/')
        if len(aux) == 1 and aux[0].isdigit():
            args.append(('caixa', '=', aux[0]))
        elif len(aux) == 2 and aux[0].isdigit() and aux[1].isdigit():
            args.append(('loja','=', aux[0]))
            args.append(('caixa','=', aux[1]))

        return super(ecf_ecf, self).name_search(cr, user, name, args, operator, context, limit)


