# -*- encoding: utf-8 -*-
# #############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class adm_utils(osv.Model):
    _inherit = 'adm.utils'

    def admutl_forma_pgto_tipo_cheque(self, cr, uid, forma_pagamento_id, context=None):
        """
        Funcao verifica:
        * Se a sigla do pagamento e cheque.
        True - Tipo Cheque
        False - Nao e cheque
        """
        context = context and context.copy() or {}
        cheque = super(adm_utils, self).admutl_forma_pgto_tipo_cheque(
            cr, uid, forma_pagamento_id, context)
        if cheque or not forma_pagamento_id:
            return cheque
        forma_pgto_dados = self.pool.get('adm.forma.pgto').read(
            cr, uid, forma_pagamento_id, ['condicao_forma_ids'], context)
        if forma_pgto_dados and isinstance(forma_pgto_dados, list):
            forma_pgto_dados = forma_pgto_dados[0]
        condicao_forma_ids = forma_pgto_dados.get('condicao_forma_ids')
        if condicao_forma_ids:
            brw_condicao_forma = self.pool.get('adm.condicao.forma').browse(
                cr, uid, condicao_forma_ids, context)
            cheque = list(set(map(lambda i: i.tipo_finalizadora == 'H',
                                  brw_condicao_forma)))[0]
        return cheque
