# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class adm_condicao_forma(osv.Model):
    _name = 'adm.condicao.forma'
    _inherit = 'adm.condicao.forma'
    _columns = {
        'finalizadora_na_ecf': fields.integer('Codigo na ECF', help="Codigo da Finalizadora na ECF"),
        'tipo_finalizadora': fields.selection([('D', 'Dinheiro'),
                                               ('H', 'Cheque'),
                                               ('C', 'Cartao'),
                                               ('T', 'Tickets'),
                                               ('O', 'Outros')],
                                              string='Tipo Finalizadora',
                                              size=1)
    }