# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv


class financeiro_tesouraria_movimento(osv.Model):

    _inherit = 'financeiro.tesouraria.movimento'

    def create(self, cr, user, vals, context=None):
        context = context and context.copy() or {}
        # contexto passado para na baixa do titulo, a conta informada seja a conta cadastrada na
        # ECF, pois quando o cupom tem cliente, o movimento da tesouraria eh criado na baixa de
        # titulo gerado pelo cupom, quando nao tem, eh criado na valiadcao do cupom
        if context.get('ecf_conta_id'):
            vals['conta_id'] = context.get('ecf_conta_id')

        return super(financeiro_tesouraria_movimento, self).create(cr, user, vals, context)