#!/usr/bin/python
# -*- encoding: utf-8 -*-
from openerp.osv import osv, fields


class fiscal_log_nfce_data(osv.Model):
    _name = 'fiscal.log.nfce'

    _columns = {
        'company_id': fields.many2one("res.company", 'Empresa', ondelete="cascade",
                                      required=True, select=True),
        'fislon_nfce_numero': fields.integer('Numero NFC-e', required=True, select=True),
        'fislon_nfce_caixa': fields.integer('Caixa',required=True, select=True),
        'fislon_nfce_erro': fields.text('ERRO', required=True, select=True),
        'fislon_tipo': fields.selection([('N', 'NFC-e'),
                                         ('D', 'DAV')], 'Tipo', select=True),
        'create_date': fields.datetime('Data da inclusao'),

    }

    _order = 'id desc'