# -*- encoding: utf-8 -*-
from openerp.osv import osv, fields


class fiscal_nf_parcelas(osv.Model):
    _name = 'fiscal.nf.parcelas'
    _inherit = 'fiscal.nf.parcelas'
    _columns = {
        'cupom_id': fields.many2one('ecf.cupons.capa', 'Cupom Fiscal', ondelete="cascade"),
        'cf_id': fields.many2one('ecf.cupons.finalizacao', 'Finalizadora', ondelete="cascade"),
        'sequencia': fields.char('Sequencia', size=3, help='Sequencia da finalizadora no cupom'),
        'sequencia_vencimento': fields.char('Sequencia Vencimento', size=2,
                                            help='Sequencia das parcelas de uma finalizadora')
    }


