# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class energia_orcamentos(osv.Model):
    _inherit = 'energia.orcamentos'

    def eneorc_onchange_potencia_total(self, cr, uid, ids, painel_id, painel_qtd, context=None):
        context = context and context.copy() or {}
        res = {}
        if not (painel_id and painel_qtd):
            return res
        dados_painel = self.pool.get('energia.painel.fotovoltaico').read(cr, uid, painel_id)
        total = dados_painel.get('enepfv_pmax') * painel_qtd / 1000.0
        return {'value': {'eneorc_potencia_total': total}}
        return res

    def eneorc_onchange_potencia_inversor(self, cr, uid, ids, inversor_id, inversor_qtd, context=None):
        context = context and context.copy() or {}
        res = {}
        if not (inversor_id and inversor_qtd):
            return res
        dados_painel = self.pool.get('energia.inversores').read(cr, uid, inversor_id)
        total = dados_painel.get('eneinv_pmax_ca') * inversor_qtd / 1000.0
        return {'value': {'eneorc_inversor_potencia': total}}
        return res
