# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class energia_padrao(osv.Model):
    """
    Tabela de ligações de padrão eletrico
    Prefixo enepdr_
    """
    _name = 'energia.padrao'
    _description = 'Tabela de padrao'
    _columns = {
        'name': fields.char("Descricao", size=20, required=True),
        'enepdr_tx_minimo': fields.integer('Consumo minimo em Kwh/mes'),
        'enepdr_tensao': fields.char('Tensao fase/neutro', size=15),
    }
