# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel França
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv


class entrega_viagem_item(osv.Model):
    _name = 'entrega.viagem.item'
    _inherit = 'entrega.viagem.item'

    def unlink(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        _viagem_ids = []
        for brw_entrega_viagem_item in self.browse(cr, uid, ids):
            _viagem_ids.append(brw_entrega_viagem_item.entvit_capa_id.id)
        res = super(entrega_viagem_item, self).unlink(cr, uid, ids, context=context)
        self.pool.get('entrega.viagem.venda').entviv_ajustar_vendas(cr, uid, _viagem_ids, context)
        return res

    def create(self, cr, uid, vals, context=None):
        context = context and context.copy() or {}
        res = super(entrega_viagem_item, self).create(cr, uid, vals, context=context)
        _viagem_id = vals.get('entvit_capa_id') or 0
        self.pool.get('entrega.viagem.venda').entviv_ajustar_vendas(cr, uid, [_viagem_id], context)
        return res
