# -*- coding: utf-8 -*-

from openerp.osv import osv


class estoque_fonecedor(osv.Model):
    _inherit = 'estoque.fornecedor'

    def create(self, cr, uid, vals, context=None):
        def _estfor_create_compras(vals, context):
            if context.get('compra_fornec_produto_id'):
                vals.update({'produto_id': context['compra_fornec_produto_id']})
            return vals

        context = context and context.copy() or {}
        if self.pool.get('adm.utils').admutl_check_modulo_instalado(cr, uid, 'compras', context):
             vals = _estfor_create_compras(vals, context)
        return super(estoque_fonecedor, self).create(cr, uid, vals, context)

    def estfor_open_url(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        brw_fornec = self.browse(cr, uid, ids, context=context)[0]
        url = brw_fornec.estfor_anuncio
        return {
            'type': 'ir.actions.act_url',
            'url': url,
            'target': 'new'
        }
