# -*- coding: utf-8 -*-

from openerp.osv import osv


class estoque_natureza_operacao(osv.Model):
    _inherit = "estoque.natureza.operacao"

    def estnto_onchange_tipo_operacao(self, cr, uid, ids, estnto_tipo_operacao, context=None):
        context = context and context.copy() or {}
        if estnto_tipo_operacao == 'S':
            return {
                'value': {'estnto_atualizar_custos': False}
            }
        return {}

    def write(self, cr, user, ids, vals, context=None):
        if vals.get('estnto_tipo_operacao') == 'S':
            vals['estnto_atualizar_custos'] = False
        else:
            dados = self.read(cr, user, ids[0], ['estnto_tipo_operacao'], context=context)
            if dados.get('estnto_tipo_operacao') == 'S':
                vals['estnto_atualizar_custos'] = False
        res = super(estoque_natureza_operacao, self).write(cr, user, ids, vals, context=context)
        return res


