# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from openerp.tools.translate import _


class estoque_produto_similaridade(osv.Model):
    _name = 'estoque.produto.similaridade'
    _inherit = 'estoque.produto.similaridade'

    def create(self, cr, uid, vals, context=None):
        context = context and context.copy() or {}
        w_vals = {'produto_original_id': vals['produto_similar_id'],
                  'produto_similar_id': vals['produto_original_id']}
        super(estoque_produto_similaridade, self).create(cr, uid, w_vals, context)
        res = super(estoque_produto_similaridade, self).create(cr, uid, vals, context)
        return res

    def write(self, cr, uid, ids, vals, context=None):
        context = context and context.copy() or {}
        raise osv.except_osv(_('Atencao'), _('Alteracao nao permitida para similaridade!'))
        return True

    def unlink(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        for p in self.read(cr, uid, ids, ['produto_similar_id', 'produto_original_id'], context=context):
            args = [('produto_similar_id', '=', p['produto_original_id'][0]),
                    ('produto_original_id', '=', p['produto_similar_id'][0])]

            s_id = self.search(cr, uid, args, context=context)
            super(estoque_produto_similaridade, self).unlink(cr, uid, s_id, context=context)
        res = super(estoque_produto_similaridade, self).unlink(cr, uid, ids, context=context)
        return res

