#!/usr/bin/python
# -*- encoding: utf-8 -*-

from openerp.osv import osv


class financeiro_fornecedor(osv.Model):
    _name = 'financeiro.fornecedor'
    _inherit = 'financeiro.fornecedor'

    def name_search(self, cr, uid, name='', args=None, operator='ilike', context=None, limit=100):
        context = context and context.copy() or {}
        company_id = self.pool.get('adm.empresa.objeto').getEmpresa(cr, uid, self._name, context=context)
        args = [('company_id', '=', company_id)]
        res = super(financeiro_fornecedor, self).name_search(cr, uid, name, args, operator, context, limit)
        return res
