# -*- coding: utf-8 -*-

from openerp.osv import fields, osv


class estsug_compra_item_estatistica_diaria(osv.Model):
    # prefixo: esgcid_
    _name = 'estsug.compra.item.estatistica.diaria'
    _gerar_logs_logs = 'N'
    _columns = {
        'esgcid_estatistica_item_id': fields.many2one('estsug.compra.item.estatistica',
                                                      'Estatistica Mensal', required=True,
                                                      ondelete='cascade'),
        'esgcid_dia': fields.char('Dia', size=5),
        'esgcid_segunda': fields.char('Segunda', size=20),
        'esgcid_terca': fields.char('Terca', size=20),
        'esgcid_quarta': fields.char('Quarta', size=20),
        'esgcid_quinta': fields.char('Quinta', size=20),
        'esgcid_sexta': fields.char('Sexta', size=20),
        'esgcid_sabado': fields.char('Sabado', size=20),
        'esgcid_domingo': fields.char('Domingo', size=20),
        'esgcid_data_movimento': fields.date('Data movimento'),
        'esgcid_mes': fields.char('Mes', size=2, required=True),
    }
    _order = 'esgcid_data_movimento'
