# -*- coding: utf-8 -*-
from openerp.osv import osv, fields


class estoque_atributos(osv.Model):
    # prefixo: estatr_
    _name = 'estoque.atributos'
    from funcoes import _estatr_get_dados
    _columns = {
        'id': fields.integer('ID', readonly=True),
        'name': fields.char('Descricao', size=30, required=True),
        'estatr_valores_ids': fields.one2many('estoque.atributos.valores', 'estatv_atributo_id', 'Valores'),
        'estatr_unidades_ids': fields.one2many('estoque.atributos.unidades', 'estatu_atributo_id', 'Unidades'),
        'estatr_valores_fixos': fields.boolean('Valores fixos'),
        'estatr_tem_unidade':  fields.function(_estatr_get_dados, method=True, string='Tem unidade', multi="dados",
                                             type='boolean', store=False),
    }
    _defaults = {
        'estatr_valores_fixos': False
    }
