# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class estoque_parametro(osv.Model):
    """
    Tabela de parametros de produtos
    """
    _inherit = 'estoque.parametro'

    _columns = {
        'estpar_composicao_nat_ent': fields.many2one('estoque.natureza.operacao',
                                                     'Operacao de entrada', required=True),
        'estpar_composicao_nat_sai': fields.many2one('estoque.natureza.operacao',
                                                     'Operacao de saida', required=True),
        'estpar_composicao_alter_ult_custo': fields.boolean('Alterar o Ultimo Custo'),
        'estpar_composicao_alter_c_repos': fields.boolean('Alterar o Custo de Reposicao'),
    }

    _defaults = {
        'estpar_composicao_alter_ult_custo': lambda *a: False,
        'estpar_composicao_alter_c_repos': lambda *a: False,
    }
