# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################
from openerp.osv import osv, fields


class fiscal_parametro(osv.Model):
    """
    Tabela e parametros para a nota fiscal.
    """

    _inherit = 'fiscal.parametro'

    _columns = {
        'fispar_integracao_fiscal_inclui_tributacao': fields.boolean(
            'Integracao fiscal inclui tributacao',
            help='Se marcado, ao clicar em "Atualizar" e nao for encontrado algum dado da '
                 'tributacao na base de dados, esse sera criado. Se desmarcado e a tributacao for '
                 'encontrada, apenas atualiza.')
    }

    _defaults = {
        'fispar_integracao_fiscal_inclui_tributacao': lambda *a: False,
    }
