# -*- coding: utf-8 -*-

from openerp.osv import osv, fields


class estoque_fiscal_capa(osv.Model):
    # prefixo: estfca_

    _name = 'estoque.fiscal.capa'
    _columns = {
        'estfca_data': fields.date('Data', select=True, required=True),
        'state': fields.selection([('E', 'Esboco'), ('A', 'Atualizado'),
                                   ('P', 'Atualizado parcialmente')], 'Status', size=1),
        'estfca_origem': fields.char('Origem', size=20, readonly=True),
        'estfca_item_ids': fields.one2many('estoque.fiscal.itens', 'estfit_capa_id', 'Itens'),
        'estfca_observacao': fields.text('Observacoes'),
    }
    _defaults = {
        'state': 'E',
    }
