# -*- encoding: utf-8 -*-

import openerp.addons.web.http as http
import xmlrpclib, socket
from logging import getLogger
from openerp.tools import config
import psycopg2
import base64

_logger = getLogger("get_image")
_senha = 'estimg_remoto_767891'


class sc(http.Controller):
    _cp_path = '/image'

    @http.httprequest
    def img_get(self, req, s_action=None, **kw):
        def _get_sem_img():
            _arq = '%s/estoque_imagem/static/sem_img.jpg' % config.get('addons_path')
            f = open(_arq, 'r')
            dados = f.read()
            f.close()
            return dados

        _db_pass = config.get('db_password')
        _db_user = config.get('db_user')
        _db_host = config.get('db_host')
        if not _db_pass:
            _db_pass = 'franca'
        if not _db_host:
            _db_host='127.0.0.1'
        _url = req.httprequest.base_url
        _logger.info('Buscar imagem em: %s' % _url)
        _pos = _url.find('image/img_get/')
        if _pos == '-1':
            return _get_sem_img()
        _url = _url[_pos+14:]
        _pos = _url.find('/')
        _base = _url[:_pos]
        _url = _url[_pos+1:]
        _id = ''
        for x in _url:
            if x in ['0', '1','2','3','4','5','6','7','8','9']:
                _id += x
            else:
                break
        if not _id:
            _logger.warn('Sem codigo do produto')
            return _get_sem_img()
        conn = psycopg2.connect(database=_base, user=_db_user, password=_db_pass, host=_db_host, #SigLuiz
                                connect_timeout=3)
        _cr = conn.cursor(cursor_factory=psycopg2.extras.DictCursor)
        _sql = 'select estimg_foto from estoque_img_produto where id = %s' % _id
        _cr.execute(_sql)
        dados = _cr.fetchone()
        if not dados:
            _logger.warn('Imagem nao cadastrada')
            conn.close()
            return _get_sem_img()
        img = dados[0]
        img = base64.b64decode(img)
        headers = [
            ('Content-Type', 'image/png'),
            ('Content-Length', len(img)),
        ]
        conn.close()
        return req.make_response(img, headers)
        # return dados.get('estimg_foto').decode('base64')


    @http.httprequest
    def get(self, req, s_action=None, **kw):
        _url = req.httprequest.base_url.replace('get', 'img_get')
        ret = '<html><body><img src="%s"></body></html>' % _url
        return ret
