# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class estoque_inventario_central_acertos(osv.Model):
    _name = 'estoque.inventario.central.acertos'
    _inherits = {
        'estoque.inventario.central.itens': 'estica_item_id'
    }
    _columns = {
        'estica_item_id': fields.many2one("estoque.inventario.central.itens", 'Item', required=True, select=True,
                                          ondelete='cascade'),
        'estica_qtd_acerto': fields.float('Quantidade acertada', digits=(11, 3)),
        'estica_local_id': fields.many2one('estoque.local', 'Local', required=True, select=True),
        'estica_empresa_orig_dest_id': fields.many2one('res.company', 'Empresa origem/destino', required=True,
                                                       select=True),
        'estica_controle_transacao': fields.integer('Transacao', select=True),
    }
