# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields


class estoquecorrecao_tabela(osv.Model):
    """
    Tabela de Correcao de precos.
    """
    _name = 'estoquecorrecao.tabela'
    _inherit = 'estoquecorrecao.tabela'

    def create(self, cr, uid, vals, context=None):
        context = context and context.copy() or {}
        vals['sigla'] = vals.get('sigla').upper()
        res = super(estoquecorrecao_tabela, self).create(cr, uid, vals, context)
        return res

    def write(self, cr, uid, ids, vals, context=None):
        context = context and context.copy() or {}
        if 'sigla' in vals:
            vals['sigla'] = vals.get('sigla').upper()
        res = super(estoquecorrecao_tabela, self).write(cr, uid, ids, vals, context)
        return res



