# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################


# Funcoes da classe cliente_debitos_capa_wizard
def _clidcp_get_itens(self, cr, uid, vals, context=None):
    context = context and context.copy() or {}
    ids = []
    active_model = vals.get('active_model')
    if active_model:
        obj_estoquepedidos_pedido_capa = self.pool.get('estoquepedidos.pedido.capa')
        obj_do_modelo_ativo = self.pool.get(active_model)
        active_id = vals.get('active_id')
        if active_model == 'fiscal.nf.capa':
            pessoa_id = obj_do_modelo_ativo.browse(cr, uid, active_id).destinatario_id.id or False
        else:
            pessoa_id = obj_do_modelo_ativo.browse(cr, uid, active_id).pessoa_id.id or False
        if pessoa_id:
            ids = obj_estoquepedidos_pedido_capa.search(cr, uid, [('pessoa_id', '=', pessoa_id),
                                                                  ('tipo', '=', 'V'),
                                                                  ('state', 'not in', ('C', 'F'))], context=context)
            if ids:
                browse_pedido_capa = obj_estoquepedidos_pedido_capa.browse(cr, uid, ids)
                ids = []
                for x in browse_pedido_capa:
                    if (x.state == 'R' and x.orcamento_id.id) or x.state != 'R':
                        for i in x.pedido_condicao_ids:
                            if i.condicao_forma_id.adm_condicao_id.tipo == 'C':
                                ids.append(x.id)
                                break
    return ids
