# -*- coding: utf-8 -*-

from openerp.tests.common import TransactionCase
from sigaddons.config_teste import set_config


class TestEstoquepedidosPedidoItem(TransactionCase):
    """
    Classe responsavel por testes unitarios dos metodos da classe estoquepedidos_pedido_item
    :author: Tiago Henrique Prates dos Santos <tiago.santos[at]siginformatica.com.br>
    """

    @classmethod
    def setUpClass(cls):
        set_config()

    def setUp(self):
        super(TestEstoquepedidosPedidoItem, self).setUp()
        self.obj_pedido_item = self.registry('estoquepedidos.pedido.item')

    def test_onchange_calc(self):
        res = self.obj_pedido_item.onchange_calc(self.cr, self.uid, ids=[], qtde_pedida=20.00,
                                                 vr_unitario=5.00, vr_desconto=0.00,
                                                 produto_embalagem_id=False, vr_bonificacao=10.00)
        vr_total = res.get('value').get('valor_total')
        self.assertEqual(vr_total, 90.00)
