#!/usr/bin/python
# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class wizard_consulta_saldo_pedido_compra(osv.TransientModel):
    _name = 'wizard.consulta.saldo.pedido.compra'
    _columns = {
        'wcspc_pedido_id': fields.many2one("estoquepedidos.pedido.capa", 'Pedido',
                                           domain="[('tipo', '=', 'C')]"),
        'wcspc_data_emissao': fields.date('Data de Emissao'),
        'wcspc_data_entrega': fields.date('Data de Entrega'),
        'wcspc_qtde_pendente': fields.float('Qtd. Pendente', digits=(15, 3)),
        'wcspc_consulta_saldo_id': fields.many2one('wizard.consulta.saldos', 'consulta_id',
                                                   ondelete="cascade")
    }
