# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from openerp.tools import drop_view_if_exists
from time import strftime
from openerp.tools.translate import _


class estoqueressuprimento_requisicao_itens(osv.Model):
    _name = 'estoqueressuprimento.nao.atendido.itens'
    _inherit = 'estoqueressuprimento.nao.atendido.itens'

    def search(self, cr, uid, args, offset=0, limit=None, order=None, context=None, count=False):
        context = context and context.copy() or {}
        res = super(estoqueressuprimento_requisicao_itens, self).search(cr, uid, args, offset, limit, order,
                                                                        context=context, count=count)
        if 'nao_atendido_itens' in context:
            return res
        context['nao_atendido_itens'] = True
        ids_item_sem_dia = self.search(cr, uid, [('resnat_dia', '=', False)], offset, limit, order, context, count)
        if ids_item_sem_dia:
            self.write(cr, uid, ids_item_sem_dia, {}, context=context)
        return res
