# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from openerp.tools import drop_view_if_exists


class estoqueressuprimento_requisicao_view(osv.Model):
    """
    View
    """
    _name = 'estoqueressuprimento.requisicao.view'
    _inherit = 'estoqueressuprimento.requisicao.view'

    def init(self, cr):
        drop_view_if_exists(cr, 'estoqueressuprimento_requisicao_view')
        cr.execute("""
            CREATE OR REPLACE VIEW estoqueressuprimento_requisicao_view AS (
                SELECT
                    capa.company_id,
                    capa.numero,
                    capa.data,
                    capa.resrca_empresa_entrada_id,
                    capa.local_entrada_id,
                    capa.local_saida_id,
                    capa.state,
                    item.id,
                    item.produto_id,
                    item.grade_id,
                    item.quantidade_requisitada,
                    item.quantidade_confirmada
                FROM estoqueressuprimento_requisicao_capa AS capa
                INNER JOIN estoqueressuprimento_requisicao_itens AS item
                ON capa.id = item.requisicao_id
            )
        """)
