# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class estoque_local(osv.Model):
    """
    Tabela de locais de armazenagem.
    """

    _name = 'estoque.local'
    _inherit = 'estoque.local'

    def search(self, cr, uid, args, offset=0, limit=None, order=None, context=None, count=False):
        context = context and context.copy() or {}
        entrada_id = context.get('company_entrada_id')
        saida_id = context.get('company_saida_id')
        if saida_id and saida_id == entrada_id:
            if context.get('ressuprimento_local'):
                ressuprimento_local = context['ressuprimento_local']
                del context['ressuprimento_local']
                args += [('id', '!=', ressuprimento_local)]
        return super(estoque_local, self).search(cr, uid, args, offset, limit, order, context, count)
