# -*= coding: utf-8 -*-
from openerp.osv import osv


class wizard_listagem_movimento_sintetico(osv.TransientModel):

    _inherit = 'wizard.listagem.movimento.sintetico'

    def get_origem_movimento(self, cr, uid, context=None):
        """
        O metodo identifica a origem do item movimentado no estoque.
        Se nota ou cupom fiscal, eh identificado pelo tipo de movimento do CFOP.
        Se ressuprimento, eh identificado pelo id desse (requisicaoressuprimento_id) na capa do
        movimento.
        :param cr: cursor no banco de dados.
        :type cr: object
        :param uid: id da tabela res_users, identificador do usuario.
        :type uid: int
        :param context: dados com valores contextuais.
        :type context: dict
        :return: query para busca dos dados no movimento
        :rtype: str
        """
        context = context and context.copy() or {}
        sql = super(wizard_listagem_movimento_sintetico, self).get_origem_movimento(
            cr, uid, context)
        sql = sql.replace("ELSE fc.movimento_tipo",
                          "WHEN emc.requisicaoressuprimento_id IS NOT NULL THEN 'S' "
                          "ELSE fc.movimento_tipo")
        return sql
