# -*- encoding: utf-8 -*-

from openerp.osv import osv


class fiscal_nf_capa(osv.Model):
    _name = 'fiscal.nf.capa'
    _inherit = 'fiscal.nf.capa'

    def _add_missing_default_values(self, cr, uid, values, context=None):
        """
        Busca os campos defaults que estao faltando.
        O ressuprimento irá utilizar este metodo para poder criar uma nota fiscal
        sem ter a empresa logada como empresa da nota fiscal.
        """
        context = context and context.copy() or {}
        res = super(fiscal_nf_capa, self)._add_missing_default_values(cr, uid, values, context)
        if isinstance(res, dict) and isinstance(context, dict):
            if res.get('company_id') and context.get('diff_company_id'):
                res['company_id'] = context['diff_company_id']
        return res

