#!/usr/bin/python
# -*- encoding: utf-8 -*-

from openerp.osv import osv


class serie_produto(osv.Model):
    _name = 'estoqueserie.produto'
    _inherit = 'estoqueserie.produto'

    def default_get(self, cr, uid, fields, context=None):
        context = context and context.copy() or {}
        res = super(serie_produto, self).default_get(cr, uid, fields, context)
        if context.get('produto_id'):
            res['esepro_produto_id'] = context.get('produto_id')
        return res

    def search(self, cr, uid, args, offset=0, limit=None, order=None, context=None, count=False):
        context = context and context.copy() or {}
        if not context.get('listagem_itens_numero_serie'):
            serie_disponivel = filter(lambda i: 'esepro_disponivel' in i[1], args)
            if not serie_disponivel:
                args.append(('esepro_disponivel', '=', True))
        res = super(serie_produto, self).search(cr, uid, args, limit=limit, offset=offset, order=order, context=context,
                                                count=count)
        return res
