#!/usr/bin/python
# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class estoque_movimento_itens(osv.Model):
    def estmvi_get_controle_serie_produto(self, cr, uid, ids, name, arg, context=None):
        context = context and context.copy() or {}
        if isinstance(ids, (int, long)):
            ids = [ids]
        res = {}.fromkeys(ids, False)
        controla_numero_serie = self.pool.get('estoque.produto').estpro_get_parametro_serie(cr, uid, context=context)
        if controla_numero_serie:
            browse_mov_item = self.browse(cr, uid, ids)
            for i in browse_mov_item:
                id = i.id
                produto_controle_serie = i.produto_id.estpro_nserie_tipo
                if produto_controle_serie in ('NS', 'NC'):
                    res[id] = True
        return res

    _name = 'estoque.movimento.itens'
    _inherit = 'estoque.movimento.itens'
    _columns = {
        'estmvi_movserie_ids': fields.one2many('estoqueserie.movimento', 'esemov_movimento_itens_id', 'Series'),
        'estmvi_serie_entrada_ids': fields.one2many('estoqueserie.entrada', 'eseent_mov_item_id', 'Numeros de Series'),
        'estmvi_produto_nserie_controle': fields.function(estmvi_get_controle_serie_produto, method=True,
                                                          string="Controle Serie", store=False, type="boolean"),
    }

