# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################


#Funcoes da classe estoqueserie_produto
def esepro_get_disponibilidade(self, cr, uid, ids, field_name='', args=None, context=None):
    context = context and context.copy() or {}
    if isinstance(ids, (int, long)):
        ids = [ids]
    res = {}.fromkeys(ids, False)
    obj_serie_movimento = self.pool.get('estoqueserie.movimento')
    list_movimento_ids = []
    for serie_id in ids:
        args = [('esemov_serie_id', '=', serie_id)]
        # BUSCA A ULTIMA MOVIMENTAÇÃO PARA O NUMERO DE SERIE
        serie_mov_ids = obj_serie_movimento.search(cr, uid, args, order='esemov_data desc', limit=1, context=context)
        list_movimento_ids.extend(serie_mov_ids)
    if list_movimento_ids:
        browse_serie_mov = obj_serie_movimento.browse(cr, uid, list_movimento_ids)
        serie_ids = map(lambda s: s.esemov_serie_id.id, filter(lambda i: i.esemov_operacao == 'E', browse_serie_mov))
        if serie_ids:
            res.update({}.fromkeys(serie_ids, True))
    return res


def _esepro_get_disponibilidade_movimento(self, cr, uid, ids, context=None):
    context = context and context.copy() or {}
    browse_serie_movimento = self.pool.get('estoqueserie.movimento').browse(cr, uid, ids)
    serie_ids = map(lambda i: i.esemov_serie_id.id, browse_serie_movimento)
    res = self.pool.get('estoqueserie.produto').esepro_get_disponibilidade(cr, uid, serie_ids, context=context)
    return res


#Funcoes da classe serie_entrada
def _eseent_get_total_serie(self, cr, uid, ids, name, arg, context=None):
    context = context and context.copy() or {}
    if isinstance(ids, (int, long)):
        ids = [ids]
    res = {}.fromkeys(ids, 0)
    serie_entrada_dados = self.read(cr, uid, ids, ['eseent_numero_serie'], context=context)
    obj_serie_utils = self.pool.get('serie.utils')
    for i in serie_entrada_dados:
        id = i['id']
        series = i.get('eseent_numero_serie') or []
        if series:
            series = [series]
        total_series = obj_serie_utils.serutl_generate_range_serie(list_serie=series, context=context)
        if isinstance(total_series, list):
            res[id] = len(total_series)
    return res


#Funcoes da classe estoqueserie_movimento
def _esemov_get_destinatario_nota(self, cr, uid, ids, name, arg, context=None):
    context = context and context.copy() or {}
    res = {}
    if ids:
        movimento_ids = self.browse(cr, uid, ids)
        for x in movimento_ids:
            res[x.id] = False
            esemov_movimento_itens_id = x.esemov_movimento_itens_id
            if esemov_movimento_itens_id:
                res[x.id] = esemov_movimento_itens_id.nf_id.destinatario_id.name
    return res
