#!/usr/bin/python
# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class serie_entrada(osv.Model):
    from funcoes import _eseent_get_total_serie

    _name = 'estoqueserie.entrada'
    _columns = {
        'eseent_mov_item_id': fields.many2one('estoque.movimento.itens', 'Movimento', ondelete='cascade'),
        'eseent_numero_serie': fields.char(
            'Numeros de Serie (Max. 300 caracteres). EX: SerieInicial|SerieFinal e/ou Serie1-Serie2-......-SerieN ',
            required=True, size=300
        ),
        'eseent_total_serie': fields.function(_eseent_get_total_serie, method=True, type="integer", store=False,
                                              string="Total Series Inseridas"),
    }
