# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class eventos_eventos(osv.Model):
    _name = 'eventos.eventos'
    _inherit = 'eventos.eventos'

    def eveeve_get_valor(self, cr, uid, evento_id, tipo_valor, context=None):
        """
        @evento_id, id do evento,
        @tipo_valor, N=Normal, D=Com desconto
        Return: valor do evento
                False se houver algum problema
        """
        context = context and context.copy() or {}
        if not evento_id:
            return False
        if tipo_valor not in ('N', 'D'):
            return False
        dados_eventos_eventos = self.read(cr, uid, evento_id, context=context)
        if not dados_eventos_eventos:
            return False
        if isinstance('dados_eventos_eventos', list):
            dados_eventos_eventos = dados_eventos_eventos[0]
        if tipo_valor == "N":
            return dados_eventos_eventos['eveeve_valor_normal']
        else:
            return dados_eventos_eventos['eveeve_valor_com_desconto']
