# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class eventos_equipes(osv.Model):
    """
    Tabela de equipes
    """
    _name = 'eventos.equipes'
    _columns = {
        'name': fields.char('Nome da equipe', size=50, required=True),  # descricao
        'eveeqp_evento_id': fields.many2one('eventos.eventos', 'Evento', required=True),
        'eveeqp_coordenador_id': fields.many2one("adm.pessoa", 'Coordenador', ondelete="restrict",
                                                 select=True, domain="[('pessoa_tipo', '=', 'F')]"),
        'eveeqp_obs': fields.text('Informacoes complementares'),
        'eveeqp_integrantes_ids': fields.one2many('eventos.equipes.integrantes', 'eveeqi_equipe_id', 'Integrantes'),
    }
    _order = 'name'
