# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class eventos_tipo(osv.Model):
    """
    Tabela de Tipos de eventos
    """
    _name = 'eventos.tipo'
    _columns = {
        'name': fields.char('Descricao', size=40, required=True),  # descricao
        'evetip_parent_id': fields.many2one("eventos.tipo", 'Categoria pai', ondelete="cascade",  select=True),  # id do evento pai
        'evetip_child_ids': fields.one2many('eventos.tipo', 'evetip_parent_id', 'Categorias filhas'),
    }
