# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class eventos_materiais_fornecedores(osv.Model):
    """
    Tabela de fornecedores dos materiais necessarios ao evento
    """
    _name = 'eventos.materiais.fornecedores'
    _rec_name = 'evemtf_material_id'
    _columns = {
        'evemtf_material_id': fields.many2one('eventos.materiais', 'Material', required=True),
        'evemtf_tipo': fields.selection([('D', 'Doacao'), ('E', 'Emprestimo'), ('C', 'Compra')], "Tipo", required=True),
        'evemtf_fornecedor_id': fields.many2one('adm.pessoa', 'Fornecedor'),
        'evemtf_quantidade': fields.integer('Quantidade'),
        'evemtf_valor': fields.float('Valor', digits=(8, 2)),
    }
    _order = 'evemtf_material_id'
