# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class estoque_parametro(osv.Model):
    """
    Tabela de parametros do estoque
    """
    _inherit = 'estoque.parametro'
    _columns = {
        'estpar_impressora_expedicao': fields.char('Impressora para expedicao', size=128),
        'estpar_formato_impressao_expedicao': fields.selection(
            [('1', 'A4'), ('2', 'A5 (Meia pagina)')], string='Formato impressao', size=1),
        'estpar_expedicao_retrato_paisagem': fields.selection([('P', 'Paisagem'), ('R', 'Retrato')],
                                                              'Modo impressao', size=1),
    }

    _defaults = {
        'estpar_expedicao_retrato_paisagem': lambda *a: 'R',
    }
