# -*- encoding: utf-8 -*-

from openerp.osv import fields
from openerp.osv import osv
from openerp.tools.sql import drop_view_if_exists


class financeiro_cobranca_view(osv.Model):
    _name = "financeiro.cobranca.view"
    _inherit = "financeiro.cobranca.view"


    def init(self, cr):
        drop_view_if_exists(cr, "financeiro_cobranca_view")
        cr.execute("""create or replace view financeiro_cobranca_view  as(
        select rank () over (order by  descricao,tipo_titulo) as id,xx.*
        from ( select
               ft.tipo_titulo,
               flc.descricao,
               sum(ft.saldo ) as Vrl_Acumulado
               from
                       financeiro_titulo ft,
                       financeiro_local_cobranca flc
                 where
                       ft.State = 'A'
                   and ft.local_cobranca_id = flc.id
                group by flc.id,
                       flc.descricao,ft.tipo_titulo)as xx
                )

            """)

