# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class financeiro_operacoes(osv.Model):

    _name = 'financeiro.operacoes'
    _inherit = 'financeiro.operacoes'

    def sequence_criar(self, cr, uid, context=None):
        context = context and context.copy() or {}
        company_id = self.pool.get('adm.empresa.objeto').getEmpresa(cr, uid, self._name, context=context)
        __code = 'financeiro.operacoes'
        __name = 'Codigo de Operacao'
        vals = {
            'name': __name,
            'code': __code,
            'company_id': company_id,
            'padding': 6,
            'implementation': 'no_gap'
        }
        consulta = self.pool.get('ir.sequence').search(cr, uid, [('code', '=', __code), ('company_id', '=', company_id)], context=context)
        if not consulta:
            self.pool.get('ir.sequence').create(cr, uid, vals, context)
        return True

    def create(self, cr, uid, vals, context=None):
        context = context and context.copy() or {}
        codigo = self.pool.get('adm.utils').get_sequence(cr, uid, self._name, 'financeiro.operacoes')
        vals['finope_codigo'] = codigo
        res = super(financeiro_operacoes, self).create(cr, uid, vals, context)
        return res
