# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
from openerp import pooler


class financeiro_clientes_mensagem_nome(osv.Model):
    """
    Tabela  contendo o cadastro de mensagens
    """
    _name = 'financeiro.clientes.mensagem.nome'
    _inherit = 'financeiro.clientes.mensagem.nome'

    def name_search(self, cr, user, name='', args=None, operator='ilike', context=None, limit=100):
        if not args:
            args = []
        context = context and context.copy() or {}
        try:
            i = int(name)
            filtro = [('codigo', '=', name)]
            ids = self.search(cr, user, filtro + args, limit=limit, context=context)
            if ids:
                return self.name_get(cr, user, ids, context)
        except:
            ids = self.search(cr, user, [('name', operator, name)] + args, limit=limit, context=context)
            return self.name_get(cr, user, ids, context)