# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv


class financeiro_parametros(osv.Model):
    _name = 'financeiro.parametros'
    _inherit = 'financeiro.parametros'

    def search(self, cr, uid, args, offset=0, limit=None, order=None, context=None, count=False):
        context = context and context.copy() or {}
        res = super(financeiro_parametros, self).search(cr, uid, args, offset, limit, order, context, count)
        return res

    def copy(self, cr, uid, id, default=None, context=None):
        context = context and context.copy() or {}
        if not isinstance(default, dict):
            default = {}
        default['company_id'] = self.pool.get('adm.empresa.objeto').getEmpresa(cr, uid, context=context)
        return super(financeiro_parametros, self).copy(cr, uid, id, default, context)
