# -*- encoding: utf-8 -*-

from openerp.osv import fields
from openerp.osv import osv
from openerp.tools.sql import drop_view_if_exists


class rel_periodo_quant_view(osv.Model):
    _name = "rel.periodo.quant.view"
    _inherit = "rel.periodo.quant.view"

    def init(self, cr):
        drop_view_if_exists(cr, "rel_periodo_quant_view")
        cr.execute("""create or replace view rel_periodo_quant_view as(
       select rank () over (order by  tipo_titulo , vnc, vncper) as id,xx.*
        from (select case
        when ft.data_prorrogacao >=  current_date Then 'A Vencer'
        else 'Vencida' end as Vnc,
        case
        when abs(current_date - ft.data_prorrogacao)  <= 005 Then '000 - 005'
        when abs(current_date - ft.data_prorrogacao)  <= 010 Then '006 - 010'
        when abs(current_date - ft.data_prorrogacao)  <= 015 Then '011 - 015'
        when abs(current_date - ft.data_prorrogacao)  <= 030 Then '016 - 030'
        when abs(current_date - ft.data_prorrogacao)  <= 060 Then '031 - 060'
        when abs(current_date - ft.data_prorrogacao)  <= 090 Then '061 - 090'
        when abs(current_date - ft.data_prorrogacao)  <= 120 Then '091 - 120'
        when abs(current_date - ft.data_prorrogacao)   > 120 Then '120 >'
        else ' A Vencer < 0' end as VncPer,tipo_titulo ,
            sum(ft.saldo ) as Vrl_Acumulado,
            Count(1) as Qtd_Titulos
          from financeiro_titulo ft
         where ft.State = 'A'
        group By tipo_titulo , Vnc, VncPer )
        as xx
        )

            """)

