# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
from openerp import pooler


class financeiro_representante(osv.Model):
    _name = 'financeiro.representante'
    _inherit = 'financeiro.representante'

    def name_get(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        if not len(ids):
            return []
        reads = self.read(cr, uid, ids, ['pessoa_id'], context=context)
        res = []
        for record in reads:
            name = record['pessoa_id'][1]
            res.append((record['id'], name))
        return res
