# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class financeiro_gerencial_dre(osv.Model):

    _name = "financeiro.gerencial.dre"

    _columns = {
        'fingerdre_sigla': fields.char('Sigla', size=5, select=True, required=True),
        'name': fields.char('Nome', size=40, required=True),
        'fingerdre_linha_ids': fields.one2many('financeiro.gerencial.dre.linhas', 'fingerdrl_dre_id', 'Linhas'),
    }

    _sql_constraints = [
        ('fingerdre_sigla_uniq', 'unique (fingerdre_sigla)', 'A sigla precisa ser unica'),
    ]
