# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class documento_documento_tipo(osv.Model):

    _name = 'documento.documento.tipo'
    _inherit = 'documento.documento.tipo'

    _columns = {
        'docdot_centro_custo_id': fields.many2one('adm.empresa.centrocusto', 'Centro de custo',
                                                  help="Centro de custos para entrada de titulos. Este centro de custo"
                                                       " ira sobrepor ao cadastrado no parametro do financeiro"),
        'docdot_evento_id': fields.many2one('gerencial.evento', 'Evento', help="Evento para entrada de titulos. Este "
                                                                               "evento ira sobrepor ao cadastrado no "
                                                                               "parametro do financeiro")
    }
