# -*- encoding: utf-8 -*-

from openerp.osv import fields
from openerp.osv import osv
from openerp.tools.sql import drop_view_if_exists


class rel_periodo_quant_view(osv.Model):
    _name = "rel.periodo.quant.view"
    _description = "Painel Financeiro vencimentos"
    _auto = False
    _columns = {
        'id': fields.integer('id'),
        'vnc': fields.char('Status', size=10),
        'tipo_titulo': fields.selection([('R', 'Receber'), ('P', 'Pagar')], 'Tipo titulo', size=1),
        'vrl_acumulado': fields.float('Valor', digits=(15, 2)),
        'vncper': fields.char('Periodo', size=10),
        'qtd_titulos': fields.integer('QTD.'),
    }


