# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class financeiro_analitico_pgview(osv.Model):
    _name = "financeiro.analitico.pgview"
    _auto = False
    _columns = {
        'id': fields.integer(),
        'company_id': fields.many2one("res.company", 'Empresa'),
        'pessoa_id': fields.many2one('adm.pessoa', 'Pessoa'),
        'doc_tipo_id': fields.many2one("documento.documento.tipo", 'Tipo de documento'),
        'natureza_cobranca_id': fields.many2one('financeiro.natureza.cobranca',
                                                'Natureza cobranca'),
        'local_cobranca_id': fields.many2one('financeiro.local.cobranca', 'Local de cobranca'),
        'tipo': fields.char('Tipo', size=1),
        'data': fields.date('Data'),
        'valor': fields.float('Valor', digits=(12, 2)),
        'historico': fields.char('Historico', size=64)
    }
