# -*- encoding: utf-8 -*-

import time
from openerp import pooler
from openerp.report import report_sxw


class cliente_cadastro(report_sxw.rml_parse):
    _name = 'report.cliente.cadastro'

    def __init__(self, cr, uid, name, context):
        super(cliente_cadastro, self).__init__(cr, uid, name, context)
        self.localcontext.update({
            'time': time,
            'get_company': self._get_company,
            'get_lines': self._get_lines,
            'lines': self.lines,
        })
        self.context = context

    def _get_company(self, form):
        return pooler.get_pool(self.cr.dbname).get("res.company").browse(self.cr, self.uid, form['company_id']).name

    def _get_lines(self, form):
        res = []
        return res

    def preprocess(self, objects, data, ids):
        args = [('company_id', '=', data['form']['company_id']),
        ]
        ids = self.pool.get('financeiro.cliente').search(self.cr, self.uid, args, context=self.context)
        objects = self.pool.get('financeiro.cliente').browse(self.cr, self.uid, ids, context=self.context)
        super(cliente_cadastro, self).preprocess(objects, data, ids)

    def lines(self, form):
        ret = self._report_data[categ.id]
        return [{id: 1, valor: 1}, {id: 2, valor: 2.2}]

