# -*- coding: utf-8 -*-

from openerp.osv import osv, fields


class wiz_financeiro_titulo_vencido(osv.TransientModel):
    _name = 'wiz.financeiro.titulo.vencido'
    _columns = {
        'pessoa_id': fields.many2one('adm.pessoa', 'Cliente'),
        'documento': fields.char('Documento', size=30),
        'parcela': fields.integer('Parcela'),
        'saldo': fields.float('Saldo', digits=(15, 2)),
        'data_prorrogacao': fields.date('Vencimento'),
        'financeiro_movimentacao_diaria_id': fields.many2one('wizard.movimentacao.diaria.capa',
                                                             'Capa'),
        'selecionado': fields.boolean('Selecionado'),
    }
    _defaults = {
        'selecionado': lambda *a: False,
    }
