# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class financeiro_tesouraria_movimento(osv.Model):
    _inherit = 'financeiro.tesouraria.movimento'

    def search(self, cr, uid, args, offset=0, limit=None, order=None, context=None, count=False):
        context = context and context.copy() or {}
        if context.get('fincon_conciliar_contas_form'):
            for x in args:
                if x[0] == 'conta_id':
                    _conta_id = x[2]
                    if isinstance(_conta_id, list):
                        _conta_id = _conta_id[0]
                    dados_conta = self.pool.get('financeiro.tesouraria.contas').read(cr, uid, _conta_id,
                                                                                     ['fintco_so_nao_conciliados'],
                                                                                     context=context)
                    if dados_conta.get('fintco_so_nao_conciliados'):
                        args.append(('fintem_fincon_conciliado', '=', False))
                    break
        res = super(financeiro_tesouraria_movimento, self).search(cr, uid, args, offset=offset, limit=limit,
                                                             order=order, context=context, count=count)
        return res
