# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class financeiro_tesouraria_contas(osv.Model):

    _inherit = 'financeiro.tesouraria.contas'

    _columns = {
        'fintco_tarifa_movimento_unico': fields.boolean(
            'Tarifa cobranca magnetica movimento unico',
            help='Se marcado, ao processar o arquivo de retorno da cobranca magnetica, as tarifas '
                 'serao acumuladas gerando um unico movimento na tesouraria.')
    }

    _defaults = {
        'fintco_tarifa_movimento_unico': False,
    }
