# -*- encoding: utf-8 -*-

import time
from openerp.report import report_sxw
from SigUtils.numero import getNumeroEditado
from pytz import timezone
from datetime import datetime


class rel_espelho_retorno(report_sxw.rml_parse):

    def __init__(self, cr, uid, name, context):
        super(rel_espelho_retorno, self).__init__(cr, uid, name, context=context)
        tz = context.get('tz') or 'Brazil/East'
        agora = datetime.now(timezone('UTC')).astimezone(timezone(tz))
        agora = str(agora)[11:19]
        self.localcontext.update({
            'time': time,
            'sum': sum,
            'getNumeroEditado': getNumeroEditado,
            'agora': agora
        })
        self.context = context

report_sxw.report_sxw('report.febraban_espelho_retorno', 'wizard.cobranca.magnetica.retorno',
                      'financeiro_febraban/report/espelho_retorno.rml', parser=rel_espelho_retorno)
