# -*- encoding: utf-8 -*-
{
    'name':'fiscal',
    'version': '7.0.2403.6',
    'category':'Fiscal',
    'author':'Sig Informatica Ltda',
    'website':'http://www.siginformatica.com.br',
    'license': 'Other proprietary',
    'description':"""Modulo fiscal do Sig ERP""",
    'depends': [
        'automacao',
        'orcamentos',
        'compras',
    ],
    'data': [
        'data/encargos.xml',
        'data/fiscal_encargo_empresa.xml',
        'data/cfop.xml',
        'data/fiscal_cfop_natureza.xml',
        'data/fiscal_cfop_natureza_encargos.xml',
        'data/cst.xml',
        'data/fiscal_tributacao.xml',
        'data/csosn.xml',
        'data/regime_tributario.xml',
        'data/modelo_nf.xml',
        'data/parametro.xml',
        'data/modelo_nf_series.xml',
        'data/nf.xml',
        'data/tributacao_simples_nacional.xml',
        'data/ir_cron.xml',
        'data/websig_sql_data.xml',
        'data/codigo_consumo.xml',
        'data/impressoras.xml',
        'data/tabelas/fiscal.cest.csv',
        'data/tabelas/fiscal.cfop.csv',
        'data/tabelas/fiscal.ncm.csv',
        'wizard/wizard_cancelar_nfe_view.xml',
        'wizard/wizard_gerar_nfe_referenciada_view.xml',
        'wizard/wizard_inutilizar_nfe_view.xml',
        'wizard/wizard_carta_correcao_view.xml',
        'wizard/wizard_registro_entrada_view.xml',
        'wizard/margem_contribuicao_view.xml',
        'wizard/wizard_apuracao_icms_view.xml',
        'wizard/wizard_apuracao_ipi_view.xml',
        'wizard/sped_view.xml',
        'wizard/wizard_manifestacao_destinatario_view.xml',
        'wizard/wizard_alterar_preco_venda_fiscal.xml',
        'wizard/export_nfe.xml',
        'wizard/import_certificado_view.xml',
        'wizard/wizard_consulta_movimento_tributacao_view.xml',
        'wizard/wizard_vendas_produto_simulacao_view.xml',
        'wizard/wizard_registro_saida_view.xml',
        'wizard/wizard_apuracao_ncm_view.xml',
        'wizard/exibe_questao_view.xml',
        'wizard/wizard_listagem_gnre_view.xml',
        'wizard/wizard_compras_produto_simulacao_view.xml',
        'wizard/fiscal_gerar_sintegra.xml',
        'wizard/wizard_listagem_nf_view.xml',
        'wizard/wizard_listagem_posicao_estoque_view.xml',
        'wizard/wizard_listagem_item_tributacao_view.xml',
        'wizard/cliente_debitos_wizard_view.xml',
        'wizard/wizard_importa_tabela_ibpt_view.xml',
        'wizard/sped_contribuicoes_view.xml',
        'wizard/wizard_nf_complemento_view.xml',
        'wizard/wizard_produto_por_tributacao.xml',
        'wizard/wizard_selecao_nf_view.xml',
        'wizard/wizard_conferir_transferencia.xml',
        'wizard/wizard_listagem_transferencia.xml',
        'wizard/wizard_dados_cadastrais_sped.xml',
        'wizard/wizard_apuracao_pis_cofins_view.xml',
        'wizard/wizard_resumo_damef_view.xml',
        'wizard/wizard_gerar_dapi_view.xml',
        'wizard/wizard_manutencao_tributacao_view.xml',
        'wizard/wizard_gerar_destda_view.xml',
        'wizard/wizard_substitui_natureza_receita_pis_cofins_view.xml',
        'wizard/wizard_exportar_xml_nfe_view.xml',
        'wizard/wizard_verifica_sped_view.xml',
        'wizard/nfe_operacao_nao_realizada_view.xml',
        'wizard/wizard_importar_cte_view.xml',
        'views/encargo_view.xml',
        'views/encargo_empresa_view.xml',
        'inherit/fiscal_manutencao_nf_complemento.xml',
        'inherit/adm_empresa_view.xml',
        'inherit/adm/forma_view.xml',
        'inherit/wizard_adm_pessoa_estado_view.xml',
        'inherit/financeiro_parametro_view.xml',
        'inherit/vendas_vendedor_view.xml',
        'inherit/wizard_estoque_consulta_movimento_view.xml',
        'inherit/estoque/estoque_parametro_view.xml',
        'inherit/estoque/estoque_inventario.xml',
        'inherit/estoque/registro_inventario_view.xml',
        'inherit/estoque/estsug_compra_capa_view.xml',
        'inherit/estoquepedidos/pedido_capa_view.xml',
        'inherit/financeiro/wizard_gerencial_listagem_conferencia_view.xml',
        'inherit/vendas/exportar_rps_view.xml',
        'inherit/vendas/importar_nfe_view.xml',
        'inherit/vendas/wizard_analise_venda_view.xml',
        'inherit/vendas/action.xml',
        'wizard/wizard_faturar_pedidos_view.xml',
        'views/cst_view.xml',
        'views/csosn_view.xml',
        'views/cfop_view.xml',
        'views/cfop_natureza_view.xml',
        'views/tributacao_view.xml',
        'views/tributacao_excecao_view.xml',
        'views/tributacao_item_view.xml',
        'views/deducoes_view.xml',
        'views/apuracao_imposto_view.xml',
        'views/parametro_view.xml',
        'views/modelo_view.xml',
        'views/modelo_nf_series_view.xml',
        'views/parametro_view.xml',
        'views/nf_capa_view.xml',
        'views/nf_view_terceiro.xml',
        'views/nf_capa_servico_view.xml',
        'views/nfce_view.xml',
        'views/nf_item_tributacao_view.xml',
        'views/ncm_view.xml',
        'views/nf_capa_manutencao_view.xml',
        'views/fiscal_cst_correlacao_view.xml',
        'views/codigo_consumo_view.xml',
        'views/fiscal_nfe_consumo_view.xml',
        'views/fiscal_tributacao_interestadual_view.xml',
        'views/painel_nfce_view.xml',
        'views/guias_view.xml',
        'inherit/estoque/produto_view.xml',
        'inherit/fiscal_categoria_view.xml',
        'inherit/adm_pessoa_inherit_view.xml',
        'inherit/estoquepedidos_pedido_capa_view.xml',
        'inherit/estoquepedido_compra_capa_view.xml',
        'inherit/vendas_liberar_desconto.xml',
        'inherit/financeiro_fatura_view.xml',
        'inherit/estoque/estoque_categoria_view.xml',
        'inherit/fiscal_venda_liberar_restricoes_view.xml',
        'inherit/wizard_listagem_movimento_sintetico_view.xml',
        'inherit/wizard_listagem_movimento_analitico_view.xml',
        'inherit/gerencial_movimento_view.xml',
        'inherit/estoque/wizard_estoque_consulta_movimento_view.xml',
        'inherit/wizard_estoque_consulta_saldos.xml',
        'inherit/estoque/estoque_preco_custo_view.xml',
        'wizard/import_nfe_view.xml',
        'wizard/wizard_listagem_vendas_por_periodo_view.xml',
        'wizard/wizard_documento_emitido_view.xml',
        'views/tabela_servico_view.xml',
        'views/itens_nf_propria_view.xml',
        'views/itens_nf_terceiro_view.xml',
        'views/fiscal_tributacao_simples_nacional_view.xml',
        'views/cadastro_anp_view.xml',
        'views/cest_view.xml',
        'views/fiscal_sugestao_preco_view.xml',

        # Notas fiscais de perda de inventario
        'inherit/estoque/wizard_gerar_nf_perda_view.xml',
        'inherit/estoque/action.xml',
        'inherit/estoque/menu.xml',
        'inherit/vendas/action.xml',
        'inherit/vendas/menu.xml',
        'views/action.xml',
        'security/fiscal_security.xml',
        'views/menu.xml',
        'security/ir.model.access.csv',
        'data/user_cron_nfce_painel.xml',
    ],
    'css': ['static/src/css/estilo.css'],
    'active':False,
    'installable':True,
    'application' : True,
    'external_dependencies' : {
        'python' : ['pynfe','geraldo'],
    }
}
