# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields
from openerp.tools.translate import _


class fiscal_apuracao_imposto(osv.Model):
    _name = 'fiscal.apuracao.imposto'
    _inherit = 'fiscal.apuracao.imposto'

    def create(self, cr, uid, vals, context=None):
        context = context and context.copy() or {}
        if context.get("tipo") == 'C':
            vals['tipo'] = 'C'
        if context.get("tipo") == 'I':
            vals['tipo'] = 'I'
        data = '%s/%.2d/01' % (vals.get('ano', ''), vals.get('mes', ''))
        try:
            vals['data_apuracao'] = data #datetime.strptime(data, '%d/%b/%Y')
        except:
            raise osv.except_osv(_('Atencao'), _('Data invalida.'))
        res = super(fiscal_apuracao_imposto, self).create(cr, uid, vals, context)
        return res

    def default_get(self, cr, uid, fields, context=None):
        context = context and context.copy() or {}
        res = super(fiscal_apuracao_imposto, self).default_get(cr, uid, fields, context)
        if context.get('tipo') == 'C':
            res['tipo'] = 'C'
        elif context.get('tipo') == 'I':
            res['tipo'] = 'I'
        return res
