# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2017 All Rights Reserved. Luiz Fernando Maciel França
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2017, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

BODY_HTML = u"""<meta charset='UTF-8'>
<div style="font-family: 'Lucica Grande', Ubuntu, Arial, Verdana, sans-serif; 
            font-size: 12px; 
            color: rgb(34, 34, 34); 
            background-color: #FFF; ">
    <p>Prezado(a) %s, anexo, arquivo eletr&ocirc;nico (XML) e o DANFE (PDF) 
    correspondente &agrave; NF-e n&uacute;mero %d</p>
    <p style="border-left: 1px solid #8e0000; margin-left: 30px;">
        <strong><u>Detalhes da nota fiscal</u></strong><br />
        Chave de acesso: <strong>%s</strong><br/>
        Nota fiscal n&uacute;mero: <strong>%d</strong><br />
        Total da nota fiscal: <strong>R$ %s</strong><br />
        Data de emiss&atilde;o: %s<br/>
    </p>
    <p>Qualquer d&uacute;vida nao hesite em entrar em contato conosco.</p>
    <p>Obrigado por escolher a %s.</p>
    <br/>
    <br/>
    <center>
        <div style="width: 475px; 
                    margin: 0px; 
                    padding: 0px; 
                    background-color: #133D5B; 
                    border-top-left-radius: 5px 5px; 
                    border-top-right-radius: 5px 5px; 
                    background-repeat: repeat no-repeat;">
            <h3 style="margin: 0px; 
                       padding: 2px 14px; 
                       font-size: 12px; 
                       color: #FFF;">
                <strong style="text-transform:uppercase;">
                   Como consultar a nota fiscal eletr&ocirc;nica 
                </strong>
            </h3>
        </div>
        <div style="width: 447px; 
                    margin: 0px; 
                    padding: 5px 14px; 
                    line-height: 16px; 
                    background-color: #F2F2F2;">
            <span style="color: #222; 
                         margin-bottom: 5px; 
                         display: block; ">
                <font size="2" face="Arial, Helvetica, sans-serif" color="#333333" 
                      style="font-size:11px">
                Acesse o Portal da nota fiscal eletr&ocirc;nica do Minist&eacute;rio da Fazenda em 
                    <a href="http://www.nfe.fazenda.gov.br" target="_blank">www.
                    <span class="il">nfe</span>.fazenda.gov.br</a><br>
                        V&aacute; at&eacute; <font color="#666666" style="font-size:11px;font-weight:normal">
                        Servi&ccedil;os &gt; 
                        <a href="http://www.nfe.fazenda.gov.br/portal/consulta.aspx?
                        tipoConsulta=resumo&amp;tipoConteudo=d09fwabTnLk=" 
                        style="text-decoration:underline;
                        color:#333333"
                        target="_blank">
                        Consultar resumo da NF-e</a></font>. Digite a chave de acesso para acessar 
                        todas as informa&ccedil;&otilde;es sobre a NF-e. 
                </font>
            </span>
            <p></p>
        </div>
    </center>
</div>"""

BODY_HTML_NFCE = u"""<meta charset='UTF-8'>
<div style="font-family: 'Lucica Grande', Ubuntu, Arial, Verdana, sans-serif; 
            font-size: 12px; 
            color: rgb(34, 34, 34); 
            background-color: #FFF; ">
    <p>Prezado(a) %s, anexo, arquivo eletr&ocirc;nico (XML) e o DANFE (PDF) 
    correspondente &agrave; NFC-e n&uacute;mero %d/%s</p>
    <p style="border-left: 1px solid #8e0000; margin-left: 30px;">
        <strong><u>Detalhes da nota fiscal</u></strong><br />
        Chave de acesso: <strong>%s</strong><br/>
        Nota fiscal n&uacute;mero: <strong>%d/%s</strong><br />
        Total da nota fiscal: <strong>R$ %s</strong><br />
        Data de emiss&atilde;o: %s<br/>
    </p>
    <p>Qualquer d&uacute;vida nao hesite em entrar em contato conosco.</p>
    <p>Obrigado por escolher a %s.</p>
    <br/>
    <center>
        <div style="width: 475px; 
                    margin: 0px; 
                    padding: 0px; 
                    background-color: #133D5B; 
                    border-top-left-radius: 5px 5px; 
                    border-top-right-radius: 5px 5px; 
                    border-botton-left-radius: 5px 5px; 
                    border-botton-right-radius: 5px 5px; 
                    background-repeat: repeat no-repeat;">
            <h3 style="margin: 0px; 
                       padding: 2px 14px; 
                       font-size: 12px; 
                       color: #FFF;">
                <strong style="text-transform:uppercase;">
                   Como consultar a Nota Fiscal de Consumidor Eletr&ocirc;nica 
                </strong>
            </h3>
        </div>
        <div style="width: 447px; 
                    margin: 0px; 
                    padding: 5px 14px; 
                    line-height: 16px; 
                    background-color: #F2F2F2;">
            <span style="color: #222; 
                         margin-bottom: 5px; 
                         display: block; ">
                <font size="2" face="Arial, Helvetica, sans-serif" color="#333333" 
                      style="font-size:11px">
                Acesse o Portal da nota fiscal de consumidor eletr&ocirc;nica do Minist&eacute;rio da Fazenda em 
                    <a href="http://www.sped.fazenda.mg.gov.br/spedmg/nfce/consultas/" target="_blank">
                    www.sped.fazenda.mg.gov.br/spedmg/nfce/consultas
                    </a><br>
                        V&aacute; at&eacute; <font color="red" style="font-size:11px;font-weight:normal">
                        Ambiente de produ&ccedil;&atilde;o &gt; 
                        <a href="http://nfe.fazenda.mg.gov.br/portalnfe/sistema/consultaarg.xhtml" 
                        style="text-decoration:underline;
                        color:red"
                        target="_blank">
                        Consulta por Chave Acesso</a></font>. Digite a chave 
                        de acesso para acessar todas as informa&ccedil;&otilde;es sobre a NFC-e. 
                </font>
            </span>
            <p></p>
        </div>
    </center>
</div>"""

