# -*- encoding: utf-8 -*-

from openerp.osv import osv


class fiscal_cfop_natureza_encargos(osv.Model):
    """
    Tabela de CFOPs
    """
    _name = 'fiscal.cfop.natureza.encargos'
    _inherit = 'fiscal.cfop.natureza.encargos'

    def create(self, cr, uid, vals, context=None):
        context = context and context.copy() or {}
            # Bloco inserido na versao 3G1, para evitar erro na insercao de dados
        # em bases que já tem os dados cadastrados
        # TODO: Pode ser removido apos a versao  4A1
        if context.get('install_mode') and context['install_mode']:
            args = [('encargo_id', '=', vals['encargo_id']), ('natureza_id', '=', vals['natureza_id'])]
            _id = self.search(cr, uid, args, context=context)
            if _id:
                return _id[0]
            # Fim do Bloco #
        result = super(fiscal_cfop_natureza_encargos, self).create(cr, uid, vals, context)
        return result
