# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv


class fiscal_nf_capa(osv.Model):

    _inherit = 'fiscal.codigo.consumo'

    def name_get(self, cr, user, ids, context=None):
        context = context and context.copy() or {}
        res = []
        if not ids:
            return res

        for dado in self.read(cr, user, ids, ['fiscco_codigo', 'fiscco_descricao'],
                              context=context):
            res.append((dado['id'], dado['fiscco_codigo'] + ' - ' + dado['fiscco_descricao']))

        return res
