# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields


class estoque_categoria(osv.Model):
    """
    Tabela de Categoria de produtos (Segmentacao)    
    """
    _name = 'estoque.categoria'
    _inherit = 'estoque.categoria'
    _columns = {
        'ncm_id': fields.many2one('fiscal.ncm', 'NCM'), # Nomenclatura comum do mercosul
        'estcat_evento_cmv_id': fields.many2one('gerencial.evento', 'Evento CMV',
                                                        help="Evento para classificacao CMV"),

    }
