# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class venlre_liberar_restricoes(osv.Model):
    _name = 'venlre.liberar.restricoes'
    _inherit = 'venlre.liberar.restricoes'
    _columns = {
        'venlre_nf_id': fields.many2one('fiscal.nf.capa', 'NF', ondelete='cascade'),
    }
    _sql_constraints = [
        ( 'venlre_fiscal_uniq', 'unique(venlre_nf_id)', 'Nota Fiscal ja cadastrado em outra restricao!' ),
    ]

