#!/usr/bin/python
# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class wizard_consulta_saldo_reserva_venda(osv.TransientModel):
    _name = 'wizard.consulta.reserva.venda'
    _inherit = 'wizard.consulta.reserva.venda'
    _columns = {
        #  not in ['Esboco', 'Faturada', 'Cancelada']
        'wcsrv_nf_id': fields.many2one("fiscal.nf.capa", 'Nota fiscal',
                                       domain="[('state', 'not in', '1', '3', 'C')]"),
    }


class wizard_estoque_consulta_saldos(osv.TransientModel):
    _name = 'wizard.consulta.saldos'
    _inherit = 'wizard.consulta.saldos'

    def button_limpar(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        obj_wiz_saldo_reserva_venda = self.pool.get('wizard.consulta.reserva.venda')
        reserva_venda_dados = self.read(cr, uid, ids, ['reserva_venda_ids'], context=context)
        if isinstance(reserva_venda_dados, list):
            for reserva in reserva_venda_dados:
                obj_wiz_saldo_reserva_venda.unlink(cr, uid, reserva.get('reserva_venda_ids'),
                                                   context=context)
        return True

