# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields


class fiscal_deducoes(osv.Model):
    _name = 'fiscal.deducoes'
    _rec_name = 'descricao'
    _columns = {
        'id': fields.integer('Codigo'),
        'descricao': fields.char('Descricao', size=255, required=True),
        'deducao_ids': fields.one2many('fiscal.deducoes.fornecedor', 'deducao_id', 'Fornecedores', ondelete="cascade"),
        'fisded_evento_id': fields.many2one('gerencial.evento', 'Evento p/ Deducao'),
    }

