# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields


class fiscal_deducoes_itens(osv.Model):
    _name = 'fiscal.deducoes.itens'
    _columns = {
        'pessoa_id': fields.many2one('adm.pessoa', 'Fornecedor', required=True, ondelete="restrict"),
        'deducao_id': fields.many2one('fiscal.deducoes', 'Deducao', required=True, ondelete="restrict"),
        'data_vencimento': fields.date('Data Vencimento', required=True),
        'valor': fields.float('Valor', digits=(15, 2), required=True),
        'nf_id': fields.many2one('fiscal.nf.capa', 'nf_id', ondelete="cascade"),
    }

