# -*- encodding: utf-8 -*-

from openerp.report import report_sxw
from openerp import pooler
from dateutil.parser import parse
from openerp.tools.translate import _


class rel_fiscal_promissoria(report_sxw.rml_parse):

    contador = 0
    def __init__(self, cr, uid, name, context):
        super(rel_fiscal_promissoria, self).__init__(cr, uid, name, context)

        def converte_datetime(data, formato):
            data = pooler.get_pool(cr.dbname).get(
                'adm.utils').admutl_datetime_to_timezone(cr, uid, parse(data), formato)
            return data

        def get_mes(mes):
            mes = int(mes)
            if mes == 1:
                mes = 'Janeiro'
            elif mes == 2:
                mes = 'Fevereiro'
            elif mes == 3:
                mes = _('Marco')
            elif mes == 4:
                mes = 'Abril'
            elif mes == 5:
                mes = 'Maio'
            elif mes == 6:
                mes = 'Junho'
            elif mes == 7:
                mes = 'Julho'
            elif mes == 8:
                mes = 'Agosto'
            elif mes == 9:
                mes = 'Setembro'
            elif mes == 10:
                mes = 'Outubro'
            elif mes == 11:
                mes = 'Novembro'
            else:
                mes = 'Dezembro'
            return mes

        def get_sequence():
            self.contador += 1
            return self.contador

        self.localcontext.update({
            'converte_datetime': converte_datetime,
            'get_mes': get_mes,
            'get_sequence': get_sequence,
            'map': map,
            'sum': sum,
        })
        self.context = context

report_sxw.report_sxw('report.promissoria', 'fiscal.nf.capa',
                      'addons/fiscal/report/promissoria.rml', parser=rel_fiscal_promissoria,
                      header=False)