#!/usr/bin/python
# -*- encoding: utf-8 -*-

from openerp.tests.common import TransactionCase
from sigaddons.config_teste import set_config


class TestEstoqueProdutoInherit(TransactionCase):
    """
    Teste unitario da heranca de estoque.produto
    :author: Thiago Abreu Rodrigues <thiago.rodrigues[at]siginformatica.com.br>
    """
    @classmethod
    def setUpClass(cls):
        set_config()

    def setUp(self):
        super(TestEstoqueProdutoInherit, self).setUp()
        self.estoque_produto = self.registry('estoque.produto')

    def test_produto_nacional_true(self):
        self.assertTrue(self.estoque_produto.estpro_produto_nacional('0'))

    def test_produto_nacional_false(self):
        self.assertFalse(self.estoque_produto.estpro_produto_nacional('1'))