# -*- coding: utf-8 -*-

from openerp.osv import osv, fields


class estoque_parametro(osv.Model):

    _inherit = 'estoque.parametro'

    _columns = {
        'estpar_imendes_senha': fields.char('Senha', size=128),
        'estpar_imendes_qtd_produto': fields.integer(
            'Quantidade produto envio',
            help='Limite de 2000 produtos por envio. Essa informacao deve ser configuravel pelo '
                 'usuario, pois pode haver necessidade de ajustes de acordo com a infraestrutura '
                 'de internet do cliente.'),
    }

    _defaults = {
        'estpar_imendes_qtd_produto': 2000,
    }
