# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields
from openerp import pooler


class fluxocaixa_excluir(osv.Model):
    """
    Tabela de tipos de documentos a serem desconsiderados do fluxo de caixa
    """
    _description = "Fluxo de caixa"
    _name = 'fluxocaixa.excluir'
    _columns = {
        'company_id': fields.many2one("res.company", 'Empresa', ondelete="cascade", required=True, select=True), # Id da empresa
        'doc_tipo_id': fields.many2one("documento.documento.tipo", 'Tipo de documento', ondelete="restrict",
                                       required=True, select=True), # id do Tipo de documento
    }
    _defaults = {
        'company_id': lambda s, cr, uid, c: s.pool.get('adm.empresa.objeto').getEmpresa(cr, uid, s._name, context=c),
    }
