# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from funcoes import _gesbas_back_nome_cliente


class gesbas_backup(osv.Model):
    _name = 'gesbas.backup'
    _columns = {
        'gesbas_back_pessoa_id': fields.many2one("adm.pessoa", 'Cliente', required=True, select=True),
        'name': fields.function(_gesbas_back_nome_cliente, method=True, string='Cliente',type='text', store=False),
        'gesbas_back_data': fields.datetime('Data do backup', required=True, select=True),
        'gesbas_back_resultado': fields.boolean('Backup Ok'),
        'gesbas_back_mensagem': fields.text('Mensagem de erro'),
        'gesbas_back_email_enviado_para': fields.char('Enviado email para:', size=60),
    }
