# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from funcoes import _gesbas_bccl_nome_cliente


class gesbas_cliente(osv.Model):
    _name = 'gesbas.cliente'
    _columns = {
        'gesbas_clie_pessoa_id': fields.many2one("adm.pessoa", 'Cliente'),
        'name': fields.function(_gesbas_bccl_nome_cliente, method=True, string='Cliente', type='text', store=False),
        'gesbas_clie_base': fields.char('Base', size=30),
        'gesbas_clie_backup': fields.boolean('Monitorar backup'),
        'gesbas_clie_servidor': fields.char('Servidor', size=20)
    }
