#!/usr/bin/python
# -*- coding: utf-8 -*-
idPrograma='cax2ope.py'
idVersao='Versao 1.01 de 20/07/2011'
idObs='Copyrigth by Sig Informatica Ltda'
"""
Programa para exportacao de dados do Sig Cobol(Contabilidade) para o SigERP
Este programa deve estar na pasta objetos, juntamente com o arquivo de configuracao sigerp.cfg
Este programa e chamado direto do programa cobol

Estrutura do sigerp.cfg
hostname,username,password,database,dblocalhost,dbuser,dbpasswd
localhost,admin,admin,teste,localhost,luiz,admin
"""

import sys, os
import xmlrpclib, socket
import csv
from SigUtils import datas, geralogs, numero
import psycopg2
import psycopg2.extras
import psutil
diretorio = './'
i=0
lista=[]
encerrar = 'N'
try:
   for proc in psutil.process_iter():
      for x in proc.cmdline:
         if 'cax2ope.py' in x:
            if proc.cmdline[1] == '../objetos/cax2ope.py':
               i+=1
               arquivo = proc.cmdline[2]
               if i > 1:
                   for a in lista:
                       if a == arquivo:
                           encerrar = 'S'
               lista.append(arquivo)
except:
    pass
if encerrar == 'S':
    exit()
def gravarLog(texto, linha=''):
    _arq = _dados = ''
    try:
        _arq = arq
    except:
        pass
    try:
        _dados = registro
    except:
        pass
    if not linha:
        linha = _dados
    try:
        _sql = ("select * from legado_logs where lelg_arquivo = '%s' and lelg_data = '%s' and lelg_hora = '%s'" %
                (str(_arq), str(datas.getDataDeHoje('I','-')), str(datas.getDataDeHoje('H')[:5])))
        cr_log.execute(_sql)
        _registros = cr_log.fetchall()
        if _registros:
            _log_id = _registros[0]['id']
            _sql = "update legado_logs set  lelg_empresa_legado = '%s', lelg_arquivo = '%s', lelg_erro = '%s', lelg_conteudo = '%s', lelg_data = '%s', "
            _sql += "lelg_hora = '%s', lelg_arquivo_legado = '%s',active = %s"
            _sql = _sql % (str(_arq[-5:-2]), str(_arq),str(texto).replace("'",""), str(linha).replace("'",""), str(datas.getDataDeHoje('I','-')), str(datas.getDataDeHoje('H')[:5]), str(_arq[:5]), True)
            _sql += ' where id = ' + str(_log_id)
            cr_log.execute(_sql)
        else:
            _sql = 'insert into legado_logs (lelg_empresa_legado, lelg_arquivo, lelg_erro, lelg_conteudo, lelg_data, lelg_hora, lelg_arquivo_legado, active)'
            _sql += " values ('%s','%s','%s','%s','%s','%s','%s','%s') "
            _sql = _sql % (str(_arq[-5:-2]), str(_arq),str(texto).replace("'", ""), str(linha).replace("'",""), str(datas.getDataDeHoje('I','-')), str(datas.getDataDeHoje('H')[:5]), str(_arq[:5]), True)
            cr_log.execute(_sql)
        cr_log.connection.commit()
    except Exception as e:
        cr_log.connection.rollback()
        geralogs.geraLogs('cax2ope.log', 'Nao consegui gerar o legado_log.   sql:' + str(_sql) +'   Erro:' + str(e), 'S', '../arquivos/logs/')
        if _arq:
            geralogs.geraLogs('cax2ope.log', _arq +  texto, 'S', '../arquivos/logs/')
        else:
            geralogs.geraLogs('cax2ope.log',  texto, 'S', '../arquivos/logs/')

try:
    arq_configuracao=diretorio + '../objetos/sigerp.cfg'
    arquivo=csv.DictReader(open(arq_configuracao))
    for a in arquivo:
        hostname = a['hostname']
        username = a['username']
        pwd = a['password']
        db = a['database']
        porta = a['porta']
        dbhostname = a['dbhostname']
        dbuser = a['dbuser']
        dbpasswd = a['dbpasswd']
except:
    gravarLog('Identificando parametros - sigerp.cfg')

sock_common = xmlrpclib.ServerProxy ( 'http://'+hostname+':'+porta+'/xmlrpc/common' )
socket.setdefaulttimeout(3)
uid = sock_common.login( db, username, pwd )
sock = xmlrpclib.ServerProxy( 'http://'+hostname+':'+porta+'/xmlrpc/object' )

_stringConeccao = ("dbname='" +db
                        +"' user='"+dbuser
                        +"' host='"+dbhostname
                        +"' password='"+dbpasswd
                        +"' connect_timeout='%d" % 3 + "'")
conn = psycopg2.connect(_stringConeccao)
cr=conn.cursor(cursor_factory=psycopg2.extras.DictCursor)
cr_log=conn.cursor(cursor_factory=psycopg2.extras.DictCursor)

def inserirSQL(cr, tabela, dados):
    _cr = cr
    dados['create_uid'] = uid
    dados['create_date'] = datas.hoje_I + ' ' + datas.horas[:-3]
    _qtdCampos=len(dados)
    _txt1='('
    _txt3="("
    for x in dados.keys():
        _txt1 +=x +', '
        _txt3 +="'"+str(dados[x])+"', "
    _txt1 = _txt1[:-2]+')'
    _txt3 = _txt3[:-2]+")"
    _txt2 = "'%s',"*_qtdCampos
    _txt2 = "("+_txt2[:-1]+")"
    _sql = "insert into "+tabela+" "+_txt1+" values "+_txt2+" returning id"
    _sql = _sql % eval(_txt3)
    try:
       cr.execute(_sql)
    except Exception as e:
         cr.connection.rollback()
         gravarLog('Erro insert: tabela '+tabela+ '  sql:'+ _sql + '   Erro: '+str(e))
    return cr.fetchone()[0]

def deletarSQL(cr, tabela, where):
    _cr = cr
    _sql = 'delete from '+tabela+' where '+where
    try:
       cr.execute(_sql)
    except Exception as e:
         gravarLog('Erro delete: tabela '+tabela+ '  sql:'+ _sql + '   Erro: '+str(e) )
         return False
    return True

def alterarSQL(cr, tabela, id, dados): # Id pode ser um id ou uma lista para clausula where
    _cr = cr
    dados['write_uid'] = str(uid)
    dados['write_date'] = datas.hoje_I + ' ' + datas.horas[:-3]
    _qtdCampos=len(dados)
    _txt=''
    for x in dados.keys():
       if dados[x][:1] == '!':
          _txt +=x +" = " + str(dados[x])[1:]+ ","
       else:
          _txt +=x +" = '" + str(dados[x])+ "',"
    if _txt[-1:] == ',':
        _txt=_txt[:-1]
    if str(type(id)) == "<type 'list'>":
       _sql = "update "+tabela+" set "+_txt+" where "
       for a in id:# lista para where
          _sql += a +" and "
       if _sql[-5:] == ' and ':
          _sql = _sql[:-5]
    else:
       _sql = "update "+tabela+" set "+_txt+" where id = "+str(id)
    try:
       cr.execute(_sql)
       cr.connection.commit()
    except Exception as e:
         cr.connection.rollback()
         gravarLog('Erro update - sql:'+ _sql + '   Erro: '+str(e))
         return False
    return True

def lerLegado(cr, empresa_legado, chave_legado, tabela):
    _sql="select chave_sigerp from legado_controle where empresa = '%s' and chave_legado = '%s' and tabela_legado = '%s'" % (empresa_legado, chave_legado, tabela)
    cr.execute(_sql)
    _regLegado = cr.fetchall()
    result = []
    if _regLegado:
        for x in _regLegado:
            result.append(x['chave_sigerp'])
    return result

def lerSQL(cr, tabela, where=[], campos=[], order=[]):
    """
    parametros:
      cr -> cursor
      tabela -> nome da tabela
      where -> clausula where pronta exemplo: ["codigo = 'teste'","name = 'luiz'"]
      campos -> campos a serem lidos, exemplo: ['codigo, nome']
      order -> ordem a ser retornada, exemplo: ['campo, desc']
    """
    _sql = "select "
    if campos:
        for a in campos:
            _sql += a + ','
        _sql = _sql[:-1]+ ' '
    else:
        _sql += '* '
    _sql += 'from '+ tabela + ' '
    if where:
        _sql += 'where '
        for a in where:
            _sql += a +" and "
        if _sql[-5:] == ' and ':
            _sql = _sql[:-5]
    if order:
       _sql += " order by " + order[0]
       if len(order) == 2:
          _sql += ' ' + order[1]
    cr.execute(_sql)
    _registros = cr.fetchall()
    #if not _registros:
    #    print _sql
    return _registros

class contarRegistros(object):
    def __init__(self, registros):
        self.regLido = 0
        self.regTotal = len(registros)
        self.regPasso = int(self.regTotal / 100)
        if self.regPasso > 100:
            self.regPasso = 100
        if self.regPasso == 0:
            self.regPasso = 1
    def contar(self, operacao='x'):
        self.regLido += 1
        _inteiro, _resto = divmod(self.regLido, self.regPasso)
        if _resto == 0:
           #if operacao == 'x':
           #   print(str(self.regTotal) + '/' + str(self.regLido))
           return True
        return False

def retira_acentos( string ):
    if str( type( string ) ) == "<type 'str'>":
        nova_string = ''
        for x in string:
            if ord( x ) <= 127 and x != "'" and ord(x) != 92:
                nova_string = nova_string + x
        return nova_string
    return string

def gerarCax02(empresa_legado, operacao, dados):
    try:
        listaDados = dados.replace('#',' ').split(',')
        _origem = listaDados[0].strip()
        _cliFor = listaDados[1]
        _controle = listaDados[2]
        _serie = listaDados[3].strip()
        _sequencia = listaDados[4]
        _operador = listaDados[5]
        _data = datas.sigDatas(listaDados[6]).getDataNoFormato('I', 'S', '-')
        _mes = listaDados[6][4:6]
        _ano = listaDados[6][:4]
        if _ano[:2] == '00':
           _ano = '20'+_ano[2:]
           _data = '20' + _data[2:]
        _conta = listaDados[7]
        _historico = listaDados[8].strip()
        a=''
        for x in _historico:
           if ord(x) < 128:
                a +=x
        _historico = a
        _valor = listaDados[9][:13] + '.' + listaDados[9][13:]
        _creDeb = _valor[:1]
        if _creDeb == '+':
           _creDeb = 'C'
        else:
           _creDeb = 'D'
        _tipo = listaDados[10]
        _operacao = listaDados[11]
        _centroCusto = listaDados[12]
        if _tipo != 'S':
           _tipo = 'C'
        _chave = _origem + _cliFor + _controle + _serie + _sequencia
        legado = lerLegado(cr, empresa_legado, _operador, 'cax03'+_operador+_tipo)
        if not legado:
             gravarLog('Cax02: Nao encontrei conta para efetuar lancamento:'+ 'cax03'+_operador+_tipo + '   Erro:' + str(listaDados))
             return False
        _conta_id = legado[0]
        valsMovim = {
                'conta_id' : _conta_id,
                'data_movimento' : _data,
                'mes_competencia' : _mes,
                'ano_competencia' : _ano,
                'valor' : _valor[1:],
                'historico' : _historico,
                'conciliado' : False,
                'debito_credito' : _creDeb,
                'state' : 'A',
                'conta_caixa_operacao' : _conta,
        }
        idLegado = lerLegado(cr, empresa, _chave, 'cax02')
        if operacao == 'd' or operacao == 'r': #Deletar ou alterar
          if not idLegado:
             gravarLog('Cax02: Nao encontrei legado controle para alterar/deletar - conta:'+ _chave)
             cr.connection.rollback()
             return False
          try:
             _regMovim = lerSQL(cr, 'financeiro_tesouraria_movimento', ["id = '%s'" % idLegado[0]])
             if _regMovim:
                # Apagar movimento anterior
                _movimCta = _regMovim[0]['conta_id']
                _movimData = _regMovim[0]['data_movimento']
                _movimCreDeb= _regMovim[0]['debito_credito']
                _movimValor= str(_regMovim[0]['valor'])
                deletarSQL(cr, 'financeiro_tesouraria_movimento', "id = %s" % idLegado[0])
                #remover o movimento do legado, porque vai inserir novamente
                deletarSQL(cr, 'legado_controle', "empresa = %s and chave_legado = '%s' and tabela_legado = 'cax02'" % (empresa, _chave))
                # ainda e necessário atualizar o saldo que está logo abaixo
                cr.connection.codmmit()
                sock.execute(db, uid, pwd, 'financeiro.tesouraria.saldos', 'fintsa_recalcular_saldos', _movimCta, _movimData)
                idLegado = False
                if operacao == 'd': # para operacao deletar, encerrar funcao
                    return True
          except Exception as e:
             gravarLog('Cax02: Nao consegui alterar a conta:'+ _chave + '  Erro:' + str(e) +' Registro:'+str(_regMovim))
             cr.connection.rollback()
             return False
        # A alteracao vem antes da inclusao, porque será excluido tudo e inserido novamente
        if operacao == 'w' or 'r': #Gravar e alterar
           if not idLegado:
              idMovim = inserirSQL(cr, 'financeiro_tesouraria_movimento', valsMovim)
              vals = {
                       'empresa' : empresa_legado,
                       'tabela_legado' : 'cax02',
                       'chave_legado' : _chave,
                       'chave_sigerp': idMovim,
                       }
              idLegado= inserirSQL(cr, 'legado_controle', vals)
              cr.connection.commit()
              where = ["conta_id = %s" % _conta_id, "data_movimento <= '%s'" % _data]
              regSaldo = lerSQL(cr, 'financeiro_tesouraria_saldos', where, order=['data_movimento desc'])
              if not regSaldo:
                 gravarLog('Cax02: Nao encontrei saldo:'+ str(where))
                 cr.connection.rollback()
                 return False
              _idSaldo = regSaldo[0]['id']
              _vlSaldo = regSaldo[0]['fintsa_saldo_final']
              _dataSaldo = regSaldo[0]['data_movimento']
              sock.execute(db, uid, pwd, 'financeiro.tesouraria.saldos', 'atualizar_saldo', _conta_id, _data, _creDeb, _valor[1:])
           return True
    except Exception as e:
         gravarLog('Cax02:Qtd Elementos:'+str(len(listaDados))+ '  Lista:'+ str(listaDados) + '   Erro: '+str(e))
    cr.connection.rollback()
    return False

def gerarCax03(empresa_legado, operacao, dados):
    try:
        listaDados = dados.replace('#',' ').split(',')
        _nome1 = listaDados[0].strip()
        _valor_c1 = listaDados[1][:13] + '.' + listaDados[1][13:]
        _valor_s1 = listaDados[2][:13] + '.' + listaDados[2][13:]
        _nome2 = listaDados[3].strip()
        _valor_c2 = listaDados[4][:13]+'.'+listaDados[4][13:]
        _valor_s2 = listaDados[5][:13]+'.'+listaDados[5][13:]
        _nome3 = listaDados[6].strip()
        _valor_c3 = listaDados[7][:13]+'.'+listaDados[7][13:]
        _valor_s3 = listaDados[8][:13]+'.'+listaDados[8][13:]
        _nome4 = listaDados[9].strip()
        _valor_c4 = listaDados[10][:13]+'.'+listaDados[10][13:]
        _valor_s4 = listaDados[11][:13]+'.'+listaDados[11][13:]
        _nome5 = listaDados[12].strip()
        _valor_c5 = listaDados[13][:13]+'.'+listaDados[13][13:]
        _valor_s5 = listaDados[14][:13]+'.'+listaDados[14][13:]
        _nome6 = listaDados[15].strip()
        _valor_c6 = listaDados[16][:13]+'.'+listaDados[16][13:]
        _valor_s6 = listaDados[17][:13]+'.'+listaDados[17][13:]
        _nome7 = listaDados[18].strip()
        _valor_c7 = listaDados[19][:13]+'.'+listaDados[19][13:]
        _valor_s7 = listaDados[20][:13]+'.'+listaDados[20][13:]
        _nome8 = listaDados[21].strip()
        _valor_c8 = listaDados[22][:13]+'.'+listaDados[22][13:]
        _valor_s8 = listaDados[23][:13]+'.'+listaDados[23][13:]
        _nome9 = listaDados[24].strip()
        _valor_c9 = listaDados[25][:13]+'.'+listaDados[25][13:]
        _valor_s9 = listaDados[26][:13]+'.'+listaDados[26][13:]
        _mesAnoEncerrado = listaDados[27]
        if _mesAnoEncerrado == '000000':
           _mesAnoEncerrado = '012000'
        _dataInclusao = datas.sigDatas('01'+_mesAnoEncerrado).getDataNoFormato('N', 'S', '/')
        if operacao == 'w': #Gravar
          try:
            if _nome1 != '':
                vals = {
                'banco_caixa' : 'C',
                'company_id' : company_id_c,
                'apelido' : _nome1,
                'active' : True,
                }
                idConta = inserirSQL(cr, 'financeiro_tesouraria_contas', vals)
                vals = {
                        'empresa' : empresa_legado,
                        'tabela_legado' : 'cax031C',
                        'chave_legado' : '1',
                        'chave_sigerp': idConta,
                        }
                idLegado= inserirSQL(cr, 'legado_controle', vals)
                vals = {
                    'conta_id' : idConta,
                    'data_movimento' : _dataInclusao,
                    'fintsa_saldo_inicial' : _valor_c1,
                    'fintsa_saldo_final' : _valor_c1,
                    }
                idSaldo = inserirSQL(cr, 'financeiro_tesouraria_saldos', vals)
                vals = {
                'banco_caixa' : 'C',
                'company_id' : company_id_s,
                'apelido' : _nome1 + '(S)',
                'active' : True,
                }
                idConta = inserirSQL(cr, 'financeiro_tesouraria_contas', vals)
                vals = {
                        'empresa' : empresa_legado,
                        'tabela_legado' : 'cax031S',
                        'chave_legado' : '1',
                        'chave_sigerp': idConta,
                        }
                idLegado= inserirSQL(cr, 'legado_controle', vals)
                vals = {
                    'conta_id' : idConta,
                    'data_movimento' : _dataInclusao,
                    'fintsa_saldo_inicial' : _valor_s1,
                    'fintsa_saldo_final' : _valor_s1,
                    }
                idSaldo = inserirSQL(cr, 'financeiro_tesouraria_saldos', vals)
          except:
              gravarLog('Conta já cadastrada: '+ str(_nome1))
          try:
            if _nome2 != '':
                vals = {
                'banco_caixa' : 'C',
                'company_id' : company_id_c,
                'apelido' : _nome2,
                'active' : True,
                }
                idConta = inserirSQL(cr, 'financeiro_tesouraria_contas', vals)
                vals = {
                        'empresa' : empresa_legado,
                        'tabela_legado' : 'cax032C',
                        'chave_legado' : '2',
                        'chave_sigerp': idConta,
                        }
                idLegado= inserirSQL(cr, 'legado_controle', vals)
                vals = {
                    'conta_id' : idConta,
                    'data_movimento' : _dataInclusao,
                    'fintsa_saldo_inicial' : _valor_c2,
                    'fintsa_saldo_final' : _valor_c2,
                    }
                idSaldo = inserirSQL(cr, 'financeiro_tesouraria_saldos', vals)
                vals = {
                'banco_caixa' : 'C',
                'company_id' : company_id_s,
                'apelido' : _nome2 + '(S)',
                'active' : True,
                }
                idConta = inserirSQL(cr, 'financeiro_tesouraria_contas', vals)
                vals = {
                        'empresa' : empresa_legado,
                        'tabela_legado' : 'cax032S',
                        'chave_legado' : '2',
                        'chave_sigerp': idConta,
                        }
                idLegado= inserirSQL(cr, 'legado_controle', vals)
                vals = {
                    'conta_id' : idConta,
                    'data_movimento' : _dataInclusao,
                    'fintsa_saldo_inicial' : _valor_s2,
                    'fintsa_saldo_final' : _valor_s2,
                    }
                idSaldo = inserirSQL(cr, 'financeiro_tesouraria_saldos', vals)
          except:
              gravarLog('Conta já cadastrada: '+ str(_nome2))
          try:
            if _nome3 != '':
                vals = {
                'banco_caixa' : 'C',
                'company_id' : company_id_c,
                'apelido' : _nome3,
                'active' : True,
                }
                idConta = inserirSQL(cr, 'financeiro_tesouraria_contas', vals)
                vals = {
                        'empresa' : empresa_legado,
                        'tabela_legado' : 'cax033C',
                        'chave_legado' : '3',
                        'chave_sigerp': idConta,
                        }
                idLegado= inserirSQL(cr, 'legado_controle', vals)
                vals = {
                    'conta_id' : idConta,
                    'data_movimento' : _dataInclusao,
                    'fintsa_saldo_inicial' : _valor_c3,
                    'fintsa_saldo_final' : _valor_c3,
                    }
                idSaldo = inserirSQL(cr, 'financeiro_tesouraria_saldos', vals)
                vals = {
                'banco_caixa' : 'C',
                'company_id' : company_id_s,
                'apelido' : _nome3 + '(S)',
                'active' : True,
                }
                idConta = inserirSQL(cr, 'financeiro_tesouraria_contas', vals)
                vals = {
                        'empresa' : empresa_legado,
                        'tabela_legado' : 'cax033S',
                        'chave_legado' : '3',
                        'chave_sigerp': idConta,
                        }
                idLegado= inserirSQL(cr, 'legado_controle', vals)
                vals = {
                    'conta_id' : idConta,
                    'data_movimento' : _dataInclusao,
                    'fintsa_saldo_inicial' : _valor_s3,
                    'fintsa_saldo_final' : _valor_s3,
                    }
                idSaldo = inserirSQL(cr, 'financeiro_tesouraria_saldos', vals)
          except:
              gravarLog('Conta já cadastrada: '+ str(_nome3))
          try:
            if _nome4 != '':
                vals = {
                'banco_caixa' : 'C',
                'company_id' : company_id_c,
                'apelido' : _nome4,
                'active' : True,
                }
                idConta = inserirSQL(cr, 'financeiro_tesouraria_contas', vals)
                vals = {
                        'empresa' : empresa_legado,
                        'tabela_legado' : 'cax034C',
                        'chave_legado' : '4',
                        'chave_sigerp': idConta,
                        }
                idLegado= inserirSQL(cr, 'legado_controle', vals)
                vals = {
                    'conta_id' : idConta,
                    'data_movimento' : _dataInclusao,
                    'fintsa_saldo_inicial' : _valor_c4,
                    'fintsa_saldo_final' : _valor_c4,
                    }
                idSaldo = inserirSQL(cr, 'financeiro_tesouraria_saldos', vals)
                vals = {
                'banco_caixa' : 'C',
                'company_id' : company_id_s,
                'apelido' : _nome4 + '(S)',
                'active' : True,
                }
                idConta = inserirSQL(cr, 'financeiro_tesouraria_contas', vals)
                vals = {
                        'empresa' : empresa_legado,
                        'tabela_legado' : 'cax034S',
                        'chave_legado' : '4',
                        'chave_sigerp': idConta,
                        }
                idLegado= inserirSQL(cr, 'legado_controle', vals)
                vals = {
                    'conta_id' : idConta,
                    'data_movimento' : _dataInclusao,
                    'fintsa_saldo_inicial' : _valor_s4,
                    'fintsa_saldo_final' : _valor_s4,
                    }
                idSaldo = inserirSQL(cr, 'financeiro_tesouraria_saldos', vals)
          except:
              gravarLog('Conta já cadastrada: '+ str(_nome4))
          try:
            if _nome5 != '':
                vals = {
                'banco_caixa' : 'C',
                'company_id' : company_id_c,
                'apelido' : _nome5,
                'active' : True,
                }
                idConta = inserirSQL(cr, 'financeiro_tesouraria_contas', vals)
                vals = {
                        'empresa' : empresa_legado,
                        'tabela_legado' : 'cax035C',
                        'chave_legado' : '5',
                        'chave_sigerp': idConta,
                        }
                idLegado= inserirSQL(cr, 'legado_controle', vals)
                vals = {
                    'conta_id' : idConta,
                    'data_movimento' : _dataInclusao,
                    'fintsa_saldo_inicial' : _valor_c5,
                    'fintsa_saldo_final' : _valor_c5,
                    }
                idSaldo = inserirSQL(cr, 'financeiro_tesouraria_saldos', vals)
                vals = {
                'banco_caixa' : 'C',
                'company_id' : company_id_s,
                'apelido' : _nome5 + '(S)',
                'active' : True,
                }
                idConta = inserirSQL(cr, 'financeiro_tesouraria_contas', vals)
                vals = {
                        'empresa' : empresa_legado,
                        'tabela_legado' : 'cax035S',
                        'chave_legado' : '5',
                        'chave_sigerp': idConta,
                        }
                idLegado= inserirSQL(cr, 'legado_controle', vals)
                vals = {
                    'conta_id' : idConta,
                    'data_movimento' : _dataInclusao,
                    'fintsa_saldo_inicial' : _valor_s5,
                    'fintsa_saldo_final' : _valor_s5,
                    }
                idSaldo = inserirSQL(cr, 'financeiro_tesouraria_saldos', vals)
          except:
              gravarLog('Conta já cadastrada: '+ str(_nome6))
          try:
            if _nome6 != '':
                vals = {
                'banco_caixa' : 'C',
                'company_id' : company_id_c,
                'apelido' : _nome6,
                'active' : True,
                }
                idConta = inserirSQL(cr, 'financeiro_tesouraria_contas', vals)
                vals = {
                        'empresa' : empresa_legado,
                        'tabela_legado' : 'cax036C',
                        'chave_legado' : '6',
                        'chave_sigerp': idConta,
                        }
                idLegado= inserirSQL(cr, 'legado_controle', vals)
                vals = {
                    'conta_id' : idConta,
                    'data_movimento' : _dataInclusao,
                    'fintsa_saldo_inicial' : _valor_c6,
                    'fintsa_saldo_final' : _valor_c6,
                    }
                idSaldo = inserirSQL(cr, 'financeiro_tesouraria_saldos', vals)
                vals = {
                'banco_caixa' : 'C',
                'company_id' : company_id_s,
                'apelido' : _nome6 + '(S)',
                'active' : True,
                }
                idConta = inserirSQL(cr, 'financeiro_tesouraria_contas', vals)
                vals = {
                        'empresa' : empresa_legado,
                        'tabela_legado' : 'cax036S',
                        'chave_legado' : '6',
                        'chave_sigerp': idConta,
                        }
                idLegado= inserirSQL(cr, 'legado_controle', vals)
                vals = {
                    'conta_id' : idConta,
                    'data_movimento' : _dataInclusao,
                    'fintsa_saldo_inicial' : _valor_s6,
                    'fintsa_saldo_final' : _valor_s6,
                    }
                idSaldo = inserirSQL(cr, 'financeiro_tesouraria_saldos', vals)
          except:
              gravarLog('Conta já cadastrada: '+ str(_nome6))
          try:
            if _nome7 != '':
                vals = {
                'banco_caixa' : 'C',
                'company_id' : company_id_c,
                'apelido' : _nome7,
                'active' : True,
                }
                idConta = inserirSQL(cr, 'financeiro_tesouraria_contas', vals)
                vals = {
                        'empresa' : empresa_legado,
                        'tabela_legado' : 'cax037C',
                        'chave_legado' : '7',
                        'chave_sigerp': idConta,
                        }
                idLegado= inserirSQL(cr, 'legado_controle', vals)
                vals = {
                    'conta_id' : idConta,
                    'data_movimento' : _dataInclusao,
                    'fintsa_saldo_inicial' : _valor_c7,
                    'fintsa_saldo_final' : _valor_c7,
                    }
                idSaldo = inserirSQL(cr, 'financeiro_tesouraria_saldos', vals)
                vals = {
                'banco_caixa' : 'C',
                'company_id' : company_id_s,
                'apelido' : _nome7 + '(S)',
                'active' : True,
                }
                idConta = inserirSQL(cr, 'financeiro_tesouraria_contas', vals)
                vals = {
                        'empresa' : empresa_legado,
                        'tabela_legado' : 'cax037S',
                        'chave_legado' : '7',
                        'chave_sigerp': idConta,
                        }
                idLegado= inserirSQL(cr, 'legado_controle', vals)
                vals = {
                    'conta_id' : idConta,
                    'data_movimento' : _dataInclusao,
                    'fintsa_saldo_inicial' : _valor_s7,
                    'fintsa_saldo_final' : _valor_s7,
                    }
                idSaldo = inserirSQL(cr, 'financeiro_tesouraria_saldos', vals)
          except:
              gravarLog('Conta já cadastrada: '+ str(_nome7))
          try:
            if _nome8 != '':
                vals = {
                'banco_caixa' : 'C',
                'company_id' : company_id_c,
                'apelido' : _nome8,
                'active' : True,
                }
                idConta = inserirSQL(cr, 'financeiro_tesouraria_contas', vals)
                vals = {
                        'empresa' : empresa_legado,
                        'tabela_legado' : 'cax038C',
                        'chave_legado' : '8',
                        'chave_sigerp': idConta,
                        }
                idLegado= inserirSQL(cr, 'legado_controle', vals)
                vals = {
                    'conta_id' : idConta,
                    'data_movimento' : _dataInclusao,
                    'fintsa_saldo_inicial' : _valor_c8,
                    'fintsa_saldo_final' : _valor_c8,
                    }
                idSaldo = inserirSQL(cr, 'financeiro_tesouraria_saldos', vals)
                vals = {
                'banco_caixa' : 'C',
                'company_id' : company_id_s,
                'apelido' : _nome8 + '(S)',
                'active' : True,
                }
                idConta = inserirSQL(cr, 'financeiro_tesouraria_contas', vals)
                vals = {
                        'empresa' : empresa_legado,
                        'tabela_legado' : 'cax038S',
                        'chave_legado' : '8',
                        'chave_sigerp': idConta,
                        }
                idLegado= inserirSQL(cr, 'legado_controle', vals)
                vals = {
                    'conta_id' : idConta,
                    'data_movimento' : _dataInclusao,
                    'fintsa_saldo_inicial' : _valor_s8,
                    'fintsa_saldo_final' : _valor_s8,
                    }
                idSaldo = inserirSQL(cr, 'financeiro_tesouraria_saldos', vals)
          except:
              gravarLog('Conta já cadastrada: '+ str(_nome8))
          try:
            if _nome9 != '':
                vals = {
                'banco_caixa' : 'C',
                'company_id' : company_id_c,
                'apelido' : _nome9,
                'active' : True,
                }
                idConta = inserirSQL(cr, 'financeiro_tesouraria_contas', vals)
                vals = {
                        'empresa' : empresa_legado,
                        'tabela_legado' : 'cax039C',
                        'chave_legado' : '9',
                        'chave_sigerp': idConta,
                        }
                idLegado= inserirSQL(cr, 'legado_controle', vals)
                vals = {
                    'conta_id' : idConta,
                    'data_movimento' : _dataInclusao,
                    'fintsa_saldo_inicial' : _valor_c9,
                    'fintsa_saldo_final' : _valor_c9,
                    }
                idSaldo = inserirSQL(cr, 'financeiro_tesouraria_saldos', vals)
                vals = {
                'banco_caixa' : 'C',
                'company_id' : company_id_s,
                'apelido' : _nome9 + '(S)',
                'active' : True,
                }
                idConta = inserirSQL(cr, 'financeiro_tesouraria_contas', vals)
                vals = {
                        'empresa' : empresa_legado,
                        'tabela_legado' : 'cax039S',
                        'chave_legado' : '9',
                        'chave_sigerp': idConta,
                        }
                idLegado= inserirSQL(cr, 'legado_controle', vals)
                vals = {
                    'conta_id' : idConta,
                    'data_movimento' : _dataInclusao,
                    'fintsa_saldo_inicial' : _valor_s9,
                    'fintsa_saldo_final' : _valor_s9,
                    }
                idSaldo = inserirSQL(cr, 'financeiro_tesouraria_saldos', vals)
          except:
              gravarLog('Conta já cadastrada: '+ str(_nome9))
          cr.connection.commit()
          return True
    except Exception as e:
         gravarLog('Cax03:Qtd Elementos:'+str(len(listaDados))+ '  Lista:'+ str(listaDados) + '   Erro: '+str(e))
         return False


try:
    arquivo = sys.argv[1]
except:
    gravarLog('Arquivo a integrar nao informado!')
    exit()

if arquivo == 'todos':
    novaLista = []
    try:
        lista=os.listdir(diretorio+'int')
        for linha in lista:
            if linha[-1:] == '\n':
                linha = linha[:-1]
            if linha[:3] != 'cax':
                continue
            novaLista.append(linha[6:]+linha[:6])
        novaLista.sort()
        lista = []
        for linha in novaLista:
            lista.append(linha[-6:]+linha[:-6])
    except Exception as e:
        gravarLog('Diretorio inexistente!')
        exit()
else:
    try:
        lista=os.listdir(diretorio+'int')
        lista.sort()
    except Exception as e:
        gravarLog('Diretorio inexistente!')
        exit()
try:
    for arq in lista:
      if arquivo != 'todos':
            if arq[:5]!=arquivo:
                continue
      empresa = arq[24:27]
      _operacao = arq[28:].lower()
      try:
         args = [('empresa_legado','=', empresa), ('tipo', '=', 'C')]
         company_id_c =  sock.execute(db, uid, pwd, 'legado.empresa', 'ler', args)[0]['company_id'][0]
         args = [('empresa_legado','=', empresa), ('tipo', '=', 'S')]
         company_id_s =  sock.execute(db, uid, pwd, 'legado.empresa', 'ler', args)[0]['company_id'][0]
      except:
         gravarLog('Empresa nao cadastrada!'+ str(empresa)+ '-'+str(args), 'w')
         continue
      try:
          file=open('int/'+arq, 'r')
          _arquivoLido = arq[:5]
          registros=file.readlines()
      except:
          continue
      _horaArquivo = int(arq[15:23])
      contador = contarRegistros(registros)
      if _operacao == 'x': # Opderacao = 'x' eh qdo eh gerado o arquivo inteiro
         operacao='w'
      else:
         operacao=_operacao
      if _operacao == 'x': # Remover arquivo porque já foi lido e contem varios registros
          os.system('rm -rf ' + diretorio+'int/'+arq)
      for registro in registros:
          registro = unicode(registro, 'utf-8', errors='ignore')
          res = False
          if _arquivoLido == 'cax02':   # Movimento
             res=gerarCax02(empresa, operacao, registro)
          if _arquivoLido == 'cax03':   # Saldo
             res=gerarCax03(empresa, operacao, registro)
          if res and _operacao != 'x': # Registro importado de arquivo com um registro, remover arquivo
              os.system('rm -rf ' + diretorio+'int/'+arq)
              deletarSQL(cr_log, 'legado_logs',  "lelg_arquivo = '%s'" % arq)
              cr_log.connection.commit()
          if not res and _operacao == 'x': # Erro na importacao de registro de arquivo com varios registros, gerar registro individual para importacao futura
              _horaArquivo += 1
              arqNovo = diretorio+'int/'+arq[:15]+numero.getNumToStr(_horaArquivo,8,0,'N')+arq[23:28]+'W'
              fileNovo=open(arqNovo, 'w')
              fileNovo.write(registro)
              fileNovo.close()
except Exception as e:
   gravarLog('Erro Carregando arquivos.   Erro:' +str(e))

