#!/usr/bin/python
# -*- coding: utf-8 -*-
idPrograma='ccb2ope.py'
idVersao='Versao 1.01 de 20/07/2011'
idObs='Copyrigth by Sig Informatica Ltda'
"""
Programa para exportacao de dados do Sig Cobol(Contabilidade) para o SigERP
Este programa deve estar na pasta objetos, juntamente com o arquivo de configuracao sigerp.cfg
Este programa e chamado direto do programa cobol

Estrutura do sigerp.cfg
hostname,username,password,database,dbhostname,dbuser,dbpasswd
localhost,admin,admin,teste,localhost,luiz,admin
"""
import psutil
diretorio='./'
i=0
lista=[]
encerrar = 'N'
try:
   for proc in psutil.process_iter():
      for x in proc.cmdline:
         if 'ccb2ope.py' in x:
            if proc.cmdline[1] == '../objetos/ccb2ope.py':
               i+=1
               arquivo = proc.cmdline[2]
               if i > 1:
                  for a in lista:
                     if a == arquivo:
                        encerrar = 'S'
               lista.append(arquivo)
except:
   pass
if encerrar == 'S':
   exit()

import sys, os, re
import xmlrpclib, socket
import csv
from SigUtils import datas, geralogs, numero
import psycopg2
import psycopg2.extras
def gravarLog(texto, linha=''):
    _arq = _dados = ''
    try:
        _arq = arq
    except:
        pass
    try:
        _dados = registro
    except:
        pass
    if not linha:
        linha = _dados
    try:
        _sql = ("select * from legado_logs where lelg_arquivo = '%s' and lelg_data = '%s' and lelg_hora = '%s'" %
                (str(_arq), str(datas.getDataDeHoje('I','-')), str(datas.getDataDeHoje('H')[:5])))
        cr_log.execute(_sql)
        _registros = cr_log.fetchall()
        if _registros:
            _log_id = _registros[0]['id']
            _sql = "update legado_logs set  lelg_empresa_legado = '%s', lelg_arquivo = '%s', lelg_erro = '%s', lelg_conteudo = '%s', lelg_data = '%s', "
            _sql += "lelg_hora = '%s', lelg_arquivo_legado = '%s',active = %s"
            _sql = _sql % (str(_arq[-5:-2]), str(_arq),str(texto).replace("'",""), str(linha).replace("'",""), str(datas.getDataDeHoje('I','-')), str(datas.getDataDeHoje('H')[:5]), str(_arq[:5]), True)
            _sql += ' where id = ' + str(_log_id)
            cr_log.execute(_sql)
        else:
            _sql = 'insert into legado_logs (lelg_empresa_legado, lelg_arquivo, lelg_erro, lelg_conteudo, lelg_data, lelg_hora, lelg_arquivo_legado, active)'
            _sql += " values ('%s','%s','%s','%s','%s','%s','%s','%s') "
            _sql = _sql % (str(_arq[-5:-2]), str(_arq),str(texto).replace("'", ""), str(linha).replace("'",""), str(datas.getDataDeHoje('I','-')), str(datas.getDataDeHoje('H')[:5]), str(_arq[:5]), True)
            cr_log.execute(_sql)
        cr_log.connection.commit()
    except Exception as e:
        cr_log.connection.rollback()
        geralogs.geraLogs('ccb2ope.log', 'Nao consegui gerar o legado_log.   sql:' + str(_sql) +'   Erro:' + str(e), 'S', '../arquivos/logs/')
        if _arq:
            geralogs.geraLogs('ccb2ope.log', _arq +  texto, 'S', '../arquivos/logs/')
        else:
            geralogs.geraLogs('ccb2ope.log',  texto, 'S', '../arquivos/logs/')


try:
    arq_configuracao='../objetos/sigerp.cfg'
    arquivo=csv.DictReader(open(arq_configuracao))
    for a in arquivo:
        hostname = a['hostname']
        username = a['username']
        pwd = a['password']
        porta = a['porta']
        db = a['database']
        dbhostname = a['dbhostname']
        dbuser = a['dbuser']
        dbpasswd = a['dbpasswd']
except:
    gravarLog('Erro identificando parametros - sigerp.cfg')

sock_common = xmlrpclib.ServerProxy ( 'http://'+hostname+':'+porta+'/xmlrpc/common' )
socket.setdefaulttimeout(3)
uid = sock_common.login( db, username, pwd )
sock = xmlrpclib.ServerProxy( 'http://'+hostname+':'+porta+'/xmlrpc/object' )

_stringConeccao = ("dbname='" +db
                        +"' user='"+dbuser
                        +"' host='"+dbhostname
                        +"' password='"+dbpasswd
                        +"' connect_timeout='%d" % 3 + "'")
conn = psycopg2.connect(_stringConeccao)
cr=conn.cursor(cursor_factory=psycopg2.extras.DictCursor)
cr_log=conn.cursor(cursor_factory=psycopg2.extras.DictCursor)

def inserirSQL(cr, tabela, dados):
    _cr = cr
    dados['create_uid'] = uid
    dados['create_date'] = datas.hoje_I
    _qtdCampos=len(dados)
    _txt1='('
    _txt3="("
    for x in dados.keys():
        _txt1 +=x +', '
        _txt3 +="'"+str(dados[x])+"', "
    _txt1 = _txt1[:-2]+')'
    _txt3 = _txt3[:-2]+")"
    _txt2 = "'%s',"*_qtdCampos
    _txt2 = "("+_txt2[:-1]+")"
    _sql = "insert into "+tabela+" "+_txt1+" values "+_txt2+" returning id"
    _sql = _sql % eval(_txt3)
    try:
       cr.execute(_sql)
    except Exception as e:
         cr.connection.rollback()
         gravarLog('Erro insert: tabela '+tabela+ '  sql:'+ _sql + '   Erro: '+str(e))
    return cr.fetchone()[0]

def deletarSQL(cr, tabela, where):
    _cr = cr
    _sql = 'delete from '+tabela+' where '+where
    try:
       cr.execute(_sql)
    except Exception as e:
         gravarLog('Erro delete: tabela '+tabela+ '  sql:'+ _sql + '   Erro: '+str(e))
         return False
    return True

def alterarSQL(cr, tabela, id, dados): # Id pode ser um id ou uma lista para clausula where
    _cr = cr
    dados['write_uid'] = str(uid)
    dados['write_date'] = datas.hoje_I + ' ' + datas.horas[:-3]
    _qtdCampos=len(dados)
    _txt=''
    for x in dados.keys():
       if str(dados[x])[:1] == '!':
          _txt +=x +" = " + str(dados[x])[1:]+ ","
       else:
          _txt +=x +" = '" + str(dados[x])+ "',"
    if _txt[-1:] == ',':
        _txt=_txt[:-1]
    if str(type(id)) == "<type 'list'>":
       _sql = "update "+tabela+" set "+_txt+" where "
       for a in id:# lista para where
          _sql += a +" and "
       if _sql[-5:] == ' and ':
          _sql = _sql[:-5]
    else:
       _sql = "update "+tabela+" set "+_txt+" where id = "+str(id)
    try:
       cr.execute(_sql)
    except Exception as e:
         gravarLog('Erro update - sql:'+ _sql + '   Erro: '+str(e))
         return False
    return True

def lerLegado(cr, empresa_legado, chave_legado, tabela):
    _sql="select chave_sigerp from legado_controle where empresa = '%s' and chave_legado = '%s' and tabela_legado = '%s'" % (empresa_legado, chave_legado, tabela)
    cr.execute(_sql)
    _regLegado = cr.fetchall()
    result = []
    if _regLegado:
        for x in _regLegado:
            result.append(x['chave_sigerp'])
    return result

def lerSQL(cr, tabela, where=[], campos=[], order=[]):
    """
    parametros:
      cr -> cursor
      tabela -> nome da tabela
      where -> clausula where pronta exemplo: ["codigo = 'teste'","name = 'luiz'"]
      campos -> campos a serem lidos, exemplo: ['codigo, nome']
      order -> ordem a ser retornada, exemplo: ['campo, desc']
    """
    _sql = "select "
    if campos:
        for a in campos:
            _sql += a + ','
        _sql = _sql[:-1]+ ' '
    else:
        _sql += '* '
    _sql += 'from '+ tabela + ' '
    if where:
        _sql += 'where '
        for a in where:
            _sql += a +" and "
        if _sql[-5:] == ' and ':
            _sql = _sql[:-5]
    if order:
       _sql += " order by " + order[0]
       if len(order) == 2:
          _sql += ' ' + order[1]
    cr.execute(_sql)
    _registros = cr.fetchall()
    #if not _registros:
    #    print _sql
    return _registros

class contarRegistros(object):
    def __init__(self, registros):
        self.regLido = 0
        self.regTotal = len(registros)
        self.regPasso = int(self.regTotal / 100)
        if self.regPasso > 100:
            self.regPasso = 100
        if self.regPasso == 0:
            self.regPasso = 1
    def contar(self,operacao='x'):
        self.regLido += 1
        _inteiro, _resto = divmod(self.regLido, self.regPasso)
        if _resto == 0:
            #if operacao == 'x':
            #    print(str(self.regTotal) + '/' + str(self.regLido))
            return True
        return False

def retira_acentos( string ):
    if str( type( string ) ) == "<type 'str'>":
        nova_string = ''
        for x in string:
            if ord( x ) <= 127 and x != "'" and ord(x) != 92:
                nova_string = nova_string + x
        return nova_string
    return string

def gerarCcb01(empresa_legado, operacao, dados):
    try:
        listaDados = dados.replace('#',' ').split(',')
        _apelido = listaDados[0].strip()
        _conta = listaDados[1].strip()
        _banco = listaDados[2]
        _agencia = listaDados[3].strip()
        _saldo = listaDados[4][:13] + '.' + listaDados[4][13:]
        _limiteEspecial = listaDados[5][:13] + '.' + listaDados[5][13:]
        _juros = listaDados[6][:13] + '.' + listaDados[6][13:]
        _c_s_nf = listaDados[7]
        if _c_s_nf != 'S':
           _c_s_nf = 'C'
        if _c_s_nf == 'S':
           company_id = company_id_s
        else:
           company_id = company_id_c
        _flc_integra = listaDados[8]
        if _flc_integra == 'S' or _flc_integra == 'Y':
           _flc_integra = True
        else:
           _flc_integra = False
        _gerente = listaDados[9].strip()
        _telefone = listaDados[10].strip()
        _celular = listaDados[11].strip()
        _pagina = listaDados[12]
        _integraDisponibilidade = listaDados[13]
        _contaCtb = listaDados[14]
        _chave  = _apelido
        _regConta = lerSQL(cr, 'financeiro_tesouraria_contas', ["apelido = '%s'" % _apelido])
        if operacao == 'w': #Gravar
           if _regConta:
              cr.connection.commit()
              return True
           _regBancos = lerSQL(cr, 'adm_banco', ["admbco_codigo_bc = %s" % _banco])
           if not _regBancos:
              gravarLog('Ccb01:Banco nao cadastrado:'+str(_banco))
              cr.connection.rollback()
              return False
           _banco_id = _regBancos[0]['id']
           if _agencia != '':
              _regAgencia = lerSQL(cr, 'adm_banco_agencia', ['admbag_banco_id = %s' % _banco_id, "name = '%s'" % _agencia])
              if not _regAgencia:
                 _nroAgencia = re.sub('[^0-9]', '', _agencia)
                 valsAgencia = {
                      'admbag_banco_id' : _banco_id,
                      'name' : _agencia,
                      }
                 if _nroAgencia != '':
                   valsAgencia['admbag_codigo_agencia'] = _nroAgencia
                 _agencia_id = inserirSQL(cr, 'adm_banco_agencia', valsAgencia)
              else:
                 _agencia_id = _regAgencia[0]['id']
           else:
              _agencia_id = False
           vals = {
              'banco_caixa' : 'B',
              'banco_id' : _banco_id,
              'company_id' : company_id,
              'apelido' : _apelido,
              'nro_conta' : _conta,
              'limite_especial' : _limiteEspecial,
              'integra_fluxo' : _flc_integra,
              'active' : True,
           }
           if _agencia_id:
              vals['agencia_id']=_agencia_id
           idConta = inserirSQL(cr, 'financeiro_tesouraria_contas', vals)
           vals = {
                   'conta_id' : idConta,
                   'data_movimento' : '2000-01-01',
                   'fintsa_saldo_inicial' : _saldo,
                   'fintsa_saldo_final' : _saldo,
                   }
           idSaldo = inserirSQL(cr, 'financeiro_tesouraria_saldos', vals)
           cr.connection.commit()
           return True
        if operacao == 'r': #Regravar
           if not _regConta:
              gravarLog('Ccb01:Nao encontrei conta para alterar:'+ str(_apelido))
              cr.connection.rollback()
              return False
           _regBancos = lerSQL(cr, 'adm_banco', ["admbco_codigo_bc = %s" % _banco])
           if not _regBancos:
              gravarLog('Ccb01:Banco nao cadastrado:'+str(_banco))
              cr.connection.rollback()
              return False
           _banco_id = _regBancos[0]['id']
           if _agencia != '':
              _regAgencia = lerSQL(cr, 'adm_banco_agencia', ['admbag_banco_id = %s' % _banco_id, "name = '%s'" % _agencia])
              if not _regAgencia:
                 _nroAgencia = re.sub('[^0-9]', '', _agencia)
                 valsAgencia = {
                      'admbag_banco_id' : _banco_id,
                      'name' : _agencia,
                      }
                 if _nroAgencia != '':
                   valsAgencia['admbag_codigo_agencia'] = _nroAgencia
                 _agencia_id = inserirSQL(cr, 'adm_banco_agencia', valsAgencia)
              else:
                 _agencia_id = _regAgencia[0]['id']
           else:
              _agencia_id = False
           vals = {
              'banco_caixa' : 'B',
              'banco_id' : _banco_id,
              'company_id' : company_id,
              'apelido' : _apelido,
              'nro_conta' : _conta,
              'limite_especial' : _limiteEspecial,
              'integra_fluxo' : _flc_integra,
              'active' : True,
           }
           if _agencia_id:
              vals['agencia_id'] = _agencia_id
           alterarSQL(cr, 'financeiro_tesouraria_contas', _regConta[0]['id'], vals)
           cr.connection.commit()
           return True
        if operacao == 'd': #Excluir
           deletarSQL(cr, 'financeiro_tesouraria_contas', 'id = %s' % _regConta[0]['id'])
           cr.connection.commit()
           return True
    except Exception as e:
         gravarLog('Ccb01:Qtd Elementos:'+str(len(listaDados))+ '  Lista:'+ str(listaDados) + '   Erro: '+str(e))
         cr.connection.rollback()
         return False
    cr.connection.commit()
    return True

def gerarCcb02(empresa_legado, operacao, dados):
    try:
        listaDados = dados.replace('#',' ').split(',')
        _origem = listaDados[0].strip()
        _cliFor = listaDados[1]
        _controle = listaDados[2]
        _serie = listaDados[3].strip()
        _sequencia = listaDados[4]
        _apelido = listaDados[5].strip()
        _documento = listaDados[6]
        _data = datas.sigDatas(listaDados[7]).getDataNoFormato('I', 'S', '-')
        _mes = listaDados[7][4:6]
        _ano = listaDados[7][:4]
        _tipo = listaDados[8]
        _valor = listaDados[9][:13] + '.' + listaDados[9][13:]
        if _valor[:1] == '+':
           _creDeb = 'C'
        else:
           _creDeb = 'D'
        _conferencia = listaDados[10]
        if _conferencia in ( 'S', 'Y', 'C'):
           _conferencia = True
        else:
           _conferencia = False
        _operacao = listaDados[11]
        _historico = listaDados[12].strip()
        a=''
        for x in _historico:
           if ord(x) < 128:
                a +=x
        _historico = a
        _chave = _origem + _cliFor + _controle + _serie + _sequencia
        _regConta = lerSQL(cr, 'financeiro_tesouraria_contas', ["apelido = '%s'" % _apelido])
        if not _regConta:
             gravarLog('Ccb02: Nao encontrei conta para efetuar lancamento:'+ _apelido)
             cr.connection.rollback()
             return False
        _conta_id = _regConta[0]['id']
        valsMovim = {
                'conta_id' : _conta_id,
                'data_movimento' : _data,
                'mes_competencia' : _mes,
                'ano_competencia' : _ano,
                'valor' : _valor[1:],
                'historico' : _historico,
                'conciliado' : _conferencia,
                'debito_credito' : _creDeb,
                'state' : 'A',
                'conta_caixa_operacao' : _operacao,
        }
        idLegado = lerLegado(cr, empresa, _chave, 'ccb02')
        if operacao == 'd' or operacao == 'r': #Deletar ou alterar
          if not idLegado:
             gravarLog('Ccb02: Nao encontrei legado controle para alterar/deletar - conta:'+ _chave)
             cr.connection.rollback()
             return False
          try:
             _regMovim = lerSQL(cr, 'financeiro_tesouraria_movimento', ["id = %s" % idLegado[0]])
             if _regMovim:
                # Apagar movimento anterior
                _movimCta = _regMovim[0]['conta_id']
                _movimData = _regMovim[0]['data_movimento']
                _movimCreDeb= _regMovim[0]['debito_credito']
                _movimValor= str(_regMovim[0]['valor'])
                deletarSQL(cr, 'financeiro_tesouraria_movimento', "id = %s" % idLegado[0])
                #remover o movimento do legado, porque vai inserir novamente
                deletarSQL(cr, 'legado_controle', "empresa = %s and chave_legado = '%s' and tabela_legado = 'ccb02'" % (empresa, _chave))
                cr.connection.commit()
                sock.execute(db, uid, pwd, 'financeiro.tesouraria.saldos', 'fintsa_recalcular_saldos', _movimCta, _movimData)
                idLegado = False
                if operacao == 'd': # para operacao deletar, encerrar funcao
                    return True
          except Exception as e:
             gravarLog('Ccb02: Nao consegui alterar a conta:'+ _chave + '  Erro:' + str(e) +' Registro:'+str(_regMovim))
             cr.connection.rollback()
             return False
        # A alteracao vem antes da inclusao, porque será excluido tudo e inserido novamente
        if operacao == 'w' or 'r': #Gravar e alterar
           if not idLegado:
              idMovim = inserirSQL(cr, 'financeiro_tesouraria_movimento', valsMovim)
              vals = {
                       'empresa' : empresa_legado,
                       'tabela_legado' : 'ccb02',
                       'chave_legado' : _chave,
                       'chave_sigerp': idMovim,
                       }
              idLegado= inserirSQL(cr, 'legado_controle', vals)
              cr.connection.commit()
              where =  ["conta_id = %s" % _conta_id, "data_movimento <= '%s'" % _data]
              regSaldo = lerSQL(cr, 'financeiro_tesouraria_saldos', where, ['id', 'fintsa_saldo_final', 'data_movimento'],order=['data_movimento desc'])
              if not regSaldo:
                 gravarLog('Ccb02: Nao encontrei saldo:'+ str(where))
                 cr.connection.rollback()
                 return False
              _idSaldo = regSaldo[0]['id']
              _vlSaldo = regSaldo[0]['fintsa_saldo_final'] or 0.0
              _dataSaldo = regSaldo[0]['data_movimento']
              sock.execute(db, uid, pwd, 'financeiro.tesouraria.saldos', 'atualizar_saldo', _conta_id, _data, _creDeb, _valor[1:])
           return True
    except Exception as e:
         gravarLog('Ccb02:Qtd Elementos:'+str(len(listaDados))+ '  Lista:'+ str(listaDados) + '   Erro: '+str(e))
    cr.connection.rollback()
    return False

try:
   arquivo = sys.argv[1]
except:
   gravarLog('Arquivo a integrar nao informado!')
   exit()

if arquivo == 'todos':
    novaLista = []
    try:
        lista=os.listdir(diretorio+'int')
        for linha in lista:
            if linha[-1:] == '\n':
                linha = linha[:-1]
            if linha[:3] != 'ccb':
                continue
            novaLista.append(linha[6:]+linha[:6])
        novaLista.sort()
        lista = []
        for linha in novaLista:
            lista.append(linha[-6:]+linha[:-6])
    except Exception as e:
        gravarLog('Diretorio inexistente!')
        exit()
else:
    try:
        lista=os.listdir(diretorio+'int')
        lista.sort()
    except Exception as e:
        gravarLog('Diretorio inexistente!' + str(e))
        exit()
try:
    for arq in lista:
      if arquivo != 'todos':
            if arq[:5]!=arquivo:
                continue
      empresa = arq[24:27]
      _operacao = arq[28:].lower()
      try:
         args = [('empresa_legado','=', empresa), ('tipo', '=', 'C')]
         company_id_c =  sock.execute(db, uid, pwd, 'legado.empresa', 'ler', args)[0]['company_id'][0]
         args = [('empresa_legado','=', empresa), ('tipo', '=', 'S')]
         company_id_s =  sock.execute(db, uid, pwd, 'legado.empresa', 'ler', args)[0]['company_id'][0]
      except:
         gravarLog('Empresa nao cadastrada!'+ str(empresa)+ '-'+str(args))
         continue
      try:
         file=open('int/'+arq, 'r')
         _arquivoLido = arq[:5]
         registros=file.readlines()
      except:
         continue
      _horaArquivo = int(arq[15:23])
      contador = contarRegistros(registros)
      if _operacao == 'x': # Opderacao = 'x' eh qdo eh gerado o arquivo inteiro
         operacao='w'
      else:
         operacao=_operacao
      if _operacao == 'x': # Remover arquivo porque já foi lido e contem varios registros
          os.system('rm -rf ' + diretorio+'int/'+arq)
      for registro in registros:
          registro = unicode(registro, 'utf-8', errors='ignore')
          res = False
          if _arquivoLido == 'ccb01':   # Contas
             res=gerarCcb01(empresa, operacao, registro)
          if _arquivoLido == 'ccb02':   # Movimento
             res=gerarCcb02(empresa, operacao, registro)
          #if contador.contar(_operacao):
          #   cr.connection.commit()
          if res and _operacao != 'x': # Registro importado de arquivo com um registro, remover arquivo
              os.system('rm -rf ' + diretorio+'int/'+arq)
              deletarSQL(cr_log, 'legado_logs',  "lelg_arquivo = '%s'" % arq)
              cr_log.connection.commit()
          if not res and _operacao == 'x': # Erro na importacao de registro de arquivo com varios registros, gerar registro individual para importacao futura
              _horaArquivo += 1
              arqNovo = diretorio+'int/'+arq[:15]+numero.getNumToStr(_horaArquivo,8,0,'N')+arq[23:28]+'W'
              fileNovo=open(arqNovo, 'w')
              fileNovo.write(registro)
              fileNovo.close()
      #cr.connection.commit()
except Exception as e:
   gravarLog('Erro Carregando arquivos.    Erro: '+str(e))

