#!/usr/bin/python
# -*- coding: utf-8 -*-
idPrograma='ccu2ope.py'
idVersao='Versao 1.01 de 20/07/2011'
idObs='Copyrigth by Sig Informatica Ltda'
"""
Programa para exportacao de dados do Sig Cobol(Contabilidade) para o SigERP
Este programa deve estar na pasta objetos, juntamente com o arquivo de configuracao sigerp.cfg
Este programa e chamado direto do programa cobol

Estrutura do sigerp.cfg
hostname,username,password,database,dbhostname,dbuser,dbpasswd
localhost,admin,admin,teste,localhost,luiz,admin
"""

import sys, os
import xmlrpclib, socket
import csv
from SigUtils import datas, geralogs, numero
import psycopg2
import psycopg2.extras
import psutil
diretorio = './'
i=0
lista=[]
encerrar = 'N'
try:
   for proc in psutil.process_iter():
      for x in proc.cmdline:
         if 'ccu2ope.py' in x:
            if proc.cmdline[1] == '../objetos/ccu2ope.py':
               i+=1
               arquivo = proc.cmdline[2]
               if i > 1:
                  for a in lista:
                     if a == arquivo:
                        encerrar = 'S'
               lista.append(arquivo)
except:
   pass
if encerrar == 'S':
   exit()
def gravarLog(texto, linha=''):
    _arq = _dados = ''
    try:
        _arq = arq
    except:
        pass
    try:
        _dados = registro
    except:
        pass
    if not linha:
        linha = _dados
    try:
        _sql = ("select * from legado_logs where lelg_arquivo = '%s' and lelg_data = '%s' and lelg_hora = '%s'" %
                (str(_arq), str(datas.getDataDeHoje('I','-')), str(datas.getDataDeHoje('H')[:5])))
        cr_log.execute(_sql)
        _registros = cr_log.fetchall()
        if _registros:
            _log_id = _registros[0]['id']
            _sql = "update legado_logs set  lelg_empresa_legado = '%s', lelg_arquivo = '%s', lelg_erro = '%s', lelg_conteudo = '%s', lelg_data = '%s', "
            _sql += "lelg_hora = '%s', lelg_arquivo_legado = '%s',active = %s"
            _sql = _sql % (str(_arq[-5:-2]), str(_arq),str(texto).replace("'",""), str(linha).replace("'",""), str(datas.getDataDeHoje('I','-')), str(datas.getDataDeHoje('H')[:5]), str(_arq[:5]), True)
            _sql += ' where id = ' + str(_log_id)
            cr_log.execute(_sql)
        else:
            _sql = 'insert into legado_logs (lelg_empresa_legado, lelg_arquivo, lelg_erro, lelg_conteudo, lelg_data, lelg_hora, lelg_arquivo_legado, active)'
            _sql += " values ('%s','%s','%s','%s','%s','%s','%s','%s') "
            _sql = _sql % (str(_arq[-5:-2]), str(_arq),str(texto).replace("'", ""), str(linha).replace("'",""), str(datas.getDataDeHoje('I','-')), str(datas.getDataDeHoje('H')[:5]), str(_arq[:5]), True)
            cr_log.execute(_sql)
        cr_log.connection.commit()
    except Exception as e:
        cr_log.connection.rollback()
        geralogs.geraLogs('ccu2ope.log', 'Nao consegui gerar o legado_log.   sql:' + str(_sql) +'   Erro:' + str(e), 'S', '../arquivos/logs/')
        if _arq:
            geralogs.geraLogs('ccu2ope.log', _arq +  texto, 'S', '../arquivos/logs/')
        else:
            geralogs.geraLogs('ccu2ope.log',  texto, 'S', '../arquivos/logs/')



try:
    arq_configuracao='../objetos/sigerp.cfg'
    arquivo=csv.DictReader(open(arq_configuracao))
    for a in arquivo:
        hostname = a['hostname']
        username = a['username']
        pwd = a['password']
        porta = a['porta']
        db = a['database']
        dbhostname = a['dbhostname']
        dbuser = a['dbuser']
        dbpasswd = a['dbpasswd']
except:
    gravarLog('Erro identificando parametros - sigerp.cfg')

sock_common = xmlrpclib.ServerProxy ( 'http://'+hostname+':'+porta+'/xmlrpc/common' )
socket.setdefaulttimeout(3)
uid = sock_common.login( db, username, pwd )
sock = xmlrpclib.ServerProxy( 'http://'+hostname+':'+porta+'/xmlrpc/object' )

_stringConeccao = ("dbname='" +db
                        +"' user='"+dbuser
                        +"' host='"+dbhostname
                        +"' password='"+dbpasswd
                        +"' connect_timeout='%d" % 3 + "'")
conn = psycopg2.connect(_stringConeccao)
cr=conn.cursor(cursor_factory=psycopg2.extras.DictCursor)
cr_log=conn.cursor(cursor_factory=psycopg2.extras.DictCursor)

def inserirSQL(cr, tabela, dados):
    _cr = cr
    dados['create_uid'] = uid
    dados['create_date'] = datas.hoje_I
    _qtdCampos=len(dados)
    _txt1='('
    _txt3="("
    for x in dados.keys():
        _txt1 +=x +', '
        _txt3 +="'"+str(dados[x])+"', "
    _txt1 = _txt1[:-2]+')'
    _txt3 = _txt3[:-2]+")"
    _txt2 = "'%s',"*_qtdCampos
    _txt2 = "("+_txt2[:-1]+")"
    _sql = "insert into "+tabela+" "+_txt1+" values "+_txt2+" returning id"
    _sql = _sql % eval(_txt3)
    try:
       cr.execute(_sql)
    except Exception as e:
        cr.connection.rollback()
        gravarLog('Erro insert: tabela '+tabela+ '  sql:'+ _sql + '  Erro: '+str(e))
    return cr.fetchone()[0]

def deletarSQL(cr, tabela, where):
    _cr = cr
    _sql = 'delete from '+tabela+' where '+where
    try:
       cr.execute(_sql)
    except Exception as e:
         gravarLog('Erro delete: tabela '+tabela+ '  sql:'+ _sql + '  Erro: '+str(e))
         return False
    return True

def alterarSQL(cr, tabela, id, dados): # Id pode ser um id ou uma lista para clausula where
    _cr = cr
    dados['write_uid'] = str(uid)
    dados['write_date'] = datas.hoje_I
    _qtdCampos=len(dados)
    _txt=''
    for x in dados.keys():
       if dados[x][:1] == '!':
          _txt +=x +" = " + str(dados[x][1:])+ ","
       else:
          _txt +=x +" = '" + str(dados[x])+ "',"
    if _txt[-1:] == ',':
        _txt=_txt[:-1]
    if str(type(id)) == "<type 'list'>":
       _sql = "update "+tabela+" set "+_txt+" where "
       for a in id:# lista para where
          _sql += a +" and "
       if _sql[-5:] == ' and ':
          _sql = _sql[:-5]
    else:
       _sql = "update "+tabela+" set "+_txt+" where id = "+str(id)
    try:
       cr.execute(_sql)
    except Exception as e:
         gravarLog('Erro update - sql:'+ _sql + '  Erro: '+str(e))
         return False
    return True

def lerLegado(cr, empresa_legado, chave_legado, tabela):
    _sql="select chave_sigerp from legado_controle where empresa = '%s' and chave_legado = '%s' and tabela_legado = '%s'" % (empresa_legado, chave_legado, tabela)
    cr.execute(_sql)
    _regLegado = cr.fetchall()
    result = []
    if _regLegado:
        for x in _regLegado:
            result.append(x['chave_sigerp'])
    return result

def lerSQL(cr, tabela, where=[], campos=[], order=[]):
    """
    parametros:
      cr -> cursor
      tabela -> nome da tabela
      where -> clausula where pronta exemplo: ["codigo = 'teste'","name = 'luiz'"]
      campos -> campos a serem lidos, exemplo: ['codigo, nome']
      order -> ordem a ser retornada, exemplo: ['campo, desc']
    """
    _sql = "select "
    if campos:
        for a in campos:
            _sql += a + ','
        _sql = _sql[:-1]+ ' '
    else:
        _sql += '* '
    _sql += 'from '+ tabela + ' '
    if where:
        _sql += 'where '
        for a in where:
            _sql += a +" and "
        if _sql[-5:] == ' and ':
            _sql = _sql[:-5]
    if order:
       _sql += " order by " + order[0]
       if len(order) == 2:
          _sql += ' ' + order[1]
    cr.execute(_sql)
    _registros = cr.fetchall()
    #if not _registros:
    #    print _sql
    return _registros

class contarRegistros(object):
    def __init__(self, registros):
        self.regLido = 0
        self.regTotal = len(registros)
        self.regPasso = int(self.regTotal / 100)
        if self.regPasso > 100:
            self.regPasso = 100
        if self.regPasso == 0:
            self.regPasso = 1
    def contar(self, operacao='x'):
        self.regLido += 1
        _inteiro, _resto = divmod(self.regLido, self.regPasso)
        if _resto == 0:
            #if operacao == 'x':
            #   print(str(self.regTotal) + '/' + str(self.regLido))
            return True
        return False

def gerarCcu02(empresa_legado, operacao, dados):
    try:
        listaDados = dados.replace('#',' ').split(',')
        _origem = listaDados[0].strip()
        _cliFor = listaDados[1]
        _controle = listaDados[2]
        _serie = listaDados[3].strip()
        _sequencia = listaDados[4]
        _conta1 = listaDados[5]
        _nomeCta1 = listaDados[6].strip()
        _conta2 = listaDados[7]
        _nomeCta2 = listaDados[8].strip()
        _conta3 = listaDados[9]
        _nomeCta3 = listaDados[10].strip()
        _conta4 = listaDados[11]
        _nomeCta4 = listaDados[12].strip()
        _conta5 = listaDados[13]
        _nomeCta5 = listaDados[14].strip()
        _data = datas.sigDatas(listaDados[15]).getDataNoFormato('I', 'S', '-')
        _valor = listaDados[16][:10] + '.' + listaDados[16][10:]
        if _valor[:1] == '-':
           _ope = 'S'
        else:
           _ope = 'E'
        _anoMesCompetencia = listaDados[17]
        _tipo = listaDados[18]
        if _tipo != 'S':
           _tipo = 'C'
        if _tipo == 'S':
           company_id = company_id_s
        else:
           company_id = company_id_c
        _historico = listaDados[19].strip().replace('    ','')
        a = ''
        for x in _historico:
           if ord(x) < 128:
                a += x
        _historico = a
        _chave = _origem + _cliFor + _controle + _serie + _sequencia
        _regLegadoCcu02 = lerLegado(cr, empresa_legado, _chave, 'ccu02')

        args = ['conta1 = ' + _conta1, 'conta2 = ' + _conta2, 'conta3 = ' + _conta3]
        if _conta4 != '':
            args.append('conta4 = ' + _conta4)
        if _conta5 != '':
            args.append('conta5 = ' + _conta5)
        dadosConta = lerSQL(cr, 'legado_custos', args)
        if (isinstance(dadosConta, tuple) or isinstance(dadosConta, list)) and dadosConta:
            dadosConta = dadosConta[0]
        else:

            dadosNatureza = lerSQL(cr, 'gerencial_evento_natureza')
            if dadosNatureza:
                natureza_id = dadosNatureza[0]['id']
            else:
                gravarLog('Ccu02:Qtd Elementos:'+str(len(listaDados))+ '  Lista:'+ str(listaDados) + '  Erro: Nao há natureza de evento cadastrada!', dados)
                return False
            dadosEvento = lerSQL(cr, 'gerencial_evento', ["name = 'Nao Cadastrado'", 'company_id = ' + str(company_id)])
            if (isinstance(dadosEvento, tuple) or isinstance(dadosEvento, list)) and dadosEvento:
                evento_id = dadosEvento[0]['id']
            else:
                evento_id = inserirSQL(cr, 'gerencial_evento', {'name': 'Nao Cadastrado', 'company_id': company_id, 'evento_natureza_id': natureza_id})
            dadosCentroCusto = lerSQL(cr, 'adm_empresa_centrocusto', ["name = 'Nao Cadastrado'", 'company_id = ' + str(company_id)])
            if (isinstance(dadosCentroCusto, tuple) or isinstance(dadosCentroCusto, list)) and dadosCentroCusto:
                centrocusto_id = dadosCentroCusto[0]['id']
            else:
                centrocusto_id = inserirSQL(cr, 'adm_empresa_centrocusto', {'name': 'Nao Cadastrado', 'company_id': company_id})
            dadosConta = {'evento_id': evento_id, 'centro_custo_id': centrocusto_id}
        valsMovim = {
                'company_id' : company_id,
                'valor' : _valor[1:],
                'evento_id' : dadosConta['evento_id'],
                'centro_custo_id' : dadosConta['centro_custo_id'],
                'data' : _data,
                'mes_competencia' : _anoMesCompetencia[4:6],
                'ano_competencia' : _anoMesCompetencia[:4],
                'fingmo_operacao' :_ope,
                'historico' : _historico,
        }
        tesouraria_movimento_id = False
        _regLegado = lerLegado(cr, empresa, _chave, 'cax02')
        if _regLegado:
           tesouraria_movimento_id = _regLegado[0]
        _regLegado = lerLegado(cr, empresa, _chave, 'ccb02')
        if _regLegado:
           tesouraria_movimento_id = _regLegado[0]
        if tesouraria_movimento_id:
           valsMovim['tesouraria_movimento_id'] = tesouraria_movimento_id
        if operacao == 'w': #Gravar
           if _regLegadoCcu02:
                return True
           idMovim = inserirSQL(cr, 'gerencial_movimento', valsMovim)
           vals = {
                    'empresa' : empresa_legado,
                    'tabela_legado' : 'ccu02',
                    'chave_legado' : _chave,
                    'chave_sigerp': idMovim,
                    }
           idLegado= inserirSQL(cr, 'legado_controle', vals)
           cr.connection.commit()
           return True
        if operacao == 'd':
           if not _regLegadoCcu02:
              return False
           deletarSQL(cr, 'gerencial_movimento', "id = %s" % _regLegadoCcu02[0])
           deletarSQL(cr, 'legado_Controle', "empresa = %s and chave_legado = '%s' and tabela_legado = 'ccu02'" % (empresa, _chave))
           return True

    except Exception as e:
         gravarLog('Ccu02:Qtd Elementos:'+str(len(listaDados))+ '  Lista:'+ str(listaDados) + '  Erro:' + str(e), dados)
         return False
    return True

try:
    arquivo = sys.argv[1]
except:
    gravarLog('Arquivo a integrar nao informado!')
    exit()

if arquivo == 'todos':
    novaLista = []
    try:
        lista = os.listdir(diretorio+'int')
        for linha in lista:
            if linha[-1:] == '\n':
                linha = linha[:-1]
            if linha[:3] != 'ccu':
                continue
            novaLista.append(linha[6:]+linha[:6])
        novaLista.sort()
        lista = []
        for linha in novaLista:
            lista.append(linha[-6:]+linha[:-6])
    except Exception as e:
        gravarLog('Diretorio inexistente!')
        exit()
else:
    try:
        lista=os.listdir(diretorio+'int')
        lista.sort()
    except Exception as e:
        gravarLog('Diretorio inexistente!')
        exit()

try:
    for arq in lista:
      if arquivo != 'todos':
            if arq[:5]!=arquivo:
                continue
      empresa = arq[24:27]
      _operacao = arq[28:].lower()
      try:
         args = [('empresa_legado','=', empresa), ('tipo', '=', 'C')]
         company_id_c =  sock.execute(db, uid, pwd, 'legado.empresa', 'ler', args)[0]['company_id'][0]
         args = [('empresa_legado','=', empresa), ('tipo', '=', 'S')]
         company_id_s =  sock.execute(db, uid, pwd, 'legado.empresa', 'ler', args)[0]['company_id'][0]
      except:
         gravarLog('Empresa nao cadastrada!'+ str(empresa)+ '-'+str(args))
         continue
      try:
         file=open('int/'+arq, 'r')
         _arquivoLido = arq[:5]
         registros=file.readlines()
      except:
         continue
      _horaArquivo = int(arq[15:23])
      contador = contarRegistros(registros)
      if _operacao == 'x': # Opderacao = 'x' eh qdo eh gerado o arquivo inteiro
         operacao='w'
      else:
         operacao=_operacao
      if _operacao == 'x': # Remover arquivo porque já foi lido e contem varios registros
          os.system('rm -rf ' + diretorio+'int/'+arq)
      for registro in registros:
          registro = unicode(registro, 'utf-8', errors='ignore')
          res = False
          try:
             if _arquivoLido == 'ccu02':   # Movimento
                res=gerarCcu02('1', operacao, registro)
             if contador.contar(_operacao):
                cr.connection.commit()
          except Exception as e:
            gravarLog('Erro Tentando Atualizar' + str(e))
            res = False
          if res and _operacao != 'x': # Registro importado de arquivo com um registro, remover arquivo
              os.system('rm -rf ' + diretorio+'int/'+arq)
              deletarSQL(cr, 'legado_logs',  "lelg_arquivo = '%s'" % arq)
              deletarSQL(cr_log, 'legado_logs',  "lelg_arquivo = '%s'" % arq)
              cr_log.connection.commit()
          if not res and _operacao == 'x': # Erro na importacao de registro de arquivo com varios registros, gerar registro individual para importacao futura
              _horaArquivo += 1
              arqNovo = diretorio+'int/'+arq[:15]+numero.getNumToStr(_horaArquivo,8,0,'N')+arq[23:28]+'W'
              fileNovo=open(arqNovo, 'w')
              fileNovo.write(registro)
              fileNovo.close()
      cr.connection.commit()
except Exception as e:
   gravarLog('Carregando arquivos' + str(e))
