#!/usr/bin/python
# -*- encoding: utf-8 -*-
import sys, os, re
import xmlrpclib, socket
import csv
from SigUtils import datas, geralogs, numero
import psycopg2
import psycopg2.extras
import psutil
i=0
lista=[]
encerrar = 'N'

diretorio = './'
try:
   for proc in psutil.process_iter():
      for x in proc.cmdline:
         if 'chq2ope.py' in x:
            if proc.cmdline[1] == '../objetos/chq2ope.py':
               i+=1
               arquivo = proc.cmdline[2]
               if i > 1:
                  for a in lista:
                     if a == arquivo:
                        encerrar = 'S'
               lista.append(arquivo)
except:
   pass
if encerrar == 'S':
   exit()
class acumular(object):
   def __init__(self):
       self._valorL=0.0
       self._valorA=0.0
   def acValorL(self, valor):
       self._valorL += float(valor)
   def acValorA(self, valor):
       self._valorA += float(valor)

class contarRegistros(object):
    def __init__(self, registros):
        x=registros
        self.regLido = 0
        i=0
        for a in x:
           i+=1
        self.regTotal = i
        self.regPasso = int(self.regTotal / 100)
        if self.regPasso > 100:
            self.regPasso = 100
        if self.regPasso == 0:
            self.regPasso = 1
    def contar(self,operacao='x'):
        self.regLido += 1
        _inteiro, _resto = divmod(self.regLido, self.regPasso)
        if _resto == 0:
            if operacao == 'x':
               print(str(self.regTotal) + '/' + str(self.regLido))
            return True
        return False

def gravarLog(texto, linha=''):
    _arq = _dados = ''
    try:
        _arq = arq
    except:
        pass
    try:
        _dados = registro
    except:
        pass
    if not linha:
        linha = _dados
    try:
        _sql = ("select * from legado_logs where lelg_arquivo = '%s' and lelg_data = '%s' and lelg_hora = '%s'" %
                (str(_arq), str(datas.getDataDeHoje('I','-')), str(datas.getDataDeHoje('H')[:5])))
        cr_log.execute(_sql)
        _registros = cr_log.fetchall()
        if _registros:
            _log_id = _registros[0]['id']
            _sql = "update legado_logs set  lelg_empresa_legado = _'%s', lelg_arquivo = '%s', lelg_erro = '%s', lelg_conteudo = '%s', lelg_data = '%s', "
            _sql += "lelg_hora = '%s', lelg_arquivo_legado = '%s',active = %s"
            _sql = _sql % (str(_arq[-5:-2]), str(_arq),str(texto).replace("'",""), str(linha).replace("'",""), str(datas.getDataDeHoje('I','-')), str(datas.getDataDeHoje('H')[:5]), str(_arq[:5]), True)
            _sql += ' where id = ' + str(_log_id)
            cr_log.execute(_sql)
        else:
            _sql = 'insert into legado_logs (lelg_empresa_legado, lelg_arquivo, lelg_erro, lelg_conteudo, lelg_data, lelg_hora, lelg_arquivo_legado, active)'
            _sql += " values ('%s','%s','%s','%s','%s','%s','%s','%s') "
            _sql = _sql % (str(_arq[-5:-2]), str(_arq),str(texto).replace("'", ""), str(linha).replace("'",""), str(datas.getDataDeHoje('I','-')), str(datas.getDataDeHoje('H')[:5]), str(_arq[:5]), True)
            cr_log.execute(_sql)
        cr_log.connection.commit()
    except Exception as e:
        cr_log.connection.rollback()
        geralogs.geraLogs('chq2ope.log', 'Nao consegui gerar o legado_log.   sql:' + str(_sql) +'   Erro:' + str(e), 'S', '../arquivos/logs/')
        if _arq:
            geralogs.geraLogs('chq2ope.log', _arq +  texto, 'S', '../arquivos/logs/')
        else:
            geralogs.geraLogs('chq2ope.log',  texto, 'S', '../arquivos/logs/')


try:
    arq_configuracao='../objetos/sigerp.cfg'
    arquivo=csv.DictReader(open(arq_configuracao))
    for a in arquivo:
        hostname = a['hostname']
        username = a['username']
        pwd = a['password']
        porta = a['porta']
        db = a['database']
        dbhostname = a['dbhostname']
        dbuser = a['dbuser']
        dbpasswd = a['dbpasswd']
except:
    gravarLog('Erro identificando parametros - sigerp.cfg')

sock_common = xmlrpclib.ServerProxy ( 'http://'+hostname+':'+porta+'/xmlrpc/common' )
socket.setdefaulttimeout(3)
uid = sock_common.login( db, username, pwd )
sock = xmlrpclib.ServerProxy( 'http://'+hostname+':'+porta+'/xmlrpc/object' )

_stringConeccao = ("dbname='" +db
                        +"' user='"+dbuser
                        +"' host='"+dbhostname
                        +"' password='"+dbpasswd
                        +"' connect_timeout='%d" % 3 + "'")
conn = psycopg2.connect(_stringConeccao)
cr=conn.cursor(cursor_factory=psycopg2.extras.DictCursor)
cr_log=conn.cursor(cursor_factory=psycopg2.extras.DictCursor)


def inserirSQL(cr, tabela, dados):
    _cr = cr
    many2many = False
    if tabela == 'adm_categoria_nome':
       many2many = True
    else:
       dados['create_uid'] = uid
       dados['create_date'] = datas.hoje_I
    _qtdCampos=len(dados)
    _txt1='('
    _txt3="("
    for x in dados.keys():
        _txt1 +=x +', '
        _txt3 +="'"+str(dados[x])+"', "
    _txt1 = _txt1[:-2]+')'
    _txt3 = _txt3[:-2]+")"
    _txt2 = "'%s',"*_qtdCampos
    _txt2 = "("+_txt2[:-1]+")"
    if many2many:
       _sql = "insert into "+tabela+" "+_txt1+" values "+_txt2
    else:
       _sql = "insert into "+tabela+" "+_txt1+" values "+_txt2+" returning id"
    _sql = _sql % eval(_txt3)
    try:
       cr.execute(_sql)
    except Exception as e:
        cr.connection.rollback()
        gravarLog('Erro insert: tabela '+tabela+ '  sql:'+ _sql + '   Erro: '+str(e))
    if many2many:
       return True
    else:
       return cr.fetchone()[0]

def deletarSQL(cr, tabela, where):
    _cr = cr
    _sql = 'delete from '+tabela+' where '+where
    try:
       cr.execute(_sql)
    except Exception as e:
         gravarLog('Erro delete: tabela '+tabela+ '  sql:'+ _sql + '   Erro: '+str(e))
         return False
    return True

def alterarSQL(cr, tabela, id, dados):
    _cr = cr
    dados['write_uid'] = uid
    dados['write_date'] = datas.hoje_I
    _qtdCampos=len(dados)
    _txt=''
    for x in dados.keys():
        _txt +=x +" = '" + str(dados[x])+ "',"
    if _txt[-1:] == ',':
        _txt=_txt[:-1]
    _sql = "update "+tabela+" set "+_txt+" where id = "+str(id)
    try:
       cr.execute(_sql)
    except Exception as e:
         gravarLog('Erro update - sql:'+ _sql + '   Erro: '+str(e))
         return False
    return True

def lerLegado(cr, empresa_legado, chave_legado, tabela):
    _sql="select chave_sigerp from legado_controle where empresa = '%s' and chave_legado = '%s' and tabela_legado = '%s'" % (empresa_legado, chave_legado, tabela)
    cr.execute(_sql)
    _regLegado = cr.fetchall()
    result = []
    if _regLegado:
        for x in _regLegado:
            result.append(x['chave_sigerp'])
    return result

def lerSQL(cr, tabela, where=[], campos=[]):
    """
    parametros:
      cr -> cursor
      tabela -> nome da tabela
      where -> clausula where pronta exemplo: ["codigo = 'teste'","name = 'luiz'"]
      campos -> campos a serem lidos, exemplo: ['codigo, nome']
    """
    _sql = "select "
    if campos:
        for a in campos:
            _sql += a + ','
        _sql = _sql[:-1]+ ' '
    else:
        _sql += '* '
    _sql += 'from '+ tabela + ' '
    if where:
        _sql += 'where '
        for a in where:
            _sql += a +" and "
        if _sql[-5:] == ' and ':
            _sql = _sql[:-5]
    cr.execute(_sql)
    _registros = cr.fetchall()
    #if not _registros:
    #    print _sql
    return _registros


def gerarChq02(empresa_legado, operacao, dados, Valores):#Cheques
    try:
       listaDados = dados.replace('#',' ').split(',')
       _data = listaDados[0]
       _hora = listaDados[1]
       _cliente = listaDados[2].lstrip('0')
       if len(_cliente) < 12:
          while len(_cliente) < 11 :
             _cliente = '0' + _cliente
       else:
          while len(_cliente) < 14:
             _cliente = '0' + _cliente
       _cheque = listaDados[3].strip()
       _emissao =  datas.sigDatas(listaDados[4]).getDataNoFormato('I', 'S', '-')
       _localCobr = listaDados[5]
       _agencia = listaDados[6]
       _valor = listaDados[7][:10]+'.'+listaDados[7][10:]
       Valores.acValorL(_valor)
       _bomPara =  datas.sigDatas(listaDados[8]).getDataNoFormato('I', 'S', '-')
       try:
          ano = int(_bomPara[:4])
          if ano < 1900:
             _bomPara = _emissao[:4] + _bomPara[4:]
       except:
          pass
       _devolucao =  datas.sigDatas(listaDados[9]).getDataNoFormato('I', 'S', '-')
       _apelido = listaDados[10].strip()
       _loja = listaDados[11]
       _chequeNegociado = listaDados[12].strip()
       _pdv = listaDados[13]
       _tarifaDevolucao = listaDados[14][:10]+'.'+listaDados[14][10:]

       _regPessoa = lerSQL(cr, 'adm_pessoa', ["cpf_cnpj = '%s'" % _cliente])
       if not _regPessoa:
          if len(_cliente) == 11:
             while len(_cliente) < 14:
                _cliente = '0' + _cliente
             _regPessoa = lerSQL(cr, 'adm_pessoa', ["cpf_cnpj = '%s'" % _cliente] )
             if not _regPessoa:
                gravarLog('Chq02-Cliente nao cadastrado:'+ _cliente )
                return False
          else:
             gravarLog('Chq02-Cliente nao cadastrado:'+ _cliente )
             return False

       _pessoa_id = _regPessoa[0]['id']
       _doc_tipo_id = lerSQL(cr, 'documento_documento_tipo', ["sigla = 'CHQ'"])[0]['id']
       _regTitulo = lerLegado(cr, empresa_legado, _data + _hora, 'chq02')
       gravarLog('chq02-Cheque Cliente:' + _cliente +' Nro:' + _cheque)
       if operacao != 'w':
          if not _regTitulo:
             gravarLog('Chq02-cheque nao cadastrado:'+ _cliente + _cheque )
             return False
       if operacao == 'd': #Cheque excluido, nao excluir, cancelar!
          valsTitulo = {
                'state' : 'C'
                }
          try:
             _titId = alterarSQL(cr, 'financeiro_titulo', _regTitulo[0], valsTitulo)
          except:
             gravarLog( 'erro excluindo do titulo:' + str(valsTitulo))
             return False
          gravarLog('Chq02 - Excluido!')
          return True
       _regBanco = lerSQL(cr, 'adm_banco', ["admbco_codigo_bc = '%s'" % _localCobr])
       if not _regBanco:
          _regBanco = lerSQL(cr, 'adm_banco', ["admbco_codigo_bc = 001" ])
          if not _regBanco:
             gravarLog('chq02-banco nao cadastrado: ' + str(_localCobr))
             return False
       _banco_id = _regBanco[0]['id']
       _regEmpresa = lerSQL(cr, 'res_company', ['id = %s' % company_id_c])
       if not _regEmpresa:
          gravarLog('chq02-empresa nao cadastrada: ' + str(company_id_c))
          return False
       _pessoa_local_id = _regEmpresa[0]['rescon_pessoa_id']
       _regLocal = lerSQL(cr, 'financeiro_local_cobranca', ["pessoa_id = %s" % _pessoa_local_id])
       if not _regLocal:
          gravarLog('Chq02 - Local nao cadastrado: ' + _localCobr + '-' + str(_pessoa_local_id) +'-'+ str(listaDados))
          return False
       _local_id = _regLocal[0]['id']
       valsTitulo = {
             'company_id' : company_id_c,
             'doc_tipo_id' : _doc_tipo_id,
             'pessoa_id' : _pessoa_id,
             'documento' : _cheque,
             'parcela' : 0,
             'local_cobranca_id' : _local_id,
             'tipo_titulo' : 'R',
             'state': 'A',
             'data_emissao' : _emissao,
             'data_vencimento' : _bomPara,
             'data_prorrogacao' : _bomPara,
             'tipo_sacado' : 'C',
             'vr_original' : _valor,
             'saldo' : _valor,
             'adm_moeda_id' : lerSQL(cr, 'adm_moeda', ["sigla = '%s'" % 'R$'])[0]['id'],
             'tipo_lancamento' : 'M',
             'chq_banco_id' : _banco_id,
             }
       if not _regTitulo:
          if operacao == 'w':
             try:
                _titId = inserirSQL(cr, 'financeiro_titulo', valsTitulo)
                gravarLog('Chq02: Inserido!')
             except Exception as e:
                gravarLog( 'erro na criacao do titulo:' + str(valsTitulo) + '   Erro: '+str(e))
                return False
             vals = {
                  'empresa' : empresa_legado,
                  'tabela_legado' : 'chq02',
                  'chave_legado' : _data + _hora,
                  'chave_sigerp': _titId,
                  }
             try:
                idLegado =  inserirSQL(cr,'legado_controle', vals)
             except:
                gravarLog( 'erro na criacao do controle:' + str(vals))
             Valores.acValorA(_valor)
             return True
       try:
          _titId = alterarSQL(cr, 'financeiro_titulo', _regTitulo[0], valsTitulo)
       except Exception as e:
          gravarLog( 'erro alterando do titulo:' + str(valsTitulo) + '   Erro: '+str(e))
          return False
       return True
    except Exception as e:
         gravarLog('Chq02:Qtd Elementos:'+str(len(listaDados))+ '  Lista:'+ str(listaDados) + '   Erro: '+str(e))
         return False
    return True

def gerarChq03(empresa_legado, operacao, dados, tipoDados):#Movimento
    listaDados = dados.replace('#',' ').split(',')
    try:
       _data =  datas.sigDatas(listaDados[0]).getDataNoFormato('I', 'S', '-')
       _hora = listaDados[1]
       _chave= _data + _hora
       legado = lerLegado(cr, empresa_legado,  _chave, 'chq03')
       _cliente = listaDados[2].lstrip('0')
       if len(_cliente) < 12:
          while len(_cliente) < 11 :
             _cliente = '0' + _cliente
       else:
          while len(_cliente) < 14:
             _cliente = '0' + _cliente
       _cheque = listaDados[3].strip()
       _emissao =  datas.sigDatas(listaDados[4]).getDataNoFormato('I', 'S', '-')
       _localCobr = listaDados[5]
       _agencia = listaDados[6].strip()
       _valor = listaDados[7][:10]+'.'+listaDados[7][10:]
       _bomPara =  datas.sigDatas(listaDados[8]).getDataNoFormato('I', 'S', '-')
       _dataPagto =  datas.sigDatas(listaDados[9]).getDataNoFormato('I', 'S', '-')
       _loja = listaDados[10]
       company_id = company_id_c

       _regPessoa = lerSQL(cr, 'adm_pessoa', ["cpf_cnpj = '%s'" % _cliente])
       if not _regPessoa:
          gravarLog('Chq03-Cliente nao cadastrado:'+ _cliente )
          return False

       _pessoa_id = _regPessoa[0]['id']
       _doc_tipo_id = lerSQL(cr, 'documento_documento_tipo', ["sigla = 'CHQ'"])[0]['id']
       _regTitulo = lerLegado(cr, empresa_legado, _data + _hora, 'chq02')
       if _regTitulo:
          return True
       _regBanco = lerSQL(cr, 'adm_banco', ["admbco_codigo_bc = '%s'" % _localCobr])
       if not _regBanco:
          gravarLog('chq02-banco nao cadastrado: ' + str(_localCobr))
          return False
       _banco_id = _regBanco[0]['id']
       _regEmpresa = lerSQL(cr, 'res_company', ['id = %s' % company_id_c])
       if not _regEmpresa:
          gravarLog('chq02-empresa nao cadastrada: ' + str(company_id_c))
          return False
       _pessoa_local_id = _regEmpresa[0]['rescon_pessoa_id']
       _regLocal = lerSQL(cr, 'financeiro_local_cobranca', ["pessoa_id = %s" % _pessoa_local_id])
       if not _regLocal:
          gravarLog('Chq02 - Local nao cadastrado: ' + _localCobr + '-' + str(_pessoa_local_id) +'-'+ str(listaDados))
          return False
       _local_id = _regLocal[0]['id']
       valsTitulo = {
             'company_id' : company_id,
             'doc_tipo_id' : _doc_tipo_id,
             'pessoa_id' : _pessoa_id,
             'documento' : _cheque,
             'parcela' : 0,
             'local_cobranca_id' : _local_id,
             'tipo_titulo' : 'R',
             'state': 'B',
             'data_emissao' : _emissao,
             'data_vencimento' : _bomPara,
             'data_prorrogacao' : _bomPara,
             'tipo_sacado' : 'C',
             'vr_original' : _valor,
             'saldo' : _valor,
             'adm_moeda_id' : lerSQL(cr, 'adm_moeda', ["sigla = '%s'" % 'R$'])[0]['id'],
             'tipo_lancamento' : 'M',
             'chq_banco_id' : _banco_id,
             }
       try:
             _titId = inserirSQL(cr, 'financeiro_titulo', valsTitulo)
       except:
             gravarLog( 'erro na criacao do titulo:' + str(valsTitulo))
       vals = {
               'empresa' : empresa_legado,
               'tabela_legado' : 'chq02',
               'chave_legado' : _data + _hora,
               'chave_sigerp': _titId,
               }
       try:
             idLegado =  inserirSQL(cr,'legado_controle', vals)
       except:
             gravarLog( 'erro na criacao do controle:' + str(vals))

       valsMov = {
             'create_uid' : uid,
             'create_date' : _data,
             'titulo_id' : _titId,
             'local_cobranca_id' : _local_id,
             'data_prorrogacao' : _bomPara,
             'operacao' : 'B',
             }
       try:
          _histoId = inserirSQL(cr, 'financeiro_titulo_historico', valsMov)
       except:
          gravarLog( 'erro na criacao do titulo(baixa):' + str(valsMov))
          return False
       valsBaixa = {
                'data_baixa' : _dataPagto,
                'data_pgto' : _dataPagto,
                'titulo_id' : _titId,
                'valor_pago' : _valor,
                }
       try:
             _baixaId = inserirSQL(cr, 'financeiro_titulo_baixa', valsBaixa)
       except:
             gravarLog( 'erro na criacao do titulo(baixa):' + str(valsBaixa))
             return False
    except Exception as e:
         gravarLog('Chq03:Qtd Elementos:'+str(len(listaDados))+ '  Lista:'+ str(listaDados) + '   Erro: '+str(e))
         return False
    return True


try:
    arquivo = sys.argv[1]
except:
    gravarLog('Arquivo a integrar nao informado!')
    exit()

if arquivo == 'todos':
    novaLista = []
    try:
        lista=os.listdir(diretorio+'int')
        for linha in lista:
            if linha[-1:] == '\n':
                linha = linha[:-1]
            if linha[:3] != 'chq':
                continue
            novaLista.append(linha[6:]+linha[:6])
        novaLista.sort()
        lista = []
        for linha in novaLista:
            lista.append(linha[-6:]+linha[:-6])
    except Exception as e:
        gravarLog('Diretorio inexistente!')
        exit()
else:
    try:
        lista=os.listdir(diretorio+'int')
        lista.sort()
    except Exception as e:
        gravarLog('Diretorio inexistente!')
        exit()

try:
    for arq in lista:
      if arquivo != 'todos':
            if arq[:5]!=arquivo:
                continue
      empresa = arq[24:27]
      _operacao = arq[28:].lower()
      try:
         args = [('empresa_legado','=', empresa), ('tipo', '=', 'C')]
         company_id_c =  sock.execute(db, uid, pwd, 'legado.empresa', 'ler', args)[0]['company_id'][0]
         args = [('empresa_legado','=', empresa), ('tipo', '=', 'S')]
         company_id_s =  sock.execute(db, uid, pwd, 'legado.empresa', 'ler', args)[0]['company_id'][0]
      except:
         gravarLog('Empresa nao cadastrada!'+ str(empresa)+ '-'+str(args))
         continue
      try:
         file=open('int/'+arq, 'r')
         _arquivoLido = arq[:5]
         registros=file.readlines()
      except:
         continue
      _horaArquivo = int(arq[15:23])
      contador = contarRegistros(registros)
      if _operacao == 'x': # Opderacao = 'x' eh qdo eh gerado o arquivo inteiro
         operacao='w'
      else:
         operacao=_operacao
      if _operacao == 'x': # Remover arquivo porque já foi lido e contem varios registros
          os.system('rm -rf ' + diretorio+'int/'+arq)
      for registro in registros:
          registro = unicode(registro, 'utf-8', errors='ignore')
          res = False
          try:
             if _arquivoLido == 'chq02':   # Cheques
                res=gerarChq02(empresa, operacao, registro, Valores)
             gravarLog( 'ValorL:' + str(Valores._valorL) + ' ValorA:' + str(Valores._valorA))
             if _arquivoLido == 'chq03':   # Cheques pagos
                if _operacao == 'x':
                   res=gerarChq03(empresa, operacao, registro, 'arquivo')
                else:
                   res=gerarChq03(empresa, operacao, registro, 'registro')
             if contador.contar(_operacao):
                cr.connection.commit()
          except Exception as e:
            gravarLog('Erro Tentando Atualizar.    Erro: '+str(e))
            res = False
          if res and _operacao != 'x': # Registro importado de arquivo com um registro, remover arquivo
              os.system('rm -rf ' + diretorio+'int/'+arq)
              deletarSQL(cr_log, 'legado_logs',  "lelg_arquivo = '%s'" % arq)
              cr_log.connection.commit()
          if not res and _operacao == 'x': # Erro na importacao de registro de arquivo com varios registros, gerar registro individual para importacao futura
              _horaArquivo += 1
              arqNovo = diretorio+'int/'+arq[:15]+numero.getNumToStr(_horaArquivo,8,0,'N')+arq[23:28]+'W'
              fileNovo=open(arqNovo, 'w')
              fileNovo.write(registro)
              fileNovo.close()
      cr.connection.commit()
except Exception as e:
   gravarLog('Erro Carregando arquivos    Erro: '+str(e))

