#!/usr/bin/python
# -*- encoding: utf-8 -*-
import sys, os, re
import xmlrpclib, socket
import csv
from SigUtils import datas, geralogs, uf, email, numero
import psycopg2
import psycopg2.extras
from unicodedata import normalize
import psutil

i = 0
lista = []
encerrar = 'N'
diretorio = './'
try:
    for proc in psutil.process_iter():
        for x in proc.cmdline:
            if 'cre2ope.py' in x:
                if proc.cmdline[1] == '../objetos/cre2ope.py':
                    i += 1
                    arquivo = proc.cmdline[2]
                    if i > 1:
                        for a in lista:
                            if a == arquivo:
                                encerrar = 'S'
                    lista.append(arquivo)
except:
    pass
if encerrar == 'S':
    exit()

class contarRegistros(object):
    def __init__(self, registros):
        x=registros
        self.regLido = 0
        i=0
        for a in x:
            i += 1
        self.regTotal = i
        self.regPasso = int(self.regTotal / 100)
        if self.regPasso > 100:
            self.regPasso = 100
        if self.regPasso == 0:
            self.regPasso = 1
    def contar(self,operacao='x'):
        self.regLido += 1
        _inteiro, _resto = divmod(self.regLido, self.regPasso)
        if _resto == 0:
            #if operacao == 'x':
            #   print(str(self.regTotal) + '/' + str(self.regLido))
            return True
        return False

def gravarLog(texto, linha=''):
    _arq = _dados = ''
    try:
        _arq = arq
    except:
        pass
    try:
        _dados = registro
    except:
        pass
    if not linha:
        linha = _dados
    try:
        _sql = ("select * from legado_logs where lelg_arquivo = '%s' and lelg_data = '%s' and lelg_hora = '%s'" %
                 (str(_arq), str(datas.getDataDeHoje('I','-')), str(datas.getDataDeHoje('H')[:5])))
        cr_log.execute(_sql)
        _registros = cr_log.fetchall()
        if _registros:
            _log_id = _registros[0]['id']
            _sql = "update legado_logs set  lelg_empresa_legado = _'%s', lelg_arquivo = '%s', lelg_erro = '%s', lelg_conteudo = '%s', lelg_data = '%s', "
            _sql += "lelg_hora = '%s', lelg_arquivo_legado = '%s',active = %s"
            _sql = _sql % (str(_arq[-5:-2]), str(_arq),str(texto).replace("'",""), str(linha).replace("'",""), str(datas.getDataDeHoje('I','-')), str(datas.getDataDeHoje('H')[:5]), str(_arq[:5]), True)
            _sql += ' where id = ' + str(_log_id)
            cr_log.execute(_sql)
        else:
            _sql = 'insert into legado_logs (lelg_empresa_legado, lelg_arquivo, lelg_erro, lelg_conteudo, lelg_data, lelg_hora, lelg_arquivo_legado, active)'
            _sql += " values ('%s','%s','%s','%s','%s','%s','%s','%s') "
            _sql = _sql % (str(_arq[-5:-2]), str(_arq),str(texto).replace("'", ""), str(linha).replace("'",""), str(datas.getDataDeHoje('I','-')), str(datas.getDataDeHoje('H')[:5]), str(_arq[:5]), True)
            cr_log.execute(_sql)
        cr_log.connection.commit()
    except Exception as e:
        cr_log.connection.rollback()
        geralogs.geraLogs('cre2ope.log', 'Nao consegui gerar o legado_log.   sql:' + str(_sql) +'   Erro:' + str(e), 'S', '../arquivos/logs/')
        if _arq:
            geralogs.geraLogs('cre2ope.log', _arq +  texto, 'S', '../arquivos/logs/')
        else:
            geralogs.geraLogs('cre2ope.log',  texto, 'S', '../arquivos/logs/')

try:
    arq_configuracao = '../objetos/sigerp.cfg'
    arquivo = csv.DictReader(open(arq_configuracao))
    for a in arquivo:
        hostname = a['hostname']
        username = a['username']
        pwd = a['password']
        porta = a['porta']
        db = a['database']
        dbhostname = a['dbhostname']
        dbuser = a['dbuser']
        dbpasswd = a['dbpasswd']
except:
    print( 'Erro identificando parametros - sigerp.cfg')

sock_common = xmlrpclib.ServerProxy ( 'http://'+hostname+':'+str(porta)+'/xmlrpc/common' )
socket.setdefaulttimeout(3)
uid = sock_common.login( db, username, pwd )
sock = xmlrpclib.ServerProxy( 'http://'+hostname+':'+str(porta)+'/xmlrpc/object' )

_stringConeccao = ("dbname='" +db
                        +"' user='"+dbuser
                        +"' host='"+dbhostname
                        +"' password='"+dbpasswd
                        +"' connect_timeout='%d" % 3 + "'")
conn = psycopg2.connect(_stringConeccao)
cr=conn.cursor(cursor_factory=psycopg2.extras.DictCursor)
cr_log=conn.cursor(cursor_factory=psycopg2.extras.DictCursor)


def inserirSQL(cursor, tabela, dados):
    _cr = cursor
    many2many = False
    if tabela == 'pessoa_categoria':
        many2many = True
    else:
        dados['create_uid'] = uid
        dados['create_date'] = datas.hoje_I + ' ' + datas.horas[:-3]
    _qtdCampos=len(dados)
    _txt1='('
    _txt3="("
    for x in dados.keys():
        _txt1 +=x +', '
        _txt3 +="'"+str(dados[x])+"', "
    _txt1 = _txt1[:-2]+')'
    _txt3 = _txt3[:-2]+")"
    _txt2 = "'%s',"*_qtdCampos
    _txt2 = "("+_txt2[:-1]+")"
    if many2many:
        _sql = "insert into "+tabela+" "+_txt1+" values "+_txt2
    else:
        _sql = "insert into "+tabela+" "+_txt1+" values "+_txt2+" returning id"
    _sql = _sql % eval(_txt3)
    try:
        _cr.execute(_sql)
    except Exception as e:
        _cr.connection.rollback()
        gravarLog('Insert: tabela '+tabela+ '  sql:'+ _sql + str(e))
    if many2many:
        return True
    else:
        return _cr.fetchone()[0]

def deletarSQL(cursor, tabela, where):
    _sql = 'delete from '+tabela+' where '+where
    try:
        cursor.execute(_sql)
    except Exception as e:
        gravarLog('delete: tabela '+tabela+ '  sql:'+ _sql + str(e))
        return False
    return True

def alterarSQL(cursor, tabela, id, dados): # Id pode ser um id ou uma lista para clausula where
    _cr = cursor
    dados['write_uid'] = str(uid)
    dados['write_date'] = datas.hoje_I + ' ' + datas.horas[:-3]
    _qtdCampos = len(dados)
    _txt = ''
    for x in dados.keys():
        if str(dados[x])[:1] == '!':
            _txt += x +" = " + str(dados[x])[1:]+ ","
        else:
            _txt += x +" = '" + str(dados[x])+ "',"
    if _txt[-1:] == ',':
        _txt = _txt[:-1]
    if str(type(id)) == "<type 'list'>":
        _sql = "update "+tabela+" set "+_txt+" where "
        for a in id:# lista para where
            _sql += a +" and "
        if _sql[-5:] == ' and ':
            _sql = _sql[:-5]
    else:
        _sql = "update "+tabela+" set "+_txt+" where id = "+str(id)
    try:
        _cr.execute(_sql)
    except Exception as e:
        gravarLog('update - sql:'+ _sql + str(e))
        return False
    return True

def lerLegado(cr, empresa_legado, chave_legado, tabela):
    _sql="select chave_sigerp from legado_controle where empresa = '%s' and chave_legado = '%s' and tabela_legado = '%s'" % (empresa_legado, chave_legado, tabela)
    cr.execute(_sql)
    _regLegado = cr.fetchall()
    result = []
    if _regLegado:
        for x in _regLegado:
            result.append(x['chave_sigerp'])
    return result

def lerSQL(cr, tabela, where=[], campos=[]):
    """
    parametros:
      cr -> cursor
      tabela -> nome da tabela
      where -> clausula where pronta exemplo: ["codigo = 'teste'","name = 'luiz'"]
      campos -> campos a serem lidos, exemplo: ['codigo, nome']
    """
    _sql = "select "
    if campos:
        for a in campos:
            _sql += a + ','
        _sql = _sql[:-1]+ ' '
    else:
        _sql += '* '
    _sql += 'from '+ tabela + ' '
    if where:
        _sql += 'where '
        for a in where:
            _sql += a +" and "
        if _sql[-5:] == ' and ':
            _sql = _sql[:-5]
    cr.execute(_sql)
    _registros = cr.fetchall()
    #if not _registros:
    #    print _sql
    return _registros

def capitalize_all( texto ):
    lista = texto.lower().split()
    lista_capitalize = []
    for a in lista:
        lista_capitalize.append( a.capitalize() )
    b = ' '
    return b.join( lista_capitalize )

def formata_cpf_cnpj( cpf_cnpj, tipo ):
    _cpf_cnpj = cpf_cnpj.lstrip( '0' )
    if _cpf_cnpj.__len__() < 5:
        _cpf_cnpj = ''
    else:
        from SigUtils import formatastring
        if tipo == 'F':
            _cpf_cnpj = formatastring.formataString( _cpf_cnpj, 11, '0', 'E' )
            from SigUtils import cpf
            a = cpf.Cpf()
            if not a.validar( _cpf_cnpj ):
                _cpf_cnpj = ''
        else:
            from SigUtils import cnpj
            _cpf_cnpj = formatastring.formataString( _cpf_cnpj, 14, '0', 'E' )
            a = cnpj.Cnpj()
            if not a.validar( _cpf_cnpj ):
                _cpf_cnpj = ''
    return _cpf_cnpj

def retira_acentos( string ):
    if str( type( string ) ) == "<type 'str'>":
        nova_string = ''
        for x in string:
            if ord( x ) <= 127 and ord(x) != 92:
                nova_string = nova_string + x
        return nova_string
    return string

def reg_pessoa_documento_tipo( cr, tipo, fis_jur, sigla ):
    args = ["sigla = '%s'" % sigla] #query clause
    ids =  lerSQL(cr, 'adm_pessoa_documento_tipo', args )
    if ids:
        tipo_id = ids[0]['id']
    else:
        doc_tipo = {'name':tipo, 'pessoa_tipo':fis_jur, 'sigla':sigla}
        try:
            tipo_id =  inserirSQL(cr, 'adm_pessoa_documento_tipo', doc_tipo )
        except:
            gravarLog( 'criando tipo de documento: ' + str(doc_tipo), registro)
            return False
    return tipo_id

def gravar_documentos( cr, pessoa_id, tipo_id, numero ):
    args = ["pessoa_id = '%s'" % pessoa_id, "tipo_id = '%s'" % tipo_id] #query clause
    ids =  lerSQL(cr, 'adm_pessoa_documento_dados', args )
    nIds = []
    for x in ids:
        nIds.append(ids[0]['id'])
    ids = nIds
    _numero = ''
    for x in numero:
        if ord(x) < 127 and ord(x) != 92:
            _numero += x
    values = {
        'pessoa_id': pessoa_id,
        'tipo_id': tipo_id,
        'numero': _numero,
    } #data to update / create
    try:
        if ids:
            result =  alterarSQL(cr, 'adm_pessoa_documento_dados', ids, values )
        else:
            result =  inserirSQL(cr, 'adm_pessoa_documento_dados', values )
    except:
        gravarLog( 'na atualizacao de documentos da pessoa! ' + str( values ), registro)

def reg_pais( cr, codPais, nomePais ):
    args = ["name ilike '%s'" % nomePais] #query clause
    ids =  lerSQL(cr, 'adm_pais', args )
    if ids:
        pais_id = ids[0]['id']
    else:
        pais = {'name':nomePais, 'codigo_bc':codPais}
        try:
            pais_id =  inserirSQL(cr, 'adm_pais', pais )
        except:
            gravarLog( 'criando pais: ' + str( pais ), registro)
            return False
    return pais_id

def reg_uf( cr, sigla, pais_id ):
    args = ["sigla = '%s'" % sigla, "pais_id = '%s'" % pais_id] #query clause
    ids =  lerSQL(cr, 'adm_uf', args )
    if ids:
        uf_id = ids[0]['id']
    else:
        from SigUtils import uf
        a = uf.Uf( sigla )
        try:
            _nome_uf = capitalize_all( a.getDescricao() )
        except:
            return False
        if not _nome_uf:
            return False
        uf = {'sigla':sigla, 'pais_id':pais_id, 'name':_nome_uf}
        try:
            uf_id =  inserirSQL(cr, 'adm_uf', uf )
        except:
            gravarLog( 'criando UF:' + str( uf ), registro)
            return False
    return uf_id

def reg_cidade( cr, codigo_ibge, nome_cidade,  uf_id, sigla ):
    if len(nome_cidade) < 5:
          return False
    if nome_cidade == 'Araai':
        nome_cidade = 'Aracai'
    if nome_cidade == 'Baldin':
        nome_cidade = 'Baldim'
    if nome_cidade[:6] == 'Belo H' or nome_cidade[:2] == 'B.' or nome_cidade[:6] in ('B Hori', 'Helo H', 'Bwelo ',):
        nome_cidade = 'Belo Horizonte'
    if nome_cidade == 'Brasilan.minas' or nome_cidade == 'Brazilia De Minas' or (nome_cidade == 'Brasilia' and sigla == 'MG'):
        nome_cidade = 'Brasilia De Minas'
    if nome_cidade[:7] == 'Cach.da' or nome_cidade[:7] == 'Cach Da' or nome_cidade[:8] == 'Cach. Da' or nome_cidade[:10] in ('Cachoeiora', 'Cachoeiera') or nome_cidade in ('Cachoeira Da Prato', 'Cachoeira Prata', 'Ca Da Prata', 'C.da Prata', 'C Da Prata', 'Cachoeira', 'Cachoira Da Prata', 'Cha Prata', 'Ch.da Prata', 'Cachoeria Da Prata'):
        nome_cidade = 'Cachoeira Da Prata'
    if nome_cidade == 'Caetanapolis' or nome_cidade == 'Caetanoplis':
        nome_cidade = 'Caetanopolis'
    if nome_cidade in ('Cerdisburgo', 'Codisburgo', 'Codisbrugo', 'Cosdisburgo') or nome_cidade[:6]=='Cordis':
        nome_cidade = 'Cordisburgo'
    if nome_cidade in ( 'Divinapolis','Divinpolis'):
        nome_cidade = 'Divinopolis'
    if nome_cidade in ( 'Esmeralda',):
        nome_cidade = 'Esmeraldas'
    if nome_cidade in ( 'Farropilha'):
        nome_cidade = 'Farroupilha'
    if nome_cidade in ( 'Felixlandia', 'Fexlandia', 'Fexlandia'):
        nome_cidade = 'Felislandia'
    if nome_cidade[:6] in ( 'Ferraz'):
        nome_cidade = 'Ferraz De Vasconcelos'
    if nome_cidade in ( 'Fortuna','Fortunas De Minas'):
        nome_cidade = 'Fortuna De Minas'
    if nome_cidade == 'Inhuma':
        nome_cidade = 'Inhauma'
    if nome_cidade in ( 'Jaboticatuva','Jaboticatuba'):
        nome_cidade = 'Jaboticatubas'
    if nome_cidade in ( 'Jeauitiba', 'Jequetiba', 'Jequiba', 'Jequitia', 'Jewuitiba', 'Jquitiba'):
        nome_cidade = 'Jequitiba'
    if nome_cidade in ( 'J.de Fora',):
        nome_cidade = 'Juiz De Fora'
    if nome_cidade in ( 'Joinville Sc',):
        nome_cidade = 'Joinville'
    if nome_cidade in ( 'L.santa',):
        nome_cidade = 'Lagoa Santa'
    if nome_cidade in ( 'Luziana',):
        nome_cidade = 'Luziania'
    if nome_cidade in ( 'Matozinhoss',):
        nome_cidade = 'Matozinhos'
    if nome_cidade in ( 'M.claros', 'Montes Claro'):
        nome_cidade = 'Montes Claros'
    if nome_cidade in ( 'Montrreal',):
        nome_cidade = 'Montreal'
    if nome_cidade in ( 'Morada Nova',):
        nome_cidade = 'Morada Nova De Minas'
    if nome_cidade in ( 'Papagaio',):
        nome_cidade = 'Papagaios'
    if nome_cidade in ( 'Paraobepa','Paraopepa'):
        nome_cidade = 'Paraopeba'
    if nome_cidade in ( 'Para Minas',):
        nome_cidade = 'Para De Minas'
    if nome_cidade in ( 'P. De Moraes', 'P-de Morais', 'P.de Morais', 'P Moraes', 'P.morais', 'Pridente De Morais', 'Prrudente De Morais', 'Prude.de Morais', 'Prud. De Morais', 'Pru.de Moraes', 'Pru. De Morais', 'Prudente De Moaris', 'Prudente De Moraes', 'Prudente D.moraes', 'Prudente Moraes', 'Prudente Morais', 'Prud Moraes', 'Prud. Moraes', 'Prud. Morais'):
        nome_cidade = 'Prudente De Morais'
    if nome_cidade in ( 'P.leopoldo', 'P.leopolso'):
        nome_cidade = 'Pedro Leopoldo'
    if nome_cidade in ( 'Pocos De Calda', 'Pocos De Caldass', 'Poos De Caldas'):
        nome_cidade = 'Pocos De Caldas'
    if nome_cidade in ( '.porto Alegre',):
        nome_cidade = 'Porto Alegre'
    if nome_cidade in ( 'Ribeirao Des Neves',):
        nome_cidade = 'Ribeirao Das Neves'
    if nome_cidade in ( 'Saubara'):
        nome_cidade = 'Sabara'
    if nome_cidade in ( 'Santana Do Pirapama', 'Santana Pirapama', 'Santan De Pirapama', 'Santan Pirapama', 'Sant.de Pirapama', 'Sant. De Pirapama', 'Satana De Pirapama', 'Satana Pirapama', 'S.de Pirapama', 'S Pirapama', 'Sta Pirapama', 'Sta De Pirapama', 'St De Pirapama', 'Pirapama'):
        nome_cidade = 'Santana De Pirapama'
    if nome_cidade in ( 'S.b.campo'):
        nome_cidade = 'Sao Bernardo Do Campo'
    if nome_cidade in ( 'So Bento Do Sul'):
        nome_cidade = 'Sao Bento Do Sul'
    if nome_cidade in ( 'Sao Vicente Baldim', 'Sao Vicente / Baldim', 'Sao Vicente De Minas'):
        nome_cidade = 'Sao Vicente'
    if nome_cidade[1:5] == 'sete' or nome_cidade[:3] in ('See',) or nome_cidade[:4] in ('Sset', 'Dete', 'Aete', 'Sate', 'Sere', 'Seta', 'Sete', 'Set ', 'Sety', 'Seyt', 'Ste ', 'Sets','Stee') or nome_cidade in ('Este Lagoas', '.ete Lagoas', 'Ete Lagoas', 'Faz.velha 7lagoas', 'Serte Lagoas', 'Seste Lagoas','Slagoas', 'S/lagoas', 'S.lagoas', 'S Lagoas', 'Lagoas', 'Algoas') :
        nome_cidade = 'Sete Lagoas'
    if nome_cidade in ( 'So Paulo'):
        nome_cidade = 'Sao Paulo'
    if nome_cidade in ( 'Susano'):
        nome_cidade = 'Suzano'
    if nome_cidade in ( 'Tres Maria'):
        nome_cidade = 'Tres Marias'
    if nome_cidade in ( 'Vargem Gde. Paulista'):
        nome_cidade = 'Vargem Grande Paulis'
    args = ["name ilike '%s'" % nome_cidade, "uf_id  = '%s'" % uf_id] #query clause
    ids =  lerSQL(cr, 'adm_cidade', args )
    if not codigo_ibge.isdigit():
        codigo_ibge = '0'
    if ids:
        cidade_id = ids[0]['id']
    else:
        cidade = {'uf_id':uf_id, 'name':nome_cidade, 'codigo_ibge':codigo_ibge}
        try:
            cidade_id =  inserirSQL(cr, 'adm_cidade', cidade )
        except:
            gravarLog('Criando cidade: ' + str( cidade ), registro)
            return False
    return cidade_id

def reg_bairro( cr, nome_bairro ):
    if len(nome_bairro) < 5:
        return False
    args = [ "name ilike '%s'" % nome_bairro ] #query clause
    ids =  lerSQL(cr, 'adm_bairro', args )
    if ids:
        bairro_id = ids[0]['id']
    else:
        bairro = { 'name':nome_bairro}
        try:
            bairro_id =  inserirSQL(cr,'adm_bairro', bairro )
        except:
            gravarLog('criando bairro:' + str(bairro), registro)
            return False
    return bairro_id

def reg_logradouro( nomeRua ):
    def acha_titulo( endereco ):
        _endereco = endereco.upper()
        dic_titulo = {'RUA':'Rua', 'R':'Rua',
                    'ROD':'Rodovia',
                    'TR':'Travessa',
                    'PC':u'Praca', 'PRACA':u'Praca',
                    'BECO':'Beco', 'BC':'Beco',
                    'AV': 'Avenida'
                    }
        _pos = 0
        _tit = ''
        _end = ''
        for x in dic_titulo:
            _tam = len( x )
            if _endereco[:_tam] == x:
                _pos = _tam
                _fim = _tam
                _tit = dic_titulo[x]
                break
        if _pos == 0:
            _end = endereco.strip()
        else:
            a = endereco[_pos:]
            _fim = _pos
            for x in a:
                _fim = _fim + 1
                if x in ' .-/:;=':
                    break
            _end = endereco[_fim:]
            _end = _end.strip()
            if _end[:1] == '.' or _end[:1] == ',' or _end[:1] == ';' or _end[:1] == ':':
                _end = _end[1:]
                _end = _end.strip()
        a = [_tit, _end]
        return a
    if len(nomeRua) < 3:
        return False
    if nomeRua.lower() == 'o mesmo':
        return False
    _tit, nomeRua = acha_titulo( nomeRua )
    args = [" descricao = '%s'" % nomeRua, "titulo = '%s'" % _tit ] #query clause
    ids =  lerSQL(cr, 'adm_logradouro', args )
    if ids:
        logradouro_id = ids[0]['id']
    else:
        logradouro = { 'descricao':nomeRua, 'titulo':_tit}
        try:
            logradouro_id =  inserirSQL(cr, 'adm_logradouro', logradouro )
        except:
            gravarLog('criando logradouro:' + str( logradouro ), registro)
            return False
    return logradouro_id

def reg_endereco_tipo( cr, tipo ):
    args = [ "name = '%s'" % tipo ] #query clause
    ids =  lerSQL(cr, 'adm_endereco_tipo', args )
    if ids:
        tipo_id = ids[0]['id']
    else:
        end_tipo = {'name':tipo, 'bloqueio':True}
        try:
            tipo_id =  inserirSQL(cr, 'adm_endereco_tipo', end_tipo )
        except:
            gravarLog( 'criando tipo de endereco:'  + str( end_tipo ), registro)
            return False
    return tipo_id

def reg_endereco( cr, endereco_nro, cep, pessoa_id, tipo_id, pais_id, uf_id, cidade_id, bairro_id, logradouro_id, dados):
    args = [ "pessoa_id = '%s'" % pessoa_id, "endereco_tipo_id = '%s'" % tipo_id ] #query clause
    ids =  lerSQL(cr, 'adm_pessoa_endereco', args )
    if ids:
        endereco_id = ids[0]['id']
    else:
        import re
        try:
            _numero = int( re.sub( '[^0-9]', '', endereco_nro ) )
        except:
            _numero = 0
        _complemento = re.sub( '[^A-Z]', '', endereco_nro.upper() )
        if _numero > 999910:
            if _complemento == '':
                _complemento = str(_numero)
                _numero = ''
            else:
                _numero = int(str(_numero)[:5])
        endereco = {
                   'pessoa_id':pessoa_id,
                   'numero':_numero,
                   'complemento':_complemento,
                   'active' : True,
                   }
        if pais_id:
            endereco['pais_id'] = pais_id
        if uf_id:
            endereco['uf_id'] = uf_id
        if cidade_id:
            endereco['cidade_id'] = cidade_id
        if bairro_id:
            endereco['bairro_id'] = bairro_id
        if tipo_id:
            endereco['endereco_tipo_id'] = tipo_id

        if logradouro_id:
            endereco['logradouro_id']= logradouro_id
        if  cep != '00000000':
            endereco['cep'] = cep
        try:
            endereco_id =  inserirSQL(cr,'adm_pessoa_endereco', endereco )
           #Verificar se modulo fiscal está instalado
            idsModulo = lerSQL(cr, 'ir_module_module', ["name = 'fiscal'"])
            _fiscalInstalado = False
            if idsModulo:
                _regModulo = idsModulo[0]['state']
                if _regModulo == 'installed':
                    _fiscalInstalado = True
            if _fiscalInstalado:
                alterarSQL(cr, 'adm_pessoa', pessoa_id, {'endereco_nf_id': endereco_id})
        except Exception as e:
            gravarLog('criando endereco:' +str( endereco) + '   Erro:' + str(e), registro)
            return False
    return endereco_id

def reg_pes_dependente( cr, nome, fis_jur ):
    args = [ "nome = '%s'"% nome, "pessoa_tipo = '%s'" % fis_jur ] #query clause
    ids =  lerSQL(cr,'adm_pessoa', args )
    if ids:
        dep_id = ids[0]['id']
    else:
        pessoa = {'nome':nome,
           'pessoa_tipo':fis_jur,
           }
        try:
            partner_id = inserirSQL(cr, 'res_partner', {'name':nome, 'notification_email_send':'comment'})
            pessoa['partner_id'] = partner_id
            regCodigo = lerSQL(cr, 'ir_sequence', ["code = 'pessoa.codigo'"])
            pessoa['codigo'] = regCodigo[0]['number_next']
            codigo = int(regCodigo[0]['number_next']) + 1
            alterarSQL(cr, 'ir_sequence', regCodigo[0]['id'], {'number_next':codigo})
            dep_id =  inserirSQL(cr,'adm_pessoa', pessoa )
        except:
            gravarLog('criando Dependente:' + str( pessoa ), registro)
            return False
    return dep_id

def reg_relacionamento_tipo( cr, titularidade, fis_jur ):
    if titularidade == 'Pai' or titularidade == 'Mae':
        args = [ "sigla = '%s'" % 'PM', "pessoa_tipo = '%s'" % fis_jur ] #query clause
    else:
        args = [ "name = '%s'" % titularidade, "pessoa_tipo = '%s'" % fis_jur ] #query clause
    ids =  lerSQL(cr,'adm_relacionamento_tipo', args )
    if ids:
       titul_id = ids[0]['id']
    else:
        titul = {'name':titularidade,
                'pessoa_tipo':fis_jur,
           }
        try:
            titul_id =  inserirSQL(cr,'adm_relacionamento_tipo', titul )
        except:
            gerarLog ( 'Erro na criacao do tipo de relacionamento:' + str( titul))
            return False
    return titul_id

def reg_dependente( cr, pessoa, titu, dependente ):
    try:
        objInverso =  lerSQL(cr,'adm_relacionamento_tipo', ["id = '%s'" % titu], ['relacionamento_inverso_id'] )
        inverso_id = objInverso[0]['relacionamento_inverso_id']
    except:
        gerarLog( 'Erro recuperando o inverso:' + str( objInverso))
        inverso_id = False
    args = ["dependente_id = '%s'" % dependente,
            "relacionamento_tipo_id = '%s'" % titu,
            "pessoa_id = '%s'" % pessoa] #query clause
    ids =  lerSQL(cr,'adm_pessoa_relacionamento', args )
    if ids:
        dep_id = ids[0]['id']
    else:
        depend = {'dependente_id':dependente,
                  'relacionamento_tipo_id':titu,
                  'pessoa_id': pessoa
                 }
        try:
            dep_id =  inserirSQL(cr,'adm_pessoa_relacionamento', depend )
        except:
            gerarLog( 'Erro criando relacionamento(dependente):' + str( depend ))
            return False
    return dep_id

def reg_email_tipo( cr, tipo ):
    args = [ "name = '%s'" % tipo ] #query clause
    ids =  lerSQL(cr,'adm_email_tipo', args )
    if ids:
        email_tipo_id = ids[0]['id']
    else:
        email_tipo = {'name':tipo,
                'bloqueio':True,
           }
        try:
            email_tipo_id =  inserirSQL(cr,'adm_email_tipo', email_tipo )
        except:
            gravarLog( 'criando tipo de email:'  + str( email_tipo), registro)
            return False
    return email_tipo_id

def reg_email( cr, email, email_tipo_id, pessoa_id ):
    args = [ "name = '%s'" % email, "pessoa_id = '%s'" % pessoa_id ] #query clause
    ids =  lerSQL(cr, 'adm_pessoa_email', args )
    if ids:
        email_id = ids[0]['id']
    else:
        dados_email = {'name':email,
                      'pessoa_id':pessoa_id,
                      'email_tipo_id': email_tipo_id,
           }
        try:
            email_id =  inserirSQL(cr, 'adm_pessoa_email', dados_email )
        except:
            gravarLog( 'criando email:' + str( dados_email), registro)
            return False
    return email_id

def reg_telefone_tipo( cr, tipo ):
    args = [ "name = '%s'" % tipo ] #query clause
    ids =  lerSQL(cr, 'adm_telefone_tipo', args )
    if ids:
        telefone_tipo_id = ids[0]['id']
    else:
        telefone_tipo = {'name':tipo,
                        'bloqueio':True,
           }
        try:
            telefone_tipo_id =  inserirSQL(cr, 'adm_telefone_tipo', telefone_tipo )
        except:
            gravarLog( 'criando tipo de telefone:' + str( telefone_tipo ), registro)
            return False
    return telefone_tipo_id

def reg_telefone( cr, telefone, telefone_tipo_id, pessoa_id ):
    def acha_ddd_telefone( telefone ):
        _ddd = ''
        _telefone = ''
        if len( telefone ) < 10:
            _telefone = telefone
        else:
            posI = telefone.find( '(' ) # ddd entre (  )
            if posI != -1:
               posF = telefone.find( ')' )
               if posF > posI:
                  _ddd = telefone[posI + 1:posF]
                  _telefone = telefone[posF + 1:].strip()
            else:
               posF = telefone.find( ' ' ) # ddd separado por espaco
               if posF != -1 and posF < 4:
                  _ddd = telefone[:posF].strip()
                  _telefone = telefone[posF + 1:].strip()
               else:
                   posF = telefone.find( '-' ) # ddd separado por "-"
                   if posF != -1 and posF < 4:
                      _ddd = telefone[:posF].strip()
                      _telefone = telefone[posF + 1:].strip()
                   else:
                      posF = telefone.find( ')' ) # ddd separado por "-"
                      if posF != -1 and posF < 5:
                         _ddd = telefone[:posF].strip()
                         _telefone = telefone[posF + 1:].strip()
                      else:
                          if len( telefone ) > 25:
                             _ddd = telefone[:len( telefone ) - 1].strip()
                             _telefone = telefone[len( telefone ) - 25:].strip()
        return _ddd, _telefone
    if telefone.upper() == 'NAO TEM':
       return False
    ddd, telefone = acha_ddd_telefone( telefone )
    ddd = re.sub('[^0-9]', '', ddd)
    try:
       a = int(ddd)
       if a == 0:
          ddd = ''
       else:
          ddd = '%03d' % a
    except:
       pass
    telefone = re.sub('[^0-9]', '', telefone)
    try:
       a=int(telefone)
       if a == 0:
          telefone=''
    except:
       pass
    if ((telefone == '') or (len(telefone) < 4)):
        return False
    args = [ "numero = '%s'" % telefone, "pessoa_id = '%s'" % pessoa_id ] #query clause
    ids =  lerSQL(cr,'adm_pessoa_telefone', args )
    if ids:
       telefone_id = ids[0]['id']
    else:
       dados_telefone = {'numero':telefone,
                      'ddd': ddd,
                      'pessoa_id':pessoa_id,
                      'telefone_tipo_id': telefone_tipo_id,
           }
       try:
          telefone_id =  inserirSQL(cr, 'adm_pessoa_telefone', dados_telefone )
       except:
           gravarLog( 'Criando telefone:' + str(dados_telefone), registro)
           return False
    return telefone_id

def reg_cliente( cr, dados, pessoa_id ):
    args = [ "pessoa_id = '%s'" % pessoa_id, "company_id = %s" % company_id_c ] #query clause
    ids =  lerSQL(cr,'financeiro_cliente', args )
    if ids:
       cliente_id = ids[0]['id']
    else:
        if dados['condPgto'] == '000000000':
            _condicoes = ''
        else:
            _condicoes = dados['condPgto']
        cliente = {
                  'pessoa_id' : pessoa_id,
                  'company_id' : company_id_c,
                  'limite_credito' : dados['limCredito'],
                  'active' : dados['ativo'],
                  }
        if dados['dataInclusao'] == '0000-00-00':
           _data = datas.hoje
        else:
           _data = dados['dataInclusao']
        cliente['data_inclusao'] = _data
        #Verificar se modulo fidelidade está instalado
        idsModulo = lerSQL(cr, 'ir_module_module', ["name = 'fidelidade'"])
        _fidelidadeInstalado = False
        if idsModulo:
            _regModulo = idsModulo[0]['state']
            if _regModulo == 'installed':
                _fidelidadeInstalado = True
        if _fidelidadeInstalado:
           if dados['diaMesBonus']:
              cliente['dia_mes_vencimento_pontos'] = dados['diaMesBonus']
           cliente['codigo_fidelidade'] = dados['codigoFidelidade']
        try:
           cliente_id =  inserirSQL(cr,'financeiro_cliente', cliente )
        except:
            gravarLog( 'na inclusao de clientes:' + str( cliente), registro)
            return False
    return cliente_id

def reg_categoria_tipo( cr, tipo ):
    _tipo = tipo.upper()
    args = [ "name = '%s'" % _tipo ] #query clause
    ids =  lerSQL(cr,'adm_pessoa_categoria_nome', args )
    if ids:
       categoria_tipo_id = ids[0]['id']
    else:
       categoria_tipo = {'name':_tipo,
           }
       try:
          categoria_tipo_id =  inserirSQL(cr,'adm_pessoa_categoria_nome', categoria_tipo )
       except:
           gravarLog( 'na criacao do tipo de categoria:' + str( categoria_tipo), registro)
           return False
    return categoria_tipo_id

def reg_categoria_pessoa( cr, categoria_id, pessoa_id ):
    #categoria = {'categoria_ids': [(6,0,[categoria_id])] }
    args = [ "pessoa_id = '%s'" % pessoa_id, "categoria_id = '%s'" % categoria_id]
    reg = lerSQL(cr, 'pessoa_categoria', args)
    if not reg:
       categoria = {'pessoa_id': pessoa_id, 'categoria_id' : categoria_id }
       result =  inserirSQL(cr,'pessoa_categoria', categoria)
       return result
    return True
def reg_natureza_cobranca( cr, natureza, nat_fluxo ):
    args = [ "name = '%s'" % natureza.lower().capitalize() ] #query clause
    ids =  lerSQL(cr,'financeiro_natureza_cobranca', args )
    if ids:
        natureza_id = ids[0]['id']
    else:
        if nat_fluxo == 'S':
            _nat_fluxo = True
        else:
            _nat_fluxo = False
        natureza = {'name':natureza.lower().capitalize(),
                'entra_no_fluxo_caixa':_nat_fluxo,
           }
        try:
           natureza_id =  inserirSQL(cr,'financeiro_natureza_cobranca', natureza )
        except:
            gravarLog('na criacao da natureza de cobranca:' + str( natureza),  registro)
            return False
    return natureza_id

def reg_mensagem_tipo( cr, cod, tipo, nor_bloq ):
    _tipo = tipo.upper()
    args = [ "name = '%s'" % _tipo ] #query clause
    ids =  lerSQL(cr,'financeiro_clientes_mensagem_nome', args )
    if ids:
       mensagem_tipo_id = ids[0]['id']
    else:
       mensagem_tipo = {'codigo' : cod,
                        'name':_tipo,
                        'tipo_mensagem':nor_bloq,
           }
       try:
          mensagem_tipo_id =  inserirSQL(cr,'financeiro_clientes_mensagem_nome', mensagem_tipo )
       except:
           gravarLog( 'na criacao do tipo de mensagem: ' + str( mensagem_tipo), registro)
           return False
    return mensagem_tipo_id

def reg_mensagem_pessoa( cr, mensagem_id, cliente_id, data ):
    args = [ "mensagens_id = '%s'" % mensagem_id, "cliente_id = '%s'" % cliente_id ] #query clause
    ids =  lerSQL(cr,'financeiro_clientes_mensagem', args )
    if ids:
       mensagem_id = ids[0]['id']
    else:
       mensagem = {'mensagens_id':mensagem_id,
                   'cliente_id':cliente_id,
                   'modo_exibicao' : 'I',
           }
       if data == '0000-00-00':
           _data = datas.hoje
       else:
           _data = data
       mensagem['data_inclusao'] = _data
       try:
          mensagem_id =  inserirSQL(cr,'financeiro_clientes_mensagem', mensagem )
       except:
           gravarLog( 'na criacao da mensagem:' + str( mensagem ), registtro)
           return False
    return mensagem_id

def gerarCre01(empresa_legado,operacao, dados):#Clientes
   def get_fonema(string, tamanho_fonema=5):
        def _calc_fonema(nome, _tam):
            nome = nome + '     '
            inicio = ''
            fim = ''
            #Tratar inicio
            if nome[:1] in ('A', 'E', 'I', 'O', 'U'):
                inicio = nome[:1]
                nome = nome[1:]
            else:
                if nome[:2] in ('HA', 'HE', 'HI', 'HO', 'HU'):
                    inicio = nome[1:2]
                    nome = nome[2:]
                else:
                    if nome[:1] == 'H':
                        nome = nome[1:]
                    else:
                        if nome[:3] in ('EX', 'EXE', 'EXI', 'EXO', 'EXHU'):
                            inicio = 'Z'
                            nome = nome[3:]
                # Tratar segunda posicao
            if not inicio:
                if nome[1:2] == 'R' and nome[2] not in ('A', 'E', 'I', 'O', 'U'):
                    nome = nome[:1] + 'R' + nome[3:]
                else:
                    if nome[1:3] in ('EXE', 'EXI', 'EXA', 'EXO', 'EXU'):
                        nome = nome[:1] + 'X' + nome[4:]
            nome = nome.strip()
            # Tratar ultima posicao
            if nome[-1:] == 'C':
                fim = 'K'
                nome = nome[:-1]
            else:
                if nome[-1:] == 'N':
                    fim = 'M'
                    nome = nome[:-1]
                else:
                    if nome[-1:] == 'Z':
                        fim = 'S'
                        nome = nome[:-1]
                    else:
                        if nome[-1:] == 'R':
                            fim = '2'
                            nome = nome[:-1]
                        else:
                            if nome[-1:] == 'X':
                                fim = 'X'
                                nome = nome[:-1]
                # Tratar penultima posicao
            if not fim:
                if nome[-3:-1] == 'EX':
                    nome = nome [:-3] + 'ks' + nome[-1:]


            nome = re.sub('SC[AOU]', 'sk', nome)
            nome = re.sub('C[AOU]', 'k', nome)
            nome = re.sub('SC[EI]', 's', nome)
            nome = re.sub('C[EI]', 's', nome)
            nome = nome.replace('CHR', 'k')
            nome = nome.replace('CH', 'x')
            nome = re.sub('C[^AEIOU]', 'k', nome) # C com consoante
            nome = re.sub('G[AOU]', 'g', nome)
            nome = re.sub('G[EI]', 'j', nome)
            nome = re.sub('GH[^AEIOU]', 'g', nome) # GH com consoante
            nome = nome.replace('LH', '1')
            nome = re.sub('L[AEIOU]', 'l', nome)
            nome = nome.replace('NH', '3')
            nome = nome.replace('PH', 'f')
            nome = nome.replace('Q', 'k')
            nome = nome.replace('RR', '2')
            nome = re.sub('[AEIOU]R[AEIOU]', 'r', nome) # vogal com R com vogal
            nome = re.sub('[^AEIOU]R[AEIOU]', 'r', nome) # consoante com R com vogal
            nome = nome.replace('SS', 's')
            nome = nome.replace('SH', 's')
            nome = nome.replace('TH', 't')
            nome = re.sub('W[AEIOU]', 'v', nome)
            nome = re.sub('W[^AEIOU]', '', nome)
            nome = re.sub('EX[EI]', 'x', nome)
            nome = re.sub('EX[AOU]', 'ks', nome)
            nome = re.sub('[AEIOU][CKGLRX]X', 's', nome)
            nome = re.sub('[DFMNPQSTVZ][AIOU]X', 'ks', nome)
            nome = nome.replace('Y', 'i')
            nome = nome.replace('H', '')
            # translate alpha chars in nome to soundex digits
            nome = nome.strip(' ')
            nome = inicio + nome + fim
            tam = len(nome)
            if tam > _tam:
                nome = nome[:_tam]
            else:
                if tam < _tam:
                    nome = nome + ('0' * (_tam - tam))
            return nome.upper()

        try:
            string = normalize('NFKD', string.decode('utf-8')).encode('ASCII', 'ignore')
        except:
            string = normalize('NFKD', string).encode('ASCII', 'ignore')
        string = string.upper()
        string = string.replace('.', ' ')
        string = string.replace(' DE ', '').replace(' DA ','').replace(' DAS ','').replace(' DO ','').replace(' DOS ','').replace(' E ','').replace(' & ','').replace(' LTDA','')
        snd = ''
        inc = 0
        lst = string.split(' ')
        if lst:
            lst.sort()
        for x in lst:
            if len(x.strip()) < 2: #nao gerar fonema para apenas uma letra
                continue
            snd += _calc_fonema(x, tamanho_fonema)
            inc += 1
            if not inc == len(lst):
                snd += ';'
        return snd

   def reg_pessoa( cr, dados ):
       if dados['tipoPessoa'] == 'J':
          _foto = ''
          _admpes_fis_sexo = ''
          _admpes_fis_estado_civil = ''
          _admpes_fis_data_nascimento = ''
          _tipo = dados['tipoEmpresa']
          if _tipo in ['C', 'S', 'I']:
             _admpes_jur_tipo_atividade = _tipo
          else:
              _admpes_jur_tipo_atividade = ''
          _admpes_jur_tipo_empresa = ''
          if _tipo == 'Y':
             _admpes_jur_tipo_empresa = 'P'
          if _tipo == 'A':
             _admpes_jur_tipo_empresa = 'A'

          _admpes_jur_data_fundacao =dados['dataFundacao']
          if datas.sigDatas(_admpes_jur_data_fundacao).getDataOk() != True:
              _admpes_jur_data_fundacao = ''
          _admpes_jur_suframa = dados['suframa']
          _admpes_jur_regime_tributario = ''

       if dados['tipoPessoa'] == 'F':
          _foto = ''
          _admpes_fis_sexo = dados['sexo']
          _admpes_fis_estado_civil = ''
          _admpes_fis_data_nascimento = dados['dataNascimento']
          if datas.sigDatas(_admpes_fis_data_nascimento).getDataOk() != True:
           _admpes_fis_data_nascimento = ''
          _admpes_jur_data_fundacao =''
          _admpes_jur_tipo_empresa = ''
          _admpes_jur_suframa = ''
          _admpes_jur_regime_tributario = ''
          _admpes_jur_tipo_atividade = ''
          _admpes_jur_tipo_empresa = ''
       if len(dados['cnpjCpf']) > 6:
          _regPessoa=lerSQL(cr, 'adm_pessoa', ["cpf_cnpj = '%s'" % dados['cnpjCpf']])
          if _regPessoa:
             pessoa_id=_regPessoa[0]['id']
             return pessoa_id
       else:
          _regPessoa=lerSQL(cr, 'adm_pessoa', ["nome = '%s' and pessoa_tipo = '%s'" % (dados['nome'].upper(), dados['tipoPessoa'])])
          if _regPessoa:
             pessoa_id=_regPessoa[0]['id']
             return pessoa_id

       pessoa = {'nome':dados['nome'].upper(),
          'fantasia_apelido' : dados['fantasiaApelido'],
          'pessoa_tipo':dados['tipoPessoa'],
          'cpf_cnpj': dados['cnpjCpf'],
          'active' : dados['ativo'],
          }
       if dados['tipoPessoa'] == 'J':
          if _admpes_jur_data_fundacao != '':
             pessoa['admpes_jur_data_fundacao'] = _admpes_jur_data_fundacao
          if _admpes_jur_tipo_empresa != '':
             pessoa['admpes_jur_tipo_empresa'] = _admpes_jur_tipo_empresa
          if _admpes_jur_suframa != '':
             pessoa['admpes_jur_suframa'] = _admpes_jur_suframa
          if _admpes_jur_regime_tributario != '':
             pessoa['admpes_jur_regime_tributario'] = _admpes_jur_regime_tributario
          if _admpes_jur_tipo_atividade != '':
             pessoa['admpes_jur_tipo_atividade'] = _admpes_jur_tipo_atividade
          if dados['ie'] != '':
             pessoa['admpes_jur_ie'] = dados['ie']
       else:
          if dados['identidade'] != '':
             pessoa['admpes_fis_rg'] =dados['identidade']
          pessoa['admpes_fis_sexo'] = _admpes_fis_sexo
          if _admpes_fis_data_nascimento != '':
             pessoa['admpes_fis_data_nascimento'] = _admpes_fis_data_nascimento
          pessoa['admpes_fis_produtor_rural'] = dados['produtorRural']
       pessoa['endereco'] = dados['endcli_rua'] + ', ' + dados['endcli_nro']
       logradouro_id = reg_logradouro( dados['endcli_rua'] )
       if logradouro_id:
          _regLogradouro = lerSQL(cr, 'adm_logradouro', ['id = %s' % logradouro_id])
          if _regLogradouro:
             _titulo = _regLogradouro[0]['titulo']
             _nomeRua = _regLogradouro[0]['descricao']
             pessoa['endereco'] = _regLogradouro[0]['titulo'] + ' ' + _regLogradouro[0]['descricao'] + ', ' + dados['endcli_nro']
       pessoa['bairro'] = dados['baicli']
       pessoa['cidade'] = dados['muncli']
       pessoa['uf'] = dados['estcli']
       pessoa['pais'] = dados['nomePais']
       pessoa['cep'] = dados['cepcli']
       pessoa['email'] = dados['email']
       pessoa['observacoes'] = dados['observacoes']
       pessoa['soundex'] = get_fonema(pessoa['nome'] +' ' + pessoa['fantasia_apelido'])
       try:
          partner_id = inserirSQL(cr, 'res_partner', {'name': dados['nome'],'notification_email_send':'comment'})
          pessoa['partner_id'] = partner_id
          regCodigo = lerSQL(cr, 'ir_sequence', ["code = 'pessoa.codigo'"])
          pessoa['codigo'] = regCodigo[0]['number_next']
          codigo = int(regCodigo[0]['number_next']) + 1
          alterarSQL(cr, 'ir_sequence', regCodigo[0]['id'], {'number_next':codigo})
          pessoa_id =  inserirSQL(cr,'adm_pessoa', pessoa )
       except Exception as e:
          gravarLog("gravando Pessoa:" + str( pessoa) + '   Erro: ' + str(e), dados)
          return False
       return pessoa_id

   def acha_numero( endereco ):
        if endereco == '':
           return ['', '']
        _tam = len( endereco )
        _end = endereco
        _nro = ''
        while True:
            _tam = _tam - 1
            if _tam == 0:
                break
            _byte = endereco[_tam:_tam + 1]
            if _byte in (' ', ',', '/', '.', ';', '-'):
                _end = endereco[:_tam].strip()
                if _end[len( _end ) - 1:] == ',':
                    _end = _end[:len( _end ) - 1]
                _nro = endereco[_tam + 1:].strip()
                break
            if (len(endereco)  - _tam) > 5:
               _end = endereco[:-5]
               _nro = endereco[-5:]
               break
        return [_end, _nro]

   if not(operacao in ('w', 'r')):
      cr.connection.commit()
      return True

   try:
       listaDados = dados.replace('#',' ').split('*|*')
       dados = {}
       dados['cliente'] = listaDados[0]
       dados['dataInclusao'] = datas.sigDatas(listaDados[1]).getDataNoFormato('I', 'S', '-')
       dados['nome'] = retira_acentos(listaDados[2].strip().upper())
       if len(dados['nome']) < 5:
          gravarLog( 'nome de cliente menor que t bytes:' + str(dados['nome']), dados)
          cr.connection.rollback()
          return False
       if dados['nome'][:3] == 'AAA':
          gravarLog( 'nome de cliente igual a AAA:' + str(dados['nome']), dados)
          cr.connection.rollback()
          return False
       dados['fantasiaApelido'] = retira_acentos(listaDados[3].strip())
       dados['codigoFidelidade']= listaDados[4]
       try:
          if int(dados['codigoFidelidade']) == 0:
             dados['codigoFidelidade']=''
       except:
          pass
       dados['endcli']=retira_acentos(capitalize_all(listaDados[5].strip().replace(']','').replace('[','').replace('\\','').replace(';',',')))
       dados['baicli']=retira_acentos(capitalize_all(listaDados[6].strip().replace(']','').replace('[','').replace('\\','')))
       dados['muncli']=retira_acentos(capitalize_all(listaDados[7].strip().replace(']','').replace('[','').replace('\\','')))
       dados['estcli']=listaDados[8].strip().upper()
       dados['cepcli'] = listaDados[9]
       dados['endcob']=retira_acentos(capitalize_all(listaDados[10].strip().replace(']','').replace('[','').replace('\\','').replace(';',',')))
       dados['baicob']=retira_acentos(capitalize_all(listaDados[11].strip().replace(']','').replace('[','').replace('\\','')))
       dados['muncob']=retira_acentos(capitalize_all(listaDados[12].strip().replace(']','').replace('[','').replace('\\','')))
       dados['estcob']=listaDados[13].strip().upper()
       dados['cepcob'] = listaDados[14]
       dados['codPais'] = listaDados[15]
       dados['nomePais'] = listaDados[16].upper().strip()
       dados['codMunCli'] = listaDados[17]
       dados['codMunCob'] = listaDados[18]
       dados['suframa'] = listaDados[19].strip()
       dados['grupo1'] = listaDados[20]
       dados['grupo1Nome'] = listaDados[21].strip()
       dados['grupo2'] = listaDados[22]
       dados['grupo2Nome'] = listaDados[23].strip()
       dados['vendedor'] = listaDados[24]
       dados['telefone'] = listaDados[25].strip()
       dados['fax'] = listaDados[26].strip()
       dados['celular'] = listaDados[27].strip()
       dados['limCredito'] = (listaDados[28][:10]+'.'+listaDados[28][10:]).replace(' ','0')
       dados['dataUltCompra'] = datas.sigDatas(listaDados[29]).getDataNoFormato('I', 'S', '-')
       dados['pagExtrato'] = listaDados[30]
       dados['condPgto'] = listaDados[31]
       dados['tipoPrazo'] = listaDados[32].strip()
       dados['codMensagem'] = listaDados[33]
       dados['mensagem']=listaDados[34].strip()
       dados['dataMensagem'] = datas.sigDatas(listaDados[35]).getDataNoFormato('I', 'S', '-')
       dados['produtorRural'] = listaDados[36]
       if dados['produtorRural']  in ('Y', 'S'):
          dados['produtorRural'] = True
       else:
          dados['produtorRural'] = False
       dados['tipoPessoa'] = listaDados[37]
       dados['cnpjCpf'] = listaDados[38]
       if dados['tipoPessoa'] != 'F' and dados['tipoPessoa'] != 'J':
          dados['tipoPessoa'] = 'F'
       dados['cnpjCpf'] = formata_cpf_cnpj( dados['cnpjCpf'], dados['tipoPessoa'] )
       if dados['tipoPessoa'] == 'F':
          dados['identidade'] = listaDados[39].strip()
          dados['dataNascimento'] = datas.sigDatas(listaDados[40]).getDataNoFormato('I', 'S', '-')
          dados['pai'] = retira_acentos(listaDados[41].strip().upper())
          dados['mae'] = retira_acentos(listaDados[42].strip().upper())
          dados['conjuge'] = retira_acentos(listaDados[43].strip().upper())
          dados['telefoneCom'] = listaDados[45].strip()
          dados['sexo'] = listaDados[46]
          if dados['sexo'] == 'M' or dados['sexo'] == 'F':
             _sexo = dados['sexo']
          else:
             _sexo = ''
       else:
          dados['ie'] = listaDados[39].strip()
          dados['dataFundacao'] = datas.sigDatas(listaDados[40]).getDataNoFormato('I', 'S', '-')
          dados['contato1'] = retira_acentos(listaDados[41].strip().upper())
          dados['contato2'] = retira_acentos(listaDados[42].strip().upper())
          dados['contato3'] =retira_acentos(listaDados[43].strip().upper())
          dados['tipoEmpresa'] = listaDados[44].strip()
       dados['ativo'] = listaDados[47]
       if dados['ativo'] == 'N':
          dados['ativo'] = False
       else:
          dados['ativo'] = True
       dados['tabelaCorrecao'] = listaDados[48].strip()
       dados['diaMesBonus'] = listaDados[49]
       try:
          a=int(dados['diaMesBonus'])
       except:
          dados['diaMesBonus']= False
       dados['pisDeduzir'] = listaDados[50][:1]+'.'+listaDados[50][1:]
       dados['cofinsDeduzir'] = listaDados[51][:1]+'.'+listaDados[51][1:]
       dados['contaCtb'] = listaDados[52]
       dados['observacoes'] = ''
       dados['email'] = listaDados[53].strip()
       if not email.validar_email(dados['email']):
          dados['observacoes'] = dados['email'].strip()
          dados['email']=''
       dados['emailCelular'] = listaDados[54].strip()
       if not email.validar_email(dados['emailCelular']):
          dados['observacoes'] = dados['observacoes'] + dados['emailCelular'].strip()
          dados['emailCelular'] = ''
       dados['observacoes'] = retira_acentos(dados['observacoes'])
       dados['endcli_rua'], dados['endcli_nro'] = acha_numero( dados['endcli'] )
       dados['endcob_rua'], dados['endcob_nro'] = acha_numero( dados['endcob'] )
       if len(dados['cnpjCpf']) > 6:
           _regPessoa=lerSQL(cr, 'adm_pessoa', ["cpf_cnpj = '%s'" % dados['cnpjCpf']])
       else:
           _regPessoa=lerSQL(cr, 'adm_pessoa', ["nome = '%s' and pessoa_tipo = '%s'" % (dados['nome'].upper(), dados['tipoPessoa'])])
       if _regPessoa:
           pessoa_id = _regPessoa[0]['id']
           cliente_id = reg_cliente( cr, dados, pessoa_id )
           legado = lerLegado(cr, 1,  dados['cliente'], 'cre01')
           if not legado:
               vals = {
                   'empresa' : 1,
                   'tabela_legado' : 'cre01',
                   'chave_legado' : dados['cliente'],
                   'chave_sigerp': pessoa_id,
                   }
               try:
                   idLegado =  inserirSQL(cr,'legado_controle', vals)
               except:
                   gravarLog( 'erro na criacao do controle:' + str(vals), dados)
           cr.connection.commit()
           return True

       pessoa_id = reg_pessoa( cr, dados )
       if not pessoa_id:
          gravarLog( 'Nao consegui inserir pessoa:' + str(dados), dados)
          cr.connection.rollback()
          return False

       legado = lerLegado(cr, '1',  dados['cliente'], 'cre01')
       if not legado:
          vals = {
               'empresa' : '1',
               'tabela_legado' : 'cre01',
               'chave_legado' : dados['cliente'],
               'chave_sigerp': pessoa_id,
               }
          try:
             idLegado =  inserirSQL(cr,'legado_controle', vals)
          except:
             gravarLog( 'na criacao do controle:' + str(vals), dados)
       if dados['tipoPessoa'] == 'F':
          if str( dados['pai'] ).__len__() > 10:
             pai_id = reg_pes_dependente( cr, dados['pai'], 'F' )
             titul_id = reg_relacionamento_tipo( cr, 'Pai', 'F' )
             if titul_id:
                dep_id = reg_dependente( cr, pessoa_id, titul_id, pai_id )
          if str( dados['mae'] ).__len__() > 10:
             pai_id = reg_pes_dependente( cr, dados['mae'], 'F' )
             titul_id = reg_relacionamento_tipo( cr, 'Mae', 'F' )
             if titul_id:
                dep_id = reg_dependente( cr, pessoa_id, titul_id, pai_id )
          if str( dados['conjuge'] ).__len__() > 10:
             if dados['sexo'] == 'M':
                conjuge = 'Esposa'
             else:
                conjuge = 'Marido'
             pai_id = reg_pes_dependente( cr, dados['conjuge'], 'F' )
             titul_id = reg_relacionamento_tipo( cr, conjuge, 'F' )
             if titul_id:
                dep_id = reg_dependente( cr, pessoa_id, titul_id, pai_id )
       else:
          if dados['contato1'] != '':
             pai_id = reg_pes_dependente( cr, dados['contato1'], 'F' )
             titul_id = reg_relacionamento_tipo( cr, 'Contato', 'J' )
             if titul_id:
                dep_id = reg_dependente( cr, pessoa_id, titul_id, pai_id )
          if dados['contato2'] != '':
             pai_id = reg_pes_dependente( cr, dados['contato2'], 'F' )
             titul_id = reg_relacionamento_tipo( cr, 'Contato', 'J' )
             if titul_id:
                dep_id = reg_dependente( cr, pessoa_id, titul_id, pai_id )
          if dados['contato3'] != '':
             pai_id = reg_pes_dependente( cr, dados['contato3'], 'F' )
             titul_id = reg_relacionamento_tipo( cr, 'Contato', 'J' )
             if titul_id:
                dep_id = reg_dependente( cr, pessoa_id, titul_id, pai_id )

       pais_id = reg_pais(cr, dados['codPais'], dados['nomePais'])
       uf_id = reg_uf( cr, dados['estcli'], pais_id )
       if not uf_id:
           gravarLog( 'Nao consegui registrar a UF(estcli):', dados)
           cr.connection.rollback()
           return False
       cidade_id = reg_cidade( cr, dados['codMunCli'], dados['muncli'], uf_id, dados['estcli'])
       bairro_id = reg_bairro( cr, dados['baicli'] )
       logradouro_id = reg_logradouro( dados['endcli_rua'] )
       tipo_id = reg_endereco_tipo( cr, 'Normal' )
       endereco_id = reg_endereco( cr, dados['endcli_nro'], dados['cepcli'], pessoa_id, tipo_id, pais_id, uf_id, cidade_id, bairro_id, logradouro_id, dados)
       endereco_prin_id = endereco_id

       if dados['endcli_rua'] != dados['endcob_rua']:
           uf_id = reg_uf( cr, dados['estcob'], pais_id )
           if not uf_id:
               gravarLog( 'Nao consegui registrar a UF(estcob):',dados)
               cr.connection.rollback()
               return False
           cidade_id = reg_cidade( cr, dados['codMunCob'], dados['muncob'], uf_id, dados['estcob'] )
           bairro_id = reg_bairro( cr, dados['baicob'] )
           logradouro_id = reg_logradouro( dados['endcob_rua'] )
           tipo_id = reg_endereco_tipo( cr, 'Cobranca' )
           endereco_id = reg_endereco( cr, dados['endcob_nro'], dados['cepcob'], pessoa_id, tipo_id, pais_id, uf_id, cidade_id, bairro_id, logradouro_id, dados )

       if dados['email'] != '' and (dados['email'].count('@') + dados['email'].count('.')) > 1:
          email_tipo_id = reg_email_tipo( cr, 'Comum' )
          email_id = reg_email( cr, dados['email'], email_tipo_id, pessoa_id )
       if dados['emailCelular'] != '' and (dados['emailCelular'].count('@') + dados['emailCelular'].count('.')) > 1:
          email_tipo_id = reg_email_tipo( cr, 'Celular' )
          email_id = reg_email( cr, dados['emailCelular'], email_tipo_id, pessoa_id )

       if dados['telefone'] != '':
          if dados['tipoPessoa'] == 'F':
             telefone_tipo_id = reg_telefone_tipo( cr, 'Residencial' )
          else:
             telefone_tipo_id = reg_telefone_tipo( cr, 'Comercial' )
          telefone_id = reg_telefone( cr, dados['telefone'], telefone_tipo_id, pessoa_id )
       if dados['celular'] != '':
          telefone_tipo_id = reg_telefone_tipo( cr, 'Celular' )
          telefone_id = reg_telefone( cr, dados['celular'], telefone_tipo_id, pessoa_id )
       if dados['fax'] != '':
          telefone_tipo_id = reg_telefone_tipo( cr, 'Fax' )
          telefone_id = reg_telefone( cr, dados['fax'], telefone_tipo_id, pessoa_id )
       cliente_id = reg_cliente( cr, dados, pessoa_id )
       if dados['grupo1'] != '':
           categoria_id = reg_categoria_tipo( cr, dados['grupo1Nome'] )
           categoria_pessoa_id = reg_categoria_pessoa( cr, categoria_id, pessoa_id )
       if dados['grupo2'] != '':
           categoria_id = reg_categoria_tipo( cr, dados['grupo2Nome'] )
           categoria_pessoa_id = reg_categoria_pessoa( cr, categoria_id, pessoa_id )

       if dados['mensagem'] != '':
           mensagem_id = reg_mensagem_tipo( cr, dados['codMensagem'], dados['mensagem'], 'N' )
           mensagem_pessoa_id = reg_mensagem_pessoa( cr, mensagem_id, cliente_id, dados['dataMensagem'] )
   except Exception as e:
         gravarLog('Cre01:Qtd Elementos:'+str(len(listaDados))+ '  Lista:'+ str(listaDados) + '   Erro:'+ str(e), dados)
         cr.connection.rollback()
         return False
   cr.connection.commit()
   return True


def gerarCre02(empresa_legado, operacao, dados):#Duplicatas
    listaDados = dados.replace('#',' ').split('*|*')
    try:
       _cliente = listaDados[0]
       _loja = listaDados[1]
       _duplicata = listaDados[2]
       _desdobramento = listaDados[3].strip()
       _documento = str(_loja) +'-'+ str(_duplicata)
       if _desdobramento != '':
          _documento = str(_documento) + '-' + str(_desdobramento)
       _tipo_documento = listaDados[4]
       _departamento = listaDados[5]
       _vendedor = listaDados[6]
       _vendedorExterno = listaDados[7]
       _emissao =  datas.sigDatas(listaDados[8]).getDataNoFormato('I', 'S', '-')
       _valor = listaDados[9][:10]+'.'+listaDados[9][10:]
       _prorrogacao =  datas.sigDatas(listaDados[10]).getDataNoFormato('I', 'S', '-')
       _vencimento =  datas.sigDatas(listaDados[11]).getDataNoFormato('I', 'S', '-')
       if _emissao == '0000-00-00' and _vencimento == '0000-00-00' and float(_valor) == 0:
          gravarLog('Cre02-Emissao, Vencimento e valor zerado!', dados)
          cr.connection.rollback()
          return False
       if _emissao == '0000-00-00':
          gravarLog('Cre02-Emissao invalida:'+ _cliente + _documento , dados)
          cr.connection.rollback()
          return False
       if _vencimento == '0000-00-00':
          gravarLog('Cre02-Vencimento invalido:'+ _cliente + _documento, dados )
          cr.connection.rollback()
          return False
       if _prorrogacao == '0000-00-00':
          _prorrogacao = _vencimento
       _localCobr = listaDados[12]
       _contrBanco = listaDados[13].strip()
       _agencia = listaDados[14]
       _bordero = listaDados[15]
       _natureza = listaDados[16]
       _dataBaixa = datas.sigDatas(listaDados[17]).getDataNoFormato('I', 'S', '-')
       _saldo = listaDados[18][:10]+'.'+listaDados[18][10:]
       _cSNf = listaDados[19]
       if _cSNf != 'S':
          _cSNf = 'C'
       if _cSNf == 'S':
          company_id = company_id_s
       else:
          company_id = company_id_c
       _obs = retira_acentos(listaDados[20].strip())
       _origem = listaDados[21].strip()
       legado = lerLegado(cr, '1',  _cliente, 'cre01')
       if not legado:
          gravarLog('Cre02-Cliente nao cadastrado:'+ _cliente, dados )
          cr.connection.rollback()
          return False

       _pessoa_id = legado[0]
       _doc_tipo_id = lerSQL(cr, 'documento_documento_tipo', ["sigla = 'DP'"])[0]['id']
       _regTitulo = lerLegado(cr, empresa_legado, _cliente + _documento, 'cre02')
       if _localCobr != '000':
          _regBanco = lerSQL(cr, 'adm_banco', ["admbco_codigo_bc = '%s'" % _localCobr])
          if not _regBanco:
             _localCobr = '000'
          else:
             _pessoa_local_id = _regBanco[0]['admbco_pessoa_id']
             _regLocal = lerSQL(cr, 'financeiro_local_cobranca', ["pessoa_id = %s" % _pessoa_local_id])
       if _localCobr == '000':
          _regLocal = lerSQL(cr, 'financeiro_local_cobranca', ["tipo = 'C'"])
       if not _regLocal:
          gravarLog('Cre02 - Local nao cadastrado: ' + _localCobr +'-'+ str(listaDados), dados)
          cr.connection.rollback()
          return False
       _local_id = _regLocal[0]['id']
       _dicNatureza = {
             '1' : 'Cobranca simples',
             '2' : 'Desconto',
             '3' : 'Caucao',
             }
       try:
          _moeda_id = lerSQL(cr, 'adm_moeda', ["sigla = '%s'" % 'R$'])[0]['id']
       except:
          gravarLog( 'Moeda "R$" nao cadastrada:', dados )
          cr.connection.rollback()
          return False
       if operacao != 'w':
          if not _regTitulo:
             gravarLog('Cre02-Titulo nao cadastrado:'+ _cliente + _documento , dados)
             cr.connection.rollback()
             return False

       if operacao == 'd': #Titulo excluido, nao excluir, cancelar!  # titulo baixado ou cancelado aguardar o cre03 para saber
#          valsTitulo = {
#                'state' : 'C',
#                'data_cancelamento' : datas.hoje_I,
#                'fintit_cancel_user_id' :uid,
#                }
#          try:
#             _titId = alterarSQL(cr, 'financeiro_titulo', _regTitulo[0], valsTitulo)
#          except:
#             gravarLog( 'excluindo do titulo:' + str(valsTitulo), 'E')
#             cr.connection.rollback()
#             return False
#          if not _titId:
#              gravarLog( 'excluindo do titulo:' + str(valsTitulo), 'E')
#              cr.connection.rollback()
#              return False
#          gravarLog('Cre02-Exclusao ok!', 'O')
          cr.connection.commit()
          return True
       valsTitulo = {
             'company_id' : company_id,
             'doc_tipo_id' : _doc_tipo_id,
             'pessoa_id' : _pessoa_id,
             'documento' : _documento,
             'parcela' : 0,
             'local_cobranca_id' : _local_id,
             'tipo_titulo' : 'R',
             'state': 'A',
             'data_emissao' : _emissao,
             'data_vencimento' : _vencimento,
             'data_prorrogacao' : _prorrogacao,
             'tipo_sacado' : 'C',
             'vr_original' : _valor,
             'saldo' : _saldo,
             'adm_moeda_id' : _moeda_id,
             'tipo_lancamento' : 'M',
             }
       if _natureza and _natureza in ('1','2','3'):
          _regNatureza = lerSQL(cr, 'financeiro_natureza_cobranca', ["name = '%s'" % _dicNatureza[_natureza]])
          if _regNatureza:
             _natId = _regNatureza[0]['id']
             valsTitulo['natureza_cobranca_id'] = _natId
       if _obs != '':
          valsTitulo['observacoes']=_obs
       if not _regTitulo:
          if operacao == 'w':
             try:
                _titId = inserirSQL(cr, 'financeiro_titulo', valsTitulo)
             except Exception as e:
                gravarLog( 'na criacao do titulo:' + str(valsTitulo)+ ' Erro:'+ str(e),dados)
                cr.connection.rollback()
                return False
             titulo_boleto_ids = lerSQL(cr, 'financeiro_titulo_boleto',
                                        ['fintib_titulo_id = %s' % _titId,
                                         'fintib_local_cobranca_id = %s' % _local_id,
                                         "fintib_nosso_numero = '%s'" % _contrBanco], ['id'])
             if not titulo_boleto_ids:
                valsTituloBoleto = {
                    'fintib_titulo_id': _titId,
                    'fintib_local_cobranca_id': _local_id,
                    'fintib_natureza_cobranca_id': _natId,
                    'fintib_nosso_numero': _contrBanco
                }
                inserirSQL(cr, 'financeiro_titulo_boleto', valsTituloBoleto)
             vals = {
                  'empresa' : empresa_legado,
                  'tabela_legado' : 'cre02',
                  'chave_legado' : _cliente + _documento,
                  'chave_sigerp': _titId,
                  }
             try:
                idLegado =  inserirSQL(cr,'legado_controle', vals)
             except:
                gravarLog( 'na criacao do controle:' + str(vals), dados)
             cr.connection.commit()
             return True
       try:
          _titId = alterarSQL(cr, 'financeiro_titulo', _regTitulo[0], valsTitulo)
       except Exception as e:
          gravarLog( 'alterando do titulo:' + str(valsTitulo) + '   Erro:' + str(e), dados)
          cr.connection.rollback()
          return False
       cr.connection.commit()
       return True

    except Exception as e:
         gravarLog('Cre02:Qtd Elementos:'+str(len(listaDados))+ '  Lista:'+ str(listaDados) + '   Erro:' + str(e), dados)
         cr.connection.rollback()
         return False
    cr.connection.commit()
    return True

def gerarCre03(empresa_legado, operacao, dados, tipoDados):#Movimento
    listaDados = dados.replace('#',' ').split('*|*')
    try:
       _tipoMov = listaDados[0]
       _cliente = listaDados[1]
       _loja = listaDados[2]
       _duplicata = listaDados[3]
       _desdobramento = listaDados[4].strip()
       _dataMov =  datas.sigDatas(listaDados[5]).getDataNoFormato('I', 'S', '-')
       _sequencia = listaDados[6]
       _chave = _tipoMov + _cliente + _loja + _duplicata + _desdobramento + _dataMov + _sequencia
       legado = lerLegado(cr, empresa_legado,  _chave, 'cre03')
       if legado:
          gravarLog('Cre03: Movimento ja lancado:'+ str(listaDados), dados)
          cr.connection.rollback()
          return False
       _tipo_documento = listaDados[7]
       _departamento = listaDados[8]
       _vendedor = listaDados[9]
       _emissao =  datas.sigDatas(listaDados[10]).getDataNoFormato('I', 'S', '-')
       _valor = listaDados[11][:10]+'.'+listaDados[11][10:]
       _vencimento =  datas.sigDatas(listaDados[12]).getDataNoFormato('I', 'S', '-')
       if _emissao == '0000-00-00' and _vencimento == '0000-00-00' and float(_valor) == 0:
          gravarLog('Cre03: Emissao, vencimento e valor zerado!', dados)
          cr.connection.rollback()
          return False
       _localCobr = listaDados[13].replace(' ','0')
       _natureza = listaDados[14]
       _dataBaixa = datas.sigDatas(listaDados[15]).getDataNoFormato('I', 'S', '-')
       _juros = listaDados[16][:10]+'.'+listaDados[16][10:]
       _descontos = listaDados[17][:10]+'.'+listaDados[17][10:]
       _saldo = listaDados[18][:10]+'.'+listaDados[18][10:]
       _cSNf = listaDados[19]
       if _cSNf != 'S':
          _cSNf = 'C'
       if _cSNf == 'S':
          company_id = company_id_s
       else:
          company_id = company_id_c
       _obs = listaDados[20].strip()
       _usuario = listaDados[21].strip()
       _vendedorExterno = listaDados[22]

       legado = lerLegado(cr, '1',  _cliente, 'cre01')
       if not legado:
          gravarLog('Cre03-Cliente nao cadastrado:'+ _cliente, dados )
          cr.connection.rollback()
          return False
       _pessoa_id = legado[0]
       _documento = str(_loja) +'-'+ str(_duplicata)
       if _desdobramento != '':
          _documento = str(_documento) + '-' + str(_desdobramento)
       _doc_tipo_id = lerSQL(cr, 'documento_documento_tipo', ["sigla = 'DP'"])[0]['id']
       _regTitulo = lerLegado(cr, empresa_legado, _cliente + _documento, 'cre02')
       if _regTitulo:
          _titId = _regTitulo[0]
       if operacao == 'd' or operacao == 'r':
          cr.connection.commit()
          return True
       if _localCobr != '000':
          _regBanco = lerSQL(cr, 'adm_banco', ["admbco_codigo_bc = '%s'" % _localCobr])
          if not _regBanco:
             _localCobr = '000'
          else:
             _pessoa_local_id = _regBanco[0]['admbco_pessoa_id']
             _regLocal = lerSQL(cr, 'financeiro_local_cobranca', ["pessoa_id = %s" % _pessoa_local_id])
       if _localCobr == '000':
          _regLocal = lerSQL(cr, 'financeiro_local_cobranca', ["tipo = 'C'"])
       if not _regLocal:
          gravarLog('Cre03 - Local nao cadastrado: ' + _localCobr  +'-'+ str(listaDados), dados)
          cr.connection.rollback()
          return False
       _local_id = _regLocal[0]['id']
       _dicNatureza = {
             '1' : 'Cobranca simples',
             '2' : 'Desconto',
             '3' : 'Caucao',
             }
       if _tipoMov == 'A':
          _state = 'B'
          _stateHisto = 'A'
          operacaoTit = 'I'
       if _tipoMov == 'B':
          _state = 'B'
          _stateHisto = 'B'
          operacaoTit = 'B'
       if _tipoMov == 'C':
          _state = 'B'
          _stateHisto = 'A'
          operacaoTit = 'BP'
       if _tipoMov == 'D':
          _state = 'C'
          _stateHisto = 'C'
          operacaoTit = 'C'
       if _tipoMov == 'E':
          _state = 'B'
          _stateHisto = 'A'
          operacaoTit = 'R'
       if _tipoMov == 'F':
          _stateHisto = 'A'
          _state = 'B'
          operacaoTit = 'PR'
       valsTitulo = {
             'company_id' : company_id,
             'doc_tipo_id' : _doc_tipo_id,
             'pessoa_id' : _pessoa_id,
             'documento' : _documento,
             'parcela' : 0,
             'local_cobranca_id' : _local_id,
             'tipo_titulo' : 'R',
             'data_emissao' : _emissao,
             'data_vencimento' : _vencimento,
             'data_prorrogacao' : _vencimento,
             'tipo_sacado' : 'C',
             'vr_original' : _valor,
             'saldo' : _saldo,
             'adm_moeda_id' : lerSQL(cr, 'adm_moeda', ["sigla = '%s'" % 'R$'])[0]['id'],
             'tipo_lancamento' : 'M',
             }
       if _natureza and _natureza in ('1', '2', '3'):
           _regNatureza = lerSQL(cr, 'financeiro_natureza_cobranca', ["name = '%s'" % _dicNatureza[_natureza]])
           if _regNatureza:
              _natId = _regNatureza[0]['id']
              valsTitulo['natureza_cobranca_id'] = _natId
       if _obs != '':
           valsTitulo['observacoes']=_obs
       if not _regTitulo:
          try:
             valsTitulo['state'] = _state
             if _dataBaixa != '0000-00-00':
                 valsTitulo['data_pagamento'] =_dataBaixa
             _titId = inserirSQL(cr, 'financeiro_titulo', valsTitulo)
          except Exception as e:
             gravarLog( 'na criacao do titulo:' + str(valsTitulo)+ ' Erro:'+ str(e), dados)
             cr.connection.rollback()
             return False
          vals = {
               'empresa' : empresa_legado,
               'tabela_legado' : 'cre02',
               'chave_legado' : _cliente + _documento,
               'chave_sigerp': _titId,
               }
          try:
             idLegado =  inserirSQL(cr,'legado_controle', vals)
          except:
             gravarLog( 'na criacao do controle:' + str(vals), dados)
       valsMov = {
             'titulo_id' : _titId,
             'local_cobranca_id' : _local_id,
             'data_prorrogacao' : _vencimento,
             'operacao' : operacaoTit,
             }
       if _natureza and _natureza in ('1','2','3'):
          _regNatureza = lerSQL(cr, 'financeiro_natureza_cobranca', ["name = '%s'" % _dicNatureza[_natureza]])
          if _regNatureza:
             _natId = _regNatureza[0]['id']
             valsMov['natureza_cobranca_id'] = _natId
       try:
          _histoId = inserirSQL(cr, 'financeiro_titulo_historico', valsMov)
       except:
          gravarLog( 'na criacao do titulo(baixa):' + str(valsMov), dados)
          cr.connection.rollback()
          return False
       vals = {
            'empresa' : empresa_legado,
            'tabela_legado' : 'cre03',
            'chave_legado' : _chave,
            'chave_sigerp': _histoId,
            }
       try:
          idLegado =  inserirSQL(cr,'legado_controle', vals)
       except:
          gravarLog( 'nao consegui criar do controle:' + str(vals), dados)

       if _tipoMov in ('B', 'C'):
          valsBaixa = {
                'data_baixa' : _dataBaixa,
                'data_pgto' : _dataBaixa,
                'titulo_id' : _titId,
                'valor_pago' : _valor,
                'valor_juros' : _juros,
                'valor_desconto': _descontos
                }
          try:
             _baixaId = inserirSQL(cr, 'financeiro_titulo_baixa', valsBaixa)
             cr.connection.commit()
             sock.execute(db, uid, pwd, 'financeiro.titulo', 'write', _titId, {})
          except Exception as e:
             gravarLog( 'na criacao do titulo(baixa):' + str(valsBaixa) + '   Erro:' + str(e), dados)
             cr.connection.rollback()
             return False
          if tipoDados == 'registro':
             if _tipoMov == 'B':
                valsTitulo = {
                      'data_pagamento' :_dataBaixa,
                      'juros' : '!juros + ' + _juros,
                      'desconto' : '!desconto + ' + _descontos,
                      'state': 'B',
                      }
                try:
                   result =  alterarSQL(cr,'financeiro_titulo', _titId, valsTitulo)
                except:
                   gravarLog( 'na alterando o titulo(baixa):' + str(valsTitulo), dados)
                   cr.connection.rollback()
                   return False
       if _tipoMov == 'D':
           vals = {
                'state' : 'C',
                'data_cancelamento' : _dataMov,
                'fintit_cancel_user_id' :uid,
                }
           try:
               result =  alterarSQL(cr, 'financeiro_titulo', _titId, vals)
           except:
               gravarLog( 'na alterando o titulo(baixa):' + str(vals), dados)
               cr.connection.rollback()
               return False
           if not result:
               gravarLog( 'na alterando o titulo(baixa):' + str(vals), dados)
               cr.connection.rollback()
               return False
       cr.connection.commit()
       return True

    except Exception as e:
         gravarLog('Cre03:Qtd Elementos:'+str(len(listaDados))+ '  Lista:'+ str(listaDados) + '   Erro:' + str(e), dados)
         cr.connection.rollback()
         return False
    cr.connection.commit()
    return True

def gerarCre22(empresa_legado, operacao, dados):#Acumulado
    if operacao != 'w':
       cr.connection.commit()
       return True
    listaDados = dados.replace('#',' ').split('*|*')
    try:
       _contrData = listaDados[0]
       _contrHora = listaDados[1]
       _cliente = listaDados[2]
       _data =  datas.sigDatas(listaDados[3]).getDataNoFormato('I', 'S', '-')
       if _data == '0000-00-00':
          cr.connection.commit()
          return True
       _serie = listaDados[4].strip()
       _documento = listaDados[5]
       _ecf = listaDados[6]
       _valor = listaDados[7][:10]
       _usuario = listaDados[8].strip()
       _historico = listaDados[9].strip()
       _historico = retira_acentos(_historico)
       legado = lerLegado(cr, '1',  _cliente, 'cre01')
       if not legado:
          gravarLog('Cre22-Cliente nao cadastrado:'+ _cliente, dados )
          cr.connection.rollback()
          return False
       _pessoa_id = legado[0]
       _documento = _serie +'-'+ _documento
       _regFidel = lerLegado(cr, empresa_legado, str(_contrData) + str(_contrHora), 'cre22')
       if _regFidel:
          cr.connection.commit()
          return True
       valsFidel = {
             'company_id' : company_id_c,
             'pessoa_id' : _pessoa_id,
             'data' : _data,
             'name' : str(_historico) + '-' + str(_serie) +'-' + str(_ecf) + '-' + str(_documento),
             'pontos' : _valor,
             }
       try:
          _titId = inserirSQL(cr, 'fidelidade_movimento', valsFidel)
       except:
          gravarLog( 'na criacao do fidelidade:' + str(valsFidel), dados)
          cr.connection.rollback()
          return False
       vals = {
            'empresa' : empresa_legado,
            'tabela_legado' : 'cre22',
            'chave_legado' : _contrData + _contrHora,
            'chave_sigerp': _titId,
            }
       try:
          idLegado =  inserirSQL(cr,'legado_controle', vals)
       except Exception as e:
          gravarLog( 'na criacao do controle:' + str(vals), dados)
    except Exception as e:
         gravarLog('Cre22:Qtd Elementos:'+str(len(listaDados))+ '  Lista:'+ str(listaDados) + '   Erro:' + str(e), dados)
    cr.connection.commit()
    return True

try:
   arquivo = sys.argv[1]
except:
   gravarLog('Arquivo a integrar nao informado!')
   exit()

if arquivo == 'todos':
    novaLista = []
    try:
        lista=os.listdir(diretorio+'int')
        for linha in lista:
            if linha[-1:] == '\n':
                linha = linha[:-1]
            if linha[:3] != 'cre':
                continue
            novaLista.append(linha[6:]+linha[:6])
        novaLista.sort()
        lista = []
        for linha in novaLista:
            lista.append(linha[-6:]+linha[:-6])
    except Exception as e:
        gravarLog('Diretorio inexistente!')
        exit()
else:
    try:
        lista=os.listdir(diretorio+'int')
        lista.sort()
    except Exception as e:
        gravarLog('Diretorio inexistente!')
        exit()

try:
   for arq in lista:
      if arquivo != 'todos':
          if arq[:5]!=arquivo:
             continue
      empresa = arq[24:27]
      _operacao = arq[28:].lower()
      try:
         args = [('empresa_legado','=', empresa), ('tipo', '=', 'C')]
         company_id_c =  sock.execute(db, uid, pwd, 'legado.empresa', 'ler', args)[0]['company_id'][0]
         args = [('empresa_legado','=', empresa), ('tipo', '=', 'S')]
         company_id_s =  sock.execute(db, uid, pwd, 'legado.empresa', 'ler', args)[0]['company_id'][0]
      except Exception as e:
         gravarLog('Empresa nao cadastrada!'+ str(empresa)+ '-'+str(args))
         continue
      try:
         file=open('int/'+arq, 'r')
         _arquivoLido = arq[:5]
         registros=file.readlines()
      except:
         continue
      _horaArquivo = int(arq[15:23])
      contador = contarRegistros(registros)
      if _operacao == 'x': # Opderacao = 'x' eh qdo eh gerado o arquivo inteiro
         operacao='w'
      else:
         operacao=_operacao
      if _operacao == 'x': # Remover arquivo porque já foi lido e contem varios registros
          os.system('rm -rf ' + diretorio+'int/'+arq)
      for registro in registros:
          registro = unicode(registro, 'utf-8', errors='ignore')
          res = False
          try:
             if _arquivoLido == 'cre01':   # Cliente
                res=gerarCre01('1', operacao, registro)
             if _arquivoLido == 'cre02':   # Duplicata
                res=gerarCre02(empresa, operacao, registro)
             if _arquivoLido == 'cre03':   # Movimento
                if _operacao == 'x':
                   res=gerarCre03(empresa, operacao, registro, 'arquivo')
                else:
                   res=gerarCre03(empresa, operacao, registro, 'registro')
             if _arquivoLido == 'cre22':   # fidelidade
                res=gerarCre22(empresa, operacao, registro)
             #if contador.contar(_operacao):
             #   cr.connection.commit()
          except Exception as e:
            gravarLog('Erro Tentando Atualizar Erro:' + str(e))
            res = False
          if res and _operacao != 'x': # Registro importado de arquivo com um registro, remover arquivo
              os.system('rm -rf ' + diretorio+'int/'+arq)
              deletarSQL(cr_log, 'legado_logs',  "lelg_arquivo = '%s'" % arq)
              cr_log.connection.commit()
          if not res and _operacao == 'x': # Erro na importacao de registro de arquivo com varios registros, gerar registro individual para importacao futura
              _horaArquivo += 1
              arqNovo = diretorio+'int/'+arq[:15]+numero.getNumToStr(_horaArquivo,8,0,'N')+arq[23:28]+'W'
              fileNovo=open(arqNovo, 'w')
              fileNovo.write(registro)
              fileNovo.close()

      #cr.connection.commit()
except Exception as e:
   gravarLog('Carregando arquivos   Erro:' + str(e))

