# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class kit_categoria(osv.Model):

    _name = 'kit.categoria'
    _rec_name = 'kitcat_categoria_id'
    _columns = {
        'kitcat_produto_id': fields.many2one(
            'estoque.produto', 'Produto Kit', ondelete='cascade', required=True, oldname='produto_kit_id'
        ),
        'kitcat_categoria_id': fields.many2one(
            'estoque.categoria', "Categoria", ondelete="restrict", required=True, oldname='categoria_kit_id'
        ),
        'kitcat_quantidade': fields.float(
            'Quantidade de itens na Categoria', digits=(9, 3), required=True, oldname='quantidade'
        ),
    }
    _defaults = {
        'kitcat_quantidade': 1
    }
