# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class logs_detalhe(osv.Model):
    _name = 'logs.detalhe'
    _inherits = {'logs.logs':'logdet_id'}
    _log_access = False
    _rec_name = 'logdet_detalhe'
    _gerar_logs_logs = 'N'
    _columns = {
        'logdet_id': fields.many2one('logs.logs', 'Log', required=True, ondelete="cascade", select=1),
        'logdet_detalhe': fields.char('Detalhe', size=64, select=1),
        'logdet_anterior': fields.text('Dado anterior'),
        'logdet_novo': fields.text('Dado novo'),
    }
    _order = 'logdet_id,logdet_detalhe'
