# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2013 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class estoque_produto(osv.Model):
    _inherit = 'estoque.produto'
    _columns = {
        'estpro_variacao': fields.selection([('C', 'Comprimento'), ('E', 'Espessura'),
                                             ('S', 'Sem variacao')], 'Variacao',
                                            help='O preco do produto varia conforme a selecao')
    }

    _defaults = {
        'estpro_variacao': 'S'
    }
