# -*- coding: utf-8 -*-

from openerp.osv import osv


class wizard_listagem_rentabilidade_osv(osv.TransientModel):

    _inherit = 'wizard.listagem.rentabilidade.osv'

    def get_query_quantidade(self, cr, uid, context=None):
        """
        O metodo encontra a forma de trazer a quantidade movimentada. Aqui, a quantidade e
        representada pelo volume, caso tenha.
        :param cr: cursor no banco de dados.
        :type cr: object
        :param uid: id da tabela res_users, identificador do usuario.
        :type uid: int
        :param context: dados com valores contextuais.
        :type context: dict
        :return: query responsavel pela quantidade (volume) movimentada.
        :rtype: str
        """
        context = context and context.copy() or {}
        sql = """
            CASE
                WHEN emi.estmvi_volume > 0 THEN emi.estmvi_volume
                ELSE emi.quantidade
            END         AS quantidade ,
        """
        return sql
