# -*- encoding: utf-8 -*-

from openerp.osv import osv

##########################################################################r####
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################


class orcamentos_orcamento_capa(osv.Model):

    _inherit = 'orcamentos.orcamento.capa'

    def orccap_button_imprimir(self, cr, uid, ids, context=None):
        """
        SOBREESCRICAO DO MODULO ORCAMENTO
        O metodo imprime o orcamento nos moldes madeireira.
        :param cr: cursor no banco de dados.
        :type cr: cursor
        :param uid: id da tabela res_users, identificador do usuario.
        :type uid: int
        :param ids: lista com o id da tabela desse objeto.
        :type ids: list
        :param context: dicionario com valores contextuais.
        :type context: dict
        :return: dicionario com acao para chamada da classe do relatorio.
        :rtype: dict
        """

        dados_parametro = self.pool.get('adm.utils').admutl_get_parametros(
            cr, uid, 'estoque', ['estpar_orcamento_formato_impressao',
                                 'estpar_orcamento_retrato_paisagem'])
        formato = dados_parametro.get('estpar_orcamento_formato_impressao')
        modo = dados_parametro.get('estpar_orcamento_retrato_paisagem')
        path = '/madeireira/report/rel_impressao_orcamento.rml'
        self.pool.get('estoque.parametro').estpar_converte_formato_impressao(cr, uid, formato, path,
                                                                             'o', modo)

        if isinstance(ids, (list, tuple)):
            ids = ids[0]
        return {
                'type': 'ir.actions.report.xml',
                'report_name': 'orcamentos.orcamento.capa',
                'name': self.browse(cr, uid, ids, context).documento,
        }
