#!/usr/bin/python
# -*- encoding: utf-8 -*-

from openerp.osv import osv


class wizard_listagem_participacao_vendas(osv.TransientModel):
    _name = 'wizard.listagem.participacao.vendas'
    _inherit = 'wizard.listagem.participacao.vendas'

    @staticmethod
    def sql_quantidade():
        """
        Retorna a campo de quantidade para ser utilizado na query
        Este metodo irar utilizar o campo estmvi_volume caso o
        item tenha volume, caso nao ira utilizar o campo quantidade.
        :rtype: str
        :author: Thiago Abreu Rodrigues <thiago.rodrigues[at]siginformatica.com.br>
        """
        sql = """
        CASE WHEN emi.estmvi_volume > 0 THEN emi.estmvi_volume
             ELSE emi.quantidade
        END  AS quantidade,
        """
        return sql