# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel França
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv


class manutencao_corretiva_atividade(osv.Model):
    _name = 'manutencao.corretiva.atividade'
    _inherit = 'manutencao.corretiva.atividade'

    def mancoa_onchange_servico(self, cr, uid, ids, servico_id, duracao):
        res = {'mancoa_duracao': duracao}
        if servico_id and not duracao:
            brw_estoque_produto = self.pool.get('estoque.produto').browse(cr, uid, servico_id)
            if brw_estoque_produto.tempo_previsto:
                res['mancoa_duracao'] = brw_estoque_produto.tempo_previsto
        return {'value': res}
