# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel França
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class oservico_os(osv.Model):
    _name = 'oservico.os'
    _inherit = 'oservico.os'
    _columns = {
        'osvos_equipamento_id': fields.many2one("manutencao.equipamento", 'Equipamento',
                                                ondelete="restrict", select=True),
        'osvos_execucao_id': fields.many2one("manutencao.execucao", 'Execucao', ondelete="restrict",
                                             select=True),
        'osvosv_corretiva_ids': fields.one2many('manutencao.corretiva', 'mancor_os_id', 'Corretivas'),
    }

