# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from SigUtils import datas

# Funcoes para diversas classes, para concatenar nome do parent com o name
def name_get(self, cr, uid, ids, context=None):
    context = context and context.copy() or {}
    if isinstance(ids, (list, tuple)) and not len(ids):
        return []
    if isinstance(ids, (long, int)):
        ids = [ids]
    reads = self.read(cr, uid, ids, ['name','parent_id'], context=context)
    res = []
    for record in reads:
        name = record['name']
        if record['parent_id']:
            name = record['parent_id'][1]+' / '+name
        res.append((record['id'], name))
    return res

def _get_nome_completo(self, cr, uid, ids, name, arg, context=None):
    context = context and context.copy() or {}
    res = self.name_get(cr, uid, ids, context=context)
    return dict(res)

def _manexe_status_os(self, cr, uid, ids, name, arg, context=None):
    context = context and context.copy() or {}
    res = {}
    for x in self.browse(cr, uid, ids, context=context):
        if x.manexe_os_id:
            _state = x.manexe_os_id.state
            if _state == 'E':
                res[x.id] = 'Esboco'
                continue
            if _state == 'A':
                res[x.id] = 'Aberta'
            if _state == 'C':
                res[x.id] = 'Cancelada'
                continue
            if _state == 'F':
                res[x.id] = 'Fechada'
                continue

            res[x.id] = 'Nao identificada'
        else:
            res[x.id] = 'Sem O.S.'
    return res

def _manmaq_get_previsao(self, cr, uid, ids, name, arg, context=None):
    context = context and context.copy() or {}
    res = {}
    brw_manutencao_equipamentos = self.browse(cr, uid, ids, context=context)
    for brw_manutencao_equipamento in brw_manutencao_equipamentos:
        if brw_manutencao_equipamento.manmaq_tipo_manutencao == 'D':
            if not brw_manutencao_equipamento.manmaq_execucao_ids:
                res[brw_manutencao_equipamento.id] = False
                continue
            else:
                _data = brw_manutencao_equipamento.manmaq_execucao_ids[0].manexe_data_realizada
                _fator = brw_manutencao_equipamento.manatv_frequencia_unidade
                _n_data = datas.calcVencimento(_data, )
    return res


