# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel França
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class manutencao_localizacao_historico(osv.Model):
    """
    Cadastro de Historico de localizações
    """
    _name = 'manutencao.localizacao.historico'
    _columns = {
        'manloh_data': fields.date('Data', required=True),
        'manloh_equipamento_id': fields.many2one("manutencao.equipamento", 'Equipamento',
                                                 ondelete="cascade", required=True, select=True),
        'manloh_localizacao_id': fields.many2one("manutencao.localizacao", 'Localizacao',
                                                 ondelete="cascade", required=True, select=True),
        'manloh_observacao': fields.text('Observacao'),
    }

