# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel França
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class manutencao_medicao(osv.Model):
    """
    Cadastro de medicao(horas, km, etc) das máquinas
    """
    _name = 'manutencao.medicao'
    _columns = {
        'manhor_equipamento_id': fields.many2one("manutencao.equipamento", 'Equipamento',
                                                 ondelete="restrict", required=True, select=True),
        'manhor_data': fields.date('Data', required=True),
        'manhor_medicao': fields.integer('Horas/Km', required=True),
    }
    _order = 'manhor_data desc,manhor_equipamento_id'

