# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv


class mkp_anuncios_var(osv.Model):
    _inherit = 'mkp.anuncios.var'

    def mkpanuv_atualizar_variacoes(self, cr, uid, vals_var, brw_anuncio, context=None):
        """
        Método utilizado para atualizar as variacoes no erp
        @param cr:
        @param uid:
        @param response_content: string - resposta do response.content
        @param brw_anuncio: Browser do anuncio
        @param context:
        @return: True
        """
        dict_variacoes = {}
        for _var in vals_var:
            dict_variacoes[_var.get('seller_custom_field').split('-')[1]] = _var.get('id')
        for _val_grade in vals_var:
            for _brw_grade in brw_anuncio.mkpanu_produto_id.produto_grade_ids:
                if _brw_grade.grade == _val_grade.get('seller_custom_field').split('-')[1]:
                    _args = [('mkpanuv_anuncio_id', '=', brw_anuncio.id), ('mkpanuv_grade_id', '=', _brw_grade.id)]
                    var_ids = self.pool.get('mkp_anuncios_var').search(cr, uid, _args, context=context)
                    vals_var = {'mkpanuv_id_no_mkp': dict_variacoes.get(_brw_grade.grade),
                                'mkpanuv_anuncio_id': brw_anuncio.id,
                                'mkpanuv_grade_id': _brw_grade.id
                                }
                    if var_ids:
                        self.pool.get('mkp_anuncios_var').write(cr, uid, var_ids, vals_var, context)
                    else:
                        self.pool.get('mkp_anuncios_var').create(cr, uid, vals_var, context)
                    break
        _del_grades = []
        for _brw_grade in brw_anuncio.mkpanu_produto_id.produto_grade_ids:
            _achei = []
            for _var in vals_var:
                if _brw_grade.grade == _var.get('seller_custom_field').split('-')[1]:
                    _achei = True
                    break
            if not _achei:
                _del_grades.append(_brw_grade.id)
        if _del_grades:
            _del_ids = self.search(cr, uid, [('mkpanuv_grade_id', 'in', _del_grades ),
                                             ('mkpanuv_anuncio_id', '=', brw_anuncio.id)], context=context)
            if _del_ids:
                self.unlink(cr, uid, _del_ids)
        return True




