# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

import time
from openerp.osv import osv
from openerp.tools.translate import _

READ_LOAD = '_classic_write'


class estoque_movimento_capa(osv.Model):
    """
    Tabela de movimento do estoque(Capa)
    """
    _inherit = 'estoque.movimento.capa'

    def estmvc_button_efetivado(self, cr, uid, ids, context=None):
        res = super(estoque_movimento_capa, self).estmvc_button_efetivado(cr, uid, ids, context=context)
        """
        Verificar se eh para atualizar saldo dos anuncios dos itens da nf
        """
        _spg = self.pool.get
        dados_capa = self.read(cr, uid, ids[0], ['movimento_itens_ids'], context, READ_LOAD)
        item_ids = dados_capa.get('movimento_itens_ids')
        dados_itens = self.pool.get('estoque.movimento.itens').read(cr, uid, item_ids, ['produto_id'],
                                                                    context, READ_LOAD)
        produto_ids = []
        for i in dados_itens:
            produto_ids.append(i.get('produto_id'))
        _spg('mkp.utils').mkputl_atualizar_saldo_anuncios(cr, uid, produto_ids, context=context)
        return res

    def estmvc_button_cancelado(self, cr, uid, ids, context=None):
        res = super(estoque_movimento_capa, self).estmvc_button_cancelado(cr, uid, ids, context=context)
        """
        Verificar se eh para atualizar saldo dos anuncios dos itens da nf
        """
        _spg = self.pool.get
        dados_capa = self.read(cr, uid, ids[0], ['movimento_itens_ids'], context, READ_LOAD)
        item_ids = dados_capa.get('movimento_itens_ids')
        dados_itens = self.pool.get('estoque.movimento.itens').read(cr, uid, item_ids, ['produto_id'],
                                                                    context, READ_LOAD)
        produto_ids = []
        for i in dados_itens:
            produto_ids.append(i.get('produto_id'))
        _spg('mkp.utils').mkputl_atualizar_saldo_anuncios(cr, uid, produto_ids, context=context)
        return res
