# -*- coding: utf-8 -*-

from openerp.osv import osv, fields
from time import strftime
from dateutil.parser import parse
from openerp.report import report_sxw
from datetime import datetime, date, timedelta
from openerp.tools.translate import _
import base64
from dateutil.relativedelta import relativedelta
READ_LOAD = '_classic_write'


class wizard_baixa_multipla(osv.TransientModel):
    _inherit = 'wizard.baixa.titulo'
    _columns = {
        'wbt_mkp_nro_pedido': fields.char('Nro pedido Marketplace', size=12, select=1,
                                            help='Numero do pedido no mercado livre'),
    }


    def wbt_button_listar_titulos(self, cr, uid, ids, context=None):
        super(wizard_baixa_multipla, self).wbt_button_listar_titulos(cr, uid, ids, context=context)
        lista = []
        for brw_wizard in self.browse(cr, uid, ids, context=context):
            for brw_detalhe in brw_wizard.wbt_titulo_detalhe_ids:
                titulo_id = brw_detalhe.wbtd_titulo_id.id
                lista.append([1, brw_detalhe.id, {'wbtd_mkp_nro_pedido': brw_detalhe.wbtd_titulo_id.fintit_mkp_nro_pedido}])
            self.write(cr, uid, brw_wizard.id, {'wbt_titulo_detalhe_ids': lista})
        return True