# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2019 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2019, Creative Commons
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""
from openerp.osv import osv, fields


class wizard_listagem_nf(osv.TransientModel):
    _inherit = 'wizard.listagem.nf'
    _columns = {
        'wiz_mkp_conta_id': fields.many2one('mkp.contas', 'Conta Marketplace', select=True),
    }


    def wiz_acrescentar_filtro(self, cr, user, ids, context=None):
        cab_filtro, filtro = super(wizard_listagem_nf, self).wiz_acrescentar_filtro(cr, user, ids, context=context)
        dados_wizard = self.read(cr, user, ids, ['wiz_mkp_conta_id'], context=context)
        if dados_wizard:
            dados_wizard = dados_wizard[0]
            if dados_wizard.get('wiz_mkp_conta_id'):
                filtro += """
                   and fisnfc_mkp_conta_id = %s
                """ % dados_wizard.get('wiz_mkp_conta_id')[0]
                cab_filtro += 'Conta: %s   ' % dados_wizard.get('wiz_mkp_conta_id')[1]
        return cab_filtro, filtro
