# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class rastreio_encomendas(osv.Model):
    _inherit = 'rastreio.encomendas'

    def write(self, cr, uid, ids, vals, context=None):
        res = super(rastreio_encomendas, self).write(cr, uid, ids, vals, context=context)
        if vals and vals.get('rasenc_entregue'):
            for brw_encomenda in self.browse(cr, uid, ids, context=context):
                if brw_encomenda.rasenc_pedido_id:
                    _conta_id = brw_encomenda.rasenc_pedido_id.pedcap_conta_id.id
                    if _conta_id:
                        self.pool.get('mkp.utils').mkputl_entregar_no_mkp(cr, uid, brw_encomenda, context=context)
        return res
