# -*- encoding: utf-8 -*-
# #############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
# #############################################################################

from openerp.osv import osv, fields
import logging
from ...adm.control.utils import _links_get


class mkp_embalagens(osv.Model):
    """
    Tabela de embalagens para vendas
    prefixo: mkpemb_
    """

    _name = 'mkp.embalagens'
    _logger = logging.getLogger(_name)
    _columns = {
        'name': fields.char('Descricao', required=1, select=1),
        'mkpemb_altura': fields.integer('Altura'), # altura em centimetros\n
        'mkpemb_largura': fields.integer('Largura'), # largura em cm
        'mkpemb_profundidade': fields.integer('Profundidade'), # profundidade em centimetros\n
    }
    _order = 'name'
