# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class mkp_fretes(osv.Model):
    """
    Tabela de fretes

    prefixo: mkpfrt_
    """

    _name = 'mkp.fretes'
    _columns = {
        'name': fields.char('Descricao', size=64, required=True),
        'mkpfrt_linhas_ids': fields.one2many('mkp.fretes.linhas', 'mkpfrl_frete_id', 'detalhes'),
    }
