# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class mkp_modelos(osv.Model): # antigo mkp_modelos
    """
    Tabela de modelos de anuncios do marketplace

    prefixo: mkpmod_
    """

    _name = 'mkp.modelos' # antigo mkp.modelos

    _columns = {
        'name': fields.char('Descricao', required=True),
        'mkpmod_tipo': fields.selection([('T', 'Texto'), ('H', 'Html')], 'Tipo de anuncio', size=1),
        'mkpmod_cabecalho': fields.text("Cabecalho"),
        'mkpmod_rodape': fields.text('Rodape'),
        'mkpmod_secao_ids': fields.one2many('mkp.modelos.secao', 'mkpmsc_modelo_id', 'secoes'),
    }
    _defaults = {
        'mkpmod_tipo': 'T',
    }

