# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv


class almoxarifado_requisicao_capa(osv.Model):
    _inherit = 'almoxarifado.requisicao.capa'

    def almrqc_atualizar_saldo_anuncio(self, cr, uid, ids, context=None):
        """
        Atualizar saldo dos anuncios dos itens da requisicao
        """
        _spg = self.pool.get
        if not isinstance(ids, (list,tuple)):
            ids = [ids]
        produto_ids = []
        for brw_requisicao in self.browse(cr, uid, ids, context=context):
            for brw_itens in brw_requisicao.requisicao_item_ids:
                produto_ids.append(brw_itens.produto_id.id)
        _spg('mkp.utils').mkputl_atualizar_saldo_anuncios(cr, uid, produto_ids, context=context)
        return True

    def button_aprovar(self, cr, uid, ids, context=None):
        res = super(almoxarifado_requisicao_capa, self).button_aprovar(cr, uid, ids, context=context)
        self.almrqc_atualizar_saldo_anuncio(cr, uid, ids, context=None)
        return res

    def button_cancelar(self, cr, uid, ids, context=None):
        res = super(almoxarifado_requisicao_capa, self).button_cancelar(cr, uid, ids, context=context)
        self.almrqc_atualizar_saldo_anuncio(cr, uid, ids, context=None)
        return res


