# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
from openerp.tools.translate import _


class mkpml_pagamentos(osv.Model):

    _inherit = "mkpml.pagamentos"

#     def open_url_order(self, cr, uid, ids, context=None):
#         context = context and context.copy() or {}
#         dados_pagamentos = self.read(cr, uid, ids, ['mkpmlpag_ml_order'], context=context)[0]
#         url = 'https://myaccount.mercadolivre.com.br/sales/vop?&orderId=%s' % dados_pagamentos.get('mkpmlpag_ml_order')
#         return {
#             'type': 'ir.actions.act_url',
#             'url': url,
#             'target': 'new'
#         }
#
#     def open_url_payment(self, cr, uid, ids, context=None):
#         context = context and context.copy() or {}
#         dados_pagamentos = self.read(cr, uid, ids, ['mkpmlpag_payment_code'], context=context)[0]
#         url = 'https://www.mercadopago.com.br/activities/%s/detail' % dados_pagamentos.get('mkpmlpag_payment_code')
#         return {
#             'type': 'ir.actions.act_url',
#             'url': url,
#             'target': 'new'
#         }
#
#
    def mkpmlpag_get_payments(self, cr, uid, payment, conta_id, context=None):
        _spg = self.pool.get
        context = context and context.copy() or {}
        vals = {
            'mkpmlpag_payment_code': payment,
        }
        _pagto = _spg('mkp.merliv').mkpMerLiv_get_payments(cr, uid, payment, conta_id, context=None)
        if _pagto.get('status') and not _pagto.get('dados'):  # Pagamento ainda nao aprovado, desconsiderar
            return {'status': True, 'mensagem': ''}
        if _pagto.get('status'):
            _pagto = _pagto.get('dados')
        else:
            return {'status': False, 'mensagem': _pagto.get('mensagem')}
        _order = vals['mkpmlpag_ml_order'] = _pagto.get('pedido')
        if _order == 'Venda presencial':
            _order = False
        vals['mkpmlpag_marketplace_id'] = _spg('mkp.contas').read(cr, uid, conta_id, ['mkpcta_marketplace_id'])['mkpcta_marketplace_id'][0]
        vals['mkpmlpag_conta_id'] = conta_id
        vals['mkpmlpag_frete_recebido'] = _pagto.get('Frete')
        vals['mkpmlpag_tarifa_ml'] = float(_pagto.get('Tarifa_ml')) + float(_pagto.get('Tarifa_mp'))
        vals['mkpmlpag_valor_itens'] = _pagto.get('Venda')
        if _order:
            args = ['|', ('pedcap_nro_pedido_externo', '=', _order), ('pedcap_mkp_shipping', '=', _order), ('tipo', '=', 'V')]
            companys = []
            dados_conta = _spg('mkp.contas').read(cr, uid, conta_id, ['mkpcta_fulfillment_empresa_id', 'company_id'],
                                                       context=context, load='_classic_write')
            if dados_conta.get('company_id') and dados_conta.get('company_id') not in companys:
                companys.append(dados_conta.get('company_id'))
            if dados_conta.get('mkpcta_fulfillment_empresa_id') and \
                    dados_conta.get('mkpcta_fulfillment_empresa_id') not in companys:
                companys.append(dados_conta.get('mkpcta_fulfillment_empresa_id'))
            if companys:
                args.append(('company_id', 'in', companys))
                context['sig_force_company'] = True
            pedido_ids = _spg('estoquepedidos.pedido.capa').search(cr, uid, args, context=context)
            context.pop('sig_force_company')
            if pedido_ids:
                vals['mkpmlpag_pedido_id'] = pedido_ids[0]
                brw_pedido = _spg('estoquepedidos.pedido.capa').browse(cr, uid, pedido_ids[0], context=context)
                if brw_pedido.pedcap_mkp_frete_free:
                    vals['mkpmlpag_frete_recebido'] = 0.00
                else:
                    vals['mkpmlpag_valor_itens'] = (vals.get('mkpmlpag_valor_itens') or 0.0) - brw_pedido.vr_frete
                    if not vals.get('mkpmlpag_frete_recebido'):
                        vals['mkpmlpag_frete_recebido'] = brw_pedido.vr_frete
                vals['mkpmlpag_frete_custo'] = brw_pedido.vr_frete
            else:
                mens = _('Nao identifiquei pedido %s para o pagamento %s!' % (_order, payment))
                self._logger.info(mens)
                # args = [('mkpnot_conta_id','=', conta_id), ('mkpnot_resource','=', "/orders/%s" % _order)]
                # not_ids = _spg('mkp.notificacoes').search(cr, uid, args, context=context)
                # if not_ids:
                #     vals = {
                #         'state': 'R',
                #     }
                #     _spg('mkp.notificacoes').write(cr, uid, not_ids, vals, context=context)
                # else:
                #     vals = {
                #         'mkpnot_conta_id': conta_id,
                #         'mkpnot_resource': "/orders/%s" % _order,
                #         'mkpnot_topic': 'orders_v2',
                #         'state': 'R',
                #         'mkpnot_attempts': 1,
                #     }
                #     _spg('mkp.notificacoes').create(cr, uid, vals, context=context)
                return {'status': False, 'mensagem': mens}
        pagamentos_ids = _spg('mkpml.pagamentos').search(cr, uid, [('mkpmlpag_payment_code', '=', payment)], context=context)
        if pagamentos_ids:
            _spg('mkpml.pagamentos').write(cr, uid, pagamentos_ids, vals, context=context)
        else:
            _spg('mkpml.pagamentos').create(cr, uid, vals, context=context)

        # Iniciar o cron para baixar os pagamentos pendentes
        _obj_cron = _spg('ir.cron')
        args_cron = [
            ('model', '=', 'mkpml.pagamentos'),
            ('function', '=', 'mkpmlpag_cron_executar_pagamentos')
        ]
        cron_ids = _obj_cron.search(cr, uid, args_cron, context=context)
        if cron_ids:
            for dados_cron in  _obj_cron.read(cr, uid, cron_ids, [], context=context):
                if dados_cron.get('numbercall') == 0:
                    try:
                        _obj_cron.write(cr, uid, [dados_cron.get('id')], {'numbercall':1, 'active':True}, context=context)
                    except: # se o cron estiver executando, vai dar erro, desconsiderar, atualiza da proxima vez
                        pass
        #
        return True

#
#     def button_processar_pagamentos(self, cr, uid, ids, context=None):
#         self.mkpmlpag_cron_executar_pagamentos(cr, uid, context=context)
#         return True
#
#     def button_processar_um_pagamento(self, cr, uid, ids, context=None):
#         context = context and context.copy() or {}
#         if ids:
#             context['pagamento_ids'] = ids
#             self.mkpmlpag_cron_executar_pagamentos(cr, uid, context=context)
#         return True
#
#     def mkpmlpag_cron_executar_pagamentos(self, cr, uid, context=None):
#         def __mkpmlpag_verificar_se_baixa():
#             if _titulo_state == 'B':
#                 return True
#             elif _titulo_state != 'A':
#                 return False
#             if _valor != _titulo_vlr:
#                 return False
#             if not _titulo_id:
#                 return False
#             if _valor != _titulo_vlr:
#                 if abs( _valor - _titulo_vlr) < 0.02:
#                     _juros_descontos = _valor - _titulo_vlr
#                     if _juros_descontos < 0:
#                         _vl_descontos = abs(_juros_descontos)
#                     else:
#                         _vl_juros = abs(_juros_descontos)
#                 else: # diferença entre pagamento e titulo é grande, não baixar
#                     return False
#             return True
#
#         def __mkpmlpag_montar_baixa():
#             if _titulo_state == 'B':
#                 return True, 0
#             futl_bxti_titulos = {
#                 'titulo_id': _titulo_id,
#                 'valor_pago': _valor,
#                 'valor_multa': 0.0,
#                 'valor_juros': _vl_juros,
#                 'valor_desconto': _vl_descontos,
#                 'pessoa_id': _pessoa_id,
#                 'tipo_titulo' : _rec_pag,
#             }
#             titulos_para_baixa.append(futl_bxti_titulos)
#             if _rec_pag == 'R':
#                 vb = _valor + _vl_juros - _vl_descontos
#             else:
#                 vb = 0 - _valor + _vl_juros - _vl_descontos
#             return True, vb
#
#         def __mkpmlpag_get_pessoa_id():
#             if not _titulo_id:
#                 return False
#             _pes_id = obj_financeiro_titulo.read(cr, uid, _titulo_id, ['pessoa_id'], context=context,
#                                                 load='_classic_write' ).get('pessoa_id')
#             return _pes_id
#
#         """
#         Método chamado pelo cron para executar pagamentos. Baixa os titulos conforme o recebimento das notificacoes de pagamento.
#         @param cr:
#         @param uid:
#         @param context:
#         @return: Sempre True
#         """
#         context = context and context.copy() or {}
#         obj_financeiro_titulo = self.pool.get('financeiro.titulo')
#         obj_financeiro_utils = self.pool.get('financeiro')
#         dados_parametros = self.pool.get('adm.utils').admutl_get_parametros(cr, uid, 'financeiro',
#                                                                             ['finpar_ml_forma_pgto_id',
#                                                                              'finpar_ml_condicao_pgto_id',
#                                                                              'finpar_ml_conta_tesouraria_id'],
#                                                                             context=context)
#         condicao_tipo = 'V'
#         if context.get('pagamento_ids'):
#             pagamentos_ids = context.get('pagamento_ids')
#         else:
#             pagamentos_ids = self.search(cr, uid, [], context=context)
#         if not pagamentos_ids:
#             return True
#         for dados_pagamento in self.read(cr, uid, pagamentos_ids, [], context=context,load='_classic_write'):
#             titulos_para_baixa = []
#             resultados = []
#             res = False
#             valor_pagar_receber = 0.0
#             if dados_pagamento.get('mkpmlpag_valor_itens'):
#                 _vl_juros = _vl_descontos = 0.0
#                 _valor = dados_pagamento.get('mkpmlpag_valor_itens')
#                 _titulo_id = dados_pagamento.get('mkpmlpag_item_titulo_id') or False
#                 if isinstance(_titulo_id, (list, tuple)):
#                     _titulo_id = _titulo_id[0]
#                 _titulo_vlr = dados_pagamento.get('mkpmlpag_item_titulo_valor')
#                 _titulo_state = dados_pagamento.get('mkpmlpag_item_titulo_state')
#                 _pessoa_id = __mkpmlpag_get_pessoa_id()
#                 _rec_pag = 'R'
#                 res = __mkpmlpag_verificar_se_baixa()
#                 if res:
#                     res, vb = __mkpmlpag_montar_baixa()
#                     valor_pagar_receber += vb
#             resultados.append(res)
#             if dados_pagamento.get('mkpmlpag_frete_recebido'):
#                 _vl_juros = _vl_descontos = 0.0
#                 _valor = dados_pagamento.get('mkpmlpag_frete_recebido')
#                 _titulo_id = dados_pagamento.get('mkpmlpag_frete_rec_titulo_id') or False
#                 if isinstance(_titulo_id, (list, tuple)):
#                     _titulo_id = _titulo_id[0]
#                 _titulo_vlr = dados_pagamento.get('mkpmlpag_frete_rec_titulo_valor')
#                 _titulo_state = dados_pagamento.get('mkpmlpag_frete_rec_titulo_state')
#                 _pessoa_id = __mkpmlpag_get_pessoa_id()
#                 _rec_pag = 'R'
#                 res = __mkpmlpag_verificar_se_baixa()
#                 if res:
#                     res, vb = __mkpmlpag_montar_baixa()
#                     valor_pagar_receber += vb
#             resultados.append(res)
#             if dados_pagamento.get('mkpmlpag_frete_custo'):
#                 _vl_juros = _vl_descontos = 0.0
#                 _valor = dados_pagamento.get('mkpmlpag_frete_custo')
#                 _titulo_id = dados_pagamento.get('mkpmlpag_frete_pag_titulo_id') or False
#                 if isinstance(_titulo_id, (list, tuple)):
#                     _titulo_id = _titulo_id[0]
#                 _titulo_vlr = dados_pagamento.get('mkpmlpag_frete_pag_titulo_valor')
#                 _titulo_state = dados_pagamento.get('mkpmlpag_frete_pag_titulo_state')
#                 _pessoa_id = __mkpmlpag_get_pessoa_id()
#                 _rec_pag = 'P'
#                 res = __mkpmlpag_verificar_se_baixa()
#                 if res:
#                     res, vb = __mkpmlpag_montar_baixa()
#                     valor_pagar_receber += vb
#             resultados.append(res)
#             if dados_pagamento.get('mkpmlpag_tarifa_ml'):
#                 _vl_juros = _vl_descontos = 0.0
#                 _valor = dados_pagamento.get('mkpmlpag_tarifa_ml')
#                 _titulo_id = dados_pagamento.get('mkpmlpag_tarifa_titulo_id') or False
#                 if isinstance(_titulo_id, (list, tuple)):
#                     _titulo_id = _titulo_id[0]
#                 _titulo_vlr = dados_pagamento.get('mkpmlpag_tarifa_titulo_valor')
#                 _titulo_state = dados_pagamento.get('mkpmlpag_tarifa_titulo_state')
#                 _pessoa_id = __mkpmlpag_get_pessoa_id()
#                 _rec_pag = 'P'
#                 res = __mkpmlpag_verificar_se_baixa()
#                 if res:
#                     res, vb = __mkpmlpag_montar_baixa()
#                     valor_pagar_receber += vb
#             resultados.append(res)
#             if titulos_para_baixa:
#                 vals_pagamentos = dict(
#                     tesouraria_conta_id=dados_parametros.get('finpar_ml_conta_tesouraria_id'),
#                     forma_pagamento_id=dados_parametros.get('finpar_ml_forma_pgto_id'),
#                     condicao_tipo=condicao_tipo,
#                     valor=valor_pagar_receber,
#                     pessoa_id=_pessoa_id)
#                 res_baixa = obj_financeiro_utils.financ_baixar_titulo(
#                     cr, uid,
#                     futl_bxti_titulos=titulos_para_baixa,
#                     futl_bxti_data_pagamento=dados_pagamento.get('write_date'),
#                     ftul_bxti_forma_pgto_id=dados_parametros.get('finpar_ml_forma_pgto_id'),
#                     futl_bxti_tesouraria_conta_id=dados_parametros.get('finpar_ml_conta_tesouraria_id'),
#                     futl_bxti_baixa_multipla=True,
#                     futl_bxti_pagamento_dados=[vals_pagamentos],
#                     context=context)
#             if not False in resultados:
#                 self.unlink(cr, uid, dados_pagamento.get('id'), context=context)
#         return True
#
#
