# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class estoque_parametro(osv.Model):
    _inherit = 'estoque.parametro'
    _columns = {
        'estpar_mkpml_email_pedido_novo': fields.many2one('mkpml.emails', 'Novo pedido',
                                                       help='E-mail emitido na entrada de novos pedidos'),
        'estpar_mkpml_email_pedido_enviado': fields.many2one('mkpml.emails', 'Pedido enviado',
                                                          help='E-mail emitido quando o pedido for emitido'),
        'estpar_mkpml_email_pedido_entregue': fields.many2one('mkpml.emails', 'Pedido entregue',
                                                           help='E-mail emitido quando o pedido for entregue'),
        'estpar_mkpml_email_rastreamento': fields.many2one('mkpml.emails', 'Rastreamento',
                                                        help='E-mail emitido na atualizacao do rastreamento'),
        'estpar_mkpml_email_conta': fields.char('Conta de email', size=64, help='Conta de e-mail a ser utilizada no envio dos emails'),
        'estpar_mkpml_email_senha': fields.char('Senha da conta', size=64, help='Senha da conta de e-mail'),

    }
    _defaults = {
    }
