# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv

class estoque_img_produto(osv.Model):
    _inherit = 'estoque_img.produto'

    def estimg_imagem_mkp(self, cr, uid, imagem_id, mkp_codigo, force = False, context={}):
        """
        Função para cadastrar imagens nos Marketplaces se não existir ou para retornar o id da imagem
        Deverá ser sobrescrito pelos métodos de cada Marketplace
        @param cr:
        @param uid:
        @param imagem_id: integer. id da imagen da classe mkp_produto_marketplace_imagens
        @param mkp_codigo: char codigo do marketplace
        @param context:
        @return: char Codigo da imagem no Mkp
        """
        context = context and context.copy() or {}
        brw_img = self.browse(cr, uid, id, imagem_id)
        if mkp_codigo == 'MerLiv':
            # if brw_img.mkprmkimg_produto_mkp_id.mkpromkp_marketplace_id.mkpmkp_codigo == mkp_codigo:
                res = self.pool.get('mkp.merliv').estimg_imagem_cadastrar_ml(cr, uid, imagem_id, force, context=context)
        return res

