# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
from ....marketplace.control.utils import configuracao
from openerp.tools import config


class mkp_contas(osv.Model):
    _inherit = 'mkp.contas'

    def mkpcta_ml_btn_logar(self, cr, uid, ids, context=None):
        if ids:
            dados_conta = self.read(cr, uid, ids[0], [], context=context)
            conta_id = dados_conta.get('id')
            _url = self.pool.get('mkp.merliv').mkpMerLiv_autenticar(cr, uid, conta_id)
            c = configuracao('marketplace_ml', dados_conta.get('mkpcta_ml_user_id'))
            c.secreto = dados_conta.get('mkpcta_ml_secret_key')
            c.user_id = dados_conta.get('mkpcta_ml_user_id')
            c.server = dados_conta.get('mkpcta_host_erp')
            c.base = dados_conta.get('mkpcta_banco_erp')
            c.redirect = dados_conta.get('mkpcta_ml_redirect_url')
            c.conta_id = dados_conta.get('id')
            c.app_id = dados_conta.get('mkpcta_ml_app_id')
            c.gravarConfiguracao()

            c = configuracao('marketplace', dados_conta.get('mkpcta_banco_erp'))
            c.db_user = config.options.get('db_user')
            c.db_password = config.options.get('db_password') or None
            c.db_host = config.options.get('db_host') or ''
            c.db_port = config.options.get('db_port') or '5432'
            c.gravarConfiguracao()
        return {
            "type": "ir.actions.act_url",
            "url": _url,
            "target": "new",
        }
