# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class mkp_contas(osv.Model):
    _inherit = 'mkp.contas'
    _columns = {
        'mkpcta_ml_app_id': fields.char('App ID:', size=25, help='App ID do mercado livre'),
        'mkpcta_ml_secret_key': fields.char('Secret Key', size=64, help='Secret Key do mercado livre'),
        'mkpcta_ml_user_id': fields.char('User ID', size=24, help='User_id do mercado livre'),
        'mkpcta_ml_token': fields.char('Token', size=256, help='Token do mercado livre'),
        'mkpcta_ml_refresh_token': fields.char('Refresh Token', size=256, help='Refresh Token do mercado livre'),
        'mkpcta_ml_code': fields.char(string='Code', size=256),
        'mkpcta_ml_redirect_url': fields.char('Redirect URL', size=256,
                                              help='URL para que o mercado livre redirecione a autenticacao'),
        'mkpcta_ml_coletas': fields.boolean('Participa do coletas'),
        'mkpcta_ml_mshop_separado': fields.boolean('Tratar anuncios M.L. separado do mShops'),
    }