# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
from ....marketplace.control.utils import configuracao
from openerp.tools import config
from openerp.tools.translate import _

class mkp_contas(osv.Model):
    _inherit = 'mkp.contas'

    def mkpcta_ol_btn_get_seller_id(self, cr, uid, ids, context=None):
        _spg = self.pool.get
        if ids:
            dados_conta = self.read(cr, uid, ids[0], [], context=context)
            conta_id = dados_conta.get('id')
            _seller_id = _spg('mkp.olist').mkpOlist_get_seller_id(cr, uid, conta_id)
            vals = {'mkpcta_ol_seller_id': _seller_id}
            self.write(cr, uid, ids[0], vals, context=context)
            if not dados_conta.get('mkpcta_ol_seller_id'):
                raise osv.except_osv(_('Atencao'), _('Seller_id do olist não cadastrado!'))
            c = configuracao('marketplace_olist', dados_conta.get('mkpcta_ol_seller_id'))
            # c.secreto = dados_conta.get('mkpcta_ol_secret_key')
            c.user_id = dados_conta.get('mkpcta_ol_user_email')
            c.server = dados_conta.get('mkpcta_host_erp')
            c.base = dados_conta.get('mkpcta_banco_erp')
            c.redirect = dados_conta.get('mkpcta_ol_redirect_url')
            c.conta_id = dados_conta.get('id')
            c.shop_id = dados_conta.get('mkpcta_ol_client_id')
            c.gravarConfiguracao()

            c = configuracao('marketplace', dados_conta.get('mkpcta_banco_erp'))
            c.db_user = config.options.get('db_user')
            c.db_password = config.options.get('db_password') or None
            c.db_host = config.options.get('db_host') or ''
            c.db_port = config.options.get('db_port') or '5432'
            c.gravarConfiguracao()
        return True

    def mkpcta_ol_btn_logar(self, cr, uid, ids, context=None):
        _spg = self.pool.get
        if ids:
            dados_conta = self.read(cr, uid, ids[0], [], context=context)
            conta_id = dados_conta.get('id')
            _url = _spg('mkp.olist').mkpOlist_autenticar(cr, uid, conta_id)
            if not dados_conta.get('mkpcta_ol_secret_key'):
                raise osv.except_osv(_('Atencao'), _('Secrect Key não cadastrada!'))
            c = configuracao('marketplace_olist', dados_conta.get('mkpcta_ol_secret_key'))
            # c.secreto = dados_conta.get('mkpcta_ol_secret_key')
            c.user_id = dados_conta.get('mkpcta_ol_user_email')
            c.server = dados_conta.get('mkpcta_host_erp')
            c.base = dados_conta.get('mkpcta_banco_erp')
            c.redirect = dados_conta.get('mkpcta_ol_redirect_url')
            c.conta_id = dados_conta.get('id')
            c.shop_id = dados_conta.get('mkpcta_ol_client_id')
            c.gravarConfiguracao()

            c = configuracao('marketplace', dados_conta.get('mkpcta_banco_erp'))
            c.db_user = config.options.get('db_user')
            c.db_password = config.options.get('db_password') or None
            c.db_host = config.options.get('db_host') or ''
            c.db_port = config.options.get('db_port') or '5432'
            c.gravarConfiguracao()
        return {
            "type": "ir.actions.act_url",
            "url": _url,
            "target": "new",
        }
