# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class mkp_contas(osv.Model):
    _inherit = 'mkp.contas'
    _columns = {
        'mkpcta_ps_chave_id': fields.char('Chave da conta webservice:', size=40, help='Chave autorizada no PrestaShop'),
        'mkpcta_ps_site': fields.char('Site', size=64, help='Endereco do site'),
        'mkpcta_ps_comisao_mkp': fields.float('Comissao do Marketplace', digits=(2,2)),
        'mkpcta_ps_ultima_order': fields.integer('Ultimo pedido'),
        'mkpcta_ps_status_enviado': fields.many2one('mkpps.order.status', 'Status p/pedido enviado'),
        'mkpcta_ps_status_faturado': fields.many2one('mkpps.order.status', 'Status p/pedido Faturado'),
        'mkpcta_ps_status_entregue': fields.many2one('mkpps.order.status', 'Status p/pedido Entregue'),

    }