# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################
#
from openerp.osv import osv, fields


class mkpps_formas_pagto(osv.Model):

    _name = 'mkpps.formas.pagto'
    _columns = {
        'mkppsfpg_conta_id': fields.many2one('mkp.contas', 'Conta', required=True, select=True,
                                             domain="[('mkpcta_integrador', '=', 'PrtShp')]"),
        'name': fields.char('Descricao', size=40, required=1),
        'mkppsfpg_forma_pgto_id': fields.many2one('adm.condicao.forma',"Condicoes de Pagamento", select=True),
    }