# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
from time import strftime
from openerp.tools.translate import _


class estoqueressuprimento_requisicao_capa(osv.Model):
    _inherit = 'estoqueressuprimento.requisicao.capa'

    def resrca_atualizar_saldo_anuncio(self, cr, uid, ids, context=None):
        """
        Atualizar saldo dos anuncios dos itens da requisicao
        """
        _spg = self.pool.get
        if not isinstance(ids, (list,tuple)):
            ids = [ids]
        produto_ids = []
        for brw_requisicao in self.browse(cr, uid, ids, context=context):
            for brw_itens in brw_requisicao.requisicao_itens_ids:
                produto_ids.append(brw_itens.produto_id.id)
        _spg('mkp.utils').mkputl_atualizar_saldo_anuncios(cr, uid, produto_ids, context=context)
        return True

    def button_aprovado(self, cr, uid, ids, context=None):
        res = super(estoqueressuprimento_requisicao_capa, self).button_aprovado(cr, uid, ids, context=context)
        self.resrca_atualizar_saldo_anuncio(cr, uid, ids, context=context)
        return res

    def button_cancelado(self, cr, uid, ids, context=None):
        res = super(estoqueressuprimento_requisicao_capa, self).button_cancelado(cr, uid, ids, context=context)
        self.resrca_atualizar_saldo_anuncio(cr, uid, ids, context=context)
        return res
