# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class mkp_contas(osv.Model):
    _inherit = 'mkp.contas'
    _columns = {
        'mkpcta_shopee_redirect_url': fields.char('Redirect URL', size=256,
                                              help='URL para que o Shopee redirecione a autenticacao'),
        'mkpcta_shopee_shop_id': fields.integer('Shop ID', help='Informe o shop_id do Shopee'),
        'mkpcta_shopee_partner_id': fields.integer('Partner ID', help='Informe o partner_id do Shopee'),
        'mkpcta_shopee_partner_key': fields.char('Secret Key', size=64, help='Informe o partner_key da conta do Shopee'),
        'mkpcta_shopee_token': fields.char('Token', size=256, help='Token do Shopee'),
        'mkpcta_shopee_refresh_token': fields.char('Refresh Token', size=256, help='Refresh Token do Shopee'),
        'mkpcta_shopee_code': fields.char(string='Code', size=256),
        'mkpcta_shopee_comisao_mkp': fields.float('Comissao do Marketplace', digits=(2,2)),
        'mkpcta_shopee_logistico_id': fields.many2one('mkp.logisticos', 'Operadora logistico', select=True,
                                                   domain="[('mkplog_marketplace_id', '=', mkpcta_marketplace_id)]"),
    }