# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class mkp_atributos(osv.Model):
    _inherit = 'mkp.atributos'

    def mkpatr_btn_exportar_um_atributo(self, cr, uid, ids, context=None):
        dados = super(mkp_atributos, self).mkpatr_btn_exportar_um_atributo(cr, uid, ids, context=context)
        if dados.get('mkp_integrador') == 'SkyHub':
            obj_marketplaces = self.pool.get('mkp.marketplaces')
            conta_ids = obj_marketplaces.search(cr, uid, [('mkpmkp_codigo','=',dados.get('mkp_integrador'))], context=context)
            vals = {
                'name': dados.get('dados').get('id_no_mkp'),
                'label': dados.get('dados').get('name'),
                'options': dados.get('dados').get('valores'),
            }
            result = self.pool.get('mkp.skyhub').mkpSkyHub_set_atributos(cr, uid, conta_ids[0], vals, context=context)
            if result.get('status'):
                vals_new = {'mkpatr_id_no_mkp': result.get('atribute_code')}
                self.write(cr, uid, ids, vals_new, context=context)
            return True
        return dados

