# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
from openerp.tools.translate import _


class mkp_categorias(osv.Model):
    _inherit = 'mkp.categorias'

    def _mkpcat_sh_categoria_enviar(self, cr, uid, id, _conta_id, _codigo, _categoria, context=None):
        context = context and context.copy() or {}
        obj_mkp_SkyHub = self.pool.get('mkp.skyhub')
        res = obj_mkp_SkyHub.mkpSkyHub_set_categories(cr, uid, id, _conta_id, _codigo, _categoria, context=context)
        if res and res.get('status') == False:
            raise osv.except_osv(_('Atencao!'),
                                 _('Nao consegui atualizar a categoria!\n%s' % res.get('mensagem')))
        if not _codigo: # Qdo for inclusao, o id no erp é o mesmo codigo que foi usado no marketplace
            _codigo = str(id)
        return _codigo

    def mkpcat_sh_categoria_atualizar(self, cr, uid, categ_ids, context=None):
        context = context and context.copy() or {}
        for brw_categoria in self.browse(cr, uid, categ_ids, context=context):
            _conta_id = False
            id = brw_categoria.id
            for brw_conta in brw_categoria.mkpcat_marketplace_id.mkpmkp_conta_ids:
                if brw_conta.mkpcta_integrador == 'SkyHub':
                    _conta_id = brw_conta.id
            _codigo =  brw_categoria.mkpcat_codigo
            _categoria = brw_categoria.mkpcat_descricao_completa
            res = self._mkpcat_sh_categoria_enviar(cr, uid, id, _conta_id, _codigo, _categoria, context=context)
            if not _codigo:
                self.write(cr, uid, id, {'mkpcat_codigo': id}, context=context)
        return res

    # def _mkpcat_sh_ajustar_codigo(self, cr, uid, ids, context={}):
    #     context = context and context.copy() or {}
    #     if not isinstance(ids, (list, tuple)):
    #         ids = [ids]
    #     for dados_read in self.read(cr, uid, ids, ['mkpcat_mkp_codigo'], context=context):
    #         if dados_read.get('mkpcat_mkp_codigo') == 'SkyHub':
    #             vals = {'mkpcat_codigo': dados_read.get('id')}
    #             context['mkpcat_ajustando_codigo'] = True # Contexto para evitar loop infinito
    #             self.write(cr, uid, dados_read.get('id'), vals, context=context)
    #     return True
    #
    # def create(self, cr, uid, vals, context=None):
    #     context = context and context.copy() or {}
    #     res = super(mkp_categorias, self).create(cr, uid, vals, context=context)
    #     if res:
    #         self._mkpcat_sh_ajustar_codigo(cr, uid, [res], context=context)
    #     return res
    #
    # def write(self, cr, uid, ids, vals, context=None):
    #     context = context and context.copy() or {}
    #     res = super(mkp_categorias, self).write(cr, uid, ids, vals, context=context)
    #     if vals.get('mkpcat_codigo') and not context.get('mkpcat_ajustando_codigo'):
    #         self._mkpcat_sh_ajustar_codigo(cr, uid, ids, context=context)
    #     return res
