# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class mkp_contas(osv.Model):
    _inherit = 'mkp.contas'
    _columns = {
        'mkpcta_sh_user_email': fields.char('User email', size=64, help='User email do SkyHub'),
        'mkpcta_sh_api_key': fields.char('Api Key:', size=64, help='Api key do SkyHub'),
        'mkpcta_sh_account_manager_key': fields.char('Secret Key', size=64, help='Acount Manager Key do SkyHub'),
        'mkpcta_sh_comisao_mkp': fields.float('Comissao do Marketplace', digits=(2,2)),
        'mkpcta_sh_site': fields.char('Site', size=64, help='Endereco do site'),
    }