# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
from openerp.tools.translate import _
from ....marketplace.control.utils import configuracao
from openerp.tools import config


class mkp_contas(osv.Model):
    _inherit = 'mkp.contas'

    def mkpcta_supercampo_btn_get_code(self, cr, uid, ids, context=None):
        _spg = self.pool.get
        if ids:
            dados_conta = self.read(cr, uid, ids[0], [], context=context)
            conta_id = dados_conta.get('id')
            c = configuracao('marketplace_supercampo', str(dados_conta.get('mkpcta_supercampo_shop_id')))
            c.mkp_senha = dados_conta.get('mkpcta_supercampo_senha')
            c.mkp_conta = dados_conta.get('mkpcta_supercampo_conta')
            # c.server = dados_conta.get('mkpcta_host_erp')
            # c.base = dados_conta.get('mkpcta_banco_erp')
            # c.redirect = dados_conta.get('mkpcta_supercampo_redirect_url')
            c.conta_id = dados_conta.get('id')
            # c.shop_id = str(dados_conta.get('mkpcta_supercampo_shop_id'))
            c.gravarConfiguracao()

            c = configuracao('marketplace', dados_conta.get('mkpcta_banco_erp'))
            c.db_user = config.options.get('db_user')
            c.db_password = config.options.get('db_password') or None
            c.db_host = config.options.get('db_host') or ''
            c.db_port = config.options.get('db_port') or '5432'
            c.gravarConfiguracao()
            res = _spg('mkp.supercampo').mkpSupercampo_autenticar(cr, uid, conta_id, context=context)
            return res

    def mkpcta_supercampo_btn_get_categories(self, cr, uid, ids, context=None):
        _spg = self.pool.get
        def __setCategorias(categorias):
            mkp_id = _spg('mkp.contas').read(cr, uid, ids[0], ['mkpcta_marketplace_id'], context=context).get('mkpcta_marketplace_id')[0]
            for categoria in categorias:
                code = str(categoria.get('id'))
                name = categoria.get('name')
                args = [('mkpcat_marketplace_id', '=', mkp_id),
                        ('mkpcat_codigo', '=', code)]
                categ_ids = _spg('mkp.categorias').search(cr, uid, args, context=context)
                if not categ_ids:
                    vals = {
                        'mkpcat_marketplace_id': mkp_id,
                        'mkpcat_codigo': code,
                        'name': name
                    }
                    _parent_id = _spg('mkp.categorias').create(cr, uid, vals, context=context)
                else:
                    _parent_id = categ_ids[0]
                for filha in categoria.get('filhas'):
                    code = str(filha.get('id'))
                    name = filha.get('name')
                    args = [('mkpcat_marketplace_id', '=', mkp_id),
                            ('mkpcat_codigo', '=', code)]
                    categ_ids = _spg('mkp.categorias').search(cr, uid, args, context=context)
                    if not categ_ids:
                        vals = {
                            'mkpcat_marketplace_id': mkp_id,
                            'mkpcat_codigo': code,
                            'name': name,
                            'parent_id': _parent_id
                        }
                        _spg('mkp.categorias').create(cr, uid, vals, context=context)
            return True

        if ids:
            dados_conta = self.read(cr, uid, ids[0], [], context=context)
            conta_id = dados_conta.get('id')
            resp = _spg('mkp.supercampo').mkpSupercampo_get_categorias(cr, uid, conta_id)
            if resp.get('status'):
                __setCategorias(resp.get('categorias'))
            else:
                raise osv.except_osv(_('Atencao'), _('Erro ao buscar as categorias.\nErro informado:\n%s') % resp.get('mensagem'))
        return True

