# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class mkp_contas(osv.Model):
    _inherit = 'mkp.contas'
    _columns = {
        'mkpcta_supercampo_conta': fields.char('Conta', size=64, help='Informe a conta do Supercampo'),
        'mkpcta_supercampo_senha': fields.char('Senha', size=34, help='Informe a senha da conta do Supercampo'),
        'mkpcta_supercampo_token': fields.char('Token', size=256, help='Token do Supercampo'),
        'mkpcta_supercampo_refresh_token': fields.char('Refresh Token', size=256, help='Refresh Token do Supercampo'),
        'mkpcta_supercampo_comissao_mkp': fields.float('Comissao do Marketplace', digits=(2,2)),
        'mkpcta_supercampo_deposito_id': fields.integer('Deposito Id'),
    }