#!/usr/bin/python
# -*- coding: utf-8 -*-

from openerp.osv import osv, fields
from openerp.tools.translate import _
from SigUtils import numero

class wizard_mkp_faturamento_pedido_capa(osv.Model):
    _inherit = 'wizard.mkp.faturamento.pedido.capa'

    def wizfpd_ver_se_pedidos_ok(self, cr, uid, brw_pedido):
        """
        Metodo para verificar se todos pedisos estão pagos, deve ser sobrescrito por metodo de cada marketplace.
        Se retornar um False, não deixar faturar
        :param cr:
        :param uid:
        :param brw_pedido:  browse do pedido
        :return: True-Tudo ok / False-Nao faturar
        """
        res = super(wizard_mkp_faturamento_pedido_capa, self).wizfpd_ver_se_pedidos_ok(cr, uid, brw_pedido)
        if not res:
            return res
        if brw_pedido.pedcap_integrador == 'Tray':
            if brw_pedido.pedcap_mkp_status not in  ('A ENVIAR', 'A ENVIAR YAPAY', 'A ENVIAR VINDI'):
                res = False
        return res
