# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2019 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2019, Creative Commons
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""


def _fisnfc_get_modelo_nf(self, cr, user, ids, field, args, context=None):
    context = context and context.copy() or {}
    result = {}.fromkeys(ids, '')
    if hasattr(self.__class__, '_fisnfc_get_modelo_nf'):
        result = super(self.__class__, self)._fisnfc_get_modelo_nf(
            cr, user, ids, field, args, context)
    else:
        for res in self.read(cr, user, ids, ['modelo_nf_series_id'], context, '_classic_write'):
            if res['modelo_nf_series_id']:
                mod = res['modelo_nf_series_id'] and self.pool.get('fiscal.modelo.nf.series').read(
                    cr, user, res['modelo_nf_series_id'], ['modelo_nf_id'], context,
                    '_classic_write')
                mod = mod['modelo_nf_id'] and self.pool.get('fiscal.modelo.nf').read(
                        cr, user, mod['modelo_nf_id'], ['fismnf_codigo'], context)
                result[res['id']] = mod and mod['fismnf_codigo'] or ''

    return result


def _fisnfc_search_modelo_nf(self, cr, user, obj, name, args, context=None):
    context = context and context.copy() or {}
    nf_dados = _fisnfc_get_modelo_nf(
        obj, cr, user, obj.search(cr, user, [],  context=context), name, args, context)

    return [('id', 'in', [nf[0] for nf in filter(lambda f: args[0][2] in f[1], nf_dados.items())])]

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
