# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2019 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2019, Creative Commons
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""


def _mmodr_total_fornecimento(self, cr, user, ids, name, arq, context=None):
    """Totais de fornecimento"""
    context = context and context.copy() or {}
    result = {}
    fields = ['mmodr_municipio_descarrega_ids']
    for mmodr in self.read(cr, user, ids, fields, context, '_classic_write'):
        result[mmodr['id']] = {
            'mmodr_qtde_total_cte': self.mmodr_get_qtde_total_cte(
                cr, user, mmodr['mmodr_municipio_descarrega_ids'], context),
            'mmodr_qtde_total_nfe': self.mmodr_get_qtde_total_nfe(
                cr, user, mmodr['mmodr_municipio_descarrega_ids'], context),
            'mmodr_qtde_total_nf': self.mmodr_get_qtde_total_nf(
                cr, user, mmodr['mmodr_municipio_descarrega_ids'], context),
            'mmodr_valor_total': self.mmodr_get_valor_total_mercadoria(
                cr, user, mmodr['mmodr_municipio_descarrega_ids'], context),
            'mmodr_peso_bruto_total': self.mmodr_get_peso_bruto_total(
                cr, user, mmodr['mmodr_municipio_descarrega_ids'], context),
        }

    return result

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
