# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
from openerp.tools.translate import _


class estoquepedidos_pedido_capa(osv.Model):
    _name = 'estoquepedidos.pedido.capa'
    _inherit = 'estoquepedidos.pedido.capa'

    def abrir_orcamento_pedido(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        obj = self.pool.get('estoquepedidos.pedido.capa')
        if isinstance(ids, list):
            ids = ids[0]
        orcamento_id = obj.browse(cr, uid, ids).orcamento_id.id
        if not orcamento_id:
            raise osv.except_osv(_('Atencao'), _('Orcamento nao gerado'))

        obj_model_data = self.pool.get('ir.model.data')
        reference = obj_model_data.get_object_reference(cr, uid, 'orcamentos', 'view_orcamentos_orcamento_capa_form')
        view_id = reference and reference[1] or False
        return {
            'name': 'Orcamento Gerado',
            'view_type': 'form',
            'view_mode': 'form',
            'view_id': [view_id],
            'res_model': 'orcamentos.orcamento.capa',
            'res_id': orcamento_id,
            'type': 'ir.actions.act_window',
        }
