# -*- encoding: utf-8 -*-

from openerp.osv import fields, osv
from datetime import datetime, date, timedelta
import time

AVAILABLE_STATE = [
    ('ES', 'Esboco'),
    ('EA', 'Em Avaliacao'),
    ('AV', 'Avaliado'),
    ('PE', 'Contactando Cliente/Fornecedor'),
    ('AP', 'Aprovado'),  # ate este status ele pode cancelar...
    ('RE', 'Reprovado'),
    ('EE', 'Em Execucao'),
    ('EX', 'Executado'),
    ('CR', 'Cliente Contactado.Aguardando Retirada'),
    ('AF', 'Faturada para Cliente'),
    ('FA', 'Faturada para Cliente/Fornecedor'),
    ('CA', 'Cancelado'),
    # deixar status abaixo, por causa dos tratamentos do crm
    ('draft', 'Draft'),
    ('open', 'Open'),
    ('cancel', 'Cancel'),
    ('done', 'Close'),
    ('pending', 'Pending'),
]

AVAILABLE_STATE_S = [
    ('ES', 'Esboco'),
    ('EA', 'Avaliacao'),  # ate este status pode cancelar
    ('AV', 'Avaliado'),
    ('AP', 'Aprovado'),
    ('RE', 'Reprovado'),
    ('EE', 'Em Execucao'),
    ('CL', 'Concluido'),
    ('CA', 'Cancelado'),
    ('FA', 'Faturado')
]


class ordem_servico_parametro(osv.Model):
    _name = 'ordem_servico.parametro'
    _inherit = 'ordem_servico.parametro'

    def create(self, cr, uid, vals, context=None):
        context = context and context.copy() or {}
        res = super(ordem_servico_parametro, self).create(cr, uid, vals, context=context)
        return res
