# -*- encoding: utf-8 -*-

from openerp.osv import fields, osv

class rma_equipamento_adicionado(osv.Model):

    _name = "rma.equipamento_adicionado"
    _inherit = "rma.equipamento_adicionado"
   
    def onchange_produto(self, cr, uid, ids, produto_id, quantidade, context=None):
        context = context and context.copy() or {}
        ret = {'value':{}}
        if produto_id:
            grade_id = self.pool.get('estoque.produto').read(cr, uid, produto_id, ['produto_grade_ids'], context=context)
###########  [{'produto_grade_ids': [4], 'codigo': u'2', 'id': 4}]
            if isinstance(grade_id, list):
                grade_id = grade_id[0]
            if isinstance(grade_id, dict):
                if grade_id.get('produto_grade_ids'):
                    try:
                        grade_id = grade_id['produto_grade_ids']
                    except:
                        grade_id = []
                    if len(grade_id) == 1:
                        grade_id = grade_id[0]
            else:
                grade_id = []
            produto_serie = self.pool.get('estoqueserie.produto').search(cr, uid,[('produto_id','=',produto_id)], context=context)
            if produto_serie:
                ret['value']['quantidade'] = 1
                ret['value']['teste']=True
            else:
                ret['value']['teste']=False
            ret['value']['grade_id'] = grade_id
            return ret
        
    def onchange_numero_serie(self, cr, uid, ids,numero_serie,produto_id, context=None):
        context = context and context.copy() or {}
        res={}
        warning ={}
        produto = self.pool.get('estoqueserie.produto').search(cr, uid,[('produto_id','=',produto_id)], context=context)
        if produto:
            cont = 0 
            for x in produto:
                numero_id = self.pool.get('estoqueserie.produto').read(cr, uid, x,['nro_serie'], context=context)['nro_serie']
                if numero_id != numero_serie:
                    cont+=1
            if cont == len(produto):
                warning ['title']=  'Atencao'
                warning ['message']= 'Nao contem este numero cadastrado como serie do produto.'
                numero_serie=''  
            res['numero_serie']= numero_serie
            res['produto_id']= produto_id
        return {'value':res,'warning': warning}    
    
    def create(self,cr,uid,vals,context=None):
        context = context and context.copy() or {}
        if vals['produto_id']:
            produto_serie = self.pool.get('estoqueserie.produto').search(cr, uid,[('produto_id','=',vals['produto_id'])], context=context)
        return super(rma_equipamento_adicionado, self).create(cr, uid, vals,context=context)

