# -*- encoding: utf-8 -*-

from openerp.osv import fields, osv
from datetime import datetime, date, timedelta
import time


AVAILABLE_STATE = [
    ('ES','Esboco'),
    ('EA', 'Em Avaliacao'),
    ('AV', 'Avaliado'),
    ('PE', 'Contactando Cliente/Fornecedor'),
    ('AP', 'Aprovado'),#ate este status ele pode cancelar...
    ('RE', 'Reprovado'),
    ('EE', 'Em Execucao'),
    ('EX', 'Executado'),
    ('CR', 'Cliente Contactado.Aguardando Retirada'),
    ('AF','Faturada para Cliente'),
    ('FA','Faturada para Cliente/Fornecedor'),
    ('CA', 'Cancelado'),
    #deixar status abaixo, por causa dos tratamentos do crm
    ('draft', 'Draft'),
    ('open', 'Open'),
    ('cancel', 'Cancel'),
    ('done', 'Close'),
    ('pending', 'Pending'),
]

AVAILABLE_STATE_S=[
    ('ES', 'Esboco'),
    ('EA', 'Avaliacao'),#ate este status pode cancelar
    ('AV', 'Avaliado'),
    ('AP', 'Aprovado'),
    ('RE', 'Reprovado'),
    ('EE', 'Em Execucao'),
    ('CL','Concluido'),
    ('CA', 'Cancelado'),
    ('FA','Faturado')
]

class rma_produto(osv.Model):

    _name = "rma.produto"
    _inherit = "rma.produto"

    def onchange_produto(self, cr, uid, ids,produto_id, context=None):
        context = context and context.copy() or {}
        ret = {'value':{}}
        if produto_id:
            controle_serie = self.pool.get('estoque.produto').fields_get(cr,uid,['controle_ns'])
            if controle_serie.get('controle_ns'):
                controle_serie_id = self.pool.get('estoque.produto').read(cr, uid, produto_id,['controle_ns'], context=context)
                controle_serie_id = controle_serie_id[0]['controle_ns']
                if controle_serie_id != False:
                    if controle_serie_id == 'NC':
                        ret['value']['flag']=True
                    elif controle_serie_id == 'NS':
                        ret['value']['flag']=True
                    elif controle_serie_id == 'SN':
                        ret['value']['flag']=False
                    else:
                        ret['value']['flag']=False
        return ret

    def onchange_numero_serie(self, cr, uid, ids,numero_serie,produto_id, context=None):
        context = context and context.copy() or {}
        res={}
        warning ={}
        obj_serie = self.pool.get('estoqueserie.produto')
        if obj_serie:
            produto = obj_serie.search(cr, uid,[('produto_id','=',produto_id)], context=None)
            if produto <> []:
                cont = 0
                for x in produto:
                    numero_id = obj_serie.read(cr, uid, x,['nro_serie'], context=context)['nro_serie']
                    if numero_id != numero_serie:
                        cont+=1
                if cont == len(produto):
                    warning ['title']=  'Atencao'
                    warning ['message']= 'Nao contem este numero cadastrado como serie do produto.'
                    numero_serie=''
                res['numero_serie']= numero_serie
                res['produto_id']= produto_id
        return {'value':res,'warning': warning}
