# -*- encoding: utf-8 -*-

from openerp.osv import osv


class estoque_produto(osv.Model):
    _name = 'estoque.produto'
    _inherit = 'estoque.produto'

    def search(self, cr, uid, args, offset=0, limit=None, order=None, context=None, count=False):
        context = context and context.copy() or {}
        if context.get('ordem_servico'):
            res = []
            if context.get('categ_id'):
                try:
                    categoria_id = context['categ_id']
                except:
                    categoria_id = []
                if categoria_id:
                    categoria = self.pool.get('crm_br.case.categ').read(cr, uid, categoria_id, ['name'],
                                                                        context=context)
                    if isinstance(categoria, list):
                        categoria = categoria[0]
                    if isinstance(categoria, dict):
                        if categoria.get('name'):
                            args = []
                            if context.get('equipamento'):
                                args = [('tipo', '=', 'P')]
                            categoria = categoria['name'].encode('utf-8')
                            # "VISITA TÉCNICA"
                            # produtos - nenhum
                            # servicos - todos
                            if categoria == "Visita Tecnica":
                                res = super(estoque_produto, self).search(cr, uid, args, context=context)
                            # GARANTIA DO FORNECEDOR
                            # produtos - somente do fornecedor
                            # servicos - somente do fornecedor
                            elif categoria == "Garantia Fornecedor":
                                #                CONTEXT DO PRODUTO {'active_ids': [], 'categ_id': 1, 'ordem_servico_fabricante': False, 'active_id': False}
                                obj_forncedor_servico = self.pool.get('financeiro.fornecedores.servico.pagamento')
                                fornec_servico_ids = obj_forncedor_servico.search(cr, uid, [
                                    ('fornecedor_id', '=', context.get('ordem_servico_fabricante'))], context=context)
                                if fornec_servico_ids:
                                    servicos = obj_forncedor_servico.read(cr, uid, fornec_servico_ids, ['servico_id'],
                                                                          context=context)
                                    #                    [{'id': 1, 'servico_id': (1, u'1 - FORMATACAO')}, {'id': 2, 'servico_id': (2, u'4 - INSTALACAO DE REDE')}]
                                    servico_ids = []
                                    for i in servicos:
                                        try:
                                            servico_id = i['servico_id'][0]
                                        except:
                                            servico_id = []
                                        if servico_id:
                                            servico_ids.append(servico_id)
                                    res = servico_ids
                            # GARANTIA LOJA
                            # produtos - nf
                            # servicos - nf
                            elif categoria == "Garantia Loja":
                                obj_nf_itens = self.pool.get('estoque.movimento.itens')
                                search_nf_itens_id = obj_nf_itens.search(cr, uid,
                                                                         [('nf_id', '=', context.get('nf_id', 0))],
                                                                         context=context)
                                if search_nf_itens_id:
                                    search_nf_itens_id = obj_nf_itens.read(cr, uid, search_nf_itens_id, ['produto_id'],
                                                                           context=context)
                                    nf_itens_ids = []
                                    for i in search_nf_itens_id:
                                        try:
                                            item_id = i['produto_id'][0]
                                        except:
                                            item_id = []
                                        if item_id:
                                            nf_itens_ids.append(item_id)
                                    res = self.pool.get('estoque.produto').search(cr, uid, [('id', 'in', nf_itens_ids)],
                                                                                  context=context)
                            # "CONSERTO":
                            # produtos - todos
                            # servicos - todos
                            elif categoria == "Conserto":
                                res = super(estoque_produto, self).search(cr, uid, args, context=context)
                    return res
        return super(estoque_produto, self).search(cr, uid, args, offset, limit, order, context=context, count=count)
