# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from datetime import datetime, date, timedelta
import time

#Funcoes da classe ordem_servico_log
def _calcula_atendimento(self, cr, uid, ids, name, arg, context=None):
    context = context and context.copy() or {}
    res = {}
    #vals = self.read(cr, uid, ids, ['case_id', 'name', 'date'])
    vals = self.browse(cr, uid, ids)
    for x in vals:
        caso = x.ordem_id.id
        data_ant = x.ordem_id.date
        acao = 'Abrir'
        data_hoje = x.date
        res[x.id] = 0.0
        ids_2 = self.search(cr, uid, [('ordem_id', '=', caso), ('date', '<', data_hoje)], context=context)
        if ids_2:
            vals_ant = self.read(cr, uid, ids_2[0], ['date', 'name'], context=context)
            data_ant = vals_ant['date']
            acao = vals_ant['name'].encode('utf-8')

        if (acao == 'Escalada') or (acao == 'Pendente') or (acao == 'Esboco'):
            res[x.id] = 0.0
        else:
            dat_hj = datetime.fromtimestamp(time.mktime(time.strptime(data_hoje, "%Y-%m-%d %H:%M:%S")))
            dt_ant = datetime.fromtimestamp(time.mktime(time.strptime(data_ant, "%Y-%m-%d %H:%M:%S")))
            rs = dat_hj - dt_ant
            #print '-->', rs.days * 24 + (float(rs.seconds) / 3600)
            res[x.id] = rs.days * 24 + (float(rs.seconds) / 3600)
    return res
