# -*- encoding: utf-8 -*-

from openerp.osv import fields, osv
from datetime import datetime, date, timedelta
import time


AVAILABLE_STATE = [
    ('ES','Esboco'),
    ('EA', 'Em Avaliacao'),
    ('AV', 'Avaliado'),
    ('PE', 'Contactando Cliente/Fornecedor'),
    ('AP', 'Aprovado'),#ate este status ele pode cancelar...
    ('RE', 'Reprovado'),
    ('EE', 'Em Execucao'),
    ('EX', 'Executado'),
    ('CR', 'Cliente Contactado.Aguardando Retirada'),
    ('AF','Faturada para Cliente'),
    ('FA','Faturada para Cliente/Fornecedor'),
    ('CA', 'Cancelado'),
    #deixar status abaixo, por causa dos tratamentos do crm
    ('draft', 'Draft'),
    ('open', 'Open'),
    ('cancel', 'Cancel'),
    ('done', 'Close'),
    ('pending', 'Pending'),
]

AVAILABLE_STATE_S=[
    ('ES', 'Esboco'),
    ('EA', 'Avaliacao'),#ate este status pode cancelar
    ('AV', 'Avaliado'),
    ('AP', 'Aprovado'),
    ('RE', 'Reprovado'),
    ('EE', 'Em Execucao'),
    ('CL','Concluido'),
    ('CA', 'Cancelado'),
    ('FA','Faturado')
]
class ordem_servico_parametro(osv.Model):

    _name = 'ordem_servico.parametro'
    _columns = {
        'company_id' : fields.many2one("res.company", 'Empresa', ondelete="cascade", required=True, select=True), # Id da empresa
        'tempo_visita' : fields.float( 'Tempo Medio de Visita Tecnica', required=True), # Horas planejadas
        'parametro_id':fields.many2one('ordem.servico', ondelete="restrict"),
        'prazo_max_ret':fields.integer('Prazo Maximo da Retirada',size=3,help="Prazo Maximo da Retirada"),
        'prazo_max_cart':fields.integer('Prazo Maximo para envio de Carta',size=3,help="Prazo Maximo para envio de Carta"),
        'prazo_ret':fields.integer('Prazo maximo retirada',help="Prazo maximo para retirada"),
        'prazo_envio':fields.integer('Prazo maximo envio',help="Prazo maximo envio carta"),
                }
    _defaults={
        'tempo_visita': 0.0,
    }
