# -*- encoding: utf-8 -*-

from openerp.osv import fields, osv
from datetime import datetime, date, timedelta
import time


AVAILABLE_STATE = [
    ('ES','Esboco'),
    ('EA', 'Em Avaliacao'),
    ('AV', 'Avaliado'),
    ('PE', 'Contactando Cliente/Fornecedor'),
    ('AP', 'Aprovado'),#ate este status ele pode cancelar...
    ('RE', 'Reprovado'),
    ('EE', 'Em Execucao'),
    ('EX', 'Executado'),
    ('CR', 'Cliente Contactado.Aguardando Retirada'),
    ('AF','Faturada para Cliente'),
    ('FA','Faturada para Cliente/Fornecedor'),
    ('CA', 'Cancelado'),
    #deixar status abaixo, por causa dos tratamentos do crm
    ('draft', 'Draft'),
    ('open', 'Open'),
    ('cancel', 'Cancel'),
    ('done', 'Close'),
    ('pending', 'Pending'),
]

AVAILABLE_STATE_S=[
    ('ES', 'Esboco'),
    ('EA', 'Avaliacao'),#ate este status pode cancelar
    ('AV', 'Avaliado'),
    ('AP', 'Aprovado'),
    ('RE', 'Reprovado'),
    ('EE', 'Em Execucao'),
    ('CL','Concluido'),
    ('CA', 'Cancelado'),
    ('FA','Faturado')
]

class rma_servico(osv.Model):

    _name = "rma.servico"
    _recname= 'servico_id'
    _columns={
              'servico_id': fields.many2one('estoque.produto','Servico',domain="[('tipo','=','S')]", required=True, ondelete="cascade"),
              'funcionario_id': fields.many2one('rh.funcionario', 'Tecnico', ondelete="restrict"),
              'data_exec':fields.date('Data Execucao'),
              'ordem_id':fields.many2one('ordem.servico', ondelete="restrict"),
              'state':fields.selection(AVAILABLE_STATE_S, 'Status', size=2),
              'descricao':fields.text("Observacao"),
              'quantidade': fields.float("Tempo",required=True, help ="tempo de execucao do servico Ex: 1:30 "),
              }

    _defaults = {
                'state': lambda * a: 'ES',
                "quantidade":1,
                 }
