# -*- encoding: utf-8 -*-
from openerp.osv import fields, osv
from openerp.tools.translate import _
from datetime import date
import time
import sys

class rma_nf_ordens(osv.Model):

    _name = 'rma.nf.ordens'
    _description = 'Servico Fabricante Ordens'
    _rec_name = 'protocolo'
    _columns = {
        'protocolo':fields.many2one('ordem.servico', 'Nro Ordem', required=True, ondelete="restrict"),
        'data':fields.date('Data'),
        'processar':fields.boolean('Processar'),
        'rma_nf_id':fields.many2one('rma.nf', 'NF/RMA', ondelete="restrict")
    }
    _defaults = {
        'data': date.today().strftime('%d-%m-%Y'),
        'processar': False
    }
