# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class oservico_mecanico(osv.Model):
    """
    Cadastro de Tecnicos ou mecanicos
    """

    _name = 'oservico.mecanico'
    _inherits = {
        'rh.funcionario': 'osvmec_funcionario_id',
    }
    _description = 'Cadastro de Tecnicos ou mecanicos'
    _columns = {
        'osvmec_funcionario_id': fields.many2one('rh.funcionario', 'Funcionario', required=True,
                                                 ondelete='cascade'),
    }

