# -*- encoding: utf-8 -*-

import time
from datetime import datetime
from pytz import timezone
from openerp.osv import osv
from openerp import pooler
from openerp.report import report_sxw


class rel_ordem_servico(report_sxw.rml_parse):
    def __init__(self, cr, uid, name, context):
        super(rel_ordem_servico, self).__init__(cr, uid, name, context)
        tz = context.get('tz') or 'Brazil/East'
        self.localcontext.update({
            'hora_agora': datetime.now(timezone('UTC')).astimezone(timezone(tz)),
            'time': time
        })

        self.context = context


report_sxw.report_sxw('report.oservico.os', 'oservico.os', 'oservico/report/rel_ordem_servico.rml',
                      parser=rel_ordem_servico, header=False)

report_sxw.report_sxw('report.oservico.os.recibo', 'oservico.os',
                      'addons/oservico/report/rel_ordem_servico_recibo.rml',
                      parser=rel_ordem_servico, header=False)
