# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from openerp import pooler


class patrimonio_localizacao(osv.Model):
    """
    Tabela de localizacao dos bens

    prefixo: patloc_
    """
    _name = 'patrimonio.localizacao'
    _roteavel = True
    _columns = {
        'company_id': fields.many2one("res.company", 'Empresa', ondelete="cascade", required=True, select=True),
        'name': fields.char('Descricao', size=45, required=True), # Descricao da Localizacao do bem
        'bens_ids': fields.one2many('patrimonio.bens', 'localizacao_id', 'Bens'),
        'parent_id': fields.many2one('patrimonio.localizacao', 'Localizacao pai'),
    }
    _defaults = {
        'company_id': lambda s, cr, uid, c: s.pool.get('adm.empresa.objeto').getEmpresa(cr, uid, s._name, context=c),
    }


