# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class estoque_parametro(osv.Model):

    _name = 'estoque.parametro'
    _inherit = 'estoque.parametro'
    _columns = {
        'estpar_pcp_arquivo_receita': fields.text('Arquivo de receitas'),
        'estpar_local_almoxarifado_pcp_id': fields.many2one('estoque.local', 'Almoxarifado do pcp',
                                                            required=True),
        'estpar_operacao_pcp_perda_id': fields.many2one('estoque.natureza.operacao',
                                                        'Operacao p/ Perda de Producao'),
        'estpar_pcp_gerar_nota_fiscal': fields.boolean('Gerar Nota Fiscal',
                                                       help='Se marcado, a Ordem de Producao ira '
                                                            'gerar Nota Fiscal'),
        'estpar_atualizar_custo_fechamentoOP': fields.boolean('Atualizar custo fechamento OP',
                                                              help='Atualiza os custos ao fechar a'
                                                                   ' ordem de producao'),
        'estpar_pcp_gerar_requisicao_automatica': fields.boolean(
            'Gerar requisicao automatica', help='Se marcado, a requisicao e gerada automaticamente '
                                                'na Ordem de Producao.'),
        'estpar_pcp_incluir_op_aberta': fields.boolean(
            'Incluir OP aberta', help='Se marcado, ao gerar ordem de producao automatica, gera '
                                      'com o estado aberta.'),
    }


