#!/usr/bin/python
# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class fiscal_parametro(osv.Model):

    _inherit = 'fiscal.parametro'
    _name = 'fiscal.parametro'
    _columns = {
        'fispar_pcpopr_natureza_entrada_id': fields.many2one('fiscal.cfop.natureza', 'Natureza Entrada PCP',
                                                             ondelete='restrict', oldname="natureza_venda_id",
                                                             help="Natureza a ser utilizada na geracao de Nota Fiscal"),
        'fispar_pcpopr_natureza_saida_id': fields.many2one('fiscal.cfop.natureza', 'Natureza Saida PCP',
                                                           ondelete='restrict', oldname="natureza_venda_id",
                                                           help="Natureza a ser utilizada na geracao de Nota Fiscal"),
    }


