# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class pcp_conversao_capa(osv.Model):
    # prefixo: pcpcvc_
    _name = 'pcp.conversao.capa'
    _rec_name = 'pcpcvc_produto_id'
    _columns = {
        'pcpcvc_produto_id': fields.many2one('estoque.produto', 'Materia prima/insumo (destino)',
                                             select=True, ondelete='restrict'),
        'pcpcvc_grade_id': fields.many2one('estoque.produto.grade', 'Grade (destino)', select=True,
                                           ondelete='restrict',
                                           domain="[('produto_id', '=', pcpcvc_produto_id)]"),
        'pcpcvc_itens_ids': fields.one2many('pcp.conversao.itens', 'pcpcvi_capa_id', 'Itens'),
    }
