# -*- encoding: utf-8 -*-

import time

from openerp.osv import osv
from openerp import pooler
from openerp.report import report_sxw


class rel_impressao_resumida(report_sxw.rml_parse):
    _name = 'report.pcp.ficha.tecnica.capa.resumida'
    def __init__(self, cr, uid,name, context):
        super(rel_impressao_resumida, self).__init__(cr, uid, name, context)
        estoque_parametro_dados = self.pool.get('adm.utils').admutl_get_parametros(
            cr, uid, 'estoque', 'estpar_pcp_tipo_receita')
        tipo_receita = estoque_parametro_dados.get('estpar_pcp_tipo_receita')
        self.localcontext.update({
            'time': time,
            'tipo_receita': 'R',
        })

        self.context = context

class rel_impressao_completa(report_sxw.rml_parse):
    _name = 'report.pcp.ficha.tecnica.capa.completa'
    def __init__(self, cr, uid,name, context):
        super(rel_impressao_completa, self).__init__(cr, uid, name, context)
        estoque_parametro_dados = self.pool.get('adm.utils').admutl_get_parametros(
            cr, uid, 'estoque', 'estpar_pcp_tipo_receita')
        tipo_receita = estoque_parametro_dados.get('estpar_pcp_tipo_receita')
        self.localcontext.update({
            'time': time,
            'tipo_receita': 'C',
        })

        self.context = context

report_sxw.report_sxw('report.pcp.ficha.tecnica.capa.resumida', 'pcp.ficha.tecnica.capa', 'pcp/report/rel_quebra_receita_pcp.rml', parser=rel_impressao_resumida, header=False)

report_sxw.report_sxw('report.pcp.ficha.tecnica.capa.completa', 'pcp.ficha.tecnica.capa', 'pcp/report/rel_quebra_receita_pcp.rml', parser=rel_impressao_completa, header=False)
