# -*- encoding: utf-8 -*-

# Funcoes da classe wiz_pcp_planejamento_producao_automatico


def get_ficha_tec_id(cr, uid, id, context=None):
    context = context and context.copy() or {}
    sql = '''
                SELECT wizppi_ficha_tecnica_id as ficha_tec_id
                FROM wiz_pcp_planejamento_producao_automatico_itens
                WHERE id = %s
              ''' % (id)
    cr.execute(sql)
    ficha_tec_id = cr.dictfetchall()
    if ficha_tec_id and isinstance(ficha_tec_id, list):
        ficha_tec_id = ficha_tec_id[0]
    if ficha_tec_id:
        ficha_tec_id = ficha_tec_id.get('ficha_tec_id')
    return ficha_tec_id

def _wizppi_get_categoria_produto(self, cr, uid, ids, field_name, args, context=None):
    context = context and context.copy() or {}
    if not ids:
        return {}
    res = {}
    for id in ids:
        ficha_tec_id = get_ficha_tec_id(cr, uid, id)
        sql = '''
                SELECT epc.name AS categoria
                FROM estoque_categoria            AS epc
                INNER JOIN estoque_produto        AS ep  ON ep.categoria_id = epc.id
                INNER JOIN pcp_ficha_tecnica_capa AS ftc ON ftc.pcpftc_produto_id = ep.id
                WHERE ftc.id = %s
              ''' % (ficha_tec_id)
        cr.execute(sql)
        categoria = cr.dictfetchall()
        if categoria and isinstance(categoria, list):
            categoria = categoria[0]
        if categoria:
            categoria = categoria.get('categoria')
            res[id] = categoria
    return res

def _wizppi_pljprd_get_unidade_peso(self, cr, uid, ids, field_name, args, context=None):
    context = context and context.copy() or {}
    from openerp.addons.pcp.model.funcoes import get_unidade_peso
    if not ids:
        return {}
    res = {}
    for id in ids:
        ficha_tec_id = get_ficha_tec_id(cr, uid, id)
        data = self.browse(cr, uid, id).wizppi_data
        res = get_unidade_peso(self.pool.get('pcp.planejamento.producao'), cr, uid, id, ficha_tec_id, data, res, context)
        if field_name == 'wizppi_qtd_unidade':
            res[id] = res.get(id).get('pljprd_qtd_unidade')
        elif field_name == 'wizppi_qtd_peso':
            res[id] = res.get(id).get('pljprd_qtd_peso')
        else:
            res[id]=''
    return res

def _wizppi_confirmar(self, cr, uid, ids, field_name, args, context=None):
    context = context and context.copy() or {}
    res = {}
    for id in ids:
        if self.browse(cr, uid, id).wizppa_planejamento_producao_ids:
            res[id] = True
        else:
            res[id] = False
    return res