# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class wiz_pcp_relatorio_ordem_producao(osv.TransientModel):
    # prefixo: wpropr_
    _name = 'wiz.pcp.relatorio.ordem.producao'

    _columns = {
        'wpropr_situacao': fields.selection(
            [('A', 'Aberta'), ('F', 'Fechado'), ('C', 'Cancelada')], size=1, string='Situacao'),
        'wpropr_dia': fields.selection(
            [('0', 'Segunda-feira'), ('1', 'Terca-feira'), ('2', 'Quarta-feira'),
             ('3', 'Quinta-feira'), ('4', 'Sexta-feira'), ('5', 'Sabado'), ('6', 'Domingo')],
            size=1, string='Dia da semana', required=True),
        'wpropr_categoria_id': fields.many2one('estoque.categoria', 'Categoria'),
    }

    def wpropr_button_print(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        brw_rel_ordem_producao = self.browse(cr, uid, ids, context)
        dados = {}
        for x in brw_rel_ordem_producao:
            dados.update({'situacao': x.wpropr_situacao or '',
                          'dia': x.wpropr_dia,
                          'categoria_id': x.wpropr_categoria_id.id or False})
        return {
            'type': 'ir.actions.report.xml',
            'report_name': 'listagem_ordem_producao',
            'datas': dados,
        }
