# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
# www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class procedimentos_proc_tempo(osv.Model):
    """
        Tabela de tempo dos passos dos processos gerados dos POPs.
    """
    # prefixo: prcprt_

    _name = 'procedimentos.proc.tempo'
    _columns = {
        'create_uid': fields.many2one('res.users', 'Usuario', readonly=True),
        'prcprt_passo_id': fields.many2one('procedimentos.proc.passo', 'Passo', required=True, ondelete='cascade'),
        'prcprt_inicio': fields.datetime('Inicio', required=True),
        'prcprt_fim': fields.datetime('Fim'),
    }
