# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields

class project_br_calendario(osv.Model):

    from funcoes import _prjcal_get_tasks_cliente

    _name = 'project_br.calendario'
    _rec_name = 'cliente_id'
    _columns = {
        'consultor_id': fields.many2one('adm.pessoa','Consultor'),
        'cliente_id': fields.many2one('adm.pessoa','Cliente'),
        'data_inicio_previsto': fields.datetime('Inicio'),
        'data_fim_previsto': fields.datetime('Fim'),
        'planned_hours': fields.float('Horas',digits=(3,2)),
        'prjcal_task_ids': fields.function(_prjcal_get_tasks_cliente, method=True, string="Tarefas", type="one2many", relation="project_br.task", store=False),


    }

