#!/usr/bin/python
# -*- encoding: utf-8 -*-

from openerp.osv import osv


class adm_pessoa(osv.Model):
    _inherit = 'adm.pessoa'


    def name_search(self, cr, uid, name='', args=[], operator='ilike', context=None, limit=100):
        context = context and context.copy() or {}
        if context.get('cliente_rat_id'):
            obj_adm_relacionamento = self.pool.get('adm.pessoa.relacionamento')
            relacionamento_ids = obj_adm_relacionamento.search(cr, uid, [
                ('pessoa_id', '=', context['cliente_rat_id'])], context=context)
            if relacionamento_ids:
                brw_adm_relacionamento = obj_adm_relacionamento.browse(cr, uid, relacionamento_ids)
                pessoa_ids = [p.dependente_id.id for p in brw_adm_relacionamento]
                args.append(('id', 'in', pessoa_ids))

        return super(adm_pessoa, self).name_search(cr, uid, name, args, operator, context, limit)
