# -*- encoding: utf-8 -*-
from openerp.osv import fields, osv
import time
from datetime import date

class project_br_task(osv.Model):
    _name = "project_br.task"
    _inherit = 'project_br.task'
    
    def name_search(self, cr, uid, name='', args=[], operator='ilike', context=None, limit=100):
        try:
            task_id = int(name)
            args.append(('id', '=', task_id))
            name = ''
        except:
           pass
        return super(project_br_task, self).name_search(cr, uid, name, args, operator, context, limit)

    def search(self, cr, uid, args, offset=0, limit=None, order=None, context=None, count=False):
        if not args:
            args = []
        context = context and context.copy() or {}
        if context.get('rat_usuario'):
            pessoa_id = []
            user_id = context['rat_usuario']
            browse_res_users = self.pool.get('res.users').browse(cr, uid, user_id)
            if browse_res_users:
                pessoa_id = browse_res_users.pessoa_id.id
            args.append(('user_id', '=', pessoa_id))
        res = super(project_br_task, self).search(cr, uid, args, offset, limit, order, context, count)
        return res
