#!/usr/bin/python
# -*- encoding: utf-8 -*-

from openerp.osv import fields, osv
from funcoes import get_sequence


class rat_setores(osv.Model):
    """
    prefix: ratset_
    """

    _name = "rat.setores"

    _columns = {
        "sequence": fields.integer("Ordem de tramitacao", required=True),
        "name": fields.char("Nome", required=True),
        "active": fields.boolean("Ativo"),
        "ratset_usuario_ids": fields.one2many("rat.setor.usuarios", "ratsus_setor_id", "Usuarios")
    }

    _defaults = {
        'sequence': get_sequence,
        'active': True
    }
