# -*- encoding: utf-8 -*-

from openerp.osv import osv
from openerp.tools.translate import _


class wizard_imprimir_rats(osv.TransientModel):
    # prefixo: wizcas_
    _name = 'wizard.imprimir.rats'

    def wizimr_button_imprimir(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        rat_ids = context.get('active_ids')
        obj_rat = self.pool.get('rat.rat')
        msg = []
        for i in obj_rat.read(cr, uid, rat_ids, ['state'], context):
            if i.get('state') != 'done':
                msg.append('Rat: %s - %s' % (i.get('id'),
                                 dict(obj_rat._columns.get('state').selection).get(i.get('state'))))

        if msg:
            raise osv.except_osv(_('Atencao!'),
                                 _('Selecione apenas Rats finalizados:\n%s') % '\n'.join(msg))
        
        return obj_rat.retorna_report(cr, uid, rat_ids, context)