# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp.osv import osv
from openerp.tools.translate import _


class task(osv.Model):

    _inherit = "project_br.task"

    def create(self, cr, uid, vals, context=None):
        context = context and context.copy() or {}
        if vals.get('prjtsk_a_faturar') and not vals.get('prjtsk_produto_id'):
            raise osv.except_osv(_('Atencao'),
                                 _('Para tarefas a faturar, o servico deve ser informado'))
        return super(task, self).create(cr, uid, vals, context)

    def write(self, cr, uid, ids, vals, context=None):
        context = context and context.copy() or {}
        if vals.get('prjtsk_a_faturar') and not vals.get('prjtsk_produto_id'):
            raise osv.except_osv(_('Atencao'),
                                 _('Para tarefas a faturar, o servico deve ser informado'))
        return super(task, self).write(cr, uid, ids, vals, context)
