# -*- encoding: utf-8 -*-
"""
Copyright (C) 2009-2013 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2013, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields


class os_historico(osv.Model):
    """
    Relacionamento enre o historico e as ordens de servico.

    @author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    _name = 'os.historico'  # osvhis
    _inherit = 'os.historico'  # recebimento/os/model/os_historico_data

    _columns = {
        # ___________________________ Many2One _______________________________
        'os_id': fields.many2one('os', 'Ordem de servico')  # ID da ordem de servico
    }


class os(osv.Model):
    """
    Relacionamento entre as Ordens de Servico e o historico das ordens de servico.

    @author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    _name = 'os'  # osvosv
    _inherit = 'os'  # recebimento/os/model/os_data

    _columns = {
        # ___________________________ One2Many _______________________________
        'historico_ids': fields.one2many('os.historico', 'os_id', 'Historico')  # Log
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
