# -*- encoding: utf-8 -*-
"""
Copyright (C) 2009-2013 All Rights Reserved. Luiz Fernando Maciel França
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2013, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from openerp.osv import osv, fields


class os_tipo(osv.Model):
    """
    Tipos de ordem de servico.

    @author: Pierre Barbosa <pierre.barbosa[at]siginformatica.com.br>
    """

    _name = 'os.tipo'  # osvtip

    _columns = {
        # ___________________________ Char ___________________________________
        'codigo': fields.char('Codigo', size=3, required=True),  # Codigo do tipo de OS
        'name': fields.char('Descricao', size=40),  # Descricao do tipo de OS

        # ___________________________ Boolean ________________________________
        'active': fields.boolean('Ativo')
    }

    _defaults = {
        'active': lambda *args: True
    }

    _order = 'name'

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
