# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class receb_correios_conf_imagens(osv.Model):
    """
        Tabela de fotos para conferencia em um produto
    """
    # prefixo: rcorcoim_

    _name = 'receb.correios.conf.imagens'
    _columns = {
        'rcorcoim_produto_id': fields.many2one('estoque.produto', 'Produto', required=True, select=True),
        'rcorcoim_foto': fields.binary('Foto', filters='*.png,*.gif,*.jpeg'),
    }
