# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class receb_correios_conf_itens(osv.Model):
    """
        Tabela de itens para conferencia em um produto
    """
    # prefixo: rcorcoit_

    _name = 'receb.correios.conf_itens'
    _columns = {
        'rcorcoit_produto_id': fields.many2one('estoque.produto', 'Produto', required=True, select=True),
        'rcorcoit_item': fields.char('Item a conferir', size=40, required=True),
    }
