# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class receb_correios_itens(osv.Model):
    """
        Tabela de itens de um pedido do recebimentos.
    """
    # prefixo: rcorcal_

    _name = 'receb.correios.itens'
    _columns = {
        'rcorite_pacote_id': fields.many2one('receb.correios.pacotes', 'Pedido', required=True, ondelete='cascade', select=True),
        'rcorite_observacoes': fields.text('Informcoes adicionais'),
        'rcorite_produto_id': fields.many2one('estoque.produto', 'Produto', ondelete='cascade', select=True),
        'rcorite_grade_id': fields.many2one('estoque.produto.grade', 'Grade', ondelete='restrict', select=True),
        'rcorite_qtd_pedido': fields.integer('Quantidade pedida'),
        'rcorite_qtd_aprovaidada': fields.integer('Quantidade aproveitada')
    }
    _order = 'rcorite_capa_id desc,id'
