# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
from openerp.osv import fields,osv
from openerp import tools

class report_project_br_user_carga_real(osv.Model):

    _name = "report_project_br.user.carga.real"
    _inherit = "report_project_br.user.carga.real"
    def init(self, cr):
        tools.sql.drop_view_if_exists(cr, "report_project_br_user_carga_real")
        cr.execute("""
              create view report_project_br_user_carga_real as (
               select t.user_id as id, t.user_id, u.nome,
                  (select sum(planned_hours) from project_br_task where user_id=t.user_id and date_part('month',date_start) = 1 and date_start <  now() and date_start > (now() - interval '365 day')) as Jan,
                  (select sum(planned_hours) from project_br_task where user_id=t.user_id and date_part('month',date_start) = 2 and date_start <  now() and date_start > (now() - interval '365 day')) as Fev,
                  (select sum(planned_hours) from project_br_task where user_id=t.user_id and date_part('month',date_start) = 3 and date_start <  now() and date_start > (now() - interval '365 day')) as Mar,
                  (select sum(planned_hours) from project_br_task where user_id=t.user_id and date_part('month',date_start) = 4 and date_start <  now() and date_start > (now() - interval '365 day')) as Abr,
                  (select sum(planned_hours) from project_br_task where user_id=t.user_id and date_part('month',date_start) = 5 and date_start <  now() and date_start > (now() - interval '365 day')) as Mai,
                  (select sum(planned_hours) from project_br_task where user_id=t.user_id and date_part('month',date_start) = 6 and date_start <  now() and date_start > (now() - interval '365 day')) as Jun,
                  (select sum(planned_hours) from project_br_task where user_id=t.user_id and date_part('month',date_start) = 7 and date_start <  now() and date_start > (now() - interval '365 day')) as Jul,
                  (select sum(planned_hours) from project_br_task where user_id=t.user_id and date_part('month',date_start) = 8 and date_start <  now() and date_start > (now() - interval '365 day')) as Ago,
                  (select sum(planned_hours) from project_br_task where user_id=t.user_id and date_part('month',date_start) = 9 and date_start <  now() and date_start > (now() - interval '365 day')) as Set,
                  (select sum(planned_hours) from project_br_task where user_id=t.user_id and date_part('month',date_start) = 10 and date_start <  now() and date_start > (now() - interval '365 day')) as Out,
                  (select sum(planned_hours) from project_br_task where user_id=t.user_id and date_part('month',date_start) = 11 and date_start <  now() and date_start > (now() - interval '365 day')) as Nov,
                  (select sum(planned_hours) from project_br_task where user_id=t.user_id and date_part('month',date_start) = 12 and date_start <  now() and date_start > (now() - interval '365 day')) as Dez
                  from project_br_task t, adm_pessoa u
                  where t.date_start <  now() and date_start > (now() - interval '365 day') and u.id=t.user_id 
                  group by t.user_id, u.nome
                  )""")
