# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class reuniao_atas(osv.Model):
    """
    Tabela de Atas das reunioes
    Prefixo: reuata_
    """
    _name = 'reuniao.atas'
    _inherit = 'reuniao.atas'

    def create(self, cr, uid, vals, context=None):
        reuniao_id = vals.get('reuata_reuniao_id')
        brw_reuniao = self.pool.get('reuniao.reunioes').browse(cr, uid, reuniao_id)
        sequencia = 0
        if brw_reuniao.reureu_atas_ids:
            for brw_ata in brw_reuniao.reureu_atas_ids:
                sequencia = brw_ata.reuata_sequencia
        sequencia += 1
        vals['reuata_sequencia'] = sequencia
        res = super(reuniao_atas, self).create(cr, uid, vals, context=context)
        return res
