# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
import time


class reuniao_marcadores(osv.Model):
    """
    Tabela de marcadores das reunioes
    Prefixo: reumar_
    """
    _name = 'reuniao.marcadores'
    _columns = {
        'name': fields.char('Descricao', size=45, required=True),
        'reumar_tipos_id': fields.many2one("reuniao.tipos", 'Tipos', ondelete="no action",
                                           select=True),
        # Tipo de reuniao onde este marcador e utilizado
        'reumar_marcadores_ids': fields.many2many('reuniao.atas', 'reuniao_marcadores_atas_rel',
                                                  'reuniao_id', 'ata_id', 'Atas'),
    }

