# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
import time


class reuniao_tipos(osv.Model):
    """
    Tabela de tipos de reunioes
    Prefixo: reutip_
    """
    _name = 'reuniao.tipos'
    _columns = {
        'name': fields.char('Descricao', size=30, required=True),
        'reutip_reunioes_ids': fields.one2many('reuniao.reunioes', 'reureu_tipo_id', 'Reunioes'),
        'reutip_marcadores_ids': fields.one2many('reuniao.marcadores', 'reumar_tipos_id',
                                                 'Marcadores'),
    }

