# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from openerp import pooler

class rhcesta_cestabasica(osv.Model):
    _name = 'rhcesta.cestabasica'
    _columns = {
        'name' : fields.char('Nome', size=50, required=True),
        'cestabasica_ids' : fields.one2many('rhcesta.cestabasica.faixa', 'faixa','Faixa'),
    }
rhcesta_cestabasica()

class rhcesta_cestabasica_faixa(osv.Model):
    _name = 'rhcesta.cestabasica.faixa'
    _columns = {
        'faixa' : fields.many2one("rhcesta.cestabasica", 'Faixa', ondelete="cascade", required=True, select = True),
        'vr_limite_sup' : fields.float('Vr limite superior', digits=(15,2)),
        'porc_desconto' : fields.float('% de desconto', digits=(6,3)),
    }
rhcesta_cestabasica_faixa()

