# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
from openerp import pooler
import time

class rhcurriculo_acesso(osv.Model):
    """
    Tabela p/controlar os acesso externos a base de dados
    """
    _name = 'rhcurriculo.acesso'
    _rec_name = 'pessoa_id'
    _columns = {
        'senha' : fields.char('Senha', size=45, required=True),
        'pessoa_id' : fields.many2one("adm.pessoa", 'Pessoa', ondelete="no action", required=True, select = True),
        'curriculo_ids' : fields.one2many('rhcurriculo.curriculo', 'acesso_id','Curriculo'),
    }
rhcurriculo_acesso()

