# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
from openerp import pooler
import time

class rhcurriculo_experiencias_tipos(osv.Model):
    """
    Tabela de tipos de experiencia profissional
    """
    _name = 'rhcurriculo.experiencias.tipos'
    _columns = {
        'name' : fields.char('Descricao', size=30, required=True), # Descricao da experiencia profissional
        'experiencias_ids' : fields.one2many('rhcurriculo.experiencias', 'experiencias_tipos_id','experiencias'),
    }
rhcurriculo_experiencias_tipos()

class rhcurriculo_experiencias(osv.Model):
    """
    Tabela de experiencias conhecidos
    """
    _name = 'rhcurriculo.experiencias'
    _rec_name = 'curriculo_id'
    _columns = {
        'experiencias_tipos_id' : fields.many2one("rhcurriculo.experiencias.tipos", 'Tipos de experiencias', ondelete="restrict", required=True, select = True),
        'operacional': fields.boolean('Operacional'),
        'supervisao': fields.boolean('Supervisao'),
        'gerencia': fields.boolean('Gerencia'),
        'diretoria': fields.boolean('Diretoria'),
        'curriculo_id' : fields.many2one("rhcurriculo.curriculo", 'Curriculo', ondelete="cascade", required=False, select = True),
    }
rhcurriculo_experiencias()

