# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
from openerp import pooler
import time

class rhcurriculo_idiomas_tipos(osv.Model):
    """
    Tabela de tipos de idioma
    """
    _name = 'rhcurriculo.idiomas.tipos'
    _columns = {
        'name' : fields.char('Descricao', size=30, required=True), # Nome do idioma
        'idiomas_ids' : fields.one2many('rhcurriculo.idiomas', 'idiomas_tipos_id','Idiomas'),
    }
rhcurriculo_idiomas_tipos()

class rhcurriculo_idiomas(osv.Model):
    """
    Tabela de idiomas conhecidos
    """
    _name = 'rhcurriculo.idiomas'
    _rec_name = 'curriculo_id'
    _columns = {
        'idiomas_tipos_id' : fields.many2one("rhcurriculo.idiomas.tipos", 'Tipos de idiomas', ondelete="restrict", required=True, select = True),
        'fluencia' : fields.selection([('B','Basico'),('I','Intermediario'),('A','Avancado'),('N','Nao tem conhecimento')], 'Fluencia', size=1), # Fluencia no idioma\nB=Basico\nI=Intermediario\nA=Avancado\nN=nao tem conhecimento
        'curriculo_id' : fields.many2one("rhcurriculo.curriculo", 'Curriculo', ondelete="cascade", required=False, select = True),
    }
rhcurriculo_idiomas()

