# coding=utf-8

from openerp.osv import osv, fields
from openerp import pooler

class rhcurriculo_categoria(osv.Model):
    """
    tabela de Categoria
    """
    _name = 'rhcurriculo.categoria'
    _columns = {
        'name' : fields.char('Nome da categoria', size=50, required=True),
        'parent_id' : fields.many2one('rhcurriculo.categoria', 'Categoria pai', ondelete='cascade', select=True),
        'parent_left': fields.integer('Pai anterior'),
        'parent_right': fields.integer('Pai seguinte'),
        }
