# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#                    colaborador: Christian Douglas
#
##############################################################################

from SigUtils.cpf import Cpf
from openerp.osv import osv, fields


#
# REGISTRO DE TiTULOS
#
class rhcurriculo_curriculo_wiz(osv.TransientModel):
    def onchange_cpf(self, cr, uid, ids, cpf, senha, nome, sexo, est_civil, email, cidade_id, uf_id,
                     fone_celular, fone_residencial, fone_comercial, cep, logradouro_id, bairro_id,
                     numero, complemento, rg, data_nasc, pretencao, disponibilidade, salario_atual, trabalhando,
                     escolaridade,
                     exp01_empresa, exp01_data_entrada, exp01_data_saida, exp01_uf_id, exp01_atribuicoes,
                     exp02_empresa, exp02_data_entrada, exp02_data_saida, exp02_uf_id, exp02_atribuicoes,
                     exp03_empresa, exp03_data_entrada, exp03_data_saida, exp03_uf_id, exp03_atribuicoes,
                     grad_instituicao, grad_curso, grad_uf_id, grad_cidade_id, grad_conclusao, obs,
                     pos_instituicao, pos_curso, pos_uf_id, pos_cidade_id, pos_conclusao, state, exp01_cidade_id,
                     exp02_cidade_id, exp03_cidade_id,
                     ingles, espanhol, frances, alemao, italiano, habilitacao, habilitacao_categoria,
                     cur_word, cur_excel, cur_access, cur_powerpoint, cur_photoshop, cur_autocad, cur_corel,
                     cur_internet, context=None):
        context = context and context.copy() or {}
        if cpf:
            cpf = cpf.replace('.', '')
            cpf = cpf.replace('-', '')
            if Cpf().validar(cpf):
                pessoa_id = self.pool.get('adm.pessoa').search(cr, uid, [('cpf_cnpj', '=', cpf)], context=context)
                cpf = Cpf().format(cpf)
                if pessoa_id:
                    acesso_pessoa_id = self.pool.get('rhcurriculo.acesso').search(cr, uid,
                                                                                  [('pessoa_id', '=', pessoa_id)],
                                                                                  context=context)
                    if acesso_pessoa_id:
                        acesso_senha = \
                        self.pool.get('rhcurriculo.acesso').read(cr, uid, acesso_pessoa_id, ['senha'], context=context)[
                            0]['senha']
                        acesso_curriculo_id = self.pool.get('rhcurriculo.acesso').read(cr, uid, acesso_pessoa_id,
                                                                                       ['curriculo_ids'],
                                                                                       context=context)
                        if senha == acesso_senha:
                            state = 'L'
                        else:
                            if senha:
                                raise osv.except_osv(('Mensagem:'),
                                                     ('Senha incorreta!'))
                    else:
                        state = 'N'
                else:
                    state = 'U'
            else:
                raise osv.except_osv(('Mensagem:'),
                                     (
                                     'CPF incorreto! \n \n Digite o cpf no formato: (xxx.xxx.xxx-xx) ou \n digite apenas numeros.'))

            #
            # SE PESSOA EXISTER E POSSUIR ACESSO
            #
            if state in 'L,N':
                print pessoa_id
                vals_pessoa = self.pool.get('adm.pessoa').read(cr, uid, pessoa_id, ['name'], context=context)[0]

                browse_pessoa = self.pool.get('adm.pessoa').browse(cr, uid, pessoa_id, context=context)[0]
                browse_curriculo = self.pool.get('adm.pessoa').browse(cr, uid, pessoa_id, context=context)[0]
                nome = browse_pessoa.name
                sexo = browse_pessoa.admpes_fis_sexo
                est_civil = browse_pessoa.admpes_fis_estado_civil
                for docs in browse_pessoa.documentos_ids:
                    if docs.tipo_id.name == 'Carteira de Identidade':
                        rg = docs.numero
                data_nasc = browse_pessoa.admpes_fis_data_nascimento
                for mail in browse_pessoa.pessoa.email_ids:
                    email = mail.name
                for endereco in browse_pessoa.pessoa.endereco_ids:
                    if endereco.endereco_tipo_id.name == 'Normal':
                        cep = endereco.cep
                        uf_id = endereco.uf_id.id
                        cidade_id = endereco.cidade_id.id
                        logradouro_id = endereco.logradouro_id.id
                        bairro_id = endereco.bairro_id.id
                        numero = endereco.numero
                        complemento = endereco.complemento
                for fone in browse_pessoa.pessoa.telefones_ids:
                    if fone.telefone_tipo_id.name == 'Celular':
                        fone_celular = fone.numero
                    if fone.telefone_tipo_id.name == 'Residencial':
                        fone_residencial = fone.numero
                    if fone.telefone_tipo_id.name == 'Comercial':
                        fone_comercial = fone.numero
                # OBTER DADOS DO CURRICULO
                if state == 'L':
                    browse_curriculo = self.pool.get('rhcurriculo.acesso').browse(cr, uid, acesso_pessoa_id)[0]
                    for curr in browse_curriculo.curriculo_ids:
                        pretencao = curr.pretencao
                        disponibilidade = curr.disponibilidade
                        salario_atual = curr.salario_atual
                        trabalhando = curr.trabalhando
                        escolaridade = curr.escolaridade
                        obs = curr.complemento
                    # OBTER DADOS DO CURRICULO - EMPRESAS
                    if browse_curriculo.curriculo_ids:
                        for empresa in curr.empresas_ids:
                            if empresa.sequence == 1:
                                exp01_empresa = empresa.empresa
                                exp01_data_entrada = empresa.data_entrada
                                exp01_data_saida = empresa.data_saida
                                exp01_uf_id = empresa.uf_id.id
                                exp01_cidade_id = empresa.cidade_id.id
                                exp01_atribuicoes = empresa.atribuicoes
                            elif empresa.sequence == 2:
                                exp02_empresa = empresa.empresa
                                exp02_data_entrada = empresa.data_entrada
                                exp02_data_saida = empresa.data_saida
                                exp02_uf_id = empresa.uf_id.id
                                exp02_cidade_id = empresa.cidade_id.id
                                exp02_atribuicoes = empresa.atribuicoes
                            elif empresa.sequence == 3:
                                exp03_empresa = empresa.empresa
                                exp03_data_entrada = empresa.data_entrada
                                exp03_data_saida = empresa.data_saida
                                exp03_uf_id = empresa.uf_id.id
                                exp03_cidade_id = empresa.cidade_id.id
                                exp03_atribuicoes = empresa.atribuicoes
                        # GRADUAcaO
                        for curso in curr.cursos_ids:
                            if curso.cursos_tipos_id.name == 'GRADUACAO':
                                grad_instituicao = curso.instituicao
                                grad_curso = curso.name
                                grad_uf_id = curso.uf_id.id
                                grad_cidade_id = curso.cidade_id.id
                                grad_conclusao = curso.data_conclusao
                            if curso.cursos_tipos_id.name == 'POS-GRADUACAO':
                                pos_instituicao = curso.instituicao
                                pos_curso = curso.name
                                pos_uf_id = curso.uf_id.id
                                pos_cidade_id = curso.cidade_id.id
                                pos_conclusao = curso.data_conclusao
                        # HABILIDADES
                        habilitacao = curr.habilitacao
                        habilitacao_categoria = curr.habilitacao_categoria
                        for idioma in curr.idiomas_ids:
                            if idioma.idiomas_tipos_id.name == 'Ingles':
                                ingles = idioma.fluencia
                            if idioma.idiomas_tipos_id.name == 'Espanhol':
                                espanhol = idioma.fluencia
                            if idioma.idiomas_tipos_id.name == 'Frances':
                                frances = idioma.fluencia
                            if idioma.idiomas_tipos_id.name == 'Alemao':
                                alemao = idioma.fluencia
                            if idioma.idiomas_tipos_id.name == 'Italiano':
                                italiano = idioma.fluencia
                        for curso in curr.cursos_inform_ids:
                            if curso.cursos_inform_tipo_id.name == 'Microsoft Word':
                                cur_word = True
                            if curso.cursos_inform_tipo_id.name == 'Microsoft Excel':
                                cur_excel = True
                            if curso.cursos_inform_tipo_id.name == 'Microsoft Access':
                                cur_access = True
                            if curso.cursos_inform_tipo_id.name == 'Microsoft Power-Point':
                                cur_powerpoint = True
                            if curso.cursos_inform_tipo_id.name == 'Adobe Photoshop':
                                cur_photoshop = True
                            if curso.cursos_inform_tipo_id.name == 'Auto-Cad':
                                cur_autocad = True
                            if curso.cursos_inform_tipo_id.name == 'Corel-Draw':
                                cur_corel = True
                            if curso.cursos_inform_tipo_id.name == 'Internet':
                                cur_internet = True
        res = {'value': {
            'cpf': cpf, 'nome': nome, 'sexo': sexo, 'est_civil': est_civil, 'email': email,
            'fone_celular': fone_celular, 'fone_residencial': fone_residencial, 'cidade_id': cidade_id,
            'fone_comercial': fone_comercial, 'cep': cep, 'uf_id': uf_id,
            'logradouro_id': logradouro_id, 'bairro_id': bairro_id,
            'numero': numero, 'complemento': complemento, 'rg': rg, 'data_nasc': data_nasc,
            'pretencao': pretencao, 'disponibilidade': disponibilidade, 'salario_atual': salario_atual,
            'trabalhando': trabalhando, 'escolaridade': escolaridade,
            'exp01_empresa': exp01_empresa, 'exp01_data_entrada': exp01_data_entrada,
            'exp01_data_saida': exp01_data_saida, 'exp01_uf_id': exp01_uf_id,
            'exp01_atribuicoes': exp01_atribuicoes, 'exp02_empresa': exp02_empresa,
            'exp02_data_entrada': exp02_data_entrada, 'exp02_data_saida': exp02_data_saida,
            'exp02_uf_id': exp02_uf_id, 'exp02_atribuicoes': exp02_atribuicoes,
            'exp03_empresa': exp03_empresa, 'exp03_data_entrada': exp03_data_entrada,
            'exp03_data_saida': exp03_data_saida, 'exp03_uf_id': exp03_uf_id,
            'exp03_atribuicoes': exp03_atribuicoes, 'grad_instituicao': grad_instituicao,
            'grad_curso': grad_curso, 'grad_uf_id': grad_uf_id, 'grad_cidade_id': grad_cidade_id,
            'grad_conclusao': grad_conclusao, 'pos_instituicao': pos_instituicao,
            'pos_curso': pos_curso, 'pos_uf_id': pos_uf_id, 'pos_cidade_id': pos_cidade_id,
            'pos_conclusao': pos_conclusao, 'ingles': ingles, 'espanhol': espanhol, 'frances': frances,
            'alemao': alemao, 'italiano': italiano, 'cur_word': cur_word, 'cur_excel': cur_excel,
            'cur_access': cur_access, 'cur_powerpoint': cur_powerpoint, 'cur_photoshop': cur_photoshop,
            'cur_autocad': cur_autocad, 'cur_corel': cur_corel, 'cur_internet': cur_internet,
            'habilitacao': habilitacao, 'habilitacao_categoria': habilitacao_categoria,
            'state': state, 'obs': obs, 'exp01_cidade_id': exp01_cidade_id, 'exp02_cidade_id': exp02_cidade_id,
            'exp03_cidade_id': exp03_cidade_id
        }
        }
        return res

    _name = 'rhcurriculo.curriculo.wiz'
    _columns = {
        # LOGIN & STATUS
        'cpf': fields.char('C.P.F', size=14, required=True),
        'senha': fields.char('Senha', size=12, required=True),
        'logado': fields.boolean('Usuario logado'),
        'state': fields.selection([
            ('L', 'Usuario logado.'), ('E', 'Efetuar login'),
            ('C', 'CPF Invalido'), ('U', 'Usuario nao cadastrado'),
            ('S', 'Senha incorreta.'), ('N', 'Nao possui acesso')
        ], 'Status', required=True, size=1),  # Indica se o candidato esta trabalhando\nS=Sim,\nN=Nao\nA=Aviso previo
        # INFORMAcoES PESSOAIS
        'nome': fields.char('Nome', size=50, required=True),
        'email': fields.char('Email', size=255, required=True),
        'sexo': fields.selection([('M', 'Masculino'), ('F', 'Feminino')], 'Sexo', required=True, size=1),
        'rg': fields.char('Identidade', size=30),
        'data_nasc': fields.date('Data de nascimento'),
        'est_civil': fields.selection([('C', 'Casado'), ('S', 'Solteiro'), ('V', 'Viuvo'),
                                       ('D', 'Divorciado'), ('E', 'Desquitado')], 'Estado civil', size=1),
    # Estado Civil\nC=Casado, \nS=Solteiro, \nV=Viuvo, \nD=Divorciado, \nE=dEsquitado
        'foto': fields.binary('Foto', filters='*.png,*.gif,*.jpeg'),
        # INFORMAcÔES BASICAS
        # ENDEREcO
        'cep': fields.char('CEP', size=10),
        #        'uf_id' : fields.selection(_sel_uf, 'Estado'),
        #        'cidade_id' : fields.selection(_sel, 'Cidade'),
        'uf_id': fields.many2one("adm.uf", 'UF', required=True),
        'cidade_id': fields.many2one("adm.cidade", 'Cidade', required=True, domain="[('uf_id', '=', uf_id)]"),
        'logradouro_id': fields.many2one("adm.logradouro", 'Endereco', ondelete="restrict", required=True),
        'bairro_id': fields.many2one("adm.bairro", 'Bairro', ondelete="restrict", required=True),
        'numero': fields.char('Numero', size=5),
        'complemento': fields.char('Complemento', size=50),
        # TELEFONES
        'fone_celular': fields.char('Celular', size=14, required=True),
        'fone_residencial': fields.char('Residencia', size=14),
        'fone_comercial': fields.char('Contato', size=14),
        # PRETENcÔES
        'pretencao': fields.selection([('A', 'Ate R$ 510,00'), ('B', 'R$ 511,00 - R$ 1000,00'),
                                       ('C', 'R$ 1001,00 - R$ 2000,00'), ('D', 'R$ 2001,00 - R$ 3000,00'),
                                       ('E', 'R$ 3001,00 - R$ 4000,00'), ('F', 'R$ 4001,00 - R$ 5000,00'),
                                       ('G', 'R$ 5001,00 - R$ 6000,00'), ('H', 'R$ 6001,00 - R$ 10000,00'),
                                       ], 'Pretencao salarial', required=True, size=1),
        'disponibilidade': fields.selection([('0', 'Imediata'), ('1', 'Uma semana'),
                                             ('2', 'Quinze dias'), ('3', 'Trinta dias'),
                                             ('4', 'Mais de trinta dias')
                                             ], 'Disponibilidade', required=True, size=1),
        'salario_atual': fields.float('Salario atual ou o ultimo'),
        # SITUAcaO TRABALHISTA ATUAL
        'trabalhando': fields.selection([('S', 'Sim'), ('N', 'Nao'), ('A', 'Aviso previo')], 'Trabalhando',
                                        required=True, size=1),
    # Indica se o candidato esta trabalhando\nS=Sim,\nN=Nao\nA=Aviso previo
        # FORMAcaO
        # ESCOLARIDADE
        'escolaridade': fields.selection([
            ('00', 'Sem Informacao'), ('01', 'Nao sabe ler/escrever'),
            ('02', 'Alfabetizado'), ('03', 'Fundamental 1o grau incompleto'),
            ('04', 'Fundamental 1o grau completo'), ('05', 'Medio 2o grau incompleto'),
            ('06', 'Medio 2o grau completo'), ('07', 'Superior incompleto'),
            ('08', 'Superior completo'), ('09', 'Especializacao'),
            ('10', 'Residencia'), ('11', 'Mestrado'), ('12', 'Doutorado')
        ], 'Grau de escolaridade', required=True, size=2),
        # GRADUAcaO
        'grad_instituicao': fields.char('Nome da instituicao', size=50),
        'grad_curso': fields.char('Curso', size=50),
        'grad_uf_id': fields.many2one("adm.uf", 'Uf', ondelete="restrict", ),
        'grad_cidade_id': fields.many2one("adm.cidade", 'Cidade', ondelete="restrict",
                                          domain="[('uf_id', '=', grad_uf_id)]"),
        'grad_conclusao': fields.date('Data de conclusao'),
        # PoS-GRADUAcaO
        'pos_instituicao': fields.char('Nome da instituicao', size=50),
        'pos_curso': fields.char('Curso', size=50),
        'pos_uf_id': fields.many2one("adm.uf", 'Uf', ondelete="restrict"),
        'pos_cidade_id': fields.many2one("adm.cidade", 'Cidade', ondelete="restrict",
                                         domain="[('uf_id', '=', pos_uf_id)]"),
        'pos_conclusao': fields.date('Data de conclusao'),
        # EXPERIeNCIAS PROFISSIONAIS
        # MAIS RECENTE
        'exp01_empresa': fields.char('Nome da empresa', size=50),
        'exp01_data_entrada': fields.date('Data entrada'),
        'exp01_data_saida': fields.date('Data saida'),
        'exp01_uf_id': fields.many2one("adm.uf", 'Uf', ondelete="restrict"),
        'exp01_cidade_id': fields.many2one("adm.cidade", 'Cidade', ondelete="restrict",
                                           domain="[('uf_id', '=', exp01_uf_id)]"),
        'exp01_atribuicoes': fields.text('Atribuicoes e realizacoes na empresa'),
        # MAIS RECENTE
        'exp02_empresa': fields.char('Nome da empresa', size=50),
        'exp02_data_entrada': fields.date('Data entrada'),
        'exp02_data_saida': fields.date('Data saida'),
        'exp02_uf_id': fields.many2one("adm.uf", 'Uf', ondelete="restrict"),
        'exp02_cidade_id': fields.many2one("adm.cidade", 'Cidade', ondelete="restrict",
                                           domain="[('uf_id', '=', exp02_uf_id)]"),
        'exp02_atribuicoes': fields.text('Atribuicoes e realizacoes na empresa'),
        # MAIS RECENTE
        'exp03_empresa': fields.char('Nome da empresa', size=50),
        'exp03_data_entrada': fields.date('Data entrada'),
        'exp03_data_saida': fields.date('Data saida'),
        'exp03_uf_id': fields.many2one("adm.uf", 'Uf', ondelete="restrict"),
        'exp03_cidade_id': fields.many2one("adm.cidade", 'Cidade', ondelete="restrict",
                                           domain="[('uf_id', '=', exp03_uf_id)]"),
        'exp03_atribuicoes': fields.text('Atribuicoes e realizacoes na empresa'),
        # HABILIDADES
        # HABILITAcaO
        'habilitacao': fields.selection([('S', 'Sim'), ('N', 'Nao')], 'Possui habilitacao?', size=1),
        'habilitacao_categoria': fields.selection(
            [('A', 'A'), ('B', 'B'), ('C', 'C'), ('D', 'D'), ('E', 'E'), ('AB', 'AB'), ('AC', 'AC'), ('AD', 'AD'),
             ('AE', 'AE')], 'Habilitacao categoria', size=2),
        # IDIOMAS
        'ingles': fields.selection([('B', 'Basico'), ('I', 'Intermediario'), ('F', 'Fluente')], 'Ingles', size=1),
        'espanhol': fields.selection([('B', 'Basico'), ('I', 'Intermediario'), ('F', 'Fluente')], 'Espanhol', size=1),
        'frances': fields.selection([('B', 'Basico'), ('I', 'Intermediario'), ('F', 'Fluente')], 'Frances', size=1),
        'alemao': fields.selection([('B', 'Basico'), ('I', 'Intermediario'), ('F', 'Fluente')], 'Alemao', size=1),
        'italiano': fields.selection([('B', 'Basico'), ('I', 'Intermediario'), ('F', 'Fluente')], 'Italiano', size=1),
        # CURSOS
        'cur_word': fields.boolean('Microsoft Word'),
        'cur_excel': fields.boolean('Microsoft Excel'),
        'cur_access': fields.boolean('Microsoft Access'),
        'cur_powerpoint': fields.boolean('Microsoft Power-Point'),
        'cur_photoshop': fields.boolean('Adobe Photoshop'),
        'cur_autocad': fields.boolean('Auto-Cad'),
        'cur_corel': fields.boolean('Corel-Draw'),
        'cur_internet': fields.boolean('Internet'),
        # INFORMAcÔES COMPLEMENTARES
        'obs': fields.text('Complemento'),  # Informacoes complementares

    }
    _defaults = {
        'logado': lambda *a: False,
        'habilitacao': lambda *a: 'N',
        'state': lambda *a: 'E',
        # 'uf_id': _get_uf
    }

    def button_enviar(self, cr, uid, ids, ctx, context=None):
        context = context and context.copy() or {}
        return {'type': 'ir.actions.act_window_close'}

    def create(self, cr, uid, vals, ctx, context=None):
        context = context and context.copy() or {}
        result = super(rhcurriculo_curriculo_wiz, self).create(cr, uid, vals, context)
        vals_pessoa = {
            'name': vals['nome'], 'pessoa_tipo': 'F', 'cpf_cnpj': vals['cpf'],
            'admpes_fis_sexo': vals['sexo'],
            'admpes_fis_estado_civil': vals['est_civil'],
            'admpes_fis_data_nascimento': vals['data_nasc'],
            'foto': vals['foto']
        }

        if vals['state'] == 'L':
            cpf = vals['cpf']
            cpf = cpf.replace('.', '')
            cpf = cpf.replace('-', '')
            id_pessoa = self.pool.get('adm.pessoa').search(cr, uid, [('cpf_cnpj', '=', cpf)], context=context)[0]
            id_curriculo = self.pool.get('rhcurriculo.curriculo').search(cr, uid, [('pessoa_id', '=', str(id_pessoa))],
                                                                         context=context)[0]
        else:
            id_pessoa = self.pool.get('adm.pessoa').create(cr, uid, vals_pessoa, context)


        # CADASTRO adm.pessoa.email
        # -------------------------------------------------------------------
        id_tipo_email = self.pool.get('adm.email.tipo').search(cr, uid, [('name', '=', 'Comum')], context=context)[0]
        vals_email = {
            'pessoa_id': id_pessoa, 'email_tipo_id': id_tipo_email, 'name': vals['email']
        }
        # CADASTRO adm.pessoa.endereco
        # -------------------------------------------------------------------
        id_tipo_endereco = \
        self.pool.get('adm.endereco.tipo').search(cr, uid, [('name', '=', 'Normal')], context=context)[0]
        id_pais = self.pool.get('adm.pais').search(cr, uid, [('name', '=', 'BRASIL')], context=context)[0]
        if not vals['numero']:
            vals['numero'] = 'S/N'
        vals_endereco = {
            'pessoa_id': id_pessoa, 'endereco_tipo_id': id_tipo_endereco, 'pais_id': id_pais,
            'cep': vals['cep'], 'uf_id': vals['uf_id'], 'cidade_id': vals['cidade_id'],
            'logradouro_id': vals['logradouro_id'], 'bairro_id': vals['bairro_id'],
            'numero': vals['numero'], 'complemento': vals['complemento']
        }
        # TELEFONES adm.pessoa.telefone
        # -------------------------------------------------------------------
        id_tipo_telefone_Cel = \
        self.pool.get('adm.telefone.tipo').search(cr, uid, [('name', '=', 'Celular')], context=context)[0]
        id_tipo_telefone_Res = \
        self.pool.get('adm.telefone.tipo').search(cr, uid, [('name', '=', 'Residencial')], context=context)[0]
        id_tipo_telefone_Com = \
        self.pool.get('adm.telefone.tipo').search(cr, uid, [('name', '=', 'Comercial')], context=context)[0]
        vals_telefone = []
        if vals['fone_celular']:
            vals_telefone.append({'pessoa_id': id_pessoa, 'telefone_tipo_id': id_tipo_telefone_Cel, 'ddd': '0',
                                  'numero': vals['fone_celular']})
        if vals['fone_residencial']:
            vals_telefone.append({'pessoa_id': id_pessoa, 'telefone_tipo_id': id_tipo_telefone_Res, 'ddd': '0',
                                  'numero': vals['fone_residencial']})
        if vals['fone_comercial']:
            vals_telefone.append({'pessoa_id': id_pessoa, 'telefone_tipo_id': id_tipo_telefone_Com, 'ddd': '0',
                                  'numero': vals['fone_comercial']})
        # DOCUMENTOS adm.pessoa.telefone
        # -------------------------------------------------------------------
        id_doc_tipo = \
        self.pool.get('adm.pessoa.documento.tipo').search(cr, uid, [('name', '=', 'Carteira de Identidade')],
                                                          context=context)[0]
        vals_documento = {
            'pessoa_id': id_pessoa, 'tipo_id': id_doc_tipo, 'numero': vals['rg']
        }
        # DADOS DO ACESSO
        # -------------------------------------------------------------------
        vals_acesso = {
            'pessoa_id': id_pessoa, 'senha': vals['senha'],
        }
        # DADOS DO CURRICULO
        # -------------------------------------------------------------------
        vals_curriculo = {
            'pessoa_id': id_pessoa,
            'pretencao': vals['pretencao'],
            'salario_atual': vals['salario_atual'],
            'disponibilidade': vals['disponibilidade'],
            'trabalhando': vals['trabalhando'],
            'escolaridade': vals['escolaridade'],
            'habilitacao': vals['habilitacao'],
            'habilitacao_categoria': vals['habilitacao_categoria'],
            'complemento': vals['obs']
        }
        # CURSOS -----------------------------------------------------------
        id_tipo_grad = \
        self.pool.get('rhcurriculo.cursos.tipos').search(cr, uid, [('name', '=', 'GRADUACAO')], context=context)[0]
        if vals['grad_instituicao']:
            vals_curso_grad = {'cursos_tipos_id': id_tipo_grad, 'instituicao': vals['grad_instituicao'],
                               'name': vals['grad_curso'],
                               'data_conclusao': vals['grad_conclusao'], 'uf_id': vals['grad_uf_id'],
                               'cidade_id': vals['grad_cidade_id']}
        id_tipo_pos = \
        self.pool.get('rhcurriculo.cursos.tipos').search(cr, uid, [('name', '=', 'POS-GRADUACAO')], context=context)[0]
        if vals['pos_instituicao']:
            vals_curso_pos = {'cursos_tipos_id': id_tipo_pos, 'instituicao': vals['pos_instituicao'],
                              'name': vals['pos_curso'],
                              'data_conclusao': vals['pos_conclusao'], 'uf_id': vals['pos_uf_id'],
                              'cidade_id': vals['pos_cidade_id']}
            # EMPRESAS ---------------------------------------------------------
        if vals['exp01_empresa']:
            vals_empresa_01 = {'sequence': 1, 'empresa': vals['exp01_empresa'],
                               'data_entrada': vals['exp01_data_entrada'], 'data_saida': vals['exp01_data_saida'],
                               'atribuicoes': vals['exp01_atribuicoes'], 'cidade_id': vals['exp01_cidade_id'],
                               'uf_id': vals['exp01_uf_id']}
        if vals['exp02_empresa']:
            vals_empresa_02 = {'sequence': 2, 'empresa': vals['exp02_empresa'],
                               'data_entrada': vals['exp02_data_entrada'], 'data_saida': vals['exp02_data_saida'],
                               'atribuicoes': vals['exp02_atribuicoes'], 'cidade_id': vals['exp02_cidade_id'],
                               'uf_id': vals['exp02_uf_id']}
        if vals['exp03_empresa']:
            vals_empresa_03 = {'sequence': 3, 'empresa': vals['exp03_empresa'],
                               'data_entrada': vals['exp03_data_entrada'], 'data_saida': vals['exp03_data_saida'],
                               'atribuicoes': vals['exp03_atribuicoes'], 'cidade_id': vals['exp03_cidade_id'],
                               'uf_id': vals['exp03_uf_id']}
            # IDIOMAS ----------------------------------------------------------
        vals_idiomas = []
        if vals['ingles']:
            id_ingles = \
            self.pool.get('rhcurriculo.idiomas.tipos').search(cr, uid, [('name', '=', 'Ingles')], context=context)[0]
            vals_idiomas.append({'idiomas_tipos_id': id_ingles, 'fluencia': vals['ingles']})
        if vals['espanhol']:
            id_espanhol = \
            self.pool.get('rhcurriculo.idiomas.tipos').search(cr, uid, [('name', '=', 'Espanhol')], context=context)[0]
            vals_idiomas.append({'idiomas_tipos_id': id_espanhol, 'fluencia': vals['espanhol']})
        if vals['frances']:
            id_frances = \
            self.pool.get('rhcurriculo.idiomas.tipos').search(cr, uid, [('name', '=', 'Frances')], context=context)[0]
            print
            vals_idiomas.append({'idiomas_tipos_id': id_frances, 'fluencia': vals['frances']})
        if vals['alemao']:
            id_alemao = \
            self.pool.get('rhcurriculo.idiomas.tipos').search(cr, uid, [('name', '=', 'Alemao')], context=context)[0]
            vals_idiomas.append({'idiomas_tipos_id': id_alemao, 'fluencia': vals['alemao']})
        if vals['italiano']:
            id_italiano = \
            self.pool.get('rhcurriculo.idiomas.tipos').search(cr, uid, [('name', '=', 'Italiano')], context=context)[0]
            vals_idiomas.append({'idiomas_tipos_id': id_italiano, 'fluencia': vals['italiano']})
            # CURSOS INFORMATICA -----------------------------------------------
        vals_cursos_info = []
        if vals['cur_word']:
            id_word = self.pool.get('rhcurriculo.cursos.inform.tipo').search(cr, uid, [('name', '=', 'Microsoft Word')],
                                                                             context=context)[0]
            vals_cursos_info.append({'cursos_inform_tipo_id': id_word})
        if vals['cur_excel']:
            id_excel = \
            self.pool.get('rhcurriculo.cursos.inform.tipo').search(cr, uid, [('name', '=', 'Microsoft Excel')],
                                                                   context=context)[0]
            vals_cursos_info.append({'cursos_inform_tipo_id': id_excel})
        if vals['cur_access']:
            id_access = \
            self.pool.get('rhcurriculo.cursos.inform.tipo').search(cr, uid, [('name', '=', 'Microsoft Access')],
                                                                   context=context)[0]
            vals_cursos_info.append({'cursos_inform_tipo_id': id_access})
        if vals['cur_powerpoint']:
            id_powerpoint = \
            self.pool.get('rhcurriculo.cursos.inform.tipo').search(cr, uid, [('name', '=', 'Microsoft Power-Point')],
                                                                   context=context)[0]
            vals_cursos_info.append({'cursos_inform_tipo_id': id_powerpoint})
        if vals['cur_photoshop']:
            id_photoshop = \
            self.pool.get('rhcurriculo.cursos.inform.tipo').search(cr, uid, [('name', '=', 'Adobe Photoshop')],
                                                                   context=context)[0]
            vals_cursos_info.append({'cursos_inform_tipo_id': id_photoshop})
        if vals['cur_autocad']:
            id_autocad = self.pool.get('rhcurriculo.cursos.inform.tipo').search(cr, uid, [('name', '=', 'Auto-Cad')],
                                                                                context=context)[0]
            vals_cursos_info.append({'cursos_inform_tipo_id': id_autocad})
        if vals['cur_corel']:
            id_corel = self.pool.get('rhcurriculo.cursos.inform.tipo').search(cr, uid, [('name', '=', 'Corel-Draw')],
                                                                              context=context)[0]
            vals_cursos_info.append({'cursos_inform_tipo_id': id_corel})
        if vals['cur_internet']:
            id_internet = self.pool.get('rhcurriculo.cursos.inform.tipo').search(cr, uid, [('name', '=', 'Internet')],
                                                                                 context=context)[0]
            vals_cursos_info.append({'cursos_inform_tipo_id': id_internet})

        if vals['state'] == 'L':
            #
            # ALTERAcoES
            #
            self.pool.get('adm.pessoa').write(cr, uid, id_pessoa, vals_pessoa, context)
            self.pool.get('rhcurriculo.curriculo').write(cr, uid, id_curriculo, vals_curriculo, context)
            curr_browse = self.pool.get('rhcurriculo.curriculo').browse(cr, uid, id_curriculo)
            # ALTERAR/EXCLUIR EMPRESA 01
            exp_01_id = self.pool.get('rhcurriculo.empresas').search(cr, uid, [('curriculo_id', '=', id_curriculo),
                                                                               ('sequence', '=', '1')], context=context)
            if exp_01_id:
                if vals['exp01_empresa']:
                    self.pool.get('rhcurriculo.empresas').write(cr, uid, exp_01_id, vals_empresa_01, context)
                else:
                    self.pool.get('rhcurriculo.empresas').unlink(cr, uid, exp_01_id)
            else:
                if vals['exp01_empresa']:
                    vals_empresa_01['curriculo_id'] = id_curriculo
                    self.pool.get('rhcurriculo.empresas').create(cr, uid, vals_empresa_01, context)
            # ALTERAR/EXCLUIR EMPRESA 02
            exp_02_id = self.pool.get('rhcurriculo.empresas').search(cr, uid, [('curriculo_id', '=', id_curriculo),
                                                                               ('sequence', '=', '2')], context=context)
            if exp_02_id:
                if vals['exp02_empresa']:
                    self.pool.get('rhcurriculo.empresas').write(cr, uid, exp_02_id, vals_empresa_02, context)
                else:
                    self.pool.get('rhcurriculo.empresas').unlink(cr, uid, exp_02_id)
            else:
                if vals['exp02_empresa']:
                    vals_empresa_02['curriculo_id'] = id_curriculo
                    self.pool.get('rhcurriculo.empresas').create(cr, uid, vals_empresa_02, context)
            # ALTERAR/EXCLUIR EMPRESA 03
            exp_03_id = self.pool.get('rhcurriculo.empresas').search(cr, uid, [('curriculo_id', '=', id_curriculo),
                                                                               ('sequence', '=', '3')], context=context)
            if exp_03_id:
                if vals['exp03_empresa']:
                    self.pool.get('rhcurriculo.empresas').write(cr, uid, exp_03_id, vals_empresa_03, context)
                else:
                    self.pool.get('rhcurriculo.empresas').unlink(cr, uid, exp_03_id)
            else:
                if vals['exp03_empresa']:
                    vals_empresa_03['curriculo_id'] = id_curriculo
                    self.pool.get('rhcurriculo.empresas').create(cr, uid, vals_empresa_03, context)
                    # ALTERAR/EXCLUIR GRADUAcaO
                    #   GRADUAcaO
            grad_id = self.pool.get('rhcurriculo.cursos').search(cr, uid, [('curriculo_id', '=', id_curriculo),
                                                                           ('cursos_tipos_id', '=', id_tipo_grad)],
                                                                 context=context)
            pos_id = self.pool.get('rhcurriculo.cursos').search(cr, uid, [('curriculo_id', '=', id_curriculo),
                                                                          ('cursos_tipos_id', '=', id_tipo_pos)],
                                                                context=context)
            if grad_id:
                if vals['grad_instituicao']:
                    self.pool.get('rhcurriculo.cursos').write(cr, uid, grad_id, vals_curso_grad, context)
                else:
                    self.pool.get('rhcurriculo.cursos').unlink(cr, uid, grad_id)
            else:
                if vals['grad_instituicao']:
                    vals_curso_grad['curriculo_id'] = id_curriculo
                    self.pool.get('rhcurriculo.cursos').create(cr, uid, vals_curso_grad, context)
                    # PoS-GRADUAcaO
            if pos_id:
                if vals['pos_instituicao']:
                    self.pool.get('rhcurriculo.cursos').write(cr, uid, pos_id, vals_curso_pos, context)
                else:
                    self.pool.get('rhcurriculo.cursos').unlink(cr, uid, pos_id)
            else:
                if vals['pos_instituicao']:
                    vals_curso_pos['curriculo_id'] = id_curriculo
                    self.pool.get('rhcurriculo.cursos').create(cr, uid, vals_curso_pos, context)
            # EXCLUIR OS IDIOMAS
            idiomas_ids = self.pool.get('rhcurriculo.idiomas').search(cr, uid, [('curriculo_id', '=', id_curriculo)],
                                                                      context=context)
            self.pool.get('rhcurriculo.idiomas').unlink(cr, uid, idiomas_ids)
            # EXCLUIR OS CURSOS INFO
            cursos_info_ids = self.pool.get('rhcurriculo.cursos.inform').search(cr, uid,
                                                                                [('curriculo_id', '=', id_curriculo)],
                                                                                context=context)
            self.pool.get('rhcurriculo.cursos.inform').unlink(cr, uid, cursos_info_ids)

        else:
            #
            # INCLUSaO
            #
            if vals['state'] == 'N':
                id_acesso = \
                self.pool.get('rhcurriculo.acesso').search(cr, uid, [('pessoa_id', '=', id_pessoa)], context=context)[0]
            else:
                id_acesso = self.pool.get('rhcurriculo.acesso').create(cr, uid, vals_acesso, context)

            self.pool.get('adm.pessoa.endereco').create(cr, uid, vals_endereco, context)
            self.pool.get('adm.pessoa.email').create(cr, uid, vals_email, context)
            for telefone in vals_telefone:
                self.pool.get('adm.pessoa.telefone').create(cr, uid, telefone, context)
            if vals['rg']:
                self.pool.get('adm.pessoa.documento.dados').create(cr, uid, vals_documento, context)
            vals_curriculo['acesso_id'] = id_acesso
            id_curriculo = self.pool.get('rhcurriculo.curriculo').create(cr, uid, vals_curriculo, context)

        #            for empresa in vals_empresas:
        #                empresa['curriculo_id'] = id_curriculo
        #                self.pool.get('rhcurriculo.empresas').create(cr, uid, empresa, context)
        for idioma in vals_idiomas:
            idioma['curriculo_id'] = id_curriculo
            self.pool.get('rhcurriculo.idiomas').create(cr, uid, idioma, context)
        for curso_info in vals_cursos_info:
            curso_info['curriculo_id'] = id_curriculo
            self.pool.get('rhcurriculo.cursos.inform').create(cr, uid, curso_info, context)
        if vals['foto']:
            self.pool.get('adm.pessoa').write(cr, uid, id_pessoa, {'foto': vals['foto']}, context)
        return result


rhcurriculo_curriculo_wiz()
