# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
from openerp import pooler
import time

class rhcurriculo_tecnologia_tipo(osv.Model):
    """
    Tabela de tipos de tecnologias
    """
    _name = 'rhcurriculo.tecnologia.tipo'
    _columns = {
        'name' : fields.char('Descricao', size=30, required=True), # Descricao da tecnologia
        'tecnologia_ids' : fields.one2many('rhcurriculo.tecnologia', 'tecnologia_tipo_id','Tecnologia'),
    }
rhcurriculo_tecnologia_tipo()

class rhcurriculo_tecnologia(osv.Model):
    """
    Tabela de habilidades com tecnologias
    """
    _name = 'rhcurriculo.tecnologia'
    _rec_name = 'curriculo_id'
    _columns = {
        'tecnologia_tipo_id' : fields.many2one("rhcurriculo.tecnologia.tipo", 'Descricao', ondelete="no action", required=True, select = True), # Tipo de Tecnologia
        'curriculo_id' : fields.many2one("rhcurriculo.curriculo", 'Curriculo', ondelete="no action", required=True, select = True), # Id do curriculo
        'dominio' : fields.selection([('N','Nao tem conhecimento'), ('B', 'Baixo'),('I', 'Intermediario'), ('A', 'Avancado')], 'Nivel Dominio', required=True, size=1), # Habilidades com a area\nN=Nao tem conhecimento\nB=Baixa\nI=Intermediaria\nA=Avancado
    }
rhcurriculo_tecnologia()

