# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
from openerp.tools.translate import _

class rh_funcionario(osv.Model):
    _inherit = 'rh.funcionario'

    def _rhfunc_incluir_relacionamento(self, cr, uid, vals, context=None):
        context = context and context.copy() or {}
        _lista_original = vals.get('relacionamento_ids')
        _lista_nova = []
        rel_id = self.pool.get('adm.utils').admutl_get_parametros(cr, uid, 'rh',
        'rhpar_relacionamento_filhos_id', context=context).get('rhpar_relacionamento_filhos_id',
                                                               False)
        if rel_id:
            for _lista in _lista_original:
                if _lista[0] != 0:
                    _lista_nova.append(_lista)
                else:
                    _dict = _lista[2]
                    _dict['relacionamento_tipo_id'] = rel_id
                    _lista_nova.append([_lista[0], _lista[1], _dict])
            vals['relacionamento_ids'] = _lista_nova
        return vals

    def _rhfunc_rhfolha_validar_dados(self, cr, uid, vals, context=None):
        context = context and context.copy() or {}
        if 'relacionamento_ids' in vals:
            vals = self._rhfunc_incluir_relacionamento(cr, uid, vals, context)
        if vals.get('rhfunc_horas_semanais', False):
            if vals.get('rhfunc_horas_semanais') == 0:
                osv.except_osv(_('Atencao'), _('Informe valores validos "Horas semanais"!'))
        return True

    def create(self, cr, uid, vals, context=None):
        context = context and context.copy() or {}
        self._rhfunc_rhfolha_validar_dados(cr, uid, vals, context)
        res = super(rh_funcionario, self).create(cr, uid, vals, context)
        return res

    def write(self, cr, uid, ids, vals, context=None):
        context = context and context.copy() or {}
        self._rhfunc_rhfolha_validar_dados(cr, uid, vals, context)
        res = super(rh_funcionario, self).write(cr, uid, ids, vals, context)
        return res

