# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
# www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class rh_parametro(osv.Model):
    _inherit = 'rh.parametro'
    _columns = {
        'rhpar_deducao_dependente': fields.float('Deducao dependente',
                                                 help='Valor de deducao por dependente para o IRRF'),
        'rhpar_aliquota_fgts': fields.float('Aliquota fgts',
                                            help='Percentual a ser aplicado sobre a base de FGTS'),
        'rhpar_relacionamento_filhos_id': fields.many2one('adm.relacionamento.tipo',
                                                          'Relacionamento para filhos',
                                                          required=True),
        'rhpar_gerar_financeiro': fields.boolean('Lancar no financeiro',
                                                 help="Se marcado, ao gerar a folha a aplicação vai lancar a folha no financeiro!")

    }

