# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields

class rhponto_afastamento(osv.Model):


    _name = 'rhponto.afastamento'
    _inherit = 'rhponto.afastamento'
    def _get_name(self, cr, uid, ids, name, arg, context=None):
        """
        Retorna o descricao do afastamento
        """
        context = context and context.copy() or {}
        res = {}
        if ids:
            afastamento_datas = self.browse(cr, uid, ids)
            for afastamento_data in afastamento_datas:
                _func_lista =  afastamento_data.rhpafa_funcionario_id.pessoa.name.split()
                if len(_func_lista)  > 1:
                    _func_nome =  _func_lista[0] + ' ' + _func_lista[len(_func_lista) -1]
                else:
                    _func_nome = _func_lista[0]
                res[afastamento_data.id] =  _func_nome + '-' +str( afastamento_data.rhpafa_data) + ' ' + str(afastamento_data.rh_horario)
        return res
