# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields

class rhponto_banco_horas(osv.Model):
    def saldo_horas(self, cr, uid, data, funcionario):
        """
        Retorna o saldo de horas de um funcionario
        """
        sql = "select sum(rhpbch_qtd_hora) from rhponto_banco_horas where rhpbch_funcionario_id = %s and rhpbch_data <= '%s' " % (funcionario, data)
        cr.execute(sql)
        banco_horas_dados = cr.fetchall()
        _saldo = 0
        if banco_horas_dados:
            if isinstance(banco_horas_dados[0][0], (int, long)):
               _saldo = banco_horas_dados[0][0]
        return _saldo

    _name = 'rhponto.banco.horas'
    _inherit = 'rhponto.banco.horas'


