# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv

class rhponto_relogios(osv.Model):
    """
    Classe para cadastro de reglios de ponto
    Prefixo: rhprel_
    """

    _inherit = 'rhponto.relogios'

    def rhprel_getRelogio(self, cr, uid, context=None):
        context = context and context.copy() or {}
        rel_ids = self.search(cr, uid, [], context=context, limit=2)
        if len(rel_ids) == 1:
            return rel_ids[0]
        return None