# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class contratos_contrato(osv.Model):
    _name = 'contratos.contrato'
    _inherit = 'contratos.contrato'
    _columns = {
        'software_contrato_ids': fields.one2many('software.contratos.produtos', 'contrato_id', 'Contrato de Produtos'),
        'gerencial_produtos_ids': fields.one2many('software.gerencial.produtos', 'contrato_id', 'Contrato de Produtos'),
        'gerencial_sms_ids': fields.one2many('software.gerencial.sms', 'contrato_id', 'Contrato de Produtos'),
        'orcamento_id': fields.many2one("orcamentos.orcamento.capa", 'Orcamento', ondelete="restrict", required=False,
                                        select=True), # Id do orcamento
        'contrato_nf_ids': fields.one2many('fiscal.nf.capa', 'contrato_id', 'Notas Fiscais')
    }
