# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields


class software_gerencial_sms(osv.Model):
    _name = 'software.gerencial.sms'
    _rec_name = 'contrato_id'
    _columns = {
        'contrato_id': fields.many2one("contratos.contrato", 'Contrato', ondelete="cascade", required=True,
                                       select=True),
        'centro_custo_id': fields.many2one("adm.empresa.centrocusto", 'Centro de custo', ondelete="restrict",
                                           required=True, select=True),
        'evento_id': fields.many2one("gerencial.evento", 'Evento', ondelete="restrict", required=True, select=True),
        'valor': fields.float('Valor', digits=(15, 2), required=True)
    }
