# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields


class software_origem(osv.Model):
    """
    origem da prospecao
    """
    _name = 'software.origem'
    _columns = {
        'name': fields.char('Descricao', size=30, required=True), # descricao da origem
        'sigla': fields.char('Sigla', size=3, required=True), # Sigla da origem
        'orcamentos_orcamento_capa_ids': fields.one2many('orcamentos.orcamento.capa', 'origem_id', 'Capa'),
    }

