# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields


class software_seguimento(osv.Model):
    _name = 'software.seguimento'
    _columns = {
        'sigla': fields.char('Sigla', size=5, required=True), # sigla do seguimento
        'name': fields.char('Descricao', size=45, required=True), # descricao do seguimento
        'categoria_id': fields.many2one("adm.pessoa.categoria.nome", 'Categoria', ondelete="restrict", required=True,
                                        select=True), # Id da categoria do cliente
        'orcamentos_orcamento_capa_ids': fields.one2many('orcamentos.orcamento.capa', 'seguimento_id', 'Capa'),
        'tabela_produtos_ids': fields.one2many('software.tabela.produtos', 'seguimento_id', 'Produtos'),
        'tabela_servicos_ids': fields.one2many('software.tabela.servicos', 'seguimento_id', 'Servicos'),
    }


