# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2015 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz[at]siginformatica.com.br>
                                -------

Copyleft (CC) 2015, Creative Commons
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

import logging
from openerp.tools.translate import _

logger = logging.getLogger('supervisor.util')

def print_log(str, tipo='I'):
    """ Tipos:
    I = Info
    D = Debug
    W = Warning
    E = Error
    """
    logger = logging.getLogger('SiG-Supervisor')
    tipos = {
        'I': logger.info,
        'D': logger.debug,
        'W': logger.warning,
        'E': logger.error,
        'C': logger.critical
    }
    if tipo not in tipos.keys():
        logger.exception(_("Tipo: %s, passado na funcao 'print_log' nao e valido.") % tipo)
        return False
    else:
        log = tipos.get(tipo)
        log(str)
    return str

import model
import control
import inherit
import controller
import wizard
import report

