#!/usr/bin/python
# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
from openerp.tools.translate import _


class supervisor_cad_comandos_impressoras(osv.Model):

    _inherit = 'supervisor.cad.comandos.impressoras'

    def button_supcci_esboco(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        self.write(cr, uid, ids, {'state': '1'}, context)
        return True

    def button_supcci_ativar(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        if self.search(cr, uid, [('state', '=', '2')], context=context):
            raise osv.except_osv(_('Atencao!'),
                                 _('Ja existe um impressora habilitada!'))

        self.write(cr, uid, ids, {'state': '2'}, context)
        return True

    def name_get(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        res = []
        if not len(ids):
            return []

        for impressora in self.read(cr, uid, ids, ['supcci_marca', 'supcci_modelo'], context):
            nome = '%s - %s' % (impressora.get('supcci_marca'), impressora.get('supcci_modelo'))
            res.append((impressora.get('id'), nome))

        return res