# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
from openerp.tools.translate import _


class supervisor_cad_tributacao_nfce(osv.Model):
    _inherit = 'supervisor.cad.tributacao.nfce'

    def name_get(self, cr, user, ids, context=None):
        res = []
        encargo = {'I':'ICMS', 'S':'ISS', 'P':'PIS', 'C':'COFINS'}
        tipo = {'D': _('Diferido'), 'I':_('Isento'), 'TU':_('Tributado com substituicao'),
                'O':_('Outros'), 'S':_('Servico'), 'U':_('Substituicao Tributaria'),
                'T':_('Tributado')}
        for i in self.read(cr, user, ids, ['suptnf_aliquota', 'suptnf_encargo',
                                           'suptnf_tipo_tributacao'], context):
            nome = '%s - %s%% - %s' % (encargo.get(i.get('suptnf_encargo')),
                                       str(i.get('suptnf_aliquota') or 0).replace('.', ','),
                                       tipo.get(i.get('suptnf_tipo_tributacao')))
            res.append((i.get('id'), nome))

        return res