# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv
from openerp.tools.translate import _


class supervisor_cfg_mensagens(osv.Model):
    """
    Tabela de mensagens do ECF
    Prefixo: supcfm
    """
    _name = 'supervisor.cfg.mensagens'
    _inherit = 'supervisor.cfg.mensagens'

    def create(self, cr, user, vals, context=None):
        context = context and context.copy() or {}
        mensagem_ids = self.search(cr, user, [], context=context)
        if mensagem_ids:
            raise osv.except_osv(_('Atencao!'),
                                  _('Pode haver somente uma mensagem cadastrada!'))
        return super(supervisor_cfg_mensagens, self).create(cr, user, vals, context)

