# -*- coding: utf-8 -*-
#
# OBS: para funcionar eh preciso que tenha a pasta 'static' dentro do modulo

import openerp.addons.web.http as http
# from melipy.core import MeliCore
import json
import xmlrpclib, socket
from logging import getLogger


class sc_supervisor(http.Controller):
    _cp_path = '/supervisor'


    @http.httprequest
    def teste(self, req, s_action=None, **kw):
        ip = req.httprequest.environ.get('REMOTE_ADDR')
        print ip
        return ip

    @http.httprequest
    def atualizar_ip_caixa(self, req, s_action=None, **kw):
        """Deve retornar uma string para nao ocorrer erro"""
        ip = req.httprequest.environ.get('REMOTE_ADDR')
        loja = int(kw.get('loja') or 0)
        caixa = int(kw.get('caixa') or 0)
        bd_caixa = kw.get('bd_caixa') or ''
        usuario_bd_caixa = kw.get('usuario_bd_caixa') or ''
        if not loja or not caixa:
            return 'OK'

        dbname = kw.get('bd')
        senha = kw.get('senha')
        usuario = kw.get('usuario')
        host, port = req.httprequest.environ.get('HTTP_HOST').split(':')

        try:
            sock_common = xmlrpclib.ServerProxy('http://%s:%s/xmlrpc/common' % (host, port))
            socket.setdefaulttimeout(3)
            uid = sock_common.login(dbname, usuario, senha)
            sock = xmlrpclib.ServerProxy('http://%s:%s/xmlrpc/object' % (host, port))
        except Exception as e:
            return 'Erro %s' % e

        args = [('suppdv_loja', '=', loja),
                ('suppdv_caixa', '=', caixa)]
        pdv_ids = sock.execute(dbname, uid, senha, 'supervisor.cad.pdvs', 'search',
                                    args, 0, False, '', {})
        if not pdv_ids:
            sock.execute(dbname, uid, senha, 'supervisor.cad.pdvs', 'create',
                         {'suppdv_loja':loja,
                          'suppdv_caixa': caixa,
                          'suppdv_ip_caixa': ip,
                          'suppdv_banco': bd_caixa,
                          'suppdv_usuario_banco': usuario_bd_caixa,})
            return 'OK'

        dados_pdv = sock.execute(dbname, uid, senha, 'supervisor.cad.pdvs', 'read', pdv_ids[0],
                                 ['suppdv_ip_caixa', 'suppdv_banco', 'suppdv_usuario_banco'])
        if dados_pdv.get('suppdv_ip_caixa') == ip and dados_pdv.get('suppdv_banco') == bd_caixa and \
            dados_pdv.get('suppdv_usuario_banco') == usuario_bd_caixa:
            return 'OK'

        sock.execute(dbname, uid, senha, 'supervisor.cad.pdvs', 'write', pdv_ids[0],
                     {'suppdv_ip_caixa': ip,
                      'suppdv_banco': bd_caixa,
                      'suppdv_usuario_banco': usuario_bd_caixa,})
        return 'OK'


