# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields


class supervisor_arquivo_mfd(osv.Model):
    """
    Tabela de arquivo mfd
    Prefixo: supmfd
    """
    _name = 'supervisor.arquivo.mfd'
    _gerar_logs_logs = 'N'
    _columns = {
        'supmfd_loja': fields.integer("Loja", required=True),
        'supmfd_caixa': fields.integer("Caixa", required=True),
        'supmfd_nome_arquivo': fields.char("Nome do arquivo", size=40, required=True, select=True),
        'supmfd_conteudo': fields.text("Conteudo do arquivo", required=True),

    }

