#!/usr/bin/python
# -*- coding: utf-8 -*-

from openerp.osv import osv, fields


class supervisor_cad_operadora_cartao(osv.Model):
    """
    Tabela de cadastro de operadoras de cartao
    Prefixo: supopc
    """

    _name = 'supervisor.cad.operadora.cartao'
    _rec_name = 'name'
    _gerar_logs_logs = 'N'

    _columns = {'supopc_codigo': fields.char('Codigo', size=5, required=True, select=True),
                'name': fields.char('Descricao', size=30, required=True),
                'supopc_cnpj': fields.char('Cnpj', size=15, select=True),
                }

    _order = 'supopc_codigo'