# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
import time


class supervisor_cad_vendedor(osv.Model):
    """
    Tabela de Vendedores
    Prefixo: supven
    """
    _name = 'supervisor.cad.vendedor'
    _gerar_logs_logs = 'N'
    _columns = {
        'supven_codigo': fields.integer('Codigo', required=True, select=True),
        'name': fields.char('Nome', size=40),
        'supven_dav_capa_ids': fields.one2many('supervisor.dav.capa', 'supdva_vendedor_id', 'Capa'),
    }
    _sql_constraints = [
        ('supven_codigo_uniq', 'unique (supven_codigo)', 'O codigo precisa ser unico!'),
    ]

