# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
import time


class supervisor_dav_vencimentos(osv.Model):
    """
    Tabela de vencimentos do dav
    Prefixo: supdvv
    """
    _name = 'supervisor.dav.vencimentos'
    _gerar_logs_logs = 'N'
    _columns = {
        'supdvv_fechamento_id': fields.many2one("supervisor.dav.fechamento", 'Fechamento', ondelete="cascade",
                                                required=True, select=True),
        'supdvv_seq_vencimento': fields.integer('Seq vencimento', required=True),
        'supdvv_valor_parcela': fields.float('Valor parcela'),
        'supdvv_vencimento': fields.date('Vencimento'),
    }

