# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
import time


class supervisor_mov_log_comunicacao(osv.Model):
    _name = 'supervisor.mov.log.comunicacao'
    _gerar_logs_logs = 'N'
    _columns = {
        'suplgc_loja': fields.integer('loja', select=True),
        'suplgc_caixa': fields.integer('caixa', select=True),
        'suplgc_data_hora': fields.datetime('data hora', select=True),
        'suplgc_situacao': fields.char('situacao', size=5),
        'suplgc_enviado': fields.selection([('S','Sim'), ('N','Nao')], 'enviado'),
    }
    _defaults = {
        'suplgc_enviado': lambda *a: 'N',
    }

