# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
import time


class supervisor_mov_mesa_itens(osv.Model):
    """
    Tabela de itens da mesa
    Prefixo: supmit
    
    """
    _name = 'supervisor.mov.mesa.itens'
    _gerar_logs_logs = 'N'
    _columns = {
        'supmit_mesa_id': fields.many2one("supervisor.mov.mesas", 'mesa', ondelete="cascade", required=True, select=True),
        'supmit_sequencia': fields.integer('sequencia', required=True),
        'supmit_data_hora': fields.datetime('data hora'),
        'supmit_item': fields.char('item', size=14),
        'supmit_descricao': fields.char('descricao', size=30),
        'supmit_quantidade': fields.float('quantidade', digits=(10,2)),
        'supmit_unidade': fields.char('unidade', size=3),
        'supmit_vr_unit': fields.float('vr unit', digits=(10,2)),
        'supmit_vr_total': fields.float('vr total', digits=(10,3)),
        'supmit_desconto_item': fields.float('desconto item', digits=(10,3)),
        'supmit_acrescimo_item': fields.float('acrescimo item', digits=(10,3)),
        'supmit_venda_cancelamento': fields.selection([('V','Venda'), ('C', 'Cancelamento')], 'venda cancelamento'), # V=Venda, C=Cancelamento\n
        'supmit_tributacao': fields.char('tributacao', size=3),
    }

