# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
import time


class supervisor_mov_vencimentos(osv.Model):
    """
    Tabela de Vencimentos das finalizacoes
    Prefixo: supfve
    """
    _inherits = {
        'supervisor.mov.fechamentos': 'supfve_fechamentos_id',
    }
    _name = 'supervisor.mov.vencimentos'
    _gerar_logs_logs = 'N'
    _columns = {
        'id': fields.integer('Id', readonly=True),
        'supfve_fechamentos_id': fields.many2one("supervisor.mov.fechamentos", 'Fechamentos',
                                                 ondelete="cascade", required=True, select=True),
        'supfve_sequencia_vencimento': fields.integer('Sequencia vencimento', required=True),
        'supfve_valor_parcela': fields.float('Valor parcela', digits=(9,2)),
        'supfve_vencimento': fields.date('Vencimento'),
    }
    _order ='supfve_fechamentos_id,id'

