# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
import time


class supervisor_nfe_corpos(osv.Model):
    """
    Tabela de itens da nfe
    Prefixo: supnfo
    """
    _name = 'supervisor.nfe.corpos'
    _gerar_logs_logs = 'N'
    _columns = {
        'supnfo_nfe_capa_id': fields.many2one("supervisor.nfe.capa", 'Nfe capa', ondelete="cascade", required=True, select=True),
        'supnfo_codigo_item': fields.char('Codigo item', size=14),
        'supnfo_descricao': fields.char('Descricao', size=60),
        'supnfo_unidade': fields.char('Unidade', size=5),
        'supnfo_sequencia': fields.integer('Sequencia'),
        'supnfo_quantidade': fields.float('Quantidade', digits=(10,3)),
        'supnfo_vr_desconto': fields.float('Vr desconto', digits=(10,2)),
        'supnfo_vr_unitario': fields.float('Vr unitario', digits=(10,2)),
        'supnfo_vr_preco_venda': fields.float('Vr preco venda', digits=(10,2)),
        'supnfo_vr_total_item': fields.float('Vr total item', digits=(10,2)),
        'supnfo_cfop_id': fields.many2one("supervisor.cad.cfop", 'Cfop', ondelete="no action", select=True),
        'supnfo_vr_acrescimos': fields.float('Vr acrescimos', digits=(10,2)),
        'supnfo_orig': fields.integer('Orig'),
        'supnfo_cst': fields.integer('Cst'),
        'supnfo_mod_bc': fields.integer('Mod bc'),
        'supnfo_p_icms': fields.float('P icms', digits=(10,2)),
        'supnfo_p_red_bc': fields.float('P red bc', digits=(10,2)),
        'supnfo_v_bc': fields.float('V bc', digits=(10,2)),
        'supnfo_v_icms': fields.float('V icms', digits=(10,2)),
    }

