# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
import time


class supervisor_pve_vencimentos(osv.Model):
    """
    Tabela de vencimentos da prevenda
    Prefixo: suppvv
    """
    _name = 'supervisor.pve.vencimentos'
    _gerar_logs_logs = 'N'
    _columns = {
        'suppvv_fechamento_id': fields.many2one("supervisor.pve.fechamento", 'Fechamento', ondelete="cascade", required=True),
        'suppvv_seq_vencimento': fields.integer('Seq vencimento', required=True),
        'suppvv_valor_parcela': fields.float('Valor parcela', digits=(10,2)),
        'suppvv_vencimento': fields.date('Vencimento'),
    }

