#!/usr/bin/python
# -*- coding: utf-8 -*-

__version__ = '1.0'
__author__ = 'thiago.rodrigues'
__email_author__ = 'thiago.rodrigues[at]siginformatica.com.br'

from openerp.tests.common import TransactionCase
from sigaddons.config_teste import set_config


class TestSupervisorUtil(TransactionCase):
    @classmethod
    def setUpClass(cls):
        set_config()

    def setUp(self):
        super(TestSupervisorUtil, self).setUp()
        self.supervisor_util = self.registry('supervisor.util')

    def test_suputi_remove_caracter(self):
        self.assertEqual(
            self.supervisor_util.suputi_remove_caracter("00000078913639NAFTALINA.SANILAR"),
            "00000078913639NAFTALINA.SANILAR")
        self.assertEqual(
            self.supervisor_util.suputi_remove_caracter("00000078913639NAFTALINA.SANILÁR"),
            "00000078913639NAFTALINA.SANILAR")
        self.assertEqual(
            self.supervisor_util.suputi_remove_caracter("00000078913639NAFTALINA.SANILAÁÂR"),
            "00000078913639NAFTALINA.SANILAAAR")