# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv
from openerp.tools.translate import _

class supervisor_wizard_alterar_capa(osv.TransientModel):

    _name = 'supervisor.wizard.alterar.capa'

    def wizcan_button_alterar(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        capa_ids = self.pool.get('supervisor.mov.capa').search(cr, uid, [('id', 'in', context.get('active_ids')),
                                                                         ('supcap_state', '=', '2E')], context=context)
        if not capa_ids:
            raise osv.except_osv(_('Atencao!'),
                                 _('Nenhuma nota com erro foi selecionada!'))

        self.pool.get('supervisor.mov.capa').write(cr, uid, capa_ids, {'supcap_state': '4'},
                                                   context)
        return True
