# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields



class supervisor_cfg_configuracao(osv.Model):
    _inherit = 'supervisor.cfg.configuracao'
    _columns = {
        'supcfc_cat_henry_ip': fields.char('Ip da catraca', size=15),
        'supcfc_cat_henry_porta': fields.integer('Porta catraca'),
        'supcfc_cat_henry_timeout': fields.integer('Timeout'),
        'supcfc_cat_henry_acionamento': fields.integer('Tempo acionamento',
                                                       help='Tempo em segundos para o cliente acionar a catraca'),
        'supcfc_cat_henry_habilitada': fields.boolean('Ativada'),
        'supcfc_cat_henry_mens_livre_1': fields.char('Mensagem catraca livre 1', size=25),
        'supcfc_cat_henry_mens_livre_2': fields.char('Mensagem catraca livre 2', size=25),
        'supcfc_cat_henry_mens_negado_1': fields.char('Mensagem acesso negado 1', size=25),
        'supcfc_cat_henry_mens_negado_2': fields.char('Mensagem acesso negado 2', size=25),
    }
    _defaults = {
        'supcfc_cat_henry_porta': 3000,
        'supcfc_cat_henry_timeout': 3,
        'supcfc_cat_henry_acionamento': 10,
        'supcfc_cat_henry_mens_livre_1': "Obrigado,",
        'supcfc_cat_henry_mens_livre_2': "Volte sempre!",
        'supcfc_cat_henry_mens_negado_1': "Comanda nao fechada,",
        'supcfc_cat_henry_mens_negado_2': "procure o caixa!",
    }

