# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from openerp.tools.translate import _


class supervisor_producao_local(osv.Model):
    """
    Tabela de local de produto no supervisor
    Prefixo: suplim
    """
    _name = 'supervisor.producao.local.impressora'
    _gerar_logs_logs = 'N'
    _columns = {
        'suplim_codigo': fields.integer('Codigo do local de producao', required=True),
        'sulpim_porta': fields.char('Porta', size=64),
        'suplim_comando_id': fields.many2one("supervisor.cad.comandos.impressoras",
                                             'Impressora', ondelete="cascade", required=True),
    }

