# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class supervisor_producao_comanda_dispositivo(osv.Model):
    """
    Tabela de controle de dispositivos
    Prefixo
    spcdis_
    """
    _name = 'supervisor.producao.comanda.dispositivo'
    _columns = {
        'name': fields.char('Nome', size=30, help="Nome qualquer que identifique o dispositivo"),
        'create_date': fields.datetime('Data do Cadastro', readonly=True),
        'write_date': fields.datetime('Data Ultima Alteracao', readonly=True),
        'spcdis_marca': fields.char('Marca', required=True, size=20),
        'spcdis_modelo': fields.char('Modelo', required=True, size=20),
        'spcdis_nro_serie': fields.char('Numero de serie', required=True, readonly=True, size=20,
                                        select=True),
        'spcdis_responsavel': fields.char('Responsavel', size=60),
        'spcdis_licenca': fields.char('Licenca', size=256),
        'spcdis_cnpj': fields.char('CNPJ', size=14),

    }