# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
from openerp.tools.translate import _


class supervisor_cad_pdvs(osv.Model):
    """
    Tabela de Cadastro de PFVs
    Prefixo: suppdv
    """

    _inherit = 'supervisor.cad.pdvs'
    _columns = {
        'suppdv_data_scanntech': fields.date(_('Data fechamento Scanntech'),
                                             help=('Guarda a data do ultimo fechamento que foi '
                                                   'enviado para Scanntec'))
    }

