# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

from openerp.osv import osv, fields
from openerp.tools.translate import _


class supervisor_cfg_parametros(osv.Model):
    """
    Tabela de parametros do supervisor
    Prefixo: supcfp
    """
    _name = 'supervisor.cfg.parametros'
    _inherit = 'supervisor.cfg.parametros'
    _columns = {
        'supcfp_arq_promocoes': fields.text('Promocoes Scanntech'),
        'supcfp_dir_pif': fields.text(_('Diretorio PIF'),
                                      help=_("Diretorio onde serao gerados arquivos de Notas que "
                                             "o PIF vai utilizar. Ex: /tmp/")),
    }

