# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class supervisor_mov_capa(osv.Model):
    """
    Tabela de Capa de cupons
    Prefixo: supcap

    """
    _inherit = 'supervisor.mov.capa'

    _columns = {
        # tem uma trigger para scanntech para ele ser zero ao criar ou alterar a classe menos quando passado
        # valor para o proprio campo
        'scanntech': fields.integer('Sacanntech', sequence=True), # 0 = Nao enviado, 1 = Enviado
        'log_erro': fields.text('Log'),
    }

    _defaults = {
        'scanntech': 0,

    }
