# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields
TIPO_PROMOCAO = [('1', 'Scanntech'),
                 ('2', 'Sig')]

class supervisor_mov_corpos(osv.Model):
    """
    Tabela de itens dos cupons
    Prefixo: supcor
    """
    _inherit = 'supervisor.mov.corpos'

    _columns = {
        'supcor_id_promo': fields.integer('Id Promocao'),
        'supcor_quantidade_promo': fields.float('Quantidade', digits=(10, 3)),
        # supcor_tipo_promo indica de quem eh a promocao, SCANNTECH, SIG, FUNCIONARIO
        'supcor_tipo_promo': fields.selection(TIPO_PROMOCAO, 'Tipo de promocao'),
        # tem uma trigger para 'scanntech' para ele ser zero ao criar ou alterar a classe, menos quando passado
        # valor para o proprio campo
        'scanntech': fields.integer('Sacanntech', sequence=True),
    }

    _defaults = {
        'scanntech': 0,

    }
