#!/usr/bin/python
# -*- coding: utf-8 -*-

from openerp.osv import osv, fields


class supervisor_cad_lista_clientes(osv.Model):
    """
    Classe que associa um cliente a uma promocao especifica,  cpf/cnpj via id da promocao
    Prefixo: supclc
    """
    from funcoes import get_default_suppro_quantidade, get_default_suppro_desconto

    _name = 'supervisor.cad.lista.clientes'
    _rec_name = 'supclc_cnpj_cpf'
    _gerar_logs_logs = 'N'
    _columns = {
        'supclc_cnpj_cpf': fields.char('Cpf/Cnpj', size=15, required=True, select=True),
        'supclc_id_promo': fields.integer('Id Promocao', required=True),
    }
