#!/usr/bin/python
# -*- coding: utf-8 -*-

#controle das classes de promocoes
CONTROLE = ['1','2','3p','3f','4','5p','5f', '7']

def get_default_suppro_quantidade(self, cr, uid, context=None):
    context = context and context.copy() or {}
    controle = filter(lambda x: x in self._name, CONTROLE)[0]
    quantidade = 0.0
    for item in context.get('supproc_promo%s_ids' % controle):
        if item[0] == 0 and item[2].get('suppro%s_sequencial' % controle) == 1:
            quantidade = item[2].get('suppro%s_quantidade' % controle)
            break

        elif item[0] == 1:
            if item[2].get('suppro%s_sequencial' % controle) == 1:
                if item[2].get('suppro%s_quantidade' % controle):
                    quantidade = item[2].get('suppro%s_quantidade' % controle)
                else:
                    quantidade = self.read(cr, uid, item[1], ['suppro%s_quantidade' % controle],
                                       context=context).get('suppro%s_quantidade' % controle)
                break
            elif not item[2].get('suppro%s_sequencial' % controle):
                dados_item = self.read(cr, uid, item[1], ['suppro%s_sequencial' % controle,
                                                          'suppro%s_quantidade' % controle],
                                   context=context)
                if dados_item.get('suppro%s_sequencial' % controle) == 1:
                    quantidade = item[2].get('suppro%s_quantidade' % controle) \
                                 or dados_item.get('suppro%s_quantidade' % controle)
                    break

        elif item[0] == 4:
            dados_item = self.read(cr, uid, item[1], ['suppro%s_sequencial' % controle,
                                                      'suppro%s_quantidade' % controle],
                                   context=context)
            if dados_item.get('suppro%s_sequencial' % controle) == 1:
                quantidade = dados_item.get('suppro%s_quantidade' % controle)
                break

    return quantidade

def get_default_suppro_desconto(self, cr, uid, context=None):
    context = context and context.copy() or {}
    controle = filter(lambda x: x in self._name, CONTROLE)[0]
    desconto = 0.0
    for item in context.get('supproc_promo%s_ids' % controle):
        if item[0] == 0:
            desconto = item[2].get('suppro%s_desconto' % controle)
            break

        elif item[0] == 1:
            if item[2].get('suppro%s_desconto' % controle):
                desconto = item[2].get('suppro%s_desconto' % controle)
            else:
                desconto = self.read(cr, uid, item[1], ['suppro%s_desconto' % controle],
                                   context=context).get('suppro%s_desconto' % controle)
            break

        elif item[0] == 4:
            dados_item = self.read(cr, uid, item[1], ['suppro%s_sequencial' % controle,
                                                      'suppro%s_desconto' % controle],
                                   context=context)
            if dados_item.get('suppro%s_sequencial' % controle) == 1:
                desconto = dados_item.get('suppro%s_desconto' % controle)
                break

    return desconto

def get_default_suppro4_preco(self, cr, uid, context=None):
    context = context and context.copy() or {}
    preco = 0.0
    for item in context.get('supproc_promo4_ids'):
        if item[0] == 0:
            preco = item[2].get('suppro4_preco')
            break

        elif item[0] == 1:
            if item[2].get('suppro4_preco'):
                preco = item[2].get('suppro4_preco')
            else:
                preco = self.read(cr, uid, item[1], ['suppro4_preco'],
                                   context=context).get('suppro4_preco')
            break

        elif item[0] == 4:
            dados_item = self.read(cr, uid, item[1], ['suppro4_sequencial',
                                                      'suppro4_preco'],
                                   context=context)
            if dados_item.get('suppro4_sequencial') == 1:
                preco = dados_item.get('suppro4_preco')
                break

    return preco

def get_default_suppro_qtd_leva(self, cr, uid, context=None):
    context = context and context.copy() or {}
    qtd_leva = 0.0
    for item in context.get('supproc_promo6_ids'):
        if item[0] == 0:
            qtd_leva = item[2].get('suppro6_qtd_leva')
            break

        elif item[0] == 1:
            if item[2].get('suppro6_qtd_leva'):
                qtd_leva = item[2].get('suppro6_qtd_leva')
            else:
                qtd_leva = self.read(cr, uid, item[1], ['suppro6_qtd_leva'],
                                   context=context).get('suppro6_qtd_leva')
            break

        elif item[0] == 4:
            dados_item = self.read(cr, uid, item[1], ['suppro6_qtd_leva'],
                                   context=context)
            qtd_leva = dados_item.get('suppro6_qtd_leva')
            break

    return qtd_leva

def get_default_suppro_qtd_paga(self, cr, uid, context=None):
    context = context and context.copy() or {}
    qtd_paga = 0.0
    for item in context.get('supproc_promo6_ids'):
        if item[0] == 0:
            qtd_paga = item[2].get('suppro6_qtd_paga')
            break

        elif item[0] == 1:
            if item[2].get('suppro6_qtd_paga'):
                qtd_paga = item[2].get('suppro6_qtd_paga')
            else:
                qtd_paga = self.read(cr, uid, item[1], ['suppro6_qtd_paga'],
                                   context=context).get('suppro6_qtd_paga')
            break

        elif item[0] == 4:
            dados_item = self.read(cr, uid, item[1], ['suppro6_qtd_paga'],
                                   context=context)
            qtd_paga = dados_item.get('suppro6_qtd_paga')
            break

    return qtd_paga

