# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class wizard_supervisor_exporta_para_ecf(osv.Model):
    """
    Tabela de Totalizadores do X e do Z
    Prefixo: suptxz
    """
    _inherit = 'wizard.supervisor.exporta.para.ecf'
    _columns = {
        'sorteios': fields.boolean('Sorteios'),
    }

    def get_acao_sorteio(self, cr, uid, ids, vals, args, dict_exportado, context=None):
        super(wizard_supervisor_exporta_para_ecf, self).get_acao_sorteio(cr, uid, ids, vals,
                                                                          dict_exportado, args,
                                                                          context=context)
        for id in ids:
            obj_supervisor_mov_acao_pendente = self.pool.get('supervisor.mov.acao.pendente')
            brw_exporta_para_ecf = self.browse(cr, uid, id, context=context)
            if not brw_exporta_para_ecf.sorteios:
                return

            args[0][2] = 'Sorteios'
            acao_pendente_ids = obj_supervisor_mov_acao_pendente.search(cr, uid, args, context=context)
            dict_exportado['exportado'] = True
            if not acao_pendente_ids:
                vals['supape_tabela'] = 'Sorteios'
                obj_supervisor_mov_acao_pendente.create(cr, uid, vals, context=context)

    def checking_all_boxes(self, cr, uid, ids, context=None):
        context = context and context.copy() or {}
        super(wizard_supervisor_exporta_para_ecf, self).checking_all_boxes(cr, uid, ids, context)
        if ids:
            self.write(cr, uid, ids, {'sorteios': True}, context)

        return True