# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br   
#
##############################################################################

import time
from openerp.osv import fields
from openerp.osv import osv
from openerp import pooler
from openerp import tools
from datetime import date,datetime
from openerp.tools.translate import _

class estoque_produto(osv.Model):

    _name='estoque.produto'
    _inherit = 'estoque.produto'
 
    def search(self, cr, uid, args, offset=0, limit=None, order=None, context=None, count=False):
        context = context and context.copy() or {}
        res=[]
        produtos=[]
        # VERIFICA QUAL PRODUTO DA OS E SE ELE NÃO ESTA CADASTRADO EM OUTRA TROCA, CASO NÃO ESTIVER (None), É RETORNADO
        if context.get('produto',False) == 'produto_antigo':
            obj_rma_produto = self.pool.get('rma.produto')
            rma_produto_ids = obj_rma_produto.search(cr, uid, [('ordem_id','=',context.get('ordem_id')),
                                                               ('rma_produto_troca_id','=',None)], context=context)
            if rma_produto_ids:
                rma_produto = obj_rma_produto.read(cr, uid, rma_produto_ids,['produto_id'])
                if rma_produto:
                    for i in rma_produto:
                        produtos.append(i['produto_id'][0])
                    return produtos

        if context.get('produto',False) == 'produto_novo':
            obj_similar= self.pool.get('estoque.produto.similaridade')
            id_similar=obj_similar.search(cr,uid,[('produto_original_id','=',context.get('produto_selecionado'))])     

            saldo = 0
            obj_produto = self.pool.get('estoque.utils')
            if produtos:
                o_local = self.pool.get('estoque.local')             
                saldo = obj_produto.get_saldo_do_dia(cr, uid, grade_id, time.strftime('%Y-%m-%d'), local_saida_id)
                aceita_saldo_negativo = o_local.read(cr, uid, local_saida_id, ['aceita_saldo_negativo'])['aceita_saldo_negativo']
                saldo = float(saldo)
                if not aceita_saldo_negativo:
                    if saldo <= 0:
                        raise osv.except_osv('SigERP', 'Nao ha saldo indisponivel para o item selecionado!')
            if id_similar:
                produtos.append(context.get('produto_selecionado'))
                for id in id_similar:
                    produtos.append(obj_similar.read(cr,uid,id,['produto_similar_id'])['produto_similar_id'][0])
            args = [('id','in',produtos)]
        
        res = super(estoque_produto,self).search(cr,uid,args,offset,limit,order,context,count)
                           
        return res

