# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields


class trocas_itens_saida(osv.Model):
    # prefixo: trcisa_

    _name = 'trocas.itens.saida'

    _columns = {
        'trcisa_capa_id': fields.many2one('trocas.capa', 'Capa', required=True, select=True,
                                          ondelete='cascade'),
        'trcisa_local_id': fields.many2one('estoque.local', 'Local', required=True, select=True,
                                           ondelete='restrict'),
        'trcisa_produto_id': fields.many2one('estoque.produto', 'Produto', required=True,
                                             select=True, ondelete='restrict'),
        'trcisa_grade_id': fields.many2one('estoque.produto.grade', 'Grade', required=True,
                                           select=True),
        'trcisa_quantidade': fields.float('Quantidade', digits=(8, 3), required=True),
        'trcisa_valor_total': fields.float('Valor total', digits=(11, 2), readonly=True),
    }