# -*- encoding: utf-8 -*-

from openerp.osv import osv


class trocas_capa(osv.Model):
    # prefixo: trccap_

    _inherit = 'trocas.capa'
    
    def trccap_button_print(self, cr, uid, ids, context=None):
        """
        O metodo faz a chamada da acao para a classe do relatorio, onde e processado e gerado o
        arquivo PDF.
        :param cr: cursor no banco de dados.
        :type cr: object
        :param uid: id da tabela res_users, identificador do usuario.
        :type uid: int
        :param ids: id da tabela desse objeto.
        :type ids: list
        :param context: dicionario com valores contextuais.
        :type context: dict
        :return: acao para a classe do relatorio
        :rtype: dict
        """
        context = context and context.copy() or {}
        context['trocas_ecf'] = True
        return super(trocas_capa, self).trccap_button_print(cr, uid, ids, context)
