# -*- coding: utf-8 -*-

from openerp.osv import osv, fields


class trocas_documento_origem(osv.Model):
    # prefixo: trcdor_

    _inherit = 'trocas.documento.origem'

    _columns = {
        'trcdor_cupom_id': fields.many2one(
            'ecf.cupons.capa', 'Cupom', select=True, ondelete='restrict',
            domain="[('cliente_id', '=', parent.trccap_pessoa_id), ('tipo_cupom', '=', 'V'), "
                   "('state', '=', 'V')]"),
    }
