# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class estoque_parametro(osv.Model):
    _name = 'estoque.parametro'
    _inherit = 'estoque.parametro'

    def estpar_get_permite_alterar_condicoes_pgto(self, cr, uid, ids, context=None):
        '''  Esta funcao esta sendo usada pelo orcamento, pedido, e nota
        :param cr: Cursor
        :param uid: id do usuario logado no sistema
        :param ids: ids do orcamento, pedido, nota, dependendo de onde eh chamada a funcao
        :param context:
        :return: retorna um dicionario onde os ids sao as chaves e o valor eh o conteudo do campo estpar_permite_alterar_condicoes_pgto
        '''
        context = context and context.copy() or {}
        estpar_permite_alterar_condicoes_pgto = False
        estoque_parametro = self.pool.get('adm.utils').admutl_get_parametros(cr, uid, 'estoque_parametro', ['estpar_permite_alterar_condicoes_pgto'], context=context)
        if estoque_parametro and isinstance(estoque_parametro, list):
            estoque_parametro = estoque_parametro[0]
        if estoque_parametro and isinstance(estoque_parametro, dict):
            estpar_permite_alterar_condicoes_pgto = estoque_parametro.get('estpar_permite_alterar_condicoes_pgto')
        res = {}
        for id in ids:
            res[id] = estpar_permite_alterar_condicoes_pgto
        return res