# -*- coding: utf-8 -*-

from openerp.osv import osv


class estoquepedidos_pedido_item(osv.Model):
    _inherit = 'estoquepedidos.pedido.item'

    def default_get(self, cr, uid, fields_list, context=None):
        context = context and context.copy() or {}
        res = super(estoquepedidos_pedido_item, self).default_get(cr, uid, fields_list, context)
        estoque_parametro_dados = self.pool.get('adm.utils').admutl_get_parametros(
            cr, uid, 'estoque', 'estpar_vendedor_eh_usuario', context)
        vendedor_id = self.pool.get('vendas.vendedor').venven_get_vendedor_id(cr, uid,
                                                                              context=context)
        res.update({'pedite_vendedor_usuario': True if estoque_parametro_dados.get(
            'estpar_vendedor_eh_usuario') and vendedor_id else False,
                   'vendedor_id': estoque_parametro_dados.get(
            'estpar_vendedor_eh_usuario') and vendedor_id})
        return res
