# -*- encoding: utf-8 -*-

from openerp.osv import osv, fields
from funcoes import pedite_get_vendedor_usuario


class estoquepedidos_pedido_item(osv.Model):
    _name = 'estoquepedidos.pedido.item'
    _inherit = 'estoquepedidos.pedido.item'
    _columns = {
        'vendedor_id': fields.many2one('vendas.vendedor', 'Vendedor', ondelete="restrict"),
        # id do vendedor
        'vendedor_externo_id': fields.many2one('vendas.vendedor', 'Vendedor externo',
                                               ondelete="restrict", select=True),
        'pedite_vendedor_usuario': fields.function(pedite_get_vendedor_usuario, type='boolean',
                                                   string='Vendedor e usuario', method=True),
    }
