# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
# www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

from openerp.osv import osv, fields


class financeiro_parametros(osv.Model):
    _name = 'financeiro.parametros'
    _inherit = 'financeiro.parametros'
    _columns = {
        'verificar_limite_credito': fields.boolean('Verificar limite credito',
                                                   doc='Indica se nas vendas a prazo o limite de credito do cliente deve ser observado.'),
    }
    _defaults = {
        'verificar_limite_credito': lambda *a: False,
    }

