# -*- coding: utf-8 -*-

# Funcoes da classe wizard_analise_venda


def wizanv_get_total_geral(self, cr, uid, ids, field_name, arg, context=None):
    context = context and context.copy() or {}
    res = {}
    for analise in self.browse(cr, uid, ids, context):
        vr_total_item = sum(map(lambda i: i.wizani_vr_total, analise.wizanv_item_ids))
        vr_total_lucro = sum(map(lambda i: i.wizani_vr_lucro, analise.wizanv_item_ids))
        percentual_total_contribuicao = (
            sum(map(lambda i: i.wizani_vr_contribuicao, analise.wizanv_item_ids)) /
            (vr_total_item or 1)) * 100
        if len(analise.wizanv_item_ids) == 1:
            percentual_total_contribuicao = analise.wizanv_item_ids[0].\
                wizani_percentual_contribuicao or 0.0
        res[analise.id] = {
            'wizanv_vr_total_item': vr_total_item,
            'wizanv_vr_total_custo': sum(map(lambda i: i.wizani_custo_total,
                                             analise.wizanv_item_ids)),
            'wizanv_vr_total_lucro': vr_total_lucro,
            'wizanv_percentual_total_lucro': vr_total_lucro / (vr_total_item or 1.0) * 100,
            'wizanv_percentual_total_contribuicao': percentual_total_contribuicao,
            'wizanv_vr_total_custo_fixo': sum(map(lambda i: i.wizani_custo_fixo or 0,
                                                  analise.wizanv_item_ids))
        }
    return res
