# -*- coding: utf-8 -*-
{
    "name": "Web SiG",
    "category": "Administracao",
    "author": 'Sig Informatica Ltda',
    "description": """
WEB IMPLEMENTATIONS
===================

1) Heranca para o orm
2) implementacoes diversas de cores e logos
3) Tree View Print
4) Desativar funcionalidades do openerp

""",
    'version': '7.0.2403.6',
    "depends": [
        'web',
        'base',
        # 'healthcheck',
        'mail',
    ],
    'data': [
        'websig_sql_data.xml',
        'views/websig_sql_view.xml',
        'security/websig_security.xml',
        'views/actions.xml',
        'views/menu.xml',
        'security/ir.model.access.csv',
        "desativar/ir_ui_menu.xml",
        "desativar/ir_cron.xml",

        'executor/websig_executor_view.xml',
        'executor/ir.model.access.csv',
    ],

    'js': [
        'static/src/js/web_sig.js',
        #'static/src/js/data_export_sig.js',
    ],
    'xml': [],
    'css': [
        #'static/src/css/base.css',
    ],
    'qweb': [
        #'static/src/xml/*.xml',
        #"static/src/xml/base.xml",
    ],
    'auto_install': True,
    "application": False,
    'installable': True,
}
