# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2009 All Rights Reserved. Luiz Fernando Maciel Franca
#                    www.siginformatica.com.br luiz@siginformatica.com.br
#
##############################################################################

import dns.resolver
import xmlrpclib, socket

_server = 'localhost'
_base = 'erp'
_usuario = 'gestao_user'
_senha = 'gbsig@2023'
_porta = '8069'

def websig_get_my_ip():
    resolver = dns.resolver.Resolver(configure=False)
    # OpenDNS public servers
    resolver.nameservers = ['208.67.220.220', '208.67.222.222']
    answers = resolver.query('myip.opendns.com')
    for rdata in answers:
        print (rdata.address)
    return rdata.address


class websig_MySock(object):
    def __init__(self, host=None, port=None, base=None, user=None, senha=None):
        self.host = host or _server
        self.base = base or _base
        self.user = user or _usuario
        self.pwd = senha or _senha
        self.port = port or _porta
        sock_common = xmlrpclib.ServerProxy('http://' + self.host + ':' + str(self.port) + '/xmlrpc/common')
        socket.setdefaulttimeout(3)
        self.uid = sock_common.login(self.base, self.user, self.pwd)
        self.sock = xmlrpclib.ServerProxy('http://{0:>}:{1:>}/xmlrpc/object'.format(self.host, self.port))

    def execute(self, model, function, *args):
        return self.sock.execute(self.base, self.uid, self.pwd, model, function, *args)
