# -*- encoding: utf-8 -*-
import openerp
import openerp.addons.web.http as http
from openerp.tools import config
from lxml import etree
import psycopg2


class Controller(openerp.addons.web.http.Controller):
    _cp_path = "/web_sig"


    def _parse_node(self, root_node):
        result = []
        for node in root_node:
            field_name = node.get('name')
            if not eval(str(node.attrib.get('invisible', False)), {'context': {}}):
                if node.tag == 'field':
                    result.append(field_name)
                else:
                    result.extend(self._parse_node(node))
        return result

    def _parse_string(self, view):
        try:
            dom = etree.XML(view.encode('utf-8'))
        except:
            dom = etree.XML(view)
        return self._parse_node(dom)

    @openerp.addons.web.http.jsonrequest
    def fields_view_get(self, req, model):
        Model = req.session.model(model)
        # fields = Model.fields_get(False, req.session.eval_context(req.context))
        result = Model.fields_view_get(False, 'tree')
        parse = self._parse_string(result['arch'])
        res = []
        for f in parse:
            res.append({'name': f,
                        'string': result['fields'][f]['string']}
            )
        return res
