# -*- coding: utf-8 -*-

from openerp.osv import osv
from ...adm.control.utils import admConfiguracao
from datetime import datetime
import logging
import os, ast, glob

class WebmobConfiguracoes(osv.Model):

    _inherit = 'webmob.configuracoes'
    logger = logging.getLogger(_inherit)

    def wmobconf_excluir_secoes(self, cr, uid, prazo=1):
        self.logger.info('Limpando /tmp/wmob_*.config  -> Prazo:%s' % prazo)
        for f in glob.glob(os.path.join('/tmp/', "wmob_*")):
            try:
                _arq = f[5:].split('.')[0]
                _secao = f[10:].split('.')[0]
            except:
                continue
            cfg = admConfiguracao(_arq, secao=_secao, cripto=False, diretorio='/tmp')
            try:
                dataHora = datetime.strptime(cfg.datahora, '%Y-%m-%d %H:%M')
            except:
                break
            agora = datetime.now()
            _diff = agora - dataHora
            self.logger.info('data hora encontrada:%s  Diferenca:%s' % (cfg.datahora, _diff))
            if (_diff.seconds / 3600.) > prazo:
                os.remove(f)
                break

        return True
