from openerp.osv import osv, fields


class WebmobResUsers(osv.Model):

    _inherit = 'res.users'
    _columns = {
        'webmob_permissao_ids': fields.one2many('webmob.permissoes', 'wmobper_usuario_id', 'Permissoes mobile')
    }

    def wmobperm_btn_buscar_menus(self, cr, uid, ids, context=None):
        if isinstance(ids, (list, tuple)):
            user_id = ids[0]
        else:
            user_id = ids
        usersRcs = self.pool.get('res.users').browse(cr, uid, user_id, context=context)
        menu_ids = self.pool.get('webmob.menu').search(cr, uid, [], context=context)
        for menusRcs in self.pool.get('webmob.menu').browse(cr, uid, menu_ids, context=context):
            _temMenu = False
            for permissaoRcs in usersRcs.webmob_permissao_ids:
                if permissaoRcs.wmobper_menu_id.id == menusRcs.id:
                    _temMenu = True
                    break
            if _temMenu:
                continue
            vals = {
                'wmobper_usuario_id': usersRcs.id,
                'wmobper_menu_id': menusRcs.id,
            }
            if menusRcs.name == 'Sair':
                vals['wmobper_permissao'] = True
            self.pool.get('webmob.permissoes').create(cr, uid, vals, context=context)

