# -*- coding: utf-8 -*-

from openerp.osv import osv, fields


class WebmobConfiguracoes(osv.Model):

    _name = 'webmob.configuracoes'
    _description = 'Arquivo de configuracoes dos apps'
    _columns = {
        'wmobconf_permissao_id': fields.many2one('webmob.permissoes', 'Configuracoes', ondelete='cascade'),
        'name': fields.char('Atributo', size=25),
        'wmobconf_valor': fields.char('Valor', size=30),
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
