# -*- coding: utf-8 -*-

from openerp.osv import osv, fields


class WebmobMenu(osv.Model):

    _name = 'webmob.menu'
    _description = 'Arquivo de menus da aplicacao mobile'
    _order = 'sequence,name'

    _columns = {
        'name': fields.char('Menu', size=25),
        'wmobmnu_url': fields.char('Url', size=64),
        'sequence': fields.integer('Sequencia', default=1),
        'wmobmnu_grupo_id': fields.many2one('webmob.menu.grupo', 'Grupo', ondelete='set null'),
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
